define("financial/scripts/account/checkMobileNo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var gvCode="";
    var mobileKey = "";

    // 模块内的其它全局变量
    var jQueryMap;
    var dataMap;
    var opType;             //  register 注册; forgetLoginPwd    忘记登录密码; resetLoginPwd 重置登录密码
                            //  setWithdrawPwd/resetWithdrawPwd  设置/重置提现密码
    var msgType=2;           //发送验证码方式  0注册  1修改密码
    var mobileNo = "";
    var pageParam;          // 上一个页面传过来的参数

    // 验证码倒计时相关
    var countDown = global.countDown;
    var clearCountDown;

    var $page = $("#account_checkMobileNo");

    // 初始化dataMap对象
    initDataMap();

    // 初始化jQueryMap对象
    initJQueryMap();
    
    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回事件
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	if(opType == "register"){
        		jQueryMap.layerArea.tipArea2.show();
        	}else{
        		$.pageBack();
        	}
            
        });

        //点击阴影隐藏
		$.bindEvent(jQueryMap.layerArea.tipArea2,function(e){
			if(e.target.className == "ui dialog-overlay"){
				jQueryMap.layerArea.tipArea2.hide();
			}
		});
		
        //点击等待
        $.bindEvent(jQueryMap.layerArea.waitBtn, function () {
        	jQueryMap.layerArea.tipArea2.hide(); 
        });
        
        //点击返回
        $.bindEvent(jQueryMap.layerArea.backBtn, function () {
        	jQueryMap.layerArea.tipArea2.hide();  
        	 $.pageBack();
        });
        
        // 获取短信验证码
        $.bindEvent(jQueryMap.content.getSmsCodeBtn, function () {
            if (!validatorUtils.isMobile(mobileNo)) {
                $.toast("手机号码不正确");
                return false;
            }
            // 获取验证码
            getSmsCode();
        });

        // input事件
        $.bindEvent(jQueryMap.content.mobileCode, function () {
            setBtnStatus();
        }, "input");

        // 发送手机验证码频繁弹框的确认按钮
        //$.bindEvent(jQueryMap.content.confirmBtn, function () {
        //    if (dataMap[opType].confirmFunc) {
        //        dataMap[opType].confirmFunc();
        //    } else {
        //        jQueryMap.layerArea.tipArea.fadeOut("fast");
        //    }
        //});

        // 点击下一步时校验手机号
        $.bindEvent(jQueryMap.content.nextStep, function () {
            //标签还是不可点击状态
        	if ($(this).hasClass("disabled")) {
                return false;
            }
            
            if (!validatorUtils.isMobile(mobileNo)) {
                $.toast("手机号不正确");
                return false;
            }
            var mobileCode = jQueryMap.content.mobileCode.val().trim();
            if (!mobileCode) {
                $.toast("请输入短信验证码");
                return false;
            }
            if (/\D+/.test(mobileCode) || mobileCode.length < 6) {
                $.toast("短信验证码错误");
                return false;
            }

           // codeConfirm(mobileCode);
            // 调用服务器接口校验手机号
            dataMap[opType].checkMobile(mobileCode);
        })
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        window.clearInterval(clearCountDown);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "tipInfo"      : $page.find("#tip_info"),
                "mobileNo"     : $page.find("#tel_num"),
                "mobileCode"   : $page.find("#mobile_code"),
                "getSmsCodeBtn": $page.find("#get_sms_code_btn"),
                "tipSpan"      : $page.find("#tip_span"),
                "nextStep"     : $page.find("#next_step")
                //"confirmBtn"   : $page.find("#confirm_btn"),
                //"sendCodeTip"  : $page.find("#send_code_tip")
            },
            "footer"   : {},
            "layerArea": {
                "tipArea": $page.find("#tipArea"),
                "tipArea2": $page.find("#tipArea2"),
                "waitBtn": $page.find("#wait_btn"),
                "backBtn": $page.find("#back_btn")
            }
        };
    }

    function initDataMap() {
        dataMap = {
            "register"        : {
                "tipInfo"    : "我们已经发送了验证码到您的手机：",
                //"confirmFunc": function () {
                //    jQueryMap.layerArea.tipArea.fadeOut("fast");
                //    $.pageBack();
                //}
            },
            "forgetLoginPwd"  : {"tipInfo": "我们已经发送了验证码到您的手机："},
            "resetLoginPwd"   : {"tipInfo": "为了保障您的账户安全请先进行安全校验"},
            'setWithdrawPwd'  : {"tipInfo": "为了保障您的账户安全请先进行安全校验"},
            "resetWithdrawPwd": {"tipInfo": "为了保障您的账户安全请先进行安全校验"}
        };
        //注册时，获取短信验证码，然后传到registerPwd在注册接口里校验    
        dataMap.register.checkMobile = function (mobileCode) {
        	var registerParam = {};
            registerParam.mobileCode = mobileCode;
            registerParam.mobileNo = mobileNo; 
            registerParam.codeType = "0";      // 0注册验证码 1忘记密码 2修改密码
        	service.codeConfirm(registerParam, function (result) {
                $.pageInit("account/checkMobileNo", "account/showUserInfo",{"userInfo":result});
            });
//        	$.pageInit("account/checkMobileNo", "account/registerPwd", {
//                "mobileCode": mobileCode,
//                "mobileNo"  : pageParam.mobileNo
//            })
        };
        // 忘记密码
        dataMap.forgetLoginPwd.checkMobile = function (mobileCode) {     	
            service.codeConfirm({
                "staffId"   : model.dataStore.staffId,
                "mobileNo"  : mobileNo,
                "mobileCode": mobileCode,
                "codeType"    : "1"             //0注册验证码 1忘记密码 2修改密码
            }, function () {
                $.pageInit("account/checkMobileNo", "account/resetPwd", {
                    "opType"  : "forgetLoginPwd",
                    "mobileNo": mobileNo
                });
            });
        };
        // 重置登录密码时，校验手机号
        dataMap.resetLoginPwd.checkMobile = function (mobileCode) {
            service.codeConfirm({
                "staffId"   : model.dataStore.staffId,
                "mobileNo"  : mobileNo,
                "mobileCode": mobileCode,
                "codeType"    : "2"             //0注册验证码 1忘记密码 2修改密码
            }, function () {
                $.pageInit("account/checkMobileNo", "account/resetPwd", {
                	"opType": "resetLoginPwd",
                	"mobileNo": mobileNo
                 });
            });
        };
//        // 设置提现密码时，校验手机号
//        dataMap.setWithdrawPwd.checkMobile = function (mobileCode) {
//            checkMobileForOpWP(mobileCode, "withdraw/setWithdrawPwd");
//        };
//        // 重置提现密码时，校验手机号
//        dataMap.resetWithdrawPwd.checkMobile = function (mobileCode) {
//            checkMobileForOpWP(mobileCode, "withdraw/checkIDInfo");
//        };
//    
//        // 操作提现密码时，校验手机号
//        function checkMobileForOpWP(mobileCode, toPageCode) {
//            service.checkMobileForOpWP({
//                "staffId"   : model.dataStore.staffId,
//                "mobileNo"  : mobileNo,
//                "mobileCode": mobileCode
//            }, function () {
//                $.pageInit("account/checkMobileNo", toPageCode);
//            });
//        }
    }

    function initPage() {
        //  register 注册; forgetLoginPwd    忘记登录密码; resetLoginPwd 重置登录密码
        //  setWithdrawPwd/resetWithdrawPwd  设置/重置提现密码
        myUtils.switchProcess({
            "processMap": {
                "account/register|account/inputMobileNo|me/myData/securitySetting": function () {
                    pageParam = $.getPageParam();
                    opType = pageParam.opType;
                    mobileNo = pageParam.mobileNo || $.getSStorageInfo("mobileNo");
                    gvCode = pageParam.gvCode;
                    mobileKey=pageParam.mobileKey;
                    jQueryMap.content.mobileNo.text(myUtils.confuseMobile(mobileNo));
                    jQueryMap.content.tipInfo.text(dataMap[opType].tipInfo);
                    if(["register"].indexOf(opType) > -1){
                    	msgType=0;
                    	// 开始倒计时
                    	getSmsCode();
                    }
                    if (["forgetLoginPwd"].indexOf(opType) > -1 ) {
                    	msgType=1;
                        // 开始倒计时
                    	startCountDown();
                    }
                    if(["resetLoginPwd"].indexOf(opType) > -1){
                        msgType=2;
                        // 开始倒计时
                        getSmsCode();
                    }
                }
            }
        });
    }

    //注册验证码验证
    function codeConfirm(mobileCode) {
        var registerParam = {};
        registerParam.mobileCode = mobileCode;
        registerParam.mobileNo = mobileNo;
        registerParam.codeType = "1";
        service.codeConfirm(registerParam, function () {
            $.pageInit("account/checkMobileNo", "account/resetPwd", {
                "opType"  : "forgetLoginPwd",
                "mobileNo": mobileNo
            });
        });
    }

    // 获取手机验证码
    function getSmsCode() {
        var opTypeArr = ["forgetLoginPwd"];
        var param = {
            //"staffId"    : model.dataStore.staffId,
            "mobileNo"   : mobileNo,
            "msgType"    : msgType
        };
        // 忘记时需要传
        if (opTypeArr.indexOf(opType) > -1) {
            param.staffId = model.dataStore.staffId;
            param.mobileKey = mobileKey;
            param.verify_code = gvCode;
        }
        if(["resetLoginPwd"].indexOf(opType) > -1){
            param.staffId = model.dataStore.staffId;
        }
        service.getSmsCode(param, function () {
            // 开始倒计时
            startCountDown();
        }, function (error_no, error_info) {
            // -10001 图片验证码为空
            // -10002 图片验证码过期，请点击重新获取图片验证码
            // -10003 图片验证码输入错误，请重新输入图片验证码
            if (["-10001", "-10002", "-10003"].indexOf(error_no) > -1) {
                $.alert(error_info,function () {
                    $.pageBack();
                })
            } else {
                $.alert(error_info);
            }
        });
    }

    // 开始倒计时
    function startCountDown() {
        // 开始倒计时
        var getSmsCodeBtn = jQueryMap.content.getSmsCodeBtn;
        var tipSpan = jQueryMap.content.tipSpan;
        getSmsCodeBtn.hide();
        tipSpan.text(countDown + "s后重发").show();
        var lastTime = +new Date;
        clearCountDown = setInterval(function () {
        	if(Math.abs(+new Date - lastTime) > 3000) {
        		countDown = countDown -Math.abs(+new Date - lastTime);
            }
            lastTime = +new Date;
            countDown--;
            if (countDown === 0 || countDown < 0) {
                countDown = global.countDown;
                getSmsCodeBtn.show();
                tipSpan.hide();
                window.clearInterval(clearCountDown);
            } else {
                tipSpan.text(countDown + "s后重发");
            }
        }, 1000);
    }

    // 设置确认按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.nextStep, function () {
            var hasEmptyInput = myUtils.hasEmptyInput(jQueryMap.content.mobileCode);
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput;
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.mobileCode.val("");
        jQueryMap.content.getSmsCodeBtn.show();
        jQueryMap.content.tipSpan.hide();
        jQueryMap.content.nextStep.addClass("disabled");
        countDown = global.countDown;
        window.clearInterval(clearCountDown);
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
