define("financial/scripts/account/inputMobileNo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var mobileKey;
    var $page = $("#account_inputMobileNo");

    // 初始化jQueryMap对象
    initJQueryMap();
   
    function init(){
    	
    }
    function load() {
        initPage();
    }
    
    function bindPageEvent() {
        // 返回事件
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 刷新图片验证码
        $.bindEvent(jQueryMap.content.gvCodeImg, function () {
            // 获取图像验证码
            getGVCode();
        });

        // input事件
        $.bindEvent($page.find(".fm_field input"), function () {
            var $this = $(this);
            if($this.attr("id")=="gv_code"){
                $this.val().length > 0 ? jQueryMap.content.cleanBtn.css("display","block") : jQueryMap.content.cleanBtn.css("display","none");
            }
            setBtnStatus();
        }, "input");

        //点击图形验证的清空按钮
        $.bindEvent(jQueryMap.content.cleanBtn, function () {
            $(this).css("display","none");
            jQueryMap.content.gvCode.val("");
        });

        // 下一步
        $.bindEvent(jQueryMap.content.nextStepBtn, function () {
            if (jQueryMap.content.nextStepBtn.hasClass("disabled")) {
                return false;
            }
            var mobileNo = jQueryMap.content.mobileNo.val();
            var gvCode = jQueryMap.content.gvCode.val();
            if (!mobileNo) {

                $.toast("请输入手机号");
                return false;
            }
            if (!validatorUtils.isMobile(mobileNo)) {
                $.toast("手机号不正确");
                return false;
            }
            if (!gvCode) {
                $.toast("请输入图形验证码");
                getGVCode();
                return false;
            }
            if (/\W+/.test(gvCode)) {
                $.toast("图形验证码错误，请重新输入");
                getGVCode();
                jQueryMap.content.gvCode.val("");
                return false;
            }
            if (gvCode.length < 4) {
                $.toast("请输入4位的图形验证码");
                getGVCode();
                return false;
            }

            // 获取短信验证码
            getSMSCode(mobileNo, gvCode, function () {
                $.pageInit("account/inputMobileNo", "account/checkMobileNo", {
                    "mobileNo" : mobileNo,
                    "mobileKey": mobileKey,
                    "gvCode"   : gvCode,
                    "opType"   : "forgetLoginPwd"
                });
            });
            //先验证图形验证码再发送短信
            //$.ajax({
            //    url: global.serverAddr + "servlet/ImageAction?function=ajaxTicket",
            //    xhrFields : { "withCredentials" : true },  // 跨域保持会话
            //    data:{"ticket":gvCode},
            //    success:function(result){
            //        if(result=="true"){
            //            // 获取短信验证码
            //            getSMSCode(mobileNo, function () {// gvCode,
            //            $.pageInit("account/inputMobileNo", "account/checkMobileNo", {
            //                "mobileNo" : mobileNo,
            //                "mobileKey": mobileKey,
            //                "gvCode"   : gvCode,
            //                "opType"   : "forgetLoginPwd"
            //            });
            //            });
            //        }else{
            //            getGVCode();
            //            $.toast("图形验证码输入错误！");
            //        }
            //    }
            //});

        });
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "title": $page.find("#title")
            },
            "content": {
                "tipInfo"    : $page.find("#tip_info"),
                "mobileNo"   : $page.find("#mobile_no"),
                "gvCode"     : $page.find("#gv_code"),
                "gvCodeImg"  : $page.find("#gv_code_img"),
                "nextStepBtn": $page.find("#next_step_btn"),
                "cleanBtn"  : $page.find("#clean_btn")
            },
            "footer" : {}
        };
    }

    function initPage() {
        // 获取图像验证码
        getGVCode();
    }

    // 获取图像验证码
    function getGVCode() {
        mobileKey = +(new Date);
        var url = global.serverAddr + "nImgServlet?mobileKey=" + mobileKey;
        jQueryMap.content.gvCodeImg.attr("src", url);
    }

    // 获取手机验证码
    function getSMSCode(mobileNo, gvCode, callback) {
        // 获取手机验证码
        service.getSmsCode({
            //"staffId"    : model.dataStore.staffId,
            "mobileKey"  : mobileKey,
            "verify_code": gvCode,
            "mobileNo"   : mobileNo,       // 手机号码 Y
            "msgType"    : "1"                     // 0：注册，1：修改密码
        }, function () {
            // 把记录发送短信次数的计数器清零
            // 只有注册流程时才做此清零操作
            if ($.getSStorageInfo("_prePageCode") === "account/checkMobileNo") {
                $.setSStorageInfo("numOfGetSmsCode", "1");
            }

            if (callback) callback();
        }, function (error_no, error_info) {
            jQueryMap.content.gvCode.val("");
            jQueryMap.content.nextStepBtn.addClass("disabled");
            // 获取图像验证码
            getGVCode();
            $.toast(error_info);
        });
    }

    // 设置按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.nextStepBtn, function () {
            var inputArr = [jQueryMap.content.mobileNo, jQueryMap.content.gvCode];
            var hasEmptyInput = myUtils.hasEmptyInput(inputArr);
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput;
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.mobileNo.val("");
        jQueryMap.content.gvCode.val("");
        jQueryMap.content.nextStepBtn.addClass("disabled");
        jQueryMap.content.cleanBtn.css("display","none");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
