define("financial/scripts/account/login.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var srcModule;
    var prePageCode;
    var $page = $("#account_login");
    var global = $.config.global;
    var toPageCode;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        /*// 在登陆页call原生 检查是否需要升级
        $.callMessage({
            "funcNo"    : "50203",
            "url"       : global.checkUpdate
        });*/
        var winHeight = $(window).height()*0.72;
        $("#account_login #posiWrap").css({"position":"absolute","top":winHeight,"display":"block","width":"100%"});
        initPage();
    }
    function load() {

    }

    function bindPageEvent() {
        //myUtils.dealPageStyle($page);
        // 同步密码
        $.bindEvent($page.find(".form_box #inputPwd input"), function () {
            var $this = $(this);
            var value = $this.val();
            $this.siblings("input").val(value);

            // 可见不可见图标的显示隐藏
            if (value.length === 0) {
                jQueryMap.toggleBtn.hide();
                $this.siblings("a.clear_btn").hide();
            } else {
                jQueryMap.toggleBtn.show();
                $this.siblings("a.clear_btn").show();
            }
            // 设置按钮状态
            setBtnStatus();
        }, "input");

        //点击输入手机号码
        $.bindEvent($page.find(".form_box #account_ipt"), function () {
            // 可见不可见图标的显示隐藏
            if ($(this).val().length === 0) {
                //jQueryMap.toggleBtn.hide();
                $(this).siblings("a.clear_btn").hide();
            } else {
                //jQueryMap.toggleBtn.show();
                $(this).siblings("a.clear_btn").show();
            }
            // 设置按钮状态
            setBtnStatus();
        }, "input");

        $.bindEvent($page.find(".form_box #account_ipt"), function () {
            var key = event.data || '';
            if (/[^0-9]/g.test(key)) {
                event.preventDefault();
            }
        }, "textInput");

        $.bindEvent($page.find(".form_box #inputPwd input"), function () {
            var key = event.data || '';
            if (/^\W+/g.test(key)) {
                event.preventDefault();
            }
        }, "textInput");

        // 切换明文、密文
        $.bindEvent(jQueryMap.toggleBtn, function () {
            // visible   hide
            var $this = $(this);
            var textInput = $this.prev().prev();
            var pwdInput = textInput.prev();
            if ($this.hasClass("close")) {
                pwdInput.hide();
                textInput.show();
                $this.attr("class", "icon icon_eye open");
            } else {
                pwdInput.show();
                textInput.hide();
                $this.attr("class", "icon icon_eye close");
            }
        });

        // 点击取消按钮
        $.bindEvent(jQueryMap.mktGoBack, function () {
            $.pageInit("account/login", "account/preLogin","","left");
        });

        // 忘记密码
        $.bindEvent(jQueryMap.forgetLoginPwd, function () {
            $.pageInit("account/login", "account/inputMobileNo");
        });

        // 注册
        $.bindEvent(jQueryMap.registerBtn, function () {
            //if( prePageCode === "account/login" ){
            //    $.pageBack(null,null,2);
            //}
            $.pageInit("account/login", "account/register");
        });

        // 点击登录
        $.bindEvent(jQueryMap.sure_btn, function () {
            if ($(this).hasClass("disabled")) {
                return false;
            }
            // 获取登陆账号和密码
            var account = jQueryMap.account_ipt.val().trim();
            var loginPwd = jQueryMap.pwd_ipt.val().trim();
            if (!validatorUtils.isMobile(account)) {
                $.toast("账号格式错误");
                return false;
            }

            if (/\W+/.test(loginPwd)) {
                $.toast("密码不能有非数字字母字符");
                return false;
            }
            jQueryMap.sure_btn.addClass("disabled");
            login(account, loginPwd);
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.clearBtn, function () {
            //jQueryMap.pwd_ipt.val("");
            //jQueryMap.pwd_ipt.next().val("");

            $(this).siblings("input").val("");
            $(this).hide();
            setBtnStatus();
        });

        // 点击知道了，重新输入手机号码
        $.bindEvent(jQueryMap.closeDailog, function () {
            jQueryMap.clearBtn.css("display","none");
            jQueryMap.dailog.hide();
            jQueryMap.pwd_ipt.val("");
            jQueryMap.pwd_ipt.siblings("input").val("");
            jQueryMap.account_ipt.val("");
            jQueryMap.sure_btn.addClass("disabled");
        });
        // 点击知道了，重新输入手机号码
        $.bindEvent(jQueryMap.closeDailog1, function () {
            jQueryMap.clearBtn.css("display","none");
            jQueryMap.dailog1.hide();
            jQueryMap.pwd_ipt.val("");
            jQueryMap.pwd_ipt.siblings("input").val("");
            //jQueryMap.account_ipt.val("");
            jQueryMap.sure_btn.addClass("disabled");
        });
    }

    function destroy() {
        // 清除登陆输入框
        jQueryMap.account_ipt.val("");
        jQueryMap.pwd_ipt
            .val("").show()
            .next().val("").hide();
        jQueryMap.toggleBtn.attr("class", "icon icon_eye close");
        jQueryMap.sure_btn.addClass("disabled");
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            // 手机号或职工编号输入框输入框
            "account_ipt"   : $page.find("#account_ipt"),
            // 密码输入框
            "pwd_ipt"       : $page.find("#pwd_ipt"),
            // 登录按钮
            "sure_btn"      : $page.find("#sure_btn"),
            // 忘记密码
            "forgetLoginPwd": $page.find("#forget_login_pwd"),
            //取消按钮
            "mktGoBack"     : $page.find("#mktGoBack"),
            // 注册按钮
            "registerBtn"   : $page.find("#register_btn"),
            // 切换密码显示方式的按钮
            "toggleBtn"     : $page.find("#toggle_btn"),
            //点击xx图标清空输入框内容
            "clearBtn"      : $page.find(".clear_btn"),

            //提示框，请输入正确的手机号码
            "dailog"        : $page.find("#dailog"),
            "closeDailog"   : $page.find("#closeDailog"),
            "dailog1"        : $page.find("#dailog1"),
            "closeDailog1"   : $page.find("#closeDailog1")
        };
    }

    function initPage() {
        myUtils.hideBtn();
        cleanPageElement();

        srcModule = $.getPageParam("module");
        prePageCode = $.getSStorageInfo("_prePageCode");

        // 注册时存在该手机号时，就填充手机号
        if (prePageCode == "account/register" || prePageCode == "account/resetPwd") {
            jQueryMap.account_ipt.val($.getPageParam("mobileNo"));
        }
        if ($.getSStorageInfo("prePage") === "shellFunction/msgFunction" || $.getSStorageInfo("_prePageCode") == "me/myData/systemSetting") {
            jQueryMap.account_ipt.val($.getLStorageInfo("mobileNo"));
        }

        // 清空缓存
        $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postIdChannel","postNameChannel","postNo","call_auth","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId"],function(index,item){
            $.clearSStorage(item);
        });
        //$.clearSStorage();
        $.clearLStorage("mobileNo");
        $.clearLStorage("loginPwd");
        // 清理全局对象中缓存的数据
        model.clear();



    }
    //var useNameResult = $.callMessage({
    //    "funcNo": "70006",
    //    "userName": "周星辰",
    //    "password": "hxzq123"
    //});
    //
    ////alert(JSON.stringify("70006"+JSON.stringify(useNameResult)));
    //    function getLoginResult(result){
    //        //alert("70007"+$.getSStorageInfo("push_user_id"));
    //        alert("70007"+JSON.stringify(result));
    //    }

    // 登录
    function login(account, loginPwd) {
        var loginParam = {"loginPwd": jQueryMap.pwd_ipt.val()};

        // 若账号格式为手机号，则作为手机号码传入接口，否则作为职工编号传入接口
        //validatorUtils.isMobile(account) ?
        loginParam.mobileNo = jQueryMap.account_ipt.val();   //account : loginParam.merStaffId = account;
        loginParam.postType = $.getLStorageInfo("postType");

        // loginParam: {merStaffId|mobileNo, pwd}
        myUtils.login({
            "loginParam" : loginParam,
            "successFunc": function (result) {

                var postNo = result.postNo;
                $.setLStorageInfo("postNo",postNo);
                $.setLStorageInfo("postType",result.orderType);
                jQueryMap.sure_btn.removeClass("disabled");
                if( postNo == "wealthManager" || postNo == "customerManager" ||  postNo == "investAdviser" ||  postNo == "others" || postNo == "channelManager" || postNo == "effectiveCommissioner"){
                    $.setSStorageInfo("role","1");
                    $.pageInit("account/login", "subject/subject");
                }else if( postNo == "branchManager" ||  postNo == "mktManager" || postNo == "areaManager" ||  postNo == "ivtManager"){
                    $.setSStorageInfo("role","0");
                    $.pageInit("account/login", "administrator/adminList");
                }
                //管理员
                //branchManager	--营业部总经理
                //mktManager		--营销总监
                //areaManager		--区域经理
                //ivtManager		--投顾总监
                //员工账号
                //customerManager	--客户经理
                //investAdviser		   --投资顾问
                //wealthManager		   --理财规划师
                //effectiveCommissioner   --有效专员
                //channelManager    --渠道经理
                // 跳转到相应的页面
                //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
                //toPage(result.registerState);
                //存密码给壳子
                //alert("'"+result.employeeNo+"'");
                //
                //$.pageInit("account/login", "subject/subject");


            },
            "errorFunc"  : function(error_no, error_info){
//                if(error_no == "-120100116"){
////                    jQueryMap.dailog.show();
//                    $.alert(error_info);
//                }
//                else if(error_no == "-120100103"){
////                    jQueryMap.dailog1.show();
//                    $.alert(error_info);
//                }else{           	 
                $.alert(error_info);
                jQueryMap.sure_btn.removeClass("disabled");
//                }
            },
            "isCache"    : true
        });

    }

    // 跳转到相应的页面
    // registerState  1:注册成功且为认证 2：选择个人 3：选择机构 4：选择经纪人 5：选择企业用户 6：成功提交经纪人信息
    function toPage(registerState) {

        var pageMap = {
            "subject": "subject/subject",
            "effect" : "effect/effect",
            "custom" : "custom/custom",
            "me"     : "me/myIndex"
        };

        if (registerState === "1") {
            toPageCode = "account/selectAccountType";
            // register:注册流程     auth: 自主认证流程
            $.setSStorageInfo("authProcess", "register");
        } else if (["account/noLogin", "subject/subjectDetail", "me/noLoginIndex"].indexOf(prePageCode) > -1) {
            toPageCode = pageMap[srcModule];
        } else {
            // 跳转至推广页
            toPageCode = "product/product";
        }

        //登录成功记录手机数据
        //$.callMessage({
        //    "funcNo"    : "70003",
        //    "moduleName": "mall"
        //});

    }

    // 设置登陆按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.sure_btn, function () {
            var inputArr = [jQueryMap.account_ipt, jQueryMap.pwd_ipt];
            var hasEmptyInput = myUtils.hasEmptyInput(inputArr);
            var loginPwd = myUtils.trimInput(jQueryMap.pwd_ipt)[0];
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput && loginPwd.length >= 8;
        });
    }

    //存手机埋点信息
    //function getDeviceInfo(data) {
    //    var deviceInfo = data.deviceInfo;
    //    service.getDeviceInfo({
    //        "staffId"    : model.dataStore.staffId,
    //        "deviceId"   : deviceInfo.imei,
    //        "model"      : deviceInfo.mtype,
    //        "brand"      : deviceInfo.mtyb,
    //        "versionCode": deviceInfo.OsInfo
    //    }, function () {
    //        $.pageInit("account/login", toPageCode);
    //    });
    //}

    //function getLoginResult(result){
    //    service.saveUserInfo({
    //        "staffId"       : model.dataStore.staffId,         // 推广员ID  Y
    //        "actionType"    : "1",      // 操作类型  Y，0：查询，1：修改
    //        "pushUserId"    : result[0].user_id         //消息推送用户id
    //    },function(){
    //    });
    //}

    function cleanPageElement(){
        jQueryMap.clearBtn.hide("");
        //jQueryMap.toggleBtn.attr("class", "icon icon_eye close").hide();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
