define("financial/scripts/account/register.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var mobileNo;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#account_register");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        var winHeight = $(window).height()*0.72;
        $("#account_register #posiWrap").css({"position":"absolute","top":winHeight,"display":"block","width":"100%"});
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 取消按钮
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
            //$.pageInit("account/register", "account/preLogin","","left");
        });

        // 返回到登录页面
        $.bindEvent(jQueryMap.content.backLoginBtn, function () {
            $.pageInit("account/register", "account/login", {
                "mobileNo": jQueryMap.content.mobileNo.val()
            });
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.content.clearBtn, function () {
            $(this).siblings("input").val("");
            $(this).hide();
            setBtnStatus();
        });

        //点击输入手机号码
        $.bindEvent(jQueryMap.content.mobileNo, function () {
            // 设置按钮状态
            setBtnStatus();
        }, "input");


        // 同步密码
        //$.bindEvent(jQueryMap.content.allPwdInput, function () {
        //    var $this = $(this);
        //    var value = $this.val();
        //    $this.siblings("input").val(value);
        //
        //    // 可见不可见图标的显示隐藏
        //    if (value.length === 0) {
        //        jQueryMap.content.toggleBtn.hide();
        //    } else {
        //        jQueryMap.content.toggleBtn.show();
        //    }
        //
        //    // 设置确认按钮状态
        //    setBtnStatus();
        //}, "input");

        // 同步密码
        $.bindEvent($page.find(".form_box #inputPwd input"), function () {
            var $this = $(this);
            var value = $this.val();
            $this.siblings("input").val(value);

            // 可见不可见图标的显示隐藏
            if (value.length === 0) {
                jQueryMap.content.toggleBtn.hide();
                $this.siblings("a.clear_btn").hide();
            } else {
                jQueryMap.content.toggleBtn.show();
                $this.siblings("a.clear_btn").show();
            }
            // 设置按钮状态
            setBtnStatus();
        }, "input");


        // 切换明文、密文
        $.bindEvent(jQueryMap.content.toggleBtn, function () {
            // visible   hide
            var $this = $(this);
            var textInput = $this.prev().prev();
            var pwdInput = textInput.prev();
            textInput.val(pwdInput.val());
            if ($this.hasClass("close")) {
                pwdInput.hide();
                textInput.show();
                $this.attr("class", "icon icon_eye open");
            } else {
                pwdInput.show();
                textInput.hide();
                $this.attr("class", "icon icon_eye close");
            }
        });


        // 查看协议内容
        $.bindEvent(jQueryMap.content.regProtocol, function () {
            $.each(["mobileNo", "pwdInput"], function (index, domKey) {
                var $dom = jQueryMap.content[domKey];
                $dom.attr("data-originalVal", $dom.val().trim());
            });
            $.pageInit("account/register", "account/showRegProtocol");
        });

        // 跳转到登录页面
        $.bindEvent(jQueryMap.content.toLoginBtn, function () {
            // 隐藏弹出层
            jQueryMap.layerArea.tipArea.fadeOut("fast");
            // 跳转到登录页面
            $.pageInit("account/register", "account/login", {"mobileNo": jQueryMap.content.mobileNo.val()});
        });

        // 输入其他手机号
        $.bindEvent(jQueryMap.content.inputAgainBtn, function () {
            // 重置页面元素
            cleanPageElement();
            // 隐藏弹出层
            jQueryMap.layerArea.tipArea.fadeOut("fast");
        });

        //点击取消
        $.bindEvent(jQueryMap.content.cancel, function () {
            // 隐藏弹出层
            jQueryMap.layerArea.tipArea.fadeOut("fast");
        });

        $.bindEvent(jQueryMap.content.cancel1, function () {
            // 隐藏弹出层
            jQueryMap.layerArea.tipArea1.fadeOut("fast");
        });

        $.bindEvent(jQueryMap.content.cancel2, function () {
            // 隐藏弹出层
            jQueryMap.layerArea.tipArea2.fadeOut("fast");
        });

        //点击好，我们将发送验证码短信到这个手机号
        $.bindEvent(jQueryMap.content.okSendmsn, function () {
            var mobileNo = jQueryMap.content.mobileNo.val();
            var pwdInput = jQueryMap.content.pwdInput.val();

            $.setSStorageInfo("mobileNo",mobileNo);
            $.setSStorageInfo("loginPwd",pwdInput);
            jQueryMap.layerArea.tipArea2.fadeOut("fast");
            //发送验证码
            //sendSmsCode(mobileNo);
            $.pageInit("account/register", "account/checkMobileNo",{
            	"mobileNo"  : mobileNo,
                "opType"    : "register"        
            });

        });


        //协议的勾选
        $.bindEvent(jQueryMap.content.checkbox, function () {
            if($(this).attr("checked") == "checked"){
                $(this).removeAttr("checked");
            }else{
                $(this).attr("checked","checked");
            }
        });

        // 注册按钮
        $.bindEvent(jQueryMap.content.registerBtn, function () {
            if (jQueryMap.content.registerBtn.hasClass("disabled")) {
                return false;
            }
            var mobileNo = jQueryMap.content.mobileNo.val();
            var pwdInput = jQueryMap.content.pwdInput.val();

            if (!mobileNo) {
                $.toast("请输入手机号");
                // 获取图像验证码
                return false;
            }
            if (!validatorUtils.isMobile(mobileNo)) {
                $.toast("手机号不正确");
                // 获取图像验证码
                return false;
            }

            if (!pwdInput) {
                $.toast("请输入密码");
                return false;
            }
            // 6~12位数字字母组合,必须既有数字又有字母
            if (myUtils.isNotNumberAndChar(pwdInput)) {
                $.toast("密码必须是8—20位数字、字母组合！");
                return false;
            }

            if (pwdInput.length < 8) {
                $.toast("密码必须是8—20位数字、字母组合！");
                return false;
            }

            if(jQueryMap.content.checkbox.attr("checked") != "checked"){
                $.toast("请勾选注册协议！");
                return false;
            }
            // 检查该手机号是否注册
            isRegister(mobileNo,pwdInput);
        });
    }

    function destroy() {
        // 重置页面元素
        //cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "inputPwd": $page.find("#inputPwd"),
                "mobileNo"     : $page.find("#mobile_no"),
                "checkbox"       : $page.find("#checkbox"),
                "pwdInput" : $page.find("#pwd_input"),
                "mobileSure"    : $page.find("#mobileSure"),
                "registerBtn"  : $page.find("#reg_btn"),
                "toLoginBtn"   : $page.find("#to_login_btn"),
                "inputAgainBtn": $page.find("#input_again_btn"),
                "regProtocol"  : $page.find("#reg_protocol"),
                "backLoginBtn" : $page.find("#back_login_btn"),
                "okSendmsn" : $page.find("#ok_send_msn"),
                "toggleBtn": $page.find("#toggle_btn"),
                //点击xx图标清空输入框内容
                "clearBtn"      : $page.find(".clear_btn"),

                "cancel" : $page.find("#cancel"),
                "cancel1" : $page.find("#cancel1"),
                "cancel2" : $page.find("#cancel2")
            },
            "footer"   : {},
            "layerArea": {
                "tipArea": $page.find("#tipArea"),
                "tipArea1": $page.find("#tipArea1"),
                "tipArea2": $page.find("#tipArea2")
            }
        };
    }

    function initPage() {
        // 设置认证流程标识
        $.setSStorageInfo("authProcess", "register");

        if ($.getSStorageInfo("_prePageCode") === "account/showRegProtocol") {
            $.each(["mobileNo", "pwdInput"], function (index, domKey) {
                var $dom = jQueryMap.content[domKey];
                $dom.val($dom.attr("data-originalVal"));
                $dom.removeAttr("data-originalVal");

                setBtnStatus();
            });
        } else {
            cleanPageElement();
            // 获取注册协议
            getRegProtocol();
        }
    }

    // 获取注册协议
    function getRegProtocol() {
        service.getProtocol({
            "typeCode": "registerProtocol"
        }, function (results) {
            if(results.length>0){
                var protocolObj = results[0];
                jQueryMap.content.regProtocol.text("《" + protocolObj.agree_name + "》");
                model.cache("regProtocol", protocolObj);
            }
        });
    }

    //function sendSmsCode(mobileNo){
    //    service.getSmsCode({
    //        "mobileNo"   : mobileNo,
    //        "msgType"    : "0"
    //    }, function () {
    //        //// 把记录发送短信次数的计数器清零
    //        //// 只有注册流程时才做此清零操作
    //        //if ($.getSStorageInfo("_prePageCode") === "account/checkMobileNo") {
    //        //    $.setSStorageInfo("numOfGetSmsCode", "1");
    //        //}
    //        //$.pageInit("account/register", "account/verifyCode", {
    //        //});
    //        $.pageInit("account/register", "account/verifyCode");
    //    });
    //}

    //判断该手机是否在注册名单之内和是否已经注册
    function isRegister(mobileNo,pwdInput){
        service.isInRegister({
            "mobileNo": mobileNo
        }, function () {
            //确认手机号码,我们将发送验证码短信到这个手机号
            jQueryMap.layerArea.tipArea2.fadeIn("fast");
            jQueryMap.content.mobileSure.html(mobileNo);

        },function(error_no, error_info){
            // 此手机号已被注册
            if (error_no === "9") {
                // 显示提示弹出层
                //该号码不在注册名单内，是否更换其他号码9
                jQueryMap.layerArea.tipArea.fadeIn("fast");
            } else if(error_no === "10"){
                //该号码已注册，是否登录10
                jQueryMap.layerArea.tipArea1.fadeIn("fast");
            }else{
                $.alert(error_info);
            }
        });
    }


    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.mobileNo.val("");
        jQueryMap.content.pwdInput.val("");
        jQueryMap.content.registerBtn.addClass("disabled");
        jQueryMap.content.pwdInput.val("").hide().next().val("").show();
        jQueryMap.content.toggleBtn.attr("class", "icon icon_eye open");
        jQueryMap.content.clearBtn.css("display","none");
        jQueryMap.layerArea.tipArea.hide();
        jQueryMap.layerArea.tipArea1.hide();
        jQueryMap.layerArea.tipArea2.hide();
    }

    // 设置确认按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.registerBtn, function () {
            //return !hasEmptyInput;
            //var hasEmptyInput = myUtils.hasEmptyInput(jQueryMap.content.mobileNo.val());
            //var pwd = myUtils.trimInput(jQueryMap.content.pwdInput);
            ////var pwd = myUtils.trimInput(jQueryMap.pwd_ipt)[0];
            //// true 高亮显示按钮  false 显示暗色
            //return !hasEmptyInput && pwd.length >= 6;

            var inputArr = [jQueryMap.content.mobileNo, jQueryMap.content.pwdInput];
            var hasEmptyInput = myUtils.hasEmptyInput(inputArr);
            var loginPwd = myUtils.trimInput(jQueryMap.content.pwdInput)[0];
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput && loginPwd.length >= 8;
        });
    }


    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
