define("financial/scripts/account/resetPwd.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var opType;     //resetLoginPwd: 重置登录密码    forgetLoginPwd: 忘记登录密码
    var mobileNo;
    var isModifyPwd;
    var $page = $("#account_resetPwd");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    function load() {

    }

    function bindPageEvent() {
        // 返回事件
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 同步密码
        $.bindEvent($page.find("div.fm_item input"), function () {
            var $this = $(this);
            var value = $this.val();
            $this.siblings("input").val(value);
            if($this.val().length === 0){
                $(this).siblings("a.icon_eye").hide();
            }else{
                $(this).siblings("a.icon_eye").show();
            }
            // 设置按钮状态
            setBtnStatus();
        }, "input");

        // 切换明文、密文
        $.bindEvent($page.find("div.fm_item a.icon_eye"), function () {
            // visible   hide
            var $this = $(this);
            var textInput = $this.prev();
            var pwdInput = textInput.prev();
            if ($this.hasClass("close")) {
                pwdInput.hide();
                textInput.show();
                $this.attr("class", "icon icon_eye open");
            } else {
                pwdInput.show();
                textInput.hide();
                $this.attr("class", "icon icon_eye close");
            }
        });

        // 清空搜索框
        $.bindEvent($page.find("div.fm_item a.icon_reset01"), function () {
            $(this).siblings("input").val("");
            $(this).hide();
            setBtnStatus();
        });

        // 确认修改密码
        $.bindEvent(jQueryMap.content.nextStep, function () {
            var isInputAll = !($(this).hasClass("disabled"));
            var pwdMap;
            if (isInputAll && (pwdMap = verifyPageInfo())) {
                modifyPwd(pwdMap);
            }
        });
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
//                "oldPwdBox"   : $page.find("#old_pwd_box"),
                "oldPwd"      : $page.find("#old_pwd"),
                "newPwd"      : $page.find("#new_pwd"),
                "repeatNewPwd": $page.find("#repeat_new_pwd"),
                "nextStep"    : $page.find("#next_step"),
                "tipInfo"     : $page.find(".psd_txt"),
                "pwdtitle"    : $page.find("#pwdtitle"),
                "old_status"  : $page.find("#old_status")
            },
            "footer" : {}
        };
    }

    function initPage() {
        if ($.getSStorageInfo("_prePageCode") !== "account/login") {  	
            opType = $.getPageParam("opType");
            mobileNo = $.getPageParam("mobileNo");
            isModifyPwd = opType === "resetLoginPwd";
            if(!isModifyPwd){
            	 jQueryMap.content.pwdtitle.html("重置登录密码");
            	 jQueryMap.content.old_status.hide();  	 
            }    
           // jQueryMap.content.old_status[isModifyPwd ? "show" : "hide"]();
        }
    }

    // 校验页面信息是否输入完整
    function verifyPageInfo() {
        //if (isModifyPwd) {
        //
        //}
        var newPwd = jQueryMap.content.newPwd.val().trim();
        var repeatNewPwd = jQueryMap.content.repeatNewPwd.val().trim();

        // 只有修改密码需要输入原密码，忘记密码不需要原密码
        if (isModifyPwd) {
            var oldPwd = jQueryMap.content.oldPwd.val().trim();
            if (oldPwd === "") {
                $.toast("请输入原密码");
                return false;
            }

            if (oldPwd.length < 8) {
                $.toast("原密码长度至少为8位，请重新输入");
                return false;
            }

            if (/\W+/.test(oldPwd)) {
                $.toast("原密码不能有非数字字母字符");
                return false;
            }

            if (oldPwd === newPwd) {
                $.toast("新密码与原密码相同");
                return false;
            }
        }

        if (newPwd === "") {
            $.toast("请输入新密码");
            return false;
        }

        if (newPwd.length < 8) {
            $.toast("新密码长度至少为8位，请重新输入");
            return false;
        }

        if (myUtils.isNotNumberAndChar(newPwd)) {
            $.toast("新密码只能是8~20位数字字母组合");
            return false;
        }

        if (repeatNewPwd === "") {
            $.toast("请再次输入新密码");
            return false;
        }

        if (newPwd !== repeatNewPwd) {
            $.toast("您两次输入的新密码不一致，请重新输入");
            jQueryMap.content.repeatNewPwd.val("");
            jQueryMap.content.repeatNewPwd.siblings("input").val("");
            return false;
        }

        var pwdMap = {"newPwd": newPwd};
        if (isModifyPwd) {
            pwdMap.oldPwd = oldPwd;
        }
        return pwdMap;
    }

    // 对密码进行加密并提交
    function modifyPwd(pwdMap) {
        myUtils.doRSA(pwdMap, function (rsaMap) {
            var paramMap = {
                "staffId" : model.dataStore.staffId,
                "newPwd"  : rsaMap.newPwd,
                "mobileNo": mobileNo,
                "opType"  : isModifyPwd ? "0" : "1"  // 0：修改密码 1：忘记密码
            };
            if (isModifyPwd) {
                paramMap.oldPwd = rsaMap.oldPwd;
            } 
            service.modifyPwd(paramMap, function () {   // successFunc
                // 把修改密码提示框标识设置为false
                $.setLStorageInfo("pwdflag_" + model.dataStore.staffId, "false");
                opResult("success");
            }, function (error_no, error_info) {         // errorFunc
                opResult("error", error_info);
            });
        });
    }

    // 根据调接口的返回结果，进行相应的操作
    function opResult(type, error_info) {
       // alert(type);
    	var tipMap = {
            "resetLoginPwd" : ["密码修改成功", "原密码不正确，请重新输入"],
            "forgetLoginPwd": ["密码重置成功", error_info]
        };
        var flag = type === "success";
        var tipStr = flag ? tipMap[opType][0] : tipMap[opType][1];
        jQueryMap.content.tipInfo.text(tipStr).show();
       // var tipStr = flag ? $page.find(".info_dialog").show() : jQueryMap.content.tipInfo.text( tipMap[opType][1]).show();
        setTimeout(function () {
           // $page.find(".info_dialog").hide();
            jQueryMap.content.tipInfo.hide();
            if (flag) {
            	//用浏览器存缓存的话，部分手机的浏览器有可能被手机厂商的设置导致登录问题
                //所有当在手机使用的时候，用壳子来存缓存
                //其实是另类的清楚壳子的缓存
                //清楚壳子的缓存数据用户缓存,用缓存存手机号码
                $.callMessage({
                    "funcNo": "50042",
                    "key"   : "mobileNo",
                    "value" : "",
                });
                //保存数据用户缓存,用缓存存密码
                $.callMessage({
                    "funcNo": "50042",
                    "key"   : "loginPwd",
                    "value" : "",
                });

                //退出IM的登录
                $.callMessage({
                    "funcNo"         : "80102"
                });
                service.logout({"staffId": model.dataStore.staffId}, function () {
                    var mobileNo = $.getLStorageInfo("mobileNo");
                    $.pageInit("account/resetPwd", "account/login", {"mobileNo":mobileNo});
                });
            }
        }, 1000);
    }

    // 设置确认按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.nextStep, function () {
            var domKeyArr = ["newPwd", "repeatNewPwd"];
            if (isModifyPwd) {
                domKeyArr.push("oldPwd");
            }
            var inputArr = myUtils.getDomArr(domKeyArr, jQueryMap.content);
            var hasEmptyInput = myUtils.hasEmptyInput(inputArr);
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput;
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        // 清空密码框
        var $allLiDom = $page.find("div.fm_item");
        $allLiDom.find("input").val("");
        $allLiDom.find("a").each(function () {
            var $this = $(this);
            if ($this.hasClass("hide")) {
                $this.trigger("mousedown");
            }
        });
        jQueryMap.content.nextStep.addClass("disabled");
        $page.find("div.fm_item a.icon_eye").attr("class", "icon icon_eye close");
        jQueryMap.content.repeatNewPwd.show().siblings("input").hide();
        jQueryMap.content.newPwd.show().siblings("input").hide();
        jQueryMap.content.oldPwd.show().siblings("input").hide();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
