define("financial/scripts/administrator/addCustListPage.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    require("highcharts");
    require("echarts");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var $page = $("#administrator_addCustListPage");
    var _pageId = "#administrator_addCustListPage "; // 页面ID
    var jQueryMap;   
    var data_type = "dayCustomerCount";
    // 模块内的其它全局变量
    var actionType;     //操作类型：日0、周(1)、月(2)、年(3),默认为日
    var orderState = "0"; 	//排序标识0降1升
    var month = "";                //月份
    var deptId = "";               //员工/部门id
    var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    }
    
    function load() {
    	$('.scroll_table .cheek.scroll').bind('scroll',function(){
			oLeft = $(this).scrollLeft();
			$('.scroll_table .cheek.scroll').scrollLeft(oLeft);
		});
    	if($.getPageParam ("title")){
    		jQueryMap.header.mktGoBack.next().html($.getPageParam ("title"));
    	}else{
    		jQueryMap.header.mktGoBack.next().html("新开客户统计");
    	}
    	actionType = $.getSStorageInfo("actionType");
    	$page.find("#timeChange").find("#"+actionType).addClass("current").siblings().removeClass("current");
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
//        	cleanPageElement();
            $.pageBack();            
        });

        //页面的日周月年选择
        $.preBindEvent(jQueryMap.header.timeChange, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            actionType = $(this).attr("id");
            $.setSStorageInfo("actionType",actionType);
			getNewAddCustPage();
        });
        
        //排序事件
        $.preBindEvent(jQueryMap.content.orderBy,"dd",function(){
        	$(this).parent().find("a").removeClass("up").removeClass("down");
        	orderState = $(this).attr("data-order");
        	// 整列数据变色
//        	$page.find("#right_data").find("[name='"+type+"']").addClass("fc_red").siblings().removeClass("fc_red");
        	if(orderState == "0"){
        		$(this).find("a").addClass("up");
        		orderState = "1";
        	}else{
        		$(this).find("a").addClass("down");
        		orderState = "0";
        	}
        	$(this).attr("data-order",orderState);
        	var type = $(this).attr("data_type");
        	data_type = type;
        	orderProductList(orderData,orderState,type);
        });
        
        //点击跳转详情页面
        $.preBindEvent(jQueryMap.content.left_data, " [name='nextPage']", function(){
        	var $this=$(this);
        	var type = $this.attr("data-type");
//        	var num = $this.attr("data-num");
        	var title = $this.attr("data-title");
        	if(type == 0){      		
        		$.setSStorageInfo("magager_cookit_title",title);
        		deptId = $this.attr("data-id");
        		$.pageInit("administrator/addCustomer", "administrator/addCustListPage",{"deptId":deptId,"title":title});	
        	}else if(type == 1){
        		var param = {};
        		var staffId = $this.attr("data-id");
        		param.staffId = staffId;
        		param.actionType = actionType;
        		$.setSStorageInfo("addCust_Detil_title",title);
        		$.pageInit("administrator/addCustomer", "administrator/addCustomerInfo",param);		 
        	}
        });
    
    }

    function destroy() {
		deptId = "";
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "timeChange": $page.find("#timeChange"),
            },
            "content": {
            	"CustomerCount1" : $page.find("#CustomerCount1"),
            	"CustomerCount2" : $page.find("#CustomerCount2"),
            	"orderBy" 		 : $page.find("#orderBy"),
            	"data_none"		 : $page.find("#data_none"),
                "data_main"		 : $page.find("#data_main"),
                "left_data"		 : $page.find("#left_data"),
                "right_data"	 : $page.find("#right_data")
            }
        };
    }

    function initPage() {
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn();
    	/*//动态生成弹层框里面最近三个月的li
        insertMonth();*/
    	// 获取数据
    	if($.getSStorageInfo("_prePageCode") == "administrator/adminList" ) {
    		cleanElement();
    	}
    	if($.getPageParam ("deptId")){
    		deptId = $.getPageParam ("deptId");
    	}
    	getNewAddCustPage();   
    }
    
    // 获取数据
    function getNewAddCustPage() {  
        var param = {
            "userId"     : model.dataStore.userId,  //推广员id
            "deptId"     : deptId,                  //部门id  model.dataStore.userId
            "actionType" : actionType,              //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : month,               
            "postType"		:$.getSStorageInfo("postNo")
        };
        service.addCustPageList(param,function (results) {
        	var num = myUtils.changeMoney(parseFloat(results.dataRow[0].dayCustomerCount)).num;
        	var state = myUtils.changeMoney(parseFloat(results.dataRow[0].dayCustomerCount)).state;
        	jQueryMap.content.CustomerCount1.html(num); 
        	state ? jQueryMap.content.CustomerCount1.parent().find("p").html("新开客户数(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("新开客户数");
        	var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].validCustomerCount)).num;
        	var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].validCustomerCount)).state;
        	jQueryMap.content.CustomerCount2.html(num2); 
        	state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("有效户数(万)") : jQueryMap.content.CustomerCount2.parent().find("p").html("有效户数");      		 
        	 //分页数据展示
        	if(results.list.length > 0){
        		jQueryMap.content.data_none.hide();
        		jQueryMap.content.data_main.show();
        		orderData = results.list;
        		//默认按新客排序
        		orderProductList(orderData,orderState,data_type);
				jQueryMap.content.orderBy.find("a").removeClass("up").removeClass("down");
				jQueryMap.content.orderBy.find("dd").attr("data-order", "0");
				if(orderState == "0") {
					jQueryMap.content.orderBy.find("[name='"+data_type+"']").find("a").addClass("down");
				} else {
					jQueryMap.content.orderBy.find("[name='"+data_type+"']").attr("data-order", "1");
					jQueryMap.content.orderBy.find("[name='"+data_type+"']").find("a").addClass("up");
				}
        	}else{
        		jQueryMap.content.data_main.hide();
        		jQueryMap.content.data_none.show();
        	}	
       });
    }

    //填充数据
    function showCustList(list,order,orderBy){
    	if(list && list.length>0){
    		var leftHtml="";
    		var rightHtml="";
    		var dept = 0;
    		for(var i=0; i<list.length;i++){
    			var type = list[i].type ==0 ? '<em class="depart_tag">部</em>':'';
    			if(list[i].type ==0){
    				dept ++;
    			}
//    			var asset = list[i].totalAssets;
    			var num = list[i].totalAssets;
//    			var num = (parseFloat(asset)/10000).toFixed(2);
//    			var num = myUtils.changeMoney(parseFloat(asset)).num;
//            	var state = myUtils.changeMoney(parseFloat(asset)).state;
            	var custNum = list[i].dayCustomerCount;
    			leftHtml += '<dl><dd><span style="width:1.0rem;text-align:left;overflow:visible;" name="nextPage" data-id="'+list[i].id+'" data-type="'+list[i].type+'" data-num="'+custNum+'" data-title="'+list[i].name+'">'+type+list[i].name+'</span></dd></dl>';
    			/*rightHtml += '<dl><dd><span name="dayCustomerCount">'+custNum+'</span></dd>' +

    						 '<dd><span name="validCustomerCount">'+list[i].validCustomerCount+'</span></dd>' +
    						 '<dd><span style="width:1.0rem;text-align:center" name="totalAssets">'+(state ? num+'万' : num)+'</span></dd>' +
    						 '<dd><span name="commission">'+list[i].commission+'</span></dd></dl>';*/
    			rightHtml += "<dl>";
    			rightHtml += dataHtml("dayCustomerCount",custNum,0);
    			rightHtml += dataHtml("validCustomerCount",list[i].validCustomerCount,0);
    			rightHtml += dataHtml("totalAssets",num,1);
    			rightHtml += dataHtml("commission",list[i].commission,0);
    			rightHtml += "</dl>";
    		}
    		if(dept == 0){
    			$($page).find("#colName").html("员工");
    		}else{
    			$($page).find("#colName").html("员工/部门");
    		}
    	}
    	jQueryMap.content.left_data.html(leftHtml);
    	jQueryMap.content.right_data.html(rightHtml);  
    }
    
    function dataHtml(orderBy,data,col){
    	if(orderBy == data_type){
    		if(col == 1){
    			return '<dd style="width:112px;"><span style="color:#D80C1E;width:1.2rem;" name="validCustomerCount">'+data+'</span></dd>';
    		}else{
    			return '<dd style="width:112px;"><span style="color:#D80C1E" name="validCustomerCount">'+data+'</span></dd>';
    		}
    	}else{
    		if(col == 1){
    			return '<dd><span style="width:1.1rem;" name="validCustomerCount">'+data+'</span></dd>';
    		}else{
    			return '<dd><span name="validCustomerCount">'+data+'</span></dd>';
    		}
    	}
    }
    
    //冒泡排序
    function orderProductList(orderData,orderType,orderBy){
        var order = orderType;
        if(!order){
            return false;
        }else{
        	var length = orderData.length;
        	for (var i = length - 1; i > 0; i--) { 
        	    for (var j = 0; j < i; j++) {
        	    	if(order == "1"){
        	    		if (Number(orderData[j][orderBy]) > Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    	if(order == "0"){
        	    		if (Number(orderData[j][orderBy]) < Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    }
        	}
        }
        showCustList(orderData,order, orderBy);
    }

    // 重置页面元素
    function cleanPageElement() {  	
          
    }
    
    //重置下级页面返回元素
    function cleanElement() {
		deptId = "";
		data_type = "dayCustomerCount";
		orderState = "0";
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
