define("financial/scripts/administrator/addCustomer.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    require("highcharts");
    require("echarts");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var $page = $("#administrator_addCustomer");
    var _pageId = "#administrator_addCustomer "; // 页面ID
    var jQueryMap;   
    // 模块内的其它全局变量
    //走势图全局变量
    var dateStrArray = [];
    var dayCustomerCount = [];
    var validCustomerCount = [];
    var totalAssets = [];
	var addAssets = [];
	var tradeAmount = [];
	var commission = [];
	var orderData = [];
	//走势图单位状态
	var stateTotal;
	var stateAdd;
	var stateTradeAmount ; 
	var stateCommission ;
	//类型年月切换全局变量
    var actionType = 0;            //操作类型：日0、周(1)、月(2)、年(3),默认为日
    var queryCriteria = "custNum"; //新增客户：custNum,资产：assetNum,净佣金：incomeNum
    var month = "";                //月份
    var deptId = "";               //员工/部门id
    var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个
    //高度定位全局变量
    var dHeight =0;
	var aHeight =0;
	var oTop =0;
	var trHeight =0;
	var sTop =0;
	var width;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    }
    
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
//        	cleanPageElement();
            $.pageBack();            
        });
        
        //统计图形切换
        $.bindEvent(jQueryMap.content.changeBtn, function () {
            var $this = $(this);
            if($this.html() == "切换到有效户数"){
            	paintState = "1";
                $this.html("切换到新开客户数");
                jQueryMap.content.zoushi.html("有效户数"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                validCustomerCount.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,validCustomerCount,"line","有效户数","人");
            }else if($this.html() == "切换到新开客户数"){
            	paintState = "0";
                $this.html("切换到有效户数");
                jQueryMap.content.zoushi.html("客户数"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                dayCustomerCount.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,dayCustomerCount,"line","新开客户数","人");
            }else if($this.html() == "切换到新开客户净资产"){
            	paintState = "1";
                $this.html("切换到净资产");
                jQueryMap.content.zoushi.html("新开客户净资产"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
				if(actionType=="1"){
					addAssets.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,addAssets,"bar","新开客户净资产",stateAdd ? "万元" : "元");
				}else{
					addAssets.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,addAssets,"line","新开客户净资产",stateAdd ? "万元" : "元");
				}
            }else if($this.html() == "切换到净资产"){
            	paintState = "0";
                $this.html("切换到新开客户净资产");
                jQueryMap.content.zoushi.html("净资产"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
				if(actionType=="1"){
					totalAssets.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,totalAssets,"bar","净资产",stateTotal ? "万元" : "元");
				}else {
					totalAssets.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,totalAssets,"line","净资产",stateTotal ? "万元" : "元");
				}
            }else if($this.html() == "切换到交易量"){
            	paintState = "1";
                $this.html("切换到净佣金");
                jQueryMap.content.zoushi.html("交易量"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                tradeAmount.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,tradeAmount,"line","交易量",stateTradeAmount ? "万元" : "元");
            }else if($this.html() == "切换到净佣金"){
            	paintState = "0";
                $this.html("切换到交易量");
                jQueryMap.content.zoushi.html("净佣金"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                commission.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,commission,"line","净佣金",stateCommission ? "万元" : "元");
            }
        });
        
        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {                 
                actionType = 2; 
                getNewAddCustPage();
                var bmonth = $page.find("#curMonth").attr("data-month");
                if(bmonth.substr(5).length<2){
                	bmonth = bmonth.substr(0,4)+"-0"+bmonth.substr(5);
                }
                if(month==bmonth|| month == ""){
            		jQueryMap.content.changeText.html("本月");
            	}else{
            		jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
            	} 
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.header.timeChange, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            if( $(this).attr("id") == "month"){            		
                //if(jQueryMap.layerArea.dataArea.css("display")=="block"){
                //    actionType = 2;
                //    getNewAddCustPage();
                //    var bmonth = $page.find("#curMonth").attr("data-month");
                //    if(bmonth.substr(5).length<2){
                //    	bmonth = bmonth.substr(0,4)+"-0"+bmonth.substr(5);
                //    }
                //    if(month==bmonth|| month == ""){
                //		jQueryMap.content.changeText.html("本月");
                //	}else{
                //		jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
                //	}
                //}
                //$page.find("#monthWrap").removeClass("sel_downtext").addClass("sel_down");
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
				jQueryMap.content.changeText.html("本月");
				actionType = 2;
            }else if($(this).attr("id") == "year"){
            	jQueryMap.content.changeText.html("本年");
            	actionType = 3;
            }else if($(this).attr("id") == "day"){
            	jQueryMap.content.changeText.html("昨日");
            	actionType = 0;
            }else if($(this).attr("id") == "week"){
            	jQueryMap.content.changeText.html("近一周");
            	actionType = 1;
            }
			//$page.find("#monthWrap").removeClass("sel_down").addClass("sel_downtext");
			//myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
			getNewAddCustPage();
        });
        
        //选择弹框里面的月份
        $.preBindEvent(jQueryMap.content.selectMonth, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
            	$page.find("#month").removeClass("fc_small");
                $page.find("#monthWrap").html("本月");
                jQueryMap.content.changeText.html("本月");
            }else{
            	$page.find("#month").addClass("fc_small");
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            actionType = 2; 
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            getNewAddCustPage();
        });
        
        //类型选择
        $.preBindEvent(jQueryMap.header.typeChange, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            queryCriteria = $(this).attr("id");
            paintState = "0";
            getNewAddCustPage();
        });
        
        //列表数据默认排序
        $.preBindEvent($page," [name='orderBy']",function(){
        	var order = $(this).find("span").attr("data_order");
        	var type = $(this).find("span").attr("data_type");
        	orderProductList(orderData,order,type);
        });
        
        //点击跳转详情页面
        $.preBindEvent(jQueryMap.content.customerList, "tr", function(){
        	var $this=$(this);
        	if($this.attr("data-type") == 0){      		
        		deptId = $this.attr("data-id");
        		$.pageInit("administrator/addCustomer", "administrator/addCustomer",{"deptId":deptId});	
        	}else if($this.attr("data-type") == 1){
        		var param = {};
        		var staffId = $this.attr("data-id");
        		param.staffId = staffId;
        		param.actionType = actionType;
        		param.month = month;       		
        		if(queryCriteria == "custNum"){
        			$.pageInit("administrator/addCustomer", "administrator/addCustomerInfo",param);		 
	           	}else if(queryCriteria == "assetNum"){
	           		$.pageInit("administrator/addCustomer", "administrator/propertyCustomer",param);
	           	}else if(queryCriteria == "incomeNum"){
	           		$.pageInit("administrator/addCustomer", "administrator/commissionCus",param);
	           	}
        	}
        });
    
        //头部tab显隐问题事件
        $.bindEvent($page.find(".page_box"),function(){
        	sTop = $(this).scrollTop();
			if(sTop>(oTop-(dHeight-aHeight)+trHeight+50)){
				jQueryMap.header.hiddenList.show();
			}else{
				jQueryMap.header.hiddenList.hide();
			}
        },"scroll");
    }

    function destroy() {
    	cleanElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "timeChange": $page.find("#timeChange"),
                "typeChange": $page.find("#typeChange"),
                "hiddenList": $page.find("#hiddenList")
            },
            "content": {
            	"CustomerCount1" : $page.find("#CustomerCount1"),
            	"CustomerCount2" : $page.find("#CustomerCount2"),
            	//图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "customerChart" : $page.find("#customerChart"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
            	"customerList" : $page.find("#customerList"),
            	"selectMonth" : $page.find("#selectMonth"),
            	"changeText"  : $page.find("#changeText"),
            	"totalNum"    : $page.find("#totalNum"),
            	"zoushi"      : $page.find("#zoushi")
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn();
    	/*//动态生成弹层框里面最近三个月的li
        insertMonth();*/
    	// 获取数据
    	if($.getSStorageInfo("_prePageCode") == "administrator/adminList" ) {
    		cleanPageElement();
    	}
    	if($.getPageParam ("deptId")){
    		deptId = $.getPageParam ("deptId");
    	}
    	getNewAddCustPage();   
    	width = parseFloat($(_pageId+".page_box").width());
        $(_pageId+"#customerChart").css("width",width);
    }
    
    // 获取数据
    function getNewAddCustPage() {  
    	dateStrArray = [];
    	dayCustomerCount = [];
        validCustomerCount = [];
        totalAssets = [];
    	addAssets = [];
    	tradeAmount = [];
    	commission = [];
    	actionType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param = {
            "userId"     : model.dataStore.userId,  //推广员id
            "deptId"     : deptId,                  //部门id  model.dataStore.userId
            "actionType" : actionType,              //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : month,               
            "queryCriteria": queryCriteria,          //新增客户：custNum,资产：assetNum,净佣金：incomeNum
            "postType"		:$.getSStorageInfo("postNo")
        };
        service.getNewAddCustPage(param,function (results) {
        	 if(queryCriteria == "custNum"){
        		 var num = myUtils.changeMoney(parseFloat(results.dataRow[0].dayCustomerCount)).num;
             	 var state = myUtils.changeMoney(parseFloat(results.dataRow[0].dayCustomerCount)).state;
             	 jQueryMap.content.CustomerCount1.html(num); 
             	 state ? jQueryMap.content.CustomerCount1.parent().find("p").html("新开客户数(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("新开客户数");
             	 var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].validCustomerCount)).num;
            	 var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].validCustomerCount)).state;
            	 jQueryMap.content.CustomerCount2.html(num2); 
            	 state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("有效户数(万)") : jQueryMap.content.CustomerCount2.parent().find("p").html("有效户数");      		 
        	 }else if(queryCriteria == "assetNum"){
        		 var num = myUtils.changeMoney(parseFloat(results.dataRow[0].totalAssets)).num;
             	 var state = myUtils.changeMoney(parseFloat(results.dataRow[0].totalAssets)).state;
             	 jQueryMap.content.CustomerCount1.html(num); 
             	 state ? jQueryMap.content.CustomerCount1.parent().find("p").html("净资产(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("净资产(元)");
             	 var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].addAssets)).num;
            	 var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].addAssets)).state;
            	 jQueryMap.content.CustomerCount2.html(num2); 
            	 state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("新开客户净资产(万)") : jQueryMap.content.CustomerCount2.parent().find("p").html("新开客户净资产(元)");
        	 }else if(queryCriteria == "incomeNum"){
        		 var num = myUtils.changeMoney(parseFloat(results.dataRow[0].commission)).num;
             	 var state = myUtils.changeMoney(parseFloat(results.dataRow[0].commission)).state;
             	 jQueryMap.content.CustomerCount1.html(num); 
             	 state ? jQueryMap.content.CustomerCount1.parent().find("p").html("净佣金(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("净佣金(元)");
             	 var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].tradeAmount)).num;
            	 var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].tradeAmount)).state;
            	 jQueryMap.content.CustomerCount2.html(num2); 
            	 state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("交易量(万)") : jQueryMap.content.CustomerCount2.parent().find("p").html("交易量(元)");
        	 }
        	 //分页数据展示
        	 if(results.dbPage.length > 0){
        		 jQueryMap.content.customerList.parent().find("div").hide();
//        		 showCustList(results.dbPage); 
        		 orderData = results.dbPage;
        		 orderProductList(orderData,"0","dayCustomerCount");
        	 }else{
        		 jQueryMap.content.customerList.parent().find("div").show();
        		 var html="";
        		 if(queryCriteria == "custNum"){
        			 html='<tr><th class="w60">员工</th><th class="w100">新开客户数</th><th>有效户数</th></tr>';  		  //<th>转化率</th>
            	 }else if(queryCriteria == "assetNum"){
            		 html='<tr><th class="w80">员工</th><th>净资产</th><th>新开客户净资产</th></tr>';
            	 }else if(queryCriteria == "incomeNum"){
            		 html='<tr><th class="w80">员工</th><th>净佣金</th><th>交易量</th></tr>';
            	 }
        		 jQueryMap.content.customerList.html(html);
        		 jQueryMap.header.hiddenList.html(html);
        	 }	
        	 //走势图
        	 if(queryCriteria == "custNum"){
        		 if(paintState == "0"){
        			 jQueryMap.content.zoushi.html("新开客户数"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
              		 jQueryMap.content.changeBtn.html("切换到有效户数"); 
        		 }else{
                     jQueryMap.content.zoushi.html("有效户数"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到新开客户数"); 
        		 } 
      		 }else if(queryCriteria == "assetNum"){ 
      			 if(paintState == "0"){
      				 jQueryMap.content.zoushi.html("净资产"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
         			 jQueryMap.content.changeBtn.html("切换到新开客户净资产");
      			 }else{
                     jQueryMap.content.zoushi.html("新开客户净资产"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到净资产");
      			 }     			 
      		 }else if(queryCriteria == "incomeNum"){
      			 if(paintState == "0"){
      				 jQueryMap.content.zoushi.html("净佣金"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
         			 jQueryMap.content.changeBtn.html("切换到交易量");
      			 }else{
                     jQueryMap.content.zoushi.html("交易量"+(actionType == 1 ? '近一周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到净佣金");
      			 }      			 
      		 }
        	 if(actionType != "0" && results.list.length>0){
				 jQueryMap.content.customerChart.html("");
        		 drawData(results.list);
             }else if(actionType != "0"){
            	 jQueryMap.content.customerChart.html("");
                 jQueryMap.content.customerChart.html("暂无数据");
                 jQueryMap.content.customerChart.css({"text-align":"center","line-height":"160px"});
             }

        });
    }

    //填充数据
    function showCustList(list,order){
    	var html="";
    	if(queryCriteria == "custNum"){	   		
	   		html += '<tr><th class="w80">员工/部门</th><th class="w100" name="orderBy"><span data_order="'+order+'" data_type="dayCustomerCount"><span>新开客户数</span><div class="sort_box"><em></em><em></em></div></span></th><th name="orderBy"><span data_order="'+order+'" data_type="validCustomerCount"><span>有效户数</span><div class="sort_box"><em></em><em></em></div></span></th></tr>';   //<th>转化率</th>
	   		jQueryMap.header.hiddenList.html(html);
	   		for(var i=0; i<list.length;i++){
	            html +='<tr data-id="'+list[i].id+'" data-type="'+list[i].type+'"><td class="w80">'+(list[i].type ==0 ? '<em class="depart_tag">部</em> ':'')
	                 +list[i].name+'</td><td class="w100"><span class="fc_red">'+(list[i].dayCustomerCount ? list[i].dayCustomerCount : "0")+'</span></td>'
	                 +'<td>'+(list[i].validCustomerCount ? list[i].validCustomerCount : "0")+'</td></tr>';   //<td><span>'+(list[i].spreadRate ? list[i].spreadRate :"0") +'</span></td>
	        }     
	   	 }else if(queryCriteria == "assetNum"){
	   		 html += '<tr><th class="w80">员工/部门</th><th name="orderBy"><span data_order="'+order+'" data_type="totalAssets"><span>净资产(万)</span><div class="sort_box"><em></em><em></em></div></span></th><th name="orderBy"><span data_order="'+order+'" data_type="addAssets"><span>新开客户净资产(万)</span><div class="sort_box"><em></em><em></em></div></span></th></tr>';
	   		 jQueryMap.header.hiddenList.html(html);
	   		for(var i=0; i<list.length;i++){
	   			var totalAssets =myUtils.changeUtil(list[i].totalAssets);
	   			var addAssets = myUtils.changeUtil(list[i].addAssets);
//	   			var num = myUtils.changeMoney(parseFloat(list[i].totalAssets)).num;
//	   			var state = myUtils.changeMoney(parseFloat(list[i].totalAssets)).state;
//	   			var num1 = myUtils.changeMoney(parseFloat(list[i].addAssets)).num;
//	   			var state1 = myUtils.changeMoney(parseFloat(list[i].addAssets)).state;
//	   			var allAssetsTip  = state ?"(万元)": "(元)";	
//	   			var addAssetsTip  = state1 ?"(万元)": "(元)";	
	        html +='<tr data-id="'+list[i].id+'" data-type="'+list[i].type+'"><td class="w80">'+(list[i].type ==0 ? '<em class="depart_tag">部</em> ':'')+list[i].name+'</td><td>'+totalAssets+'</td><td><span class="fc_red">'+addAssets+'</span></td></tr>';
	        }     
	   	 }else if(queryCriteria == "incomeNum"){
	   		html += '<tr><th class="w80">员工/部门</th><th name="orderBy"><span data_order="'+order+'" data_type="commission"><span>净佣金(元)</span><div class="sort_box"><em></em><em></em></div></span></th><th name="orderBy"><span data_order="'+order+'" data_type="tradeAmount"><span>交易量(万)</span><div class="sort_box"><em></em><em></em></div></span></th></tr>';
	   		jQueryMap.header.hiddenList.html(html);
	   		for(var i=0; i<list.length;i++){
	   			var commission =(list[i].commission ? parseFloat(list[i].commission) :"0");
	   			var tradeAmount = myUtils.changeUtil(list[i].tradeAmount);
//	   			var num = myUtils.changeMoney(parseFloat(list[i].commission)).num;
//	   			var state = myUtils.changeMoney(parseFloat(list[i].commission)).state;
//	   			var num1 = myUtils.changeMoney(parseFloat(list[i].tradeAmount)).num;
//	   			var state1 = myUtils.changeMoney(parseFloat(list[i].tradeAmount)).state;
//	   			var allAssetsTip  = state ?"(万元)": "(元)";	
//	   			var addAssetsTip  = state1 ?"(万元)": "(元)";	
	   		html +='<tr data-id="'+list[i].id+'" data-type="'+list[i].type+'"><td class="w80">'+(list[i].type ==0 ? '<em class="depart_tag">部</em> ':'')+list[i].name+'</td><td>'+commission+'</td><td><span class="fc_red">'+tradeAmount+'</span></td></tr>';
	        }     	    	
	   	 }  
    	jQueryMap.content.customerList.html(html);  
    	//顶部tab显示高度定位
    	dHeight = parseInt(document.body.clientHeight);
		aHeight = parseInt($("#administrator_addCustomer article").height());
		oTop = parseInt($("#administrator_addCustomer #offsetHeight").offset().top);
		trHeight=jQueryMap.content.customerList.find("th").parent().height(); 
    }
    
    //升序降序
    function orderProductList(orderData,orderType,orderBy){
    	var $this = $("#customerList");
        $this.siblings().find("em").removeClass("act");
        var order = orderType;
        if(!order){
            return false;
        }else{
        	var length = orderData.length;
        	for (var i = length - 1; i > 0; i--) { 
        	    for (var j = 0; j < i; j++) {
        	    	if(order == "1"){
        	    		if (Number(orderData[j][orderBy]) > Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    	if(order == "0"){
        	    		if (Number(orderData[j][orderBy]) < Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    }
        	}
        }
        order = order=="0"?"1":"0";
        $this.find("span").attr("data_order",order);
        showCustList(orderData,order);
    }
    
   //画图数据
    function  drawData(chartResult){
    	$(_pageId+"#customerChart").css("width",width);
    	if(queryCriteria == "custNum"){
    		for (var i = 0, len = chartResult.length; i < len; i++) {
            	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
            	actionType == 3 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);            	
            	dayCustomerCount[i] = parseInt(chartResult[i].dayCustomerCount);  //总新客户数                
            	validCustomerCount[i] = parseInt(chartResult[i].validCustomerCount); //有效户数
            }    	
    		myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,(paintState == "0" ? dayCustomerCount : validCustomerCount),"line",(paintState == "0" ? "新开客户数 " : "有效户数"),"人");
		}else if(queryCriteria == "assetNum"){			              
			var maxTotal = 0;
			var maxAdd = 0;
			for (var i = 0, len = chartResult.length; i < len; i++) {
				maxTotal = parseFloat(chartResult[i].totalAssets) > maxTotal ? parseFloat(chartResult[i].totalAssets) : maxTotal ;	
				maxAdd = parseFloat(chartResult[i].addAssets) > maxAdd ? parseFloat(chartResult[i].addAssets) : maxAdd ;	
			}
			stateTotal = myUtils.changeMoney(parseFloat(maxTotal)).state; 
			stateAdd = myUtils.changeMoney(parseFloat(maxAdd)).state; 
			for (var i = 0, len = chartResult.length; i < len; i++) {
	        	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
	        	actionType == 3 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);	
	        	if(stateTotal){
	        		totalAssets[i] = parseFloat(chartResult[i].totalAssets)/10000;
	        	}else{
	        		totalAssets[i] = parseInt(chartResult[i].totalAssets); //净资产
	        	} 
	        	if(stateAdd){
	        		addAssets[i] = parseFloat(chartResult[i].addAssets)/10000; 
	        	}else{
					addAssets[i] = parseInt(chartResult[i].addAssets);    //新增客户净资产
	        	} 
	        }
			if(actionType=="1"){
				myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,(paintState == "0" ? totalAssets : addAssets),"bar",
						(paintState == "0" ? "净资产" : "新开客户净资产"),(paintState == "0" ? stateTotal ? "万元" :"元" : stateAdd ? "万元" :"元"));
			
			}else {
				myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,(paintState == "0" ? totalAssets : addAssets),"line",
						(paintState == "0" ? "净资产" : "新开客户净资产"),(paintState == "0" ? stateTotal ? "万元" :"元" : stateAdd ? "万元" :"元"));
			}
		}else if(queryCriteria == "incomeNum"){			
            var maxTradeAmount = 0;
			var maxCommission = 0;
			for (var i = 0, len = chartResult.length; i < len; i++) {
				maxTradeAmount = parseFloat(chartResult[i].tradeAmount) > maxTradeAmount ? parseFloat(chartResult[i].tradeAmount) : maxTradeAmount ;	
				maxCommission = parseFloat(chartResult[i].commission) > maxCommission ? parseFloat(chartResult[i].commission) : maxCommission ;		
			}
			stateTradeAmount = myUtils.changeMoney(parseFloat(maxTradeAmount)).state; 
			stateCommission = myUtils.changeMoney(parseFloat(maxCommission)).state; 
			for (var i = 0, len = chartResult.length; i < len; i++) {
	        	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
	        	actionType == 3 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);	
	        	if(stateTradeAmount){
	        		tradeAmount[i] = parseFloat(chartResult[i].tradeAmount)/10000;
	        	}else{
	        		tradeAmount[i] = parseInt(chartResult[i].tradeAmount);   //交易量
	        	} 
	        	if(stateCommission){
	        		commission[i] = parseFloat(chartResult[i].commission)/10000; 
	        	}else{
	        		commission[i] = parseInt(chartResult[i].commission);    //净佣金
	        	} 	        	     	
	        }
			myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,(paintState == "0" ? commission : tradeAmount),"line",
					 (paintState == "0" ? "净佣金" : "交易量"),(paintState == "0" ? (stateCommission ? "万元" :"元") : (stateTradeAmount ? "万元" :"元")));
		}
    }
    
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {  	
    	actionType = 0;            //操作类型：日0、周(1)、月(2)、年(3),默认为日
        queryCriteria = "custNum"; //新增客户：custNum,资产：assetNum,净佣金：incomeNum       
        month = "";
        paintState = "0";   	
    	jQueryMap.header.hiddenList.html("");
    	jQueryMap.content.customerList.html("");    	
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.showMonYear.hide();
        jQueryMap.content.changeText.html("昨日");
        $page.find("#monthWrap").html("本月");
        jQueryMap.header.timeChange.find("#day").addClass("act").siblings().removeClass("act");
        jQueryMap.header.typeChange.find("#custNum").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectMonth.find("#curMonth").addClass("act").siblings().removeClass("act");       
    }
    
    //重置下级页面返回元素
    function cleanElement() {
    	dHeight = 0;
    	aHeight = 0;
    	oTop = 0 ;
    	trHeight = 0;
    	sTop = 0;
    	deptId = "";
    	jQueryMap.header.hiddenList.hide();
    	$("#administrator_addCustomer .page_box")[0].scrollTop = 0; 
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
