define("financial/scripts/administrator/adminList.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var global = $.config.global;
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var actionType = 0; //操作类型：日0、周(1)、月(2)、年(3),默认为日
    var month = "";    //月份
    var $page = $("#administrator_adminList");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }

    function load() {

    }

    function bindPageEvent() {

        // 点击新增客户数
        $.bindEvent(jQueryMap.content.newCustomer, function() {
            $.setSStorageInfo("actionType",actionType);
            $.setSStorageInfo("magager_cookit_title","新开客户统计");
            $.pageInit("administrator/adminList", "administrator/addCustListPage");
        });

        // 点击新增签约数
        $.bindEvent(jQueryMap.content.newProduct, function() {
            $.setSStorageInfo("actionType",actionType);
            $.pageInit("administrator/adminList", "administrator/signProduct");
        });

        // 点击今日新增客户
        $.bindEvent(jQueryMap.content.todayCus, function() {
            $.pageInit("administrator/adminList", "administrator/newCustomer");
        });

        // 点击今日新增签约
        $.bindEvent(jQueryMap.content.todaySign, function() {
            var signNum =jQueryMap.content.todaySignedCount.html();
            $.pageInit("administrator/adminList", "administrator/newProduct",{"signNum":signNum});
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
                actionType = 2;
                getAdminList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.changed, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "month"){
                actionType = 2;
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "year"){
                actionType = 3;
            }else if($(this).attr("id") == "day"){
                actionType = 0;
            }else if($(this).attr("id") == "week"){
                actionType = 1;
            }
            getAdminList();
        });

        //弹框的日月年选择
        $.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
            if( $(this).attr("id") == "monthBox"){
                actionType = 2;
                getAdminList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "yearBox"){
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
                $page.find("#year").addClass("current").siblings().removeClass("current");
                actionType = 3;
                getAdminList();
            }else if($(this).attr("id") == "dayBox"){
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
                $page.find("#day").addClass("current").siblings().removeClass("current");
                actionType = 0;
                getAdminList();
            }else if($(this).attr("id") == "weekBox"){
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
                $page.find("#week").addClass("current").siblings().removeClass("current");
                actionType = 1;
                getAdminList();
            }
        });

        //选择弹框里面的月份
        $.preBindEvent(jQueryMap.content.selectMonth, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
                $page.find("#month").removeClass("fc_small");
                $page.find("#monthWrap").html("本月");
                $page.find("#monthBox span").html("本月");
            }else{
                $page.find("#month").addClass("fc_small");
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                $page.find("#monthBox span").html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            actionType = 2;
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            getAdminList();
        });

        //点击底部标签客户的时候跳转到我的信息模块   ---仅供pc端使用
        $.bindEvent($page.find("#myCenter"),function(){
            $.pageInit("administrator/adminList", "me/adminIndex","","");
        });
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "content" : {
                "todayCustomer" :  $page.find("#todayCustomer"),
                "todayPotential" : $page.find("#todayPotential"),
                "todaySignedCount" :  $page.find("#todaySignedCount"),
                "todaySignedCount1" :  $page.find("#todaySignedCount1"),
                "todayFollowCount" : $page.find("#todayFollowCount"),
                "newCustomer" :  $page.find("#newCustomer"),
                "newProduct" : $page.find("#newProduct"),
                "addCustomer" :  $page.find("#addCustomer"),
                "signProduct" : $page.find("#signProduct"),
                "todayCus" : $page.find("#todayCus"),
                "todaySign" :  $page.find("#todaySign"),
                "changed" : $page.find("#changed"),
                "cusText" : $page.find("#cusText"),
                "proText" :  $page.find("#proText"),
                "selectMonth" : $page.find("#selectMonth"),
                "selectDateIn": $page.find("#selectDateIn")
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        /*if($.getSStorageInfo("_prePageCode")=="account/middlePage" || $.getSStorageInfo("_prePageCode")=="account/login"){
            //myUtils.showLayer($page);
            $.callMessage({
                "funcNo"    : "50203",
                "url"       : global.checkUpdate
            });
        }*/
        // platform    "0": pc或手机浏览器; "1": android;  "2" :ios
        $.config.platform === "0" ? $page.find(".ft_inner1").show() :$page.find(".ft_inner1").hide();
        //隐藏/显示系统底部TabBar
        myUtils.showBtn("cockpit","0");

        // 获取管理员部门数据
        getAdminList();
        //查询今日看板的数据
        gettodayData();
    }

    // 获取管理员部门数据
    function getAdminList() {
        var param = {
            "userId"     : model.dataStore.userId , //model.dataStore.userId,"085dec2747d24661b78cbe4f5108c6fe"
            "actionType" : actionType,              //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : month,
            "datakind"   : "0",
            "url"        : $.config.global.signNumUrl+'?employeeNoStr=',
            "type"       : "get",
            "postType"   : $.getSStorageInfo("postNo")
        };
        service.getAdminList(param,function (results) {
            var newCust=results.newCustData[0];
            var signPro=results.signProData[0];
            newCustData(newCust);
            signProData(signPro);
        });
    }

    //今日看板填充数据
    function gettodayData() {
        var param = {
            "userId"     : model.dataStore.userId , //model.dataStore.userId,"085dec2747d24661b78cbe4f5108c6fe"
            "actionType" : actionType,              //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : month,
            "datakind"   : "1",
            "url"        : $.config.global.signNumUrl+'?employeeNoStr=',
            "type"       : "get",
            "postType"   : $.getSStorageInfo("postNo")
        };
        service.getAdminList(param,function (results) {
            var potentialAmount = results[0].potentialAmount ;
            var signedCustomerCount = results[0].signedCustomerCount ;
            var signedCustomerCount1 = results[0].signedCustomerCount1 ;
            $.setSStorageInfo("signedCustomerCount",signedCustomerCount);
            $.setSStorageInfo("signedCustomerCount1",signedCustomerCount1);
            $.setSStorageInfo("potentialAmount",potentialAmount);
            jQueryMap.content.todaySignedCount.html(signedCustomerCount);
            jQueryMap.content.todaySignedCount1.html(signedCustomerCount1);
            jQueryMap.content.todayPotential.html(potentialAmount);
        });
    }

    //新增客户数据填充
    function newCustData(result) {
        var contact = [{"id":"addAssets",           "text":"新开客户总资产",          "wtext":"新开客户总资产(万)"},
            {"id":"commission",        "text":"净佣金",            "wtext":"净佣金(万)"},
            {"id":"dayCustomerCount",  "text":(actionType==0?"昨日":actionType==1?"本周":actionType==2?"本月":"本年")+"新开客户数（人）","wtext":(actionType==0?"昨日":actionType==1?"本周":actionType==2?"本月":"本年")+"新开客户数(万)"},
            {"id":"potentialAmount",   "text":"潜在客户",           "wtext":"潜在客户(万)"},
            {"id":"validCustomerCount","text":"有效户数",           "wtext":"有效户数(万)"}];
        $.each(contact,function(index,iDom){
            var num = myUtils.changeMoney(parseFloat(result[iDom.id])).num;
            var state = myUtils.changeMoney(parseFloat(result[iDom.id])).state;
            $page.find("#"+iDom.id).html(num);
            state ? $page.find("#"+iDom.id).parent().find("p").html(iDom.wtext) : $page.find("#"+iDom.id).parent().find("p").html(iDom.text);
        });

        $page.find("#spreadRate").html(result.spreadRate ? result.spreadRate : "0");
    }

    //新增签约数据填充
    function signProData(result) {
        var contact = [{"id":"addedIncome",           "text":"增值收入",          "wtext":"增值收入(万)"},
            {"id":"followCustomerCount", "text":"跟随数",            "wtext":"跟随数(万)"},
            {"id":"signedCustomerCount", "text":(actionType==0?"昨日":actionType==1?"本周":actionType==2?"本月":"本年")+"新增产品签约总数(人)","wtext":(actionType==0?"昨日":actionType==1?"本周":actionType==2?"本月":"本年")+"新增产品签约总数(万)"},
            {"id":"totalCustNum",        "text":"考核客户数",           "wtext":"考核客户数(万)"}];
        $.each(contact,function(index,iDom){
            var num = myUtils.changeMoney(parseFloat(result[iDom.id])).num;
            var state = myUtils.changeMoney(parseFloat(result[iDom.id])).state;
            $page.find("#"+iDom.id).html(num);
            state ? $page.find("#"+iDom.id).parent().find("p").html(iDom.wtext) : $page.find("#"+iDom.id).parent().find("p").html(iDom.text);
        });
        $page.find("#followingRate").html(result.followingRate ? result.followingRate : "0");
        $page.find("#signgRate").html(result.signgRate ? result.signgRate : "0");
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
        $page.find("article").scrollTop(0);
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        $page.find("#monthWrap").html("本月");
        $page.find("#monthBox span").html("本月");
        // jQueryMap.content.changed.find("#day").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectMonth.find("#curMonth").addClass("act").siblings().removeClass("act");
        // actionType = 0;
        month = "";
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
