define("financial/scripts/administrator/commissionCus.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#administrator_commissionCus");
    var _pageId = "#administrator_commissionCus "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	initPage();
    	//上拉加载、下拉刷新调用方法
    	upDownSlide();	
    }
    function load() {
       
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
            	"customerList" : $page.find("#customerList"),
            }
        };
    }

    function initPage() {
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn("adminList");
    	$page.find(".page_boxLoad").css("z-index","99");
    }
    // 获取数据
    function getNewAddCustInfo(isAppend, isSysLoad) {  
    	 // 默认使用系统加载
        isSysLoad = isSysLoad ? isSysLoad : false;
        var isCusLoad = isSysLoad ? true : false; // 自定义系统加载效果（左上角转圈）
        var param = {
            "userId"     : $.getPageParam ("staffId"),    //推广员id
            "actionType" : $.getPageParam ("actionType"), //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : $.getPageParam ("month"),               
            "queryCriteria": "incomeNum",                 //新增客户：custNum,资产：assetNum,净佣金：incomeNum
            "pageIndex"   : pageSlide.getCurPage(),       // 必须使用pageSlide组件获取当前是第几页
            "pageSize"   : "20"
        };
        service.getNewAddCustInfo(param,function (results) {   
        	 // 如果不是追加数据时，清空容器中的数据
             if (!isAppend) {
                 $(_pageId+"#customerList").empty();
             }
        	 if(results[0].data.length > 0){
        		// 给滑动插件设置总页数
                 pageSlide.setMaxPage(results[0].totalPages);
                 // 隐藏无数据提示
                 $(_pageId + "#slide_wrapper").css("display","block");
                 pageSlide.dealEmptyData(false);
                 //填充数据               
        		 showCustList(results[0].data);
                 // 初始化滚动事件
        		 var recordLen = results[0].data.length;
                 var cTop = $(_pageId + "#slide_container").offset().top;
                 $(_pageId + "#slide_container").css("background","#FFFFFF");
                 var visibleHeight = $(window).height() - cTop -1; 
                 pageSlide.pageScrollInit(recordLen, visibleHeight);
        	 }else{       
        		// 初始化滚动事件
                 var cTop = $(_pageId + "#slide_container").offset().top;
                 $(_pageId + "#slide_container").css("background","#FFFFFF");
                 var visibleHeight = $(window).height() - cTop -1; 
                 pageSlide.pageScrollInit(recordLen, visibleHeight);
                 // 显示无数据提示
                 $(_pageId + "#slide_wrapper").css("display","none");
                 pageSlide.dealEmptyData(true);
                 $page.find(".page_boxLoad").css("z-index","-1");
        	 }
        }, {isShowWait: isSysLoad, isCusLoad: isCusLoad});
    }
    
    //填充数据
    function showCustList(list){
    	var html="";   	
   		for(var i=0; i<list.length;i++){
//   			var totalAssets =(list[i].totalAssets=="0" ? "0" : (parseFloat(list[i].totalAssets)/10000).toFixed(2));
//   			var num = myUtils.changeMoney(parseFloat(list[i].commission)).num;
//   			var state = myUtils.changeMoney(parseFloat(list[i].commission)).state;
//   			var num1 = myUtils.changeMoney(parseFloat(list[i].tradeAmount)).num;
//   			var state1 = myUtils.changeMoney(parseFloat(list[i].tradeAmount)).state;
//   			var num2 = myUtils.changeMoney(parseFloat(list[i].commissionRate)).num;
//   			var allAssetsTip  = state ?"(万)": "(元)";	
//   			var add1AssetsTip  = state1 ?"(万)": "(元)";	
   			
   			html +='<tr><td class="w80">'+list[i].name+'</td><td class="w100"><span class="fc_red">'
   				+(list[i].commission ? list[i].commission : "0")+'</span></td><td>'+myUtils.changeUtil(list[i].tradeAmount) 
   				+'</td><td><span>'+(list[i].commissionRate ? list[i].commissionRate : "0")+'</span></td></tr>';
        }   
   		$(_pageId+"#customerList").append(html);
   		$page.find(".page_boxLoad").css("z-index","-1");
    }
   
    //上拉加载、下拉刷新调用插件
    function upDownSlide(){
    	/************使用上拉加载、下拉刷新组件初始化页面元素begin**********/
        var slideOptions = {
            pContainer: 'article', // 父容器选择器必传
            dataContainerHtml: '<div class="page_box bg_white">\
				                   <div class="table_box">\
			                          <dl class="combine_table">\
				                        <dd>\
					                       <table cellspacing="0" cellpadding="0" id="customerList">\
								           </table>\
										</dd>\
									   </dl>\
									</div>\
								</div>',// 数据容器必传
            dataFunc: getNewAddCustInfo, // 查询方法必传
            pageNum: 10 // 每页显示记录数 与 分页方法参数中的参数保持一致
        };
        pageSlide.init(slideOptions);
        /************使用上拉加载、下拉刷新组件初始化页面元素end**********/
        // 重置分页参数，防止第二次入页面时还保留上一次的分页参数
        pageSlide.resetPageParam(true);
        // 初始化页面时查询一次数据
        getNewAddCustInfo(false, true);
    }
    
    // 重置页面元素
    function cleanPageElement() {
    	 $(_pageId+"#customerList").html(""); 
    	 pageSlide.dealEmptyData(false);
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
