define("financial/scripts/administrator/propertyCustomer.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var jQueryMap;
    // 模块内的其它全局变量
    var orderBy = "0";  //0:现资产，1：扎差  2：收益率
    var byType = "1";   //0：升序，1：降序
    var $page = $("#administrator_propertyCustomer");
    var _pageId = "#administrator_propertyCustomer "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
		//myUtils.addLayer($page);
    	initPage();
    	//上拉加载、下拉刷新调用方法
    	upDownSlide();	
    }
    
    function load() {

    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        
        if($(_pageId+"#scrollCon")){
        	// 头部菜单滑动
            myUtils.bindSwipeList( $(_pageId+"#scrollCon"), jQueryMap.header.scrollHead);
            // 内容滑动
            myUtils.bindSwipeList(jQueryMap.header.scrollHead, $(_pageId+"#scrollCon"));
        }
        
       //升序降序
		$.preBindEvent($(_pageId+"#followList"),"th",function(){
			var $this=$(this);
			if(!$this.attr("data_order")){
				return false; 
			}
			if($this.hasClass("act")){
				orderBy=$this.attr("data_order");
				$this.find("em").each(function(index,domEle){
					if($(this).hasClass("act")){
						$(this).removeClass("act");
					}else{
						$(this).addClass("act");
						byType=index;
					}
				});
			}else{
				orderBy=$this.attr("data_order");	
				$this.addClass("act").siblings().removeClass("act");
				$this.find("em").each(function(index,domEle){
					$(_pageId+"#followList").find("em").siblings().removeClass("act");
                    if(index==1){
                    	$(this).addClass("act");
                    	byType=index;
                    }
				});	
			}
			// 重置分页参数，防止第二次入页面时还保留上一次的分页参数
	        pageSlide.resetPageParam(true);
	        // 隐藏无数据提示
            pageSlide.dealEmptyData(false);
			getNewAddCustInfo(false, true);
		});
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "followList" : $page.find("#followList"),
                "scrollCon"   : $page.find("#scrollCon"),
                "scrollHead"  : $page.find("#scrollHead")
            },
            "content": {
            	"customerList" : $page.find("#customerList"),          	
            	"rateReturn" : $page.find("#rateReturn"),
            	"highestAssets" : $page.find("#highestAssets"),
            	"turnoverRate" : $page.find("#turnoverRate")  	
            }
        };
    }

    function initPage() {
    	$page.find(".page_boxLoad").css("z-index","99");
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn("adminList"); 
    	if($.getPageParam ("actionType")==0){
  			 var html='<tr><th style="width:20%"><span>客户</span></th><th style="width:40%" data_order="0"><span><span>可用余额(万)</span><div class="sort_box">'
    			      +'<em></em><em></em></div></span></th><th style="width:25%" data_order="1"><span><span>扎差(万)</span><div class="sort_box"><em></em><em></em>'
    			      +'</div></span></th><th data_order="2"><span><span>盈亏</span><div class="sort_box"><em></em><em></em></div>'
    			      +'</span></th></tr>';
  			$(_pageId+"#followList").css("width","100%");
   		 }else if($.getPageParam ("actionType")==1){
   			 var html='<tr><th style="width:18%"><span>客户</span></th><th style="width:29%" data_order="0" ><span><span>可用余额(万)</span><div class="sort_box">'
     			      +'<em></em><em></em></div></span></th><th style="width:23%" data_order="1"><span><span>扎差(万)</span><div class="sort_box"><em></em><em></em>'
     			      +'</div></span></th><th style="width:30%"><span>资产峰值(万)</span></th></tr>'; 
   			$(_pageId+"#followList").css("width","120%");
   		 }else{
   			 var html='<tr><th style="width:15%"><span>客户</span></th><th style="width:22%" data_order="0" ><span><span>可用余额(万)</span><div class="sort_box">'
  			      +'<em></em><em></em></div></span></th><th style="width:18%" data_order="1"><span><span>扎差(万)</span><div class="sort_box"><em></em><em></em>'
  			      +'</div></span></th><th style="width:15%" data_order="2"><span><span>盈亏</span><div class="sort_box"><em></em><em></em></div>'
  			      +'</span></th><th style="width:18%"><span>资产峰值(万)</span></th><th><span>周转率</span></th></tr>';
   			 $(_pageId+"#followList").css("width","160%");
   	     }	 
    	 $(_pageId+"#followList").html(html);
    	 /*$(_pageId+"#followList").find("th").each(function(index,domEle){
	       	 var $this=$(this);
	       	 if($this.attr("data_order")==orderBy){
	       		 $this.addClass("act").siblings().removeClass("act");
	       		 $this.find("em").each(function(index,domEle){
					 if(index == byType){
						$(this).addClass("act").siblings().removeClass("act");
					 }
				 });
	       	    }
		 });*/
    }
    
    // 获取数据
    function getNewAddCustInfo(isAppend, isSysLoad) {  
    	// 默认使用系统加载
        isSysLoad = isSysLoad ? isSysLoad : false;
        var isCusLoad = isSysLoad ? true : false; // 自定义系统加载效果（左上角转圈）
    	$.getPageParam ("actionType") == 0 ? jQueryMap.content.highestAssets.hide() :jQueryMap.content.highestAssets.show();
    	$.getPageParam ("actionType") == 0 ? jQueryMap.content.turnoverRate.hide() :jQueryMap.content.turnoverRate.show();
    	$.getPageParam ("actionType") == 1 ? jQueryMap.content.rateReturn.hide() :jQueryMap.content.rateReturn.show();
    	var param = {
            "userId"     : $.getPageParam ("staffId"),      //推广员id
            "actionType" : $.getPageParam ("actionType"),   //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : $.getPageParam ("month"),               
            "queryCriteria": "assetNum",                    //新增客户：custNum,资产：assetNum,净佣金：incomeNum
            "orderBy"    : orderBy,                         //0:现资产，1：扎差  2：收益率
            "byType"     : byType,                          //0：升序，1：降序
            "pageIndex"  : pageSlide.getCurPage(),       // 必须使用pageSlide组件获取当前是第几页
            "pageSize"   : "20"
            
        };
        service.getNewAddCustInfo(param,function (results) { 
        	 // 如果不是追加数据时，清空容器中的数据
             if (!isAppend) {
                $(_pageId+"#customerList").empty();
             } 
        	 if(results[0].data.length > 0){
        		 // 给滑动插件设置总页数
                 pageSlide.setMaxPage(results[0].totalPages);
                 // 隐藏无数据提示
                 $(_pageId + "#slide_wrapper").css("display","block");
                 pageSlide.dealEmptyData(false);
                 //填充数据 
        		 showCustList(results[0].data);
                 // 初始化滚动事件
        		 var recordLen = results[0].data.length;
                 var cTop = $(_pageId + "#slide_container").offset().top;
                 $(_pageId + "#slide_container").css("background","#FFFFFF");
                 var visibleHeight = $(window).height() - cTop -1; // - $(_pageId + "footer").height()
                 pageSlide.pageScrollInit(recordLen, visibleHeight);
        	 }else{       		 
        		 // 初始化滚动事件
                 var cTop = $(_pageId + "#slide_container").offset().top;
                 $(_pageId + "#slide_container").css("background","#FFFFFF");
                 var visibleHeight = $(window).height() - cTop -1; // - $(_pageId + "footer").height()
                 pageSlide.pageScrollInit(recordLen, visibleHeight);
                 // 显示无数据提示
                 $(_pageId + "#slide_wrapper").css("display","none");
                 pageSlide.dealEmptyData(true);
                 $page.find(".page_boxLoad").css("z-index","-1");
        	 }

			//遮罩层去掉
			//myUtils.cancelLayer($page);
        },{isShowWait: isSysLoad, isCusLoad: isCusLoad});
    }
    //填充数据
    function showCustList(list){
    	var html="";   
    	if($.getPageParam ("actionType")==0){
    		 for(var i=0; i<list.length;i++){
      			html +='<tr><td style="width:20%"><span>'+list[i].name+'</span></td><td style="width:40%"><span class="fc_red">'
      			       +myUtils.changeUtil(list[i].availableBalance)+'</span></td><td style="width:25%"><span>'
      			       +myUtils.changeUtil(list[i].zhaCha)+'</span></td><td><span class="'+(list[i].rateReturn.substring(0,1)!="-" ? "fc_red" : "fc_green")+'">'
      			       +(parseFloat(list[i].rateReturn))+'</span></td></tr>';           
             } 
    		 $(_pageId+"#customerList").css("width","100%");
    	}else if($.getPageParam ("actionType")==1){
    		for(var i=0; i<list.length;i++){
     			html +='<tr><td style="width:18%"><span>'+list[i].name+'</span></td><td style="width:29%"><span class="fc_red">'
     			       +myUtils.changeUtil(list[i].availableBalance)+'</span></td><td style="width:23%"><span>'
     			       +myUtils.changeUtil(list[i].zhaCha)+'</span></td><td style="width:30%"><span class="fc_red">'
     			       +myUtils.changeUtil(list[i].highestAssets)+'</span></td></tr>';           
            }  
    		$(_pageId+"#customerList").css("width","120%");
    	}else{
     		for(var i=0; i<list.length;i++){
     			html +='<tr><td style="width:15%"><span>'+list[i].name+'</span></td><td style="width:22%"><span class="fc_red">'
     			       +myUtils.changeUtil(list[i].availableBalance )+'</span></td><td style="width:18%"><span>'
     			       +myUtils.changeUtil(list[i].zhaCha)+'</span></td><td style="width:15%"><span class="'+(list[i].rateReturn.substring(0,1)!="-" ? "fc_red" : "fc_green")+'">'
     			       +(parseFloat(list[i].rateReturn))+'</span></td><td style="width:18%"><span class="fc_red">'+myUtils.changeUtil(list[i].highestAssets)+'</span></td><td><span>'
     			       +(list[i].turnoverRate ? list[i].turnoverRate+"%" : "0%")+'</span></td></tr>';           
            }  
     		$(_pageId+"#customerList").css("width","160%");
    	}  
    	$(_pageId+"#customerList").append(html);
    	$page.find(".page_boxLoad").css("z-index","-1");
    }
    
    //上拉加载、下拉刷新调用插件
    function upDownSlide(){
    	/************使用上拉加载、下拉刷新组件初始化页面元素begin**********/
        var slideOptions = {
            pContainer: 'article', // 父容器选择器必传
            dataContainerHtml: '<div id="containWrap" class="page_box casset_box">\
                                  <div class="table_box"">\
                                   <dl class="combine_table tb_scroll fixed scrollContainer" >\
                                     <dd  id="scrollCon" class="scrollTransform">\
                                       <table cellspacing="0" cellpadding="0" id="customerList" style="overflow: scroll;">\
            	                       </table>\
            	                     </dd>\
            	                   </dl>\
            	                  </div>\
            	                </div>',// 数据容器必传
            dataFunc: getNewAddCustInfo, // 查询方法必传
            pageNum: 10 // 每页显示记录数 与 分页方法参数中的参数保持一致
        };
        pageSlide.init(slideOptions);
        /************使用上拉加载、下拉刷新组件初始化页面元素end**********/
        // 重置分页参数，防止第二次入页面时还保留上一次的分页参数
        pageSlide.resetPageParam(true);
        // 初始化页面时查询一次数据
        getNewAddCustInfo(false, true);
    }
    
    // 重置页面元素
    function cleanPageElement() {
    	$(_pageId+".scrollTransform").css("transform","translateX(0px)");
    	$(_pageId+"#followList").find("th").removeClass("act"); 
    	$(_pageId+"#followList").html("");
    	$(_pageId+"#customerList").html("");  	
    	pageSlide.dealEmptyData(false);
    	orderBy = "0";  //0:现资产，1：扎差  2：收益率
    	byType = "1";   //0：升序，1：降序
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
