define("financial/scripts/cockpit/cockpitInvest.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var jQueryMap;
	var $page = $("#cockpit_cockpitInvest");
	var pageId = "#cockpit_cockpitInvest ";
	var myUtils = window.privateSpaceMKT.myUtils;
	var global = $.config.global;
	var must_type = "1";
	var currPage = "1";
	var pageSize = "3";
	// 整合所有的搜索框

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init() {
	}
	function load() {
		initPage();
	}
	
	//今日看板数据查询
	function getTodayData() {
		service.queryCockpitDay({
			"userId" : $.getSStorageInfo("staffId"),
			"employeeNo" : $.getSStorageInfo("employeeNo"),
		}, function(results) {
			var qyNum = results[0].qyNum;
			var xkNum = results[0].xkNum;
			var qkNum = results[0].qkNum;
			var jrcpXl = results[0].jrcpXl;
			$.setSStorageInfo("cockpit_qyNum_one",qyNum);
			$.setSStorageInfo("cockpit_xkNum_one",xkNum);
			$.setSStorageInfo("cockpit_jrcpXl_one",jrcpXl);
			$.setSStorageInfo("cockpit_qkNum_one",qkNum);
			jQueryMap.header.sign.html(qyNum);
			jQueryMap.header.cust.html(xkNum);
			var num = myUtils.changeMoney(parseFloat(jrcpXl)).num;
//        	var state = myUtils.changeMoney(parseFloat(jrcpXl)).state;
        	jQueryMap.header.amount.html(num);
//        	state ? $page.find("#jrcpXl").html("金融产品销量(万)") : $page.find("#jrcpXl").html("金融产品销量");
        	
		});
	}
	// investAdviser投顾
	// 顶部数据查询
	function queryHeaderData() {
		jQueryMap.header.staffname.html($.getSStorageInfo("staffName"));
		jQueryMap.header.dept.html($.getSStorageInfo("branchName"));
		
		service.queryCockpitInfo({
			"userId" : $.getSStorageInfo("staffId"),
			"employeeNo" : $.getSStorageInfo("employeeNo"),
			"postNo" : $.getSStorageInfo("postNo"),
			"postType" : $.getSStorageInfo("postType"),
			"url"    : $.config.global.signNumUrl+'?employeeNoStr=',
            "type"  : "get",
            "datakind" : "0"
		}, function(results) {
			if(($.getSStorageInfo("postNo") != "customerManager") && ($.getSStorageInfo("postNo") != "investAdviser") ){
				jQueryMap.header.integral.html("暂无");
				jQueryMap.header.rank.html("暂无");
			}else{
				jQueryMap.header.integral.html(results[0].integral);
				jQueryMap.header.rank.html(results[0].integralRank == 0 ? "暂无": results[0].integralRank);
			}	
			if($.getSStorageInfo("postNo") == "wealthManager") {
				jQueryMap.header.allInCome.html("暂无");
				jQueryMap.header.preInCome.html("暂无");
			} else {
				jQueryMap.header.allInCome.html(results[0].allInCome);
				jQueryMap.header.preInCome.html(results[0].preInCome);
			}

			var employeeNo = $.getSStorageInfo("employeeNo");
			var photoPath = $.getSStorageInfo("photoPath");
			$("#photoPath").attr("src",(!photoPath?"../../images/sc-hd01.png":photoPath));
			var postNo = $.getLStorageInfo("postNo");
		});

	}

	// 查询待编辑服务记录数量
	function queryToEditNum() {
		service.queryToEditNum({
			"employeeNo" : $.getSStorageInfo("employeeNo")
		}, function(results) {
			jQueryMap.content.needAdd.html(results[0].record_count + "条待处理");
			// 最后一次服务记录时间
			var lastServiceTime = results[0].service_time;
			// 最后一次查看时间
			var formerTime = $.getLStorageInfo("readNeedAddTime");
			if(!lastServiceTime|| results[0].record_count<=0) {
				jQueryMap.content.needAdd.removeClass("icon_unread").addClass("icon_read");
				return;
			} 
			if(!formerTime) {
				jQueryMap.content.needAdd.removeClass("icon_read").addClass("icon_unread");
				return;
			}
			formerTime = (new Date(formerTime.replace(new RegExp("-", "gm"), "/"))).getTime();
			lastServiceTime = (new Date(lastServiceTime.replace(new RegExp("-", "gm"), "/"))).getTime();
			// 最后一次点击之后，有新的服务记录，因此显示红点
			if(lastServiceTime > formerTime) {
				jQueryMap.content.needAdd.removeClass("icon_read").addClass("icon_unread");
			} else {
				jQueryMap.content.needAdd.removeClass("icon_unread").addClass("icon_read");
			}
		});

	}

	// 初始化时间
	function initDate() {
		var date = new Date();
		var year = date.getFullYear();
		var month = date.getMonth() + 1;
		var day = date.getDate();
		var xingqi = date.getDay();
		var xingqizw = "";
		if (xingqi == 1) {
			xingqizw = "一";
		} else if (xingqi == 2) {
			xingqizw = "二";
		} else if (xingqi == 3) {
			xingqizw = "三";
		} else if (xingqi == 4) {
			xingqizw = "四";
		} else if (xingqi == 5) {
			xingqizw = "五";
		} else if (xingqi == 6) {
			xingqizw = "六";
		} else if (xingqi == 0) {
			xingqizw = "日";
		}
		var nowDate = month + "月" + day + "日  星期" + xingqizw;
		jQueryMap.header.nowDate.html(nowDate);
	}

	function bindPageEvent() {
		//轮播效果
		$.preBindEvent(jQueryMap.content.messageBox, "div",function() {
			$(this).Scroll({line:1,speed:1000,timer:2000});//修改此数字调整滚动状态
			myUtils.Scroll($(pageId + " .notice_list_n"),{line:1,speed:2000,timer:4000});
		});
		
		// 必做、选做切换
		$.preBindEvent(jQueryMap.content.mustType, "li", function() {
			$(this).addClass("act").siblings().removeClass("act");
			must_type = $(this).attr("data-do");
			$.setSStorageInfo("cockpit_mustType",must_type);
			$page.find("#taskList").html("");
			getTaskList(must_type);//获取任务列表
		});
		
		// 进入全部任务页面
		$.preBindEvent($page.find(".mot_task_list"),".view_all_btn",function() {
			$.setSStorageInfo("task_status","1");
			$.setSStorageInfo("task_deal_type",must_type);
			$.pageInit("cockpit/cockpit", "mot/eventTaskShow"); 
		});
		
		// 进入全部任务页面
		$.preBindEvent($page.find(".nrecord_box"),".view_all_btn",function() {
			$.setSStorageInfo("task_status","1");
			$.setSStorageInfo("task_deal_type",must_type);
			$.pageInit("cockpit/cockpit", "mot/eventTaskShow"); 
		});
		
		// 进入任务类型页面
		$.preBindEvent($page.find(".mot_task_list"),"li",function() {
			var task_type = $(this).attr('data-task_type');
    		var task_name = $(this).attr('data-task_name');
    		$.setSStorageInfo("task_status","1");
    		$.setSStorageInfo("task_deal_type",must_type);
    		$.pageInit("cockpit/cockpit", "mot/eventBreakpoint", {
                "task_type" : task_type,
                "task_name" : task_name
            }); 
		});
		
		// 进入设置页面
		$.bindEvent($page.find(".icon_setting"),function(e) {
			$.pageInit("cockpit/cockpit", "mot/messagePush");
			e.stopPropagation();
		});
		
		//点击tit进入事件任务列表
		$.bindEvent($page.find(".tit_task"),function(e){
			$.setSStorageInfo("task_status","1");
			$.setSStorageInfo("task_deal_type",must_type);
			$.pageInit("cockpit/cockpit", "mot/eventTaskShow");
			e.stopPropagation();
		});
		
		//点击tip，show
		$.bindEvent($page.find(".ques_mark").find("i"),function(e){
			$page.find(".tipshow").show();

			e.stopPropagation();
		});
		
		//tip——iKnow
		$.bindEvent($page.find(".iknow"),function(){
			$page.find(".tipshow").hide();
		});
		
		//今日看板点击事件 调转看板详情一级页面 id=kbDetailsOne
		$.bindEvent($page.find(".kbDetails").find("li"),function(){
			//默认进入新开客户模块,新开客户
			var temp = $(this).find("span").attr("id");
			if("cust" == temp){
				$.setSStorageInfo("kbDetil_custType","newCust");
			}
			$.setSStorageInfo("kbDetil_busiType",temp);
			$.pageInit("cockpit/cockpit", "cockpit/kbDetailOne");
		});

		// 点击新开户
		$.bindEvent(jQueryMap.content.newKhNotice, function() {
			$.pageInit("cockpit/cockpit", "cockpit/newKhNotice");
		});

		// 点击签约提醒
		$.bindEvent(jQueryMap.content.signNotice, function() {
			$.pageInit("cockpit/cockpit", "cockpit/signNotice");
		});

		// 点击积分
		$.bindEvent(jQueryMap.header.integral.parent(), function() {
			if(($.getSStorageInfo("postNo") != "customerManager") && ($.getSStorageInfo("postNo") != "investAdviser") ){
				return;
			}
			$.pageInit("cockpit/cockpit", "cockpit/myIntegral");
		});
		
		// 点击收入参考跳转到个人月收入信息页面
		$.bindEvent(jQueryMap.header.showincome.parent(), function() {
			if($.getSStorageInfo("postNo") == "wealthManager") {
				return;
			}
			$.pageInit("cockpit/cockpit", "cockpit/myInComeInfo");
		});
//		// 点击积分
//		$.bindEvent($("#integral1"), function() {
//			
//			$.pageInit("cockpit/cockpit", "cockpit/myIntegral");
//		});
		// 点击产品销售提醒
		$.bindEvent(jQueryMap.content.productNotice, function() {
			$.pageInit("cockpit/cockpit", "cockpit/productNotice");
		});

		// 点击主题提醒
		$.bindEvent(jQueryMap.content.subjectNotice, function() {
			$.pageInit("cockpit/cockpit", "cockpit/subjectNotice");
		});

		//点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.newNotice, ".desp_item", function(){
			var dataType = $(this).attr("data-type");
			if(dataType == "khbreaknotice"){
				var custId = $(this).attr("data-custId");
				var guideSeq = $(this).attr("data-guideSeq");
				
				$.pageInit("cockpit/cockpitInvest","cockpit/effectDetail",{
					"guideSeq" : guideSeq,
					"custId"   : custId
				});
			}else if(dataType == "subjectnotice"){
	//				if($(this).find(".desp_txt").find("span").html()=="上架"){
					 var subjectId = $(this).attr("data-subjectid");
					 var subjecttypeno = $(this).attr("data-subjecttypeno");
					 service.queryProductStatus({
				           "subjectId": subjectId
				      },function(result){
							if(result[0].status=="4"){
								 $.setSStorageInfo("subjectId", subjectId);
								 $.setSStorageInfo("subjectTypeNo",subjecttypeno);
								 if(subjecttypeno == "newCustomersExclusive"){
				                     $.pageInit("cockpit/cockpitInvest", "subject/subNewDetail");
				                 }else if(subjecttypeno == "appreciationSigned"){
				                     $.pageInit("cockpit/cockpitInvest", "subject/subSignDetail");
				                 }else if(subjecttypeno == "marketActivity"){
			                         $.pageInit("cockpit/cockpitInvest", "subject/subActivityDetail");
			                     }
							}else{
								$.toast("该主题目前已下架！");
	//							alert("该主题目前已下架！");
	//							$("#callBox").show();
	//							$("#Zzz").show();
							}
				      })
	//			}else{
	//				$.toast("该主题目前已下架！");
	//			}
			}else if(dataType == "followupnotice"){
				var custId = $(this).attr("data-custId");
				if(custId == "#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.pageInit("cockpit/cockpitInvest","customer/detail/customerFollow");
			}else{
				var custId = $(this).attr("data-custId");
				if(custId =="#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				if(dataType == "qysuccessnotice" && $(this).find(".desp_txt p").html().indexOf("独立客户")>-1 ){
					$.toast("主人：客户为独立客户，暂无查看该客户信息权限！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.setSStorageInfo("customerType","2");
				$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail");
			}
		});	
		
		// 确定
		$.bindEvent($(pageId + " #callBtn"),function() {
			$(pageId + " #callBox").hide();
			$(pageId + " #Zzz").show();
		});
		
		// 点击我的日常提醒
		$.bindEvent(jQueryMap.content.myNotice, function() {
			$.pageInit("cockpit/cockpit", "cockpit/myNotice");
		});

		// 进入排行榜
		$.bindEvent($(pageId+"#rank").parent(), function() {
			/*if(($.getSStorageInfo("postNo") != "customerManager") && ($.getSStorageInfo("postNo") != "investAdviser") ){
				return;
			}*/
			
			if($.getSStorageInfo("postNo") == "wealthManager") {
				return;
			}
			var pageParam = {
				"rank" : $("#rank").text(),
				"allInte" : $("#integral").text(),
				"branchName" : $.getSStorageInfo("branchName"),
				"name" : $.getSStorageInfo("staffName"),
				"photoPath" : $.getSStorageInfo("photoPath"),
			};
			$.pageInit("cockpit/cockpit", "cockpit/rankList", {
				"pageParam" : pageParam
			});
		});

		// 进入排行榜	
		$.bindEvent($(pageId + " #rank1"), function() {
			if($.getSStorageInfo("postNo") == "wealthManager") {
				return;
			}
			var pageParam = {
				"rank" : $(pageId + " #rank1").text(),
				"allInte" : $(pageId + " #integral1").text(),
				"branchName" : $.getSStorageInfo("branchName"),
				"name" : $.getSStorageInfo("staffName"),
				"photoPath" : $.getSStorageInfo("photoPath"),
			};
			$.pageInit("cockpit/cockpit", "cockpit/rankList", "pageParam",
					pageParam);
		});

		// 最新消息打电话
		$.preBindEvent(jQueryMap.content.newNotice, "a", function(e) {
			if(e.target.className=="tit msg"){
//				var type = $(this).attr("data-type");
			   $.pageInit("cockpit/newKhNotice","cockpit/mainNotice");
			}else if(e.target.className=="tel"){
				var tel  = $(this).attr("data-tel");
				$.callMessage({
					"funcNo" : "50220",
					"telNo" : tel,
					"callType" : "0"
				});
				e.stopPropagation();
			}
		});
		
//		//最新消息详情
//		$.preBindEvent(jQueryMap.content.newNotice,"li",function(){
//			//如果是开户断点提醒，则跳到对应页面
//			if(jQueryMap.content.newNotice.find(".tit.msg")
//					.attr("data-type")=="khbreaknotice"){
//				
//				var custId = $(this).attr("data-custId");
//				var guideSeq = $(this).attr("data-guideSeq");
//				$.pageInit("cockpit/cockpit","cockpit/effectDetail",{
//					"guideSeq" :　guideSeq,
//					"custId"   : custId
//				});
//			}
//		});

		// 33333点击底部标签客户的时候跳转到营销模块
		$.bindEvent($page.find("#yingxiao"), function() {
			$.pageInit("cockpit/cockpit", "subject/subject");
		});

		// 33333点击底部标签客户的时候跳转到我的信息模块
		$.bindEvent($page.find("#customer1"), function() {
			$.pageInit("cockpit/cockpit", "me/myIndex");
		});

		// 33333点击底部标签客户的时候跳转到客户模块
		$.bindEvent($page.find("#customer"), function() {
			$.pageInit("cockpit/cockpitInvest", "customer/view");
		});

		// 进入待补充摘要记录
		$.bindEvent(jQueryMap.content.newMotNotice,	function() {
			$.setLStorageInfo("readNeedAddTime", new Date().format("yyyy/MM/dd HH:mm:ss"));
			$.pageInit("cockpit/cockpit", "mot/messageToAdd");
		});
	}
	
	//获取任务数量
	function getTaskCount(mustType) {
		service.eventClassTypeCount({
			 "task_deal_type"   : mustType,
	         "employeeNo"       : $.getSStorageInfo("employeeNo")
		}, function(result) {
			var num = result[0].untreated;
			if(mustType=="1"){
				$page.find("#must").html(num);
			}else{
				$page.find("#unMust").html(num);
			}
		});
	}
	
	//获取任务列表
	function getTaskList(mustType) {
		service.eventTaskShow({
            "task_deal_type" 	: mustType,
            "task_status" 		: "1",
            "user_code" 		: $.getSStorageInfo("employeeNo")
		}, function(result) {
			if(result.length > 0){
				$page.find("#noneData").hide();
				$page.find(".mot_task_list").show();
				var htmlStr = "";
				for (var i = 0; i < result.length; i++) {
					if(i<3){ //最多展示3条数据
						var time = result[i].create_date.substr(11,5);
						htmlStr += '<li data-task_type='+result[i].task_type+' data-task_name='+result[i].task_name+' ><h4>' + result[i].task_name + '<em class="task_tag">' + result[i].class_name + 
						'</em><span class="task_status">' +result[i].task_count + '处待处理</span></h4><div class="info"><span class="time">' + time +
						'</span><p>' + result[i].task_desc + '</p></div></li>';
					}
				}
				$page.find("#taskList").html(htmlStr);
			}else{
				$page.find(".mot_task_list").hide();
				$page.find("#noneData").show();
			}
		});
	}

	// 公告查询
	function queryMsg() {
		service.queryMsgInfo({
			"userId"   : $.getSStorageInfo("userId"),
			"currPage" : currPage,
			"pageSize" : pageSize,
			"type"     : "1"
		}, function(result) {
			var num = result.xiaoxi[0].num;
			if(result.list[0].data.length > 0){
				var htmlStr = "<span>公告</span><div class='notice_list_n'><ul>";
				for (var i = 0; i < result.list[0].data.length; i++) {
					if(i < 3){
						htmlStr += "<li data-msgId='" + result.list[0].data[i].msgId + "'>"
							+ "<a href='javascript:void(0);' style='color:#000000'>"+ result.list[0].data[i].msgTitle + "</a></li>";
					}
				}
				htmlStr +='</ul>';
				if($page.find(".notice_sbox").html().trim()=="")
				{
					$page.find(".notice_sbox").html(htmlStr);	
					myUtils.Scroll($(pageId + " .notice_list_n"),{line:1,speed:2000,timer:4000});
				}
			}	
		});
		/*// 进入公告详情
		$.preBindEvent(jQueryMap.content.newNotice, "a",	function(e) {
//			var msgId = $(this).parent("li").attr("data-msgId");
//			$.pageInit("cockpit/cockpit", "cockpit/messageDetail", {"msgId" : msgId});
			$.pageInit("cockpit/cockpit", "cockpit/messageInfo");
			e.stopPropagation();
		});*/
		//进入公告列表
		$.preBindEvent(jQueryMap.content.newNotice, "a", function() {
			$.pageInit("cockpit/cockpit", "cockpit/messageInfo");
		});

	}

	// 查询公告下面的提醒类型并展示最新3条
	function queryNewNotice() {
		var userId = $.getSStorageInfo("userId");
		service.queryTop3NewNotice({
			"userId" : userId
		}, function(result) {		
			var num = result.xiaoxi[0].num;
			if(result.noticeList.length > 0){
				var htmlStr = "<a href='javascript:void(0);' class='tit msg'>最新消息提醒"+(num > 0 ? "<i class='icon_new'>NEW</i></a>" : "</a>");
				var tempHeader = result.noticeList[0].domHeader; // 模板父元素头
				var tempFooter = result.noticeList[0].domFooter; // 模板父元素尾
				htmlStr += tempHeader;
				
				var mydate=new Date();
				var  num = mydate.getMonth()+1;
				num = num >=10 ? num : "0"+num ;
				var today =num+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
				
				for (var i = 0; i < result.noticeList.length; i++) {
					var template = result.noticeList[i].template; // 内容模板
					var json = result.noticeList[i].jsonParam;
					// 将JSON串转换成json对象
					var obj = eval('(' + json + ')');
					if(result.noticeList[i].motType =="follownotice" && obj["tradeType"] == "1"){
						template = template.replace("已买入","已卖出");
						template = template.replace("+","-");
					}
					if(result.noticeList[i].motType =="productbuynotice" && obj["tradeType"] == "1"){
						template = template.replace("购买","卖出");	
					}
					for ( var key in obj) {
						if(key == "matureDay" && obj[key] == "0"){
							template = template.replace("#" + key + "#天后","今天");
							continue;
						}
						template = template.replace("#" + key + "#", obj[key]);
					}				
					if(obj["stockName"] == undefined){
						template = template.replace("#stockName#","");
					}
					template = template.replace("#mottype#", result.noticeList[i].motType);
					if(today == obj["date"] && template!=null){
						template =template.replace(obj["date"],"今天");
					}
					htmlStr += template;
				}
				htmlStr += tempFooter;
				jQueryMap.content.newNotice.html(htmlStr);		
			}
		});
	}

	function destroy() {
		cleanPageElement();
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"nowDate" : $page.find("#nowdate"),
				"allInCome" : $page.find("#allincome"),
				"preInCome" : $page.find("#preInCome"),
				"staffname" : $page.find("#staffname"),
				"successNum" : $page.find("#successNum"),
				"amount" : $page.find("#amount"),
				"sign" : $page.find("#sign"),
				"cust" : $page.find("#cust"),
				"followNum" : $page.find("#followNum"),
				"dept" : $page.find("#dept"),
				"integral" : $page.find("#integral"),
				"rank" : $page.find("#rank"),
				"showincome" : $page.find("#showincome"),
			},
			"content" : {
				"messageBox" : $page.find("#messageBox"),
				"newNotice" : $page.find("#newNotice"),
				"newKhNotice" : $page.find("#newKhNotice"),
				"mustType" : $page.find("#mustType"),
				"signNotice" : $page.find("#signNotice"),
				"productNotice" : $page.find("#productNotice"),
				"subjectNotice" : $page.find("#subjectNotice"),
				"myNotice" : $page.find("#myNotice"),
				"kbDetailsOne" : $page.find("#kbDetailsOne"),
				"needAdd" : $page.find("#needAdd"),
				"newMotNotice" : $page.find("#newMotNotice")
			}
		};
	}

	function initPage() {
		myUtils.showBtn("cockpit", "1");
		// platform "0": pc或手机浏览器; "1": android; "2" :ios
		$.config.platform === "0" ? $page.find(".ft_inner").show() : $page
				.find(".ft_inner").hide();

		initDate();
		queryMsg();
		queryHeaderData();
		getTodayData();
//		queryNewNotice();
		getTaskCount("1");//获取任务数量
		getTaskCount("2");//获取任务数量
		getTaskList(must_type);//获取任务列表
		queryToEditNum();
	}

	// 重置页面元素
	function cleanPageElement() {
		$page.find("article").scrollTop(0);
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load" : load
	};
});
