define("financial/scripts/cockpit/effect.js",
		function(require, exports, module) {
			// 私有业务模块的全局变量
			var service = require("investService");
			require("validatorUtils");
			var jQueryMap;
			var khState;
			var currPage = 1;
			var pageSize = 15;
			var $page = $("#cockpit_effect");
			var channelId;
			var lastStep;
			var totalPages = 0;
			var scrollJudge = true;// 判断是否到底可以滑动
			var myUtils = window.privateSpaceMKT.myUtils;
			var month = [];
			// 初始化jQueryMap对象
			// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
			initJQueryMap();

			function init(){
				myUtils.showLayer($page);
			}
			function load() {
				khState = $.getPageParam("khState");// 1、未完成 2、已完成
				initPage();			
			}

			function bindPageEvent() {
				//返回键
				$.bindEvent(jQueryMap.header.mktGoBack, function() {
					$.pageBack();
				});
				
				//跳转详情
				$.preBindEvent(jQueryMap.content.effList,".dynamic_item", function(e) {
					if(e.target.className == "tel"){
						var mobile = $(this).find("a").attr("data-tel");
						$.callMessage({
							"funcNo"    : "50220",
							"telNo"     : mobile,
							"callType"  : "0"
						});
					}else{
						var param = {};
						var guideSeq = $(this).attr("data-guideSeq");
						var custId = $(this).attr("data-custId");
						param.guideSeq = guideSeq;
						param.custId = custId;
						$.pageInit("cockpit/effect","cockpit/effectDetail",param);
					}
				});
				
				// 搜索功能
				$.bindEvent(jQueryMap.header.searchTxt, function() {
					$.pageInit("cockpit/effect","cockpit/effectSearch",{"khState":khState});
					//$("#motList").html("");
					//$("#noData").hide();
					//month = [];
					//currPage = "1";
					//queryAllMotListByType();
				});
				/*//搜索功能
				$.bindEvent(jQueryMap.header.searchTxt,function(){					
					initKhData();
				},"input");*/
				
				//点击筛选
				$.bindEvent($("#filterIcon"),function(){
					jQueryMap.content.layout.show();
					jQueryMap.content.filterBox.show();
				});
				
				//点击遮罩层
				$.bindEvent(jQueryMap.content.layout,function(){
					jQueryMap.content.layout.hide();
					jQueryMap.content.filterBox.hide();
				});
				
				//选择渠道
				$.preBindEvent($("#channelList"),"li",function(){
					$(this).addClass("act").siblings("li").removeClass("act");
					channelId=$(this).attr("data-channelId");
				});
				
				//选择流程节点
				$.preBindEvent($("#stepList"),"li",function(){
					$(this).addClass("act").siblings("li").removeClass("act");
					lastStep=$(this).attr("data-step");
				});
				
				//重置
				$.bindEvent($("#reset"),function(){
					channelId="";
					lastStep="";
					$("#channelList").find("li").removeClass("act");
					$("#stepList").find("li").removeClass("act");
				});
				
				//完成筛选
				$.bindEvent($("#okBtn"),function(){
					initKhData();
					jQueryMap.content.layout.hide();
					jQueryMap.content.filterBox.hide();
					month = [];
				});
				
				// 滚动加载更多
				$.bindEvent($page.find(".page_box"), function() {
					if (scrollJudge) {
						var viewH = $(this).height();// 可见高度
						var contentH = $(this).get(0).scrollHeight;// 内容高度
						var scrollTop = $(this).scrollTop();// 滚动高度
						if (scrollTop / (contentH - viewH) >= 0.99) { // 到达底部时,加载新内容
							if (currPage >= totalPages) {
								return false;
							} else {
								jQueryMap.content.loadIcon.show();
								scrollJudge = false;
								setTimeout(function() {
									currPage++;
									initKhData();
								}, 600);
							}
						}
					}
				}, "scroll");
			}

			function destroy() {
				cleanPageElement();
				service.destroy();
			}

			// 初始化jQueryMap对象
			function initJQueryMap() {
				// 缓存常用jQuery对象
				jQueryMap = {
					"header" : {
						"mktGoBack" : $page.find("#mktGoBack"),
						"filter" : $page.find("#filterIcon"),
						"title" : $page.find("#title"),					
						"searchTxt" : $page.find("#searchTxt"),
					},
					"content" : {
						"effList" : $page.find("#effList"),
						"layout" : $page.find("#overlay"),
						"filterBox" : $page.find("#filterBox"),
						// 上拉加载更多
						"loadIcon" : $page.find(".infinite-scroll-preloader"),
						"noData" : $page.find("#noData"),
						"emptyData" : $page.find("#emptyData")
					}
				};
			}

			function initPage() {
				
				myUtils.hideBtn();
				initKhData();
				//查询所有渠道
				initChannel();
			}

			function initChannel(){
				service.getChannelList({
					"userId" : $.getSStorageInfo("staffId"),
					"isAll"  : "1",
				},function(result){
					if(result.length>0){
						var htmlStr ="";
						for(var i = 0 ;i<result.length;i++){
							//if(result[i].checkState=="1"||result[i].checkState==""){
								htmlStr +="<li data-channelId='"+result[i].channelId+"'><span>"+result[i].channelName+"</span></li>";
							//}
						}
						$("#channelList").html(htmlStr);
					}
				});
			}
			
			// 查询开户记录
			function initKhData() {
				if(khState=="1"){
					$("#title").html("开户中");
				}else if(khState=="2"){
					$("#title").html("已完成");
				}
				var param = {
					"state" : khState,
					"userId" : $.getSStorageInfo("userId"),
					"channelId" : channelId,
					"lastStep"  : lastStep,
					"currPage" : currPage,
					"type" :1,
					"pageSize" : pageSize,
					"datakind" : "0",
					"searchTxt" : jQueryMap.header.searchTxt.val()
				}
				service.queryKhResult(
						param,
						function(results) {
							if(results && results.khStep && results.khStep.length>0){
								var htmlStep = "";
								for (var i = 0; i < results.khStep.length; i++) {
									htmlStep += '<li data-step="'+results.khStep[i].item_value+'"><span>'+results.khStep[i].item_name+'</span></li>';
								}
								$("#stepList").html(htmlStep);
							}
							if(results && results.DataSet && results.DataSet[0].data.length>0){
								jQueryMap.content.noData.hide();
								// 获取总页数
								totalPages = results.DataSet[0].totalPages;
								if (currPage == totalPages && currPage !=1) {
									jQueryMap.content.emptyData.show();
								} else {
									jQueryMap.content.emptyData.hide();
								}
								if (currPage == "1") {
									jQueryMap.content.effList.html("");
								}
								var effList = results.DataSet[0].data;
									for (var j = 0; j < effList.length; j++) {										
										// 判断月份是否页面已经存在，存在不处理，不存在添加
										if ($.inArray(effList[j].year + "年"+ effList[j].month+ "月", month)  == -1) {
											month.push(effList[j].year + "年"+ effList[j].month + "月");	
											var htmlStr1 = "";
											htmlStr1 += "<div class='acc_open_sec'>";
											htmlStr1 += "<h5 class='blk_tit'>"
												+ effList[j].year + "年"+ effList[j].month+ "月" + "</h5><div class='dynamics_list'></div>";
											jQueryMap.content.effList.append(htmlStr1);
										}
										var htmlStr = "";
										htmlStr += "<div class='dynamic_item' data-guideSeq='"
											+ effList[j].guideSeq+"' data-custId='"+effList[j].custId+"'>";
										htmlStr += "<div class='record_tit'><h4><span>"
											+ (!effList[j].custName?"未提交":effList[j].custName);
										htmlStr += "</span><em class='source_tag'>"
											+ effList[j].lastStepName
											+ "</em></h4>";
										htmlStr +="<p>"+effList[j].updateDate+"</p></div>";
										htmlStr += "<div class='record_text'><span>"
											+ (!effList[j].channelName?"无渠道":effList[j].channelName)
											+ "</span>";
										htmlStr += "<span>"
											+ "" //effList[j].mobileNo
											+ "</span></div>";
										htmlStr += "" +
												/*"<a href='javascript:void(0)' class='tel' data-tel='"
											+ effList[j].mobileNo
											+ "'></a>" +*/
													"</div>";
										$page.find(".dynamics_list:last").append(htmlStr);
//										jQueryMap.content.effList.append(htmlStr);
									}
//									htmlStr += "</div>";

								
								
							}else{
								jQueryMap.content.effList.html("");
								jQueryMap.content.noData.show();
							}

							//遮罩层去掉
							myUtils.hideLayer($page);
							jQueryMap.content.loadIcon.hide();
							scrollJudge = true;
						});
			}
			// 重置页面元素
			function cleanPageElement() {
				jQueryMap.content.noData.hide();
				jQueryMap.content.emptyData.hide();
				jQueryMap.content.effList.html("");
				jQueryMap.header.searchTxt.val("");
				jQueryMap.content.layout.hide();
				jQueryMap.content.filterBox.hide();
				channelId="";
				lastStep="";
				currPage = "1";
				month = [];
				
			}

			module.exports = {
				"init" : init,
				"bindPageEvent" : bindPageEvent,
				"destroy" : destroy,
				"load"    : load
			};
		});
