define("financial/scripts/cockpit/effectDetail.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	require("validatorUtils");
	var jQueryMap;
	var $page = $("#cockpit_effectDetail");
	var custId = "";
	var state = "1";
	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){

	}
	function load() {
		initPage();
	}
	
	function bindPageEvent() {
		//返回键
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			$.pageBack();
		});		
		
		//点击跳转客户详情页面
		$.bindEvent(jQueryMap.content.userInfo, function() {
			$.setSStorageInfo("custId",custId);
			$.setSStorageInfo("customerType",state);
			$.pageInit("cockpit/effectDetail","customer/detail/customerDetail");
		});
	}

	function destroy() {
		myUtils.showLayer($page);
		service.destroy();
	}
	

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
				"header":{
					"mktGoBack" : $page.find("#mktGoBack"),				
				},
				"content":{
					"userInfo" : $page.find(".user_info"),
					"custName" : $page.find("#custName"),
					"mobileNo" : $page.find("#mobileNo"),
					"channelName" : $page.find("#channelName"),
					"branchName" : $page.find("#branchName"),
					"bankName" : $page.find("#bankName"),
					"lastStep" : $page.find("#lastStep"),
					"listStep" : $page.find("#listStep")
				},
		};
	}
	function initData(){
		custId = $.getPageParam("custId");
		var guideSeq = $.getPageParam("guideSeq");
		
//		custId="d0413acc6f6a4a1c8e961e8a917e87d7";
//		guideSeq="0863856d05d74ab78a106095a7863385"
		service.getEffectDetail({
			"custId" : custId,
			"guideSeq" : guideSeq
		},function(result){
			if(result && result.khStep && result.khStep.length > 0){
				var htmlStep = "";
				for (var i = 0; i < result.khStep.length; i++) {
					htmlStep += '<li data-step="'+result.khStep[i].item_value+'"><span>'+result.khStep[i].item_name+'</span></li>';
				}
				jQueryMap.content.listStep.html(htmlStep);
			}
			if(result && result.effectPar){
				state = result.effectPar[0].state;
				$.each(["custName","mobileNo","channelName","branchName","bankName"],function(index,iDom){
					jQueryMap.content[iDom].html((!result.effectPar[0][iDom]?"未提交":result.effectPar[0][iDom]))
				});	
				var lastStep = result.effectPar[0].lastStep;			
				jQueryMap.content.lastStep.find("li[data-step='"+lastStep+"']").addClass("act").prevAll().addClass("act");
			}
			

			//遮罩层去掉
			myUtils.hideLayer($page);
		},function(){
			$.toast("数据异常！请联系管理员");
			$.pageBack();

			//遮罩层去掉
			myUtils.hideLayer($page);
		});
	}

	function initPage() {
		myUtils.showLayer($page);
		cleanPageElement();
		myUtils.hideBtn();
		initData();
	}

	
	// 重置页面元素
	function cleanPageElement() {
		jQueryMap.content.lastStep.find("li").removeClass("act");
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	};
});
