define("financial/scripts/cockpit/effectSearch.js",
		function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#cockpit_effectSearch");
    var _pageId = "#cockpit_effectSearch ";
    var motType;
    var currPage = 1;
	var pageSize = 20;
    var channelId;
	var lastStep;
    var month = []; // 接收月份
    var scrollJudge = true;// 判断是否到底可以滑动?
    var khState;
    var totalPages = 0;
    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
        });

        //跳转详情
		$.preBindEvent(jQueryMap.content.motList,".dynamic_item", function(e) {
			if(e.target.className == "tel"){
				var mobile = $(this).find("a").attr("data-tel");
				$.callMessage({
					"funcNo"    : "50220",
					"telNo"     : mobile,
					"callType"  : "0"
				});
			}else{
				var param = {};
				var guideSeq = $(this).attr("data-guideSeq");
				var custId = $(this).attr("data-custId");
				param.guideSeq = guideSeq;
				param.custId = custId;
				$.pageInit("cockpit/effect","cockpit/effectDetail",param,"right",true);
			}
		});

        // 滚动加载更多
        $.bindEvent($page.find(".page_box"), function() {
            jQueryMap.content.emptyTip.hide();
            if (scrollJudge) {
                var viewH = $(this).height();// 可见高度
                var contentH = $(this).get(0).scrollHeight;// 内容高度
                var scrollTop = $(this).scrollTop();// 滚动高度
                if (scrollTop / (contentH - viewH) >= 0.99) { // 到达底部时,加载新内容
                    if (currPage >= totalPages) {
                        return false;
                    } else {
                        jQueryMap.content.loadIcon.show();
                        scrollJudge = false;
                        setTimeout(function() {
                            currPage++;
                            queryAllMotListByType();
                        }, 600);
                    }
                }
            }
        }, "scroll");
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#search_input"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clear_btn"),
                "btnIcon"    : $page.find("#btn_Icon")
            },
            "content": {
                "motList" : $page.find("#motList"),
                "emptyTip"       : $page.find("#emptyTip"),
                // 上拉加载更多
                "loadIcon" : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            }
        };
    }

    function initPage() {    	
    	khState = $.getPageParam("khState");   	
        setTimeout(function () {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
        	jQueryMap.content.motList.html("");
            jQueryMap.content.emptyTip.show();
        	/*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/
            return false;
        }
        month = [];
        currPage = "1";
        jQueryMap.content.emptyData.hide();
        jQueryMap.content.emptyTip.hide();
        initKhData(searchText)
    }

     // 查询开户记录
	function initKhData(searchText) {
		var param = {
			"state" : khState,
			"userId" : $.getSStorageInfo("userId"),
			"channelId" : channelId,
			"lastStep"  : lastStep,
			"currPage" : currPage,
			"type" :1,
			"pageSize" : pageSize,
			"datakind" : "1",
			"searchTxt" : searchText
		}
		service.queryKhResult(param,function(results) {
			if(results && results[0].data.length>0){
				// 获取总页数
				totalPages = results[0].totalPages;
				if (currPage == "1") {
					$(_pageId + "#motList").html("");
				}
				jQueryMap.content.motList.html("");
				var effList = results[0].data;
				var htmlStr = "";
				htmlStr += "<div class='acc_open_sec'>";
				htmlStr += "<div class='dynamics_list'>";
				for (var j = 0; j < effList.length; j++) {	
						htmlStr += "<div class='dynamic_item' data-guideSeq='"
							+ effList[j].guideSeq+"' data-custId='"+effList[j].custId+"'>";
						htmlStr += "<div class='record_tit'><h4><span>"
							+ (!effList[j].custName?"未提交":effList[j].custName);
						htmlStr += "</span><em class='source_tag'>"
							+ effList[j].lastStepName
							+ "</em></h4>";
						htmlStr +="<p>"+effList[j].updateDate+"</p></div>";
						htmlStr += "<div class='record_text'><span>"
							+ (!effList[j].channelName?"无渠道":effList[j].channelName)
							+ "</span>";
						htmlStr += "<span>"
							+ effList[j].mobileNo
							+ "</span></div>";
						htmlStr += "<a href='javascript:void(0)' class='tel' data-tel='"
							+ effList[j].mobileNo
							+ "'></a></div>";	
				}
				htmlStr += "</div></div>";
				jQueryMap.content.emptyTip.hide();
				$(_pageId + "#motList").append(htmlStr);
			}else{
				jQueryMap.content.emptyTip.show();
            	jQueryMap.content.motList.html("");
			}
			jQueryMap.content.loadIcon.hide();
            scrollJudge = true;
		});
	}

    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.emptyData.hide();
    	jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.motList.html("");
        currPage = 1;
        totalPages = 0;
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
