define("financial/scripts/cockpit/kbAmountDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#cockpit_kbAmountDetail");
    var _pageId="#cockpit_kbAmountDetail ";
    var page = 1;
    var totalPages = 1;
    var pageSize = 20;
    var scrollJudge = true;//判断是否到底可以滑动?
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
    	$('.scroll_table .cheek.scroll').bind('scroll',function(){
			oLeft = $(this).scrollLeft();
			$('.scroll_table .cheek.scroll').scrollLeft(oLeft);
		});
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages || !scrollJudge){
//                		$.toast("没有更多数据了！");
                		return;
                	}
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                        dbPageAmountDelList();
                    },600);
                }
        	}      
        },"scroll");

    }

    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
//        toggleMenuArea("hide");
        service.destroy();
        cleanPageElement();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack")
            },
            "content": {
                //上拉加载更多
                "loadIcon"  	: $page.find(".infinite-scroll-preloader"),
                "cpxl"			: $page.find("#cpxl"),
                "gmrs"			: $page.find("#gmrs"),
                "data_none"		: $page.find("#data_none"),
                "data_main"		: $page.find("#data_main"),
                "left_data"		: $page.find("#left_data"),
                "right_data"	: $page.find("#right_data")
            }
        };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        //隐藏T-1数据说明
        $page.find("#trade_notice").hide();
        //数据填充
        getSessionData();
        //获取列表分页数据
        dbPageAmountDelList();
    }
    
    //数据填充
    function getSessionData(){
    	var product_name = $.getSStorageInfo("cockpit_amountDel_pName");
    	jQueryMap.header.mktGoBack.next().html(product_name);
    	var cpxl = $.getSStorageInfo("cockpit_amountDel_jrcpXl");
    	var num = myUtils.changeMoney(parseFloat(cpxl)).num;
    	var state = myUtils.changeMoney(parseFloat(cpxl)).state;
    	jQueryMap.content.cpxl.find('strong').html(num);
    	state ? jQueryMap.content.cpxl.find("p").html("产品销量(万)") : jQueryMap.content.cpxl.find("p").html("产品销量");
    	var gmrs = $.getSStorageInfo("cockpit_amountDel_gmrs");
    	var num1 = myUtils.changeMoney(parseFloat(gmrs)).num;
    	var state1 = myUtils.changeMoney(parseFloat(gmrs)).state;
    	jQueryMap.content.gmrs.find('strong').html(num1);
    	state1 ? jQueryMap.content.gmrs.find("p").html("购买人次(万)") : jQueryMap.content.gmrs.find("p").html("购买人次");
    }

    //分页数据
    function dbPageAmountDelList(){
        var param={
        		"userId" 		: $.getSStorageInfo("staffId"),
    			"employeeNo"	: $.getSStorageInfo("employeeNo"),
                "busiType"		: "amount",
                "productNo"		: $.getSStorageInfo("cockpit_amountDel_po"),
                "pageIndex"     : page,      //页数
                "pageSize"      : pageSize
            };
        service.dbPageSignDelList(param,function (results) {         	
        	totalPages = results[0].totalRows;
    		if(totalPages <= 1 || page == totalPages){
    			scrollJudge = false;
    		}
            //去掉加载转圈
            myUtils.hideLoadService($page);
            
            var result = results[0].data;
            if(result && result.length>0){
            	jQueryMap.content.data_main.show();
            	jQueryMap.content.data_none.hide();
            	var left_html = "";
            	var right_html = "";
            	for(var i=0;i<result.length;i++){
            		var num = myUtils.changeMoney(parseFloat(result[i].amount)).num;
//                	var state = myUtils.changeMoney(parseFloat(result[i].amount)).state;
//                	var gmje = state ? num+'万': num;
            		var time = result[i].trade_date;
            		var date = time.substr(4,2)+'-'+time.substr(6,2)+' '+time.substr(8,2)+':'+time.substr(10,2);
            		left_html += '<dl><dd style="text-align:left"><span style="width:0.9rem;" data-id="'+result[i].cust_no+'">'+result[i].name+'</span></dd></dl>';
            		var tradeTime = result[i].trade_date;
            		var time = tradeTime.substring(4,6) + "-" + tradeTime.substring(6,8) + " " + tradeTime.substring(8,10) + ":" + tradeTime.substring(10,12);
            		right_html += '<dl><dd><span style="text-align:center">'+num+'</span></dd>'+
            					  '<dd><span style="text-align:center">'+date+'</span></dd></dl>';
            					  '<dd><span style="text-align:center">'+time+'</span></dd></dl>';
            	}
            	jQueryMap.content.left_data.html(left_html);
            	jQueryMap.content.right_data.html(right_html);
            	
            	//点击跳转到客户的360视图
            	$.bindEvent($page.find("#left_data dl span"),function(){
            		var custNo = $(this).attr("data-id");
            		var custId;
            		var params={
                    		"custNo" : custNo,
                			"type"	 : "0"
                        };
            		service.getMktCustId(params, function(custRow){
            			if(custRow && custRow.length>0){
            				custId = custRow[0].cust_id;
            				$.setSStorageInfo("custId",custId);
            				$.setSStorageInfo("customerType","2");
            				$.pageInit("customer/views/assetsChange","customer/detail/customerDetail");
            			}
                    });
                });
            }else{
            	jQueryMap.content.data_main.hide();
            	jQueryMap.content.data_none.show();
            }
        });
    }
    

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.loadIcon.hide();
        page = 1;
        totalPages = 1;
        scrollJudge = true
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
