define("financial/scripts/cockpit/kbDetailOne.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#cockpit_kbDetailOne");
    var _pageId="#cockpit_kbDetailOne ";
    var page = 1;
    var totalPages = 1;
    var pageSize = 20;
    var scrollJudge = true;//判断是否到底可以滑动?
    var custType;
    var busiType;
    var type = 0;
    var customer_type = "2";  //默认存量客户
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
    	$('.scroll_table .cheek.scroll').bind('scroll',function(){
			oLeft = $(this).scrollLeft();
			$('.scroll_table .cheek.scroll').scrollLeft(oLeft);
		});
    	//业务类型 sign签约 cust客户 amount销量 ,如果是cust,则默认为newCust
        busiType = $.getSStorageInfo("kbDetil_busiType");
        custType = $.getSStorageInfo("kbDetil_custType");
        $page.find("#"+busiType).addClass("current").siblings().removeClass("current");
        $page.find("#"+custType).removeClass("hide").siblings().addClass("hide");
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });
        
        //金融产品页面提示信息，交易日说明--三秒后或者点击问号消失
        $.bindEvent(jQueryMap.content.trade, function () {
        	$page.find("#trade_notice").show();
        	setTimeout(function(){
        		type = 0;
        		$page.find("#trade_notice").hide();
        	},3000);
        	if(type==0){
        		$page.find("#trade_notice").show();
        		type = 1;
        	}else{
        		$page.find("#trade_notice").hide();
        		type = 0;
        	}
        });
        
        //客户类型选择
        $.bindEvent(jQueryMap.content.custType,function(){
        	$(this).removeClass("hide").siblings().addClass("hide");
        	custType = $(this).attr("id");
        	customer_type = $(this).attr("data-type");
        	$.setSStorageInfo("kbDetil_custType",custType);
        	drowTitle(busiType);
        	dbPageList(busiType,custType);
        });
        
        //业务类型选择
        $.preBindEvent(jQueryMap.header.busiType, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            busiType = $(this).attr("id");
            $.setSStorageInfo("kbDetil_busiType",busiType);
            getSessionData(busiType);
            //画标题，清空数据
            drowTitle(busiType);
            //填充数据
            dbPageList(busiType,custType);
        });
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages || !scrollJudge){
//                		$.toast("没有更多数据了！");
                		return;
                	}
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                        dbPageList(busiType,custType);
                    },600);
                }
        	}      
        },"scroll");

    }
    
    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        //隐藏T-1数据说明
        $page.find("#trade_notice").hide();
        //数据填充
        getSessionData(busiType);
        //画标题，清空数据
        drowTitle(busiType);
        //获取列表分页数据
        dbPageList(busiType,custType);
    }

    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
//        toggleMenuArea("hide");
        service.destroy();
        cleanPageElement();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "busiType": $page.find("#busiType")
            },
            "content": {
                //上拉加载更多
                "loadIcon"  	: $page.find(".infinite-scroll-preloader"),
                "custType"  	: $page.find("li[name='cust_num']"),
                "title_left"	: $page.find("#title_left"),
                "title_right"	: $page.find("#title_right"),
                "data_none"		: $page.find("#data_none"),
                "data_main"		: $page.find("#data_main"),
                "left_data"		: $page.find("#left_data"),
                "right_data"	: $page.find("#right_data"),
                "trade"			: $page.find("#trade")
            }
        };
    }

    
    
    //数据填充
    function getSessionData(busiType){
    	if("sign" == busiType){
    		$page.find("#row1").show();
    		$page.find("#row1").removeClass("hide");
    		$page.find("#newCust").hide();
    		$page.find("#potCust").hide();
    		$page.find("#row4").hide();
    		var qyNum = $.getSStorageInfo("cockpit_qyNum_one");
        	$page.find("#row1").find('strong').html(qyNum);
    	}else if("cust" == busiType){
    		$page.find("#row1").hide();
    		$page.find("#newCust").show();
    		$page.find("#potCust").show();
    		$page.find("#row4").hide();
    		var xkNum = $.getSStorageInfo("cockpit_xkNum_one");
        	$page.find("#newCust").find('strong').html(xkNum);
        	var qkNum = $.getSStorageInfo("cockpit_qkNum_one");
        	$page.find("#potCust").find('strong').html(qkNum);
    	}else{
    		$page.find("#row1").hide();
    		$page.find("#newCust").hide();
    		$page.find("#potCust").hide();
    		$page.find("#row4").show();
    		$page.find("#row4").removeClass("hide");
    		var jrcpXl = $.getSStorageInfo("cockpit_jrcpXl_one");
    		$page.find("#row4").find('strong').html(jrcpXl);
//    		var num = myUtils.changeMoney(parseFloat(jrcpXl)).num;
//        	var state = myUtils.changeMoney(parseFloat(jrcpXl)).state;
//        	state ? $page.find("#row4_data").html("金融产品销量(万)") : $page.find("#row4_data").html("金融产品销量");
    	}
    	
    }

    //分页数据
    function dbPageList(busiType,custType){
        var param={
        		"userId" 		: $.getSStorageInfo("staffId"),
    			"employeeNo"	: $.getSStorageInfo("employeeNo"),
                "busiType"		: busiType ,//业务类型 sign签约 cust客户 amount销量
                "custType"		: custType ,//如果是cust,则默认为newCust（只有客户的时候存在切换）
                "pageIndex"     : page,      //页数
                "pageSize"      : pageSize
            };
        service.getPageDataList(param,function (results) {    
        	totalPages = results[0].totalRows;
    		if(totalPages <= 1 || page == totalPages){
    			scrollJudge = false;
    		}
            //去掉加载转圈
            myUtils.hideLoadService($page);
            
            var result = results[0].data;
            if(result && result.length > 0){
            	jQueryMap.content.data_main.show();
            	jQueryMap.content.data_none.hide();
            	var left_html = "";
            	var right_html = "";
            	for(var i=0;i<result.length;i++){
            		if("sign"==busiType){
            			var product = result[i];
            			left_html += '<dl><dd><span style="width:1.0rem;text-align:left;" data-type="sign" data-no="'+product.product_no+'" data-qyzs="'+product.qyzs+'" data-scqys="'+product.scqys+'">'+product.product_name+'</span></dd></dl>';
            			right_html += '<dl><dd style="padding-left:0.2rem;"><span style="color:#d80c1e;" class="w100"><span>'+product.qyzs+'</span></span></dd>'+
                    				  '<dd><span>'+product.scqys+'</span></dd></dl>';
                    }else if("cust"==busiType){
                    	var cust = result[i];
                    	left_html += '<dl><dd><span style="width:0.8rem;" data-type="cust" data-id="'+cust.cust_id+'">'+cust.name+'</span></dd></dl>';
                    	if("newCust"==custType){
	                    	right_html += '<dl><dd><span style="width:1.4rem;text-align:center" name="subjectInfo" data-id="'+cust.subject_id+'">'+cust.subject_name+'</span></dd>'+
	                    				  '<dd><span style="width:1.2rem;text-align:center">'+cust.channel_name+'</span></dd>'+
	                    				  '<dd><span style="width:1.0rem;">'+cust.comm_rate+'‰</span></dd></dl>';
                    	}else{
                    		right_html += '<dl><dd><span style="width:1.5rem;"><span class="span_mobile">'+cust.mobile+'</span>'+
                    					  '<div class="cont_methods">' +
                    					  '<a href="javascript:void(0)" class="icon_tel01" data-custNo="'+cust.cust_no+'" data-mobile="'+cust.mobile+'"></a>' +
                    					  '<a href="javascript:void(0)" class="icon_letter" data-mobile="'+cust.mobile+'"></a></div></dd>'+
                    					  '<dd><span style="width:1.0rem" name="subjectInfo" data-id="'+cust.subject_id+'">'+cust.subject_name+'</span></dd>'+
                    					  '<dd><span>'+cust.channel_name+'</span></dd></dl>';
                    	}
                    }else if("amount"==busiType){
                    	var product = result[i];
//                    	var num = (parseFloat(product.amount)/10000).toFixed(2);
                    	var num = product.amount;
                    	left_html += '<dl><dd><span style="width:1.0rem" name="product_info" data-type="amount" data-no="'+product.product_no+'" data-jrcpXl="'+product.amount+'" data-gmrs="'+product.gmrs+'">'+product.product_name+'</span></dd></dl>';
                    	right_html += '<dl><dd><span style="width:0.8rem">'+product.product_no+'</span></dd><dd><span style="width:0.8rem">'+product.gmrs+'</span></dd><dd><span>'+num+'</span></dd></dl>';
                    }
            	}
            	jQueryMap.content.left_data.html(left_html);
            	jQueryMap.content.right_data.html(right_html);
            	
            	//点击跳转到详情页面,客户的跳转到360视图
            	$.bindEvent($page.find("#left_data dl span"),function(){
            		var $this = $(this);
                    var type = $this.attr("data-type");
                    var product_no = $this.attr("data-no");
                    var product_name = $this.html();
                    if("sign"==type){
                     	var qycs = $this.attr("data-qyzs");
                     	var sqrs = $this.attr("data-scqys");
                     	$.setSStorageInfo("cockpit_signDel_po",product_no);
                     	$.setSStorageInfo("cockpit_signDel_pName",product_name);
                     	$.setSStorageInfo("cockpit_signDel_qycs",qycs);
                     	$.setSStorageInfo("cockpit_signDel_sqrs",sqrs);
                    	$.pageInit("cockpit/cockpit", "cockpit/kbSignDetail");
                    }else if("amount"==type){
                    	var jrcpXl = $this.attr("data-jrcpXl");
                    	var gmrs = $this.attr("data-gmrs");
                    	$.setSStorageInfo("cockpit_amountDel_po",product_no);
                    	$.setSStorageInfo("cockpit_amountDel_pName",product_name);
                     	$.setSStorageInfo("cockpit_amountDel_jrcpXl",jrcpXl);
                     	$.setSStorageInfo("cockpit_amountDel_gmrs",gmrs);
                     	$.pageInit("cockpit/cockpit", "cockpit/kbAmountDetail");
                    }else{
                    	var custId = $this.attr("data-id");
                    	$.setSStorageInfo("custId",custId);
                    	$.setSStorageInfo("customerType",customer_type);
            			$.pageInit("customer/views/assetsChange","customer/detail/customerDetail");
                    }
                });
            	
            	//点击跳转到主题详情
            	$.bindEvent($page.find("#right_data dl span[name='subjectInfo']"),function(){
            		var subjectId = $(this).attr("data-id");
            		if(subjectId){
            			var params={
                        		"subjectId" : subjectId,
                    			"type"	    : "2"
                            };
                		service.getMktCustId(params, function(custRow){
                			var subjectTypeNo;
                			if(custRow && custRow.length>0){
                				subjectTypeNo = custRow[0].subject_type_no;
                				var status = custRow[0].status;
                				if("4"==status){ //上架状态才能查详情
                					$.setSStorageInfo("subjectId",subjectId);
                					$.setSStorageInfo("subjectTypeNo",subjectTypeNo);
                					if(subjectTypeNo == "newCustomersExclusive"){
                						$.pageInit("subject/subject", "subject/subNewDetail");
                					}else if(subjectTypeNo == "appreciationSigned"){
                						$.pageInit("subject/subject", "subject/subSignDetail");
                					}else if(subjectTypeNo == "marketActivity"){
                						$.pageInit("subject/subject", "subject/subActivityDetail");
                					}
                				}else{
                					$.toast("此产品已下架！");
                				}
                			}
                        });
            		}
                });
            	
            	//点击电话图标的时候打电话
                /*$.bindEvent($page.find("a.icon_tel01"), function() {
                    $.callMessage({
                        "funcNo"    : "50220",
                        "telNo"     : $(this).attr("data-mobile"),
                        "callType"  : "0"
                    });
                });*/
            	$.bindEvent($page.find("a.icon_tel01"), function() {
                    service.callMobile({
                        "userCode": $.getSStorageInfo("employeeNo"),
                        "custNo"  : $(this).attr("data-custNo")
                    });
                });
                
               //点击电话图标的时候发短信
                $.bindEvent($page.find("a.icon_letter"), function() {
                    $.callMessage({
                        "funcNo"    : "50221",
                        "telNo"     : $(this).attr("data-mobile")
                    });
                });
            }else{
            	jQueryMap.content.data_main.hide();
            	jQueryMap.content.data_none.show();
            }
        });
    }
    
    
    
    //画标题title
    function drowTitle(busiType){
    	if("sign"==busiType){
        	jQueryMap.content.title_left.html("产品名称").css("width","1.0rem").css("text-align","left");
        	jQueryMap.content.title_right.html('<dl><dd style="padding-left:0.2rem;"><span class="w100">签约次数</span></dd><dd><span>首签人数</span></dd></dl>');
        }else if("cust"==busiType){
        	jQueryMap.content.title_left.html("客户姓名").css("width","0.8rem");
        	if("newCust"==custType){
        		jQueryMap.content.title_right.html('<dl><dd><span style="width:1.4rem;text-align:center">来源主题</span></dd><dd><span style="width:1.2rem;text-align:center">来源渠道</span></dd><dd><span style="width:1rem;">基本账户佣金</span></dd></dl>');
        	}else{
        		jQueryMap.content.title_right.html('<dl><dd><span style="width:1.5rem;text-align:center">联系电话</span></dd><dd><span style="width:1.0rem">来源主题</span></dd><dd><span>来源渠道</span></dd></dl>');
        	}
        }else if("amount"==busiType){
        	jQueryMap.content.title_left.html("产品名称").css("width","1.0rem").css("text-align","left");
        	jQueryMap.content.title_right.html('<dl><dd><span style="width:0.8rem">产品代码</span></dd><dd><span style="width:0.8rem">购买人数</span></dd><dd><span>总金额(万)</span></dd></dl>');
        }
    	jQueryMap.content.right_data.html("");
        jQueryMap.content.left_data.html("");
    }
    
    
   


    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.loadIcon.hide();
        page = 1;
        type = 0;
        totalPages = 1;
        scrollJudge = true
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
