define("financial/scripts/cockpit/kbSignDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#cockpit_kbSignDetail");
    var _pageId="#cockpit_kbSignDetail ";
    var page = 1;
    var totalPages = 1;
    var pageSize = 20;
    var scrollJudge = true;//判断是否到底可以滑动?
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
    	$('.scroll_table .cheek.scroll').bind('scroll',function(){
			oLeft = $(this).scrollLeft();
			$('.scroll_table .cheek.scroll').scrollLeft(oLeft);
		});
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages || !scrollJudge){
//                		$.toast("没有更多数据了！");
                		return;
                	}
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                        dbPageSignDelList();
                    },600);
                }
        	}      
        },"scroll");

    }

    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
        service.destroy();
        cleanPageElement();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "busiType": $page.find("#busiType")
            },
            "content": {
                //上拉加载更多
                "loadIcon"  	: $page.find(".infinite-scroll-preloader"),
                "qycs"			: $page.find("#qycs"),
                "sqrs"			: $page.find("#sqrs"),
                "data_none"		: $page.find("#data_none"),
                "data_main"		: $page.find("#data_main"),
                "left_data"		: $page.find("#left_data"),
                "right_data"	: $page.find("#right_data")
            }
        };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        //数据填充
        getSessionData();
        //获取列表分页数据
        dbPageSignDelList();
    }
    
    //数据填充
    function getSessionData(){
    	var product_name = $.getSStorageInfo("cockpit_signDel_pName");
    	jQueryMap.header.mktGoBack.next().html(product_name);
    	var qycs = $.getSStorageInfo("cockpit_signDel_qycs");
    	jQueryMap.content.qycs.find('strong').html(qycs);
    	var sqrs = $.getSStorageInfo("cockpit_signDel_sqrs");
    	jQueryMap.content.sqrs.find('strong').html(sqrs);
    	jQueryMap.content.right_data.html("");
        jQueryMap.content.left_data.html("");
    }

    //分页数据
    function dbPageSignDelList(){
        var param={
        		"userId" 		: $.getSStorageInfo("staffId"),
    			"employeeNo"	: $.getSStorageInfo("employeeNo"),
                "busiType"		: "sign",
                "productNo"		: $.getSStorageInfo("cockpit_signDel_po"),
                "pageIndex"     : page,      //页数
                "pageSize"      : pageSize
            };
        service.dbPageSignDelList(param,function (results) {         	
        	totalPages = results[0].totalRows;
    		if(totalPages <= 1 || page == totalPages){
    			scrollJudge = false;
    		}
            //去掉加载转圈
            myUtils.hideLoadService($page);
            
            var result = results[0].data;
            if(result && result.length>0){
            	jQueryMap.content.data_main.show();
            	jQueryMap.content.data_none.hide();
            	var left_html = "";
            	var right_html = "";
            	//没有子产品的产品代码
            	var productNoArr = new Array("1588015","1588016","1588033","1588034","1588203","1588204",
            								 "1588205","1588207","1588208","1588209","1588210","1588201");
            	//主产品代码
            	var no = $.getSStorageInfo("cockpit_signDel_po");
            	var index = productNoArr.indexOf(no);
            	if(index > -1){//说明没有子品
            		$page.find("#remove_con").hide();//隐藏
            	}else{
            		$page.find("#remove_con").show();//显示此列
            	}
            	for(var i=0;i<result.length;i++){
            		var state = result[i].first_signed;
            		var tempHtml = index > -1?'':'<dd><span name="subjectInfo" style="width:1.5rem;text-align:left;" data-id="'+result[i].subject_id+'">'+result[i].subject_name+'</span></dd>';
            		var stateHtml = state=='1'?'<em class="depart_tag">首</em>'+result[i].name:result[i].name;
            		left_html += '<dl><dd><span style="width:0.9rem;text-align:left;overflow:visible;" data-id="'+result[i].cust_id+'">'+stateHtml+'</span></dd></dl>';
            		right_html += '<dl>' + tempHtml +
            					  '<dd><span style="width:0.8rem;text-align:center">'+result[i].sign_time+'</span></dd>'+            						
            					  '<dd><span>'+result[i].channel_name+'</span></dd></dl>';
            	}
            	jQueryMap.content.left_data.html(left_html);
            	jQueryMap.content.right_data.html(right_html);
            	
            	//点击跳转到客户的360视图
            	$.bindEvent($page.find("#left_data dl span"),function(){
            		var custId = $(this).attr("data-id");
            		var params={
                    		"custId"  : custId,
                    		"staffId" : $.getSStorageInfo("staffId"),
                			"type"	  : "1"
                        };
            		service.getMktCustId(params, function(custRow){
            			if(custRow && custRow.length>0){
            				$.setSStorageInfo("custId",custId);
            				$.setSStorageInfo("customerType","2");
                			$.pageInit("customer/views/assetsChange","customer/detail/customerDetail");
            			}else{
            				$.toast("该客户是独立客户！");
            			}
                    });
                });
            	
            	//点击跳转到主题详情
            	$.bindEvent($page.find("#right_data dl span[name='subjectInfo']"),function(){
            		var subjectId = $(this).attr("data-id");
            		var params={
                    		"subjectId" : subjectId,
                			"type"	    : "2"
                        };
            		service.getMktCustId(params, function(custRow){
            			var subjectTypeNo;
            			if(custRow && custRow.length>0){
            				subjectTypeNo = custRow[0].subject_type_no;
            				var status = custRow[0].status;
            				if("4"==status){ //上架状态才能查详情
            					$.setSStorageInfo("subjectId",subjectId);
            					$.setSStorageInfo("subjectTypeNo",subjectTypeNo);
            					if(subjectTypeNo == "newCustomersExclusive"){
            						$.pageInit("subject/subject", "subject/subNewDetail");
            					}else if(subjectTypeNo == "appreciationSigned"){
            						$.pageInit("subject/subject", "subject/subSignDetail");
            					}else if(subjectTypeNo == "marketActivity"){
            						$.pageInit("subject/subject", "subject/subActivityDetail");
            					}
            				}
            			}
                    });
                });
            }else{
            	jQueryMap.content.data_main.hide();
            	jQueryMap.content.data_none.show();
            }
        });
    }
    

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.loadIcon.hide();
        page = 1;
        totalPages = 1;
        scrollJudge = true
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
