define(
		"financial/scripts/cockpit/myIntegral.js",
		function(require, exports, module) {
			// 私有业务模块的全局变量
			var typeList = $.config.typeList;
			var service = require("investService");		
			var myUtils = window.privateSpaceMKT.myUtils;
			var jQueryMap;
			var $page = $("#cockpit_myIntegral");
			var currMonth;
			// 初始化jQueryMap对象
			// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
			initJQueryMap();
			
			function init(){
				//myUtils.addLayer($page);
			}
			function load() {
				initPage();			
			}

			function bindPageEvent() {
				$.bindEvent(jQueryMap.header.mktGoBack, function() {
					$.pageBack();
				});	
				
				//点击上个月
				$.bindEvent(jQueryMap.content.lastMonth,function(){
					var year = parseInt(currMonth.substr(0,4),10);
					var month = parseInt(currMonth.substr(4,6),10);
					
					if(month==1){
						year -= 1;        
					    month = 12;  
					}else{
						month -= 1;
						if(month<10){
							month = "0"+month;
						}
					}
					var yearMont =year+""+month;
					initYearMonth(yearMont);
				});
				
				//点击下个月
				$.bindEvent(jQueryMap.content.nextMonth,function(){
					var year = parseInt(currMonth.substr(0,4),10);
					var month = parseInt(currMonth.substr(4,6),10);
					
					if(month==12){
						year += 1;
						month = 1;
					}else{
						month += 1;
					}
					if(month<10){
						month = "0"+month;
					}
					var yearMonth =year+""+month;
					initYearMonth(yearMonth);
					
				});
				
				//投顾积分二级收缩展示
				$.preBindEvent(jQueryMap.content.investAdviser,"ul li",function(){
					var $this=$(this);
					if($this.hasClass("act")){
						$this.removeClass("act");
					}else{
						$this.addClass("act");
					}
				});
			}

			function destroy() {
				service.destroy();
			}
			
			//初始化数据
			function initData(){
				
			}
			
			//初始化年月
			function initYearMonth(month){
				if(!month){
					var date = new Date();				
					var year = date.getFullYear();
					var month = ((date.getMonth()+1)<10?("0"+(date.getMonth()+1)):date.getMonth()+1);
					currMonth = year+""+month;
					jQueryMap.content.currMonth.html(year+"年"+month+"月");			
				}else{
					currMonth = month;
					var nowYear = currMonth.substr(0,4);
					var nowMonth = currMonth.substring(4,6);
					jQueryMap.content.currMonth.html(nowYear+"年"+nowMonth+"月");
				}			
				
				
				var lastMonth = getYearMonth(currMonth,"last");
				var strYear =  lastMonth.substr(0,4);                
				var strMonth = lastMonth.substr(4,6);
				jQueryMap.content.lastMonth.html(strYear+"年"+strMonth+"月");
				var nextMonth = getYearMonth(currMonth,"next");
				var strYear1 = nextMonth.substr(0,4);                
				var strMonth1 = nextMonth.substr(4,6);
				
				var nowDate = new Date();
				if(nowDate.getFullYear()==parseInt(currMonth.substr(0,4))){									
					if((nowDate.getMonth()+1)<=parseInt(currMonth.substr(4,6))){
						jQueryMap.content.nextMonth.hide();
					}else{
						jQueryMap.content.nextMonth.show();
						jQueryMap.content.nextMonth.html(strYear1+"年"+strMonth1+"月");	
					}
					
					if(nowDate.getMonth()+1-currMonth.substr(4,6) > 4){
						jQueryMap.content.lastMonth.hide();
					}else{
						jQueryMap.content.lastMonth.show();
					}
				}else{
					jQueryMap.content.nextMonth.show();
					jQueryMap.content.nextMonth.html(strYear1+"年"+strMonth1+"月");
					
					if(12-parseInt(currMonth.substr(4,6))+nowDate.getMonth()+1 > 4){
						jQueryMap.content.lastMonth.hide();
					}else{
						jQueryMap.content.lastMonth.show();
					}
				}
				initData();

				//遮罩层去掉
				//myUtils.cancelLayer($page);
			}
			
			//获取上一年 OR 下一年
			function getYearMonth(datetime,type){//日期格式YYYYMM  type:1、last  2、next
				var strYear = parseInt(datetime.substr(0,4));                
				var strMonth = parseInt(datetime.substr(4,6));
				var yearMonth;
				if(type=="last"){
					if(strMonth==1){
						 strYear -= 1;        
					     strMonth = 12;  
					}else{
						strMonth -= 1;
						if(strMonth<10){
							strMonth = "0"+strMonth;
						}
					}
					yearMonth = strYear+""+strMonth;
				}else if(type=="next"){
					if(strMonth==12){
						strYear += 1;
						strMonth = "01";
					}else{
						strMonth += 1;
						if(strMonth<10){
							strMonth = "0"+strMonth;
						}
					}
					yearMonth = strYear+""+strMonth;
				}
				return yearMonth;
			}
			
			function initData(){
				var postNo = $.getSStorageInfo("postNo");
				if(postNo != "ivtManager" && postNo != "areaManager" && postNo != "mktManager" ){
					$("#super").show();
				}
				if(postNo == "investAdviser"){
					$page.find("#investAdviser").show();
					$page.find("#customerManager").hide();
				}else{
					$page.find("#investAdviser").hide();
					$page.find("#customerManager").show();
				}
				service.getIntegralInfo({
					"employeeNo" : $.getSStorageInfo("employeeNo"),      //经纪人编号
					"monthId"    : currMonth     ,                       //月份
					"postType"    : $.getSStorageInfo("postType")     , 
					"postNo"     : postNo 
				},function(result){
					if(postNo == "investAdviser"){
						var tzgwList = [];
						tzgwList = typeList.integralList_tzgw;
						var htmlTzgw = "";
						for(var i = 0 ; i<tzgwList.length ; i++){
							htmlTzgw += '<li><strong>'+tzgwList[i].name[0]+'<span id="integralFund">'+result[0][tzgwList[i].integral_type[0]]+'</span><em>'+result[0][tzgwList[i].integral_rate[0]]+'</em></strong><div class="mscore_details">'
							for(var j = 1 ; j<tzgwList[i].name.length ; j++){
								htmlTzgw += '<p>'+tzgwList[i].name[j]+'<span>'+result[0][tzgwList[i].integral_type[j]]+'</span><em class="fc_red">'+result[0][tzgwList[i].integral_rate[j]]+'</em></p>';
							}
							htmlTzgw += '</div></li>'						
						}
						$page.find("#investAdviser ul").html(htmlTzgw);					
						/*$.each(["allNum","exceedNum","integralNew","integralNewRate","integral_new_yxh","integral_new_xzyxzc","integral_new_lszckf",
						        "integralAdd","integralAddRate","integral_add_xzyxqy","integral_add_tqkf","integral_add_ycfgsl","integral_add_zzsrzs",
						        "integral_add_tfzskf","integralFund","integralFundRate","integral_fund_jrcpjf1","integral_fund_jrcpjf2","integral_fund_jrcpjf3",
						        "integralRzrq","integralRzrqRate","integral_rzrq_kh","integral_rzrq_xzkhfz","integral_rzrq_byfz","integralHgt",
						        "integralHgtRate","integralGq","integralGqRate","integralJs","integralJsRate","integralOthers","integralOthersRate",
						        "integral_hgtyxh","integral_xzgpqq","integral_jshdjl","integral_others","new_yxh_rate","new_xzyxzc_rate","new_lszckf_rate",
						        "add_xzyxqy_rate","add_tqkf_rate","add_ycfgsl_rate","add_zzsrzs_rate","add_tfzskf_rate","fund_jrcpjf1_rate","fund_jrcpjf2_rate",
						        "fund_jrcpjf3_rate","rzrq_kh_rate","rzrq_xzkhfz_rate","rzrq_byfz_rate","hgtyxh_rate","xzgpqq_rate","others_rate","jshdjl_rate"],
						        function(index,iDom){
							$page.find("#"+[iDom]).html(result[0][iDom]);
			            });*/
					}else{
						var lcjlList = [];
						lcjlList = typeList.integralList_lcjl;
						var htmlLcjl = "";
						for(var i = 0 ; i<lcjlList.length ; i++){
							htmlLcjl += '<li><a href="javascript:void(0)">'+lcjlList[i].name+'<span>'
										+result[0][lcjlList[i].integral_type]+'</span><em>'
										+result[0][lcjlList[i].integral_rate]+'</em></a></li>'
						}
						$page.find("#customerManager ul").html(htmlLcjl);
						/*$.each(["allNum","exceedNum","xzkhzh","xzcnyxh","xzhxh","xzjjdtkh","xzrzrqzh","xzrzrqyxh","xzhgtsgt",
						        "zzcpxs","jrcpxs","jshdjl","lskhkf","xzkhzhRate","xzcnyxhRate","xzhxhRate","xzjjdtkhRate",
						        "xzrzrqzhRate","xzrzrqyxhRate","xzhgtsgtRate","zzcpxsRate","jrcpxsRate","jshdjlRate","lskhkfRate","xzsgt","xzsgtRate" ],
						        function(index,iDom){
							$page.find("#"+[iDom]).html(result[0][iDom]);
			            });		*/				
					}
					$.each(["allNum","exceedNum"],function(index,iDom){
						$page.find("#"+[iDom]).html(result[0][iDom]);
					});
				});
				/*ivtManager
				areaManager
				mktManager*/
			}
			
			// 初始化jQueryMap对象
			function initJQueryMap() {
				// 缓存常用jQuery对象
				jQueryMap = {
					"header" : {
						"mktGoBack" : $page.find("#mktGoBack"),
					},
					"content" : {
						"lastMonth" : $page.find("#lastMonth"),
						"currMonth" : $page.find("#currMonth"),
						"nextMonth" : $page.find("#nextMonth"),
						"allNum"    : $page.find("#allNum"),
						"exceedNum" : $page.find("#exceedNum"),
						"hxhInte"   : $page.find("#hxhInte"),
						"hxhRate"   : $page.find("#hxhRate"),
						"lrInte"   : $page.find("#lrInte"),
						"lrRate"   : $page.find("#lrRate"),
						"zzcpInte"   : $page.find("#zzcpInte"),
						"zzcpRate"   : $page.find("#zzcpRate"),
						"xzkhInte"   : $page.find("#xzkhInte"),
						"xzkhRate"   : $page.find("#xzkhRate"),
						"xsInte"     : $page.find("#xsInte"),
						"xsRate"     : $page.find("#xsRate"),
						"jjdtInte"   : $page.find("#jjdtInte"),
						"jjdtRate"   : $page.find("#jjdtRate"),
						"yxhInte"    : $page.find("#yxhInte"),
						"yxhRate"    : $page.find("#yxhRate"),
						"lostInte"   : $page.find("#lostInte"),
						"lostRate"   : $page.find("#lostRate"),
						"investAdviser": $page.find("#investAdviser"),
						"customerManager": $page.find("#customerManager")
					},
				};
			}

			function initPage() {
				cleanPageElement();
				myUtils.hideBtn();
				initYearMonth();
			}

			// 重置页面元素
			function cleanPageElement() {				
			}
			
			module.exports = {
				"init" : init,
				"bindPageEvent" : bindPageEvent,
				"destroy" : destroy,
				"load"    : load
			};
		});
