define("financial/scripts/cockpit/newKhNotice.js", function(require, exports,
		module) {
	//私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	var jQueryMap;
	var $page = $("#cockpit_newKhNotice");
	var types = "khbreaknotice,firstdealnotice,inmoneynotice";

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){

	}
	function load() {
		initPage();
	}

	function bindPageEvent() {
		//返回键
		$.bindEvent(jQueryMap.header.mktGoBack,function(){
			$.pageBack("","left");
		});
		
		$.preBindEvent(jQueryMap.content.typeList,"a.msg",function(e){
			var type = $(this).attr("data-type");
		    $.pageInit("cockpit/newKhNotice","cockpit/mainNotice",{"noticeType":type});
			/*if(e.target.className=="tit msg"){				
			}else if(e.target.className=="tel"){
				var tel  = $(this).attr("data-tel");
				$.callMessage({
					"funcNo" : "50220",
					"telNo" : tel,
					"callType" : "0"
				});
				e.stopPropagation();
			}*/
		});
		
		// 打电话
		$.preBindEvent(jQueryMap.content.typeList, "a.tel", function(e) {
			var tel = $(this).attr("data-tel");
			if (!tel) {
				e.stopPropagation();
				return;
			}
			$.callMessage({
				"funcNo" : "50220",
				"telNo" : tel,
				"callType" : "0"
			});
			e.stopPropagation();
		});
		
		//进入开户详情
		$.preBindEvent(jQueryMap.content.typeList,"div.naccount_sec .bkpoint_list .desp_item div",function(e){
			var dataType = $(this).parent().parent().parent().find("a").attr("data-type");
			if(dataType == "khbreaknotice"){
				var custId = $(this).parent().attr("data-custId");
					var guideSeq = $(this).parent().attr("data-guideSeq");
					
					$.pageInit("cockpit/newKhNotice","cockpit/effectDetail",{
						"guideSeq" : guideSeq,
						"custId"   : custId
					});
			}/*else{
			//跳转客户详情功能，待正确传参验证
				var custId = $(this).attr("data-custId");
				$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail",{
					"custId" : custId,
					"customerType" : "2"
				});
			}*/
				
		});

		//开户中记录
		$.bindEvent(jQueryMap.header.ingNum.parent(),function(){
			$.pageInit("cockpit/newKhNotice","cockpit/effect",{"khState":"1"});
		});
		
		//开户完成记录
		$.bindEvent(jQueryMap.header.successNum.parent(),function(){
			$.pageInit("cockpit/newKhNotice","cockpit/effect",{"khState":"2"});
		});
		
		//点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.typeList, ".desp_item", function(){
			var dataType = $(this).parent().parent().find("a").attr("data-type");
			if(dataType == "khbreaknotice"){
				return false;
			}
			var custId = $(this).attr("data-custId");
			if(custId == "#custId#"){
				$.toast("该消息提醒已失效！");
				return false;
			}
			$.setSStorageInfo("custId",custId);
			$.setSStorageInfo("customerType","2");
			$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail");
		});
	}

	function destroy() {
		myUtils.showLayer($page);
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
				"header":{
					"mktGoBack" : $page.find("#mktGoBack"),
					"allNum" :$page.find("#allNum"),
					"successNum" :$page.find("#successNum"),
					"ingNum"	:$page.find("#ingNum")
				},
				"content":{
					"khBreakNotice" : $page.find("#khBreakNotice"),
					"inMoneyNotice" : $page.find("#inMoneyNotice"),
					"firstDealNotice" : $page.find("#firstDealNotice"),
					"typeList"		: $page.find("#typeList")
				}
		};
	}

	function initPage() {
		myUtils.showLayer($page);
		cleanPageElement();
		myUtils.hideBtn();
		queryKhNum();
		initNoticeData();
	}

	//查询开户数量
	function queryKhNum(){
		var userId = $.getSStorageInfo("userId");
		service.queryKhNum({"userId":userId},function(result){
			$.each(["allNum","successNum","ingNum"],function(index,iDom){
                jQueryMap.header[iDom].html(result[0][iDom]);
            });
		});
	}
	
	//查询开户相关类型提醒前三条
	function initNoticeData(){
		var param = {
			"types" : types,
			"userId": $.getSStorageInfo("userId")
		};
		service.queryTop3MotByTypes(param,function(result){
			var htmlStr = "";
			for(var i = 0;i<result.length;i++){
				var obj= eval('('+result[i].tempParam+')');
				htmlStr +="<div class='naccount_sec'>";
				htmlStr += "<a href='javascript:void(0);' data-type='"+obj.mot_type+"' class='tit msg'>"+obj.mot_name+(!obj.no_read_num?"":("<em>"+obj.no_read_num+"</em>"))+"</a>"; 
				htmlStr += "<div class='bkpoint_list' style='background-color: white;'>";
				var motArr = new Array();
				
				if(!result[i].motList){
					htmlStr += '<p style="line-height:1.32rem;text-align: center">暂无提醒</p>';
				}else{
					motArr= eval('(' + result[i].motList + ')');
					for(var j = 0 ;j<motArr.length;j++){
						var template = obj.dom_temp_desc;
						var json = motArr[j].json_param;
						//将JSON串转换成json对象
						var objs = eval('(' + json + ')');
						//var dateArr = objs["newDate"].split(" ");
						var mydate=new Date();
						var  num = mydate.getMonth()+1;
						num = num >= 10 ? num : "0"+num ;
						var today =num+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
						for(var key in objs){
							if(key == "money"){
								objs[key] = myUtils.splitMoney(objs[key],2);
							}
							if(template!=null){
								template = template.replace("#"+key+"#",objs[key]);
							}
						}
						//template = template.replace(objs["newDate"],dateArr[1]);
						/*if(today != dateArr[0] ){
							template =template.replace("今天",dateArr[0]);
						}*/
						if(today == objs["date"] && template!=null){
							template =template.replace(objs["date"],"今天");
						}
						htmlStr += template;
					}
				}
				htmlStr+="</div></div>";
			}
			jQueryMap.content.typeList.html(htmlStr);
			//遮罩层去掉
			myUtils.hideLayer($page);
		},function(){
			//遮罩层去掉
			myUtils.hideLayer($page);
		});
	}
	
	// 重置页面元素
	function cleanPageElement() {
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	};
});
