define(
		"financial/scripts/cockpit/rankList.js",
		function(require, exports, module) {
			// 私有业务模块的全局变量
			var myUtils = window.privateSpaceMKT.myUtils;
			var service = require("investService");
			var global = $.config.global;
			var jQueryMap;
			var $page = $("#cockpit_rankList");
			var _pageId = "#cockpit_rankList ";
			var monthId;
			var data_type;
			//分页页数
		    var page = "1";
			var scrollJudge = true;//判断是否到底可以滑动?
			// 初始化jQueryMap对象
			// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
			initJQueryMap();

			function init(param) {
				//myUtils.addLayer($page);
				initPage();
			}
			function load() {

			}

			function bindPageEvent() {
				$.bindEvent(jQueryMap.header.mktGoBack, function() {
					$.pageBack();
				});
				
				//选择查询时间
				$.bindEvent(jQueryMap.header.sel,function(){
					var type = $(this).attr("data-type");
					jQueryMap.content.selType.find("li[data-type='"+type+"']").addClass("act").siblings("li").removeClass("act");
					jQueryMap.content.mask.show();
				});
				
				//选择
				$.bindEvent(jQueryMap.content.selType.find("li"),function(){
					var type = $(this).attr("data-type");
					var typeName = jQueryMap.content.selType.find("li[data-type='"+type+"']").text();
					data_type = type;
					page="1";
					jQueryMap.content.emptyTip.hide();
					jQueryMap.content.ranklist.html("");
					initData();
					jQueryMap.header.sel.html(typeName);
					jQueryMap.header.sel.attr("data-type",type);
					jQueryMap.content.mask.hide();	
				});
				
				//点击遮罩层取消
				$.bindEvent($("#backGroundMask"),function(){
					jQueryMap.content.mask.hide();
				});
				
				//跳转员工详情页面
		        $.preBindEvent(jQueryMap.content.ranklist, "li", function () {
		            var $this = $(this);
		            var imUserId= $this.attr("data-id");
		            if(imUserId == ""){
		            	return false;
		            }
		            $.callMessage({
						"funcNo"    : "80104",
						"username"  : imUserId
					}); 
		        });
		        
				//滚动加载更多
		        $.bindEvent($page.find("article"),function(){
		        	if(scrollJudge){
		        		var viewH = $(this).height();//可见高度
		                var contentH = $(this).get(0).scrollHeight;//内容高度
		                var scrollTop = $(this).scrollTop();//滚动高度
		                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
		                	if(page >= totalPages) return;
		                    jQueryMap.content.loadIcon.show();
		                    scrollJudge =false;
		                    setTimeout(function(){
		                    	page++;
		                    	initData();
		                    },600);
		                }
		        	}      
		        },"scroll");
			}

			function destroy() {
				cleanPageElement();
				service.destroy();
			}

			// 初始化jQueryMap对象
			function initJQueryMap() {
				// 缓存常用jQuery对象
				jQueryMap = {
					"header" : {
						"sel"     : $page.find("#sel"),
						"mktGoBack" : $page.find("#mktGoBack"),
						"name" : $page.find("#name"),
						"rank" : $page.find("#rank"),
						"photoPath" : $page.find("#photoPath"),
						"allInte" : $page.find("#allInte"),
						"branchName" : $page.find("#branchName"),
						"firName" : $page.find("#firName"),
						"firBranchName" : $page.find("#firBranchName"),
						"firPhotoPath" : $page.find("#firPhotoPath"),
						"firInte"    : $page.find("#firInte"),
					},
					"content" : {
						"ranklist" : $page.find("#ranklist"),
						"mask"     : $page.find("#mask"),
						"selType"  : $page.find("#selType"),
						"emptyTip"   : $page.find(".msg_wrap"),
						//上拉加载更多
		                "loadIcon"  : $page.find(".infinite-scroll-preloader")
					},
					
				};
			}

			function initPage(param) {
				myUtils.hideBtn();
				initData();
			}
			function initData() {
				if (!data_type) {
					data_type = "curMonth"; //curMonth
				}
				
				// 判断排行榜是否有数据
				service.getRankList(
					{
						"monthId" : monthId,
						"type" : data_type,
						"employeeNo" : $.getSStorageInfo("employeeNo"),
						"curPage"    : page,
			            "pageSize"   : "20",
			            "postType"	 : $.getSStorageInfo("postType"),
			            "postNo"	 : $.getSStorageInfo("postNo")
					},
					function(result) {						
						//显示自己所在排名						
						var selfParam = result.selfParam[0];
//						if($.getSStorageInfo("postNo")!="ivtManager" && $.getSStorageInfo("postNo")!="mktManager"){
							if(selfParam){
								$("#myInfo").show();
								var staffName = $.getSStorageInfo("staffName");
								var branchName = $.getSStorageInfo("branchName");
								var photoPath = $.getSStorageInfo("photoPath");
								jQueryMap.header.name.html(staffName);
								jQueryMap.header.branchName.html(branchName);
								jQueryMap.header.allInte.html(selfParam.selfInte == "" ? "0" : selfParam.selfInte);
								jQueryMap.header.rank.html(selfParam.selfRank == "" ? "-" : selfParam.selfRank);
								jQueryMap.header.photoPath.attr("src",(!photoPath ? "../../images/sc-hd01.png" :photoPath));
							}
//						}else{
//							$("#myInfo").hide();
//						}
						
						
					    //分页区域实现上拉加载代码
					    //获取总页数
			        	totalPages = result.selfParam[0].totalPages;
				        if (page == "1") {
				           $(_pageId+"#ranklist").html("");
				        }
						var htmlStr = "";
						var rankList = result.rankList;
						if (rankList.length > 0) {
							jQueryMap.content.emptyTip.hide();
							// 展示第一名
							if(page=="1"){
								var firstObj = rankList[0];
								jQueryMap.header.firBranchName.html(!firstObj.branchName ? "未知": firstObj.branchName);
								jQueryMap.header.firInte.html(firstObj.allInte);
								jQueryMap.header.firName.html(!firstObj.staffName ? "未知": firstObj.staffName);
								jQueryMap.header.firPhotoPath.attr("src",(!firstObj.photoPath ? "../../images/sc-hd01.png"
										              : global.serverAddr+firstObj.photoPath));
							}
							
							for (var i = 0; i < rankList.length; i++) {
								htmlStr += "<li data-id = '"+rankList[i].imUserId+"'><em>" + (((page-1)*20)+i + 1)
										+ "</em>";
								htmlStr += "<div class='rank_uinfo'>";
								htmlStr += "<img src='"
										+ (!rankList[i].photoPath ? "../../images/sc-hd01.png"
												: global.serverAddr+ rankList[i].photoPath)
										+ "'>";
								htmlStr += "<div class='rank_utext'>";
								htmlStr += "<h5>"
										+ (!rankList[i].staffName ? "未知"
												: rankList[i].staffName)
										+ "</h5>";
								htmlStr += "<small>"
										+ (!rankList[i].branchName ? "未知"
												: rankList[i].branchName)
										+ "</small>";
								htmlStr += "<strong>"
										+ rankList[i].allInte
										+ "</strong>";
								htmlStr += "</div>";
							}
							jQueryMap.content.ranklist.append(htmlStr);
							jQueryMap.content.loadIcon.hide();
					        scrollJudge =true;
						} else {
							//头部置为当前员工
							jQueryMap.header.firBranchName.html($.getSStorageInfo("branchName"));
							jQueryMap.header.firInte.html(selfParam.selfInte == "" ? "0" : selfParam.selfInte);
							jQueryMap.header.firName.html($.getSStorageInfo("staffName"));
							var photoPath = $.getSStorageInfo("photoPath");
							jQueryMap.header.firPhotoPath.attr("src",(!photoPath ? "../../images/sc-hd01.png" :photoPath));
							jQueryMap.content.ranklist.html("");
							jQueryMap.content.emptyTip.show();
						}
						//遮罩层去掉
						//myUtils.cancelLayer($page);
				});
			}

			// 重置页面元素
			function cleanPageElement() {
				page = "1";
				data_type="";
				$("#myInfo").hide();
				jQueryMap.content.loadIcon.hide();
				jQueryMap.content.mask.hide();
				jQueryMap.content.ranklist.html("");
				jQueryMap.header.sel.html("本月");
				jQueryMap.header.sel.attr("data-type","curMonth");
			}

			module.exports = {
				"init" : init,
				"bindPageEvent" : bindPageEvent,
				"destroy" : destroy,
				"load" : load
			};
		});
