define("financial/scripts/customer/allCustomer.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_allCustomer");

    var page="1";
    var letterArr = [];  //接收月份
    var totalPages;
    var scrollJudge = true;//判断是否到底可以滑动?
    var followParam={};
    var onCall = false;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 滑动搜索
        //var objs = jQueryMap.content;
        //myUtils.swipeToSearch(objs.letterBox, objs.custList, objs.tipBox, ">h3", objs.contentSwipe, "138");

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            cleanPageElement();
            $.pageBack();
        });

        //点击搜索跳转搜索页面
        $.bindEvent(jQueryMap.content.search, function () {
        	$.setSStorageInfo("relationType","");
            $.pageInit("customer/allCustomer","customer/cusSearch");
        });

        //点击潜在客户
        $.bindEvent(jQueryMap.content.devCustomer, function () {
        	$.setSStorageInfo("relationType","");
            $.pageInit("custom/allCustomer","customer/devCustomer");
        });

        //点击开发客户
        $.bindEvent(jQueryMap.content.myCustomer, function () {
            $.setSStorageInfo("relationType","1");
            $.pageInit("custom/allCustomer","customer/myCustomer");
        });
        //点击分配客户
        $.bindEvent(jQueryMap.content.allotCustomer, function () {
            $.setSStorageInfo("relationType","0");
            $.pageInit("custom/allCustomer","customer/myCustomer");
        });
        //非考核客户
        $.bindEvent(jQueryMap.content.assessCustomer, function () {
            $.setSStorageInfo("relationType","2");
            $.pageInit("custom/allCustomer","customer/myCustomer");
        });
        //分配渠道协作客户
        $.bindEvent(jQueryMap.content.channelCustomer, function () {
            $.setSStorageInfo("relationType","3");
            $.pageInit("custom/allCustomer","customer/myCustomer");
        });
        //新增渠道协作客户
        $.bindEvent(jQueryMap.content.addCustomer, function () {
            $.setSStorageInfo("relationType","4");
            $.pageInit("custom/allCustomer","customer/myCustomer");
        });
        //点击客户分组
        $.bindEvent(jQueryMap.content.customerGroup, function () {
            $.pageInit("custom/allCustomer","customer/group/group");
        });

        //点击客户跳转到客户详情
        $.preBindEvent(jQueryMap.content.custList, "li .lbox_txt", function () {
            var $this = $(this);
            var customerType = $this.attr("data-customerType");   //1:潜在客户 2:存量客户
            var custId = $this.parent().attr("id");
            $.setSStorageInfo("custId",custId);
            $.setSStorageInfo("customerType",customerType);
            $.pageInit("custom/myCustomer","customer/detail/customerDetail");
        });

        //点击电话图标的时候打电话
        /*$.preBindEvent(jQueryMap.content.custList, "a.icon_tel", function() {
            var $this = $(this);
            var mobile = $this.attr("data-mobile");
            $.callMessage({
                "funcNo"    : "50220",
                "telNo"     : mobile,
                "callType"  : "0"
            });
        });*/
        $.preBindEvent(jQueryMap.content.custList, "a.icon_tel", function() {
            var callAuth = $.getSStorageInfo("call_auth");
            if(callAuth != "1") {
                $.toast("外呼权限不足！");
                return;
            }
            if(onCall) {
                return;
            }
            onCall = true;
            if($(this).attr("data-customerType") == "2") {
                getPhoneNumList($(this).attr("data-custNo"), $(this).attr("data-custId"), $(this).attr("data-cust_name"));
            } else {
                var $this = $(this);
                var custId = $this.attr("data-custId");
                var staffId = model.dataStore.staffId;
                var curCustName = $this.attr("data-cust_name");
                // 用外呼系统打电话 
                var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                var param = {
                    "staffId": staffId,
                    "custId": custId,
                    "followType": '2',
                    "actionType": '1',
                    "oper_type": '2',
                    "followContent": "",
                    "followDate": dealDate,
                    "warnMin": ""
                };
                service.queryFollowInfo(param, function(result) {
                    if(!(result[0] && result[0].follow_id)) {
                        onCall = false;
                        $.alert("拨打电话出错，请稍后再试！");
                        return;
                    }
                    var tel = $.getSStorageInfo("mobileNo");
                    param.follow_id=result[0].follow_id;
                    followParam = param;
                    jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                    $page.find(".call_name").html(curCustName);
                    $page.find(".callshow").show();
                    onCall = false;
                }, function(errorNo, errorInfo) {
                    onCall = false;
                    $.alert(errorInfo);
                });

            }
        });
        
       //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            $.pageInit("custom/allCustomer","customer/detail/custServiceInput",{"followParam": followParam});
        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
            if(scrollJudge){
                var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
                    if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                        page++;
                        getCustomerList();
                    },600);
                }
            }
        },"scroll");

        //取消打电话
        $.bindEvent(jQueryMap.layerArea.cancel, function(e) {
            onCall = false;
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
        });
        //确认打电话
        $.bindEvent(jQueryMap.layerArea.callOut, function(e) {
            var phoneNum = '';
            // 1 手工录入手机号   2已存在手机号
            var callMobileType = 2;
            if(jQueryMap.layerArea.inputCheck.hasClass("checked")) {
                phoneNum = jQueryMap.layerArea.inputNum.val();
                if(!validatorUtils.isNumeric(phoneNum)) {
                    $.toast("请输入正确的电话号码");
                    return;
                }
                callMobileType = 1;
            } else {
                phoneNum = jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").attr("data-phone-num");
                callMobileType = 2;
                if(!phoneNum) {
                    $.toast("请选择电话号码");
                    return;
                }
            }
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
            var $this = $(this);
            var custId = jQueryMap.layerArea.selectBox.attr("data-custId");
            var staffId = model.dataStore.staffId;
            var curCustName = jQueryMap.layerArea.selectBox.attr("data-custName");
            // 用外呼系统打电话 
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            var param = {
                "staffId": staffId,
                "custId": custId,
                "followType": '2',
                "actionType": '1',
                "oper_type": '2',
                "followContent": "",
                "followDate": dealDate,
                "warnMin": "",
                "outerMobile": phoneNum,
                "call_mobile_type": callMobileType
            };
            service.queryFollowInfo(param, function(result) {
                if(!(result[0] && result[0].follow_id)) {
                    onCall = false;
                    $.alert("拨打电话出错，请稍后再试！");
                    return;
                }
                var tel = $.getSStorageInfo("mobileNo");
                param.follow_id=result[0].follow_id;
                followParam = param;
                jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                $page.find(".call_name").html(curCustName);
                $page.find(".callshow").show();
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
        });
        
        //选择是否手动输入号码
        $.bindEvent(jQueryMap.layerArea.inputCheck, function(e) {
            if($(this).hasClass("checked")) {
                $(this).removeClass("checked");
                jQueryMap.layerArea.inputNum.val(jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").text());
                jQueryMap.layerArea.selectBox.removeClass("disabled");
                jQueryMap.layerArea.inputNum.attr("disabled", true);
            } else {
                $(this).addClass("checked");
                jQueryMap.layerArea.inputNum.attr("disabled", false);
                jQueryMap.layerArea.selectBox.addClass("disabled");
            }
        });
        //选择拨打号码
        $.preBindEvent(jQueryMap.layerArea.selectBox, '.select_item', function(e) {
            if(jQueryMap.layerArea.selectBox.hasClass("disabled")) {
                return;
            } else {
                if($(this).hasClass("checked")) {
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                    return;
                } else {
                    $(this).addClass("checked").siblings().removeClass("checked");
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                }
            }
        });
        // //禁止蒙版滑动
        // $.bindEvent($page.find('.dialog-overlay'), function(e) {
        //     e.preventDefault();
        // }, "touchstart");
        // $.bindEvent($page.find('.dialog-overlay'), function(e) {
        //     e.preventDefault();
        // }, "touchmove");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "screen"    : $page.find(".icon_filter")
            },
            "content": {
                //文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "custList"           : $page.find(".create_box"),
            	//客户基本信息
                "search"	         : $page.find("#search"),
            	"devCustomer"        : $page.find("#devCustomer"),
            	"myCustomer"         : $page.find("#myCustomer"),
                "allotCustomer"      : $page.find("#allotCustomer"),
                "assessCustomer"     : $page.find("#assessCustomer"),
                "channelCustomer"     : $page.find("#channelCustomer"),
                "addCustomer"     : $page.find("#addCustomer"),
                "customerGroup"      : $page.find("#customerGroup"),
                "devCustomerNum"     : $page.find("#devCustomerNum"),
                "myCustomerNum"      : $page.find("#myCustomerNum"),
                "customerGroupNum"   : $page.find("#customerGroupNum"),
                "noData"             : $page.find("#noData"),
                "assessCustomerNum"  : $page.find("#assessCustomerNum"),
                "channelCustomerNum"     : $page.find("#channelCustomerNum"),
                "addCustomerNum"  : $page.find("#addCustomerNum"),
                "allotCustomerNum"   : $page.find("#allotCustomerNum"),

                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData"),
                "callStatement" : $page.find("#call_statement")
            },
            "footer": {
                "followUp": $page.find("#follow_up")
            },
            "layerArea": {
                "choiceshow": $page.find("#choiceshow"),
                "cancel": $page.find("#cancel"),
                "callOut": $page.find("#callOut"),
                "inputCheck": $page.find("#inputCheck"),
                "selectItems": $page.find("#selectItems"),
                "selectBox": $page.find("#selectBox"),
                "inputNum": $page.find("#inputNum"),
                "selectItems": $page.find("#selectItems"),
                "emplopyeeNum": $page.find("#emplopyee_num"),
                "noPhone": $page.find("#noPhone")
            }
        };
    }

    function initPage() {

        // 重置页面元素
        //cleanPageElement();
        myUtils.hideBtn();
        var prePageCode = $.getSStorageInfo("_prePageCode");
        if(prePageCode === "customer/detail/customerDetail" || prePageCode == "customer/cusSearch" || prePageCode == "customer/detail/custServiceInput"){
            //遮罩层去掉
            myUtils.hideLayer($page);
            return;
        }
        //查询潜客，我的客户，客户组的总数量

        queryCustomerNum();

        //var exitAllCustomer = model.dataStore.custom.allCustomer;
        //if(exitAllCustomer && exitAllCustomer != ""){
        //    fillCustList(exitAllCustomer);
        //}else {
            //获取客户列表
            getCustomerList();
        //}
    }

    function destroy() {
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        onCall = false;
        myUtils.showLayer($page);
        service.destroy();
    }

    function queryCustomerNum(){
        service.queryCustomerNum({
            "staffId": model.dataStore.staffId
        },function(result){
            //{fkhNum: "0", qkNum: "40", kfNum: "0", groupNum: "4", fpNum: "2", allNum: "2"}
            jQueryMap.content.devCustomerNum.html(result[0].qkNum);
            jQueryMap.content.myCustomerNum.html(result[0].kfNum);
            jQueryMap.content.customerGroupNum.html(result[0].groupNum);
            jQueryMap.content.allotCustomerNum.html(result[0].fpNum);
            jQueryMap.content.assessCustomerNum.html(result[0].fkhNum);
            jQueryMap.content.channelCustomerNum.html(result[0].qdxzNum);
            jQueryMap.content.addCustomerNum.html(result[0].qxNum);
        });
    }

    function getCustomerList(){
        service.getDBCustomer({
            "staffId"      : model.dataStore.staffId,
            "pageIndex"    : page,       //系统标签分组编号  N
            "pageSize"     : "20"
        },function(result){
            var custData = result.custList[0].data;
            totalPages = result.custList[0].totalPages;
            if(page == totalPages && page !=1){
                //jQueryMap.content.noData.show();
                jQueryMap.content.emptyData.show();
            }else{
                jQueryMap.content.emptyData.hide();
                //jQueryMap.content.noData.hide();
            }
            if(custData.length>0){
            	jQueryMap.content.noData.hide();
                //model.dataStore.custom.allCustomer = result.custList;
                fillCustList(custData);
            }else{
                jQueryMap.content.custList.html("");
                jQueryMap.content.noData.show();
                //暂无联系人的图标出现
            }
            myUtils.hideLayer($page);
        });
    }
    function fillCustList(result){
        // 遍历数据monthData
        if(page == "1"){
            letterArr = [];
        }
        var letterStr;
        var htmlStr;
        for (var i = 0; i < result.length; i++) {
            if ($.inArray(result[i].firstCode, letterArr) == -1) {
                letterArr.push(result[i].firstCode);
                if(result[i].firstCode!=""){
                    letterStr = '<h3 data-letter="'+result[i].firstCode+'">'+result[i].firstCode+'</h3><ul class="cust_list"></ul></h3>';
                }else{
                    letterStr = '<h3 data-letter="'+result[i].firstCode+'">#</h3><ul class="cust_list"></ul></h3>';
                }
                jQueryMap.content.custList.append(letterStr);
            }
            var customerType = result[i].customerType;
            if(customerType == "2"){
            	htmlStr = '<li id="'+result[i].custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+result[i].customerType+'"><strong>'+result[i].name+'</strong><small>'+""+'</small></div><div class="opr_box"><a data-cust_name="'+result[i].name+'" data-custId="'+result[i].custId+'" data-customerType="'+result[i].customerType+'" href="javascript:void(0);" data-custNo="'+result[i].custNo+'" class="icon_tel"></a></div></li>';
            }else{
            	htmlStr = '<li id="'+result[i].custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+result[i].customerType+'"><strong>'+result[i].name+'</strong><small>'+result[i].mobile+'</small></div><div class="opr_box"><a data-cust_name="'+result[i].name+'" data-custId="'+result[i].custId+'" data-customerType="'+result[i].customerType+'" href="javascript:void(0);" class="icon_tel"></a></div></li>';
            }
            $page.find("ul.cust_list:last").append(htmlStr);
        }
        scrollJudge =true;
        jQueryMap.content.loadIcon.hide();
    }
    
    // 获取客户电话列表
    function getPhoneNumList(custNo, custId, custName) {
        jQueryMap.layerArea.emplopyeeNum.text("您当前的登录号码：" + $.getSStorageInfo("mobileNo"));
        service.queryCustPhone({
            "custNo": custNo
        }, function(data) {
            jQueryMap.layerArea.selectItems.html("");
            if(data.length > 0) {
                var htmlStr = "";
                var selectNo = 1;
                for(var i = 0; i < data.length; i++) {
                    htmlStr += '<div class="select_item"><div>';
                    if(data[i].lxfsmz) {
                        htmlStr += '<p class="phone_name">'+ data[i].lxfsmz +'：</p>';
                    }
                    htmlStr += '<p class="phone_num" data-phone-num="'+ data[i].lxhm +'">' + data[i].lxhm.replace(/(\d{7})[\d\D]*/, "$1****") + '</p></div><div><a class="checkbox"></a></div></div>';
                    if(data[i].select=="true") {
                        selectNo = i + 1;
                    }
                }
                jQueryMap.layerArea.selectItems.html(htmlStr);
                jQueryMap.layerArea.selectItems.find(".select_item:nth-child("+selectNo+")").click();
                jQueryMap.layerArea.noPhone.hide();
                jQueryMap.layerArea.selectItems.show();
            } else {
                jQueryMap.layerArea.selectItems.html("");
                jQueryMap.layerArea.selectItems.hide();
                jQueryMap.layerArea.noPhone.show();
                jQueryMap.layerArea.inputCheck.click();
            }
            jQueryMap.layerArea.selectBox.attr("data-custId", custId);
            jQueryMap.layerArea.selectBox.attr("data-custName", custName);
            // myUtils.smartScroll($page.find(".dialog"), ".select_items");
            // 电话请求成功弹出打电话
            $page.find(".choiceshow").show();
        });
    }

    function cleanPageElement() {
        page="1";
        followParam={};
        jQueryMap.content.custList.html("");
        jQueryMap.content.noData.hide();
        $page.find(".page_box").scrollTop(0);
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        jQueryMap.layerArea.selectItems.hide();
        jQueryMap.layerArea.noPhone.hide();
        jQueryMap.layerArea.selectItems.html("");
        jQueryMap.layerArea.inputNum.val("");
        jQueryMap.layerArea.emplopyeeNum.text("");
        jQueryMap.layerArea.inputNum.attr("disabled", true);
        jQueryMap.layerArea.inputCheck.removeClass("checked");
        jQueryMap.layerArea.selectBox.removeClass("disabled");
        jQueryMap.layerArea.selectBox.removeAttr("data-custId");
        jQueryMap.layerArea.selectBox.removeAttr("data-custName");
        myUtils.showLayer($page);
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
