define("financial/scripts/customer/cusSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_cusSearch");

    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
        });

        $.preBindEvent(jQueryMap.content.customerCon, "li", function () {
            $.setSStorageInfo("custId",$(this).attr("data-custId"));
            $.setSStorageInfo("customerType",$(this).attr("data-customerType"));
            $.pageInit("customer/cusSearch", "customer/detail/customerDetail","","right",true);
        });
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#search_input"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clear_btn"),
                "btnIcon"  : $page.find("#btn_Icon")

            },
            "content": {
                "customerCon": $page.find("#customerCon"),
                "emptyTip"       : $page.find("#emptyTip")

            }
        };
    }

    function initPage() {
            cleanPageElement();
            setTimeout(function () {
                jQueryMap.header.searchInput.trigger("focus");
            }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.content.emptyTip.hide();
        	/*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/
            return false;
        }
    	customerSearch(searchText);   
    }

    //效果

    // 获取产品列表
    function customerSearch(searchText) {
        var param = {
            "staffId"    : model.dataStore.staffId,
            "searchTxt"  : searchText,
            "relationType" : $.getSStorageInfo("relationType")
        };
        if($.getSStorageInfo("_prePageCode") === "customer/devCustomer"){
            param.customerType="1";
        }
        if($.getSStorageInfo("_prePageCode") === "customer/myCustomer"){
            param.customerType="2";
        }
        service.getCustomList(param,function (results) {
            if(results.custList.length>0){
                jQueryMap.content.customerCon.html("");
                selectOnMenu(results.custList,searchText);
            }else{
                jQueryMap.content.customerCon.html("");
                jQueryMap.content.emptyTip.show();
            }

        });
    }

    function selectOnMenu(results,searchText){
        var htmlStr="";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                $.each(resLetter.branchMap[letter], function (index, item) {
                    var name =  item.name;
                    var mobile = item.mobile;
                    var fundAccount = item.fundAccount;
                    if( name.indexOf(searchText) != -1 ){
                        var reg = new RegExp("(" + searchText + ")", "g");
                        name = name.replace(reg, "<font color='#d80c1e'>$1</font>");
                    }
                    if( mobile.indexOf(searchText) != -1 ){
                        var reg = new RegExp("(" + searchText + ")", "g");
                        mobile = mobile.replace(reg, "<font color='#d80c1e'>$1</font>");
                    }
                    if( fundAccount.indexOf(searchText) != -1 ){
                        var reg = new RegExp("(" + searchText + ")", "g");
                        fundAccount = fundAccount.replace(reg, "<font color='#d80c1e'>$1</font>");
                    }
                    if(item.customerType == "1"){
                        if(mobile == ""){
                            htmlStr += '<li data-customerType="'+item.customerType+'" data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong style="margin:0.1rem 0;"><em>' + name + '</em><span>潜在</span></strong></li>';
                        }else{
                            htmlStr += '<li data-customerType="'+item.customerType+'" data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong><em>' + name + '</em><span>潜在</span></strong><small>' + mobile + '</small></li>';
                        }

                    }else if(item.customerType == "2"){
                        htmlStr += ' <li data-customerType="'+item.customerType+'" data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong><em>' + name + '</em></strong><small>' + mobile + '</small><p>资金账号<span>' + fundAccount + '</span></p></li>';

                    }
                });
            });
            jQueryMap.content.customerCon.html(htmlStr);

            jQueryMap.content.emptyTip.hide();
        });
    }
    
    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.customerCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
