define("financial/scripts/customer/detail/addFollow.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService"); 
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_addFollow");

    // 模块内的其它全局变量
    var flag1 = false;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 处理键盘挡住输入框问题
        $.bindEvent(jQueryMap.content.followCon, function () {
            $page.find("#add_hidden").show();         
        },"focus");

//        $.bindEvent(jQueryMap.content.followCon, function () {
//        	$page.find("#add_hidden").hide();
//        },"blur");



        // 显示跟进类型弹出层
        $.bindEvent(jQueryMap.content.followSelect, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.followTypeArea);
        });

        // 显示提醒时间弹出层
        $.bindEvent(jQueryMap.content.warnSelect, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.warnTimeArea);
        });

        // 选择跟进类型
        $.preBindEvent(jQueryMap.layerArea.followTypeArea.find("ul"), "li", function () {
            var $this = $(this);

            $this.addClass("active").siblings(".active").removeClass("active");
            //1:计划跟进 2：历史跟进
            var followType = $this.attr("data-followType");
            followType=="1" ? jQueryMap.content.warnSelect.parent().parent().show() : jQueryMap.content.warnSelect.parent().parent().hide();
            jQueryMap.content.followType
                .html($this.find("span").text()).addClass("act")
                .attr("data-followType", followType);
            // 隐藏弹出层

            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            if( jQueryMap.content.followType.attr("data-followType") ){
                flag1 = true;
            }
            setBtnStatus();
        });

        // 选择提醒时间
        $.preBindEvent(jQueryMap.layerArea.warnTimeArea.find("ul"), "li", function () {
            var $this = $(this);

            $this.addClass("active").siblings(".active").removeClass("active");
            //1:计划跟进 2：历史跟进
            var warnTime = $this.attr("data-warnTime");
            jQueryMap.content.warnSelect
                .html($this.find("span").text())
                .attr("data-warnTime", warnTime);
            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            //if( jQueryMap.content.warnSelect.attr("data-warnTime") ){
            //    flag1 = true;
            //}
            //setBtnStatus();
        });
        
        // 隐藏弹出层
        $.bindEvent($page.find(".layer_wrap2"), function (e) {
            if (e.target.className === "layer_wrap2") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

         //取消按钮
        $.bindEvent($page.find(".layer_wrap2 a.right"), function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });


        //跟进事项
        $.bindEvent(jQueryMap.content.followCon, function () {
            var $this = $(this);
            var content = $this.val().trim();
            var length = content.length;
            if (length > 50) {
                $this.val(content.substring(0, 50));
            }
            $this.siblings().html( $this.val().trim().length+"/50" );
            setBtnStatus();
        },"input");
        
        //完成
        $.bindEvent(jQueryMap.content.submitBtn, function () {
            var $this = $(this);
            if(!$this.hasClass("disabled")){
                var folType = jQueryMap.content.followType.attr("data-followType");

                var starttime = jQueryMap.content.dateBox.find("input").val().replace(new RegExp("-","gm"),"/");
                var timer = (new Date(starttime)).getTime();
                var now = new Date().getTime();

                if(folType=="1" && timer < now){

                    $.toast("选择计划跟进的时间应当大于此刻的时间");
                }else if(folType=="2" && timer > now){
                    $.toast("选择历史跟进的时间应当小于此刻的时间");
                }else{
                    //完成跟进事宜调用接口存起来
                    $.showIndicatorHtml();
                    addFollowThing();
                }
            }
        });
        
    }
    
    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                "name"         : $page.find("#name"),
                "mobile"         : $page.find("#mobile"),
                "wechat"         : $page.find("#wechat"),
            	"followSelect" : $page.find("#follow_select"),
                "warnSelect"  : $page.find("#warn_select"),
            	"dateBox"  : $page.find("#date_box"),
            	"followType"   : $page.find("#follow_type"),
            	"followCon"    : $page.find("#follow_con"),
            	"submitBtn"    : $page.find("#submit_btn")
            },
            "layerArea": {
                "followTypeArea" : $page.find("#followType_area"),
                "warnTimeArea" : $page.find("#warnTime_area")
            }
        };
    }

    function initPage() {
        myUtils.showLayer($page);
    	// 重置页面元素
        cleanPageElement();

        //$('#customer_detail_addFollow').height($('body')[0].clientHeight);

        customer = $.getSStorageInfo("customer");
        custId = $.getSStorageInfo("custId");
        showCustomDetail();

        jQueryMap.content.dateBox.find("input").attr("value",new Date().format("yyyy-MM-dd HH:mm"));
        $page.find("#datetime-picker").datetimePicker({
                isShowMinute :true,
                toolbarTemplate: '<header class="bar bar-nav">\
            <button class="button button-link pull-right close-picker">确定</button>\
            <h1 class="titlehsea">选择日期和时间</h1>\
            </header>',
            onClose: function(){
                $page.find("#scroll").scrollTop(0);
            }
        });

    }

    //将客户详情显示到页面中
    function showCustomDetail() {
        service.queryCustomerDetail({
            "staffId"      : model.dataStore.staffId,
            "actionType"   : "0",
            "custId"       : custId
        }, function (data) {
            // 重置页面元素
            cleanPageElement();
            // 将客户数据显示到页面
            jQueryMap.content.name.html(data[0].name);
            if(data[0].mobile == ""){
                jQueryMap.content.mobile.html(data[0].wechat);
            }else{
                jQueryMap.content.mobile.html(data[0].mobile);
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    //完成跟进事宜存储
    function addFollowThing(){
        var folContent = jQueryMap.content.followCon.val().trim();
        var warnMin = jQueryMap.content.warnSelect.attr("data-warnTime");
        var folDate = jQueryMap.content.dateBox.find("input").val();
        //folDate = folDate + ":00";
        var folType = jQueryMap.content.followType.attr("data-followType");

        service.queryFollowInfo({
            "staffId"        : model.dataStore.staffId,
            "actionType"     : "1",
            "followType"     : folType,
            "custId"         : custId,
            "followContent"  : folContent,
            "followDate"     : folDate,
            "warnMin"        : warnMin   //提前提醒时间（分钟）
        }, function () {
            $.hideIndicatorHtml();
            $.toast("新增跟进成功");
            $.pageBack();
            jQueryMap.content.submitBtn.addClass("disabled");
        });
    }


    function setBtnStatus() {
        if( flag1 && jQueryMap.content.followCon.val().trim() !== ""){
            jQueryMap.content.submitBtn.removeClass("disabled");
        }else{
            jQueryMap.content.submitBtn.addClass("disabled");
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.submitBtn.addClass("disabled");
        jQueryMap.content.followType.removeAttr("data-followType").text("请选择").removeClass("act");
        jQueryMap.content.warnSelect.attr("data-warntime","").text("不提醒");
        jQueryMap.content.dateBox.find("input").attr("value", new Date().format("yyyy-MM-dd HH:mm"));
        jQueryMap.layerArea.followTypeArea.find("ul li").removeClass("active");
        jQueryMap.layerArea.followTypeArea.css("display","none");
        jQueryMap.layerArea.warnTimeArea.find("ul li").removeClass("active");
        jQueryMap.layerArea.warnTimeArea.css("display","none");
        jQueryMap.content.followCon.val("");
    }


    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
