define("financial/scripts/customer/detail/contact.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_contact");
    var contactName = "";

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 滑动搜索
        var objs = jQueryMap.content;
        myUtils.swipeToSearch(objs.letterBox, objs.custList, objs.tipBox, ">h3", objs.contentSwipe, "44");
//        // 滑动搜索
//        var objs = jQueryMap.content;
//        myUtils.swipeToSearch(objs.letterBox, objs.contactMan, objs.tipBox, ">dl", objs.contentSwipe , "2" );

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            //$.pageInit("customer/detail/contact","customer/devCustomer","","left");
            $.pageBack();
        });

        //全选键
        $.bindEvent(jQueryMap.header.choose, function () {
            var $this = $(this);
            if (jQueryMap.footer.all.html() == "全选") {
            	jQueryMap.footer.all.html("取消");
                $this.addClass("on");
                jQueryMap.content.contactMan.find("em").addClass("on");
                jQueryMap.footer.add.removeClass("disabled");
                var len = jQueryMap.content.contactMan.find(".on").length;
                jQueryMap.footer.add.html("添加(" + len + ")");
            } else {
            	jQueryMap.footer.all.html("全选");
                $this.removeClass("on");
                jQueryMap.content.contactMan.find("em").removeClass("on");
                jQueryMap.footer.add.addClass("disabled");
                jQueryMap.footer.add.html("添加");
            }
        });

        //点击搜索按钮
        $.bindEvent(jQueryMap.content.search, function () {
        	var checked = $("#contact_man").find("em.on");
    		var phoneCheck = [];
    		for(var i=0;i<checked.length;i++){
                phoneCheck.push(checked.eq(i).parent().find("small").html());
    		}
    		$.setSStorageInfo("phoneCheck",phoneCheck);
            $.pageInit("customer/detail/contact", "customer/detail/contactSearch");
        });

        //点击客户列表选中
        $.preBindEvent(jQueryMap.content.contactMan, "li", function () {
            var $this = $(this);
            var onClass = $this.find("em").attr("class");
            var conLen = jQueryMap.content.contactMan.find("li").length;
            if ($this.find("em").hasClass("on") ){
                $this.find("em").removeClass("on");
            } else {
                $this.find("em").addClass("on");
            }
            var len = jQueryMap.content.contactMan.find(".on").length;
            if (len > 0) {
                var len = jQueryMap.content.contactMan.find(".on").length;
                jQueryMap.footer.add.removeClass("disabled");
                jQueryMap.footer.add.html("添加(" + len + ")");
                if(len == conLen){
                	jQueryMap.footer.all.html("取消");
                    jQueryMap.header.choose.addClass("on");
                }else{
                	jQueryMap.footer.all.html("全选");
                    jQueryMap.header.choose.removeClass("on");
                }
            } else {
                jQueryMap.footer.add.addClass("disabled");
                jQueryMap.footer.add.html("添加");

            }
        });

        //点击添加按钮
        $.bindEvent(jQueryMap.footer.add, function () {
            //把選中的联系人存起來
            var contactArr = "";
            jQueryMap.content.contactMan.find("li").each(function () {
                if ($(this).find("em").hasClass("on")) {
                    contactArr += $(this).find("strong").html() + "$" + $(this).find("small").html() + "#";
                }
            });
            var contactLen = contactArr.length;
            contactArr = contactArr.substr(0, contactLen - 1);

            if (jQueryMap.content.contactMan.find("em").hasClass("on")) {
                putContactMen(contactArr);

            }
        });
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack"   : $page.find("#mktGoBack"),
                "choose"      : $page.find("#choose")
            },
            "content": {
            	//文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "custList"     : $page.find(".create_box"),
                "search"       : $page.find("#search"),
                "contactMan"   : $page.find("#contact_man")
            },
            "footer": {
                "add" : $page.find("#add"),
                "all" : $page.find("#all")
            }
        };
    }

    function initPage() {
        // 重置页面元素
        cleanPageElement();

//        contactName = $.getPageParam("contactName");
        //获取客户的列表
        showContactMan();
    }

    function showContactMan() {
        var contactInfo = $.getSStorageInfo("contact");
    	var phoneCheck=$.getSStorageInfo("phoneCheck");
//          var contactInfo = [{"firstLetter":"A","userName":"国学","phoneNo":"13143433333"},
//                           {"firstLetter":"D","userName":"国学","phoneNo":"13243433333"},
//                           {"firstLetter":"Y","userName":"国学","phoneNo":"13343433333"},
//                           {"firstLetter":"U","userName":"国学","phoneNo":"13443433333"},
//                           {"firstLetter":"A","userName":"国学","phoneNo":"13543433333"}];
        var htmlStr = "";
        var name="";
        myUtils.sortLetter(contactInfo, function (resLetter) {
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += "<h3 data-letter='" + letter + "'>" + letter + "</h3><ul class='cust_list'>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    name = item.userName || item.phoneNo;
                    htmlStr += '<li><em class="check_box"></em><img src="../../../images/add_lhd03.png"/><div class="lbox_txt"><strong>'+name+ '</strong><small>'+item.phoneNo+'</small></div></li>';
                });
                htmlStr += "</ul>";
            });
            jQueryMap.content.contactMan.html(htmlStr);
            //当是客户已经勾选的客户，在搜索的时候置灰            
	        jQueryMap.content.contactMan.find("li").each(function () {
	        	var phone=$(this).find("small").html();
	            if( $.inArray(phone,phoneCheck) != -1 ){
	                $(this).find("em").addClass("on");
	            }
	        });
//            var num=0;
//            if(phoneCheck != null){
//	            jQueryMap.content.contactMan.find("li").each(function () {
//	                 var $this = $(this);	               
//                	 for(var i=0;i<phoneCheck.length;i++){
//                         if( phoneCheck[i].indexOf($this.find("small").html()) != -1 ){
//                         	$this.find("em").addClass("on");
//                         	num++;
//                         }
//                     }       
//	//                if (contactName == $this.find("small").html()) {
//	//                    $this.find("em").addClass("on");
//	//                    jQueryMap.footer.add.removeClass("disabled");
//	//                    jQueryMap.footer.add.html("确认(1)");
//	//                    contactName = "";
//	//                }
//	            });
//           }
            var len = jQueryMap.content.contactMan.find(".on").length;
            var num = jQueryMap.content.contactMan.find(".li").length;
            if(len > 0){
            	 jQueryMap.footer.add.removeClass("disabled");
                 jQueryMap.footer.add.html("添加(" + len + ")");
            	 if(len == num){
                 	 jQueryMap.footer.all.html("取消");
                     jQueryMap.header.choose.addClass("on");
                 }else{
                 	 jQueryMap.footer.all.html("全选");
                     jQueryMap.header.choose.removeClass("on");
                 }
            }else{
            	jQueryMap.footer.add.addClass("disabled");
                jQueryMap.footer.add.html("添加");
            }          
        });

    }

    //把选中的联系人发展为潜在客户
    function putContactMen(contactArr) {
        service.contactImport({
            "staffId": model.dataStore.staffId,
            "custStr": contactArr
    }, function (data,errorInfo) {
            ///把选中的联系人发展为潜在客户更新缓存潜在客户列表
            if( model.dataStore.custom.devCustomer){
                for(var i=0; i<data.length; i++){
                    model.dataStore.custom.devCustomer.push(data[i]);
                }
            }
            if( model.dataStore.custom.allCustomer){
                for(var i=0; i<data.length; i++){
                    model.dataStore.custom.allCustomer.push(data[i]);
                }
            }
            $.toast(errorInfo);
            $.pageBack();
//            $.pageInit("customer/detail/contact", "customer/devCustomer");
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.footer.add.html("添加");
        jQueryMap.footer.add.addClass("disabled");
        jQueryMap.footer.add.attr("disabled",false);
        jQueryMap.content.contactMan.find("a").removeClass("on");
        //jQueryMap.header.choose.html("全选");
        jQueryMap.header.choose.removeClass("on");
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load" : load
    };
});
