define("financial/scripts/customer/detail/contactSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_contactSearch");

    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
        });

        $.preBindEvent(jQueryMap.content.customerCon, "li", function () {
//            $.setSStorageInfo("custId",$(this).attr("data-custId"));
        	var $this=$(this);
        	var phoneCheck=$.getSStorageInfo("phoneCheck");
        	if(!($this.find("em").hasClass("on"))){       		
        		$this.find("em").addClass("on");
        		phoneCheck.push($this.find("small").attr("data-phone"));
        	}
        	$.setSStorageInfo("phoneCheck",phoneCheck);
//        	var contact=$(this).find("strong").html();
        	$.pageBack("","left");
//            $.pageInit("customer/detail/contactSearch", "customer/detail/contact","","right",true);
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#search_input"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clear_btn"),
                "btnIcon"  : $page.find("#btn_Icon")

            },
            "content": {
                "customerCon": $page.find("#customerCon"),
                "emptyTip"       : $page.find(".msg_wrap")

            }
        };
    }

    function initPage() {
        /**********  搜索公共的部分  begin ********/
        //if ($.getSStorageInfo("_prePageCode") === "effect/effect") {
            // 重置页面元素
            cleanPageElement();
            setTimeout(function () {
                jQueryMap.header.searchInput.trigger("focus");
            }, 100);
        //}

    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            // 检测键盘是否还是展开状态
            //if (window.screen.height > $("body").height() + 100) {
            //    setTimeout(function () {
            //        $.toast("请输入搜索关键字！");
            //    }, 300);
            //} else {
            //    $.toast("请输入搜索关键字！");
            //}
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.content.emptyTip.hide();
            return false;
        }
        contactSearch(searchText);
    }

    //效果

    // 获取产品列表
//    function customerSearch(searchText) {
//        var param = {
//            "staffId"    : model.dataStore.staffId,
//            "searchTxt"  : searchText
//        };
//        if($.getSStorageInfo("_prePageCode") === "customer/devCustomer"){
//            param.customerType="1";
//        }
//        if($.getSStorageInfo("_prePageCode") === "customer/myCustomer"){
//            param.customerType="2";
//        }
//        service.getCustomList(param,function (results) {
//            if(results.length>0){
//                jQueryMap.content.customerCon.html("");
//                selectOnMenu(results,searchText);
//            }else{
//                jQueryMap.content.customerCon.html("");
//                jQueryMap.content.emptyTip.show();
//            }
//
//        });
//    }

    //<li><img src="img/sc-hd01.png"/><strong><em class="key_word">博</em>喜莱</strong><span>潜在</span></li>
    //<li data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong>' + name + '<span>潜在</span></strong><small>' + mobile + '</small><p>资金账号<span>' + fundAccount + '</span></p></li>

//    function selectOnMenu(results,searchText){
//        var htmlStr="";
//        myUtils.sortLetter(results,function(resLetter){
//            $.each(resLetter.letterArr, function (index, letter) {
//                $.each(resLetter.branchMap[letter], function (index, item) {
//                    var name =  item.name;
//                    var mobile = item.mobile;
//                    var fundAccount = item.fundAccount;
//                    if( name.indexOf(searchText) != -1 ){
//                        var reg = new RegExp("(" + searchText + ")", "g");
//                        name = name.replace(reg, "<font color='#d80c1e'>$1</font>");
//                    }
//                    if( mobile.indexOf(searchText) != -1 ){
//                        var reg = new RegExp("(" + searchText + ")", "g");
//                        mobile = mobile.replace(reg, "<font color='#d80c1e'>$1</font>");
//                    }
//                    if( fundAccount.indexOf(searchText) != -1 ){
//                        var reg = new RegExp("(" + searchText + ")", "g");
//                        fundAccount = fundAccount.replace(reg, "<font color='#d80c1e'>$1</font>");
//                    }
//                    if(item.customerType == "1"){
//                        if(mobile == ""){
//                            htmlStr += '<li data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong style="margin:0.1rem 0;"><em>' + name + '</em><span>潜在</span></strong></li>';
//                        }else{
//                            htmlStr += '<li data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong><em>' + name + '</em><span>潜在</span></strong><small>' + mobile + '</small></li>';
//                        }
//
//                    }else if(item.customerType == "2"){
//                        htmlStr += ' <li data-custId="'+ item.custId+'"><img src="../../images/sc-hd01.png"/><strong><em>' + name + '</em></strong><small>' + mobile + '</small><p>资金账号<span>' + fundAccount + '</span></p></li>';
//
//                    }
//                });
//            });
//            jQueryMap.content.customerCon.html(htmlStr);
//
//            jQueryMap.content.emptyTip.hide();
//        });
//
//    }
    //通讯录
    function contactSearch(searchText){
        var contactInfo = $.getSStorageInfo("contact");
    	var phoneCheck=$.getSStorageInfo("phoneCheck");
//        var contactInfo = [{"firstLetter":"A","userName":"国学","phoneNo":"13143433333"},
//                           {"firstLetter":"D","userName":"国学","phoneNo":"13243433333"},
//                           {"firstLetter":"Y","userName":"国学","phoneNo":"13343433333"},
//                           {"firstLetter":"U","userName":"国学","phoneNo":"13443433333"},
//                           {"firstLetter":"A","userName":"国学","phoneNo":"13543433333"}];
        var searchJson = [];
       /* var arr = $.parseJSON(contactInfo);
        alert(arr[0].phoneNo);*/
        for(var i=0;i<contactInfo.length;i++){
            var item = contactInfo[i];
            try{
                if( item.userName.indexOf(searchText) != -1 ){
                    searchJson.push(item);
                    jQueryMap.content.emptyTip.hide();
                }else if( item.phoneNo.indexOf(searchText) != -1 ){
                    searchJson.push(item);
                    jQueryMap.content.emptyTip.hide();
                }else{
                    jQueryMap.content.emptyTip.show();
                }
            }catch(e){
            }
        }
        if(searchJson.length>0){
	        var htmlStr = "";
	        var userName="";
	        var phoneNo = "";
	        myUtils.sortLetter(searchJson,function(resLetter){
	            $.each(resLetter.letterArr, function (index, letter) {
	                $.each(resLetter.branchMap[letter], function (index, item) {
	                    if( item.userName.indexOf(searchText) != -1 || item.phoneNo.indexOf(searchText) != -1 ){
	                        var reg = new RegExp("(" + searchText + ")", "g");
	                        userName = item.userName.replace(reg, "<font color=red>$1</font>");
	                        phoneNo = item.phoneNo.replace(reg, "<font color=red>$1</font>");
	                    }                   
	                    htmlStr += '<li><em class="check_box"></em><img src="../../../images/add_lhd03.png"/><div class="lbox_txt"><strong>'+userName+ '</strong><small data-phone='+item.phoneNo+'>'+phoneNo+'</small></div></li>';
	                });
	            });
	        }); 
	        jQueryMap.content.customerCon.html(htmlStr);
	        //当是客户已经勾选的客户，在搜索的时候置灰
	        jQueryMap.content.customerCon.find("li").each(function () {
	        	var $this =  $(this);
	            var phone = $this.find("small").attr("data-phone");
	            if( $.inArray(phone,phoneCheck) != -1 ){
	            	$this.find("em").addClass("on");
	            }
	        });	        
	        jQueryMap.content.emptyTip.hide();
        }else{
            jQueryMap.content.customerCon.html("");
            jQueryMap.content.emptyTip.show();
        }
    }
    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.customerCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
