define("financial/scripts/customer/detail/custServiceInput.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_serviceInput");

    var followParam;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
        });

        //选择服务类型
        $.preBindEvent(jQueryMap.content.serviceSelect, ".flex_item", function() {
            var $this = $(this);
            if (followParam.cc_call_type) {
                return;
            }
            if ($this.parent().find('.act').length > 2 && !$this.hasClass('act')) {
                $.toast("最多只能选3个~");
                return;
            }
            // var serviceId = $this.attr("data-serviceId");
            if ($this.hasClass('act')) {
                $this.removeClass("act");
            } else {
                $this.addClass("act");
            }
            // jQueryMap.content.serviceSelect.attr("data-serviceId", serviceId);
            setBtnStatus();
        });

        // 接通状态选择
        $.preBindEvent(jQueryMap.content.singleCheck, "b", function() {
            var $this = $(this);
            if ($this.hasClass("checked")) {
                $this.removeClass("checked");
            } else {
                $this.addClass("checked").siblings().removeClass("checked");
            }
            setBtnStatus();
        });

        //服务内容
        $.bindEvent(jQueryMap.content.serviceCon, function() {
            var $this = $(this);
            var content = $this.val();
            var length = content.length;
            if (length > 300) {
                content = content.substring(0, 300);
                $this.val(content);
            }
            $this.siblings().html(content.length + "/300");
            setBtnStatus();
        }, "input");

        //完成
        $.bindEvent(jQueryMap.content.submitBtn, function() {
            var $this = $(this);
            if (!$this.hasClass("disabled")) {
                //完成调用接口存起来
                $.showIndicatorHtml();
                addServiceLog();
                return;
            } else {
                var serviceCount = jQueryMap.content.serviceSelect.find(".act");
                if(serviceCount.length <= 0) {
                    $.toast("请选择通话类别");
                    return;
                }
                var callInfo = jQueryMap.content.singleCheck.find("b.checked").attr("data-call_info");
                if(!callInfo) {
                    $.toast("请选择接听状态标识");
                    return;
                }
                var serviceCon = jQueryMap.content.serviceCon.val().trim();
                if(serviceCon.length <= 0) {
                    $.toast("根据质检要求，请输入服务内容");
                    return;
                }
                if(serviceCon.length < 8) {
                    $.toast("服务内容须大于8个字");
                    return;
                }
            }
        });

        //成功确认
        $.bindEvent(jQueryMap.footer.success, function() {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            $.pageBack();
        });

        //失败确认
        $.bindEvent(jQueryMap.footer.failure, function() {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });
    }

    function destroy() {
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "pageTitle": $page.find("#pageTitle")
            },
            "content": {
                "serviceSelect": $page.find("#service_select"),
                "serviceCon": $page.find("#service_con"),
                "singleCheck": $page.find(".singleCheck"),
                "submitBtn": $page.find("#submit_btn")
            },
            "footer": {
                "success": $page.find("#success"),
                "failure": $page.find("#failure")
            },
            "layerArea": {
                "successDialog": $page.find("#successDialog"),
                "failureDialog": $page.find("#failureDialog")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();

        var prePageCode = $.getSStorageInfo("_prePageCode");
        if (prePageCode === "customer/detail/customerFollow") {
            jQueryMap.header.pageTitle.text("服务编辑");
        } else {
            jQueryMap.header.pageTitle.text("服务录入");
        }
        followParam = $.getPageParam("followParam");
        jQueryMap.content.singleCheck.find("[data-call_info='" + followParam.call_info + "']").addClass("checked");
        jQueryMap.content.serviceCon.val(followParam.followContent.substring(0, 300));
        jQueryMap.content.serviceCon.siblings().html(followParam.followContent.length + "/300");
        var callType = followParam.cc_call_type ? followParam.cc_call_type.split(',') : [];
        showServiceItem(callType);
    }

    function showServiceItem(callType) {
        var param = {},
            htmlStr = '';
        service.getCCCallType(param, function(data) {
            data.forEach(function(item) {
                var itemClass = $.inArray(item.id, callType) > -1 ? " act" : callType.length > 0 ? " disable" : "";

                htmlStr += '<div class="flex_item' + itemClass + '" data-serviceId="' + item.id + '">' + item.type_name + '</div>';
            });
            jQueryMap.content.serviceSelect.html(htmlStr);

            //遮罩层去掉
            myUtils.hideLayer($page);
        });

    }

    //完成服务录入修改存储（目前该页面为修改页面）
    function addServiceLog() {
        var serviceCon = jQueryMap.content.serviceCon.val().trim(),
            callInfo = jQueryMap.content.singleCheck.find("b.checked").attr("data-call_info");
        followParam.followContent = serviceCon;
        followParam.call_info = callInfo;
        followParam.oper_type = "1";
        followParam.actionType = "2";

        var serviceSelectAct = jQueryMap.content.serviceSelect.find(".act");
        var serviceId = "";
        for (var i = 0; i < serviceSelectAct.length; i++) {
            var $this = $(serviceSelectAct[i]);
            if (serviceSelectAct.length - 1 === i) {
                serviceId += $this.attr("data-serviceid");
            } else {
                serviceId += $this.attr("data-serviceid") + ",";
            }
        }

        followParam.cc_call_type = serviceId;

        service.queryFollowInfo(followParam, function() {
            $.hideIndicatorHtml();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.successDialog);
            jQueryMap.content.submitBtn.addClass("disabled");
        }, function() {
            $.hideIndicatorHtml();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.failureDialog);
        });
    }


    function setBtnStatus() {
        var serviceCon = jQueryMap.content.serviceCon.val().trim(),
            serviceCount = jQueryMap.content.serviceSelect.find(".act"),
            callInfo = jQueryMap.content.singleCheck.find("b.checked").attr("data-call_info");
        if (serviceCount.length > 0 && serviceCon.length >= 8 && callInfo) {
            jQueryMap.content.submitBtn.removeClass("disabled");
        } else {
            jQueryMap.content.submitBtn.addClass("disabled");
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.header.pageTitle.text("");
        jQueryMap.content.submitBtn.addClass("disabled");
        jQueryMap.content.serviceSelect.removeAttr("data-serviceId");
        jQueryMap.content.serviceSelect.html("");
        jQueryMap.content.serviceCon.val("");
        jQueryMap.content.serviceCon.siblings().html("0/300");
        jQueryMap.content.singleCheck.find("b.checked").removeClass("checked");
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        followParam = {};
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});