define("financial/scripts/customer/detail/customerAdd.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");

    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_customerAdd");

    // 模块内的其它全局变量
    var nameInp, phoneInp, wechatInp, mallboxInp, qqInp;
    var channnelName = "";
    var bodyHeight;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	initPage();
    }
    function load() {
        loadPage();
    }

    function bindPageEvent() {
    	
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	cleanPageElement();
        	$.pageBack();
        });

        // 添加其他联系方式
        $.bindEvent(jQueryMap.content.addContact, function () {
        	var wechat= $("input[data-type='wechat']").val();         	
        	var email= $("input[data-type='email']").val();    
        	var qq= $("input[data-type='qq']").val();
        	$.pageInit("customer/detail/customerAdd","customer/detail/customerContact",{"email":email,"qq":qq,"wechat":wechat});
        });
        
        // 当文本框输入文字时，清空图标出现
        $.preBindEvent(jQueryMap.content.conChannel, "div.fm_item", function() {      	
            var len = $(this).find("input").val().length;
            if (len === 0) {
                $(this).find(".cleartxt").hide();
            } else {
                $(this).find(".cleartxt").show();
            }
        }, "input");
        //清空搜索框
        $.preBindEvent(jQueryMap.content.conChannel, "a.cleartxt", function() {
            $(this).siblings("input").val("");
            $(this).hide();
        });

        //隐藏整行
        $.preBindEvent(jQueryMap.content.conChannel, "a.del_btn", function() {
            $(this).siblings("input").val("");
            $(this).parent().parent().remove();
        });

        //点击提交
        $.bindEvent(jQueryMap.content.submitBtn, function () {
            nameInp = jQueryMap.content.nameInp.val().trim();
            phoneInp = jQueryMap.content.phoneInp.val().trim();
            wechatInp= $("input[data-type='wechat']").val();         	
        	mallboxInp= $("input[data-type='email']").val();    
        	qqInp= $("input[data-type='qq']").val();
            if (!nameInp) {
                $.alert("请输入姓名！");
                return false;
            }
            if (phoneInp) {
                if (!validatorUtils.isMobile(phoneInp)) {
                    $.toast("请输入正确的电话号码");
                    return false;
                }
            }  
            if(wechatInp){
                var str = /^[^\u4e00-\u9fa5]{6,20}/;
                if (!str.test(wechatInp)) {
                    $.toast("请输入正确的微信号！");
                    return false;
                }
            }                       
            if(mallboxInp){
                if (!validatorUtils.isEmail(mallboxInp)) {
                    $.toast("请输入有效的邮箱");
                    return false;
                }
            }      
            if(qqInp){
                if(!validatorUtils.isQq(qqInp)){
                    $.toast("请输入正确的qq号码！");
                    return false;
                }
            }            
            if($.getSStorageInfo("shareType")=="sms"){
                if (!phoneInp) {
                    $.toast("请输入手机号码！");
                    return false;
                }
            }else if($.getSStorageInfo("shareType")=="email"){
                if (!mallboxInp) {
                    $.toast("请输入邮箱号码！");
                    return false;
                }
            }else{
                if (!phoneInp && !wechatInp && !mallboxInp && !qqInp) {
                    $.toast("联系方式至少填写一个！");
                    return false;
                }
            }
            //将新增的发展潜在客户添加到列表中
            addDevelopCusomer();
        });
    }

    //滑动出现删除按钮
    $(document).ready(function() {
		var start = end = count = 0;
		$(document).on('touchstart',"#customer_detail_customerAdd  #conChannel>div",function(e) {
            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                start = touch.pageX;
                end = touch.pageX;
            }
		});
		$(document).on('touchmove', "#customer_detail_customerAdd  #conChannel>div",function(e) {
            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                end = touch.pageX;
            }
        });
		$(document).on('touchend', "#customer_detail_customerAdd #conChannel>div",
        function(e) {
            if ($(this).attr('id') == 'phone') {
                return;
            }
            count = end - start;
            if (count < -30) {
                $(this).addClass('act');
            } else if (count > 30) {
                $(this).removeClass('act');
            }
        });
		$(document).on('click', '#custom_developAdd .add_customer #conChannel>div>a.delete',
        function(e) {
            $(this).parent().removeClass('act');
            $(this).parent().hide();
            $(this).parent().find("input[type='text']").val('');
        });
    });
    
    function destroy() {	
    	//清除(customer/detail/customerContact)页面的session数据
    	$.clearSStorage("contactType");
    	$.clearSStorage("contactName"); 
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                "customDevelopAdd" : $page.find("#custom_developAdd"),
                "submitBtn"        : $page.find("#submit_btn"),
                "nameInp"          : $page.find("#name_inp"),
                "phoneInp"         : $page.find("#phone_inp"),
                "addContact"       : $page.find("#addContact"),
                "conChannel"       : $page.find("#conChannel"),
                "conChannelFir"    : $page.find("#conChannelFir"),
                "phone"            : $page.find("#phone"),
                "mallbox"          : $page.find("#mallbox"),
                "wechat"           : $page.find("#wechat"),
                "qq"               : $page.find("#qq"),
                "mallboxInp"       : $page.find("#mallboxInp"),
                "wechatInp"        : $page.find("#wechatInp"),
                "qqInp"            : $page.find("#qqInp"),
                "clearBtn"         : $page.find(".cleartxt"),
                "delBtn"          : $page.find(".del_btn")
            },
            "footer" : {
                "otherFuncBtn": $page.find(".footer ul li")
            }
        };
    }
    function initPage(){
    	//先判断是否是邮箱推广页面跳转过来的    是的话添加邮箱的联系方式   否不处理
        if($.getSStorageInfo("shareType")=="email" && $.getSStorageInfo("_prePageCode") == "subject/email"){
        	var html='<div class="fm_item"><span class="label">邮箱</span><input maxlength="32" placeholder="请输入您的邮箱" type="text" '
                + 'data-type="email" value="" /> '
                + '<div class="tool_box"><a href="javascript:void(0)" class="del_btn">删除</a></div>'
                + '<a href="javascript:void(0)" class="cleartxt"></a></div>';
        	 jQueryMap.content.conChannel.append(html);
        }
    } 
    function loadPage() {     
    	//判断是否是从添加其他联系方式页面返回
        if( $.getSStorageInfo("_prePageCode") =="customer/detail/customerContact"){         
            var itemType = $.getSStorageInfo("contactType");
    		var itemName = $.getSStorageInfo("contactName");
    		if(itemType==null || $("input[data-type='"+itemType+"']").length!=0)
    			return;
    		var htmlStr = '<div class="fm_item"><span class="label">'+itemName+'</span><input maxlength="32" placeholder="请输入您的'+itemName+'" type="text" '
			   			+ 'data-type="'+itemType+'" value="" maxlength="20" />'
                        + '<div class="tool_box"><a href="javascript:void(0)" class="del_btn">删除</a></div>'
                        + '<a href="javascript:void(0)" class="cleartxt"></a></div>';
            jQueryMap.content.conChannel.append(htmlStr);
        }
    }

    //将新增的发展潜在客户添加到列表中
    function addDevelopCusomer(){
        var param = {
            "staffId": model.dataStore.staffId,
            "name"   :nameInp
        };
        if(phoneInp){
            param.mobileNo = phoneInp;
        }
        if(wechatInp){
            param.wechat = wechatInp;
        }
        if(mallboxInp){
            param.email = mallboxInp;
        }
        if(qqInp){
            param.qq = qqInp;
        }
        service.addCustomer(param,function (result) {
            if(result.length>0){
                // 添加数据的时候先去手动的遍历缓存的客户然后添加相应的数据
                // 比用同步的方法查询接口然后更新缓存更快
                var exitDevCustomer = model.dataStore.custom.devCustomer;
                if(exitDevCustomer){
                    exitDevCustomer.push(result[0]);
                }
                var exitAllCustomer = model.dataStore.custom.allCustomer;
                if(exitAllCustomer){
                    exitAllCustomer.push(result[0]);
                }
            }
            $.toast("客户已经添加成功！");
            //添加客户时更新缓存潜在客户列表
//            myUtils.getDevCustom({},null);
            cleanPageElement();
        	$.pageBack();
        });
    }

    //跳转时重置的页面元素
    function cleanPageElement(){
    	//重置最初页面元素
    	$page.find("div.fm_item").find(".cleartxt").hide();
    	jQueryMap.content.nameInp.val("");
    	jQueryMap.content.phoneInp.val("");
    	jQueryMap.content.phone.siblings().remove();
    	
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
