define("financial/scripts/customer/detail/customerContact.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_customerContact");
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	initPage();
    }
    function load() {
        
    }
    function bindPageEvent() {
        
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	$.pageBack(); 
        });
        //点击联系方式返回前一页面
        $.preBindEvent(jQueryMap.content.channel, "li", function () {
            var $this = $(this);
            var contactName = $this.html();
            var contactType = $this.attr("data-type");
            $this.addClass("act").siblings().removeClass("act");
            $.setSStorageInfo("contactName",contactName);
            $.setSStorageInfo("contactType",contactType);  
            $.pageBack();    //此处用session返回数据  使用$.pageBack()返回前一页面    目的:不影响前一页面的返回正常跳转
        });
    }
    function destroy() {
    	cleanPageElement();
        service.destroy();
    }
    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack")
            },
            "content": {
                "channel": $page.find("#channel")
            }
        };
    }
    function initPage() {
    	//获取前一个页面传来的参数
    	var email = $.getPageParam("email");
    	var qq = $.getPageParam("qq");
        var wechat = $.getPageParam("wechat");
    	//判断联系方式是否已选填充标志
        var contact = [{"itemType":"email","itemName":"邮件","itemValue":email},
    	               {"itemType":"qq","itemName":"QQ","itemValue":qq},
                       {"itemType":"wechat","itemName":"微信","itemValue":wechat}];
        for(var i=0;i<contact.length;i++){
            if(contact[i].itemValue==undefined){
            	 $("li[data-type='"+contact[i].itemType+"']").removeClass("act");
            }else{
            	 $("li[data-type='"+contact[i].itemType+"']").addClass("act");
            }
        }
    }
    //重置页面元素
    function cleanPageElement(){
    	jQueryMap.content.channel.find("li").removeClass("act");
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
