define("financial/scripts/customer/detail/customerDetail.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("highcharts");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_customerDetail");
    var _pageId = "#customer_detail_customerDetail ";
    var custId;
    var followParam = "";

    var dateStrArray = [];
    var totalAssetArray = [];
    var tradingAmountArray = [];
    var width;
    var onCall = false;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {
        //隐藏存量客户的电话信息
        if ($.getSStorageInfo("customerType") === "2") {
            $page.find(".cust_list").find("#mobile_show").hide();
        } else {
            $page.find(".cust_list").find("#mobile_show").show();
        }
    }

    function load() {
        $.setSStorageInfo("assetsChange_refresh", "0");
        loadPage();
    }

    function bindPageEvent() {

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            cleanPageElement();
            $.pageBack();
        });

        // 概况、主题   及  净资产、交易、净佣金、佣金币 切换
        $.bindEvent($page.find(".tab_nav01 li a"), function() {
            $(this).parent().addClass("current").siblings().removeClass("current");
            jQueryMap.content[$(this).attr("id") + "Tab"].show().siblings("div").hide();
        });

        // 点击客户标签详情
        $.bindEvent(jQueryMap.content.tagPage.find("h4"), function(e) {
            if (e.target.className != ("collapse_btn") && e.target.className != ("collapse_btn upDown")) {
                $.pageInit("customer/detail/customerDetail", "customer/detail/customerTag", { "custId": custId });
            }
        });

        // 点击跟进
        $.bindEvent(jQueryMap.footer.followUp, function() {
            $.pageInit("customer/detail/customerDetail", "customer/detail/customerFollow");
        });

        // 点击查看更多主题
        $.bindEvent($page.find("#toggleMore"), function() {
            $.pageInit("customer/detail/customerDetail", "customer/detail/subjectSigned");
        });

        //删除客户标签
        $.preBindEvent(jQueryMap.content.tagBox, "li", function(e) {
            if ($(this).hasClass("icon_del")) {
                if (e.target.nodeName == "EM") {
                    var li = $(this);
                    var tagId = li.attr("data-tagId");
                    var tagType = li.attr("data-tagType");
                    if (li.hasClass("icon_del")) {
                        li.remove();
                        deleteCustomerTag(tagId, tagType);
                    }
                } else {
                    //如果已经是删除状态了就不给选中
                    return false;
                }
            } else {
                return false;
            }

        });
        //// 点击客户标签更多
        //$.bindEvent(jQueryMap.content.tagMore, function () {
        //    jQueryMap.content.tagBox.css({"height":"0.8rem"});
        //});

        // 显示隐藏编辑框
        $.bindEvent(jQueryMap.header.showEditBtn, function() {
            if(jQueryMap.header.menuBox.hasClass("hide")) {
                jQueryMap.header.menuBox.addClass("show").removeClass("hide");
                jQueryMap.header.hideModal.addClass("show").removeClass("hide");
            }else {
                jQueryMap.header.menuBox.addClass("hide").removeClass("show");
                jQueryMap.header.hideModal.addClass("hide").removeClass("show");
            }
        });
        // 显示隐藏编辑框
        $.bindEvent(jQueryMap.header.hideModal, function() {
            jQueryMap.header.menuBox.addClass("hide").removeClass("show");
            jQueryMap.header.hideModal.addClass("hide").removeClass("show");
        });
        // 编辑
        $.bindEvent(jQueryMap.header.editBtn, function() {
            var custName = jQueryMap.content.name.html();
            var mobile = jQueryMap.content.mobile.html();
            var email = jQueryMap.content.email.html();
            var wechat = jQueryMap.content.wechat.html();
            var qq = jQueryMap.content.qq.html();
            if ($.getSStorageInfo("customerType") == "2") {
                mobile = "";
            }
            jQueryMap.header.menuBox.addClass("hide").removeClass("show");
            jQueryMap.header.hideModal.addClass("hide").removeClass("show");
            $.pageInit("customer/detail/customerDetail", "customer/detail/editCustomer", { "custName": custName, "mobile": mobile, "email": email, "qq": qq, "wechat": wechat });
        });
        // 编辑
        $.bindEvent(jQueryMap.header.editBtnTxt, function() {
            var custName = jQueryMap.content.name.html();
            var mobile = jQueryMap.content.mobile.html();
            var email = jQueryMap.content.email.html();
            var wechat = jQueryMap.content.wechat.html();
            var qq = jQueryMap.content.qq.html();
            if ($.getSStorageInfo("customerType") == "2") {
                mobile = "";
            }
            jQueryMap.header.menuBox.addClass("hide").removeClass("show");
            jQueryMap.header.hideModal.addClass("hide").removeClass("show");
            $.pageInit("customer/detail/customerDetail", "customer/detail/editCustomer", { "custName": custName, "mobile": mobile, "email": email, "qq": qq, "wechat": wechat });
        });
        // 服务轨迹
        $.bindEvent(jQueryMap.header.locusBtn, function() {
            jQueryMap.header.menuBox.addClass("hide").removeClass("show");
            jQueryMap.header.hideModal.addClass("hide").removeClass("show");
            var custNo = $(this).attr("data-custno");
            $.pageInit("customer/detail/customerDetail", "customer/detail/customerLocus", {"custNo": custNo});
        });

        //点击电话图标的时候打电话
        $.bindEvent(jQueryMap.content.mobileCall, function() {
            var callAuth = $.getSStorageInfo("call_auth");
            if(callAuth != "1") {
                $.toast("外呼权限不足！");
                return;
            }
            if (onCall) {
                return;
            }
            onCall = true;
            //存量客户
            if ($.getSStorageInfo("customerType") === "2") {
                getPhoneNumList($(this).attr("data-custNo"), $(this).attr("data-custId"), $(this).attr("data-cust_name"));
            }
            else {
                var $this = $(this);
                var custId = $this.attr("data-custId");
                var staffId = model.dataStore.staffId;
                var curCustName = $this.attr("data-cust_name");
                // 用外呼系统打电话 
                var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                var param = {
                    "staffId": staffId,
                    "custId": custId,
                    "followType": '2',
                    "actionType": '1',
                    "oper_type": '2',
                    "followContent": "",
                    "followDate": dealDate,
                    "warnMin": ""
                };
                service.queryFollowInfo(param, function(result) {
                    if (!(result[0] && result[0].follow_id)) {
                        $.alert("拨打电话出错，请稍后再试！");
                        onCall = false;
                        return;
                    }
                    var tel = $.getSStorageInfo("mobileNo");
                    param.follow_id = result[0].follow_id;
                    followParam = param;
                    jQueryMap.content.callStatement.html("稍后您的手机号" + tel + "将会收到9501395584呼入的电话，请注意接听");
                    $page.find(".call_name").html(curCustName);
                    $page.find(".callshow").show();
                    onCall = false;
                }, function(errorNo, errorInfo) {
                    onCall = false;
                    $.alert(errorInfo);
                });

                }
        });

        //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            $.pageInit("custom/allCustomer", "customer/detail/custServiceInput", { "followParam": followParam });
        });

        //点击电话图标的时候发短信
        $.bindEvent(jQueryMap.content.messageCall, function() {
            var customerType = $.getSStorageInfo("customerType");
            if (customerType != "2") {
                $.callMessage({
                    "funcNo": "50221",
                    "telNo": jQueryMap.content.mobile.html()
                });
            }
        });

        //展开按钮
        $.bindEvent(jQueryMap.content.collapseBtn, function() {
            $(this).hasClass("upDown") ? $(this).removeClass("upDown") : $(this).addClass("upDown");
            if ($(this).parent().find(".change").hasClass("body_content")) {
                $(this).parent().find(".change").removeClass("body_content").addClass("openall");
            } else {
                $(this).parent().find(".change").removeClass("openall").addClass("body_content");
                //        		$(this).parent().find(".change").attr("id","body_content");
            }
            // $(this).parent().find(".change").attr("id","openall");
        });

        //展开按钮
        $.bindEvent(jQueryMap.content.viewAll, function() {
            if ($(this).hasClass("but_show")) {
                $(this).removeClass("but_show").addClass("but_up");
                $(this).find("em").text("收起");
            } else {
                $(this).removeClass("but_up").addClass("but_show");
                $(this).find("em").text("展开");
            }
            if ($(this).parent().find(".change").hasClass("body_content")) {
                $(this).parent().find(".change").removeClass("body_content").addClass("openall");
            } else {
                $(this).parent().find(".change").removeClass("openall").addClass("body_content");
                //        		$(this).parent().find(".change").attr("id","body_content");
            }
            // $(this).parent().find(".change").attr("id","openall");
        });
        //取消打电话
        $.bindEvent(jQueryMap.layerArea.cancel, function(e) {
            onCall = false;
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
        });
        //确认打电话
        $.bindEvent(jQueryMap.layerArea.callOut, function(e) {
            var phoneNum = '';
            // 1 手工录入手机号   2已存在手机号
            var callMobileType = 2;
            if(jQueryMap.layerArea.inputCheck.hasClass("checked")) {
                phoneNum = jQueryMap.layerArea.inputNum.val();
                if(!validatorUtils.isNumeric(phoneNum)) {
                    $.toast("请输入正确的电话号码");
                    return;
                }
                callMobileType = 1;
            } else {
                phoneNum = jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").attr("data-phone-num");
                callMobileType = 2;
                if(!phoneNum) {
                    $.toast("请选择电话号码");
                    return;
                }
            }
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
            var $this = $(this);
            var custId = jQueryMap.layerArea.selectBox.attr("data-custId");
            var staffId = model.dataStore.staffId;
            var curCustName = jQueryMap.layerArea.selectBox.attr("data-custName");
            // 用外呼系统打电话 
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            var param = {
                "staffId": staffId,
                "custId": custId,
                "followType": '2',
                "actionType": '1',
                "oper_type": '2',
                "followContent": "",
                "followDate": dealDate,
                "warnMin": "",
                "outerMobile": phoneNum,
                "call_mobile_type": callMobileType
            };
            service.queryFollowInfo(param, function(result) {
                if(!(result[0] && result[0].follow_id)) {
                    onCall = false;
                    $.alert("拨打电话出错，请稍后再试！");
                    return;
                }
                var tel = $.getSStorageInfo("mobileNo");
                param.follow_id=result[0].follow_id;
                followParam = param;
                jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                $page.find(".call_name").html(curCustName);
                $page.find(".callshow").show();
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
        });
        
        //选择是否手动输入号码
        $.bindEvent(jQueryMap.layerArea.inputCheck, function(e) {
            if($(this).hasClass("checked")) {
                $(this).removeClass("checked");
                jQueryMap.layerArea.inputNum.val(jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").text());
                jQueryMap.layerArea.selectBox.removeClass("disabled");
                jQueryMap.layerArea.inputNum.attr("disabled", true);
            } else {
                $(this).addClass("checked");
                jQueryMap.layerArea.inputNum.attr("disabled", false);
                jQueryMap.layerArea.selectBox.addClass("disabled");
            }
        });
        //选择拨打号码
        $.preBindEvent(jQueryMap.layerArea.selectBox, '.select_item', function(e) {
            if(jQueryMap.layerArea.selectBox.hasClass("disabled")) {
                return;
            } else {
                if($(this).hasClass("checked")) {
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                    return;
                } else {
                    $(this).addClass("checked").siblings().removeClass("checked");
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                }
            }
        });
    }



    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "editBtnTxt": $page.find("#edit_btn_txt"),
                "editBtn": $page.find("#edit_btn"),
                "locusBtn": $page.find("#locus_btn"),
                "showEditBtn": $page.find("#show_edit_btn"),
                "menuBox": $page.find("#menu_box"),
                "hideModal": $page.find("#hide_modal")
            },
            "content": {
                //客户基本信息
                "name": $page.find("#name"),
                "mobile_show": $page.find("#mobile_show"),
                "valid": $page.find("#valid"),
                "lastStep": $page.find("#lastStep"),
                "curTjr": $page.find("#curTjr"),
                "mobile": $page.find("#mobile"),
                "createDate": $page.find("#createDate"),
                "email": $page.find("#email"),
                "qq": $page.find("#qq"),
                "wechat": $page.find("#wechat"),

                "channelName": $page.find("#channelName"),
                "branchName": $page.find("#branchName"),
                "riskLevel": $page.find("#riskLevel"),
                "commissionRate": $page.find("#commissionRate"),
                "fundAccount": $page.find("#fundAccount"),
                "ycfLastLogin": $page.find("#ycfLastLogin"),
                "lv_base": $page.find("#lv_base"),
                "lv_xyjyyjl": $page.find("#lv_xyjyyjl"),
                "lv_xyjylv": $page.find("#lv_xyjylv"),
                "lv_ggtyjl": $page.find("#lv_ggtyjl"),

                //权限开通
                "qx_sjcg_jbzh": $page.find("#qx_sjcg_jbzh"),
                "qx_sjcg_xyzh": $page.find("#qx_sjcg_xyzh"),
                "qx_cyb_jczh": $page.find("#qx_cyb_jczh"),
                "qx_cyb_xyzh": $page.find("#qx_cyb_xyzh"),
                "qx_gznhg": $page.find("#qx_gznhg"),
                "qx_fxjsb": $page.find("#qx_fxjsb"),
                "qx_rzrq": $page.find("#qx_rzrq"),
                "qx_hgt": $page.find("#qx_hgt"),
                "qx_sgt": $page.find("#qx_sgt"),
                "qx_wsjy": $page.find("#qx_wsjy"),
                "qx_yqb": $page.find("#qx_yqb"),
                "qx_dt": $page.find("#qx_dt"),

                "changeTab": $page.find("#changeTab"),
                "mobileCall": $page.find("#mobile_call"),
                "messageCall": $page.find("#message_call"),
                //潜在和存量模块的切换
                "diffShowHide": $page.find("#diffShowHide"),
                //标签部分
                "tagBox": $page.find("#tagBox"),
                "tagPage": $page.find("#tagPage"),
                "tagMore": $page.find("#tagMore"),
                "addTage": $page.find("#addTage"),
                //概况、主题部分
                "mainInfo": $page.find("#mainInfo"),
                "subject": $page.find("#subject"),
                "mainInfoTab": $page.find("#mainInfoTab"),
                "authorizationTab": $page.find("#authorizationTab"),
                "subjectTab": $page.find("#subjectTab"),
                //净资产、交易、净佣金模块部分
                "asset": $page.find("#asset"),
                "trade": $page.find("#trade"),
                "charges": $page.find("#charges"),
                "assetTab": $page.find("#assetTab"),
                "tradeTab": $page.find("#tradeTab"),
                "chargesTab": $page.find("#chargesTab"),
                "coinsTab": $page.find("#coinsTab"),

                "totalAssetChart": $page.find("#totalAssetChart"),
                "totalAradeChart": $page.find("#totalAradeChart"),
                //资产，佣金，佣金币的填充
                "monthTotalAssets": $page.find("#monthTotalAssets"),
                "monthTradeAmount": $page.find("#monthTradeAmount"),
                "monthCommission": $page.find("#monthCommission"),
                "yearCommission": $page.find("#yearCommission"),
                "allCommission": $page.find("#allCommission"),
                "coinbal": $page.find("#coinbal"),
                "coinUnactive": $page.find("#coinUnactive"),
                "coinUsed": $page.find("#coinUsed"),
                "coinbalExpire": $page.find("#coinbalExpire"),
                "coinExpire": $page.find("#coinExpire"),
                //展开按钮
                "collapseBtn": $page.find(".collapse_btn"),
                //展开按钮
                "viewAll": $page.find(".view_all_btn"),
                "change": $page.find(".change"),
                "callStatement": $page.find("#call_statement")
            },
            "footer": {
                "followUp": $page.find("#follow_up")
            },
            "layerArea": {
                "choiceshow": $page.find("#choiceshow"),
                "cancel": $page.find("#cancel"),
                "callOut": $page.find("#callOut"),
                "inputCheck": $page.find("#inputCheck"),
                "selectItems": $page.find("#selectItems"),
                "selectBox": $page.find("#selectBox"),
                "inputNum": $page.find("#inputNum"),
                "selectItems": $page.find("#selectItems"),
                "emplopyeeNum": $page.find("#emplopyee_num"),
                "noPhone": $page.find("#noPhone")
            }
        };
    }

    function loadPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        myUtils.showLayer($page);
        custId = $.getSStorageInfo("custId");
        //存量客户
        if ($.getSStorageInfo("customerType") === "2") {
            jQueryMap.content.diffShowHide.show();
            jQueryMap.header.showEditBtn.show();

        } else {
            jQueryMap.content.diffShowHide.hide();
            jQueryMap.content.mobile_show.show();
            jQueryMap.header.editBtnTxt.show();
        }
        width = parseFloat($(_pageId + ".page_boxLoad").width());
        $(_pageId + "#totalAssetChart").css("width", width);
        $(_pageId + "#totalAradeChart").css("width", width);

        if ($.getSStorageInfo("customerType") === "2") {
            //展示资产信息
            showSubjectList();

        }
        //客户个人信息查询
        showCustomerDetail();
        //查询个人标签
        showTag();
        //展示主题信息
        showSubjectInfo();
    }

    function showSubjectInfo() {
        var param = {
            "staffId": model.dataStore.staffId,
            "custId": custId,
            "page": 1,
            "pageSize": 3
        }
        service.getCustSubjectSignedInfo(param, function(result) {
            if (result) {
                var zzqyHtml = "";
                var data = result[0].data;
                if (data.length > 0) {
                    for (var i = 0; i < data.length; i++) {
                        if (i == data.length - 1) {
                            zzqyHtml += "<li style='border-bottom:0px solid #f2f2f2' status='" + data[i].status + "' subject-id='" + data[i].subjectId + "'><span class='sign_status'>签</span><div class='text'><h4><strong style='margin-left:0rem;'>" + data[i].productName +
                                "</strong>" + data[i].subjectName + "</h4><p><span>" + (data[i].createdDate).substring(5, 16) + "</span><span>" + data[i].channelName + "</span></p></div></li>";
                        } else {
                            zzqyHtml += "<li status='" + data[i].status + "' subject-id='" + data[i].subjectId + "'><span class='sign_status'>签</span><div class='text'><h4><strong style='margin-left:0rem;'>" + data[i].productName +
                                "</strong>" + data[i].subjectName + "</h4><p><span>" + (data[i].createdDate).substring(5, 16) + "</span><span>" + data[i].channelName + "</span></p></div></li>";
                        }
                    }
                    $page.find("#zzqyList").parent().show();
                    $page.find("#zzqyList").html(zzqyHtml);
                    $page.find("#showHideSub").show();
                    $page.find("#showHideTip").hide();
                    $page.find("#toggleMore").show();
                } else {
                    $page.find("#showHideSub").hide();
                    $page.find("#showHideTip").show();
                    $page.find("#toggleMore").hide();
                }
                $.bindEvent($page.find("#zzqyList li"), function() {
                    var status = $(this).attr("status");
                    if (status == '4') {
                        var subjectId = $(this).attr("subject-id");
                        $.setSStorageInfo("subjectId", subjectId);
                        var param = { "subjectId": subjectId, "type": 2 };
                        service.getMktCustId(param, function(result) {
                            if (result) {
                                var subjectTypeNo = result[0].subject_type_no;
                                $.setSStorageInfo("subjectTypeNo", subjectTypeNo);
                                if (subjectTypeNo == "newCustomersExclusive") {
                                    $.pageInit("customer/detail/subjectSigned", "subject/subNewDetail");
                                } else if (subjectTypeNo == "appreciationSigned") {
                                    $.pageInit("customer/detail/subjectSigned", "subject/subSignDetail");
                                } else if (subjectTypeNo == "marketActivity") {
                                    $.pageInit("customer/detail/subjectSigned", "subject/subActivityDetail");
                                }
                            }
                        });
                    } else {
                        $.toast("该主题已下架！");
                    }
                });
            } else {
                $page.find("#showHideSub").hide();
                $page.find("#showHideTip").show();
                $page.find("#toggleMore").hide();
            }
        });

    }

    //
    function showCustomerDetail() {
        service.queryCustomerDetail({
            "staffId": model.dataStore.staffId,
            "custId": custId,
            "actionType": "0"
        }, function(data) {
            jQueryMap.content.valid[data[0].isValid == "1" ? "show" : "hide"]();
            if ($.getSStorageInfo("customerType") === "1" && data[0].sourceType == "0") {
                jQueryMap.content.lastStep.show();
                jQueryMap.content.lastStep.html(data[0].lastStep == "" ? "下载app" : data[0].lastStep).show();
                if (data[0].curTjr == "") {
                    jQueryMap.content.curTjr.hide();
                    jQueryMap.content.lastStep.css({ "bottom": "0.1rem" });
                } else {
                    jQueryMap.content.lastStep.css({ "bottom": "0.2rem" });
                    jQueryMap.content.curTjr.html(data[0].curTjr).show();
                }

            } else {
                jQueryMap.content.curTjr.hide();
                jQueryMap.content.lastStep.hide();
            }

            if ($.getSStorageInfo("customerType") === "2") {
                jQueryMap.content.mobile.hide();
                var opendate = data[0].openAccountDate;
                jQueryMap.content.createDate.html(opendate.substring(0, 4) + "-" + opendate.substring(4, 6) + "-" + opendate.substring(6, 8));
                jQueryMap.content.createDate.parent().parent().show();
                showCoinAsset(data[0].custNo);
            } else {
                jQueryMap.content.mobile.html(data[0].mobile);
                jQueryMap.content.mobile.show();
                jQueryMap.content.createDate.html(data[0].createDate.substr(0, 10));
                jQueryMap.content.createDate.parent().parent().show();
            }

            jQueryMap.content.name.html(data[0].name);
            jQueryMap.content.messageCall.attr("data-cust_name", data[0].name);
            jQueryMap.content.mobileCall.attr("data-cust_name", data[0].name);
            jQueryMap.content.messageCall.attr("data-custId", data[0].custId);
            jQueryMap.content.mobileCall.attr("data-custId", data[0].custId);
            jQueryMap.content.messageCall.attr("data-custNo", data[0].custNo);
            jQueryMap.content.mobileCall.attr("data-custNo", data[0].custNo);
            jQueryMap.header.locusBtn.attr("data-custNo", data[0].custNo);
            
            $.each(["qq", "email", "wechat"], function(index, iDom) {
                if (data[0][iDom] != "") {
                    jQueryMap.content[iDom].html(data[0][iDom]);
                    jQueryMap.content[iDom].parent().parent().show();
                } else {
                    jQueryMap.content[iDom].html(data[0][iDom]);
                    jQueryMap.content[iDom].parent().parent().hide();
                }
            });
            $.each(["channelName", "branchName", "riskLevel", "commissionRate", "fundAccount"], function(index, iDomOther) {
                var riskText = new Map();
                riskText.set("", "无");
                riskText.set("0", "无");
                riskText.set("1", "低风险");
                riskText.set("2", "中低风险");
                riskText.set("3", "中风险");
                riskText.set("4", "中高风险");
                riskText.set("5", "高风险");
                if (data[0][iDomOther] && data[0][iDomOther] != "") {
                    jQueryMap.content[iDomOther].html((iDomOther == "riskLevel" ? riskText.get(data[0][iDomOther]) : iDomOther == "commissionRate" ? data[0][iDomOther] + "‰" : data[0][iDomOther]));
                } else {
                    jQueryMap.content[iDomOther].html("无");
                }
                //if(data[0][iDomOther]!="") {
                //    jQueryMap.content[iDomOther].html(data[0][iDomOther]);
                //}
            });

            $.each(["lv_base", "lv_xyjyyjl", "lv_xyjylv", "lv_ggtyjl"], function(index, iDom) {
                if (data[0][iDom] && data[0][iDom] != "") {
                    if (iDom == "lv_xyjylv") {
                        jQueryMap.content[iDom].html(data[0][iDom] + "%");
                    } else {
                        jQueryMap.content[iDom].html(data[0][iDom] + "‰");
                    }
                } else {
                    jQueryMap.content[iDom].html("无");
                }
            });

            $.each(["qx_sjcg_jbzh", "qx_sjcg_xyzh", "qx_cyb_jczh", "qx_cyb_xyzh", "qx_gznhg", "qx_fxjsb", "qx_rzrq", "qx_hgt", "qx_sgt", "qx_yqb", "qx_dt", "qx_wsjy"], function(index, iDom) {
                jQueryMap.content[iDom].removeClass("c_ren");
                if (data[0][iDom] && data[0][iDom] == "1") {
                    jQueryMap.content[iDom].text("已开通");
                } else {
                    jQueryMap.content[iDom].addClass("c_ren").text("未开通");
                }
            });

            if (data[0].ycfLastLogin) {
                if (data[0].ycfLastLogin.length == 19) {
                    jQueryMap.content.ycfLastLogin.html(data[0].ycfLastLogin.substring(0, 16));
                } else {
                    jQueryMap.content.ycfLastLogin.html(data[0].ycfLastLogin);
                }
            } else {
                jQueryMap.content.ycfLastLogin.html("未登录");
            }
            //投资品种
            var inverstVarietText = new Map();
            inverstVarietText.set("", "无");
            inverstVarietText.set("0", "无");
            inverstVarietText.set("01", "低风险投资产品及服务");
            inverstVarietText.set("02", "中低风险投资产品及服务");
            inverstVarietText.set("03", "中风险投资产品及服务");
            inverstVarietText.set("04", "中高风险投资产品及服务");
            inverstVarietText.set("05", "高风险投资产品及服务");
            $page.find("#inverstVariet").html(inverstVarietText.get(data[0].inverstVariet));
            //投资期限
            var inverstTermText = new Map();
            inverstTermText.set("", "无");
            inverstTermText.set("0", "无固定期限");
            inverstTermText.set("1", "短期");
            inverstTermText.set("2", "中期");
            $page.find("#inverstTerm").html(inverstTermText.get(data[0].inverstTerm));
            //预期收益
            var exprofitText = new Map();
            exprofitText.set("", "无");
            exprofitText.set("0", "10%以内");
            exprofitText.set("1", "10%~30%");
            exprofitText.set("2", "30%~50%");
            exprofitText.set("3", "50%以上");
            $page.find("#exprofit").html(exprofitText.get(data[0].exprofit));
            /* //赋值
            $.each(["inverstVariet","inverstTerm","exprofit"],function(index,iDomOther){
//            	if(data[0][iDomOther]) {
                    $page.find("#"+iDomOther).html(iDomOther.get(data[0][iDomOther]));
//                }
            });*/
            ////遮罩层去掉
            //存量客户
            if ($.getSStorageInfo("customerType") === "2") {
                $page.find("#message_call").hide();
            } else {
                //                jQueryMap.content.diffShowHide.hide();
                $page.find("#message_call").show();
            }
            myUtils.hideLayer($page);
        })
    }

    /**
     * 填充客户标签
     */
    function showTag() {
        service.customerTag({
            "staffId": model.dataStore.staffId,
            "actionType": "0",
            "custId": custId
        }, function(result) {
            if (result.hasTagsList.length > 0) {
                var htmlStr = "";
                for (var i = 0; i < result.hasTagsList.length; i++) {
                    htmlStr += "<li class='tagDelBtn' data-tagType='" + result.hasTagsList[i].tagType + "' data-tagId='" + result.hasTagsList[i].tagId + "'><span>" + result.hasTagsList[i].tagName + "</span><em></em></li>";
                }
                if (result.hasTagsList.length > 6) {
                    jQueryMap.content.tagMore.show();
                } else {
                    jQueryMap.content.tagMore.hide();
                    jQueryMap.content.tagBox.removeClass("body_content");
                }
                jQueryMap.content.tagBox.html(htmlStr).show();
                jQueryMap.content.addTage.hide();
                $.each($page.find(".tagDelBtn"), function() {
                    var $this = $(this);
                    myUtils.bindLongTouchEvent($this, function() {
                        if ($this.hasClass("icon_del")) {
                            $this.removeClass("icon_del");
                        } else {
                            $this.addClass("icon_del");
                        }
                    });
                });
            } else {
                jQueryMap.content.tagBox.html("").hide();
                jQueryMap.content.addTage.show();
                jQueryMap.content.tagMore.hide();
            }
        });
    }

    function showSubjectList() {
        service.queryChartInfo({
            "staffId": model.dataStore.staffId,
            "custId": custId
        }, function(data) {
            //填充客户购买主题信息
            //fillSubjectInfo(data);
            //填充资产和佣金的信息
            fillCustomerAsset(data);
            //花客户的资产走势图

        });
    }

    function showCoinAsset(custNo) {
        service.queryCoinInfo({
            "custid": custNo
        }, function(data) {
            //填充客户佣金币信息
            jQueryMap.content.coinbal.html(data[0].coinbal);
            jQueryMap.content.coinUnactive.html(data[0].coinunactive);
            jQueryMap.content.coinUsed.html(data[0].coinused);
            jQueryMap.content.coinbalExpire.html(data[0].coinbaltoexpire);
            jQueryMap.content.coinExpire.html(data[0].coinbalexpired);
        });
    }
    /**
     * 填充资产和佣金的信息
     */
    function fillCustomerAsset(results) {
        //填充资产佣金数据
        var contact = [{ "id": "monthTotalAssets", "text": "现有净资产(元)", "wtext": "现有净资产(万元)" },
            { "id": "monthTradeAmount", "text": "本月交易金额(元)", "wtext": "本月交易金额(万元)" },
            { "id": "monthCommission", "text": "本月净佣金(元)", "wtext": "本月净佣金(万元)" },
            { "id": "yearCommission", "text": "本年净佣金(元)", "wtext": "本年净佣金(万元)" },
            { "id": "allCommission", "text": "累积总净佣金(元)", "wtext": "累积总净佣金(万元)" }
        ];
        $.each(contact, function(index, iDom) {
            var num = myUtils.changeMoney(parseFloat(results.assets[0][iDom.id])).num;
            var state = myUtils.changeMoney(parseFloat(results.assets[0][iDom.id])).state;
            jQueryMap.content[iDom.id].html(num);
            state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
        });
        //走势图数据
        dateStrArray = [];
        totalAssetArray = [];
        tradingAmountArray = [];
        if (results.assetsList.length > 0) {
            jQueryMap.content.totalAssetChart.html("");
            var maxTotal = 0;
            var maxTradingAmount = 0;
            for (var i = 0, len = results.assetsList.length; i < len; i++) {
                maxTotal = parseFloat(results.assetsList[i].totalAssets) > maxTotal ? parseFloat(results.assetsList[i].totalAssets) : maxTotal;
                maxTradingAmount = parseFloat(results.assetsList[i].tradeAmount) > maxTradingAmount ? parseFloat(results.assetsList[i].tradeAmount) : maxTradingAmount;
            }
            stateTotal = myUtils.changeMoney(parseFloat(maxTotal)).state;
            stateTradingAmount = myUtils.changeMoney(parseFloat(maxTradingAmount)).state;
            for (var i = 0, len = results.assetsList.length; i < len; i++) {
                dateStrArray[i] = results.assetsList[i].dateTime.substr(5, 10);; //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
                if (stateTotal) {
                    totalAssetArray[i] = parseFloat(results.assetsList[i].totalAssets) / 10000;
                } else {
                    totalAssetArray[i] = parseInt(results.assetsList[i].totalAssets); //净资产
                }
                if (stateTradingAmount) {
                    tradingAmountArray[i] = parseFloat(results.assetsList[i].tradeAmount) / 10000;
                } else {
                    tradingAmountArray[i] = parseInt(results.assetsList[i].tradeAmount); //净资产
                }
                //                totalAssetArray[i] = (parseFloat(results.assetsList[i].totalAssets)/10000);
                //                tradingAmountArray[i] = (parseFloat(results.assetsList[i].tradeAmount)/10000);
            }
            totalAssetChart(jQueryMap.content.totalAssetChart[0], dateStrArray, totalAssetArray, "0", (stateTotal ? "万元" : "元"));
            totalAssetChart(jQueryMap.content.totalAradeChart[0], dateStrArray, tradingAmountArray, "1", (stateTradingAmount ? "万元" : "元"));
        } else {
            jQueryMap.content.totalAssetChart.html("暂无数据");
            jQueryMap.content.totalAssetChart.css({ "text-align": "center", "line-height": "160px" });
            jQueryMap.content.totalAradeChart.html("暂无数据");
            jQueryMap.content.totalAradeChart.css({ "text-align": "center", "line-height": "160px" });
        }

    }

    //净资产绘图
    function totalAssetChart(chartWrapDom, x, y, state, wState) {
        $(_pageId + "#totalAssetChart").css("width", width);
        $(_pageId + "#totalAradeChart").css("width", width);
        var myChart = echarts.init(chartWrapDom);
        option = {
            //提示框
            tooltip: {
                trigger: 'axis',
                padding: 5,
                formatter: function(params) {
                    var res = params[0].name + "<br/>" + (state == 0 ? '净资产:' : '交易额:') + (wState == "万元" ? (Math.abs(params[0].data) > 1 ? params[0].data.toFixed(2) + "万元" : (params[0].data * 10000) + "元") :
                        (wState == "元" ? params[0].data + "元" : params[0].data + "人"));
                    //       		              var res = params[0].name + "<br/>"+ (state==0 ? '净资产:' :'交易额:') +(params[0].data > 1 ? params[0].data.toFixed(2)+"万元" :((params[0].data*10000).toFixed(2))+"元");
                    return res;
                }
            },
            //图例
            legend: {
                orient: 'horizontal', // 'vertical'
                y: 'bottom', // 'center' | 'bottom' | {number}
                selectedMode: false,
                data: state == 0 ? ['净资产30天走势'] : ['交易金额30天走势'],
            },
            //工具箱
            toolbox: {
                show: true,
                orient: 'horizontal',
                x: 'right', // 水平安放位置，默认为全图右对齐，可选为：						                    
                y: 'top',
                feature: {
                    mark: { show: true },
                    dataZoom: { show: true },
                    dataView: { show: true },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            grid: {
                x: 50,
                y: 30,
                x2: 40,
                y2: 40
            },
            xAxis: [{
                type: 'category',
                boundaryGap: true,
                axisTick: { onGap: false },
                splitLine: { show: false },
                data: x,
            }],
            yAxis: [{
                type: 'value',
                name: (state == 0 ? '净资产' : '交易额') + "(" + wState + ")",
                scale: true,
                splitNumber: 2
            }],
            series: [{
                name: state == 0 ? '净资产30天走势' : '交易金额30天走势',
                type: 'line',
                data: y,
                fontSize: '10px'
            }, ]
        };
        myChart.setOption(option);
    }

    /**
     * 填充客户购买主题信息
     */
    function fillSubjectInfo(data) {
        var bkhkHtml = "";
        var zzqyHtml = "";
        var yxhdHtml = "";
        var countData = "0";
        /*if(data.bkhkList.length>0){
            for(var i=0; i<data.bkhkList.length; i++){
                bkhkHtml += "<li data-subjectId='" + data.bkhkList[i].subject_id + "'>" + data.bkhkList[i].subject_name + "</li>";//<span>已申购3,0000</span
            }
            countData++;
            $page.find("#bkhkList").parent().show();
            $page.find("#bkhkList").html(bkhkHtml);
        }else{
            $page.find("#bkhkList").parent().hide();
        }
        if(data.zzqyList.length>0){
            for(var i=0; i<data.zzqyList.length; i++){
            	var subject_id = data.zzqyList[i].subject_id;
            	var subject_name = data.zzqyList[i].subject_name;
            	var textWords = showTextWords(data.zzqyList[i].created_date);
                zzqyHtml += "<li><span class='sign_status'>签</span><div class='text'><h4><strong>" +
                		"首席策略</strong>大盘无量反弹，周四或将延续反弹</h4><p><span>09-26 10:18</span><span>微信朋友圈</span></p></div></li>";
            }
            countData++;
            $page.find("#zzqyList").parent().show();
            $page.find("#zzqyList").html(zzqyHtml);
        }else{
            $page.find("#zzqyList").parent().hide();
        }
        if(data.yxhdList.length>0){
            for(var i=0; i<data.yxhdList.length; i++){
            	yxhdHtml += "<li data-subjectId='" + data.yxhdList[i].subject_id + "'>" + data.yxhdList[i].subject_name + "</li>";
            }
            countData++;
            $page.find("#yxhdList").parent().show();
            $page.find("#yxhdList").html(yxhdHtml);
        }else{
            $page.find("#yxhdList").parent().hide();
        }*/
        if (countData == "0") {
            $page.find("#showHideSub").hide();
            $page.find("#showHideTip").show();
            $page.find("#toggleMore").hide();
        } else {
            $page.find("#showHideSub").show();
            $page.find("#showHideTip").hide();
            $page.find("#toggleMore").show();
        }
    }

    //根据日期处理文字信息
    function showTextWords(time) {
        var myDate = new Date();
        var year = myDate.getFullYear();
        var month = myDate.getMonth();
        var date = myDate.getDate();
        var day = new Date(time.substring(0, 10)).getDay();
        month = month + 1;
        if (month < 10) month = "0" + month;
        if (date < 10) date = "0" + date;
        var arr_week = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
        if (time.substring(0, 10) == year + '-' + month + '-' + date) {
            return time.substring(11, 16);
        }
        if (time.substring(0, 10) == year + '-' + month + '-' + (date - 1)) {
            return "昨天";
        }
        if (year + month + (date - 6) <= time.substring(0, 10).replaceAll('-', '') && time.substring(0, 10).replaceAll('-', '') <= year + month + (date - 2)) {
            return arr_week[day];
        }
        if (year + month + (date - 6) > time.substring(0, 10).replaceAll('-', '')) {
            return time.substring(5, 10);
        }
    }
    // 获取客户电话列表
    function getPhoneNumList(custNo, custId, custName) {
        jQueryMap.layerArea.emplopyeeNum.text("您当前的登录号码：" + $.getSStorageInfo("mobileNo"));
        service.queryCustPhone({
            "custNo": custNo
        }, function(data) {
            jQueryMap.layerArea.selectItems.html("");
            if(data.length > 0) {
                var htmlStr = "";
                var selectNo = 1;
                for(var i = 0; i < data.length; i++) {
                    htmlStr += '<div class="select_item"><div>';
                    if(data[i].lxfsmz) {
                        htmlStr += '<p class="phone_name">'+ data[i].lxfsmz +'：</p>';
                    }
                    htmlStr += '<p class="phone_num" data-phone-num="'+ data[i].lxhm +'">' + data[i].lxhm.replace(/(\d{7})[\d\D]*/, "$1****") + '</p></div><div><a class="checkbox"></a></div></div>';
                    if(data[i].select=="true") {
                        selectNo = i + 1;
                    }
                }
                jQueryMap.layerArea.selectItems.html(htmlStr);
                jQueryMap.layerArea.selectItems.find(".select_item:nth-child("+selectNo+")").click();
                jQueryMap.layerArea.noPhone.hide();
                jQueryMap.layerArea.selectItems.show();
            } else {
                jQueryMap.layerArea.selectItems.html("");
                jQueryMap.layerArea.selectItems.hide();
                jQueryMap.layerArea.noPhone.show();
                jQueryMap.layerArea.inputCheck.click();
            }
            jQueryMap.layerArea.selectBox.attr("data-custId", custId);
            jQueryMap.layerArea.selectBox.attr("data-custName", custName);
            // 电话请求成功弹出打电话
            $page.find(".choiceshow").show();
        });
    }

    function destroy() {
        myUtils.showLayer($page);
        onCall = false;
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        service.destroy();
    }

    function Map() {
        this.elements = new Array();
        //向MAP中增加元素（key, value)
        this.set = function(_key, _value) {
            this.elements.push({
                key: _key,
                value: _value
            });
        };
        //获取指定KEY的元素值VALUE，失败返回NULL
        this.get = function(_key) {
            try {
                for (i = 0; i < this.elements.length; i++) {
                    if (this.elements[i].key == _key) {
                        return this.elements[i].value;
                    }
                }
            } catch (e) {
                return null;
            }
        };
    }

    //删除客户的标签
    function deleteCustomerTag(tagId, tagType) {
        var param = {
            "staffId": model.dataStore.staffId,
            "custId": custId,
            "actionType": "2", //操作类型 0查询，1添加，2删除 Y
            "tagType": tagType, //标签类型  0公司 1营业部 2自定义
            "tagId": tagId,
            "dataKind": "0" //页面  0客户详情页面 1标签页面
        };
        service.fillCustomerTag(param, function(result) {});
    }

    // 重置页面元素
    function cleanPageElement() {
        followParam = "";
        $page.find("#yxhdList").parent().hide();
        $page.find("#zzqyList").parent().hide();
        $page.find("#bkhkList").parent().hide();
        jQueryMap.content.assetTab.show().siblings("div").hide();
        jQueryMap.content.changeTab.addClass("current").siblings().removeClass("current");
        jQueryMap.content.diffShowHide.hide();
        $("#customer_detail_customerDetail article")[0].scrollTop = 0;
        jQueryMap.content.tagBox.html("");
        jQueryMap.content.change.removeClass("openall").addClass("body_content");
        jQueryMap.content.viewAll.removeClass("but_up").addClass("but_show");
        jQueryMap.content.viewAll.find("em").text("展开");
        jQueryMap.content.mainInfo.parent().addClass("current").siblings().removeClass("current");
        jQueryMap.content.mainInfoTab.show();
        jQueryMap.content.authorizationTab.hide();
        jQueryMap.content.subjectTab.hide();
        $.each(["name", "mobile", "wechat", "email", "qq"], function(index, domKey) {
            jQueryMap.content[domKey].html("");
        });
        jQueryMap.content.messageCall.removeAttr("data-cust_name");
        jQueryMap.content.mobileCall.removeAttr("data-cust_name");
        jQueryMap.content.messageCall.removeAttr("data-custId");
        jQueryMap.content.mobileCall.removeAttr("data-custId");
        jQueryMap.content.messageCall.removeAttr("data-custNo");
        jQueryMap.content.mobileCall.removeAttr("data-custNo");
        jQueryMap.header.menuBox.addClass("hide").removeClass("show");
        jQueryMap.header.hideModal.addClass("hide").removeClass("show");
        jQueryMap.header.showEditBtn.hide();
        jQueryMap.header.editBtnTxt.hide();
        jQueryMap.layerArea.selectItems.hide();
        jQueryMap.layerArea.noPhone.hide();
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        jQueryMap.layerArea.selectItems.html("");
        jQueryMap.layerArea.inputNum.val("");
        jQueryMap.layerArea.emplopyeeNum.text("");
        jQueryMap.layerArea.inputNum.attr("disabled", true);
        jQueryMap.layerArea.inputCheck.removeClass("checked");
        jQueryMap.layerArea.selectBox.removeClass("disabled");
        jQueryMap.layerArea.selectBox.removeAttr("data-custId");
        jQueryMap.layerArea.selectBox.removeAttr("data-custName");
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});