define("financial/scripts/customer/detail/customerFollow.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    require("audioPlayer");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_customerFollow");

    var followType = "1";

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
            followType = "1";
        });

        // 新增跟进
        $.bindEvent(jQueryMap.header.addFollow, function() {
            $.pageInit("customer/detail/customerFollow", "customer/detail/addFollow");
        });

        // 标签类型切换
        $.preBindEvent(jQueryMap.content.followType, "li a", function() {
            followType = followType == "1" ? "2" : "1";
            $(this).parent().addClass("current").siblings().removeClass("current");
            //$page.find("#"+$(this).attr("id")+"Tab").show().siblings("ul").hide();

        });

        // 播放、暂停
        $.preBindEvent(jQueryMap.content.historyTab, ".audioplayer-playpause", function(e) {
            var $this = $(this);
            var followId = $this.parents(".voice_box").attr("data-id");
            var playings = jQueryMap.content.historyTab.find(".audioplayer-playpause[title='Pause']");
            playings.each(function() {
                var curFollowId = $(this).parents(".voice_box").attr("data-id");
                if (curFollowId != followId) {
                    $(this).siblings("audio")[0].pause();
                }
            });
            $this.parents(".voice_box").find(".audioplayer-bar").show();
            $this.parents(".voice_box").find(".audioplayer-time-current").show();
            $this.parents(".voice_box").find("em").hide();
            e.preventDefault();
        });

        // 切换到进行中
        $.bindEvent(jQueryMap.header.inProcessBtn, function() {
            queryFollowing();
            jQueryMap.header.inProcessBtn.addClass("current").siblings().removeClass("current");
            jQueryMap.content.historyTab.hide();
            jQueryMap.content.historyTab.html("");
        });

        // 切换到已完成
        $.bindEvent(jQueryMap.header.completedBtn, function() {
            queryFollowed();
            jQueryMap.header.completedBtn.addClass("current").siblings().removeClass("current");
            jQueryMap.content.planTab.hide();
            jQueryMap.content.planTab.html("");
        });

        //编辑服务录入
        $.preBindEvent(jQueryMap.content.historyTab, ".edit", function() {
            var dealDate = $(this).attr("data-dealDate"),
                serviceCon = $(this).parent().find(".follow_content").text(),
                followId = $(this).attr("data-followId"),
                followType = $(this).attr("data-followType"),
                operType = $(this).attr("data-operType"),
                callType = $(this).attr("data-callType"),
                callInfo = $(this).attr("data-callInfo");
            var param = {
                "staffId": model.dataStore.staffId,
                "custId": $.getSStorageInfo("custId"),
                "followType": followType,
                "actionType": '1',
                "oper_type": operType,
                "followContent": serviceCon,
                "followDate": dealDate,
                "warnMin": "",
                "cc_call_type": callType,
                "call_info": callInfo,
                "follow_id": followId
            };
            $.pageInit("customer/detail/customerFollow", "customer/detail/custServiceInput", { "followParam": param });
        });
    }



    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "addFollow": $page.find("#addFollow"),
                "inProcessBtn": $page.find("#in_process_btn"),
                "completedBtn": $page.find("#completed_btn")
            },
            "content": {
                "followType": $page.find(".tab_nav01"),
                "followTab": $page.find(".step_box"),
                "plan": $page.find("#plan"),
                "planTab": $page.find("#planTab"),
                "historyTab": $page.find("#historyTab"),

                "noData": $page.find("#noData")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        //查询计划跟进和历史跟进
        if(followType == "1") {
            jQueryMap.content.plan.parent().addClass("current").siblings().removeClass("current");
            queryFollowing();
            //遮罩层去掉
            myUtils.hideLayer($page);
        } else if(followType == "2") {
            jQueryMap.content.plan.parent().removeClass("current").siblings().addClass("current");
            queryFollowed();
            //遮罩层去掉
            myUtils.hideLayer($page);
        }
    }


    function destroy() {
        myUtils.showLayer($page);
        cleanPageElement();
        service.destroy();
    }

    function queryFollowing() {
        service.queryFollowInfo({
            "staffId": model.dataStore.staffId,
            "custId": $.getSStorageInfo("custId"),
            "actionType": "0",
            "followType": "1"
        }, function(result) {
            if (result.length > 0) {
                jQueryMap.content.noData.hide();
                jQueryMap.content.planTab.show();
                fillCustFollow(result, jQueryMap.content.planTab, "1");
            } else {
                jQueryMap.content.noData.show();
                jQueryMap.content.planTab.hide();
            }
        });
    }

    function queryFollowed() {
        var param = {},
            htmlStr = '';
        service.getCCCallType(param, function(data) {
            var callTypeMap = {};
            data.forEach(function(item) {
                callTypeMap[item.id] = item.type_name;
            });
            var callInfoMap = {
                '1': '空号',
                '2': '错号',
                '3': '挂断',
                '4': '忙线',
                '5': '正常'
            };
            service.queryFollowInfo({
                "staffId": model.dataStore.staffId,
                "custId": $.getSStorageInfo("custId"),
                "actionType": "0",
                "followType": "2"
            }, function(result) {
                if (result.length > 0) {
                    jQueryMap.content.noData.hide();
                    jQueryMap.content.historyTab.show();
                    fillCustFollow(result, jQueryMap.content.historyTab, "2", callTypeMap, callInfoMap);
                } else {
                    jQueryMap.content.historyTab.hide();
                    jQueryMap.content.noData.show();
                }
            });
        });
    }

    //将跟进显示
    function fillCustFollow(result, tab, followType, callTypeMap, callInfoMap) {
        var htmlStr = "",
            callFilePath = "";
        for (var i = 0; i < result.length; i++) {
            if (followType === "2") {
                var editClass = result[i].editFlag == "1" ? "edit" : "";
                var cTypeHtmlStr = '';
                var callTypes = (result[i].cc_call_type || '').split(',');
                callTypes.forEach(function(item) {
                    if (item) {
                        cTypeHtmlStr += '<span>' + callTypeMap[item] + '</span>';
                    }
                });
                var cInfoHtmlStr = result[i].call_info ? '(' + callInfoMap[result[i].call_info] + ')' : '';
                htmlStr += '<li><p>' + result[i].followDate + '<span>' + result[i].name + '</span></p>' +
                    '<h4><span style="color: #d80c1e">' + cInfoHtmlStr + '</span><span class="follow_content">' + result[i].followContent + '</span><a data-dealDate="' + result[i].followDate + '" data-followId="' + result[i].followId +
                    '" data-followType="' + result[i].followType + '" data-operType="' + result[i].operType + '" data-callInfo="' + result[i].call_info + '" data-callType="' + result[i].cc_call_type +
                    '" href="javascript:void(0);" class="' + editClass + '"></a></h4>';
                if (result[i].callFilePath && result[i].operType == "2") {
                    callFilePath = global.serverAddr + result[i].callFilePath;
                    htmlStr += '<div class="voice_box" data-id="' + result[i].followId + '"><em>点击播放录音文件</em><audio controls preload="meta" id="paly_go">' +
                        '<source src="' + callFilePath + '" />' +
                        '<p>Your browser does not support the audio element.</p></audio></div>';
                }
                htmlStr += '<div class="tit_box">' + cTypeHtmlStr + '</div></li>';
            } else {
                htmlStr += '<li><p>' + result[i].followDate + '<span>' + result[i].name + '</span></p>' +
                    '<h4>' + result[i].followContent + '</h4></li>';
            }

        }
        tab.html(htmlStr);
        if (followType === "2") {
            $('audio').audioPlayer();
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.historyTab.hide();
        jQueryMap.content.planTab.hide();
        jQueryMap.content.noData.hide();
        jQueryMap.content.planTab.html("");
        jQueryMap.content.historyTab.html("");
        jQueryMap.content.plan.parent().addClass("current").siblings().removeClass("current");
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});