define("financial/scripts/customer/detail/customerLocus.js", function(require, exports, module) {
  // 私有业务模块的全局变量
  var service = require("investService");
  var myUtils = window.privateSpaceMKT.myUtils;
  var model = window.privateSpaceMKT.model;
  var global = $.config.global;
  require("audioPlayer");
  // 模块内的其它全局变量
  var jQueryMap;
  var onCall = false;
  var $page = $("#mot_customerLocus");

  var page = 1;
  var totalPages;
  var scrollJudge = true; //判断是否到底可以滑动?

  // 初始化jQueryMap对象
  // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
  initJQueryMap();

  function init() {

  }

  function load() {
      initPage();
  }

  function bindPageEvent() {
    // 返回键
    $.bindEvent(jQueryMap.header.mktGoBack, function() {
        $.pageBack();
    });
    // 播放、暂停
    $.preBindEvent(jQueryMap.content.logList, ".audioplayer-playpause", function(e) {
        var $this = $(this);
        var followId = $this.parents(".voice_box").attr("data-id");
        var playings = jQueryMap.content.logList.find(".audioplayer-playpause[title='Pause']");
        playings.each(function(){
            var curFollowId = $(this).parents(".voice_box").attr("data-id");
            if( curFollowId != followId){
                $(this).siblings("audio")[0].pause();
            }
        });
        $this.parents(".voice_box").find(".audioplayer-bar").show();
        $this.parents(".voice_box").find(".audioplayer-time-current").show();
        $this.parents(".voice_box").find("em").hide();
        e.preventDefault();
    });

    //点击查看
    $.preBindEvent(jQueryMap.content.logList, ".show_more", function() {
        var $this = $(this);
        $this.parent().addClass("input_all_content").removeClass("input_content");
        $this.addClass("hide_more").removeClass("show_more");
        $this.text("点击收起");
    });
    //点击收起
    $.preBindEvent(jQueryMap.content.logList, ".hide_more", function() {
        var $this = $(this);
        $this.parent().addClass("input_content").removeClass("input_all_content");
        $this.addClass("show_more").removeClass("hide_more");
        $this.text("点击查看");
    });
    //滚动加载更多
    $.bindEvent($page.find(".page_box"), function() {
        if (scrollJudge) {
          var viewH = $(this).height(); //可见高度
          var contentH = $(this).get(0).scrollHeight; //内容高度
          var scrollTop = $(this).scrollTop(); //滚动高度
          if (scrollTop / (contentH - viewH) >= 0.99) { //到达底部时,加载新内容
            if (page >= totalPages) return;
            jQueryMap.content.loadIcon.show();
            scrollJudge = false;
            setTimeout(function() {
              page++;
              showTaskDetail();
            }, 600);
          }
        }
      }, "scroll");
  }

  function destroy() {
      myUtils.showLayer($page);
      // 重置页面元素
      cleanPageElement();
      service.destroy();
  }

  // 初始化jQueryMap对象
  function initJQueryMap() {
      // 缓存常用jQuery对象
      jQueryMap = {
          "header": {
              "mktGoBack": $page.find("#mktGoBack")
          },
          "content": {
              "stepBox": $page.find("#stepBox"),
              "logList": $page.find("#logList"),
              "noData": $page.find("#noData"),
              //上拉加载更多
              "loadIcon": $page.find(".infinite-scroll-preloader"),
              "emptyData": $page.find("#emptyData")
          }
      };
  }

  function initPage() {
      myUtils.hideBtn();
      myUtils.showLayer($page);
      // 重置页面元素
      cleanPageElement();

      showTaskDetail();
  }

  //服务记录显示到页面中
  function showTaskDetail() {
      if (page == 1) {
        myUtils.showLayer($page);
      }
    var param = {
        custNo: $.getPageParam("custNo"),
        pageIndex: page,
        pageSize: 20
      };
      service.queryCustServicelog(param, function(data) {
        totalPages = data[0].totalPages;
        if (page == totalPages && page != 1) {
          jQueryMap.content.emptyData.show();
        } else {
            jQueryMap.content.emptyData.hide();
        }
        if(data[0].data.length > 0) {
          jQueryMap.content.noData.hide();
          jQueryMap.content.logList.show();
          operateData(data[0].data);
        } else {
          jQueryMap.content.logList.hide();
          jQueryMap.content.noData.show();
        }
        myUtils.hideLayer($page);
        if(page == 1) {
            $page.find(".page_box").scrollTop(0);
        }
        var eles = jQueryMap.content.logList.find('.main_content');
        for(var i = 0; i < eles.length; i++) {
          if($(eles[i])[0].scrollWidth > $(eles[i])[0].clientWidth) {
            $(eles[i]).siblings(".show_more").show();
          }
        }
      });
  }
  function operateData(data) {
    var htmlStr = '';
    var dealTypeMap = {
        'A': '分配',
        'B': '过期',
        'C': '申请失效',
        '0': '移动外呼',
        '1': '打电话',
        '2': '发短信',
        '3': '面谈',
        '4': '微信',
        '5': '其他'
    };
    for (var i = 0; i < data.length; i++) {
    // console.log(data[i])
    var dealDate = data[i].create_time;
    var dealType = dealTypeMap[data[i].service_type];
    if (data[i].create_time != undefined && data[i].create_time.length == 16)
        dealDate = data[i].create_time.substring(5, 16);
    var callFilePath = "";
    htmlStr += '<li><div class="text"><span class="time" data-dealdate="'+ data[i].create_time +'">' + 
                '</span><h4 data-callinfo="' + data[i].call_info + '" data-dealtype="' + data[i].service_type + '" data-taskdealid="' + data[i].sys_id + '">'+ dealDate +'</h4>' + 
                '<div class="all_content_show">'
    if(data[i].call_file_path) {
        callFilePath = global.serverAddr + data[i].call_file_path;
        htmlStr += '<div class="voice_box" data-id="'+ data[i].sys_id +'"><em>点击播放录音文件</em><audio controls preload="metadata" id="paly_go">' +
            '<source src="' + callFilePath + '" />' +
            '<p>Your browser does not support the audio element.</p></audio></div>';
    }
    htmlStr += '<div class="detail"><p>服务方式：'+ dealType +'</p><p>服务人员：'+ data[i].emp_name +'</p><p>服务事件：'+ data[i].service_name +'</p>' +
                '<p class="input_content"><span class="main_content">录入内容：'+ data[i].service_content +'</span><span style="display:none" class="show_more">点击查看</span></p>'
                '</div></div></div></li>';
    }
    scrollJudge = true;
    jQueryMap.content.loadIcon.hide();
    jQueryMap.content.logList.append(htmlStr);
    $('audio').audioPlayer();
  }

  // 重置页面元素
  function cleanPageElement() {
    page = 1;
    jQueryMap.content.logList.html("");
  }


  module.exports = {
      "init": init,
      "bindPageEvent": bindPageEvent,
      "destroy": destroy,
      "load": load
  };
});