define("financial/scripts/customer/detail/editCustomer.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_editCustomer");
    var isFlag = true;
    var custId;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	initPage();
    }
    function load() {
        loadPage();
    }

    function bindPageEvent() {
        
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {

            cleanPageElement();
            $.pageBack();
        });
        
        //删除
        $.bindEvent(jQueryMap.header.del, function () {
            jQueryMap.layerArea.tipArea.show();
        });

        // 确认删除客户
        $.bindEvent(jQueryMap.layerArea.confirm, function() {
            jQueryMap.layerArea.tipArea.fadeOut("fast");
            deleteCustomer();
        });

        //取消删除按钮
        $.bindEvent(jQueryMap.layerArea.delete1, function() {
            jQueryMap.layerArea.tipArea.fadeOut("fast");
        });

        // 当文本框输入文字时，清空图标出现
        $.preBindEvent(jQueryMap.content.conChannel, "div.fm_item", function() {
            var len = $(this).find("input").val().length;
            if (len === 0) {
                $(this).find(".cleartxt").hide();
            } else {
                $(this).find(".cleartxt").show();
            }
        }, "input");

        // 清空搜索框
        $.preBindEvent(jQueryMap.content.conChannel, "a.cleartxt", function() {
            $(this).siblings("input").val("");
            $(this).hide();
        });

        //隐藏整行
        $.preBindEvent(jQueryMap.content.conChannel, "a.del_btn", function() {
            $(this).siblings("input").val("");
            $(this).parent().parent().remove();
        });

        //提交
        $.bindEvent(jQueryMap.content.submit, function () {
            isFlag = true;
            var num=0;
            var name = jQueryMap.content.name.val().trim();
            var phoneInp = jQueryMap.content.phoneInp.val().trim();
            var wechatInp= $("input[data-type='wechat']").val();         	
        	var mallboxInp=$("input[data-type='email']").val();    
        	var qqInp=$("input[data-type='qq']").val();
            if (!name) {
                $.toast("请输入姓名！");
                isFlag = false;
                return false;
            }          
            var param = {
                "staffId"    : model.dataStore.staffId,
                "actionType" : "1",
                "custId"     : custId,
                "name"       : name,
                "mobile"     : "",
                "wechat"     : "",
                "email"     : "",
                "qq"     : ""
            };  
            if (phoneInp) {
                if (!validatorUtils.isMobile(phoneInp)) {
                    $.toast("请输入正确的电话号码");
                    isFlag = false;
                    return false;
                }
                param.mobile=phoneInp;
                num++;
            }
            if(wechatInp){
                var str = /^[^\u4e00-\u9fa5]{6,20}/;
                if (!str.test(wechatInp)) {
                    $.toast("请输入正确的微信号！");
                    isFlag = false;
                    return false;
                }
                param.wechat=wechatInp;
                num++;
            }
            if(mallboxInp){
                if (!validatorUtils.isEmail(mallboxInp)) {
                    $.toast("请输入有效的邮箱");
                    isFlag = false;
                    return false;
                }
                param.email=mallboxInp;
                num++;
            }
            if(qqInp){
                if(!validatorUtils.isQq(qqInp)){
                    $.toast("请输入正确的qq号码！");
                    isFlag = false;
                    return false;
                }
                param.qq=qqInp;
                num++;
            }               
            
//            $.each(allChannel,function(index,dom){
//                if( $(this).val() != "" ){
//                    if( $(this).attr("data-type")=="mobile" ){
//                        var reg = new RegExp("-", "g");
//                        var mobile =  $(this).val().replace(reg,"");
//                        //电话号码包括手机号码和固定电话
//                        var str = /^\d{8,16}$/;
//                        if (!(str.test(mobile))) {
//                            $.toast("请输入正确的电话号码");
//                            isFlag = false;
//                            return false;
//                        }
//                    }
//                    if( $(this).attr("data-type") == "wechat" ){
//                        //微信号只要不是中文都可以匹配到
//                        var str =  /.*[\u4e00-\u9fa5].*/;
//                        if ( str.test( $(this).val() ) || $(this).val().length<6 ) {
//                            $.toast("请输入正确的微信号！");
//                            isFlag = false;
//                            return false;
//                        }
//                    }
//                    if( $(this).attr("data-type") == "email" ){
//                        if ( !validatorUtils.isEmail($(this).val()) ) {
//                            $.toast("请输入有效的邮箱");
//                            isFlag = false;
//                            return false;
//                        }
//                    }
//
//                    if( $(this).attr("data-type") == "qq" ){
//                        //qq
//                        if (!validatorUtils.isQq($(this).val())) {
//                            $.toast("请输入正确的qq号码！");
//                            isFlag = false;
//                            return false;
//                        }
//                    }
//
//                    num++;
//                    param[$(this).attr("data-type")]=$(this).val();
//                }
//
//
//            });

            if(num == 0 && isFlag){
                isFlag = false;
                $.toast("联系方式至少填写一个！");
            }
            if(isFlag){
                service.queryCustomerDetail(param, function(result) {
                    var exitDevCustomer = model.dataStore.custom.devCustomer;
                    var exitAllCustomer = model.dataStore.custom.allCustomer;
                    var exitMyCustomer = model.dataStore.custom.myCustomer;
                    $.each([exitDevCustomer,exitAllCustomer,exitMyCustomer],function(index,iDom){
                        if(iDom && iDom != ""){
                            for(var i=0;i<iDom.length;i++){
                                if(iDom[i].custId == result[0].custId) {
                                    iDom.splice(i,1);
                                    iDom.push(result[0]);
                                    //iDom[i][name] = result[0].name;
                                    //iDom[i][mobile] = result[0].mobile;
                                }
                            }
                        }
                    });
                    cleanPageElement();
                    $.toast("客户信息修改成功！");
                    $.pageBack();
                });
            }
        });
        
        //添加其他联系方式
        $.bindEvent(jQueryMap.content.addItem.parent(), function () {
        	var wechat= $("input[data-type='wechat']").val();         	
        	var email=$("input[data-type='email']").val();    
        	var qq=$("input[data-type='qq']").val();
        	$.pageInit("customer/detail/editCustomer","customer/detail/customerContact",{"email":email,"qq":qq,"wechat":wechat});
        });
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "del"  : $page.find("#del")
            },
            "content": {
            	"name"        : $page.find("#name"),
                "mobile"      : $page.find("#mobile"),
                "phoneInp"      : $page.find("#phoneInp"),
            	"submit"      : $page.find("#submit"),
            	"addItem"     : $page.find(".add_item"),
            	"custName"    : $page.find("#name"),
                "conChannel" : $page.find("#conChannel"),
                "delBtn"      : $page.find(".del_btn"),
                "toolBox"    : $page.find(".tool_box")
            },
            "layerArea" : {
                "tipArea" : $page.find("#delete_wrap"),
                "delete1"  : $page.find("#delete"),
                "confirm" : $page.find("#confirm")
            }
        };
    }
    
    function initPage(){
        myUtils.showLayer($page);
    	//如果是存量客户就屏蔽删除按钮
        $.getSStorageInfo("customerType") == "2" ? jQueryMap.header.del.hide() :jQueryMap.header.del.show();
        custId = $.getSStorageInfo("custId");   //获取客户id  删除用
        if($.getSStorageInfo("_prePageCode") == "customer/detail/customerDetail"){
        	//获取前一页面传来的数据
            var custName = $.getPageParam("custName");
        	var mobile = $.getPageParam("mobile");
        	var mailNumber = $.getPageParam("email");
        	var qqNumber = $.getPageParam("qq");
            var wechat = $.getPageParam("wechat");
            //填充数据
            jQueryMap.content.custName.val(custName);
        	jQueryMap.content.mobile.find("input").val(mobile);
        	var contact = [{"itemType":"email","itemName":"邮箱","itemValue":mailNumber},
        	               {"itemType":"qq","itemName":"QQ","itemValue":qqNumber},
                           {"itemType":"wechat","itemName":"微信","itemValue":wechat}];
        	var htmlStr="";
            for(var i=0;i<contact.length;i++){
                htmlStr += (contact[i].itemValue == "") ? "" :
                '<div class="fm_item"><span class="label">'+contact[i].itemName+'</span><input maxlength="32" placeholder="请输入您的'+contact[i].itemName+'" type="text" '
                + 'data-type="'+contact[i].itemType+'" value="'+contact[i].itemValue+'" /> '
                + '<div class="tool_box"><a href="javascript:void(0)" class="del_btn">删除</a></div>'
                + '<a href="javascript:void(0)" class="cleartxt"></a></div>';
            }
            jQueryMap.content.conChannel.append(htmlStr);
        }
        //显示在遮罩层
        myUtils.hideLayer($page);
    }
    function loadPage() {
    	//判断是否是从添加其他联系方式页面返回
    	if($.getSStorageInfo("_prePageCode") == "customer/detail/customerContact"){
    		var itemType = $.getSStorageInfo("contactType");
    		var itemName = $.getSStorageInfo("contactName");
    		if(itemType==null || $("input[data-type='"+itemType+"']").length!=0)
    			return;
    		var htmlStr = '<div class="fm_item"><span class="label">'+itemName+'</span><input maxlength="32" placeholder="请输入您的'+itemName+'" type="text" '
			   			+ 'data-type="'+itemType+'" value="" maxlength="20" />'
                        + '<div class="tool_box"><a href="javascript:void(0)" class="del_btn">删除</a></div>'
                        + '<a href="javascript:void(0)" class="cleartxt"></a></div>';
            jQueryMap.content.conChannel.append(htmlStr);

		}


    }
    //删除客户功能
    function deleteCustomer(){
        var exitDevCustomer = model.dataStore.custom.devCustomer;
        var exitAllCustomer = model.dataStore.custom.allCustomer;
        var exitMyCustomer = model.dataStore.custom.myCustomer;
        $.each([exitDevCustomer,exitAllCustomer,exitMyCustomer],function(index,iDom){
            if(iDom && iDom != ""){
                for(var i=0;i<iDom.length;i++){
                    if(iDom[i].custId == custId){
                        iDom.splice(i,1);
                    }
                }
            }
        });
        service.queryCustomerDetail({
           "staffId"     :  model.dataStore.staffId,         // 推广员ID
           "custId"      :  custId,          // 用户ID
           "actionType"  :  "2"      // 操作类型 ，0：查询，1：修改 2.删除
       },function(){
            $.toast("成功删除用户");
            cleanPageElement();
            $.pageBack("","",-2);
       })
    }
     //滑动出现删除按钮
    $(document).ready(function() {
        var startX = endX = countX = 0;
        var startY = endY = countY = 0;

        $(document).on('touchstart',"#customer_detail_editCustomer .fm_field>div.fm_item", function(e) {
            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                startX = touch.pageX;
                startY = touch.pageY;
                endX = touch.pageX;
                endY = touch.pageY;
            }
        });
        $(document).on('touchmove', "#customer_detail_editCustomer .fm_field>div.fm_item", function(e) {
            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                endX = touch.pageX;
                endY = touch.pageY;
            }
        });
        $(document).on('touchend', "#customer_detail_editCustomer .fm_field>div.fm_item", function(e) {
            if ($(this).find('span').html() == '电话') {
                return;
            }
            countX = endX - startX;
            countY = endY - startY;
            if (countX < -30 && Math.abs(countY)<10) {
                $(this).addClass('act');
            } else if (countX > 30) {
                $(this).removeClass('act');
            }
        });
    });

    // 重置页面元素
    function cleanPageElement() {
        //显示在遮罩层
        isFlag = true;
        jQueryMap.content.mobile.find("input").val("");
        jQueryMap.content.mobile.siblings().remove();
        $page.find("div.fm_item").find(".cleartxt").hide();
    }
    
    function destroy() {
        myUtils.showLayer($page);
    	$.clearSStorage("contactType");
    	$.clearSStorage("contactName"); 
        service.destroy();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
