define("financial/scripts/customer/detail/subjectSigned.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_subjectSigned");
    var _pageId ="#customer_detail_subjectSigned ";
    var page = 1;
    var pageSize = 1000;
    var dataHtml = "";
    var search = true;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
    	dataHtml = "";
        loadPage();
    }

    function bindPageEvent() {
        
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	cleanPageElement();
            $.pageBack();
        });
        
        //搜索事件
        $.bindEvent($page.find("#keyWord"), function () {
        	var len = $page.find("#keyWord").length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
            	if(search){
            		search = false;
            		$page.find("#dataContent").html('');
                	page=1;
                	dataHtml = "";
                	loadPage();
            	}
            }
        },"input");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack")
            },
            "content": {
                
            }
        };
    }
 
    function loadPage(){
    	var param = {
    			"staffId" : model.dataStore.staffId,
    			"custId" : $.getSStorageInfo("custId"),
    			"page":page,
    			"pageSize":pageSize,
    			"keyWord":$page.find("#keyWord").val()
    	}
    	
    	service.getCustSubjectSignedInfo(param,function(result){
    		myUtils.hideLayer1($page);
    		if(result[0].data.length > 0){
    			var flag = "";
    			for (var i = 0; i < result[0].data.length; i++) {
					var data = result[0].data[i];
					if(i == 0){
						flag = (data.createdDate).substring(0,7);
						dataHtml += "<h5 class='blk_tit'>" + (data.createdDate).substring(0,4) + "年" + Number((data.createdDate).substring(5,7)) + "月</h5>"
						dataHtml += "<div class='contra_list_box'><ul>";
						dataHtml += "<li status='" + data.status + "' subject-id='" + data.subjectId + "'><span class='sign_status'>签</span><div class='text'>";
						dataHtml += "<h4><strong style='margin-left:0rem'>" + data.productName + "</strong>" + data.subjectName + "</h4>";
						dataHtml += "<p><span>" + (data.createdDate).substring(5,16) + "</span><span>" + data.channelName + "</span></p></div></li>";
					}else{
						if((data.createdDate).substring(0,7) == flag){
							dataHtml += "<li status='" + data.status + "' subject-id='" + data.subjectId + "'><span class='sign_status'>签</span><div class='text'>";
							dataHtml += "<h4><strong style='margin-left:0rem'>" + data.productName + "</strong>" + data.subjectName + "</h4>";
							dataHtml += "<p><span>" + (data.createdDate).substring(5,16) + "</span><span>" + data.channelName + "</span></p></div></li>";
						}else{
							flag = (data.createdDate).substring(0,7);
							dataHtml += "</ul></div>";
							dataHtml += "<h5 class='blk_tit'>" + (data.createdDate).substring(0,4) + "年" + Number((data.createdDate).substring(5,7)) + "月</h5>"
							dataHtml += "<div class='contra_list_box'><ul>";
							dataHtml += "<li status='" + data.status + "' subject-id='" + data.subjectId + "'><span class='sign_status'>签</span><div class='text'>";
							dataHtml += "<h4><strong style='margin-left:0rem'>" + data.productName + "</strong>" + data.subjectName + "</h4>";
							dataHtml += "<p><span>" + (data.createdDate).substring(5,16) + "</span><span>" + data.channelName + "</span></p></div></li>";
						}
					}
				}
    			dataHtml += "</ul></div>";
    		}
    		$page.find("#dataContent").html(dataHtml);
    		$.bindEvent($page.find("#dataContent li"), function () {
    			var status = $(this).attr("status");
    			if(status == '4'){
    				var subjectId = $(this).attr("subject-id");
    				$.setSStorageInfo("subjectId",subjectId);
    				var param = {"subjectId":subjectId,"type":2};
    				service.getMktCustId(param, function(result){
    					if(result){
    		                var subjectTypeNo = result[0].subject_type_no;
    		                $.setSStorageInfo("subjectTypeNo",subjectTypeNo);
    		                if(subjectTypeNo == "newCustomersExclusive"){
    		                    $.pageInit("customer/detail/subjectSigned", "subject/subNewDetail");
    		                }else if(subjectTypeNo == "appreciationSigned"){
    		                    $.pageInit("customer/detail/subjectSigned", "subject/subSignDetail");
    		                }else if(subjectTypeNo == "marketActivity"){
    		                    $.pageInit("customer/detail/subjectSigned", "subject/subActivityDetail");
    		                }
    					}
    				});
    			}else{
    				$.toast("该主题已下架！");
    			}
            });
    		search = true;
    	});
    }
    
    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 重置页面元素
    function cleanPageElement() {
    	$page.find("#keyWord").val("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
