define("financial/scripts/customer/devCustomer.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_devCustomer");

    var page="1";
    var letterArr = [];  //接收月份
    var totalPages;
    var scrollJudge = true;//判断是否到底可以滑动?
    var followParam="";
    var onCall = false;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 滑动搜索
        //var objs = jQueryMap.content;
        //myUtils.swipeToSearch(objs.letterBox, objs.custList, objs.tipBox, ">h3", objs.contentSwipe, "138");

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            myUtils.showLayer($page);
    	    cleanPageElement();
            //$.pageBack(null,"left","customer/allCustomer");
            $.pageBack();
        });

        //点击搜索跳转搜索页面
        $.bindEvent(jQueryMap.content.search, function () {
            $.pageInit("customer/devCustomer","customer/cusSearch");
        });

        // 展开筛选页面
        $.bindEvent(jQueryMap.header.screen, function () {
            myUtils.moveTo("in","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
        });
        
        // 筛选--点击完成
        $.bindEvent(jQueryMap.content.ok, function () {
            scrollJudge = false;
        	//搜索
            myUtils.moveTo("out","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
            var sourceType = jQueryMap.content.chectSource.find("li.act").attr("data-sourceType");
            var tagsAll = "";
            $.each(jQueryMap.content.tags.find("li.act"),function(){
                tagsAll += $(this).attr("data-id") + ","
            });
            var tags = tagsAll.substring(0,(tagsAll.length-1));
            getCustomerList(sourceType,tags);
        });
        
        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.content.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
        });

        $.preBindEvent(jQueryMap.content.custList, "li .lbox_txt", function () {
            var $this = $(this);
            var custId = $this.parent().attr("data-custId");
            $.setSStorageInfo("customerType","1");
            $.setSStorageInfo("custId",custId);
            $.pageInit("custom/myCustomer","customer/detail/customerDetail");
        });
       
        //折叠隐藏
        $.preBindEvent(jQueryMap.content.defindedTab, ".clickCollapse a", function () {
            var $this = $(this);
            if($this.parent().hasClass("collapse")){
                $(this).parent().removeClass("collapse");
            }else{
                $(this).parent().addClass("collapse");
            }
        });

        $.preBindEvent(jQueryMap.content.clickCollapse, "a", function () {
            var $this = $(this);
            if($this.parent().hasClass("collapse")){
                $(this).parent().removeClass("collapse");
            }else{
                $(this).parent().addClass("collapse");
            }
        });

        $.preBindEvent(jQueryMap.content.systemTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });

        // 添加按钮
        $.bindEvent(jQueryMap.content.developAdd, function () {
        	$.clearSStorage("shareType");
            $.pageInit("customer/developCustom", "customer/detail/customerAdd");
        });
        
        // 排序切换按钮
        $.bindEvent(jQueryMap.content.orderBy, function () {
        	$.clearSStorage("shareType");
            var orderBy = $(this).attr("value");
            if(orderBy == 0){
            	$(this).attr("value",1);
            	$(this).html("字母顺序");
            }else{
            	$(this).attr("value",0);
            	$(this).html("时间倒序");
            }
            jQueryMap.content.custList.html("");
            getDBCustomer();
        });

        // 手机联系人导入
        $.bindEvent(jQueryMap.content.phoneImport, function () {
            $.callMessage({
                "funcNo": "50225"
            });
        });

        $.preBindEvent($page.find(".ft_tab_nav"), "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var id = $(this).attr("id");
            $page.find("#"+id+"Tab").show();
            $page.find("#"+id+"Tab").siblings("div").hide();
        });
        //点击勾选的时候其他的去掉勾选
        $.preBindEvent(jQueryMap.content.tags, "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
                $(this).addClass("act");
            }
        });

        //客户来源类型
        $.preBindEvent(jQueryMap.content.chectSource, "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
        });

        //点击重置按钮的时候去掉所有的勾选reset
        $.bindEvent(jQueryMap.content.reset,function(){
        	$page.find(".ft_tab_nav").find("li").removeClass("act");
        	jQueryMap.content.systemTab.show();
        	jQueryMap.content.systemTab.siblings("div").hide();
        	jQueryMap.content.system.addClass("act");
        	jQueryMap.content.systemTab.find("li").removeClass("act");
        	jQueryMap.content.defindedTab.find("li").removeClass("act");
            jQueryMap.content.checkedBox.find("li").removeClass("act");
        });

        //点击电话图标的时候打电话
        $.preBindEvent(jQueryMap.content.custList, "a.icon_tel", function() {
            var callAuth = $.getSStorageInfo("call_auth");
            if(callAuth != "1") {
                $.toast("外呼权限不足！");
                return;
            }
            if(onCall) {
                return;
            }
            onCall = true;
            var $this = $(this);
            var custId = $this.attr("data-custId");
            var staffId = model.dataStore.staffId;
            var curCustName = $this.attr("data-cust_name");
            // 用外呼系统打电话 
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            var param = {
                "staffId": staffId,
                "custId": custId,
                "followType": '2',
                "actionType": '1',
                "oper_type": '2',
                "followContent": "",
                "followDate": dealDate,
                "warnMin": ""
            };
            service.queryFollowInfo(param, function(result) {
                if(!(result[0] && result[0].follow_id)) {
                    onCall = false;
                    $.alert("拨打电话出错，请稍后再试！");
                    return;
                }
                var tel = $.getSStorageInfo("mobileNo");
                param.follow_id=result[0].follow_id;
                followParam = param;
                jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                $page.find(".call_name").html(curCustName);
                $page.find(".callshow").show();
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
        });
        
       //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            $.pageInit("custom/devCustomer","customer/detail/custServiceInput",{"followParam": followParam});
        });
        /*$.preBindEvent(jQueryMap.content.custList, "a.icon_tel", function() {
            var $this = $(this);
            var custNo = $this.attr("data-custNo");
            service.callMobile({
                "userCode": $.getSStorageInfo("employeeNo"),
                "custNo": custNo
            }, function(result) {
                callId = result[0].callId;
            });
        });*/

        //点击短信图标的时候发短信
        $.preBindEvent(jQueryMap.content.custList, "a.icon_msg", function() {
            var $this = $(this);
            var mobile = $this.attr("data-mobile");
            var custId = $this.siblings("a.follow_btn").attr("data-custId");
            $.callMessage({
                "funcNo"    : "50221",
                "telNo"     : "17777778888",
                "callType"  : "0"
            });
        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
            if(scrollJudge){
                var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
                    if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                        page++;
                        getDBCustomer();
                    },600);
                }
            }
        },"scroll");
    }



    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack"),
                "screen" : $page.find(".icon_filter")
            },
            "content": {
            	//文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "orderBy"             : $page.find("#orderBy"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "custList"     : $page.find(".create_box"),
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),

                //页面旁边的标签页
                "system": $page.find("#system"),
                "definded": $page.find("#definded"),
                "systemTab": $page.find("#systemTab"),
                "defindedTab": $page.find("#defindedTab"),
                "clickCollapse": $page.find(".clickCollapse"),
                "checkedBox": $page.find(".ftag_box"),
                "tags"        : $page.find("#tags"),
                //潜客来源
                "chectSource": $page.find("#chectSource"),

                //客户基本信息
                "search"	   : $page.find("#search"),
            	"ok"		   : $page.find("#ok"),
                "reset"        : $page.find("#reset"),

            	"totalNum"     : $page.find("#totalNum"),
            	"totalAsset"   : $page.find(".fc_red"),

                "phoneImport"        : $page.find("#phoneImport"),
                "developAdd" : $page.find("#develop_add"),

                "noData"     : $page.find("#noData"),
                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData"),
                "callStatement" : $page.find("#call_statement")
            },
            "footer": {
                "followUp": $page.find("#follow_up")
            }
        };
    }

    function initPage() {
        var prePageCode = $.getSStorageInfo("_prePageCode");
        if(prePageCode === "customer/detail/customerDetail" || prePageCode == "customer/cusSearch" || prePageCode == "customer/detail/custServiceInput"){
            //遮罩层去掉
            myUtils.hideLayer($page);
            return;
        }
        // 重置页面元素
        cleanPageElement();

        //var exitDevCustomer = model.dataStore.custom.devCustomer;
        //if(exitDevCustomer && exitDevCustomer != ""){
        //    fillCustList(exitDevCustomer);
        //}else {
            //查询潜在客户的接口
        getDBCustomer();
        //}

        //查询系统标签的类别
        //fillSystemTagType();

        //查询客户个人的标签
        manageTag("3","")

    }
    
    function destroy() {
        // myUtils.showLayer($page);
        // cleanPageElement();
        $page.find(".callshow").hide();
        onCall = false;
        service.destroy();
    }

    function getCustomerList(sourceType,tags){
        service.getCustomList({
            "staffId"      : $.getSStorageInfo("staffId"),
            "customerType" : "1",
            "sourceType"   : sourceType,
            "tags"         : tags
        },function(result){
            if(result.custList.length>0){
                if(!model.dataStore.custom.devCustomer){
                    model.dataStore.custom.devCustomer = result.custList;
                }
                jQueryMap.content.noData.hide();
                fillCustList(result.custList);
            }else{
                jQueryMap.content.custList.html("");
                jQueryMap.content.noData.show();
                //暂无联系人的图标出现
            }
            //遮罩层去掉
             myUtils.hideLayer($page);
        });
    }

    function fillCustList(result){
    	var htmlStr = "";
    //    客户来源类型 0开户 1理财 2分配 3手动添加 4导入
        var sourTypeList=new Array("开户","理财","分配","手动添加","导入");
        var sourType;
        myUtils.sortLetter(result, function (resLetter) {
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += '<h3 data-letter="'+letter+'">'+letter+'</h3><ul class="cust_list">';
                $.each(resLetter.branchMap[letter], function (index, item) {
                    sourType =  item.sourceType;
                    htmlStr += '<li data-custId="'+item.custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+item.customerType+'"><strong>'+item.name+'</strong><small>来源：'+sourTypeList[sourType]+'</small></div><div class="opr_box"><a data-cust_name="'+item.name+'" data-custId="'+item.custId+'" href="javascript:void(0);" class="icon_tel"></a></div></li>';
                });
                htmlStr += "</ul>";

            });
            jQueryMap.content.custList.html(htmlStr);
        });
    }

    function getDBCustomer(){
    	var orderBy = $page.find("#orderBy").attr("value");
        service.getDBCustomer({
            "staffId"      : model.dataStore.staffId,
            "customerType" : "1",
            "orderBy" : orderBy,
            "pageIndex"    : page,       //系统标签分组编号  N
            "pageSize"     : "20"
        },function(result){
            var custData = result.custList[0].data;
            totalPages = result.custList[0].totalPages;
            if(page == totalPages && page !=1){
                //jQueryMap.content.noData.show();
                jQueryMap.content.emptyData.show();
            }else{
                jQueryMap.content.emptyData.hide();
                //jQueryMap.content.noData.hide();
            }
            if(custData.length>0){
                //model.dataStore.custom.allCustomer = result.custList;
                fillDBCustomer(custData);
            }else{
                jQueryMap.content.custList.html("");
                jQueryMap.content.noData.show();
                //暂无联系人的图标出现
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    function fillDBCustomer(result){
        // 遍历数据monthData
        if(page == "1"){
            letterArr = [];
        }
        var letterStr;
        var htmlStr;
        var sourTypeList=new Array("开户","理财","分配","手动添加","导入");
        var orderBy = $page.find("#orderBy").attr("value");
        for (var i = 0; i < result.length; i++) {
            if ($.inArray(result[i].firstCode, letterArr) == -1) {
                letterArr.push(result[i].firstCode);
                if(result[i].firstCode!=""){
            		if(orderBy == 0){
            			letterStr = '<h3 data-letter="'+result[i].firstCode+'">'+result[i].firstCode+'</h3><ul class="cust_list"></ul></h3>';
            		}else{
            			letterStr = '<h3 style="display:none;" data-letter="'+result[i].firstCode+'">'+result[i].firstCode+'</h3><ul class="cust_list"></ul></h3>';
            		}
            	}else{
            		if(orderBy == 0){
            			letterStr = '<h3 data-letter="'+result[i].firstCode+'">#</h3><ul class="cust_list"></ul></h3>';
            		}else{
            			letterStr = '<h3 style="display:none;" data-letter="'+result[i].firstCode+'">#</h3><ul class="cust_list"></ul></h3>';
            		}
            	}
                jQueryMap.content.custList.append(letterStr);
            }
            sourType =  result[i].sourceType;
            htmlStr = '<li data-custId="'+result[i].custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" style="width:3rem;" data-customerType="'+result[i].customerType+'"><strong>'+result[i].name+'</strong><small>时间：' + result[i].createDate.substr(0,10) + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;来源：'+sourTypeList[sourType]+'</small></div><div class="opr_box"><a data-cust_name="'+result[i].name+'" data-custId="'+result[i].custId+'" href="javascript:void(0);" class="icon_tel"></a></div></li>';
            $page.find("ul.cust_list:last").append(htmlStr);
        }
        if(orderBy == 0){
        	jQueryMap.content.custList.css("margin-top","-43px");
        }else{
        	jQueryMap.content.custList.css("margin-top","0px");
        }
        scrollJudge =true;
        jQueryMap.content.loadIcon.hide();
    }

    function manageTag(actionType,tagId){
        service.customerTag({
            "staffId"    :  model.dataStore.staffId,
            "actionType" :  actionType,
            "tagId"      :  tagId
        },function(result){
            //先填充系统标签类别，再在相应的类别下添加相应的标签
            fillSysTagType(result.tagTypeList);
            fillSysTag(result.publicTagsList);
            //填充自定义的标签
            fillDefineTag(result.privateTagsList);
        });
    }

    /**
     * 填充系统标签类型
     */
    function fillSysTagType(result){
        var htmlStr = "";
        if(result.length > 0){
        	for(var i=0;i<result.length;i++){
                htmlStr += '<h4 class="collapse">'+result[i].tagTypeName+'<a href="javascript:void(0);"></a></h4><div class="ftag_box"><ul id="' + result[i].tagTypeNo + '"></ul></div>';
            }
            jQueryMap.content.systemTab.html(htmlStr);
        }else{
        	jQueryMap.content.systemTab.html("暂无数据");
		    jQueryMap.content.systemTab.css({"text-align":"center","line-height":"1.5rem","height":"1.5rem"});
        }
        
    }

    /**
     * 填充系统标签
     */

    function fillSysTag(result){
        var htmlStr;
        if(result.length > 0){
        	for(var i=0;i<result.length;i++){
                htmlStr = '<li data-id="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
                $("#"+result[i].tagTypeNo).append(htmlStr);
            }
            $.each(jQueryMap.content.systemTab.find("ul"),function(index,dom){
                if($(this).html() == ""){
                    $(this).parent().hide();
                    $(this).parent().prev().hide();
                }
            });
        }else{
        	jQueryMap.content.systemTab.html("暂无数据");
		    jQueryMap.content.systemTab.css({"text-align":"center","line-height":"1.5rem","height":"1.5rem"});
        }
        
    }

    /**
     * 填充自定义标签
     */





    function fillDefineTag(result){
        var htmlStr="";
        if(result.length > 0 ){
            htmlStr += '<h4 class="clickCollapse" style="text-align: left;">自定义<a href="javascript:void(0)"></a></h4><div class="ftag_box"><ul>';
        	for(var i=0;i<result.length;i++){
                htmlStr += '<li data-id="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
            }
            htmlStr += '</ul></div>';
            jQueryMap.content.defindedTab.html(htmlStr);
        }else{
        	jQueryMap.content.defindedTab.html("暂无数据");
		    jQueryMap.content.defindedTab.css({"text-align":"center","line-height":"1.5rem","height":"1.5rem"});
        }
        
    }

    // 调弹出通讯录回调
    function addressState(data) {
    	if(data.error_no == "-5022502"){
    		$.toast("你的通讯录权限未开启，或通讯录并无联系人");
    		return false;
    	}
        var contact = JSON.stringify(data.results);
        if(data.results.length>0){
            service.getLetter({
                "custArr" :  contact
            },function(result){
                $.setSStorageInfo("contact", result);
                $.pageInit("customer/devCustomer", "customer/detail/contact");
            });
        }else{
            $.toast("你的通讯录权限未开启，或通讯录并无联系人");
        }

    }

    function cleanPageElement(){
        page="1";
        followParam = "";
        jQueryMap.content.custList.html("");
    	myUtils.moveTo("out","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
    	jQueryMap.content.noData.hide();
        jQueryMap.content.checkedBox.find("li").removeClass("act");
        jQueryMap.content.systemTab.addClass("act").siblings().removeClass("act");
        jQueryMap.content.systemTab.show();
        jQueryMap.content.defindedTab.hide();
        jQueryMap.content.systemTab.find("ul").html("");
        jQueryMap.content.system.addClass("act").siblings().removeClass("act");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "addressState": addressState,
        "load"        : load
    };
});
