define("financial/scripts/customer/group/create.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_create");

    var groupId;
    var groupName;
    var custArrs=[];

    //用来判断有没有选中客户
    var isFlag = 0;

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 滑动搜索
        var objs = jQueryMap.content;
        myUtils.swipeToSearch(objs.letterBox, objs.addCustomer, objs.tipBox, ">dl", objs.contentSwipe , "50" );

        // 取消返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	cleanPageElement();
            $.pageBack();
        });

        //点击筛选
        $.bindEvent(jQueryMap.header.screen, function () {
            myUtils.moveTo("in","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //点击确定按钮
        $.bindEvent(jQueryMap.footer.sureBtn, function () {
            if (isFlag) {
                var custIdArr = "";
                jQueryMap.content.addCustomer.find("li").each(function () {
                    if ($(this).find("em").hasClass("on")) {
                        custIdArr += $(this).attr("data-custId") + ",";
                    }
                });
                custIdArr = custIdArr.substr(0, custIdArr.length - 1);

                if(groupId){
                    //这是已经创建好的客户组里面管理客户时添加客户
                    groupAddMen(groupId,custIdArr);

                }else{
                    //这是要添加客户组，然后添加客户，统一一个接口调用
                    managerGroup(custIdArr);
                }
            }
        });

        //点击搜索按钮
        $.bindEvent(jQueryMap.content.customSearch, function () {
            var custArr = [];
            jQueryMap.content.addCustomer.find("em").each(function () {
                var $this = $(this);
                if($this.hasClass("on")){
                    custArr.push( $this.parent().attr("data-custId"));
                }
            });
            $.setSStorageInfo("custArr",custArr);
            $.pageInit("customer/group/create", "customer/group/groupSearch");
        });

        //点击选中时出现图标
        $.preBindEvent(jQueryMap.content.addCustomer, "li", function () {
            var $this = $(this);
            //var onClass = $this.find("em").attr("class");

            //var conLen = jQueryMap.content.addCustomer.find("li").length;
            if ( $this.find("em").hasClass("on")) {
                $this.find("em").removeClass("on");
                //jQueryMap.footer.choose.html("全选");
                //jQueryMap.footer.choose.removeClass("on");
                var len = jQueryMap.content.addCustomer.find(".on").length;
                jQueryMap.footer.sureBtn.html("确认("+ len + ")");
                if(len <= 0){
                    jQueryMap.footer.sureBtn.addClass("disabled");
                    jQueryMap.footer.sureBtn.html("添加");
                    isFlag = 0;
                }
            } else {
                $this.find("em").addClass("on");
                isFlag = 1;
                jQueryMap.footer.sureBtn.removeClass("disabled");
                var len = jQueryMap.content.addCustomer.find(".on").length;
                jQueryMap.footer.sureBtn.html("确认("+ len + ")");
                //if(len == conLen){
                //     jQueryMap.footer.choose.html("取消");
                //     jQueryMap.footer.choose.addClass("on");
                //}
            }
        });

        /**
         * 下面都是筛选页面的绑定时间
         */
            //切换筛选的页面
        $.preBindEvent($page.find(".ft_tab_nav"), "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var id = $(this).attr("id");
            $page.find("#"+id+"Tab").show();
            $page.find("#"+id+"Tab").siblings("div").hide();
        });

        //已签约和未签约的单选和已购买和未购买的单选
        $.preBindEvent(jQueryMap.filter.singleCheck, "li", function () {
            var $this = $(this);
            if ($this.hasClass("act")) {
                $this.removeClass("act");
            } else {
                $this.addClass("act").siblings().removeClass("act");
            }
        });

        //风险等级和标签和主题列表的多选
        $.preBindEvent(jQueryMap.filter.doubleCheck, "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
                $(this).addClass("act");
            }
        });

        // 筛选--点击完成
        $.bindEvent(jQueryMap.filter.ok, function () {
            //判断筛选条件
            checkParam();
        });

        //重置按钮
        $.bindEvent(jQueryMap.filter.resetBtn, function () {
            jQueryMap.filter.doubleCheck.find("li").removeClass("act");
            jQueryMap.filter.singleCheck.find("li").removeClass("act");
            $page.find("#inputWrap input").val("");
            jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
            $page.find("#getCus").addClass("act").siblings().removeClass("act");
            jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
            $page.find("#getCusTab").show().siblings("#signTab").hide();
        });

        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.filter.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //折叠隐藏
        $.preBindEvent(jQueryMap.filter.clickCollapse, "a", function () {
            var $this = $(this);
            if($this.parent().hasClass("collapse")){
                $(this).parent().removeClass("collapse");
            }else{
                $(this).parent().addClass("collapse");
            }
        });
        $.preBindEvent(jQueryMap.filter.systemTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });
    }

    function destroy() {   	
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "screen" : $page.find(".icon_filter")
            },
            "content": {
                "tipBox"       : $page.find("#tip_box"),
                "letterBox"    : $page.find("#letter_box"),
                "contentSwipe" : $page.find("#contentSwipe"),
                "addCustomer"  : $page.find("#add_customer"),
                "noData"  : $page.find("#noData"),
                "customSearch" : $page.find("#custom_search")
            },
            "footer": {
                //"choose" : $page.find("#choose"),
                "sureBtn": $page.find("#sure_btn")
            },
            "filter": {
                //主题
                "bkhkSubject": $page.find("#bkhkSubject"),
                "zzqySubject": $page.find("#zzqySubject"),
                //页面旁边的标签页
                "doubleCheck" : $page.find(".doubleCheck"),
                "singleCheck" : $page.find(".singleCheck"),
                "system"      : $page.find("#system"),
                "definded"    : $page.find("#definded"),
                "systemTab"   : $page.find("#systemTab"),
                "defindedTab" : $page.find("#defindedTab"),
                "tags"        : $page.find("#tags"),
                "riskCheck"   : $page.find("#riskCheck"),
                "inverstVariet"   : $page.find("#inverstVariet"),
                "inverstTerm"   : $page.find("#inverstTerm"),
                "exprofit"   : $page.find("#exprofit"),
                //筛选页面的输入项
                "assetLeast"    : $page.find("#assetLeast"),
                "assetMost"     : $page.find("#assetMost"),
                "yjlLeast"      : $page.find("#yjlLeast"),
                "yjlMost"       : $page.find("#yjlMost"),
                "yjAmountLeast" : $page.find("#yjAmountLeast"),
                "yjAmountMost"  : $page.find("#yjAmountMost"),
                "stock"         : $page.find("#stock"),
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),
                "ok"		    : $page.find("#ok"),
                "resetBtn"      : $page.find(".reset_btn"),
                //折叠隐藏
                "clickCollapse" : $page.find(".clickCollapse"),
                //存量客户和潜在客户
                "developing"    : $page.find("#developing"),
                "developed"     : $page.find("#developed"),
                "developingTab"	: $page.find("#developingTab"),
                "developedTab"  : $page.find("#developedTab")
            }
        };
    }

    function initPage() {
        groupId = $.getSStorageInfo("groupId");
        groupName = $.getSStorageInfo("groupName");
        custArrs = $.getSStorageInfo("custArr");

        //有缓存的话先查询缓存里面的数据
        var exitAllCustom = model.dataStore.custom.allCustom;
        if(exitAllCustom && exitAllCustom != ""){
            showCustomInfo(exitAllCustom);
        }else {
            //获取客户的列表
            getCustomerList({});
        }

        //查询客户个人的标签
        manageTag("3","");

        ///查询所有爆款获客、增值签约主题信息
        queryAllSubjectInfo();

    }

    function getCustomerList(paramMap) {
        //查询数据
        paramMap.staffId =  model.dataStore.staffId;
        service.getCustomList(paramMap,function(result){
            if(result.custList.length>0){
                jQueryMap.content.noData.hide();
                showCustomInfo(result.custList);
            }else{
                //暂无联系人的图标出现
                jQueryMap.content.addCustomer.html("");
                jQueryMap.content.noData.show();
            }
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        });
    }

    function showCustomInfo(results) {
        var htmlStr = "";
        //对遍历出来的成员名字按字母排序
        myUtils.sortLetter(results, function (resLetter) {
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += '<h3 data-letter="'+letter+'">'+letter+'</h3><ul class="cust_list">';
                $.each(resLetter.branchMap[letter], function (index, item) {
                    if(item.customerType === "1"){
                        htmlStr += '<li data-custId="'+item.custId+'"><em class="check_box"> </em><span>潜在</span><img src="../../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+item.customerType+'"><strong>'+item.name+'</strong><small>'+item.mobile+'</small></div></li>';
                    }else{
                        htmlStr += '<li data-custId="'+item.custId+'"><em class="check_box"></em><img src="../../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+item.customerType+'"><strong>'+item.name+'</strong><small>'+item.mobile+'</small></div></li>';
                    }

                });
                htmlStr += "</ul>";

            });
            //jQueryMap.content.custList.html(htmlStr);
            jQueryMap.content.addCustomer.html(htmlStr);
            jQueryMap.content.addCustomer.find("li").each(function () {
                var custId = $(this).attr("data-custId");
                if( $.inArray(custId,custArrs) != -1 ){
                    $(this).find("em").addClass("on");
                    isFlag = 1;
                    jQueryMap.footer.sureBtn.removeClass("disabled");
                    var len = jQueryMap.content.addCustomer.find(".on").length;
                    jQueryMap.footer.sureBtn.html("确认("+ len + ")");
                }
            });
        });
    }

    function managerGroup(custIdArr){
        var param = {
            "staffId": $.getSStorageInfo("staffId"),
            "actionType": "1",
            "custIds": custIdArr
        };
        service.managerGroup(param, function (result) {
                //添加客户组成员的时候更新客户组的缓存
            $.setSStorageInfo("groupId",result[0].groupId);
            $.setSStorageInfo("groupName",result[0].groupName);
            cleanPageElement();
            $.pageInit("customer/group/create", "customer/group/creSuc","","right",true);
        });
    }

    function groupAddMen(groupId, custIdArr) {
        service.managerGroupMan({
                "staffId": $.getSStorageInfo("staffId"),
                "actionType": "1",
                "groupId": groupId,
                "custIds": custIdArr
            }, function () {
                //添加客户组成员的时候更新客户组的缓存
                // myUtils.getGroupName();                //按确定按钮跳转到组成员页面
            	cleanPageElement();
                $.pageBack();
            }
        )
    }

    /**
     * 下面开始是筛选页面的
     */

    function manageTag(actionType,tagId){
        service.customerTag({
            "staffId"    :  model.dataStore.staffId,
            "actionType" :  actionType,
            "tagId"      :  tagId
        },function(result){
            //先填充系统标签类别，再在相应的类别下添加相应的标签
            fillSysTagType(result.tagTypeList);
            fillSysTag(result.publicTagsList);
            //填充自定义的标签
            fillDefineTag(result.privateTagsList);
        });
    }

    /**
     * 填充系统标签类型
     */
    function fillSysTagType(result){
        var htmlStr = "";
        for(var i=0;i<result.length;i++){
            htmlStr += '<h4 class="collapse">'+result[i].tagTypeName+'<a href="javascript:void(0);"></a></h4><div class="ftag_box"><ul id="' + result[i].tagTypeNo + '"></ul></div>';

        }
        jQueryMap.filter.systemTab.html(htmlStr);
    }

    /**
     * 填充系统标签
     */

    function fillSysTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr = '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
            $("#"+result[i].tagTypeNo).append(htmlStr);
        }

        $.each(jQueryMap.filter.systemTab.find("ul"),function(index,dom){
            if($(this).html() == ""){
                $(this).parent().hide();
                $(this).parent().prev().hide();
            }
        });
    }

    /**
     * 填充自定义标签
     */

    function fillDefineTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr += '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
        }
        jQueryMap.filter.defindedTab.find("ul").html(htmlStr);
    }

    //查询主题的
    function queryAllSubjectInfo(){
        service.queryAllSubjectInfo({},function(result){
            var bkhkStr = "";
            var zzqyStr = "";
            for(var i=0; i<result.bkhkList.length;i++){
                bkhkStr += '<li data-subjectId="'+result.bkhkList[i].subjectId+'"><span>'+result.bkhkList[i].subjectName+'</span></li>';
            }
            for(var j=0; j<result.zzqyList.length;j++){
            	var name = result.zzqyList[j].productName;
            	name = name.substring(name.indexOf(".")+1,name.length);
                zzqyStr += '<li data-subjectId="'+result.zzqyList[j].productNo+'"><span>'+name+'</span></li>';
            }
            jQueryMap.filter.bkhkSubject.html(bkhkStr);
            jQueryMap.filter.zzqySubject.html(zzqyStr);
        });
    }

    //检查筛选的参数
    function checkParam(){
        var paramMap={};
        var flag = true;
        // 判断用户是不是没选参数
        //var checkFlag = false;

        //获取标签
        var tags="";
        $.each(jQueryMap.filter.tags.find("li.act"), function () {
            //checkFlag = true;
            tags += $(this).attr("data-tagId")+',';
        });
        paramMap.tags = tags.substr(0,tags.length-1);

        //是否购买
        //var buyFlag = "";
        //if($page.find("#getCusTab .singleCheck li.act").attr("data-bugFlag")){
        //    checkFlag = true;
        //    buyFlag = $page.find("#getCusTab .singleCheck li.act").attr("data-bugFlag");
        //}
        //paramMap.buyFlag =buyFlag;
        //是否签约
        var qyFlag="";
        if( $page.find("#signTab .singleCheck li.act").attr("data-qyFlag") ){
            //checkFlag = true;
            qyFlag = $page.find("#signTab .singleCheck li.act").attr("data-qyFlag");
        }
        paramMap.qyFlag =qyFlag;

        //潜在客户的来源
        var sourceType="";
        $.each(jQueryMap.filter.developedTab.find("li.act"), function () {
            //checkFlag = true;
            sourceType += $(this).attr("data-sourceType")+',';
        });
        paramMap.sourceType = sourceType.substr(0,sourceType.length-1);

        //获取主题选中列表
        var subjectIds="";
        $.each(jQueryMap.filter.bkhkSubject.find("li.act"), function () {
            //checkFlag = true;
            subjectIds += $(this).attr("data-subjectId")+',';
        });
        $.each(jQueryMap.filter.zzqySubject.find("li.act"), function () {
            //checkFlag = true;
            subjectIds += $(this).attr("data-subjectId")+',';
        });
        paramMap.subjectIds =subjectIds.substr(0,subjectIds.length-1);

        //客户风险等级
        var risk="";
        $.each(jQueryMap.filter.riskCheck.find("li.act"), function () {
            //checkFlag = true;
            risk += $(this).attr("data-risk")+',';
        });
        paramMap.risk =risk.substr(0,risk.length-1);

        //客户投资品种
        var inverstVariet="";
        $.each(jQueryMap.filter.inverstVariet.find("li.act"), function () {
            //checkFlag = true;
        	inverstVariet += $(this).attr("data-risk")+',';
        });
        paramMap.inverstVariet =inverstVariet.substr(0,inverstVariet.length-1);
        
       //客户投资期限
        var inverstTerm="";
        $.each(jQueryMap.filter.inverstTerm.find("li.act"), function () {
            //checkFlag = true;
        	inverstTerm += $(this).attr("data-risk")+',';
        });
        paramMap.inverstTerm =inverstTerm.substr(0,inverstTerm.length-1);
        
        //客户预期收益
        var exprofit="";
        $.each(jQueryMap.filter.exprofit.find("li.act"), function () {
            //checkFlag = true;
        	exprofit += $(this).attr("data-risk")+',';
        });
        paramMap.exprofit =exprofit.substr(0,exprofit.length-1);
        
        //资产佣金的输入（还差一个股票的输入 接口还没有实现）
        $.each(["assetLeast","assetMost","yjlLeast","yjlMost"], function (index, item) {
            paramMap[item] = jQueryMap.filter[item].val();
            if( paramMap[item] && !(/^[0-9]+.?[0-9]*$/.test( Number(paramMap[item]) )) ){
                flag = false;
                $.toast("请输入数字格式的内容!");

            }
            //else if( paramMap[item] ){
            //    checkFlag = true;
            //}
        });

        /*//股票代码
        if(jQueryMap.filter.stock.val().length > 6){
            flag = false;
            $.toast("请输入6位以下的股票代码或者简称");
        }else{
            paramMap.stock = jQueryMap.filter.stock.val();
        }*/

        //选择存量客户类型
        var relationType="";
        $.each($page.find("#developingTab .relationType li.act"), function () {
            //checkFlag = true;
            relationType += $(this).attr("data-relationType")+',';
        });
        paramMap.relationType =relationType.substr(0,relationType.length-1);

        if(!flag){
            return false;
        }

        //if( Number(paramMap.assetMost) < Number(paramMap.assetLeast)){
        //    $.toast("后面输入的现有净资产要大于前面输入的现有净资产");
        //    return false;
        //}
        //if(Number(paramMap.yjlLeast) < Number(paramMap.yjlMost)){
        //    $.toast("后面输入的佣金率要大于前面输入的佣金率");
        //    return false;
        //}
        getCustomerList(paramMap);
        //if(checkFlag){
        //    getCustomerList(paramMap);
        //}else{
        //    $.toast("请您至少选中一项筛选条件！");
        //    return false;
        //}

        //搜索
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
    }

    // 重置页面元素
    function cleanPageElement() {
    	$.clearSStorage("custArr");
        isFlag = 0;
        jQueryMap.content.addCustomer.find("em").removeClass("on");
        jQueryMap.content.addCustomer.find("a").removeClass("on");
        //jQueryMap.footer.choose.removeClass("on").html("全选");
        jQueryMap.footer.sureBtn.html("确定");
        jQueryMap.footer.sureBtn.addClass("disabled");
        jQueryMap.content.noData.hide();
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
        jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
        jQueryMap.filter.developing.addClass("act").siblings().removeClass("act");
        jQueryMap.filter.developingTab.show().siblings("#developedTab").hide();
        jQueryMap.filter.doubleCheck.find("li").removeClass("act");
        jQueryMap.filter.singleCheck.find("li").removeClass("act");
        jQueryMap.filter.filterSlideBar.find("input").val("");
        $page.find("#systemTab").show().siblings().hide();

    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load"   : load
    };
});
