define("financial/scripts/customer/group/group.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_group");

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	 // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //点击创建添加客户组
        $.bindEvent(jQueryMap.header.create, function () {
            $.clearSStorage("groupId");
            $.clearSStorage("groupName");
            $.setSStorageInfo("stickFlag","");
            $.pageInit("customer/group/group", "customer/group/create");
        });

       //点击搜索按钮
        $.bindEvent(jQueryMap.content.customSearch, function () {
            $.pageInit("customer/group/group", "customer/group/search");
        });

        //点击查看客户组详情
        $.preBindEvent(jQueryMap.content.customerList, "li", function () {
            var $this = $(this);
            var groupId = $this.attr("data-groupId");
            var stickFlag = $(this).index() == 0 ? "1" : "0";
            var groupName = $this.find("span").html();
            $.setSStorageInfo("groupName",groupName);
            $.setSStorageInfo("groupId",groupId);
            $.setSStorageInfo("stickFlag",stickFlag);
            $.pageInit("customer/group/group", "customer/group/creSuc");
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "create": $page.find("#create")
            },
            "content": {
                "groupList": $page.find("#group_list"),
                "groupNone": $page.find("#group_none"),
                "groupUl"  : $page.find("#group_ul"),
                "search"   : $page.find("#search"),
                "emptyTip"       : $page.find(".msg_wrap"),
                "groupClick"       : $page.find(".group_click"),
                "customerList"       : $page.find("#customerList"),
                "customSearch"    : $page.find("#custom_search")
            }
        };
    }

    function initPage() {
        //为了方便后面在添加组成员的时候和创建组和组成员做区别
        $.setSStorageInfo("prePrePage","newGroup");
        putGroupName();
    }

    //调用1201203接口查询所有的分组
    function putGroupName(){
        //先从缓存里面读取潜在客户联系人数据，如果没有则重新从接口里面查询
        service.managerGroup({
            "staffId"    : model.dataStore.staffId,
            "actionType" : 0
        },function(data){
            if(data.length>0){
                jQueryMap.content.groupNone.hide();
                jQueryMap.content.groupList.show();
                model.dataStore.custom.allGroup = data;
                showGroup(data);
            }else{
            	jQueryMap.content.customerList.html("");
                jQueryMap.content.groupNone.show();
                jQueryMap.content.groupList.hide();
            }
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        });

    }

    function showGroup(results){
        var htmlStr = "";
        $.each(results, function (index, letter) {
            if(letter.amount == ""){
                letter.amount = "0";
            }
            htmlStr +="<li data-groupId='"+ letter.groupId +"' data-stickFlag='"+letter.stickFlag+"'><a href='javascript:void(0)'><strong>" + letter.groupName.substr(0,1) + "</strong><span>" + letter.groupName + "</span><em>" + letter.amount + "</em></a></li>";
        });
        jQueryMap.content.groupList.show();
        jQueryMap.content.customerList.html(htmlStr);
    }



    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
