define("financial/scripts/customer/group/groupSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_groupSearch");
    
    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyTip.hide();
        });

        $.preBindEvent(jQueryMap.content.customerCon, "li", function () {
            var onClass = $(this).find("em").hasClass("on");
            var custArr = [];
            custArr = $.getSStorageInfo("custArr");
            if (!onClass) {
                $(this).find("em").addClass("on");
                var custId = $(this).attr("data-custId");
                custArr.push(custId);
            }
            $.setSStorageInfo("custArr",custArr);
            $.pageBack();
        });
    }

    function destroy() {
    	// 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#searchInput"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clearBtn"),
                "btnIcon"  : $page.find("#btn_Icon")

            },
            "content": {
                "customerCon": $page.find("#customerCon"),
                "emptyTip"       : $page.find("#emptyTip")

            }
        };
    }

    function initPage() {
        /**********  搜索公共的部分  begin ********/
        setTimeout(function () {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            //jQueryMap.content.customerCon.html("");
            //jQueryMap.content.emptyTip.show();
            // 检测键盘是否还是展开状态
        	jQueryMap.content.customerCon.html("");
        	jQueryMap.content.emptyTip.hide();
            /*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/

            return false;
        }
        customerSearch(searchText);
    }

    //效果

    //
    function customerSearch(searchText) {
        var param = {
            "staffId"    : model.dataStore.staffId,
            "searchTxt"  : searchText
        };
        if($.getSStorageInfo("shareType")=="email"){
            param.searchType = "1";
        }else if($.getSStorageInfo("shareType")=="sms"){
            param.searchType = "0";
        }else if($.getSStorageInfo("shareType")=="app"){
            param.searchType = "2";
        }
        service.getCustomList(param,function (results) {
            if(results.custList.length>0){
                jQueryMap.content.customerCon.html("");
                selectOnMenu(results.custList,searchText);
            }else{
                jQueryMap.content.customerCon.html("");
                jQueryMap.content.emptyTip.show();
            }
        });
    }

    //<li data-custId="'+ item.custId+'"><em class="rcheck_box"><input type="checkbox" checked="checked" value=""/></em><img src="/m/financial/img/sc-hd01.png"/><strong>' + name + '</strong><span>潜在</span></li>
    function selectOnMenu(results,searchText){
        var htmlStr="";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                $.each(resLetter.branchMap[letter], function (index, item) {
                    var name =  item.name;
                    if( name.indexOf(searchText) != -1 ){
                        var reg = new RegExp("(" + searchText + ")", "g");
                        name = name.replace(reg, "<font color='#d80c1e'>$1</font>");
                    }
                    if(item.customerType == "1"){
                            htmlStr += '<li data-custId="'+ item.custId+'"><em class="rcheck_box"></em><img src="../../../images/sc-hd01.png"/><strong>' + name + '</strong><span>潜在</span></li>';

                    }else{
                        htmlStr += '<li data-custId="'+ item.custId+'"><em class="rcheck_box"></em><img src="../../../images/sc-hd01.png"/><strong>' + name + '</strong></li>';
                    }
                });
            });
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.customerCon.html(htmlStr);
            //当是客户已经勾选的客户，在搜索的时候置灰
            var custArr = $.getSStorageInfo("custArr");
            jQueryMap.content.customerCon.find("li").each(function () {
                var custId = $(this).attr("data-custId");
                if( $.inArray(custId,custArr) != -1 ){
                    $(this).find("em").addClass("on");
                }
            });
    });

    }
    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.customerCon.find("em").removeClass("on");
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.customerCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
