define("financial/scripts/customer/group/manage.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_manage");
    var groupName;
    var groupId;
    var stickFlag;

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //修改组名
        $.bindEvent(jQueryMap.content.chanceName, function () {
            $.pageInit("customer/group/manage", "customer/group/nameInp");
        });

        //管理组成员
        $.bindEvent(jQueryMap.content.manageMen, function () {
            $.pageInit("customer/group/manage", "customer/group/manageMen");
        });

        //解散群组按钮
        $.bindEvent(jQueryMap.content.disbandbtn, function () {
        	myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.logoutDialog);            
        });
        
        //点击取消解散
        $.bindEvent(jQueryMap.footer.cancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });
        //点击确定解散
        $.bindEvent(jQueryMap.footer.sure, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            disbandGroup();
        });

        //置顶客户组
        $.bindEvent(jQueryMap.content.checkInput,function(){
            var stickFlag = 0;
            if($(this).is(':checked')){
                stickFlag = 1;
                stickGroup(stickFlag);
            }else{
                stickFlag = 0;
                stickGroup(stickFlag);
            }
        })
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"     : $page.find("#mktGoBack"),
                "groupName": $page.find("#group_name")
            },
            "content": {
                "chanceName": $page.find("#chance_name"),
                "manageMen": $page.find("#manage_men"),
                "disbandbtn": $page.find("#disband_btn"),
                "checkInput": $page.find("#checkInput")
            },
            "footer" : {
                "cancel"         : $page.find("#cancel"),
                "sure"           : $page.find("#sure")
            },
            "layerArea":{
                "logoutDialog"   : $page.find("#logoutDialog")
            }
        };
    }

    function initPage() {
        groupName=$.getSStorageInfo("groupName");
        groupId = $.getSStorageInfo("groupId");
        stickFlag = $.getSStorageInfo("stickFlag");
        stickFlag == "1" ? jQueryMap.content.checkInput.prop("checked",true) : jQueryMap.content.checkInput.prop("checked",false);
        jQueryMap.header.groupName.html(groupName);

    }

    //解散群组
    function disbandGroup(){
        //删除数据的时候先去手动的遍历缓存的客户然后移除相应的数据
        // 比用同步的方法查询接口然后更新缓存更快
        var allGroup = model.dataStore.custom.allGroup;
        if(allGroup && allGroup !=""){
            for(var i=0;i<allGroup.length;i++){
                if(allGroup[i].groupId == groupId){
                    allGroup.splice(i,1);
                }
            }
        }
        service.managerGroup({
            "staffId"  : model.dataStore.staffId,
            "actionType": "2",
            "groupId":groupId
        }, function () {
            //解散群组以后去更新客户组的缓存
//            myUtils.getGroupName();

            //按确定按钮跳转到组成员页面
            $.pageBack("","left",-2);
        });
    }

    //置顶客户组
    function stickGroup(stickFlag){
        service.managerGroup({
            "staffId"   : model.dataStore.staffId,
            "actionType": "3",
            "groupId"   : groupId,
            "stickFlag" : stickFlag
        }, function () {
        	$.setSStorageInfo("stickFlag",stickFlag);
        });
    }    

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
