define("financial/scripts/customer/group/manageMen.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_manageMen");
    var groupId;
    var groupName;
    var onCall = false;   

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 跟进
        $.preBindEvent(jQueryMap.content.selectMen, "a#follow_btn", function () {
            var customer = $(this).parent().siblings().find("strong").text();
            var custId = $(this).parent().parent().attr("data-custId");
            $.setSStorageInfo("customer",customer);
            $.setSStorageInfo("custId",custId);
            $.pageInit("customer/group/creSuc", "customer/detail/customerFollow");
        });

        //点击打电话
        $.preBindEvent(jQueryMap.content.selectMen, "a.icon_tel", function(){
            var callAuth = $.getSStorageInfo("call_auth");
            if(callAuth != "1") {
                $.toast("外呼权限不足！");
                return;
            }
            if (onCall) {
                return;
            }
            onCall = true;
             // 存量客户
             if($(this).attr('data-cust_type') == "2") {
                getPhoneNumList($(this).attr("data-custNo"), $(this).attr("data-custId"), $(this).attr("data-cust_name"));
            } else {
                var custId = $(this).parent().parent().attr("data-custId");
                var staffId = model.dataStore.staffId;
                var curCustName = $(this).attr("data-cust_name");
                // 用外呼系统打电话 
                var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                var param = {
                    "staffId": staffId,
                    "custId": custId,
                    "followType": '2',
                    "actionType": '1',
                    "oper_type": '2',
                    "followContent": "",
                    "followDate": dealDate,
                    "warnMin": ""
                };
                service.queryFollowInfo(param, function(result) {
                    var tel = $.getSStorageInfo("mobileNo");
                    jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                    $page.find(".call_name").html(curCustName);
                    $page.find(".callshow").show();
                });
            }
        });
        
       //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
        });
        
        //点击管理
        $.bindEvent(jQueryMap.header.text, function () {
        	if($(this).attr("id")=="manage"){
        		$(this).attr("id","add_btn");
        		$(this).html("添加");
        		jQueryMap.footer.footBtn.show();
                jQueryMap.content.selectMen.find("li").addClass("act");
        	}else{
        		 $.setSStorageInfo("prePage","manageMen");
                 $.pageInit("customer/group/manageMen", "customer/group/create");
        	}
           
        });

        //勾选要删除的管理组成员
        $.preBindEvent(jQueryMap.content.selectMen, "li", function () {
        	if(jQueryMap.header.text.attr("id")=="manage"){
        		return;
        	}
            var $this = $(this);
            var custId = $this.attr("data-custId");

            if ($this.find("em").hasClass("on")) {
                $this.find("em").removeClass("on");
            } else {
                $this.find("em").addClass("on");
            }
            var selectMenOnLen = jQueryMap.content.selectMen.find(".on").length;
            if( selectMenOnLen > 0 ){
                jQueryMap.footer.removeBtn.removeClass("disabled");
                jQueryMap.footer.removeBtn.html("删除("+selectMenOnLen+")");
            }else{
                jQueryMap.footer.removeBtn.addClass("disabled");
                jQueryMap.footer.removeBtn.html("删除");
            }
        });

        //删除
        $.bindEvent(jQueryMap.footer.removeBtn, function () {
            var custStr = "";
            var selectMenOn = jQueryMap.content.selectMen.find(".on");
            var selectLen = selectMenOn.length;
            if( selectLen > 0 ){
                //$.each(selectMenOn,function(index,iDom){
                //    custStr +=  iDom.attr("data-custId")+",";
                //});
                selectMenOn.each(function () {
                    custStr += $(this).parent().parent().attr("data-custId")+",";
                });
                custStr = custStr.substr(0,custStr.length-1);
                service.managerGroupMan({
                    "staffId"    : model.dataStore.staffId,
                    "actionType" : "2",
                    "groupId"    : groupId,
                    "custIds"    : custStr
                }, function () {
                    //删除客户组成员的时候更新客户组的缓存
                    //myUtils.getGroupName();
                	var del=2;
                    showCustomList(del);
                    jQueryMap.footer.removeBtn.html("删除");                     
                    	
                });
            }
        });
        //取消打电话
        $.bindEvent(jQueryMap.layerArea.cancel, function(e) {
            onCall = false;
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
        });
        //确认打电话
        $.bindEvent(jQueryMap.layerArea.callOut, function(e) {
            var phoneNum = '';
            // 1 手工录入手机号   2已存在手机号
            var callMobileType = 2;
            if(jQueryMap.layerArea.inputCheck.hasClass("checked")) {
                phoneNum = jQueryMap.layerArea.inputNum.val();
                if(!validatorUtils.isNumeric(phoneNum)) {
                    $.toast("请输入正确的电话号码");
                    return;
                }
                callMobileType = 1;
            } else {
                phoneNum = jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").attr("data-phone-num");
                callMobileType = 2;
                if(!phoneNum) {
                    $.toast("请选择电话号码");
                    return;
                }
            }
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
            var $this = $(this);
            var custId = jQueryMap.layerArea.selectBox.attr("data-custId");
            var staffId = model.dataStore.staffId;
            var curCustName = jQueryMap.layerArea.selectBox.attr("data-custName");
            // 用外呼系统打电话 
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            var param = {
                "staffId": staffId,
                "custId": custId,
                "followType": '2',
                "actionType": '1',
                "oper_type": '2',
                "followContent": "",
                "followDate": dealDate,
                "warnMin": "",
                "outerMobile": phoneNum,
                "call_mobile_type": callMobileType
            };
            service.queryFollowInfo(param, function(result) {
                if(!(result[0] && result[0].follow_id)) {
                    onCall = false;
                    $.alert("拨打电话出错，请稍后再试！");
                    return;
                }
                var tel = $.getSStorageInfo("mobileNo");
                param.follow_id=result[0].follow_id;
                followParam = param;
                jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                $page.find(".call_name").html(curCustName);
                $page.find(".callshow").show();
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
        });
        
        //选择是否手动输入号码
        $.bindEvent(jQueryMap.layerArea.inputCheck, function(e) {
            if($(this).hasClass("checked")) {
                $(this).removeClass("checked");
                jQueryMap.layerArea.inputNum.val(jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").text());
                jQueryMap.layerArea.selectBox.removeClass("disabled");
                jQueryMap.layerArea.inputNum.attr("disabled", true);
            } else {
                $(this).addClass("checked");
                jQueryMap.layerArea.inputNum.attr("disabled", false);
                jQueryMap.layerArea.selectBox.addClass("disabled");
            }
        });
        //选择拨打号码
        $.preBindEvent(jQueryMap.layerArea.selectBox, '.select_item', function(e) {
            if(jQueryMap.layerArea.selectBox.hasClass("disabled")) {
                return;
            } else {
                if($(this).hasClass("checked")) {
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                    return;
                } else {
                    $(this).addClass("checked").siblings().removeClass("checked");
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                }
            }
        });
    }

    function destroy() {
        myUtils.showLayer($page);
    	cleanPageElement();
        onCall = false;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "text"      : $page.find(".text"),
                "manage": $page.find("#manage"),
                "addbtn": $page.find("#add_btn")
            },
            "content": {
                "selectMen": $page.find("#select_men"),
                "callStatement" : $page.find("#call_statement")
            },
            "footer" : {
                "removeBtn": $page.find("#remove_btn"),
                "footBtn"   : $page.find("#footBtn")
            },
            "layerArea": {
                "choiceshow": $page.find("#choiceshow"),
                "cancel": $page.find("#cancel"),
                "callOut": $page.find("#callOut"),
                "inputCheck": $page.find("#inputCheck"),
                "selectItems": $page.find("#selectItems"),
                "selectBox": $page.find("#selectBox"),
                "inputNum": $page.find("#inputNum"),
                "selectItems": $page.find("#selectItems"),
                "emplopyeeNum": $page.find("#emplopyee_num"),
                "noPhone": $page.find("#noPhone")
            }
        };
    }

    function initPage() {
        groupId = $.getSStorageInfo("groupId");
        //为了方便后面在添加组成员的时候和创建组和组成员做区别
        $.setSStorageInfo("prePrePage","oldGroup");
        //显示管理组成员
        showCustomList("");
    }


    function showCustomList(key){
        service.managerGroupMan({
            "staffId"  : $.getSStorageInfo("staffId"),
            "actionType": "0",
            "groupId":groupId
        }, function (data) {
            // 将客户数据显示到页面
            showCustomInfo(data,key);
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    function showCustomInfo(results,key){
        var htmlStr = "";
        myUtils.sortLetter(results, function (resLetter) {
            $.each(resLetter.letterArr, function (index, letter) {
                //htmlStr += "<dl><dt>" +letter+ "</dt><dd>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    if(item.customerType == "1"){
                        htmlStr += '<li data-custId="'+item.custId+'"><div class="linfo_box"><em class="check_box"><input type="checkbox" /></em><img src="../../../images/list-hd01.png"/><strong>'+item.name+'</strong><span>潜在</span></div><div class="opr_box"><a id="follow_btn" href="#">跟进</a><a data-cust_name="'+item.name+'" data-custId="'+item.custId+'" data-custNo="'+item.custNo+'" data-cust_type="'+item.customerType+'" href="javascript:void(0)" class="icon_tel"></a></div></li>';
                    }else{
                        htmlStr += '<li data-custId="'+item.custId+'"><div class="linfo_box"><em class="check_box"><input type="checkbox" /></em><img src="../../../images/list-hd01.png"/><strong>'+item.name+'</strong><span>'+(item.relationType == "0" ? "分配客户": (item.relationType == "1" ? "开发客户" :"非考核客户"))+'</span></div><div class="opr_box"><a id="follow_btn" href="#">跟进</a><a data-cust_name="'+item.name+'" data-custId="'+item.custId+'" data-custNo="'+item.custNo+'" data-cust_type="'+item.customerType+'" href="#" class="icon_tel"></a></div></li>';
                    }
                });
                //htmlStr += "</dd></dl>"
            });
            jQueryMap.content.selectMen.html(htmlStr);
            if(key==2){
            	 jQueryMap.content.selectMen.find("li").addClass("act");	
            }
        }); 
    }
    // 获取客户电话列表
    function getPhoneNumList(custNo, custId, custName) {
        jQueryMap.layerArea.emplopyeeNum.text("您当前的登录号码：" + $.getSStorageInfo("mobileNo"));
        service.queryCustPhone({
            "custNo": custNo
        }, function(data) {
            jQueryMap.layerArea.selectItems.html("");
            if(data.length > 0) {
                var htmlStr = "";
                var selectNo = 1;
                for(var i = 0; i < data.length; i++) {
                    htmlStr += '<div class="select_item"><div>';
                    if(data[i].lxfsmz) {
                        htmlStr += '<p class="phone_name">'+ data[i].lxfsmz +'：</p>';
                    }
                    htmlStr += '<p class="phone_num" data-phone-num="'+ data[i].lxhm +'">' + data[i].lxhm.replace(/(\d{7})[\d\D]*/, "$1****") + '</p></div><div><a class="checkbox"></a></div></div>';
                    if(data[i].select=="true") {
                        selectNo = i + 1;
                    }
                }
                jQueryMap.layerArea.selectItems.html(htmlStr);
                jQueryMap.layerArea.selectItems.find(".select_item:nth-child("+selectNo+")").click();
                jQueryMap.layerArea.noPhone.hide();
                jQueryMap.layerArea.selectItems.show();
            } else {
                jQueryMap.layerArea.selectItems.html("");
                jQueryMap.layerArea.selectItems.hide();
                jQueryMap.layerArea.noPhone.show();
                jQueryMap.layerArea.inputCheck.click();
            }
            jQueryMap.layerArea.selectBox.attr("data-custId", custId);
            jQueryMap.layerArea.selectBox.attr("data-custName", custName);
            // 电话请求成功弹出打电话
            $page.find(".choiceshow").show();
        });
    }

    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.header.text.html("管理");
    	jQueryMap.header.text.attr("id","manage");
        jQueryMap.content.selectMen.find("li input").removeClass("on");
        jQueryMap.footer.removeBtn.addClass("disabled");
        jQueryMap.content.selectMen.html("");
        jQueryMap.footer.removeBtn.html("删除");
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        jQueryMap.layerArea.selectItems.hide();
        jQueryMap.layerArea.noPhone.hide();
        jQueryMap.layerArea.selectItems.html("");
        jQueryMap.layerArea.inputNum.val("");
        jQueryMap.layerArea.emplopyeeNum.text("");
        jQueryMap.layerArea.inputNum.attr("disabled", true);
        jQueryMap.layerArea.inputCheck.removeClass("checked");
        jQueryMap.layerArea.selectBox.removeClass("disabled");
        jQueryMap.layerArea.selectBox.removeAttr("data-custId");
        jQueryMap.layerArea.selectBox.removeAttr("data-custName");
        jQueryMap.footer.footBtn.hide();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
