define("financial/scripts/customer/group/nameInp.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_nameInp");
    var groupId;
    var groupName;

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //当输入用户组名称的时候显示图标
        $.bindEvent(jQueryMap.content.groupName, function () {
            var $this = $(this);
            if( $this.val() !== "" ){
                jQueryMap.content.clearInput.show();
                $.bindEvent(jQueryMap.content.clearInput,function(){
                    $this.val("");
                    $(this).hide();
                });
            }else{
                jQueryMap.content.clearInput.hide();
            }
        },"input");

        $.bindEvent(jQueryMap.header.savaBtn, function () {
            if( jQueryMap.content.groupName.val() === "" ){
                $.toast("请输入组名");
                return false;
            }
            groupName = jQueryMap.content.groupName.val();
            $.setSStorageInfo("groupName",groupName);
            //修改组名的时候先去手动的遍历缓存的客户然后修改相应的数据
            // 比用同步的方法查询接口然后更新缓存更快
            var allGroup = model.dataStore.custom.allGroup;
            if(allGroup){
                for(var i=0;i<allGroup.length;i++){
                    if(allGroup[i].groupId == groupId){
                        allGroup[i].groupName=groupName;
                    }
                }
            }
            model.dataStore.custom.allGroup = allGroup;
            //调用1201203接口把客户分组的组名存进
            putGroupName();
        });

    }

    function destroy() {
    	// 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"      : $page.find("#mktGoBack"),
                "savaBtn"   : $page.find("#sava_btn")
            },
            "content": {
                "groupName"  : $page.find("#group_name"),
                "clearInput" : $page.find("#clear_input")
            }
        };
    }

    function initPage() {
        groupName=$.getSStorageInfo("groupName");
        groupId = $.getSStorageInfo("groupId");       
    }

    //调用1201203接口把客户分组的组名存进
    function putGroupName(){
        service.managerGroup({
            "staffId": model.dataStore.staffId,
            "actionType":3,
            "groupName":groupName,
            "groupId":groupId
        },function(){
            //myUtils.getGroupName();
            $.toast("成功修改客户组名");
            $.pageBack();
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.clearInput.hide();
        jQueryMap.content.groupName.val("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
