define("financial/scripts/customer/group/search.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_group_search");

    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.customerList.html("");
        	jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
        });

        //点击查看客户组详情
        $.preBindEvent(jQueryMap.content.customerList, "li", function () {
            var $this = $(this);
            var groupId = $this.attr("data-groupId");
            var stickFlag = $(this).attr('data-stickFlag');
            var groupName = $this.find("span").html();
            $.setSStorageInfo("groupName",groupName);
            $.setSStorageInfo("groupId",groupId);
            $.setSStorageInfo("stickFlag",stickFlag);
            $.pageInit("customer/group/search", "customer/group/creSuc","","right",true);
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#searchInput"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clearBtn"),
                "btnIcon"  : $page.find("#btn_Icon")

            },
            "content": {
                "customerList": $page.find("#customerList"),
                "emptyTip"       : $page.find("#emptyTip")

            }
        };
    }

    function initPage() {
        /**********  搜索公共的部分  begin ********/
        //if ($.getSStorageInfo("_prePageCode") === "effect/effect") {
            // 重置页面元素
            cleanPageElement();
            setTimeout(function () {
                jQueryMap.header.searchInput.trigger("focus");
            }, 100);
        //}

    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            //jQueryMap.content.customerList.html("");
            //jQueryMap.content.emptyTip.show();
            // 检测键盘是否还是展开状态
        	jQueryMap.content.customerList.html("");
        	jQueryMap.content.emptyTip.hide();
            if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {
                $.toast("请输入搜索关键字！");
            }
            return false;
        }
        putGroupName(searchText);
    }

    //
    function putGroupName(searchText){
        service.managerGroup({
            "staffId"    : model.dataStore.staffId,
            "actionType" : 0,
            "searchTxt" : searchText
        },function(data){
            if(data.length>0){
                jQueryMap.content.emptyTip.hide();
                jQueryMap.content.customerList.html("");
                showGroup(data);
            }else{
                jQueryMap.content.emptyTip.show();
                jQueryMap.content.customerList.html("");
            }
        });
    }

    function showGroup(results){
        var htmlStr = "";
        $.each(results, function (index, letter) {
            if(letter.amount == ""){
                letter.amount = "0";
            }
            htmlStr +="<li data-groupId='"+ letter.groupId +"' data-stickFlag='"+letter.stickFlag+"'><a href='javascript:void(0)'><strong>" + letter.groupName.substr(0,1) + "</strong><span>" + letter.groupName + "</span><em>" + letter.amount + "</em></a></li>";

        });
        jQueryMap.content.customerList.html(htmlStr);
    }

    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.customerList.html("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
