define("financial/scripts/customer/myCustomer.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_myCustomer");
    //开发客户分配客户 非考核客户
    var relationType;

    var page="1";
    var letterArr = [];  //接收月份
    var totalPages;
    var scrollJudge = true;//判断是否到底可以滑动?
    var followId="";
    var onCall = false;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 滑动搜索
        //var objs = jQueryMap.content;
        //myUtils.swipeToSearch(objs.letterBox, objs.custList, objs.tipBox, ">h3", objs.contentSwipe, "128");

        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            myUtils.showLayer($page);
    	    cleanPageElement();
            $.pageBack(null,'');
        });

        //点击搜索跳转搜索页面
        $.bindEvent(jQueryMap.content.search, function () {
            $.pageInit("customer/devCustomer","customer/cusSearch");
        });

        // 展开筛选页面
        $.bindEvent(jQueryMap.header.screen, function () {
            myUtils.moveTo("in","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        $.preBindEvent(jQueryMap.content.custList, "li", function (e) {
            var $this = $(this);
            var custId = $this.attr("id");
            $.setSStorageInfo("custId",custId);
            $.setSStorageInfo("customerType","2");
            if(e.target.className == "icon_tel"){
                var callAuth = $.getSStorageInfo("call_auth");
                if(callAuth != "1") {
                    $.toast("外呼权限不足！");
                    return;
                }
                if (onCall) {
                    return;
                }
                onCall = true;
                getPhoneNumList($(this).find("a").attr("data-custNo"), $(this).find("a").attr("data-custId"), $(this).find("a").attr("data-cust_name"));
                return;
            }
            if(e.target.className == "icon_msg"){
                /*var mobile = $(this).find("a").attr("data-mobile");
                $.callMessage({
                    "funcNo"    : "50221",
                    "telNo"     : jQueryMap.content.mobile.html()
                });
                return;*/
            }
            if(e.target.className == "icon_chat"){
                var mobile = $(this).find("a").attr("data-mobile");
                var custNo = $(this).find("a").attr("data-custNo");
                /*$.callMessage({
                    "funcNo"    : "50220",
                    "telNo"     : mobile,
                    "callType"  : "0"
                });*/
                service.callMobile({
                    "userCode": $.getSStorageInfo("employeeNo"),
                    "custNo": custNo
                });
                return;
            }
            $.pageInit("custom/myCustomer","customer/detail/customerDetail");
        });
        
       //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            $.pageInit("custom/myCustomer","customer/detail/custServiceInput",{"followParam": followParam});
        });

        /**
         * 下面都是筛选页面的绑定时间
         */
        //切换筛选的页面
        $.preBindEvent($page.find(".ft_tab_nav"), "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var id = $(this).attr("id");
            $page.find("#"+id+"Tab").show();
            $page.find("#"+id+"Tab").siblings("div").hide();
        });

        //已签约和未签约的单选和已购买和未购买的单选
        $.preBindEvent(jQueryMap.filter.singleCheck, "li", function () {
             var $this = $(this);
            if ($this.hasClass("act")) {
                $this.removeClass("act");
            } else {
                $this.addClass("act").siblings().removeClass("act");
            }
        });

        //风险等级和标签和主题列表的多选
        $.preBindEvent(jQueryMap.filter.doubleCheck, "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
                $(this).addClass("act");
            }
        });

        // 筛选--点击完成
        $.bindEvent(jQueryMap.filter.ok, function () {
            scrollJudge = false;
            //判断筛选条件
            checkParam();
        });

        //重置按钮
        $.bindEvent(jQueryMap.filter.resetBtn, function () {
            scrollJudge = false;
            jQueryMap.filter.doubleCheck.find("li").removeClass("act");
            jQueryMap.filter.singleCheck.find("li").removeClass("act");
            $page.find("#inputWrap input").val("");
            jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
            $page.find("#getCus").addClass("act").siblings().removeClass("act");
            jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
            $page.find("#getCusTab").show().siblings("#signTab").hide();
        });

        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.filter.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //折叠隐藏
        $.bindEvent(jQueryMap.filter.clickCollapse, function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });
        $.preBindEvent(jQueryMap.filter.systemTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
            if(scrollJudge){
                var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
                    if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                        page++;
                        getDBCustomer();
                    },600);
                }
            }
        },"scroll");
        //取消打电话
        $.bindEvent(jQueryMap.layerArea.cancel, function(e) {
            onCall = false;
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
        });
        //确认打电话
        $.bindEvent(jQueryMap.layerArea.callOut, function(e) {
            var phoneNum = '';
            // 1 手工录入手机号   2已存在手机号
            var callMobileType = 2;
            if(jQueryMap.layerArea.inputCheck.hasClass("checked")) {
                phoneNum = jQueryMap.layerArea.inputNum.val();
                if(!validatorUtils.isNumeric(phoneNum)) {
                    $.toast("请输入正确的电话号码");
                    return;
                }
                callMobileType = 1;
            } else {
                phoneNum = jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").attr("data-phone-num");
                callMobileType = 2;
                if(!phoneNum) {
                    $.toast("请选择电话号码");
                    return;
                }
            }
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
            var $this = $(this);
            var custId = jQueryMap.layerArea.selectBox.attr("data-custId");
            var staffId = model.dataStore.staffId;
            var curCustName = jQueryMap.layerArea.selectBox.attr("data-custName");
            // 用外呼系统打电话 
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            var param = {
                "staffId": staffId,
                "custId": custId,
                "followType": '2',
                "actionType": '1',
                "oper_type": '2',
                "followContent": "",
                "followDate": dealDate,
                "warnMin": "",
                "outerMobile": phoneNum,
                "call_mobile_type": callMobileType
            };
            service.queryFollowInfo(param, function(result) {
                if(!(result[0] && result[0].follow_id)) {
                    onCall = false;
                    $.alert("拨打电话出错，请稍后再试！");
                    return;
                }
                var tel = $.getSStorageInfo("mobileNo");
                param.follow_id=result[0].follow_id;
                followParam = param;
                jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                $page.find(".call_name").html(curCustName);
                $page.find(".callshow").show();
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
        });
        
        //选择是否手动输入号码
        $.bindEvent(jQueryMap.layerArea.inputCheck, function(e) {
            if($(this).hasClass("checked")) {
                $(this).removeClass("checked");
                jQueryMap.layerArea.inputNum.val(jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").text());
                jQueryMap.layerArea.selectBox.removeClass("disabled");
                jQueryMap.layerArea.inputNum.attr("disabled", true);
            } else {
                $(this).addClass("checked");
                jQueryMap.layerArea.inputNum.attr("disabled", false);
                jQueryMap.layerArea.selectBox.addClass("disabled");
            }
        });
        //选择拨打号码
        $.preBindEvent(jQueryMap.layerArea.selectBox, '.select_item', function(e) {
            if(jQueryMap.layerArea.selectBox.hasClass("disabled")) {
                return;
            } else {
                if($(this).hasClass("checked")) {
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                    return;
                } else {
                    $(this).addClass("checked").siblings().removeClass("checked");
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                }
            }
        });
    }

    

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack"),
                "screen" : $page.find(".icon_filter")
            },
            "content": {

                //文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "custList"     : $page.find(".create_box"),
            	//客户基本信息
                "search"	   : $page.find("#search"),

                "customerName"  : $page.find("#customerName"),

            	"allCount"     : $page.find("#allCount"),
            	"allAssets"   : $page.find("#allAssets"),
                "noData"        : $page.find("#noData"),
                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData"),
                "callStatement" : $page.find("#call_statement")
            },
            "footer": {
                "followUp": $page.find("#follow_up")
            },
            "filter": {
                //主题
                "bkhkSubject": $page.find("#bkhkSubject"),
                "zzqySubject": $page.find("#zzqySubject"),
                //页面旁边的标签页
                "doubleCheck" : $page.find(".doubleCheck"),
                "singleCheck" : $page.find(".singleCheck"),
                "system"      : $page.find("#system"),
                "definded"    : $page.find("#definded"),
                "systemTab"   : $page.find("#systemTab"),
                "defindedTab" : $page.find("#defindedTab"),
                "checkedBox"  : $page.find(".ftag_box"),
                "tags"        : $page.find("#tags"),
                "riskCheck"   : $page.find("#riskCheck"),
                "inverstVariet"   : $page.find("#inverstVariet"),
                "inverstTerm"   : $page.find("#inverstTerm"),
                "exprofit"   : $page.find("#exprofit"),
                //筛选页面的输入项
                "assetLeast"    : $page.find("#assetLeast"),
                "assetMost"     : $page.find("#assetMost"),
                "yjlLeast"      : $page.find("#yjlLeast"),
                "yjlMost"       : $page.find("#yjlMost"),
                "yjAmountLeast" : $page.find("#yjAmountLeast"),
                "yjAmountMost"  : $page.find("#yjAmountMost"),
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),
                "ok"		    : $page.find("#ok"),
                "resetBtn"     : $page.find(".reset_btn"),
                //折叠隐藏
                "clickCollapse" : $page.find(".clickCollapse"),

            },
            "layerArea": {
                "choiceshow": $page.find("#choiceshow"),
                "cancel": $page.find("#cancel"),
                "callOut": $page.find("#callOut"),
                "inputCheck": $page.find("#inputCheck"),
                "selectItems": $page.find("#selectItems"),
                "selectBox": $page.find("#selectBox"),
                "inputNum": $page.find("#inputNum"),
                "selectItems": $page.find("#selectItems"),
                "emplopyeeNum": $page.find("#emplopyee_num"),
                "noPhone": $page.find("#noPhone")
            }
        };
    }

    function initPage() {
        var prePageCode = $.getSStorageInfo("_prePageCode");
        if(prePageCode === "customer/detail/customerDetail" || prePageCode == "customer/cusSearch" || prePageCode == "customer/detail/custServiceInput"){
            //遮罩层去掉
            myUtils.hideLayer($page);
            return;
        }
        // 重置页面元素
        cleanPageElement();
        relationType = $.getSStorageInfo("relationType");
        if(relationType=="1"){
            jQueryMap.content.customerName.html("开发客户");
        }else if(relationType=="0"){
            jQueryMap.content.customerName.html("分配客户");
        }else if(relationType=="2"){
            jQueryMap.content.customerName.html("非考核客户");
        } else if(relationType=="4"){
            jQueryMap.content.customerName.html("渠道协作客户");
        }else {
            jQueryMap.content.customerName.html("分配渠道协作客户");
        }
        //exitMyCustomer 开发客户1 allotCustomer 分配客户0 assessCustomer 非考核客户2
        //var exitMyCustomer = model.dataStore.custom.myCustomer;
        //var exitallotCustomer = model.dataStore.custom.allotCustomer;
        //var exitassessCustomer = model.dataStore.custom.assessCustomer;
        //if(exitMyCustomer && exitMyCustomer != "" && relationType == "1"){
        //    fillCustList(exitMyCustomer);
        //}else {
        //    //查询潜在客户的接口
        //    getCustomerList({});
        //}
        //if(exitallotCustomer && exitallotCustomer != "" && relationType == "0"){
        //    fillCustList(exitallotCustomer);
        //}else {
        //    //查询潜在客户的接口
        //    getCustomerList({});
        //}
        //if(exitassessCustomer && exitassessCustomer != "" && relationType == "2"){
        //    fillCustList(exitassessCustomer);
        //}else {
            //查询潜在客户的接口
            //getCustomerList({});
        getDBCustomer();
        //}

        //查询客户个人的标签
        manageTag("3","");

        ///查询所有爆款获客、增值签约主题信息
        queryAllSubjectInfo();
    }


    function destroy() {
        // myUtils.showLayer($page);
        // cleanPageElement();
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        onCall = false;
        service.destroy();
    }

    function getCustomerList(paramMap){
        paramMap.staffId = model.dataStore.staffId;
        paramMap.customerType = "2",
        paramMap.relationType = $.getSStorageInfo("relationType");
        service.getCustomList(paramMap,function(result){
        	//总数据赋值
        	//var contact = [{"id":"allCount", "text":"总人数",  "wtext":"总人数(万人)"},
        	//               {"id":"allAssets","text":"净资产","wtext":"净资产(万元)"}];
            //$.each(contact,function(index,iDom){
            	//var num = myUtils.changeMoney(parseFloat(result.count[0][iDom.id])).num;
            	//var state = myUtils.changeMoney(parseFloat(result.count[0][iDom.id])).state;
            	//jQueryMap.content[iDom.id].html(num);
            	//state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
            //});
            if(result.custList.length>0){
                //exitMyCustomer 开发客户1 allotCustomer 分配客户0 assessCustomer 非考核客户2
                //if(relationType == "1"){
                //    //缓存 开发客户1
                //    model.dataStore.custom.myCustomer = result.custList;
                //}else if(relationType == "0"){
                //    //缓存 分配客户0
                //    model.dataStore.custom.allotCustomer = result.custList;
                //}else if(relationType == "2"){
                //    //缓存 非考核客户2
                //    model.dataStore.custom.assessCustomer = result.custList;
                //}

                jQueryMap.content.noData.hide();
                fillCustList(result.custList);
            }else{
                //暂无联系人的图标出现
                jQueryMap.content.custList.html("");
                jQueryMap.content.noData.show();
            }
            //遮罩层去掉
              myUtils.hideLayer($page);
        });
    }
    
    function fillCustList(result){
    	var htmlStr = "";
        myUtils.sortLetter(result, function (resLetter) {
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += '<h3 data-letter="'+letter+'">'+letter+'</h3><ul class="cust_list">';
                $.each(resLetter.branchMap[letter], function (index, item) {
                    htmlStr += '<li id="'+item.custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+item.customerType+'"><strong>'+item.name+'</strong><small>'+item.mobile+'</small></div><div class="opr_box"><a data-cust_name="'+item.name+'" data-custId="'+item.custId+'" data-custNo="'+item.custNo+'" href="javascript:void(0);" class="icon_tel"></a></div></li>';// <a href="javascript:void(0);" class="icon_chat"></a>
                });
                htmlStr += "</ul>";

            });
            jQueryMap.content.custList.html(htmlStr);

        });
    	jQueryMap.content.custList.html(htmlStr);

    }

    function getDBCustomer(){
        service.getDBCustomer({
            "staffId"      : model.dataStore.staffId,
            "customerType" : "2",
           "relationType"  : $.getSStorageInfo("relationType"),
            "pageIndex"    : page,       //系统标签分组编号  N
            "pageSize"     : "20"
        },function(result){
            //总数据赋值
            var contact = [{"id":"allCount", "text":"总人数",  "wtext":"总人数(万人)"},
                {"id":"allAssets","text":"净资产","wtext":"净资产(万元)"}];
            $.each(contact,function(index,iDom){
                var num = myUtils.changeMoney(parseFloat(result.count[0][iDom.id])).num;
                var state = myUtils.changeMoney(parseFloat(result.count[0][iDom.id])).state;
                jQueryMap.content[iDom.id].html(num);
                state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
            });
            var custData = result.custList[0].data;
            totalPages = result.custList[0].totalPages;
            if(page == totalPages && page !=1){
                //jQueryMap.content.noData.show();
                jQueryMap.content.emptyData.show();
            }else{
                jQueryMap.content.emptyData.hide();
                //jQueryMap.content.noData.hide();
            }
            if(custData.length>0){
                jQueryMap.content.noData.hide();
                //model.dataStore.custom.allCustomer = result.custList;
                fillDBCustomer(custData);
            }else{
                jQueryMap.content.custList.html("");
                jQueryMap.content.noData.show();
                //暂无联系人的图标出现
            }

            myUtils.hideLayer($page);
        });
    }

    function fillDBCustomer(result){
        // 遍历数据monthData
        if(page == "1"){
            letterArr = [];
        }
        var letterStr;
        var htmlStr;
        for (var i = 0; i < result.length; i++) {
            if ($.inArray(result[i].firstCode, letterArr) == -1) {
                letterArr.push(result[i].firstCode);
                if(result[i].firstCode!=""){
                    letterStr = '<h3 data-letter="'+result[i].firstCode+'">'+result[i].firstCode+'</h3><ul class="cust_list"></ul></h3>';
                }else{
                    letterStr = '<h3 data-letter="'+result[i].firstCode+'">#</h3><ul class="cust_list"></ul></h3>';
                }
                jQueryMap.content.custList.append(letterStr);
            }
            htmlStr = '<li id="'+result[i].custId+'"><img src="../../images/add_lhd03.png"/><div class="lbox_txt" data-customerType="'+result[i].customerType+'"><strong>'+result[i].name+'</strong><small>'+""+'</small></div><div class="opr_box">'+""+'<a data-cust_name="'+result[i].name+'" data-custId="'+result[i].custId+'" data-custNo="'+result[i].custNo+'" href="javascript:void(0);" class="icon_tel"></a></div></li>';
            $page.find("ul.cust_list:last").append(htmlStr);
        }
        scrollJudge =true;
        jQueryMap.content.loadIcon.hide();
    }

    function manageTag(actionType,tagId){
        service.customerTag({
            "staffId"    :  model.dataStore.staffId,
            "actionType" :  actionType,
            "tagId"      :  tagId
        },function(result){
            //先填充系统标签类别，再在相应的类别下添加相应的标签
            fillSysTagType(result.tagTypeList);
            fillSysTag(result.publicTagsList);
            //填充自定义的标签
            fillDefineTag(result.privateTagsList);
        });
    }

    /**
     * 填充系统标签类型
     */
    function fillSysTagType(result){
        var htmlStr = "";
        for(var i=0;i<result.length;i++){

            htmlStr += '<h4 class="collapse">'+result[i].tagTypeName+'<a href="javascript:void(0);"></a></h4><div class="ftag_box"><ul id="' + result[i].tagTypeNo + '"></ul></div>';

        }
        jQueryMap.filter.systemTab.html(htmlStr);
    }

    /**
     * 填充系统标签
     */

    function fillSysTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr = '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
            $("#"+result[i].tagTypeNo).append(htmlStr);
        }

        $.each(jQueryMap.filter.systemTab.find("ul"),function(index,dom){
            if($(this).html() == ""){
                $(this).parent().hide();
                $(this).parent().prev().hide();
            }
        });


    }

    /**
     * 填充自定义标签
     */

    function fillDefineTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr += '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
        }
        jQueryMap.filter.defindedTab.find("ul").html(htmlStr);
    }

    //查询主题的
    function queryAllSubjectInfo(){
        service.queryAllSubjectInfo({},function(result){
            var bkhkStr = "";
            var zzqyStr = "";
            for(var i=0; i<result.bkhkList.length;i++){
                bkhkStr += '<li data-subjectId="'+result.bkhkList[i].subjectId+'"><span>'+result.bkhkList[i].subjectName+'</span></li>';
            }
            for(var j=0; j<result.zzqyList.length;j++){
            	var name = result.zzqyList[j].productName;
            	name = name.substring(name.indexOf(".")+1,name.length);
                zzqyStr += '<li data-productNo="'+result.zzqyList[j].productNo+'"><span>' + name + '</span></li>';
            }
            jQueryMap.filter.bkhkSubject.html(bkhkStr);
            jQueryMap.filter.zzqySubject.html(zzqyStr);
        });
    }

    //检查筛选的参数
    function checkParam(){
        scrollJudge =false;
        var paramMap={};
        var flag = true;
        // 判断用户是不是没选参数
        //var checkFlag = false;

        //获取标签
        var tags="";
        $.each(jQueryMap.filter.tags.find("li.act"), function () {
           // checkFlag = true;
            tags += $(this).attr("data-tagId")+',';
        });
        paramMap.tags = tags.substr(0,tags.length-1);

        //var buyFlag = "";
        //if($page.find("#getCusTab .singleCheck li.act").attr("data-bugFlag")){
        //  // checkFlag = true;
        //    buyFlag = $page.find("#getCusTab .singleCheck li.act").attr("data-bugFlag");
        //}
        //paramMap.buyFlag =buyFlag;

        var qyFlag="";
        if( $page.find("#signTab .singleCheck li.act").attr("data-qyFlag") ){
           // checkFlag = true;
            qyFlag = $page.find("#signTab .singleCheck li.act").attr("data-qyFlag");
        }
        paramMap.qyFlag =qyFlag;

        var is_login_ycf="";
        if( $page.find("#loginCheck li.act").attr("data-login") ){
            is_login_ycf = $page.find("#loginCheck li.act").attr("data-login");
        }
        paramMap.is_login_ycf =is_login_ycf;

        //获取主题选中列表
        var subjectIds="";
        var productNos = "";
        $.each(jQueryMap.filter.bkhkSubject.find("li.act"), function () {
           // checkFlag = true;
            subjectIds += $(this).attr("data-subjectId")+',';
        });
        $.each(jQueryMap.filter.zzqySubject.find("li.act"), function () {
           // checkFlag = true;
        	productNos += $(this).attr("data-productNo")+',';
        });
        paramMap.subjectIds =subjectIds.substr(0,subjectIds.length-1);
        paramMap.productNos =productNos.substr(0,productNos.length-1);

        
        //客户风险等级
        var risk="";
        $.each(jQueryMap.filter.riskCheck.find("li.act"), function () {
            //checkFlag = true;
            risk += $(this).attr("data-risk")+',';
        });
        paramMap.risk =risk.substr(0,risk.length-1);
        
       //客户投资品种
        var inverstVariet="";
        $.each(jQueryMap.filter.inverstVariet.find("li.act"), function () {
            //checkFlag = true;
        	inverstVariet += $(this).attr("data-risk")+',';
        });
        paramMap.inverstVariet =inverstVariet.substr(0,inverstVariet.length-1);
        
       //客户投资期限
        var inverstTerm="";
        $.each(jQueryMap.filter.inverstTerm.find("li.act"), function () {
            //checkFlag = true;
        	inverstTerm += $(this).attr("data-risk")+',';
        });
        paramMap.inverstTerm =inverstTerm.substr(0,inverstTerm.length-1);
        
        //客户预期收益
        var exprofit="";
        $.each(jQueryMap.filter.exprofit.find("li.act"), function () {
            //checkFlag = true;
        	exprofit += $(this).attr("data-risk")+',';
        });
        paramMap.exprofit =exprofit.substr(0,exprofit.length-1);

        $.each(["assetLeast","assetMost","yjlLeast","yjlMost","yjAmountLeast","yjAmountMost"], function (index, item) {
            paramMap[item] = jQueryMap.filter[item].val();
            if( paramMap[item] && !(/^[0-9]+.?[0-9]*$/.test( Number(paramMap[item]) )) ){
                flag = false;
                $.toast("请输入数字格式的内容!");
                return false;
            }
            //else if( paramMap[item] ){
            //    checkFlag = true;
            //}
        });

        if(!flag){
            return false;
        }

        //if(Number(paramMap.assetMost) < Number(paramMap.assetLeast)){
        //    $.toast("后面输入的现有净资产要不小于前面输入的现有净资产");
        //    return false;
        //}
        //if(Number(paramMap.yjlLeast) < Number(paramMap.yjlMost)){
        //    $.toast("后面输入的佣金率要不小于前面输入的佣金率");
        //    return false;
        //}
        //if(Number(paramMap.yjAmountMost) < Number(paramMap.yjAmountLeast)){
        //    $.toast("后面输入的本月净佣金要不小于前面输入的本月净佣金");
        //    return false;
        //}
        getCustomerList(paramMap);
        //搜索
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
    }

    // 获取客户电话列表
    function getPhoneNumList(custNo, custId, custName) {
        jQueryMap.layerArea.emplopyeeNum.text("您当前的登录号码：" + $.getSStorageInfo("mobileNo"));
        service.queryCustPhone({
            "custNo": custNo
        }, function(data) {
            jQueryMap.layerArea.selectItems.html("");
            if(data.length > 0) {
                var htmlStr = "";
                var selectNo = 1;
                for(var i = 0; i < data.length; i++) {
                    htmlStr += '<div class="select_item"><div>';
                    if(data[i].lxfsmz) {
                        htmlStr += '<p class="phone_name">'+ data[i].lxfsmz +'：</p>';
                    }
                    htmlStr += '<p class="phone_num" data-phone-num="'+ data[i].lxhm +'">' + data[i].lxhm.replace(/(\d{7})[\d\D]*/, "$1****") + '</p></div><div><a class="checkbox"></a></div></div>';
                    if(data[i].select=="true") {
                        selectNo = i + 1;
                    }
                }
                jQueryMap.layerArea.selectItems.html(htmlStr);
                jQueryMap.layerArea.selectItems.find(".select_item:nth-child("+selectNo+")").click();
                jQueryMap.layerArea.noPhone.hide();
                jQueryMap.layerArea.selectItems.show();
            } else {
                jQueryMap.layerArea.selectItems.html("");
                jQueryMap.layerArea.selectItems.hide();
                jQueryMap.layerArea.noPhone.show();
                jQueryMap.layerArea.inputCheck.click();
            }
            jQueryMap.layerArea.selectBox.attr("data-custId", custId);
            jQueryMap.layerArea.selectBox.attr("data-custName", custName);
            // 电话请求成功弹出打电话
            $page.find(".choiceshow").show();
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        page="1";
        followId="";
        jQueryMap.content.custList.html("");
    	myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
        jQueryMap.filter.systemTab.show();
        jQueryMap.filter.defindedTab.hide();
        jQueryMap.filter.systemTab.find("ul").html("");
        jQueryMap.filter.doubleCheck.find("li").removeClass("act");
        jQueryMap.filter.singleCheck.find("li").removeClass("act");
        $page.find("#inputWrap input").val("");

        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        jQueryMap.layerArea.selectItems.html("");
        jQueryMap.layerArea.inputNum.val("");
        jQueryMap.layerArea.selectItems.hide();
        jQueryMap.layerArea.noPhone.hide();
        jQueryMap.layerArea.emplopyeeNum.text("");
        jQueryMap.layerArea.inputNum.attr("disabled", true);
        jQueryMap.layerArea.inputCheck.removeClass("checked");
        jQueryMap.layerArea.selectBox.removeClass("disabled");
        jQueryMap.layerArea.selectBox.removeAttr("data-custId");
        jQueryMap.layerArea.selectBox.removeAttr("data-custName");
        $page.find("#page_box").scrollTop("0");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
