define("financial/scripts/customer/view.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("echarts");
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_view");
    var _pageId = "#customer_view ";

    //趋势的绘图
    var dateStrArray = [];
    var totalAssetArray = [];
    var settleArray = [];
    //佣金的绘图
    var commissionDate = [];
    var commissionArray = [];
    var tradingAmountArray = [];
    //十万资产客户数
    var moreCustListDate = [];
    var numArray = [];
    //沪深300指数
    var settleArray = [];
    var dateStrArray300 = [];

    //转介绍客户走势图的绘图
    var transationRegistDate = [];
    var transationArray = [];
    var registArray = [];

    var width;
    var dateType = "0";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {
        initPage();
    }

    function load() {
        $.setSStorageInfo("assetsChange_refresh", "1");
        loadPage();
    }

    function bindPageEvent() {
        //点击净资产 跳转到资产页面
        $.bindEvent(jQueryMap.content.clickAssets, function() {
            $.pageInit("customer/view", "customer/views/assets", {"dateType": dateType});
        });

        $.bindEvent(jQueryMap.content.clickCommission, function() {
            $.pageInit("customer/view", "customer/views/commission", {"dateType": dateType});
        });

        $.bindEvent(jQueryMap.header.allCustomer, function() {
            $.pageInit("customer/view", "customer/allCustomer");
        });

        $.bindEvent(jQueryMap.header.channelmode, function() {
            $.pageInit("customer/view", "customer/view_channel","","");
        });

        $.bindEvent(jQueryMap.content.assetPage, function() {
            $.pageInit("customer/view", "customer/views/assets", {"dateType": dateType});
        });

        $.bindEvent(jQueryMap.content.commissionPage, function() {
            $.pageInit("customer/view", "customer/views/commission", {"dateType": dateType});
        });

        $.bindEvent(jQueryMap.content.tradeAmountPage, function() {
            $.pageInit("customer/view", "customer/views/assetsChange");
        });

        $.bindEvent($page.find("#transationRegistPage"), function() {
            $.pageInit("customer/view", "customer/views/transationRegist");
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function(e) {
            if (e.target.id === "dataArea") {
                queryCustomer("1", month);
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function() {
            $.each(['allAssets', 'addAssets', 'allCust', 'addCust', 'tradeAmount', 'commission'], function(index, dom) {
                jQueryMap.content[dom].html("&#160;");
            });
            $(this).addClass("act").siblings().removeClass("act");
            if ($(this).attr("id") == "monthBox") {
                dateType = "1";
                queryCustomer(dateType, "");
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            } else if ($(this).attr("id") == "yearBox") {
                dateType = "2";
                queryCustomer(dateType, "");
            } else if ($(this).attr("id") == "dayBox") {
                dateType = "0";
                queryCustomer(dateType, "");
            }
        });

        // //弹框的日月年选择
        // $.preBindEvent(jQueryMap.content.selectDateIn, "li", function() {
        //     if ($(this).attr("id") == "month") {
        //         queryCustomer("1", month);
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
        //     } else if ($(this).attr("id") == "year") {
        //         jQueryMap.content.selectDate.find("#yearBox").addClass("act").siblings().removeClass("act");
        //         queryCustomer("2", "");
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);

        //     } else if ($(this).attr("id") == "day") {
        //         jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
        //         queryCustomer("0", "");
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        //     }
        // });

        // //选择弹框里面的月份
        // $.preBindEvent(jQueryMap.content.selectBox, "li", function() {
        //     $(this).addClass("act").siblings().removeClass("act");
        //     month = $(this).attr("data-month");
        //     if ($(this).attr("id") == "curMonth") {
        //         $page.find("#monthWrap").html("本月");
        //         $page.find("#month span").html("本月");
        //     } else {
        //         $page.find("#monthWrap").html(month.substr(5) + "/" + month.substr(0, 4));
        //         $page.find("#month span").html(month.substr(5) + "/" + month.substr(0, 4));
        //     }
        //     if (month.substr(5).length < 2) {
        //         month = month.substr(0, 4) + "-0" + month.substr(5);
        //     }
        //     queryCustomer("1", month);
        //     myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        // });

        //33333点击底部标签客户的时候跳转到营销模块
        $.bindEvent($page.find("#yingxiao"), function() {
            // dateType = "0";
            $.pageInit("customer/view", "subject/subject", "", "");
        });

        //33333点击底部标签客户的时候跳转到我的信息模块
        $.bindEvent($page.find("#customer1"), function() {
            // dateType = "0";
            $.pageInit("customer/view", "me/myIndex", "", "");
        });

        //33333点击底部标签客户的时候跳转到员工驾驶舱模块
        $.bindEvent($page.find("#cockpit"), function() {
            var pageCode;
            if ($.getSStorageInfo("postNo") == "ivtManager" || $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager") {
                pageCode = "cockpit/cockpitInvest";
            } else {
                pageCode = "cockpit/cockpit";
            }
            // dateType = "0";
            $.pageInit("subject/subject", pageCode, "", "");
        });


    }

    function destroy() {
        service.destroy();
        cleanPageElement();
    }


    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "allCustomer": $page.find("#allCustomer"),
                "channelmode": $page.find("#channel_mode"),
                "oldHead": $page.find("#oldHead"),
                "channelHead": $page.find("#channelHead")
            },
            "content": {
                //日月年的选择
                "selectDate": $page.find("#selectDate"),
                "selectDateIn": $page.find("#selectDateIn"),
                "selectBox": $page.find("#selectBox"),

                //文字滑动搜索
                "allAssets": $page.find("#allAssets"),
                "addAssets": $page.find("#addAssets"),
                "tradeAmount": $page.find("#tradeAmount"),
                "commission": $page.find("#commission"),
                "addCust": $page.find("#addCust"),
                "allCust": $page.find("#allCust"),

                "totalAssetChart": $page.find("#totalAssetChart"),
                "tradeAmountChart": $page.find("#tradeAmountChart"),
                "moreCustListChart": $page.find("#moreCustListChart"),
                "assetPage": $page.find("#assetPage"),
                "commissionPage": $page.find("#commissionPage"),
                "tradeAmountPage": $page.find("#tradeAmountPage"),
                //"totalAsset"   : $page.find(".fc_red")

                "clickAssets": $page.find(".clickAssets"),
                "clickCommission": $page.find(".clickCommission")
            },
            "footer": {
                //填充年月入
                "curMonth": $page.find("#curMonth"),
                "perMonth": $page.find("#perMonth"),
                "beforPreMonth": $page.find("#beforPreMonth")
                    //"followUp": $page.find("#follow_up")
            },
            "layerArea": {
                "dataArea": $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        //隐藏/显示系统底部TabBar
        myUtils.showBtn("customer", "1");
        // platform    "0": pc或手机浏览器; "1": android;  "2" :ios
        $.config.platform === "0" ? $page.find(".ft_inner").show() : $page.find(".ft_inner").hide();
        
        var postId = $.getSStorageInfo("postIdChannel");
        var postArray = ["111", "112", "113", "114", "115", "116"];
        if(postId && $.inArray(postId, postArray) > -1) {
            jQueryMap.header.oldHead.hide();
            jQueryMap.header.channelHead.show();
        } else {
            jQueryMap.header.channelHead.hide();
            jQueryMap.header.oldHead.show();
        }
        if(dateType == "0") {
            jQueryMap.content.selectDate.find("#dayBox").addClass("act");
        } else if(dateType == "1") {
            jQueryMap.content.selectDate.find("#monthBox").addClass("act");
        } else if(dateType == "2") {
            jQueryMap.content.selectDate.find("#yearBox").addClass("act");
        }
        $.setSStorageInfo("channelMode", "traditional");
    }

    function loadPage() {
        //走势图宽度设置
        width = parseFloat($(_pageId + ".ct_pbox").width());
        $(_pageId + "#totalAssetChart").css("width", width);
        $(_pageId + "#tradeAmountChart").css("width", width);
        $(_pageId + "#moreCustListChart").css("width", width);
        /* //动态生成弹层框里面最近三个月的li
         insertMonth();*/
        queryCustomer(dateType, "");
        //queryCustViewInfo();       
        queryCustViewList();

        //转介绍客户走势图
        // queryTransationRegist();
    }

    function queryCustomer(dateType, month) {
        var param = {
            "staffId": model.dataStore.staffId,
            "dateType": dateType,
            "month": month
        };
        service.queryCustViewInfo(param, function(result) {
            var contact = [{ "id": "allAssets", "text": "净资产", "wtext": "净资产(万)" },
                { "id": "addAssets", "text": "新开客户净资产", "wtext": "新开客户净资产(万)" },
                { "id": "tradeAmount", "text": "交易量", "wtext": "交易量(万)" },
                { "id": "commission", "text": "佣金贡献", "wtext": "佣金贡献(万)" }
            ];
            /* {"id":"addCust",    "text":"新开客户数","wtext":"新开客户数(万)"},
             {"id":"allCust",    "text":"考核客户",  "wtext":"考核客户(万)"}*/
            jQueryMap.content.addCust.html(result[0].addCust);
            jQueryMap.content.allCust.html(result[0].allCust);
            $.each(contact, function(index, iDom) {
                var num = myUtils.changeMoney(parseFloat(result[0][iDom.id])).num;
                var state = myUtils.changeMoney(parseFloat(result[0][iDom.id])).state;
                //            	jQueryMap.content[iDom.id].html(myUtils.changeUtil(result[0][iDom.id]));
                jQueryMap.content[iDom.id].html(num);
                state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
            });
            //遮罩层去掉
            myUtils.cancelLayer($page);
        });
    }

    function queryCustViewList() {
        var param = {
            "staffId": model.dataStore.staffId
        };
        service.queryCustViewList(param, function(results) {
            //趋势的绘图
            dateStrArray = [];
            totalAssetArray = [];
            tradingAmountArray = [];
            //佣金的绘图
            commissionDate = [];
            commissionArray = [];
            tradingAmountArray = [];
            //十万资产客户数
            moreCustListDate = [];
            numArray = [];
            if (results.assetsList.length > 0) {
                jQueryMap.content.totalAssetChart.html("");
                for (var i = 0, len = results.assetsList.length; i < len; i++) {
                    dateStrArray.push(results.assetsList[i].dateTime.substr(5, 10)); //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
                    totalAssetArray[i] = parseFloat(parseInt(results.assetsList[i].totalAssets) / 10000); //.toFixed(2);
                }
            } else {
                jQueryMap.content.totalAssetChart.html("暂无数据");
                jQueryMap.content.totalAssetChart.css({ "text-align": "center", "line-height": "160px" });
            }

            if (results.commissionList.length > 0) {
                jQueryMap.content.tradeAmountChart.html("");
                for (var j = 0, len = results.commissionList.length; j < len; j++) {
                    commissionDate[j] = results.commissionList[j].dateTime; //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
                    commissionArray[j] = parseFloat(parseInt(results.commissionList[j].commission) / 10000); //.toFixed(2);
                    tradingAmountArray[j] = parseFloat(parseInt(results.commissionList[j].tradeAmount) / 10000); //.toFixed(2);
                }
                commissionChart(); //画图
            } else {
                jQueryMap.content.tradeAmountChart.html("暂无数据");
                jQueryMap.content.tradeAmountChart.css({ "text-align": "center", "line-height": "160px" });
            }

            if (results.moreCustList.length > 0) {
                jQueryMap.content.moreCustListChart.html("");
                for (var z = 0, len = results.moreCustList.length; z < len; z++) {
                    moreCustListDate[z] = results.moreCustList[z].dateTime; //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
                    numArray[z] = parseFloat(results.moreCustList[z].num);
                }
                moreCustListChart(); //画图
            } else {
                jQueryMap.content.moreCustListChart.html("暂无数据");
                jQueryMap.content.moreCustListChart.css({ "text-align": "center", "line-height": "160px" });
            }
            getHQStock();

        });
    }

    //转介绍客户走势图
    function queryTransationRegist() {
        var param = {
            "date": '',
            "broker_no": $.getSStorageInfo("employeeNo"), //员工编号
            "phone": $.getSStorageInfo("mobileNo") //推荐人手机号
        };
        service.queryTransationRegist(param, function(results) {
            //转介绍客户走势图的绘图
            transationRegistDate = [];
            transationArray = [];
            registArray = [];
            if (results.length > 0) {
                $page.find("#transationRegistChart").html("");
                for (var j = 0; j < results.length; j++) {
                    var start_date = (results[j].start_date.substr(5, 10)).replace("-", ".");
                    var end_date = (results[j].end_date.substr(5, 10)).replace("-", ".");
                    transationRegistDate[j] = start_date + '-' + end_date;
                    transationArray[j] = results[j].transactions_num;
                    registArray[j] = results[j].register_num;
                }
                transationRegistChart(); //画图
            } else {
                $page.find("#transationRegistChart").html("暂无数据");
                $page.find("#transationRegistChart").css({ "text-align": "center", "line-height": "160px" });
            }
        });
    }

    /**
     * 查询股票行情
     */
    function getHQStock() {
        var day = new Date();
        var todayDate = day.getFullYear() + ((day.getMonth() + 1) >= 10 ? (day.getMonth() + 1) : "0" + (day.getMonth() + 1)) + (day.getDate() >= 10 ? day.getDate() : "0" + day.getDate());
        var ToDayAll = day.getFullYear() + "-" + (day.getMonth() + 1) + "-" + day.getDate();
        dateStrArray300 = model.getData(["hushen300Date", ToDayAll]);
        settleArray = model.getData(["hushen300Map", ToDayAll]);
        if (!settleArray) {
            $.ajax({
                url: $.config.global.marketServerPath,
                type: "get",
                async: true,
                success: function(data, textStatus) {
                    if (data.errorNo == "0") {
                        var results = data.results;
                        settleArray = [];
                        dateStrArray300 = [];
                        if (results && results.length > 0) {
                            var newDate = results[results.length - 1][0];
                            if (todayDate == newDate) {
                                results.splice(results.length - 1, 1);
                            } else {
                                results.splice(0, 1);
                            }
                            if (dateStrArray.length != 30) {
                                results.splice(0, results.length - dateStrArray.length);
                            }
                            for (var i = 0, len = results.length; i < len; i++) {
                                var item = results[i];
                                var settle = item[3] + ''; // 现价
                                var data = item[0] + '';
                                //settleArray[i] = settle.toFixed(2);
                                settleArray[i] = settle.substring(0, settle.length - 2) + "." + settle.substr(settle.length - 2);
                                dateStrArray300[i] = data.substring(4, 6) + "-" + data.substr(6);
                            }
                            var d = new Date();
                            var ToDay = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
                            model.dataStore.hushen300Date[ToDay] = dateStrArray300;
                            model.dataStore.hushen300Map[ToDay] = settleArray;
                        }
                        totalAssetChart(); //画图
                    } else {
                        $.toast(data.errorInfo);
                    }
                }
            });
        } else {
            totalAssetChart(); //画图
        }
    }
    //净资产绘图    沪深300与净资产
    //echart画图   
    function totalAssetChart() {
        $(_pageId + "#totalAssetChart").css("width", width);
        var myChart = echarts.init(jQueryMap.content.totalAssetChart[0]);
        option = {
            //提示框
            tooltip: {
                trigger: 'axis',
                padding: 5,
                formatter: function(params) {
                    var res = params[1].name + "<br/>" + "净资产:" + (params[0].data > 1 ? params[0].data.toFixed(2) + "万元" : parseInt(params[0].data * 10000) + "元") + "<br/>" + "指数:" + params[1].data;
                    return res;
                }
            },
            //图例
            legend: {
                orient: 'horizontal', // 'vertical'
                y: 'bottom', // 'center' | 'bottom' | {number}
                padding: 25, // [5, 10, 15, 20]
                itemWidth: 12,
                itemHeight: 3,
                selectedMode: false,
                data: ['沪深300指数', '客户净资产']
            },
            //工具箱
            toolbox: {
                show: true,
                orient: 'horizontal',
                x: 'right', // 水平安放位置，默认为全图右对齐，可选为：						                    
                y: 'top',
                feature: {
                    mark: { show: true },
                    dataZoom: { show: true },
                    dataView: { show: true },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            dataZoom: {
                show: true,
                realtime: true,
                start: 20,
                end: 80
            },
            grid: {
                x: 60,
                y: 40,
                x2: 50,
                y2: 80
            },
            xAxis: [{
                type: 'category',
                boundaryGap: true,
                axisTick: { onGap: false },
                splitLine: { show: false },
                data: dateStrArray300
            }],
            yAxis: [{
                    type: 'value',
                    name: '资产(万)',
                    scale: true,
                    splitNumber: 2
                },
                {
                    type: 'value',
                    name: '指数',
                    scale: true,
                    splitNumber: 2
                }
            ],
            series: [{
                    name: '客户净资产',
                    type: 'line',
                    data: totalAssetArray,
                    fontSize: '10px'
                },
                {
                    name: '沪深300指数',
                    type: 'line',
                    yAxisIndex: 1,
                    data: settleArray
                }
            ]
        };
        myChart.setOption(option);
    }
    //佣金贡献图   净佣金与交易量
    //echart画图
    function commissionChart() {
        $(_pageId + "#tradeAmountChart").css("width", width);
        var myChart = echarts.init(jQueryMap.content.tradeAmountChart[0]);
        option = {
            //提示框
            tooltip: {
                trigger: 'axis',
                padding: 5,
                formatter: function(params) {
                    var res = params[1].name + "<br/>" + "净佣金:" + (params[0].data > 1 ? params[0].data.toFixed(2) + "万元" : parseInt(params[0].data * 10000) + "元") + "<br/>" + "交易量:" + (params[1].data > 1 ? params[1].data.toFixed(2) + "万" : parseInt(params[1].data * 10000) + "元");
                    return res;
                }
            },
            //图例
            legend: {
                orient: 'horizontal', // 'vertical'
                y: 'bottom', // 'center' | 'bottom' | {number}
                padding: 5, // [5, 10, 15, 20]
                itemWidth: 12,
                itemHeight: 3,
                selectedMode: false,
                data: ['净佣金', '交易量']
            },
            //工具箱
            toolbox: {
                show: true,
                orient: 'horizontal',
                x: 'right', // 水平安放位置，默认为全图右对齐，可选为：						                    
                y: 'top',
                feature: {
                    mark: { show: true },
                    dataZoom: { show: true },
                    dataView: { show: true },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            dataZoom: {
                show: true,
                realtime: true,
                start: 20,
                end: 80
            },
            grid: {
                x: 40,
                y: 40,
                x2: 40,
                y2: 50,
            },
            xAxis: [{
                type: 'category',
                boundaryGap: true,
                axisLine: { // 轴线
                    show: true,
                    lineStyle: {
                        type: 'solid',
                        width: 1,
                    }
                },
                data: commissionDate,
            }],
            yAxis: [{
                    type: 'value',
                    name: '净佣金(万元)',
                    scale: true,
                    splitNumber: 2,
                },
                {
                    type: 'value',
                    name: '交易量(万元)',
                    scale: true,
                    splitNumber: 2,
                }
            ],
            series: [{
                    name: '净佣金',
                    type: 'line',
                    data: commissionArray,
                    fontSize: '10px'
                },
                {
                    name: '交易量',
                    type: 'bar',
                    barWidth: 20, //固定柱子宽度
                    yAxisIndex: 1,
                    data: tradingAmountArray,
                }
            ]
        };
        myChart.setOption(option);
    }

    //客户转介绍，echart画图
    function transationRegistChart() {
        $(_pageId + "#transationRegistChart").css("width", width);
        var myChart = echarts.init($page.find("#transationRegistChart")[0]);
        option = {
            color: ['#E03D4B', '#CDB381'],
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            //图例
            legend: {
                orient: 'horizontal', // 'vertical'
                y: 'bottom', // 'center' | 'bottom' | {number}
                padding: 5, // [5, 10, 15, 20]
                selectedMode: false,
                itemWidth: 12,
                itemHeight: 3,
                data: ['交易户', '注册户']
            },
            toolbox: {
                show: true,
                orient: 'vertical',
                left: 'right',
                top: 'center',
                feature: {
                    mark: { show: true },
                    dataView: { show: true, readOnly: false },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            dataZoom: {
                show: true,
                realtime: true,
                start: 20,
                end: 80
            },
            grid: {
                x: 40,
                y: 40,
                x2: 40,
                y2: 50,
            },
            xAxis: [{
                type: 'category',
                axisTick: { show: false },
                data: transationRegistDate
            }],
            yAxis: [{
                name: '人数',
                type: 'value',
                scale: true,
                splitNumber: 4
            }],
            series: [{
                    name: '交易户',
                    type: 'bar',
                    barWidth: 12,
                    barGap: '30%',
                    //label: labelOption,
                    data: transationArray
                },
                {
                    name: '注册户',
                    type: 'bar',
                    barWidth: 12,
                    //label: labelOption,
                    data: registArray
                }
            ]
        };
        myChart.setOption(option);
    }

    //十万资产客户量变化趋势
    function moreCustListChart() {
        $(_pageId + "#moreCustListChart").css("width", width);
        var myChart = echarts.init($(_pageId + "#moreCustListChart")[0]);
        option = {
            //提示框
            tooltip: {
                trigger: 'axis',
                padding: 5,
                formatter: function(params) {
                    var res = params[0].name + "<br/>" + "客户量:" + (params[0].data ? params[0].data + "人" : "0");
                    return res;
                }
            },
            //图例
            legend: {
                orient: 'horizontal', // 'vertical'
                y: 'bottom', // 'center' | 'bottom' | {number}
                padding: 5, // [5, 10, 15, 20]
                itemWidth: 12,
                itemHeight: 3,
                selectedMode: false,
                data: ['十万资产客户数'],
            },
            //工具箱
            toolbox: {
                show: true,
                orient: 'horizontal',
                x: 'right', // 水平安放位置，默认为全图右对齐，可选为：						                    
                y: 'top',
                feature: {
                    mark: { show: true },
                    dataZoom: { show: true },
                    dataView: { show: true },
                    magicType: { show: true, type: ['line', 'bar', 'stack', 'tiled'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            calculable: true,
            dataZoom: {
                show: true,
                realtime: true,
                start: 20,
                end: 80
            },
            grid: {
                x: 40,
                y: 40,
                x2: 40,
                y2: 50,
            },
            xAxis: [{
                type: 'category',
                boundaryGap: false,
                data: moreCustListDate,
            }],
            yAxis: [{
                    type: 'value',
                    name: '客户数',
                    scale: true,
                    splitNumber: 2,
                },

            ],
            series: [{
                name: '十万资产客户数',
                type: 'line',
                smooth: true,
                itemStyle: { normal: { areaStyle: { type: 'default' } } },
                data: numArray //[10, 12, 21, 54, 260, 830, 710]
            }]
        };
        myChart.setOption(option);
    }

    //获取进三个月的日期
    function insertMonth() {
        myUtils.insertMonth(jQueryMap.footer.curMonth, jQueryMap.footer.perMonth, jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
        $page.find("article").scrollTop(0);
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        // jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("li").removeClass("act");
        // jQueryMap.content.selectDateIn.find("#month").addClass("act").siblings().removeClass("act");
        // jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});