define("financial/scripts/customer/view_channel.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_view_channel");
    var channel_mode = "", dateType = "1", queryType = "1", orderType = "", orderValue = "", page = "1", totalPages = 0;
    var scrollJudge = true;//判断是否到底可以滑动?
    initJQueryMap();

    function init() {
        initPage();
    }

    function load() {
        // $('.scroll_table .cheek.scroll').bind('scroll', function() {
        //     oLeft = $(this).scrollLeft();
        //     $('.scroll_table .cheek.scroll').scrollLeft(oLeft);
        // });
        loadPage();
    }

    function bindPageEvent() {

        $.bindEvent(jQueryMap.header.channelmode, function() {
            // cleanPageElement();
            $.pageInit("customer/view_channel", "customer/view","","");
        });
        $.preBindEvent(jQueryMap.content.listUserMess, ".list_item_show", function(e) {
            e.stopPropagation();
            if($(this).parent().hasClass("no_child")) {
                return;
            }
            var $this = $(this);
            var $boxs = $(this).siblings(".list_item_box");
            var channelId = $(this).attr("data-channel_id");
            if ($boxs.length > 0) {
                if ($(this).parent().hasClass("act")) {
                    $(this).parent().addClass("leave");
                    $(this).parent().removeClass("act");
                    $boxs.hide();
                } else {
                    $(this).parent().addClass("act");
                    $(this).parent().removeClass("leave");
                    $boxs.show();
                }
                $boxs.find(".act>.list_item_show").click();
            } else {
                getChannelDetail($this, channelId);
            }
        });
        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function() {
            if(!$(this).hasClass("act")) {
                page = "1";
                totalPages = 0;
                orderType = "";
                orderValue = "";
                $(this).addClass("act").siblings().removeClass("act");
                if ($(this).attr("id") == "monthBox") {
                    dateType = "2";
                    jQueryMap.content.selectType.find(".valid").show();
                } else if ($(this).attr("id") == "yearBox") {
                    dateType = "3";
                    jQueryMap.content.selectType.find(".valid").show();
                } else if ($(this).attr("id") == "dayBox") {
                    dateType = "1";
                    jQueryMap.content.selectType.find(".valid").hide();
                }
                jQueryMap.content.listData.scrollLeft(0);
                queryChannelInfos();
                queryChannelDetails();
            }
        });
        // 查询类型
        $.preBindEvent(jQueryMap.content.single, "li", function(e) {
            e.stopPropagation();
            if(!$(this).hasClass("act")) {
                page = "1";
                totalPages = 0;
                orderType = "";
                orderValue = "";
                $(this).addClass("act").siblings().removeClass("act");
                queryType = $(this).attr("data-query_type");
                jQueryMap.content.listData.scrollLeft(0);
                queryChannelDetails();
            }
        });
        // 跳转详情
        $.preBindEvent(jQueryMap.content.mult, "li", function(e) {
            e.stopPropagation();
            $.pageInit("customer/view_channel", "customer/newAdd", {"channelQueryType": $(this).attr("data-query_type"), "channelQueryDate": dateType}, "");
        });
        // 查看员工详情
        $.preBindEvent(jQueryMap.content.listData, ".employee", function(e) {
            e.stopPropagation();
            var $this = $(this);
            var imUserId= $this.attr("data-userid");
            if(imUserId == ""){
            	return false;
            }
            $.callMessage({
				"funcNo"    : "80104",
				"username"  : imUserId
			}); 
        });

        //33333点击底部标签客户的时候跳转到营销模块
        $.bindEvent($page.find("#yingxiao"), function() {
            $.pageInit("customer/view", "subject/subject", "", "");
            // cleanPageElement();
        });

        //33333点击底部标签客户的时候跳转到我的信息模块
        $.bindEvent($page.find("#customer1"), function() {
            $.pageInit("customer/view", "me/myIndex", "", "");
            // cleanPageElement();
        });

        //33333点击底部标签客户的时候跳转到员工驾驶舱模块
        $.bindEvent($page.find("#cockpit"), function() {
            var pageCode;
            if ($.getSStorageInfo("postNo") == "ivtManager" || $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager") {
                pageCode = "cockpit/cockpitInvest";
            } else {
                pageCode = "cockpit/cockpit";
            }
            // cleanPageElement();
            $.pageInit("customer/view", pageCode, "", "");
        });
        
        //滚动加载更多
        $.bindEvent($page.find(".chan_mode_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                    	queryChannelDetails();
                    },600);
                }
        	}
        },"scroll");

        //排序事件
        $.preBindEvent(jQueryMap.content.listData, "dd.sortCol" ,function(){
        	orderType = $(this).attr("data-order_type");
            orderValue = $(this).attr("data-order_value");
            page = "1";
            totalPages = 0;
            if(orderType == "2") {
                orderType = "1";
            } else {
                orderType = "2";
            }
            queryChannelDetails();
        	$(this).parent().find("a").removeClass("up").removeClass("down");
        });

        //排序事件
        $.preBindEvent(jQueryMap.content.fixedTable, "dd.sortCol" ,function(){
        	orderType = $(this).attr("data-order_type");
            orderValue = $(this).attr("data-order_value");
            page = "1";
            totalPages = 0;
            if(orderType == "2") {
                orderType = "1";
            } else {
                orderType = "2";
            }
            queryChannelDetails();
        	$(this).parent().find("a").removeClass("up").removeClass("down");
        });
    }

    function getConvDataHtml(col, data){
    	if(col == orderValue){
    		return '<dd><span style="width:1rem;color:#D80C1E">' + data + '</span></dd>';
    	}else{
    		return '<dd><span style="width:1rem;">' + data + '</span></dd>';
    	}
    }

    function getConvTitHtml(col, data){
    	if(col == orderValue){
            var typeClass = " ";
            if(orderType == "2") {
                typeClass += "down";
            } else {
                typeClass += "up";
            }
    		return '<dd class="sortCol" data-order_type="' + orderType + '" data-order_value="' + col + '"><span class="w100"><a href="javascript:void(0);" class="sort' + typeClass + '"><span>' + data + '</span></a></span></dd>';
    	}else{
    		return '<dd class="sortCol" data-order_type="2" data-order_value="' + col + '"><span class="w100"><a href="javascript:void(0);" class="sort"><span>' + data + '</span></a></span></dd>';
    	}
    }

    function getChanDataHtml(col, data){
    	if(col == orderValue){
    		return '<span style="color:#D80C1E">' + data + '</span>';
    	}else{
    		return '<span>' + data + '</span>';
    	}
    }

    function getChanTitHtml(col, data){
    	if(col == orderValue){
            var typeClass = " ";
            if(orderType == "2") {
                typeClass += "down";
            } else {
                typeClass += "up";
            }
            return '<dd class="sortCol" data-order_type="' + orderType + '" data-order_value="' + col + '" style="width: 0.9rem"><span style="width: 0.9rem"><a href="javascript:void(0);" class="sort' + typeClass + '"><span>' + data + '</span></a></span></dd>';
    	}else{
            return '<dd class="sortCol" data-order_type="2" data-order_value="' + col + '" style="width: 0.9rem"><span style="width: 0.9rem"><a href="javascript:void(0);" class="sort"><span>' + data + '</span></a></span></dd>';
        }
    }

    function queryChannelInfos() {
        $.each(['mult_stock', 'mult_finance', 'mult_valid', 'single_stock', 'single_finance', 'single_valid', 'dig_stock'], function(index, dom) {
            jQueryMap.content[dom].find("strong").html("&#160;");
        });
        if (channel_mode === "channel") {
            getChannelInfo();
        } else if (channel_mode === "conversion") {
            getConversionInfo();
        } else if (channel_mode === "dig") {
            getDigInfo();
        }
    }

    function queryChannelDetails() {
        if(page == "1") {
            $.each(['fixedListName', 'fixedListData', 'listData', 'listName', 'listUserMess'], function(index, dom) {
                jQueryMap.content[dom].html("");
            });
        }
        if (channel_mode === "channel") {
            getChannelDetail();
        } else if (channel_mode === "conversion") {
            getConversionDetail();
        } else if (channel_mode === "dig") {
            getDigDetail();
        }
    }

    function getChannelInfo() {
        var param = {
            "user_code": $.getSStorageInfo("employeeNo"),
            "query_date_type": dateType
        };
        service.getChanAccountsAmount(param, function(data) {
            jQueryMap.content.mult_finance.find("strong").html(data[0].finance_count);
            jQueryMap.content.mult_stock.find("strong").html(data[0].stock_count);
            var valid_count = parseInt(data[0].finance_valid_count) + parseInt(data[0].stock_valid_count);
            jQueryMap.content.mult_valid.find("strong").html(valid_count);
        });
    }

    function getConversionInfo() {
        var param = {
            "user_code": $.getSStorageInfo("employeeNo"),
            "query_date_type": dateType
        };
        service.getConvAccountsAmount(param, function(data) {
            jQueryMap.content.single_finance.find("strong").html(data[0].finance_count);
            jQueryMap.content.single_stock.find("strong").html(data[0].stock_count);
            jQueryMap.content.single_valid.find("strong").html(data[0].valid_count);
        });
    }

    function getDigInfo() {
        var param = {
            "user_code": $.getSStorageInfo("employeeNo"),
            "query_date_type": dateType
        };
        service.getDigAccountsAmount(param, function(data) {
            jQueryMap.content.dig_stock.html(data[0].wj_broker_count);
        });
    }

    function getChannelDetail(ele, channelId) {
        var param = {}, fixedHtmlData = "", htmlData = "";
        channelId = channelId ? channelId : "";
        
        if(channelId) {
            param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "order_value": orderValue,
                "order_type": orderType,
                "query_date_type": dateType,
                "channel_id": channelId
            };
            service.getChanDetail(param, function(result) {
                var data = result;
                var sex = "", channelName = "";
                if(data.length > 0) {
                    htmlData += '<ul class="list_item_box">';
                    $.each(data, function(i, item) {
                        var liClass = "leave";
                        if(item.has_child != "1") {
                            liClass = "no_child";
                        }
                        htmlData += '<li class="' + liClass + '"><div class="list_item_show" data-channel_id="' + item.channel_id + '" data-has_child="' + item.has_child + '"><span><em>' + item.channel_name + '</em></span>';
                        htmlData +=  getChanDataHtml("1", item.stock_count);
                        htmlData +=  getChanDataHtml("2", item.finance_count);
                        if(dateType != "1") {
                            htmlData += getChanDataHtml("3", item.valid_count);
                        }
                        htmlData +=  '</div></li>';
                    }); 
                    htmlData += '</ul>'; 
                    ele.parent().append(htmlData);
                    setTimeout(function(){
                        ele.click();
                    },400);
                }
            });
        } else {
            fixedHtmlData += '<dl style="margin-left: 0"><dd style="padding-left: 0.1rem; width: 0.75rem"><span>渠道名称</span></dd>';
            fixedHtmlData += getChanTitHtml("1", "新开股票户");
            fixedHtmlData += getChanTitHtml("2", "新开理财户");
            if(dateType != "1") {
                fixedHtmlData += getChanTitHtml("3", "新增有效户");
            }
            fixedHtmlData += '</dl>'
            jQueryMap.content.fixedTable.find(".cheek").html(fixedHtmlData);
            param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "order_value": orderValue,
                "order_type": orderType,
                "query_date_type": dateType,
                "pageIndex": page,
                "pageSize": 20
            };
            service.getChanRootDetail(param, function(result) {
                totalPages = result[0].totalPages;
                var data = result[0].data;
                var sex = "", channelName = "";
                if(data.length > 0) {
                    $.each(data, function(i, item) {
                        var liClass = "leave";
                        if(item.has_child != "1") {
                            liClass = "no_child";
                        }
                        htmlData += '<li class="' + liClass + '"><div class="list_item_show" data-channel_id="' + item.channel_id + '" data-has_child="' + item.has_child + '"><span><em>' + item.channel_name + '</em></span>';									
                        htmlData +=  getChanDataHtml("1", item.stock_count);
                        htmlData +=  getChanDataHtml("2", item.finance_count);
                        if(dateType != "1") {
                            htmlData += getChanDataHtml("3", item.valid_count);
                        }
                        htmlData +=  '</div></li>';
                    });   
                                               
                    jQueryMap.content.loadIcon.hide();
                    scrollJudge =true;
                    jQueryMap.content.listUserMess.append(htmlData);
                    jQueryMap.content.fixedTableData.show();
                    jQueryMap.content.noFixedData.hide();
                } else {
                    jQueryMap.content.fixedTableData.hide();
                    jQueryMap.content.noFixedData.show();
                }
            });
        }
    }

    function getConversionDetail() {
        var param = {}, fixedHtmlName = "", fixedHtmlData = "", htmlName = "", htmlData = "";
        if(queryType === "3" && dateType === "1" ) {
            queryType = "1";
            jQueryMap.content.single_stock.addClass("act").siblings().removeClass("act");
        }
        if(queryType === "3") {
            param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "order_value": orderValue,
                "order_type": orderType,
                "query_date_type": dateType,
                "pageIndex": page,
                "pageSize": 20
            };
            if(page == "1") {
                fixedHtmlName = '<dl style="color:#999999; margin-left: -0.15rem; width: 1rem"><dd style="padding-left: 0.2rem"><span class="w60">客户姓名</span></dd></dl>';
                fixedHtmlData += '<dl style="color:#999999">'
                fixedHtmlData += getConvTitHtml("1", "股票峰值(万)");
                fixedHtmlData += getConvTitHtml("2", "理财峰值(万)");
                fixedHtmlData += getConvTitHtml("3", "转化时间");
                fixedHtmlData += '</dl>'
                jQueryMap.content.listName.html(fixedHtmlName);
                jQueryMap.content.listData.html(fixedHtmlData);
            }
            service.getConvValidDetail(param, function(result) {
                totalPages = result[0].totalPages;
                var data = result[0].data;
                var sex = "", channelName = "";
                if(data.length > 0) {
                    $.each(data, function(i, item) {
                        var valid_date = item.valid_date;
                        if (valid_date != undefined && valid_date.length == 19)
                            valid_date = valid_date.substring(5, 10);
                        htmlName = htmlName + '<dl><dd><span class="w60">' + item.cust_name + '</span></dd></dl>';
                        htmlData += "<dl>";
                        htmlData += getConvDataHtml("1", (Number(item.stock_peak_value)/10000).toFixed(2));
                        htmlData += getConvDataHtml("2", (Number(item.finance_peak_value)/10000).toFixed(2));
                        htmlData += getConvDataHtml("3", valid_date);
                        htmlData += "</dl>";
                    });                      		 
                    jQueryMap.content.loadIcon.hide();
                    scrollJudge =true;
                    // 不然有可能append不进去
                    setTimeout(function(){
                        jQueryMap.content.listName.append(htmlName);
                    },10);
                    jQueryMap.content.listData.append(htmlData);
                    jQueryMap.content.scrollBottom.show();
                    jQueryMap.content.noData.hide();
                } else if(page == "1") {
                    jQueryMap.content.scrollBottom.hide();
                    jQueryMap.content.noData.show();
                }
            });
        } else {
            param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "query_type": queryType,
                "query_date_type": dateType,
                "pageIndex": page,
                "pageSize": 20
            };
            if(page == "1") {
                fixedHtmlName = '<dl style="color:#999999; margin-left: -0.15rem; width: 1rem"><dd style="padding-left: 0.2rem"><span class="w60">客户姓名</span></dd></dl>';
                fixedHtmlData += '<dl style="color:#999999"><dd><span>性别</span></dd><dd><span>年龄</span></dd>' + 
                    '<dd><span class="w100">联系电话</span></dd><dd><span class="w100">身份证归属地</span></dd>' + 
                    '<dd><span class="w100">职业</span></dd><dd><span class="w152">渠道来源</span></dd>' + 
                    '<dd><span>渠道人员</span></dd></dl>'
                jQueryMap.content.listName.html(fixedHtmlName);
                jQueryMap.content.listData.html(fixedHtmlData);
            }
            service.getConvDetail(param, function(result) {
                totalPages = result[0].totalPages;
                var data = result[0].data;
                var sex = "", channelName = "", employee = "";
                if(data.length > 0) {
                    $.each(data, function(i, item) {
                        sex = item.sex == "1" ? "男" : item.sex == "2" ? "女" : "-";
                        channelName =  operStr(item.channel_name);
                        employee = item.staff_name ? item.staff_name : "-";
                        htmlName = htmlName + '<dl><dd><span class="w60">' + item.cust_name + '</span></dd></dl>';
                        htmlData = htmlData + '<dl><dd><span>' + sex + '</span></dd><dd><span>' + item.age + '</span></dd>' + 
                        '<dd><span class="w100">' + item.mobile + '</span></dd><dd><span class="w100">' + item.id_addr + '</span></dd>' + 
                        '<dd><span class="w100">' + item.occupation + '</span></dd><dd><span class="w152">' + channelName + '</span></dd>' + 
                        '<dd><span class="employee" data-userid="'+ item.id_code +'">' + employee + '</span></dd></dl>';
                    });                      		 
                    jQueryMap.content.loadIcon.hide();
                    scrollJudge =true;
                    setTimeout(function(){
                        jQueryMap.content.listName.append(htmlName);
                    },10);
                    jQueryMap.content.listData.append(htmlData);
                    jQueryMap.content.noData.hide();
                    jQueryMap.content.scrollBottom.show();
                } else if(page == "1") {
                    jQueryMap.content.scrollBottom.hide();
                    jQueryMap.content.noData.show();
                }
            });
        }
    }

    function getDigDetail() {
        var param = {}, fixedHtmlName = "", fixedHtmlData = "", htmlName = "", htmlData = "";
        param = {
            "user_code": $.getSStorageInfo("employeeNo"),
            "order_value": orderValue,
            "order_type": orderType,
            "query_date_type": dateType,
            "pageIndex": page,
            "pageSize": 20
        };
        if(page == "1") {
            fixedHtmlName = '<dl style="color:#999999; margin-left: -0.15rem; width: 1rem"><dd style="padding-left: 0.2rem"><span class="w60">客户姓名</span></dd></dl>';
            fixedHtmlData += '<dl style="color:#999999"><dd><span>性别</span></dd><dd><span>年龄</span></dd>';
            fixedHtmlData += getConvTitHtml("1", "股票峰值(万)");
            fixedHtmlData += getConvTitHtml("2", "理财峰值(万)"); 
            fixedHtmlData += '<dd><span class="w100">联系电话</span></dd>' + 
                '<dd><span class="w100">职业</span></dd><dd><span class="w152">渠道来源</span></dd>' + 
                '<dd><span>转化人员</span></dd></dl>';
            jQueryMap.content.listName.html(fixedHtmlName);
            jQueryMap.content.listData.html(fixedHtmlData);
        }
        service.getDigDetail(param, function(result) {
            totalPages = result[0].totalPages;
            var data = result[0].data;
            var sex = "", channelName = "", employee = "";
            if(data.length > 0) {
                $.each(data, function(i, item) {
                    sex = item.sex == "1" ? "男" : item.sex == "2" ? "女" : "-";
                    channelName =  operStr(item.channel_name);
                    employee = item.staff_name ? item.staff_name : "-";
                    htmlName = htmlName + '<dl><dd><span class="w60">' + item.cust_name + '</span></dd></dl>';
                    htmlData = htmlData + '<dl><dd><span>' + sex + '</span></dd><dd><span>' + item.age + '</span></dd>';
                    htmlData += getConvDataHtml("1", (Number(item.stock_peak_value)/10000).toFixed(2));
                    htmlData += getConvDataHtml("2", (Number(item.finance_peak_value)/10000).toFixed(2)); 
                    htmlData += '<dd><span class="w100">' + item.mobile + '</span></dd>' + 
                    '<dd><span class="w100">' + item.occupation + '</span></dd><dd><span class="w152">' + channelName + '</span></dd>' + 
                    '<dd><span class="employee" data-userid="'+ item.id_code +'">' + employee + '</span></dd></dl>';
                });                      		 
                jQueryMap.content.loadIcon.hide();
                scrollJudge =true;
                setTimeout(function(){
                    jQueryMap.content.listName.append(htmlName);
                },10);
                jQueryMap.content.listData.append(htmlData);
                jQueryMap.content.noData.hide();
                jQueryMap.content.scrollBottom.show();
            } else if(page == "1") {
                jQueryMap.content.scrollBottom.hide();
                jQueryMap.content.noData.show();
            }
        });
    }

    function operStr(str) {
        if (str && str.length > 10) {
            var text = str.slice(0, 5) + "..." + str.slice(-5);
            return text;
        }
        if(!str) {
            return "-";
        }
        return str;
    }

    function destroy() {
        service.destroy();
    }


    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "channelmode": $page.find("#channel_mode")
            },
            "content": {
                //日月年的选择
                "selectDate": $page.find("#selectDate"),
                "selectType": $page.find("#selectType"),
                "mult": $page.find("#mult"),
                "mult_stock": $page.find("#mult_stock"),
                "mult_finance": $page.find("#mult_finance"),
                "mult_valid": $page.find("#mult_valid"),
                "single": $page.find("#single"),
                "single_stock": $page.find("#single_stock"),
                "single_finance": $page.find("#single_finance"),
                "single_valid": $page.find("#single_valid"),
                "dig": $page.find("#dig"),
                "dig_stock": $page.find("#dig_stock"),
                "listData": $page.find("#listData"),
                "listName": $page.find("#listName"),
                "fixedListData": $page.find("#fixedListData"),
                "fixedListName": $page.find("#fixedListName"),
                "scrollTop": $page.find("#scrollTop"),
                "scrollBottom": $page.find("#scrollBottom"),
                "fixedTable": $page.find("#fixedTable"),
                "fixedTableData": $page.find("#fixedTableData"),
                "listUserMess": $page.find("#list_user_mess"),
                "noData": $page.find("#noData"),
                "noFixedData": $page.find("#noFixedData"),
                "loadIcon"  : $page.find(".infinite-scroll-preloader")
            }
        };
    }

    function initPage() {
        //隐藏/显示系统底部TabBar
        myUtils.showBtn("customer", "1");
        // platform    "0": pc或手机浏览器; "1": android;  "2" :ios
        $.config.platform === "0" ? $page.find(".ft_inner").show() : $page.find(".ft_inner").hide();
        $.setSStorageInfo("channelMode", "channel");
        var postId = $.getSStorageInfo("postIdChannel");
        // var postId = "111";
        // 渠道岗
        if (postId === "112" || postId === "114") {
            channel_mode = "channel";
            jQueryMap.content.single.hide();
            jQueryMap.content.dig.hide();
            jQueryMap.content.scrollTop.hide();
            jQueryMap.content.scrollBottom.hide();
            jQueryMap.content.noData.hide();
            jQueryMap.content.mult.show();
            jQueryMap.content.fixedTable.show();
        } else {
            // 转化岗
            if (postId === "113" || postId === "115") {
                channel_mode = "conversion";
                jQueryMap.content.dig.hide();
                jQueryMap.content.single.show();
                // 挖掘岗
            } else if (postId === "111" || postId === "116") {
                channel_mode = "dig";
                jQueryMap.content.dig.show();
                jQueryMap.content.single.hide();
            }
            jQueryMap.content.scrollTop.show();
            jQueryMap.content.scrollBottom.show();
            jQueryMap.content.mult.hide();
            jQueryMap.content.fixedTable.hide();
            jQueryMap.content.noFixedData.hide();
        }
        
    }

    function loadPage() {
        prePageCode = $.getSStorageInfo("_prePageCode");
        if(prePageCode != "customer/newAdd") {
            queryChannelInfos();
            queryChannelDetails();
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        channel_mode = "", dateType = "1", queryType = "1", orderType = "", orderValue = "", page = "1", totalPages = 0;
        jQueryMap.content.single.hide();
        jQueryMap.content.dig.hide();
        jQueryMap.content.scrollTop.hide();
        jQueryMap.content.scrollBottom.hide();
        jQueryMap.content.mult.hide();
        jQueryMap.content.fixedTable.hide();
        jQueryMap.content.mult_valid.hide();
        jQueryMap.content.single_valid.hide();
        jQueryMap.content.noData.hide();
        jQueryMap.content.noFixedData.hide();
        jQueryMap.content.loadIcon.hide();
        $.each(['fixedListName', 'fixedListData', 'listName', 'listData', 'listUserMess'], function(index, dom) {
            jQueryMap.content[dom].html("");
        });
        $.each(['mult_stock', 'mult_finance', 'mult_valid', 'single_stock', 'single_finance', 'single_valid', 'dig_stock'], function(index, dom) {
            jQueryMap.content[dom].find("strong").html("&#160;");
        });
        jQueryMap.content.selectDate.find("li:first-child").addClass("act").siblings().removeClass("act");
        jQueryMap.content.single.find("li:first-child").addClass("act").siblings().removeClass("act");
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});