define("financial/scripts/customer/views/assetsChange.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var page = 1;
    var totalPages = 1;
    var pageSize = 20;
    var orderBy=0;
    var byType=1;
    var curCol = 1;
    var changeType=1; //0:降出10万资产、1:升到10万资产
    var scrollJudge = true;//判断是否到底可以滑动
    var $page = $("#customer_views_assetsChange");
    var _pageId = "#customer_views_assetsChange "; // 页面ID
    
    var nameHtml = "";
	var dataHtml = "";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
    	$(_pageId + '.scroll_table .cheek.scroll').bind('scroll',function(){
    		oLeft = $(this).scrollLeft();
    		$(_pageId + '.scroll_table .cheek.scroll').scrollLeft(oLeft);
    	});
		myUtils.hideBtn();
		var year = new Date().getFullYear();
		jQueryMap.header.tipsYear.text(year);
    	//从个人详情返回，不刷新页面数据
    	var refresh = $.getSStorageInfo("assetsChange_refresh");
    	if(refresh == 1){
    		nameHtml = "";
    		dataHtml = "";
    		page = 1;
    		changeType = 1;
    		myUtils.loadService($page);
    		initPage();
    	}
    }

    function bindPageEvent() {
    	//返回按钮
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
        	cleanPageElement();
            $.pageBack();
        });
        //隐藏提示div
        $.bindEvent(jQueryMap.header.tips,function(){
        	$(jQueryMap.header.tips).parent().hide();
        });
        
        //切换
        $.bindEvent($page.find(".ul_table li"),function(){
        	var curType = $(this).attr("changeType");
        	if(curType != changeType){
        		changeType = curType;
        		
        		$(this).removeClass("hide");
        		$(this).siblings().addClass("hide");
        		
        		nameHtml = "";
        		dataHtml = "";
        		page = 1;
        		myUtils.loadService($page);
        		initPage();
        	}
        });
        
        //排序
        $.bindEvent($page.find("#title dd"),function(){
        	nameHtml = "";
    		dataHtml = "";
    		
    		$(jQueryMap.content.listName).html(nameHtml);
    		$(jQueryMap.content.listData).html(dataHtml);
    		
    		$(this).parent().find("a").removeClass("down").removeClass("up");
    		
			orderBy = $(this).attr("value");
			page = 1;
			scrollJudge = true;
			if(byType == 0){
				$(this).find("a").addClass("down");
				byType = 1;
			}else{
				$(this).find("a").addClass("up");
				byType = 0;
			}
        	initPage();
        });
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
			if(scrollJudge) {
				var viewH = $(this).height();//可见高度
				var contentH = $(this).get(0).scrollHeight;//内容高度
				var scrollTop = $(this).scrollTop();//滚动高度
				if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
					if(page >= totalPages){
						$.toast("没有更多数据了！");
						return;
					}
					myUtils.loadService($page);
					scrollJudge =false;
					setTimeout(function(){
						page++;
						//加载转圈
						initPage();
					},600);
				}
			}
        },"scroll");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
				"mktGoBack" : $page.find("#mktGoBack"),
				"tipsYear"   : $page.find("#tipsYear"),
                "tips"   : $page.find("#tips"),
                "voerNum"   : $page.find("#voerNum"),
                "downNum"   : $page.find("#downNum")
            },
            "content": {
                //图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "listName" : $page.find("#listName"),
                "listData" : $page.find("#listData")
            }
        };
    }

    function initPage() {
		if(page == 1) {
			$(jQueryMap.content.listName).html("");
			$(jQueryMap.content.listData).html("");
		}
        var param = {"staffId":$.getSStorageInfo("userId"),
        			 "changeType":changeType,
        			 "orderBy":orderBy,
        			 "byType":byType,
        			 "page":page,
        			 "pageSize":pageSize};
    	service.getAssetsChangePreMonth(param, function(result){
    		//总数
    		$(jQueryMap.header.voerNum).html(result.numRow[0].preOver);
    		$(jQueryMap.header.downNum).html(result.numRow[0].preDown);
    		
    		totalPages = result.page[0].totalPages;
    		if(totalPages <= 1 || page == totalPages){
    			scrollJudge = false;
    		}
    		
    		//列表
    		if(result.page[0].totalRows > 0){
    			var list = result.page[0].data;
    			for (var i = 0; i < list.length; i++) {
    				nameHtml += "<dl data-id='" + list[i].custId + "'><dd><span style='width:0.8rem;'>" + list[i].name + "</span></dd></dl>";
    				var changeDate = list[i].isSwAsset == 1 ? list[i].overSwAssetTime : list[i].downSwAssetTime;
    				var totalAssets = (Number(list[i].totalAssets)/10000).toFixed(2);
    				var zhacha = (Number(list[i].zhacha)/10000).toFixed(2);
    				/*dataHtml += "<dl><dd><span style='width:0.8rem;'>" + totalAssets + "</span></dd>" +
    								"<dd><span style='width:0.8rem;'>" + changeDate + "</span></dd>" +
    								"<dd><span style='width:0.8rem;'>" + zhacha + "</span></dd>" +
    								"<dd><span style='width:0.8rem;'>" + list[i].yearRateReturn + "%</span></dd>" +
    								"<dd><span style='width:0.8rem;'>" + ((list[i].commissionRate/10).toFixed(2)) + "</span></dd></dl>";*/
    				dataHtml += "<dl>";
    				dataHtml += getDataHtml(0,totalAssets);
    				dataHtml += getDataHtml(1,changeDate);
    				dataHtml += getDataHtml(2,zhacha);
    				dataHtml += getDataHtml(3,list[i].yearRateReturn+"%");
    				dataHtml += getDataHtml(4,((list[i].commissionRate/10).toFixed(2)));
    				dataHtml += "</dl>";
				}
    			$(jQueryMap.content.listName).html(nameHtml);
				$(jQueryMap.content.listData).html(dataHtml);
				
				scrollJudge =true;
        		
        		$.bindEvent($page.find("#listName dl"),function(){
        			var custId = $(this).attr("data-id");
                    if(!custId){
                    	return ;
                    }
                    $.setSStorageInfo("custId",custId);
                    $.setSStorageInfo("customerType","2");
                    $.pageInit("customer/views/assetsChange","customer/detail/customerDetail");
                });
        		$page.find("#noData").hide();
    			$page.find("#hasData").show();
    		}else{
    			$page.find("#noData").show();
    			$page.find("#hasData").hide();
    		}
    		myUtils.hideLoadService($page);
    	});
    	
    }
    
    function getDataHtml(col,data){
    	if(col == orderBy){
    		return "<dd><span style='width:0.8rem;color:#D80C1E'>" + data + "</span></dd>";
    	}else{
    		return "<dd><span style='width:0.8rem;'>" + data + "</span></dd>";
    	}
    }
    
    function cleanPageElement(){
    	$(jQueryMap.header.tips).parent().show();
    	$(jQueryMap.header.voerNum).html("--");
		$(jQueryMap.header.downNum).html("--");
		$(jQueryMap.content.listName).html("");
		$(jQueryMap.content.listData).html("");
    }
    
    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
        //cleanPageElement();    	
        service.destroy();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
