define("financial/scripts/customer/views/assetsCustDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("echarts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_views_assetsCustDetail");
    var _pageId = "#customer_views_assetsCustDetail ";
    var scrollJudge = true;//判断是否到底可以滑动?
    var page = "1";
    var width;
    var dateStrArray=[];
    var turnInAmount=[];
    var turnOutAmount=[];
    var rangeAmount=[];
    var zhachaAmount = [];
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
            $.pageBack();
        });
        
        //滚动加载更多与头部tab显隐问题事件
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                    	dbPageCustList();
                    },600);
                }
        	}  
        },"scroll");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"    : $page.find("#mktGoBack"),
                "customerName" : $page.find("#customerName")
            },
            "content": {
                "assetsDetailChart" : $page.find("#assetsDetailChart"),
                "transfer"  : $page.find("#transfer"),
                "loadIcon"  : $page.find(".infinite-scroll-preloader")
            }
        };
    }

    function initPage() {
        width = parseFloat($(_pageId+".ct_pbox").width());
        //myUtils.showLayer($page);
        myUtils.hideBtn();
        jQueryMap.header.customerName.html($.getPageParam("name")+"资产明细");
        var custNo = $.getPageParam("custNo");
        getCustFundDetail(custNo);
        dbPageCustList();

    }

    function getCustFundDetail(custNo){
        var param={
            "staffId"    : model.dataStore.staffId,
            "custNo"     : custNo,
            "dataKind"   : "0"              //查询数据类型  0、走势图  1、人员信息列表
        };
        service.getCustFundDetail(param,function(results){
            //上面扎差
            dateStrArray=[];
            turnInAmount=[];
            turnOutAmount=[];
            rangeAmount=[];
            zhachaAmount = [];
            if(results.length>0){
                jQueryMap.content.assetsDetailChart.html("");
                for (var i = 0, len = results.length; i < len; i++) {
                    dateStrArray[i] = results[i].dateTime.substring(5); //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
                    turnInAmount[i] = Number(parseInt(results[i].turnInAmount)/10000).toFixed(2);
                    turnOutAmount[i] = Number(parseInt(results[i].turnOutAmount)/10000).toFixed(2);
                    rangeAmount[i] = (parseInt(results[i].turnInAmount) > parseInt(results[i].turnOutAmount)) ? parseInt(results[i].turnOutAmount) : parseInt(results[i].turnInAmount);
                    zhachaAmount[i] = Number(parseInt(turnInAmount[i]-turnOutAmount[i])/10000).toFixed(2);
                }
                totalAssetChart( dateStrArray, turnInAmount, turnOutAmount, rangeAmount,zhachaAmount);
            }
            //else{
            //	jQueryMap.content.assetsDetailChart.html("暂无数据");
			 //   jQueryMap.content.assetsDetailChart.css({"text-align":"center","line-height":"1.5rem"});
            //}
            //遮罩层去掉
            //myUtils.hideLayer($page);
            width = parseFloat($(_pageId+".ct_pbox").width());
            $(_pageId+"#assetsDetailChart").css("width",width);
           
        });
    }
    //转入转出分页数据
    function dbPageCustList(){
        var param={
        		"staffId"    : model.dataStore.staffId,
                "custNo"     : $.getPageParam("custNo") ,
    		    "dataKind"   : "1"              //查询数据类型  0、走势图  1、人员信息列表
            };
        service.getCustFundDetail(param,function (results) {   
     	     totalPages = results[0].totalPages;
 	         if (page == "1") {
 	        	jQueryMap.content.transfer.html("");
 	         }  
 	        //转入转出
             if(results[0].data.length>0){
             	jQueryMap.content.transfer.parent().find("div").hide();
                 var fundHtml = "";
                 for(var i=0;i<results[0].data.length;i++){
                     fundHtml+='<li><h5>' + (results[0].data[i].transferType==0 ? '转入' : '转出') + '<span class="'+ (results[0].data[i].transferType==0 ? 'fc_red' : 'fc_green')+'">'+results[0].data[i].amount+'</span></h5><p>'+results[0].data[i].tradeDate+'<span class="status">成功</span></p></li>';
                 }
                 jQueryMap.content.transfer.html(fundHtml);
                 jQueryMap.content.loadIcon.hide();
                 scrollJudge =true;   
             }else{
            	jQueryMap.content.transfer.html("");
             	jQueryMap.content.transfer.parent().find("div").show();
             }

        });
    } 
    
    //总资产绘图
    function totalAssetChart( dateStrArray, turnInAmount, turnOutAmount, rangeAmount,zhachaAmount) {
        //$(_pageId+"#assetsDetailChart").css("width",width);
        // 设置曲线图父元素的固定高度
        var myChart = echarts.init($(_pageId+"#assetsDetailChart")[0]);
        option = {
            title :{
                text : '扎差(万元)'
            },
            tooltip : {
                trigger: 'axis',
                formatter: function (params){
                    //return params[0].name + ' : '+ params[3].value + '<br/>'
                    //    + params[0].seriesName + ' : ' + params[0].value + '<br/>'
                    //    + params[1].seriesName + ' : ' + params[1].value + '<br/>'

                    return params[0].name + ' : '+ (params[0].value - params[1].value >= 0 ? '+' : '-' )+ params[3].value+'<br/>'
                        + params[0].seriesName + ' : ' + params[0].value + '<br/>'
                        + params[1].seriesName + ' : ' + params[1].value + '<br/>'
                }
            },

            toolbox: {
                show : true,
                feature : {
                    mark : {show: true},
                    dataView : {show: true, readOnly: false},
                    magicType : {show: true, type: ['line', 'bar']},
                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            legend: {
                data:['转入', '转出'],
                selectedMode:false
            },
            grid  : {
                x  : 60,
                y  : 40,
                x2 : 50,
                y2 : 40
            },
            xAxis : [
                {
                    type : 'category',
                    data : dateStrArray  
                }
            ],
            yAxis : [
                {
                    type : 'value',
                	scale : true,
				    splitNumber: 3
                }
            ],
            series : [
                {
                    name:'转入',
                    type:'line',
                    data: turnInAmount  
                },
                {
                    name:'转出',
                    type:'line',
                    symbol:'none',
                    itemStyle:{
                        normal:{
                            lineStyle: {
                                width:1,
                                type:'dashed'
                            }
                        }
                    },
                    data:turnOutAmount  
                },
                {
                    name:'转入转出的低值',
                    type:'bar',
                    stack: '1',
                    barWidth: 6,
                    itemStyle:{
                        normal:{
                            color:'rgba(0,0,0,0)'
                        },
                        emphasis:{
                            color:'rgba(0,0,0,0)'
                        }
                    },
                    data:rangeAmount
                },

                {
                    name:'变化',
                    type:'bar',
                    stack: '1',
                    data:(function () {
                    	var d = [];
                    	for(var i=0;i<zhachaAmount.length;i++){
                    		if(zhachaAmount[i]>=0){
                    			d.push(zhachaAmount[i]);
                    		}else{
                    			d.push({value : Math.abs(zhachaAmount[i]), itemStyle:{ normal:{color:'red'}}});//Math.abs(zhachaAmount[i])
                    		}
                    	}
                        return d;
                    })()     //zhachaAmount
                }
            ]
        };
        myChart.setOption(option);
    }
    
    function destroy() {
        //myUtils.showLayer($page);
    	cleanPageElement();
        service.destroy();
    }



    // 重置页面元素
    function cleanPageElement() {
    	page = "1";
    	jQueryMap.content.transfer.html("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
