define("financial/scripts/customer/views/histroy.js", function(require, exports, module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	var model = window.privateSpaceMKT.model;
	// 模块内的其它全局变量
	var jQueryMap;
	var $page = $("#customer_views_histroy");
	var custId;
	////下拉加载更多的变量
	var loading = false;
	var  page = 1;

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
		//myUtils.addLayer($page);
	}
	function load() {
		initPage();
	}

	function bindPageEvent() {
		// 返回键
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			cleanPageElement();
			$.pageBack();
		});

		//点击查看详情
		$.preBindEvent(jQueryMap.content.assetsList, "li", function(){
			var month = $(this).attr("data-time");
			$.pageInit("customer/views/histroy","customer/views/histroyDetail",{"month":month});
		});

		//滚动加载更多
		$.bindEvent($page.find(".content"),function(){
			var viewH = $(this).height(),//可见高度
				contentH = $(this).get(0).scrollHeight,//内容高度
				scrollTop = $(this).scrollTop();//滚动高度
			if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
				if(loading) return;
				loading = true;
				jQueryMap.content.loadIcon.show();
				setTimeout(function(){
					showCustomCount();
				},600);
			}
		},"scroll");
	}

	function destroy() {
		
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"mktGoBack" : $page.find("#mktGoBack")
			},
			"content" : {
				"assetsList" : $page.find("#thelist"),
				"emptyTip"   : $page.find("#empty_tip"),
				"loadIcon": $page.find(".infinite-scroll-preloader")
			}
		};
	}
	function initPage() {
		custId = $.getSStorageInfo("custId");

		// 取得每月的资产值
		showCustomCount();

	}
	// 将客户图表统计资料显示到页面中
	function showCustomCount() {
		var param = {
			"staffId"    : model.dataStore.staffId,
			"page"       : page,
			"pageSize"   : 20
		};
		//0：资产历史记录，1：佣金历史记录
		if($.getSStorageInfo("prePage") == "assets"){
			param.actionType = "0";
		}else if($.getSStorageInfo("prePage") == "commission"){
			param.actionType = "1";
		}
		service.queryAssetHistroy(param, function(data) {
			// 将客户统计数据显示到页面
			showCustomAccount(data[0].data);
		});
	}

	function showCustomAccount(data) {
		var results = data;
		var profitArray = [];
		if (page==1 && (!results || results.length === 0)) {
			jQueryMap.content.emptyTip.show();
			jQueryMap.content.assetsList.hide();
			return false;
		} else if (results.length > 0) {
			jQueryMap.content.emptyTip.hide();
			jQueryMap.content.assetsList.show();
			for (var i = 0, len = results.length; i < len; i++) {
				var everyDay = results[i].dateTime;  //2017-02
				var month = parseInt(everyDay.substring(5, 7), 10);
				var year = parseInt(everyDay.substring(0, 4), 10);
				var currYear = new Date().getFullYear();
				profitArray[currYear - year] = profitArray[currYear
					- year]
					|| [];
				profitArray[currYear - year].push(results[i]);
			}

			// 显示收益信息
			showProfitList(profitArray);
		}else{
			jQueryMap.content.loadIcon.hide();
		}

		//遮罩层去掉
		//myUtils.cancelLayer($page);
	}

	// 显示收益信息
	function showProfitList(profitArray) {
		var currDate = new Date();
		var currYear = currDate.getFullYear();
		var htmlStr = "";
		// 按年遍历
		for (var year = 0, yLen = profitArray.length; year < yLen; year++) {
			if (!profitArray[year] || profitArray[year].length === 0)
				continue;

			var profitArrOfOneYear = profitArray[year];

			if(jQueryMap.content.assetsList.children("h4.hist_tit").length == 0
				|| !(jQueryMap.content.assetsList.children("h4.hist_tit").last().attr("year") == year)){
				htmlStr += "<h4 class='hist_tit' year='"+ year+"'>2017年</h4><ul class='history_list'>";
			}else{
				htmlStr += "<ul class='history_list'>";
			}
			for (var i = 0, len = profitArrOfOneYear.length; i < len; i++) {
				var profitObj = profitArrOfOneYear[i];
				var totalAsset = profitObj.totalAssets ? myUtils.changeMoney(parseFloat(profitObj.totalAssets)).num +(myUtils.changeMoney(parseFloat(profitObj.totalAssets)).state ? "万元" :"元")  : myUtils.changeMoney(parseFloat(profitObj.commission)).num +(myUtils.changeMoney(parseFloat(profitObj.commission)).state ? "万" :"元");
				var everyDay = profitObj.dateTime;
				var monthInfo =profitObj.totalAssets ? profitObj.dateTime.substring(5, 7)+"月净资产" : profitObj.dateTime.substring(5, 7)+"月净佣金";

				htmlStr += "<li data-time="+ everyDay +"><h5>"
					+ monthInfo + "</h5><small>"+profitObj.monthBegin.replace(/-/gm,'.')+"-"+profitObj.endBegin.replace(/-/gm,'.')+"</small><strong>"
					+ totalAsset + "</strong></li>";
			}
			htmlStr += "</ul>";
		}
		jQueryMap.content.emptyTip.hide();
		if(htmlStr != ""){
			page++;
			loading = false;
			jQueryMap.content.assetsList.append(htmlStr).show();
		}
	}

	// 重置页面元素
	function cleanPageElement() {
		page =1;
		jQueryMap.content.assetsList.html('');
		jQueryMap.content.emptyTip.hide();
		jQueryMap.content.assetsList.hide();
		jQueryMap.content.loadIcon.hide();	
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	}
});
