define("financial/scripts/customer/views/histroyDetail.js", function(require, exports, module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var model = window.privateSpaceMKT.model;
	var myUtils = window.privateSpaceMKT.myUtils;
	// 模块内的其它全局变量
	var jQueryMap;
	var $page = $("#customer_views_histroyDetail");
	var _pageId = "#customer_views_histroyDetail "; // 页面ID
	var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
	var custId;

	////下拉加载更多的变量
	var loading = false;
	var orderBy;
	var byType;
	var actionType;

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){

		initPage();
		/************使用上拉加载、下拉刷新组件初始化页面元素begin**********/
        var slideOptions = {
            pContainer: 'article', // 父容器选择器必传
            dataContainerHtml: '<div id="containWrap" class="page_box casset_box">\
				                  <div class="table_box">\
					                     <table cellspacing="0" cellpadding="0" id="thelist">\
						            	 </table>\
							     </div>\
						       </div>',// 数据容器必传
            dataFunc: showCustomCount, // 查询方法必传
            pageNum: 5 // 每页显示记录数 与 分页方法参数中的参数保持一致
        };
        pageSlide.init(slideOptions);
        /************使用上拉加载、下拉刷新组件初始化页面元素end**********/

        // 重置分页参数，防止第二次入页面时还保留上一次的分页参数
        pageSlide.resetPageParam(true);


        // 初始化页面时查询一次数据
        showCustomCount(false, true);
	}
	function load() {

	}


	function bindPageEvent() {
		// 返回键
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			$.pageBack();
		});

		//升序降序
		$.preBindEvent(jQueryMap.content.custTop,"th",function(){
			var $this=$(this);
			if(!$this.find("span").attr("data_order")){
				return false; 
			}
			if($this.hasClass("act")){
				orderBy=$this.find("span").attr("data_order");
				$this.find("em").each(function(index,domEle){
					if($(this).hasClass("act")){
						$(this).removeClass("act");
					}else{
						$(this).addClass("act");
						byType=index;
					}
				});
			}else{
				orderBy=$this.find("span").attr("data_order");	
				$this.addClass("act");
				$this.siblings().removeClass("act");
				$this.find("em").each(function(index,domEle){
					jQueryMap.content.custTop.find("em").siblings().removeClass("act");
                    if(index==1){
                    	$(this).addClass("act");
                    	byType=index;
                    }
				});	
			}
			// 重置分页参数，防止第二次入页面时还保留上一次的分页参数
	        pageSlide.resetPageParam(true);
			// 隐藏无数据提示
            pageSlide.dealEmptyData(false);
			showCustomCount(false, true);
		});
		
		
	}

	function destroy() {
		cleanPageElement();
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"mktGoBack"   : $page.find("#mktGoBack"),
				"histroyName" : $page.find("#histroyName")
			},
			"content" : {

				"assetsList" : $page.find("#thelist"),
				"custTop"    : $page.find("#custTop"),
				//"emptyTip"   : $page.find("#empty_tip"),
				"loadIcon": $page.find(".infinite-scroll-preloader"),
				"custInfo1" : $page.find("#custInfo1"),
				"custInfo2" : $page.find("#custInfo2"),
				"custInfo3" : $page.find("#custInfo3")
			}
		};
	}
	
	function initPage() {
		//myUtils.showLayer($page);
		custId = $.getSStorageInfo("custId");
		var month = $.getPageParam("month");
		if(month.substring(5,6)=="0"){
			month = month.substring(0,5)+month.substring(6,7);
		}
		month = month.replace("-","年")+"月";
		//2017-03
		//0：资产历史记录，1：佣金历史记录
		if($.getSStorageInfo("prePage") == "assets"){
			actionType="0";
			orderBy="3";
			byType="1";
			jQueryMap.header.histroyName.html(month+"净资产");
			jQueryMap.content.custInfo1.html("可用余额(万)");
			jQueryMap.content.custInfo1.attr("data_order","3");
			jQueryMap.content.custInfo2.html("扎差(万)");
			jQueryMap.content.custInfo2.attr("data_order","4");
			jQueryMap.content.custInfo3.html("盈亏(万)");
			jQueryMap.content.custInfo3.attr("data_order","5");
		}else if($.getSStorageInfo("prePage") == "commission"){
			actionType="1";
			orderBy="0";
			byType="1";
			jQueryMap.header.histroyName.html(month+"净佣金");
			jQueryMap.content.custInfo1.html("佣金贡献");
			jQueryMap.content.custInfo1.attr("data_order","0");
			jQueryMap.content.custInfo2.html("交易量(万)");
			jQueryMap.content.custInfo2.attr("data_order","1");
			jQueryMap.content.custInfo3.html("佣金率");
			jQueryMap.content.custInfo3.attr("data_order","2");
		}
	}
	// 将客户图表统计资料显示到页面中
	function showCustomCount(isAppend, isSysLoad) {
		// 默认使用系统加载
    	isSysLoad = isSysLoad ? isSysLoad : false;
        var isCusLoad = isSysLoad ? true : false; // 自定义系统加载效果（左上角转圈）
		var param = {
			"staffId"    : model.dataStore.staffId,
			"page"       : pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
            "pageSize"   : "20",
			"month"      : $.getPageParam("month"),
			"actionType" : actionType,
			"orderBy"    : orderBy,
			"byType"     : byType
		};
		service.queryAssetHistroy(param, function(data) {
			var results = data;
			// 如果不是追加数据时，清空容器中的数据
	        if (!isAppend) {
	           $(_pageId+"#thelist").html("");
	        }
			if (results[0].data.length > 0) {
				// 给滑动插件设置总页数
	            pageSlide.setMaxPage(results[0].totalPages);

	            // 隐藏无数据提示
	            pageSlide.dealEmptyData(false);

	            var recordLen = results[0].data.length;
	            showCustList(results[0].data);

	            // 初始化滚动事件
	            var cTop = $(_pageId + "#slide_container").offset().top;
	            $(_pageId + "#slide_container").css("background","#FFFFFF");
	            var visibleHeight = $(window).height() - cTop -1; // - $(_pageId + "footer").height()
	            pageSlide.pageScrollInit(recordLen, visibleHeight);
				
			}else{
				$(_pageId+"#thelist").html("");
				// 初始化滚动事件
	            var cTop = $(_pageId + "#slide_container").offset().top;
	            $(_pageId + "#slide_container").css("background","#FFFFFF");
	            var visibleHeight = $(window).height() - cTop -1; // - $(_pageId + "footer").height()
	            pageSlide.pageScrollInit(recordLen, visibleHeight);
	   		    // 显示无数据提示
	            pageSlide.dealEmptyData(true);
			}
			//遮罩层去掉
			//myUtils.hideLayer($page);
		}, {isShowWait: isSysLoad, isCusLoad: isCusLoad});
	}
	
	 //填充数据
    function showCustList(results){
    	var html = "";
		for (var i = 0, len = results.length; i < len; i++) {
    		if(actionType == "0"){
    			html +="<tr><td>"+results[i].name+"</td><td class='w100'>" + myUtils.changeUtil(results[i].totalAssets)+ "</td><td>"
    			     +myUtils.changeUtil(results[i].zhacha)+"</td><td>"
    			     +myUtils.changeUtil(results[i].monthRateReturn)+"</td></tr>";
    		}else{
    			html +="<tr><td>"+results[i].name+"</td><td class='w100'>" + results[i].commission + "</td><td>"
       			     +myUtils.changeUtil(results[i].tradeAmount)+"</td><td>"+results[i].commissionRate+"</td></tr>";
    		}
		}
   		$(_pageId+"#thelist").append(html);

    }

	// 重置页面元素
	function cleanPageElement() {
		//myUtils.showLayer($page);
		jQueryMap.header.histroyName.html("");
		jQueryMap.content.custTop.find("th").siblings().removeClass("act");
		jQueryMap.content.custTop.find("em").removeClass("act");
		page =1;
		jQueryMap.content.assetsList.html('');
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	}
});
