define("financial/scripts/customer/views/tradeAmount.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_views_tradeAmount");
    var _pageId = "#customer_views_tradeAmount ";

    var dateStrArray = [];
    var totalAssetArray = [];

    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";
    //month=yyyy-mm
    var month = "";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();
    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
            $.pageBack();
        });
        
        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
                actionType = "1";
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "yearBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                actionType = "0";
            }
            queryCustomer();
        });

        //弹框的日月年选择
        $.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
            if($(this).attr("id") == "month"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
            	actionType = "1";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "year"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
                actionType = "2";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);

            }else if($(this).attr("id") == "day"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
                actionType = "0";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            }
        });

        //选择弹框里面的月份
        $.preBindEvent(jQueryMap.content.selectBox, "li", function(){
            $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
                $page.find("#monthWrap").html("本月");
                $page.find("#month span").html("本月");
            }else{
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                $page.find("#month span").html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            actionType = "1";
            queryCustomer();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        });

    }

    

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "overAssetsCust": $page.find("#overAssetsCust"),
                "noData"     : $page.find("#noData")
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        $(_pageId+"#overAssetsCust").css("width",$(_pageId+".data_pri").width());
        //动态生成弹层框里面最近三个月的li
        insertMonth();
        queryCustomer();
    }

    function queryCustomer(){
        var param={
            "staffId"    : model.dataStore.staffId,
            "dateType"   : actionType, //0：按周，1：按月，2：按年
            "month"	     : month        //按月份查询（yyyy-MM）
        };
        service.getOverAssetsCust(param,function(result){
        	dateStrArray = [];
        	totalAssetArray = [];
            if(result.length>0){
                //显示资产的客户列表
                jQueryMap.content.noData.hide();
                jQueryMap.content.overAssetsCust.show();
                queryCustViewList(result);
            }else{
                jQueryMap.content.noData.show();
                jQueryMap.content.overAssetsCust.hide();
            }

            ////遮罩层去掉
            //myUtils.cancelLayer($page);
        });
    }

    //画图数据处理
    function queryCustViewList(result){
        for (var i = 0, len = result.length; i < len; i++) {
        	actionType == 2 ? dateStrArray[i] = result[i].dateTime : dateStrArray[i] = result[i].dateTime.substring(5);
//            dateStrArray[i] = result[i].dateTime; //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
            totalAssetArray[i] = parseInt(result[i].num);
        }
        totalAssetChart(dateStrArray, totalAssetArray);
    }

    //10万资产客户数
    //echart画图
    function totalAssetChart(dateStrArray, totalAssetArray) {
    	var myChart = echarts.init($(_pageId+"#overAssetsCust")[0]);
        option = {
        		   //提示框
        		   tooltip : {
        		        trigger   : 'axis',
        		        padding   : 5, 
        		        formatter : function(params) {
        		        	  var res = params[0].name + "<br/>"+"客户数:"+(params[0].data ? params[0].data+"人" :"0");
         		              return res; 
        		        }
        		    },
         		    //图例
         		    legend: {
         		    	orient: 'horizontal', // 'vertical'
         		          y   : 'bottom', // 'center' | 'bottom' | {number}
         		        padding: 5,    // [5, 10, 15, 20]
         		    	selectedMode:false,
         		        data:['十万资产客户数']
         		    },
         		    //工具箱
         		    toolbox: {
         		        show : true,
         		        orient: 'horizontal',  
         		            x: 'right',                // 水平安放位置，默认为全图右对齐，可选为：						                    
  						y: 'top',   
         		        feature : {
         		            mark : {show: true},
         		            dataZoom : {show: true},
         		            dataView : {show: true},
         		            magicType : {show: true, type: ['line', 'bar', 'stack', 'tiled']},
         		            restore : {show: true},
         		            saveAsImage : {show: true}
         		        }
         		    },
         		    calculable : true,
         		    dataZoom : {
         		        show : true,
         		        realtime : true,
         		        start : 20,
         		        end : 80
         		    },
         		    grid  : {
         		    	 x  : 40,
         		    	 y  : 40,
         		    	 x2 : 40,
         		    	 y2 : 50,
         		    },     		    
         		    xAxis : [
         		        {
         		            type : 'category',
         		            boundaryGap: false,            		            
         		            data :dateStrArray, 
    		            }
         		    ],
         		    yAxis : [
  						{
  						    type : 'value',
  						    scale :(actionType==1 ? true : false),
  						    show : (actionType==1 ? true : false),
  						},
  						
         		    ],
         		    series : [      		       
         		        {
		                    name:'十万资产客户数',
		                    type:(actionType==1 ?'line':'bar'),
		                    barWidth: 20,//固定柱子宽度
		                    smooth:true,
		                    itemStyle: {
			                      normal: {
			                          label : {
			                              show: true, 
			                              position: 'top' ,
			                          }
			                      }
			                  },
		                    data:totalAssetArray  
		                }
         		    ]
          	};        	
        myChart.setOption(option);
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }


    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.noData.hide();
        $page.find("#dayBox").addClass("current").siblings().removeClass("current");
    	actionType = "0";
    	month = "";
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
