define("financial/scripts/customer/views/transationRegist.js", function(require, exports, module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	var model = window.privateSpaceMKT.model;
	// 模块内的其它全局变量
	var jQueryMap;
	var $page = $("#customer_views_transationRegist");
	var type ='1'; //查询类型（1:交易户；2:注册户）
	var date ='1'; //查询期间(1:昨日;2:本周;3:本月)
	var broker_no; //员工编号
	var sort = "desc";
	
	////下拉加载更多的变量
	var loading = false;

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
	}
	function load() {
		initPage();
	}

	function bindPageEvent() {
		// 返回键
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			cleanPageElement();
			$.setSStorageInfo("type",type);
			$.setSStorageInfo("date",date);
			$.pageBack();
		});

		//点击查看详情
		$.preBindEvent($page.find(".cust_dl"), ".dd_name", function(e){
			$.setSStorageInfo("type",type);
			$.setSStorageInfo("date",date);
			var $this = $(this).parent().parent();
			var cust_id = $this.attr("data-fund_account");
            if(!(cust_id && cust_id.trim())) {
                e.stopPropagation();
                return;
            }
            var params={
            		"custNo" : cust_id,
        			"type"	    : "0"
                };
    		service.getMktCustId(params, function(result){
    			if(result && result.length>0){
    				$.setSStorageInfo("customerType", "2");
    	            $.setSStorageInfo("custId", result[0].cust_id);
    	            $.pageInit("customer/views/transationRegist","customer/detail/customerDetail");
    			}
            });
    		e.stopPropagation();
		});
		
		//点击查看详情
		$.preBindEvent($page.find(".cust_dl"), ".dd_num", function(e){
			var $this = $(this).parent().parent();
			var eno = $this.attr("data-eno");
			var user_name = $this.attr("data-user_name");
			var phone = $this.attr("data-phone");
			if(!(user_name && user_name.trim())) {
                e.stopPropagation();
                return;
            }
			if(!(phone && phone.trim())) {
                e.stopPropagation();
                return;
            }
			$.setSStorageInfo("phone",phone);
			$.setSStorageInfo("type",type);
			$.setSStorageInfo("user_name",user_name);
			$.setSStorageInfo("date",date);
			$.pageInit("customer/views/transationRegist","customer/views/transationRegistDetail");
			e.stopPropagation();
		});
		
		//日，周，月
    	$.preBindEvent($page.find(".tab_nav01"),"li",function(){
    		$(this).addClass("current").siblings().removeClass("current");
    		if($(this).hasClass("one"))
    		{
    			date = 1;
    		}else if($(this).hasClass("two"))
    		{
    			date = 2;
    		}else if($(this).hasClass("thr"))
    		{
    			date = 3;
    		}
    		showCustomList();
    	});
    	
    	//交易户，注册户
    	$.preBindEvent($page.find(".ul_table"),"li",function(){
    		$(this).addClass("act").siblings().removeClass("act");
    		if($(this).hasClass("trans"))
    		{
    			type = 1;
    		}else
    		{
    			type = 2;
    		}
    		showCustomList();
    		changebytype();
    	});
    	
    	//排序
    	$.preBindEvent($page.find(".dl_append"),"a",function(){
    		if(sort=="desc")
    		{
    			sort="asc";
    		}else
    		{
    			sort="desc";
    		}
    		showCustomList();
    	});
	}

	function destroy() {
		
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"mktGoBack" : $page.find("#mktGoBack")
			}
		};
	}
	function initPage() {
		// 重置页面元素
        cleanPageElement();
        type = $.getSStorageInfo("type");
		date = $.getSStorageInfo("date");
		if(type==""||type==undefined){type="1";}
		if(date==""||date==undefined){date="1";}
		var PageCode = $.getSStorageInfo("_prePageCode");
        if(PageCode.indexOf("customer/view") < 0 && !PageCode.indexOf("customer/detail/customerDetail") < 0)
        {
        	type='1';
        	date='1';
        }
        changebytype();
		// 数据加载
		showCustomList();
	}
	
	//根据type值改变页面内容
	function changebytype()
	{
		if(type=="1")
    	{
    		$page.find(".p_txt").html("转介绍交易户");
    		$page.find(".fixed_table").removeClass("center");
			$page.find(".dl_append").html('<dd><span style="width: 1rem">客户姓名</span></dd><dd><span style="width: 1rem"><a href="javascript:void(0);" class="sort"><span>介绍人数</span></a></span></dd><dd><span style="width:1.06rem"><a href="javascript:void(0);" class="sort"><span>介绍资产&ensp;(万)</span></a></span></dd>');
			$page.find(".trans").addClass("act").siblings().removeClass("act");;
    	}else
    	{
    		$page.find(".dl_append").html('<dd><span style="width: 1rem">客户姓名</span></dd><dd><span style="width: 1rem"><a href="javascript:void(0);" class="sort"><span>介绍人数</span></a></span></dd>');
    		$page.find(".fixed_table").addClass("center");
    		$page.find(".p_txt").html("转介绍注册户");
    		$page.find(".reg").addClass("act").siblings().removeClass("act");;
    	}
		
		if (date == "1") {
			$page.find(".one").addClass("current").siblings().removeClass("current");
		} else if (date == "2") {
			$page.find(".two").addClass("current").siblings().removeClass("current");
		} else if (date == "3") {
			$page.find(".thr").addClass("current").siblings().removeClass("current");
		}
	}
	// 将客户图表统计资料显示到页面中
	function showCustomList() {
		$.setSStorageInfo("type",type);
		$.setSStorageInfo("date",date);
        var param={
        		"type"     :  type, //查询类型（1:交易户；2:注册户）
        		"date"     :  date, //查询期间(1:昨日;2:本周;3:本月)
        		"sort"     :  sort,//排序,asc ,desc默认
        		"broker_no"     :  $.getSStorageInfo("employeeNo"), //员工编号
        		"phone"     :  $.getSStorageInfo("mobileNo") //推荐人手机号
            };
        service.showCustomList(param,function (results) {         
        	var html = '';
        	var total_num=0;
        	if(results.length>0){
            	if(type=="1")
            	{
            		for(var s=0;s<results.length;s++)
                  	{
                		html += toHtml(results[s]);
                		total_num += parseInt(results[s].num);
                  	}
            	}else
            	{
            		for(var s=0;s<results.length;s++)
                  	{
                		html += toHtml_re(results[s]);
                		total_num += parseInt(results[s].num);
                  	}
            	}
            	$page.find(".total_num").html(total_num);
            	$page.find(".cust_dl").html(html);
            	$page.find(".cust_empty").hide();
            }else
            {
            	$page.find(".total_num").html("0");
            	$page.find(".cust_dl").html("");
            	$page.find(".cust_empty").show();
            }
        });
    }

	//转换成html
    function toHtml(item) {
    	var html = '';
    	html += '<dl data-fund_account="'+item.fund_account+'" data-phone="'+item.phone+'" data-eno="'+item.eno+'" data-user_name="'+item.user_name+'" ><dd><span class="dd_name" style="width: 1rem">'+item.user_name+'</span></dd><dd><span class="dd_num" style="margin-left: -0.5rem; width: 1rem">'+item.num+'</span></dd><dd><span style="margin-left: -0.5rem; width: 1rem">/</span></dd></dl> ';
		return html;
    }
    
    //转换成html
    function toHtml_re(item) {
    	var html = '';
    	html += '<dl data-fund_account="'+item.fund_account+'" data-phone="'+item.phone+'" data-eno="'+item.eno+'" data-user_name="'+item.user_name+'" ><dd><span class="dd_name" style="margin-left: -0.2rem; width: 1rem">'+item.user_name+'</span></dd><dd><span class="dd_num" style="margin-left: -0.5rem; width: 1rem">'+item.num+'</span></dd></dl> ';
		return html;
    }
    
	// 重置页面元素
	function cleanPageElement() {
		$page.find(".cust_dl").html("");
		$page.find(".cust_empty").show();
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	}
});
