define("financial/scripts/customer/views/transationRegistDetail.js", function(require, exports, module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	var model = window.privateSpaceMKT.model;
	// 模块内的其它全局变量
	var jQueryMap;
	var $page = $("#customer_views_transationRegistDetail");
	var user_name,eno,type,date;
	var sort="desc";

	////下拉加载更多的变量
	var loading = false;

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
	}
	function load() {
		initPage();
	}

	function bindPageEvent() {
		// 返回键
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			cleanPageElement();
			$.setSStorageInfo("type",type);
			$.setSStorageInfo("date",date);
			$.pageBack();
		});

		//日，周，月
    	$.preBindEvent($page.find(".tab_nav01"),"li",function(){
    		$(this).addClass("current").siblings().removeClass("current");
    		if($(this).hasClass("one"))
    		{
    			date = 1;
    		}else if($(this).hasClass("two"))
    		{
    			date = 2;
    		}else if($(this).hasClass("thr"))
    		{
    			date = 3;
    		}
    		showCustomDetail();
    	});
    	
    	//排序
    	$.preBindEvent($page.find(".s_table_head"),"a",function(){
    		if(sort=="desc")
    		{
    			sort="asc";
    		}else
    		{
    			sort="desc";
    		}
    		showCustomDetail();
    	});
    	
    	//点击查看详情
		$.preBindEvent($page.find(".cust_dl"), ".dd_name", function(e){
			$.setSStorageInfo("type",type);
			$.setSStorageInfo("date",date);
			var $this = $(this).parent().parent();
			var cust_id = $this.attr("data-fund_account");
            if(!(cust_id && cust_id.trim())) {
                e.stopPropagation();
                return;
            }
            var params={
            		"custNo" : cust_id,
        			"type"	    : "0"
                };
    		service.getMktCustId(params, function(result){
    			if(result && result.length>0){
    				$.setSStorageInfo("customerType", "2");
    	            $.setSStorageInfo("custId", result[0].cust_id);
    	            $.pageInit("customer/views/transationRegist","customer/detail/customerDetail");
    			}
            });
    		e.stopPropagation();
		});
	}

	function destroy() {
		
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"mktGoBack" : $page.find("#mktGoBack")
			}
		};
	}
	function initPage() {
		// 重置页面元素
        cleanPageElement();
		user_name = $.getSStorageInfo("user_name");
		phone = $.getSStorageInfo("phone");
		type = $.getSStorageInfo("type");
		date = $.getSStorageInfo("date");
		
		//处理页面跳转接收数值
		$page.find(".h2_name").html(user_name);
		if (date == "1") {
			$page.find(".one").addClass("current").siblings().removeClass("current");
		} else if (date == "2") {
			$page.find(".two").addClass("current").siblings().removeClass("current");
		} else if (date == "3") {
			$page.find(".thr").addClass("current").siblings().removeClass("current");
		}
		
		if(type=="1")
    	{
    		$page.find(".dd_span_re").html("资产&ensp;(万)");
    		$page.find(".p_txt").html("转介绍交易户");
    	}else
    	{
    		$page.find(".dd_span_re").html("联系电话");
    		$page.find(".p_txt").html("转介绍注册户");
    	}
		// 数据加载
		showCustomDetail();
	}
	// 将客户图表统计资料显示到页面中
	function showCustomDetail() {
        var param={
        		"type"     :  type, //查询类型（1:交易户；2:注册户）
        		"date"     :  date, //查询期间(1:昨日;2:本周;3:本月)
        		"sort"     :  sort,//排序,asc ,desc默认
        		"phone"     : phone //推荐人手机号
            };
        service.showCustomDetail(param,function (results) {   
        	if(results.length>0){
            	var html = '';
            	for(var s=0;s<results.length;s++)
              	{
            		html += toHtml(results[s]);
              	}
            	$page.find(".cust_dl").html(html);
            	$page.find(".total_num").html(results.length);
            	$page.find(".cust_empty").hide();
            }else
            {
            	$page.find(".cust_dl").html("");
            	$page.find(".total_num").html("0");
            	$page.find(".cust_empty").show();
            }
        });
    }

	//转换成html
    function toHtml(item) {
    	var html = '';
    	html += '<dl data-fund_account="'+item.fund_account+'">';
    	if(type=="1")
    	{
			html += '<dd style="padding-left:0.2rem"><span class="dd_name" style="width: 1rem">'+item.user_name+'</span></dd> ';
    		html += '<dd><span style="width: 1rem">/</span></dd> ';
    	}else
    	{
    		html += '<dd style="padding-left:0"><span class="dd_name" style="width: 1rem">'+item.user_name+'</span></dd> <dd><span style="width: 1rem">'+item.phone+'</span></dd> ';
    	}
    	html += '<dd><span style="padding-right:0.1rem; width: 1rem">'+item.register_date+'</span></dd></dl> ';
    	return html;
    }
    
	// 重置页面元素
	function cleanPageElement() {
		$page.find(".cust_dl").html("");
		$page.find(".cust_empty").show();
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	}
});
