define("financial/scripts/me/channel/busChannelDetail.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_channel_busChannelDetail");
    var link, photoPath, qrBase64, link, activityName, employeeNo;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init() {}

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
        });
        
        // 分享
        $.bindEvent(jQueryMap.content.shareBtn, function () {
            $page.find("div[name='shareDiv']").show();
        });
        // 取消分享
        $.bindEvent($page.find("#cancelShare"), function () {
        	$page.find("div[name='shareDiv']").hide();
        });
        
        // 取消分享
        $.bindEvent($page.find(".dialog-overlay"), function () {
        	$page.find("div[name='shareDiv']").hide();
        });

        // 分享
        $.bindEvent($page.find(".dg_share_links li"), function () {
        	var $this = $(this);
            if($this.find(".spic_box").hasClass("is_show")){
            	return false;
            }
            var channelId = $this.attr("data-channelId");
            var shareType = $this.attr("data-shareType");
            $this.find(".spic_box").addClass("is_show");  
            // 通过原生接口分享
            shareByNative(shareType);
            $this.find(".spic_box").removeClass("is_show");
        });
        
        // 保存分享二维码到本地
        $.bindEvent(jQueryMap.content.saveBtn, function () {
            saveQrToLocalStorage(activityName, employeeNo);
        });
        
        // 长按二维码，复制链接
    	$.bindEvent(jQueryMap.content.QRCode, function (e) {
            saveQRTime = setTimeout(function () {
                $.callMessage({
                    "funcNo"  : "60016",
                    "copyText": link
                });
            }, 1000);
            e.stopPropagation();
        }, "touchstart");
    	
    	 // 长按二维码，复制链接
    	$.bindEvent(jQueryMap.content.QRCode, function (e) {
            clearTimeout(saveQRTime);
            e.stopPropagation();
        }, "touchend");
    }

    // 存储二维码到本地
    function saveQrToLocalStorage(activityName, channelName) {
        // 拼接二维码图片名称
        var fileName = ["channel", activityName, channelName].join("-");
        var result = $.callMessage({
            "funcNo"  : "60014",
            "base64"  : qrBase64,
            "fileName": fileName
        });
        if (result.error_no === "0") {
            $.toast("保存成功！");
            if(channelName == ""){
                toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
            }
        }
    }
    
    // 通过原生接口分享
    function shareByNative(shareType) {
        var param={
            "funcNo"    : "50231",
            "moduleName": "mall",
            "shareType" : shareType,
            "title"     : "华西证券"+$.getSStorageInfo("staffName")+"为您服务!",
            "link"      : link,
            "content"   : "助你成功 共享成果",
            "imgUrl"    : photoPath
        };
        $.callMessage(param);
    }

    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "activityName": $page.find("#activityName"),
                "headImg": $page.find("#headImg"),
                "userInfo": $page.find("#userInfo"),
                "certno": $page.find("#certno"),
                "channelName": $page.find("#channelName"),
                "branchName": $page.find("#branchName"),
                "channelDescribe": $page.find("#channelDescribe"),
                "QRCode": $page.find("#QRCode"),
                "saveBtn": $page.find("#saveBtn"),
                "shareBtn": $page.find("#shareBtn"),
                "cancelShare": $page.find("#cancelShare")
            }
        };
    }

    function initPage() {
        myUtils.showLayer($page);
        myUtils.hideBtn();
    	//填充个人信息
    	jQueryMap.content.userInfo.html($.getSStorageInfo("staffName"));
    	var certno = "--";
    	if($.getSStorageInfo("certno")){
    		certno = $.getSStorageInfo("certno");
    	}
    	jQueryMap.content.certno.html("执&ensp;业&ensp;编&ensp;号："+certno);
    	photoPath = ($.getSStorageInfo("photoPath") != ""?$.getSStorageInfo("photoPath"):"../../../images/zy-hd.png");
    	jQueryMap.content.headImg.attr("src", photoPath);
        showQrCode();
    }

    function showQrCode() {
        var QRCodeId = $.getPageParam("QRCodeId");
        service.queryQrCode({
            "i_qrcode_id": QRCodeId
        }, function(data) {
            activityName = data[0].activity_name;
            var describe = data[0].describe ? data[0].describe : "无";
            jQueryMap.content.activityName.text(activityName);
            jQueryMap.content.channelName.html("<span>合 作 渠 道：</span>" + data[0].channel_name);
            jQueryMap.content.branchName.html("<span>开户营业部：</span>" + data[0].branchname);
            jQueryMap.content.channelDescribe.html("<span>合作方人员：</span>" + describe);

            employeeNo = $.getSStorageInfo("employeeNo");
            var idd = data[0].idd;
            var params = "i_qrcode_id=" + idd + "&broker_code=" + employeeNo;
            link = global.act_url + "?" + params;
            myUtils.getQRcode({
                "text"       : link,
                "guideSerial": params
            }, function (qrBase64Str) {
                qrBase64 = qrBase64Str;
                jQueryMap.content.QRCode.attr("src", qrBase64).css("visibility", "visible");
            });
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});