define("financial/scripts/me/channel/businessChannel.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_channel_businessChannel");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init() {}

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
        });
        //取消
        $.preBindEvent(jQueryMap.content.channelList, ".part", function() {
            var idd = $(this).attr("data-idd");
            $.pageInit("me/channel/businessChannel", "me/channel/busChannelDetail", {
                "QRCodeId": idd
            });
        });
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "channelList": $page.find("#channelList")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        showChannelList();
    }

    function showChannelList() {
        var htmlStr = '';
        service.queryQrCodeList({
            "i_broker_code": $.getSStorageInfo("employeeNo"),
            "i_status": 1
        }, function(data) {
            if(data.length > 0) {
                for (var i = 0; i < data.length; i++) {
                    var describe = data[i].describe ? data[i].describe : "无";
                    htmlStr += '<div class="part" data-idd="' + data[i].idd + '"><h3><span class="tag">' + data[i].organizers_type + '</span><span class="activity_name">' + data[i].activity_name + '</span></h3><ul><li><span>合 作 渠 道：</span><p>' + data[i].channel_name + '</p></li>' +
                        '<li><span>开户营业部：</span><p>' + data[i].branchname + '</p></li><li><span>合作方人员：</span><p>' + describe + '</p></li><li><span>佣 金 模 板：</span><p>' + data[i].commission_name + '</p></li></ul></div>'
                }
                jQueryMap.content.channelList.html(htmlStr);
                jQueryMap.content.channelList.show();
                $page.find(".cust_empty").hide();
            } else {
                jQueryMap.content.channelList.hide();
                $page.find(".cust_empty").show();
            }
            
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.channelList.html("");
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});