define("financial/scripts/me/channel/businessChannelLevel.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_channel_businessChannelLevel");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init() {}

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
        });
        // 搜索
        $.bindEvent(jQueryMap.header.search, function() {
            $.pageInit("me/channel/businessChannelLevel", "me/channel/businessChannelSearch");
        });
        //详情
        $.preBindEvent(jQueryMap.content.channelList, ".operation:not(.not_gray) .coud", function(e) {
            e.stopPropagation();
            var idd = $(this).attr("data-idd");
            $.pageInit("me/channel/businessChannelLevel", "me/channel/busChannelDetail", {
                "QRCodeId": idd
            });
        });
        //展开、收起
        $.preBindEvent(jQueryMap.content.channelList, "div.list_item_show.clickLevel", function(e) {
            e.stopPropagation();
            var $this = $(this);
            if($this.hasClass("act")) {
                $this.removeClass("act").addClass("leave");
                $this.siblings().removeClass("act").addClass("leave");
                $this.siblings().find("div.list_item_show.act").addClass("leave").removeClass("act");
                $this.siblings().find("ul").removeClass("act").addClass("leave");
            } else {
                $this.removeClass("leave").addClass("act");
                $this.siblings().removeClass("leave").addClass("act");
                // 全部展开
                $this.siblings().find("div.list_item_show.leave").removeClass("leave").addClass("act");
                $this.parent().find("ul").removeClass("leave").addClass("act");
                // 展开第一个
                // operChildren($this.siblings("ul"));
                var arr = $this.parent().siblings().find("div.list_item_show.act");
                for(var i = 0; i < arr.length; i++) {
                    $(arr[i]).removeClass("act").addClass("leave");
                    $(arr[i]).siblings().removeClass("act").addClass("leave");
                    $(arr[i]).siblings().find("ul").removeClass("act").addClass("leave");
                }
            }
        });
    }

    // function operChildren(el) {
    //     if(el && el.length > 0) {
    //         $(el[0]).removeClass("leave").addClass("act");
    //         operChildren(el.children("li:first-child").children("ul"));
    //     }
    // }

    function destroy() {
        // 重置页面元素
        // cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "search": $page.find("#search")
            },
            "content": {
                "channelList": $page.find("#channelList")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        var prePageCode = $.getSStorageInfo("_prePageCode");
        if(prePageCode === "me/channel/busChannelDetail" || prePageCode === "me/channel/businessChannelSearch") {
            return;
        }
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        showChannelList();
    }

    function showChannelList() {
        var htmlStr = '';
        service.queryQrCodeLevelList({
            "i_broker_code": $.getSStorageInfo("employeeNo"),
            "i_status": 1
        }, function(data) {
            if(data.length > 0) {
                // 根据父节点编号划分层级
                var idMap = [],
                    jsonTree = [];

                data.forEach(function(v) {
                    !idMap[v['channel_id']] && (idMap[v['channel_id']] = v);
                });

                data.forEach(function(v) {
                    var parent = idMap[v['pre_channel_id']];
                    if(parent && parent != "0") {
                        !parent['children'] && (parent['children'] = []);
                        parent['children'].push(v);
                    } else {
                        jsonTree.push(v);
                    }
                });
                data = [];
                idMap = []
                var htmlStr = getChildStr(jsonTree, 1);
                jQueryMap.content.channelList.html(htmlStr);
                $page.find(".cust_empty").hide();
                jQueryMap.content.channelList.show();
            } else {
                jQueryMap.content.channelList.html("");
                jQueryMap.content.channelList.hide();
                $page.find(".cust_empty").show();
            }
            
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    function getChildStr(children, level, actStatus) {
        var htmlStr = '', operClass = '', treeClass = '', marginLeft = 0, _actStatus = '', hasChildren = false, arrowClass = '', clickLevel = '';
        // 1，2,3级顶层结构
        treeClass = level === 1 ? 'serch_set_li' : level === 2 ? 'none_box ' + actStatus : 'tree_set_ic none_box ' + actStatus;
        htmlStr += '<ul class="' + treeClass + '">';
        marginLeft = (120 * level) / 1000;
        children.forEach(function(item, index) {
            operClass =  item.idd ? '' : 'not_gray';
            // 根据父级传来的状态确定当前层级状态
            hasChildren = item.children && item.children.length > 0;
            if(hasChildren) {
                // 第一个结果及其子级全部展开
                // if(level === 1) {
                //     _actStatus = index === 0 ? 'act' : actStatus ? actStatus : 'leave';
                // } else {
                //     _actStatus = index === 0 && actStatus ? actStatus : 'leave';
                // }
                _actStatus = level === 1 && index === 0 ? 'act' : actStatus ? actStatus : 'leave';
                arrowClass = '';
            } else {
                _actStatus = '';
                arrowClass = 'none';
            }
            clickLevel = (level === 1 || level === 2) && hasChildren ? ' clickLevel' : '';
            htmlStr += '<li><div class="list_item_show ' + _actStatus + clickLevel + '"><span class="' + arrowClass + '"><em style="margin-left:' + marginLeft + 'rem">' + item.channel_name + '</em></span>' + 
                '<div class="operation ' + operClass + '"><a href="javascript:void(0);"></a><a href="javascript:void(0);" class="coud" data-idd="' + item.idd + '"></a></div></div>';
            if(hasChildren) {
                htmlStr += getChildStr(item.children, level + 1, _actStatus);
            }
            htmlStr += '</li>';
        });
        htmlStr += '</ul>';
        return htmlStr;
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.channelList.html("");
    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});