define("financial/scripts/me/channel/businessChannelSearch.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_channel_businessChannelSearch");

    var page = 1;
    var totalPages;
    var scrollJudge = true; //判断是否到底可以滑动?
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            cleanPageElement();
            page = 1;
            $.pageBack("", "left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function() {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
            //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function() {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function() {
            jQueryMap.content.channelList.html("");
            jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyData.hide();
        });

        // 进入二维码详情
        $.preBindEvent(jQueryMap.content.channelList, "a.coud", function() {
            var $this = $(this);
            QRCodeId = $this.attr("data-idd");
            $.pageInit("me/channel/businessChannelSearch", "me/channel/busChannelDetail", {"QRCodeId": QRCodeId});
        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"), function() {
            if (scrollJudge) {
                var viewH = $(this).height(); //可见高度
                var contentH = $(this).get(0).scrollHeight; //内容高度
                var scrollTop = $(this).scrollTop(); //滚动高度
                if (scrollTop / (contentH - viewH) >= 0.99) { //到达底部时,加载新内容
                    if (page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge = false;
                    setTimeout(function() {
                        page++;
                        channelSearch(jQueryMap.header.searchInput.val().trim());
                    }, 600);
                }
            }
        }, "scroll");
    }

    function destroy() {
        // page = 1;
        // cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "searchInput": $page.find("#search_input"),
                "mktGoBack": $page.find("#mktGoBack"),
                "clearBtn": $page.find("#clear_btn"),
                "btnIcon": $page.find("#btn_Icon")

            },
            "content": {
                "channelList": $page.find("#channelList"),
                "emptyTip": $page.find("#emptyTip"),
                //上拉加载更多
                "loadIcon": $page.find(".infinite-scroll-preloader"),
                "emptyData": $page.find("#emptyData")

            }
        };
    }

    function initPage() {
        // cleanPageElement();
        myUtils.hideBtn();

        setTimeout(function() {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            jQueryMap.content.channelList.html("");
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.emptyData.hide();
            /*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/
            return false;
        }
        page = 1;
        channelSearch(searchText);
    }

    //效果

    // 获取任务列表
    function channelSearch(searchText) {
        var employeeNo = $.getSStorageInfo("employeeNo");
        var param = {
            "i_search_str": searchText,
            "i_status": 1,
            "i_broker_code": employeeNo,
            "pageIndex": page,
            "pageSize": 20
        };
        service.queryQrCodeList(param, function(results) {
            totalPages = results[0].totalPages;
            if (page == totalPages && page != 1) {
                jQueryMap.content.emptyData.show();
            } else {
                jQueryMap.content.emptyData.hide();
            }
            if (results[0].data.length > 0) {
                if (page === 1) {
                    jQueryMap.content.channelList.html("");
                }
                jQueryMap.content.emptyTip.hide();
                showChannelList(results[0].data, searchText);
            } else {
                jQueryMap.content.channelList.html("");
                jQueryMap.content.emptyTip.show();
            }

        });
    }

    function showChannelList(results, searchText) {
        var htmlStr = "";
        for (var i = 0; i < results.length; i++) {
            var data = results[i];
            var name =  data.channel_name;
            if( name.indexOf(searchText) != -1 ){
                var reg = new RegExp("(" + searchText + ")", "g");
                name = name.replace(reg, "<font color='#d80c1e'>$1</font>");
            }
            htmlStr += '<li><div><span><em style="margin-left: 0.12rem">' + name + '</em></span><div class="operation">' + 
                    '<a href="javascript:void(0);"></a><a href="javascript:void(0);" class="coud" data-idd="' + data.idd + '"></a></div></div></li>';
        }
        scrollJudge = true;
        jQueryMap.content.loadIcon.hide();
        jQueryMap.content.channelList.append(htmlStr);
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.content.emptyData.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.channelList.html("");

    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});