define("financial/scripts/me/myData/accountMana.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_accountMana");
    var accountUserId = "";
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        $.preBindEvent(jQueryMap.content.accountList, "li", function () {
        	if($(this).hasClass("act")){
        		return ;
        	}
            jQueryMap.layerArea.dailogAccount.show();
            accountUserId = $(this).attr("data-userId");
        });

        //确认修改修改账号以后要重新登录传入userId
        $.bindEvent(jQueryMap.content.okAccount, function () {
            jQueryMap.layerArea.dailogAccount.hide();
            login();
        });
        //取消
        $.bindEvent(jQueryMap.content.closeAccount, function () {
            jQueryMap.layerArea.dailogAccount.hide();
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "accountList"      : $page.find("#accountList"),
                "closeAccount"  : $page.find("#closeAccount"),
                "okAccount"     : $page.find("#okAccount")
            },
            "layerArea" : {
                "dailogAccount" : $page.find("#dailogAccount")

            }
        };
    }

    function initPage() {
    	myUtils.hideBtn();
        service.staffRoleInfo({
            "actionType" : "2",
            "userId"     : $.getSStorageInfo("userId")
        }, function (result) {
            if(result.length>0){
                var html="";
                for(var i=0;i<result.length;i++){
                	var flag = result[i].userId == model.dataStore.userId;
                    html+='<li data-postNo="'+result[i].postNo+'" data-userId="'+result[i].userId+'" class="'+(flag ? "act" : "") +'">'+result[i].branchName + '(' + result[i].employeeNo+')</li>';
                }
                jQueryMap.content.accountList.html(html);
            }


        });
    }

    function login(){
        //退出IM的登录
        $.callMessage({
            "funcNo"         : "80102"
        });
        service.logout({"staffId": model.dataStore.staffId}, function () {
        });
        // 清空缓存
        $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postIdChannel","postNameChannel","postNo","call_auth","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId","postType"],function(index,item){
            $.clearSStorage(item);
        });
        //$.clearSStorage();
        // 清理全局对象中缓存的数据
        model.clear();


        myUtils.login({
            "rsaParam"   : {
                "mobileNo" : $.getLStorageInfo("mobileNo"),
                "loginPwd" : $.getLStorageInfo("loginPwd"),
                "userId"   : accountUserId
            },
            "successFunc": function (result) {
                var postNo = result.postNo;
                if( postNo == "wealthManager" || postNo == "customerManager" ||  postNo == "investAdviser" ||  postNo == "others"){
                	$.setSStorageInfo("role","1");
                    $.pageInit("account/login", "subject/subject");
                }else if( postNo == "branchManager" ||  postNo == "mktManager" || postNo == "areaManager" ||  postNo == "ivtManager"){
                	$.setSStorageInfo("role","0");
                	$.pageInit("account/login", "administrator/adminList");
                }
            },
            "errorFunc"  : function (error_no, error_info) {
                // 清空缓存
                $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postIdChannel","postNameChannel","postNo","call_auth","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId","postType"],function(index,item){
                    $.clearSStorage(item);
                });
                //$.clearSStorage();
                $.clearLStorage("mobileNo");
                $.clearLStorage("loginPwd");
                // 清理全局对象中缓存的数据
                model.clear();
                // 自动登录失败跳转至未登录广告页
                $.pageInit("account/middlePage", "account/preLogin");
            },
            "isCache"    : true
        });
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
