define("financial/scripts/me/myData/addChannel.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require('pickerCity');
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    //省市区的数据json
    var provice = new Map();
    var city = new Map();
    var area = new Map();

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_addChannel");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 显示渠道类型弹出层
        $.bindEvent(jQueryMap.content.channelType, function () {
            toggleLayerArea("show", jQueryMap.layerArea.channelTypeArea);
        });

        // 选择渠道类型
        $.preBindEvent(jQueryMap.layerArea.channelTypeArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:线上，1:线下
            // 线上时就不用地点
            var channelType = $this.attr("data-channelType");
            jQueryMap.content.channelAddr.parent()[channelType === "0" ? "hide" : "show"]();
            jQueryMap.content.channelCity.parent()[channelType === "0" ? "hide" : "show"]();
            var currType = $page.find("#channelType").attr("data-channeltype");
            jQueryMap.content.channelType.addClass("act").attr("data-channelType", channelType)
                .find('strong').html($this.find("span").text());
            //线上线下查询相应的渠道
            if(currType != channelType){
            	jQueryMap.content.classifyName.attr("data-classifyId", "")
                .find("strong").html("请选择");
            	showClassify( channelType === "0" ? "0" : "1" );
            	
            }
            // 隐藏弹出层
            toggleLayerArea("hide");
        });

        // 显示渠道状态弹出层
        $.bindEvent(jQueryMap.content.channelState, function () {
            toggleLayerArea("show", jQueryMap.layerArea.channelStateArea);
        });

        // 选择渠道状态
        $.preBindEvent(jQueryMap.layerArea.channelStateArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:未激活(关闭)，1:激活
            var channelState = $this.attr("data-channelState");
            jQueryMap.content.channelState.addClass("act").attr("data-channelState", channelState)
                .find("strong").html($this.find("span").text());

            // 隐藏弹出层
            toggleLayerArea("hide");
        });

        // 显示渠道分类弹出层
        $.bindEvent(jQueryMap.content.classifyName, function () {
        	var channelType= $page.find("#channelType").find("strong").html();
        	if(channelType == "请选择"){
        		return;
        	}
            toggleLayerArea("show", jQueryMap.layerArea.classifyArea);
        });

        // 选择渠道分类
        $.preBindEvent(jQueryMap.layerArea.classifyArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:未激活(关闭)，1:激活
            var classifyId = $this.attr("data-classifyId");
            jQueryMap.content.classifyName.addClass("act").attr("data-classifyId", classifyId)
                .find("strong").html($this.find("span").text());

            // 隐藏弹出层
            toggleLayerArea("hide");
        });


        // 隐藏弹出层
        $.bindEvent($page.find(".layer_wrap2"), function (e) {
            if (e.target.className === "layer_wrap2") {
                toggleLayerArea("hide");
            }
        });

        //点击添加联系人
        $.bindEvent($page.find(".add_item"), function () {
            var htmlStr = $page.find(".contactMan").prop("outerHTML");
            $(this).parent().before(htmlStr);
            $page.find(".contactMan:not(:first) h3").html("其他联系人（点击文字可删除）");
            $.bindEvent($page.find(".contactMan:not(:first) h3"), function () {
                $(this).parent().remove();
            });
        });



        // 取消按钮
        $.bindEvent($page.find(".layer_wrap2 a.right"), function () {
            toggleLayerArea("hide");
        });


        // 点击保存按钮
        $.bindEvent(jQueryMap.footer.saveBtn, function () {
            var paramMap;
            if (paramMap = validateParam()) {
                addChannel(paramMap);
            }
        });

        ////选择省份以后级联市区
        //jQueryMap.content.seleProvice.change(function(){
        //    var proviceId = $(this).val();
        //    queryAddrId(proviceId,"");
        //    //清空省市区
        //    jQueryMap.content.seleCity.html('<option selected value="">请选择</option>');
        //    jQueryMap.content.seleArea.html('<option selected value="">请选择</option>');
        //});
        //
        ////选择省份以后级联区
        //jQueryMap.content.seleCity.change(function(){
        //    var areaId = $(this).val();
        //    queryAddrId("",areaId);
        //    //清空省市区
        //    jQueryMap.content.seleArea.html('<option selected value="">请选择</option>');
        //});
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "channelName"    : $page.find("#channelName"),
                "channelExplain" : $page.find("#channelExplain"),
                "channelCity"    : $page.find("#channelCity"),
                "channelAddr"    : $page.find("#channelAddr"),
                "channelProperty": $page.find("#channelProperty"),
                "channelType"    : $page.find("#channelType"),
                "channelState"   : $page.find("#channelState"),
                "classifyName"   : $page.find("#classifyName"),
                "classifyList"   : $page.find("#classifyList"),
                "showClassify"   : $page.find("#showClassify"),

                //省市区id
                //"seleProvice" : $page.find("#seleProvice"),
                //"seleCity"   : $page.find("#seleCity"),
                //"seleArea"   : $page.find("#seleArea"),

                //联系人
                "contactWrap"   : $page.find("#contactWrap"),
                "contactMan"     : $page.find(".contactMan"),
                "channelLeading" : $page.find(".channelLeading"),
                "channelLevel"   : $page.find(".channelLevel"),
                "channelPhone"   : $page.find(".channelPhone")

            },
            "footer"   : {
                "saveBtn": $page.find("#save_btn")
            },
            "layerArea": {
                "channelTypeArea" : $page.find("#channelTypeArea"),
                "channelStateArea": $page.find("#channelStateArea"),
                "classifyArea"    : $page.find("#classifyArea")
            }
        };
    }

    function initPage() {
        // 重置页面元素
        cleanPageElement();

        //展示分类的列表
        showClassify("");

        //queryAddrId("","");

        //查询省
        queryAddrAll();
    }

    function queryAddrAll() {
        service.queryAddrAll({}, function (result) {
            $.smConfig.rawCitiesData = eval(result[0].jsonStr);
                //
            //处理数据，将省的数据，市的数据，区的数据分别存json
            dealData( eval(result[0].jsonStr) );
            $("#channelCity").cityPicker({
                toolbarTemplate: '<header class="bar bar-nav">\
        <button class="button button-link pull-right close-picker">确定</button>\
        <h1 class="title">请选择地区</h1>\
        </header>'
            });
        });
    }

    //function queryAddrId(regionId,provinceId){
    //    service.queryAddr({
    //        "regionId"   : regionId,
    //        "provinceId" : provinceId
    //    },function(result){
    //        if(regionId == "" && provinceId == ""){
    //            var htmlRegion='<option selected value="">请选择</option>';
    //            for(var i=0;i<result.length;i++){
    //                htmlRegion += '<option value ="'+result[i].regionId+'">'+result[i].regionName+'</option>';
    //            }
    //            jQueryMap.content.seleProvice.html(htmlRegion);
    //        }else if(regionId != ""){
    //            var htmlProvice='<option selected value="">请选择</option>';
    //            for(var i=0;i<result.length;i++){
    //                htmlProvice += '<option value ="'+result[i].provinceId+'">'+result[i].provinceName+'</option>';
    //            }
    //            jQueryMap.content.seleCity.html(htmlProvice);
    //        }else if(provinceId != ""){
    //            var htmlArea='<option selected value="">请选择</option>';
    //            for(var i=0;i<result.length;i++){
    //                htmlArea += '<option value ="'+result[i].cityId+'">'+result[i].cityName+'</option>';
    //            }
    //            jQueryMap.content.seleArea.html(htmlArea);
    //        }
    //
    //    });
    //}

    function showClassify(classifyType){
        service.queryClassify({
            classifyType : classifyType
        },function(result){
            if(result.length>0){
                var htmlStr="";
                for(var i=0; i<result.length;i++){
                    htmlStr+='<li data-classifyId="'+result[i].classifyId+'"><span>'+result[i].classifyName+'</span></li>';
                }
                jQueryMap.content.classifyList.html(htmlStr);
            }else{
                jQueryMap.content.classifyList.html("");
            }
        });
    }

    // 验证参数
    function validateParam() {
        var channelName = jQueryMap.content.channelName.val();
        var channelExplain = jQueryMap.content.channelExplain.val();
        var channelAddr = jQueryMap.content.channelAddr.val();
        var classifyId = jQueryMap.content.classifyName.attr("data-classifyId");
        //省市区的处理
        var channelCity = jQueryMap.content.channelCity.val();
        var arr= channelCity.split(" ");
        var seleProvice = provice.get(arr[0]);
        var seleCity =  city.get(arr[1]);
        var xzqyId =  area.get(arr[2]);

        var classifyType = jQueryMap.content.channelType.attr("data-channelType");
        // 渠道状态是一定有的(默认激活)，所以不需要校验
        // 0:未激活(关闭)，1:激活
        var channelState = jQueryMap.content.channelState.attr("data-channelState");
        //联系人
        //联系人json格式[{channelLeading:张三,channelLevel:客户经理,channelPhone:18670347301,isMain:1}] (isMain:0非主要，1主要)
        var contactJson = new Array();

        var flag = true;
        $.each(jQueryMap.content.contactWrap.find(".contactMan"),function(index,item){

            var $this = $(this);
            var conJson = {};
            var channelLeading = $this.find(".channelLeading").val();
            var channelLevel = $this.find(".channelLevel").val();
            var channelPhone = $this.find(".channelPhone").val();

            if( channelPhone && !validatorUtils.isMobile( channelPhone) ){
                flag = false;
                $.toast("请输入正确的手机号码");
                return false;
            }
            if(channelLeading || channelLevel || channelPhone){
                conJson["channelLeading"] = channelLeading;
                conJson["channelLevel"] = channelLevel;
                conJson["channelPhone"] = channelPhone ;
                conJson["isMain"] = index == 0 ? "1" : "0";

                contactJson.push(conJson);
            }
        });
        if(!flag){
            return false;
        }

        if (!classifyType) {
            $.toast("请选择渠道类型！");
            return false;
        }

        if (!classifyId) {
            $.toast("请选择渠道分类！");
            return false;
        }

        if (!channelName) {
            $.toast("请输入渠道名称！");
            return false;
        }
        if (!channelExplain) {
            $.toast("请输入渠道简介！");
            return false;
        }


        // 0:线上，1:线下
        // 线上时就不用地点
        if (!channelAddr && classifyType === "1") {
            $.toast("请输入渠道地点！");
            return false;
        }
        // 线上时就不用城市
        if (!channelCity && classifyType === "1") {
            $.toast("请选择所在地区！");
            return false;
        }

        // 对参数进行安全校验、防止xss攻击
        var checkFlag = myUtils.checkParam([
            {"param": channelName, "paramName": "渠道名称"},
            {"param": channelExplain, "paramName": "渠道简介"},
            {"param": channelAddr, "paramName": "渠道地点"}
            //{"param": channelLeading, "paramName": "联系人姓名"},
            //{"param": channelLevel, "paramName": "联系人职务"},
            //{"param": channelPhone, "paramName": "联系电话"}
        ]);
        if (!checkFlag) return false;

        return {
            "classifyType"   : classifyType,
            "classifyId"    : classifyId,

            "provinceId"      : classifyType === "1" ? seleProvice : "",
            "cityId"    : classifyType === "1" ? seleCity : "",
            "xzqyId"        : classifyType === "1" ? xzqyId : "",

            "channelName"   : channelName,
            "channelExplain": channelExplain,

            "channelAddr"   : classifyType === "1" ? channelAddr : "",
            "activeFlag"    : channelState,

            "principalJson" : JSON.stringify(contactJson)
            //"channelLeading"  : channelLeading,
            //"channelLevel"    : channelLevel,
            //"channelPhone"    : channelPhone
        }
    }

    // 添加渠道
    function addChannel(paramMap) {
        paramMap.handleType = 0;   // 0：增加  1：关闭  2：激活 3：修改
        paramMap.staffId = model.dataStore.staffId;
        service.manChannel(paramMap, function () {
            // 添加成功后就返回的我的渠道页面
            $.pageInit("me/myData/addChannel", "me/myData/myChannelCheck");
        })
    }

    //将省市区的json分别存起来
    function dealData(jsonData){
        for(var i=0;i<jsonData.length;i++){
            provice.set(jsonData[i].name,jsonData[i].id);
            for(var j=0;j<jsonData[i].sub.length;j++){
                city.set(jsonData[i].sub[j].name,jsonData[i].sub[j].id);
                for(var z=0;z<jsonData[i].sub[j].sub.length;z++){
                    area.set(jsonData[i].sub[j].sub[z].name,jsonData[i].sub[j].sub[z].id);
                }
            }
        }
    }

    function Map(){
        this.elements = new Array();
        //向MAP中增加元素（key, value)
        this.set = function(_key, _value) {
            this.elements.push( {
                key : _key,
                value : _value
            });
        };
        //获取指定KEY的元素值VALUE，失败返回NULL
        this.get = function(_key) {
            try {
                for (i = 0; i < this.elements.length; i++) {
                    if (this.elements[i].key == _key) {
                        return this.elements[i].value;
                    }
                }
            } catch (e) {
                return null;
            }
        };
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.channelCity.val("");
        jQueryMap.content.channelName.val("");
        jQueryMap.content.channelExplain.val("");
        jQueryMap.content.channelAddr.val("");
        jQueryMap.content.contactWrap.find("input").val("");
        jQueryMap.content.channelType.attr("data-channelType", "").find("strong").html("请选择");
        jQueryMap.content.classifyName.attr("data-classifyName", "").find("strong").html("请选择");
        jQueryMap.content.channelState.attr("data-channelState", "1").find("strong").html("激活");
        jQueryMap.layerArea.channelTypeArea.find("ul li").removeClass("active");
        jQueryMap.layerArea.channelStateArea.find("ul li").removeClass("active");

        $page.find(".contactMan:not(':first')").remove();

        //清空省市区
        //jQueryMap.content.seleProvice.html('<option selected value="">请选择</option>');
        //jQueryMap.content.seleCity.html('<option selected value="">请选择</option>');
        //jQueryMap.content.seleArea.html('<option selected value="">请选择</option>');
    }

    // 切换弹出层的显示状态
    // type: hide:隐藏  show：显示(为show时必须传$showDom)
    function toggleLayerArea(type, $showDom) {
        // 隐藏所有弹框层
        $.each(jQueryMap.layerArea, function (key, $thisDom) {
            if ($thisDom.is(":visible")) {
                $thisDom.find(">div").slideUp("fast");
                $thisDom.fadeOut("fast");
            }
        });

        if (type === "show") {
            $showDom.show();
            $showDom.find(">div").slideDown("fast");
        }
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
