define("financial/scripts/me/myData/feedback.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_feedback");
    var bodyHeight;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //当点击输入QQ的时候
        $.bindEvent(jQueryMap.content.contactWay, function() {
            $("#me_feedback").height(bodyHeight+100);
        }, "focus");
        $.bindEvent(jQueryMap.content.contactWay, function() {
            $("#me_feedback").height(bodyHeight);
        }, "blur");
        
        //输入内容时候的焦点获取和失去
        $.bindEvent(jQueryMap.content.adviceContent, function () {
            var textare = $(this).html();
        	if(textare == "请留下您的宝贵意见吧"){
        		$(this).html("");
        	}
        },"focus");

        $.bindEvent(jQueryMap.content.adviceContent, function () {
        	var textare = $(this).html();
        	if(textare == null || textare == "" || textare.length == 0){
        		$(this).html("请留下您的宝贵意见吧");
        	}
        },"blur");

        // input事件
        $.bindEvent(jQueryMap.content.adviceContent, function () {
            var adviceContent = jQueryMap.content.adviceContent.val().trim();
            var length = adviceContent.length;
            jQueryMap.content.num.text((length <= 500 ? length : 500) + "/500");
            if (length > 500) {
                jQueryMap.content.adviceContent.val(adviceContent.substring(0, 501));
            }

        }, "input");
        
        //提交按钮的变化
        $.bindEvent(jQueryMap.content.inputWrap, function() {
        	var adviceContent = jQueryMap.content.adviceContent.val().trim();
            var contactWay = jQueryMap.content.contactWay.val().trim();
            if(adviceContent){
            	jQueryMap.content.submitBtn.removeClass("disabled");
            }else{
            	jQueryMap.content.submitBtn.addClass("disabled");
            }
        }, "input");


        // 提交建议
        $.bindEvent(jQueryMap.content.submitBtn, function () {
            var adviceContent = jQueryMap.content.adviceContent.val().trim();
            var contactWay = jQueryMap.content.contactWay.val().trim();
            if (!adviceContent) {
                $.toast("请您输入建议内容！");
                return false;
            }
            if (contactWay && !( validatorUtils.isQq(contactWay)
                || validatorUtils.isEmail(contactWay)
                || validatorUtils.isMobile(contactWay))) {

                $.toast("请输入合法的邮箱/QQ/手机号！");
                return false;
            }

            // 提交建议
            submitAdvice(adviceContent, contactWay);
        });
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "adviceContent": $page.find("#advice_content"),
                // 字符数
                "num"          : $page.find("#num"),
                "contactWay"   : $page.find("#contact_way"),
                "submitBtn"    : $page.find("#submit_btn"),
                "inputWrap"    : $page.find(".inp")
            },
            "footer" : {}
        };
    }

    function initPage() {
        myUtils.hideBtn();
        bodyHeight = $("body").height();
    }

    // 提交建议
    function submitAdvice(adviceContent, contactWay) {
        service.feedback({
            "staffId"      : model.dataStore.staffId,
            "adviceContent": adviceContent,
            "contactWay"   : contactWay
        }, function () {
            // 重置页面元素
            cleanPageElement();
            $.pageInit("me/myData/feedback", "me/myData/feedbackSuccess");
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.adviceContent.val("");
        jQueryMap.content.num.text("0/500");
        jQueryMap.content.contactWay.val("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
