define("financial/scripts/me/myData/modifyMobileNo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var mobileNo = "";
    // 验证码倒计时相关
    var countDown = global.countDown;
    var clearCountDown;
    var $page = $("#me_modifyMobileNo");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回事件
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // input事件
        $.bindEvent($page.find("input"), function () {
            // 设置按钮的状态
            setBtnStatus();
        }, "input");

        // 获取短信验证码
        $.bindEvent(jQueryMap.content.getSmsCodeBtn, function () {
            var newMobileNo = jQueryMap.content.newMobileNo.val().trim();
            if (!newMobileNo) {
                $.toast("请输入新手机号！");
                return false;
            }
            if (newMobileNo === $.getLStorageInfo("mobileNo")) {
                $.toast("新手机号与原手机号相同,请重新输入！");
                jQueryMap.content.newMobileNo.val("");
                return false;
            }
            if (!validatorUtils.isMobile(newMobileNo)) {
                $.toast("手机号码不正确！");
                jQueryMap.content.newMobileNo.val("");
                return false;
            }
            // 获取验证码
            getSmsCode(newMobileNo);
        });

        // 修改手机号
        $.bindEvent(jQueryMap.content.submitBtn, function () {
            if ($(this).hasClass("disabled")) {
                return false;
            }

            var newMobileNo = jQueryMap.content.newMobileNo.val().trim();
            var mobileCode = jQueryMap.content.mobileCode.val().trim();

            if (!newMobileNo) {
                $.toast("请输入新手机号");
                return false;
            }
            if (newMobileNo === $.getLStorageInfo("mobileNo")) {
                $.toast("新手机号与原手机号相同,请重新输入！");
                jQueryMap.content.newMobileNo.val("");
                return false;
            }
            if (!validatorUtils.isMobile(newMobileNo)) {
                $.toast("新手机号不正确");
                return false;
            }

            if (!mobileCode) {
                $.toast("请输入短信验证码");
                return false;
            }
            if (/\D+/.test(mobileCode) || mobileCode.length < 6) {
                $.toast("短信验证码错误");
                return false;
            }
            // 修改手机号
            modifyMobileNo(mobileCode, newMobileNo);
        });

        // 完成并返回
        $.bindEvent(jQueryMap.content.finishBtn, function () {
            jQueryMap.layerArea.successTipArea.fadeOut("fast");
            myUtils.pageBack(2);
        });
    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "newMobileNo"  : $page.find("#new_mobile_no"),
                "mobileCode"   : $page.find("#mobile_code"),
                "getSmsCodeBtn": $page.find("#get_sms_code_btn"),
                "tipSpan"      : $page.find("#tip_span"),
                "submitBtn"    : $page.find("#submit_btn"),
                "tipMobileNo": $page.find("#tip_mobile_no"),
                "finishBtn"  : $page.find("#finish_btn")
            },
            "footer"   : {},
            "layerArea": {
                "successTipArea": $page.find("#successTipArea")
            }
        };
    }

    function initPage() {
    }

    // 获取手机验证码
    function getSmsCode(newMobileNo) {
        service.getSmsCode({
            "staffId" : model.dataStore.staffId,
            "mobileNo": newMobileNo,
            "msgType" : "3"
        }, function () {
            // 开始倒计时
            var getSmsCodeBtn = jQueryMap.content.getSmsCodeBtn;
            var tipSpan = jQueryMap.content.tipSpan;
            getSmsCodeBtn.hide();
            tipSpan.text(countDown + "s后重新获取").show();

            clearCountDown = setInterval(function () {
                countDown--;
                if (countDown === 0) {
                    countDown = global.countDown;
                    getSmsCodeBtn.show();
                    tipSpan.hide();
                    window.clearInterval(clearCountDown);
                } else {
                    tipSpan.text(countDown + "s后重新获取");
                }
            }, 1000);
        });
    }

    // 修改手机号
    function modifyMobileNo(mobileCode, newMobileNo) {
        service.modifyMobileNo({
            "staffId"   : model.dataStore.staffId,
            "mobileNo"  : newMobileNo,
            "mobileCode": mobileCode,
            "msgType"   : "3"
        }, function () {
            $.setLStorageInfo("mobileNo", newMobileNo);
            $.toast("手机号码修改成功");
            myUtils.pageBack(2);
//            jQueryMap.content.tipMobileNo.text(newMobileNo);
//            jQueryMap.layerArea.successTipArea.fadeIn("fast");
        },function(error_no,error_Info){
            $.toast(error_Info);
            jQueryMap.content.newMobileNo.val("");
            jQueryMap.content.mobileCode.val("");
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.layerArea.successTipArea.hide();
        jQueryMap.content.mobileCode.val("");
        jQueryMap.content.newMobileNo.val("");
        jQueryMap.content.submitBtn.addClass("disabled");
        jQueryMap.content.getSmsCodeBtn.show();
        jQueryMap.content.tipSpan.hide();
        countDown = global.countDown;
        window.clearInterval(clearCountDown);
    }

    // 设置按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.submitBtn, function () {
            var inputArr = [jQueryMap.content.newMobileNo, jQueryMap.content.mobileCode];
            var hasEmptyInput = myUtils.hasEmptyInput(inputArr);
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput;
        });
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
