define("financial/scripts/me/myData/myChannel.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var delChannelId = "";
    var $page = $("#me_myData_myChannel");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        // 点击查看渠道
        $.preBindEvent($page, "li", function (e) {
            if(e.target.className=="del_btn"){
                return false;
            }
            //checkState  0 未审核 1审核通过 2审核失败 3公有
            var checkState = $(this).attr("data-checkState");
            var channelId = $(this).attr("data-channelId");
            switch (checkState) {
                case "0":
                    $.pageInit("me/myData/myChannel", "me/myData/myChannelCheck");
                    break;
                case "1":
                    $.pageInit("me/myData/myChannel", "me/myData/editChannel", {
                        "channelId": channelId
                    });
                    break;
                case "2":
                    $.pageInit("me/myData/myChannel", "me/myData/myChannelCheFail", {
                        "channelId": channelId
                    });
                    break;
                case "3":
                    $.pageInit("me/myData/myChannel", "me/myData/editChannel", {
                        "channelId": channelId,
                        "isPub"    : "1"
                    });
                    break;
            }
        });

        // 增加渠道
        $.bindEvent(jQueryMap.header.addChannel, function () {
            $.pageInit("me/myData/myChannel", "me/myData/addChannel");
        });
        
        //点击取消删除渠道
        $.bindEvent(jQueryMap.footer.cancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            delChannelId.removeClass('act');

        });
        //点击确定删除
        $.bindEvent(jQueryMap.footer.sure, function () {
        	deleteChannel(delChannelId.attr("data-channelId"));
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }



    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"        : $page.find("#mktGoBack"),
                "addChannel"       : $page.find("#icon_add")
            },
            "content": {
                "emptyTip"         : $page.find("#emptyTip"),
                "onlineChannelBox" : $page.find("#online_channel_box"),
                "offlineChannelBox": $page.find("#offline_channel_box")
                //"mainBox"          : $page.find("article")
            },
            "footer" : {
                "cancel"         : $page.find("#cancel"),
                "sure"           : $page.find("#sure")
            },
            "layerArea":{
                "logoutDialog"   : $page.find("#logoutDialog")
            }
        };
    }

    $(document).ready(function() {
        var startX,endX,countX;
        var startY,endY,countY;
        startX = endX = countX = 0;
        startY = endY = countY = 0;

        $(document).on('touchstart',"#me_myData_myChannel .attach_tool>li", function(e) {

            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                startX = touch.pageX;
                startY = touch.pageY;
                endX = touch.pageX;
                endY = touch.pageY;
            }
        });
        $(document).on('touchmove', "#me_myData_myChannel .attach_tool>li", function(e) {
            if (e.targetTouches.length == 1){
                var touch = e.targetTouches[0];
                endX = touch.pageX;
                endY = touch.pageY;
            }
        });
        $(document).on('touchend', "#me_myData_myChannel .attach_tool>li", function(e) {
            //如果是公有就删除
            if($(this).attr("data-checkState") != "3"){
                countX = endX - startX;
                countY = endY - startY;
                if (countX < -30) {
                    $(this).addClass('act');
                }
                if (countX > 30) {
                    $(this).removeClass('act');
                }
            }
        });

        //删除渠道
        $(document).on('click',"#me_myData_myChannel .attach_tool>li .del_btn", function(e) {
        	myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.logoutDialog);
            delChannelId = $(this).parent().parent()  //.attr("data-channelId");            
//            deleteChannel(channelId);
        });

    });

    function initPage() {
        myUtils.hideBtn();
        // 获取渠道列表
        getChannelList();
    }

    // 获取渠道列表
    function getChannelList() {
        service.getChannelList({
            "userId": model.dataStore.userId
        }, function (results) {
            var hasChannel = false;
            var onlineChannelStr = "";
            var offlineChannelStr = "";
            if (results && results.length > 0) {

                // activeFlag  0:未激活，1:激活
                // classifyType 1:线上，2:线下
                // isPub        1:公有  2：私有
                //checkState  0 未审核 1审核通过 2审核失败
                $.each(results, function (index, item) {
                    if(item.channelId.length == "32"){
                        var liStr = "";
                        if(item.isPub == "1" &&  item.channelId.length > "1" ){
                            liStr = "<li class='" +  (item.activeFlag == "0" ? "disabled" : "") +"' data-channelId='" + item.channelId + "' data-checkState='3'><div class='slider_txt'><h4><span><p>" + item.channelName + "</p><em class='status_tag'>公有</em>"+ (item.activeFlag == "0" ? "<em class='status_tag gray'>已关闭</em>" : "")+"</span></h4><p>" + item.channelExplain + "</p></div></li>";

                        }else if( item.channelId.length > "1" ){
                            if( item.checkState == "0" ){
                                liStr = "<li class='" +  (item.activeFlag == "0" ? "disabled" : "") +"' data-channelId='" + item.channelId + "' data-checkState='0'><div class='slider_txt'><h4><span><p>" + item.channelName + "</p>"+(item.activeFlag == "0" ? "<em class='status_tag gray'>已关闭</em>" : "") + "<em class='status_tag'>未审核</em></span></h4><p>" + item.channelExplain + "</p></div> <div class='tool_box'><a href='javascript:void(0)' class='del_btn'>删除</a> </div></li>";
                            }else if( item.checkState == "2" ){
                                liStr = "<li class='" +  (item.activeFlag == "0" ? "disabled" : "") +"' data-channelId='" + item.channelId + "' data-checkState='2'><div class='slider_txt'><h4><span><p>" + item.channelName + "</p><em class='status_tag'>审核失败</em></span></h4><p>" + item.channelExplain + "</p></div> <div class='tool_box'><a href='javascript:void(0)' class='del_btn'>删除</a> </div></li>";
                            }else {
                                liStr = "<li class='" +  (item.activeFlag == "0" ? "disabled" : "") +"' data-channelId='" + item.channelId + "' data-checkState='1'><div class='slider_txt'><h4><span><p style="+(item.activeFlag == "0" ? "" : "float:none;")+">" + item.channelName + "</p>"+(item.activeFlag == "0" ? "<em class='status_tag gray'>已关闭</em>" : "") + "</span></h4><p>" + item.channelExplain + "</p></div> <div class='tool_box'><a href='javascript:void(0)' class='del_btn'>删除</a> </div></li>";
                            }
                        }

                        switch (item.activeFlag + item.classifyType) {
                            case "00":
                                onlineChannelStr += liStr;
                                break;
                            case "01":
                                offlineChannelStr += liStr;
                                break;
                            case "10":
                                onlineChannelStr = liStr + onlineChannelStr;
                                break;
                            case "11":
                                offlineChannelStr = liStr + offlineChannelStr;
                                break;
                        }

                        //$(this).bind("click");

                        // 设置标识为有渠道
                        if (!hasChannel) {
                            hasChannel = true;
                        }
                    }
                });

            }

            if (hasChannel) {
                //jQueryMap.content.mainBox.show().find(">div").show();
                if (!onlineChannelStr) {
                    jQueryMap.content.onlineChannelBox.html("").parent().hide();
                } else {
                    jQueryMap.content.onlineChannelBox.html(onlineChannelStr).parent().show();
                }

                if (!offlineChannelStr) {
                    jQueryMap.content.offlineChannelBox.html("").parent().hide();
                } else {
                    jQueryMap.content.offlineChannelBox.html(offlineChannelStr).parent().show();
                }
            } else {
                jQueryMap.content.emptyTip.show();
            }
            // 隐藏弹出层
            //myUtils.toggleLayerArea("hide");
        });
    }

    //删除渠道
    function deleteChannel(channelId){
        service.manChannel({
            "staffId"    : model.dataStore.staffId,
            "handleType" : "4",
            "channelId"  : channelId
        },function(){
            cleanPageElement();
            $.toast("删除渠道成功！");
            getChannelList();
        });
    }

    // 重置页面元素
    function cleanPageElement() {
    	$page.find("article").scrollTop(0);
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
