define("financial/scripts/me/myData/myUserInfo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_myUserInfo");
    var dataGender;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	if($("#me_myData_myUserInfo").find("#genderArea").css("display")=="block"){
        		myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        	}else{
        		$.pageBack();
        	} 
        });

        // 上传头像
        $.bindEvent(jQueryMap.content.myPhoto, function () {
            $.callMessage({
                "funcNo"    : "50273",
                "moduleName": "mall",
                "fileName"  : $.getSStorageInfo("staffId")
            });
        });

        //修改性别
        $.bindEvent(jQueryMap.content.sex.parent(), function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.genderArea);
        });

        //点击性别的弹框的取消
        $.bindEvent(jQueryMap.content.cancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 隐藏弹出层
        $.bindEvent($page.find(".dialog-overlay"), function (e) {
            if (e.target.className === "ui dialog-overlay") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        // 选择性别
        $.preBindEvent(jQueryMap.layerArea.genderArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("act").siblings(".act").removeClass("act");
            dataGender = $this.attr("data-gender");
        });
        //点击性别弹框的确认
        $.bindEvent(jQueryMap.content.sure, function () {
            //保存性别
            var param={
                "staffId"       : model.dataStore.staffId,      // 推广员ID  Y
                "actionType"    : "1",                          // 操作类型  Y，0：查询，1：修改
                "sex"           : dataGender,
                "pushUserId"    : ""                             //消息推送用户id
            };
            service.saveUserInfo(param,function(){
            	 if(dataGender==1){
            		$.setSStorageInfo("sex","1");
                 	jQueryMap.content.sex.text("男");
                 }else if(dataGender==2)
                 {
                	$.setSStorageInfo("sex","2");
                 	jQueryMap.content.sex.text("女");
                 }
                 $.toast("修改性别成功！");
            });
            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 修改手机号
        //$.bindEvent(jQueryMap.content.mobileNo.parent(), function () {
        //    $.pageInit("me/myData/myUserInfo", "account/checkPwd", {"type": "modifyMobileNo"});
        //});

        // 实名认证
        // 实名认证分两种：1、个人认证 2、企业认证
        $.bindEvent(jQueryMap.content.postName.parent().parent(), function () {
            $.pageInit("me/myData/myUserInfo", "me/myData/proving");
        });
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "myPhoto"     : $page.find("#my_photo"),
                // 员工姓名
                "sex"     : $page.find("#sex"),
                //手机号码
                "mobileNo"    : $page.find("#mobile_no"),
                //身份验证
                "postName"   : $page.find("#postName"),
                "cancel"  : $page.find("#cancel"),
                "sure"    : $page.find("#sure"),
                "selectGender": $page.find("#selectGender")
        },
            "layerArea": {
                "genderArea" : $page.find("#gender_area")
            }
        };
    }

    function initPage() {
    	myUtils.hideBtn();
        // 显示个人信息
        showInfo();
    }

    // 显示个人信息
    function showInfo() {
        // 加载头像
        var photoPath = $.getSStorageInfo("photoPath");
        if (!photoPath) {
            photoPath ="../../../images/sc-hd01.png";
        }
        jQueryMap.content.myPhoto.find("img").attr("src", photoPath);
        var mobileNo = myUtils.confuseMobile($.getLStorageInfo("mobileNo"));
        jQueryMap.content.mobileNo.text(mobileNo);
        if($.getSStorageInfo("sex")==1){
        	jQueryMap.content.sex.text("男");
        }else if($.getSStorageInfo("sex")==2)
        {
        	jQueryMap.content.sex.text("女");
        }
        jQueryMap.content.postName.text($.getSStorageInfo("postName"));
        //遮罩层去掉
        //myUtils.cancelLayer($page);
    }



    // 上传图片的回调
    function uploadPhotoCallback(data) {
        if (data.error_no == "0") {
            var base64Str = data.base64Image;

            var param={
                "staffId"       : model.dataStore.staffId,         // 推广员ID  Y
                "photoData"     : base64Str,
                "photoType"     : "0"
            };
            service.uploadPhoto(param,function(results){
                jQueryMap.content.myPhoto.find("img").attr("src", "data:image/*;base64," + base64Str);
                // 保存图片地址
                var photoPath = results[0].photoPath;
                // 保存图像的原始地址（服务器端的地址）
                $.setSStorageInfo("photoUrl", photoPath);

               
                
                var index = photoPath.indexOf("upload");
                $.setSStorageInfo("photoPath", global.serverAddr + photoPath.substring(index));
                //同步信息到im
                $.callMessage({
                    "funcNo"      : "80111",
                    "username"    : $.getSStorageInfo("employeeNo"),
                    "nickname"    : $.getSStorageInfo("staffName"),
                    "thumbpic"    : $.getSStorageInfo("photoPath"),
                    "originalpic" : $.getSStorageInfo("photoPath")
                });
                // 清空缓存(因为logo变了)
                model.dataStore.qrBase64Map = {};
            });
        } else {
            $.alert(data.error_info);
        }
    }

    // 重置页面元素
    function cleanPageElement() {
    	myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
    }

    module.exports = {
        "init"               : init,
        "bindPageEvent"      : bindPageEvent,
        "destroy"            : destroy,
        "uploadPhotoCallback": uploadPhotoCallback,
        "load"               : load
    };
});