define("financial/scripts/me/myData/proving.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_proving");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "myPhoto"      : $page.find("#my_photo"),
                "job"          : $page.find("#job"),
                "staffName"    : $page.find("#staffName"),
                "branchName"   : $page.find("#branchName"),
                "oaAccount"    : $page.find("#oaAccount"),
                "employeeNo"   : $page.find("#employeeNo"),
                "idCode"       : $page.find("#idCode")
            }
        };
    }

    function initPage() {
        // 显示个人信息
        showInfo();
    }

    // 显示个人信息
    function showInfo() {
        // 加载头像
        var photoPath = $.getSStorageInfo("photoPath");
        if (!photoPath) {
            photoPath = "../../../images/sc-hd01.png";
        }
        jQueryMap.content.myPhoto.find("img").attr("src", photoPath);

        $.each(["job","staffName","branchName","oaAccount","employeeNo"],function(index,dom){
            jQueryMap.content[dom].html($.getSStorageInfo(dom));
        });
        if($.getSStorageInfo("idType")=="107"){
            jQueryMap.content.idCode.html(myUtils.confuseCodeId($.getSStorageInfo("idCode")));
        }
    }

    module.exports = {
        "init"               : init,
        "bindPageEvent"      : bindPageEvent,
        "destroy"            : destroy,
        "load"               : load
    };
});