define("financial/scripts/me/myData/systemSetting.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_systemSetting");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	initPage();
    }
    function load() {
        loadPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	$.getSStorageInfo("role") == "1" ? $.pageInit("me/myData/systemSetting", "me/myIndex",null,"left",null) :$.pageInit("me/myData/systemSetting", "me/adminIndex",null,"left",null);
//            $.pageBack("","left");
        });

        // 更新app
        $.bindEvent(jQueryMap.content.updateApp, function () {
            $.toast("已是最新的版本！");
        });

        //角色管理
        $.bindEvent(jQueryMap.content.roleManage, function () {
            $.pageInit("me/myData/systemSetting", "me/myData/roleManage");
        });

        //账户管理
        $.bindEvent(jQueryMap.content.accountMana, function () {
            $.pageInit("me/myData/systemSetting", "me/myData/accountMana");
        });

        // 安全设置
        $.bindEvent(jQueryMap.content.securitySetting, function () {
            $.pageInit("me/myData/systemSetting", "me/myData/securitySetting");
        });

        // 用户反馈
        //$.bindEvent(jQueryMap.content.feedback, function () {
        //    $.pageInit("me/myData/systemSetting", "me/myData/feedback");
        //});
        
        // 互动设置
        $.bindEvent(jQueryMap.content.setIm, function () {
        	var imuserid = $.getSStorageInfo("imUserId");
        	$.callMessage({
				"funcNo"    : "80105",
				"username"  : imuserid
			});
        });
        
        // 关于我们
        $.bindEvent(jQueryMap.content.aboutUs, function () {
            $.pageInit("me/myData/systemSetting", "me/myData/aboutUs");
        });

        // 安全退出
        $.bindEvent(jQueryMap.content.logout, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.logoutDialog);
        });
        //点击确定退出
        $.bindEvent(jQueryMap.footer.sure, function () {
        	//用浏览器存缓存的话，部分手机的浏览器有可能被手机厂商的设置导致登录问题
            //所有当在手机使用的时候，用壳子来存缓存
            //其实是另类的清楚壳子的缓存
            //清楚壳子的缓存数据用户缓存,用缓存存手机号码
            $.callMessage({
                "funcNo": "50042",
                "key"   : "mobileNo",
                "value" : "",
            });
            //保存数据用户缓存,用缓存存密码
            $.callMessage({
                "funcNo": "50042",
                "key"   : "loginPwd",
                "value" : "",
            });
            
            //退出IM的登录
            $.callMessage({
                "funcNo"         : "80102"
            });
            service.logout({"staffId": model.dataStore.staffId}, function () {
            	myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
                $.pageInit("me/systemSetting", "account/login");
            });
            

        });
        //点击取消退出
        $.bindEvent(jQueryMap.footer.cancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");

        });

        $.bindEvent(jQueryMap.content.msgSwitch,function(){
        	var opType = $page.find("em.switch_box input[type='checkbox']")[0].checked?"1":"0";
            //im登录不稳定 导致imUserId有时候取不到然后接口报错  先做容错处理  但是此时消息是不能正常控制发送不发送的
            if($.getSStorageInfo("imUserId")){
                service.switchMsgBtn({
                    "actionType" : "1",
                    "imUserId"   : $.getSStorageInfo("imUserId"),
                    "state"      : opType
                }, function () {
                    if(opType == '1'){
                        jQueryMap.content.tipSetting.html("");
                    }else{
                        jQueryMap.content.tipSetting.html("您可能错过重要消息，建议开启");
                    }
                });
            }else{
                if(opType == '1'){
                    jQueryMap.content.tipSetting.html("");
                }else{
                    jQueryMap.content.tipSetting.html("您可能错过重要消息，建议开启");
                }
            }
        })
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"      : $page.find("#mktGoBack")
            },
            "content": {
                "updateApp"      : $page.find("#update_app"),
                "securitySetting": $page.find("#security_setting"),
                //"feedback"       : $page.find("#feedback"),
                "logout"         : $page.find("#logout"),
                "msgSwitch"	     : $page.find("em.switch_box"),
                "tipSetting"     : $page.find("#tipSetting"),
                "setIm"        : $page.find("#setIm"),
                "aboutUs"        : $page.find("#aboutUs"),
                "roleManage"     : $page.find("#roleManage"),
                "accountMana"    : $page.find("#accountMana")
            },
            "footer" : {
                "cancel"         : $page.find("#cancel"),
                "sure"           : $page.find("#sure")
            },
            "layerArea":{
                "logoutDialog"   : $page.find("#logoutDialog")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        //如果是有两个身份的话 就进行角色的切换
        $.getSStorageInfo("mainRole") == "1" ? jQueryMap.content.roleManage.show() : jQueryMap.content.roleManage.hide();
        //如果是员工的话  然后又有多账号的情况下 就显示账户切换
       if( $.getSStorageInfo("role") == "1" &&  $.getSStorageInfo("accountMoer") == "1"){
            jQueryMap.content.accountMana.show();
        }else{
           //如果管理员的角色0的话 就隐藏账户
            jQueryMap.content.accountMana.hide();
        }
    }

    function loadPage(){
        //im登录不稳定 导致imUserId有时候取不到然后接口报错  先做容错处理  但是此时消息是不能正常控制发送不发送的
        if($.getSStorageInfo("imUserId")){
            service.switchMsgBtn({
                "actionType" : "0",
                "imUserId"   : $.getSStorageInfo("imUserId")
            }, function (result) {
                var swtch =$page.find("em.switch_box input[type='checkbox']")[0];
                var op = result[0].flag;
                if(op == '1'){
                    swtch.checked = true;
                    jQueryMap.content.tipSetting.html("");
                }else{
                    swtch.checked = false;
                    jQueryMap.content.tipSetting.html("您可能错过重要消息，点击开启");
                }
                //$.pageInit("me/systemSetting", "account/login");
            });
        }
    }


    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
