define("financial/scripts/me/myIndex.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myIndex");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    
    function load() {
    }

    function bindPageEvent() {
        //展业二维码 ---查询个人主页
        $.bindEvent(jQueryMap.content.store, function () {
        	$.pageInit("me/myIndex", "me/store/storeIndex");
            //queryUserStore();
        });

        // 点击背景图切换
        $.bindEvent(jQueryMap.content.bgPic, function (e) {
            if(e.target.className != "edit_btn myDataClass" && e.target.className != "text" && e.target.className != "myDataClass"){
                $.callMessage({
                    "funcNo"    : "50273",
                    "moduleName": "mall",
                    "fileName"  : $.getSStorageInfo("staffId")
                });
            }
        });

        // 查看个人信息
        $.bindEvent($page.find(".myDataClass"), function () {
            $.pageInit("me/myIndex", "me/myData/myUserInfo");
        });
        // 日志
        $.bindEvent(jQueryMap.content.log, function () {
            $.toast("敬请期待");
        });  
        // 签到
        $.bindEvent(jQueryMap.content.signDao, function () {
        	 $.toast("敬请期待");
        });
        // 我的推广渠道
        $.bindEvent(jQueryMap.content.myChannel, function () {
            $.pageInit("me/myIndex", "me/myData/myChannel");
        });

        // 用户反馈
        $.bindEvent(jQueryMap.content.feedback, function () {
            $.pageInit("me/myIndex", "me/myData/feedback");
        });
        // 展业渠道
        $.bindEvent(jQueryMap.content.busChannel, function () {
            $.pageInit("me/myIndex", "me/channel/businessChannelLevel");
        });

        // 系统设置
        $.bindEvent(jQueryMap.content.systemSetting, function () {
            $.pageInit("me/myIndex", "me/myData/systemSetting");
        });     
        //普通员工底部        
        //点击底部标签客户的时候跳转到营销模块
        $.bindEvent($page.find("#yingxiao"),function(){
            $.pageInit("me/myIndex", "subject/subject","","");
        });
        //点击底部标签客户的时候跳转到客户模块
        $.bindEvent($page.find("#customer"),function(){
            $.pageInit("me/myIndex", "customer/view","","");
        });
        //点击底部标签客户的时候跳转到员工驾驶舱模块
        $.bindEvent($page.find("#cockpit"),function(){
            var pageCode;
            if( $.getSStorageInfo("postNo") == "ivtManager" ||  $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager" ){
                pageCode = "cockpit/cockpitInvest";
            }else{
                pageCode = "cockpit/cockpit";
            }
            $.pageInit("subject/subject",pageCode,"","");
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "myData"     : $page.find("#myData"),
                "mhd_pic"    : $page.find("#mhd_pic"),
                "userName"   : $page.find("#userName"),
                "branchName" : $page.find("#branchName")
            },
            "content"  : {
                "store"         : $page.find("#store"),
                "myChannel"     : $page.find("#my_channel"),
                "log"           : $page.find("#log"),
                "signDao"       : $page.find("#signDao"),
                "feedback"      : $page.find("#feedback"),
                "systemSetting" : $page.find("#system_setting"),
                "bgPic"         : $page.find("#bgPic"),
                "busChannel"     : $page.find("#busChannel"),
            }
        };
    }

    function initPage() {
        //隐藏/显示系统底部TabBar
        myUtils.showBtn("myIndex", "1");
        // platform    "0": pc或手机浏览器; "1": android;  "2" :ios           
    	$.config.platform === "0" ? $page.find(".ft_inner").show() :$page.find(".ft_inner").hide();
        //用户信息
        var userName = $.getSStorageInfo("staffName");
        var branchName = $.getSStorageInfo("branchName");
        jQueryMap.header.userName.html(userName);
        jQueryMap.header.branchName.html(branchName);
        // 加载头像
        var photoPath = $.getSStorageInfo("photoPath");
        if (!photoPath) {
            //photoPath = "/m/financial/img/sc-hd01.png";
	        photoPath = "../../images/sc-hd01.png";
        }
        jQueryMap.header.mhd_pic.find("img").attr("src", photoPath);

        // 加载背景图
        var BgPhotoPath = $.getSStorageInfo("BgPhotoPath");
        if (BgPhotoPath) {
            jQueryMap.content.bgPic.css({"background":"url(" + global.serverAddr+BgPhotoPath + ") no-repeat left top","height":"2.14rem","background-size":"cover","position":"relative"});
        }else{
            jQueryMap.content.bgPic.css({"background":"url(../../images/mhm-bg01.png) no-repeat left top","height":"2.14rem","background-size":"cover","position":"relative"});
        }

    }

    /**
     * 查询用户网店
     */
    function queryUserStore(){
        service.queryUserStore({
            "userId"    : model.dataStore.userId,
            "branchNo"    : $.getSStorageInfo("branchNo"),
            "telPhone"    : $.getLStorageInfo("mobileNo")
        },function () {
            $.pageInit("me/myIndex", "me/store/storeIndex");
        });
    }

    // 上传图片的回调
    function uploadPhotoCallback(data) {
        if (data.error_no == "0") {
            var base64Str = data.base64Image;

            var param={
                "staffId"       : model.dataStore.staffId,         // 推广员ID  Y
                "photoData"     : base64Str,
                "photoType"     : "1"
            };
            service.uploadPhoto(param,function(results){
                jQueryMap.content.bgPic.css({"background":"url(data:image/*;base64," + base64Str + ") no-repeat left top","height":"2.14rem","background-size":"cover","position":"relative"});

                var BgPhotoPath = results[0].photoPath;
                // 保存图像的原始地址（服务器端的地址）
                $.setSStorageInfo("BgPhotoPath", BgPhotoPath);
                // 保存图片地址
                //var photoPath = results[0].photoPath;
                // 保存图像的原始地址（服务器端的地址）
                //$.setSStorageInfo("photoUrl", photoPath);



                //var index = photoPath.indexOf("upload");
                //$.setSStorageInfo("photoPath", global.serverAddr + photoPath.substring(index));
                //同步信息到im
                //$.callMessage({
                //    "funcNo"      : "80111",
                //    "username"    : $.getSStorageInfo("employeeNo"),
                //    "nickname"    : $.getSStorageInfo("staffName"),
                //    "thumbpic"    : $.getSStorageInfo("photoPath"),
                //    "originalpic" : $.getSStorageInfo("photoPath")
                //});
                //// 清空缓存(因为logo变了)
                //model.dataStore.qrBase64Map = {};
            });
        } else {
            $.alert(data.error_info);
        }
    }

    module.exports = {
        "init"           : init,
        "bindPageEvent"  : bindPageEvent,
        "destroy"        : destroy,
        "load"           : load,
        "uploadPhotoCallback": uploadPhotoCallback
    };
});
