define("financial/scripts/me/store/chooseChannel.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    var $page = $("#me_store_chooseChannel");
    var link,storeChannelId,channelName;

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        
    	// 选择渠道
    	$.preBindEvent(jQueryMap.content.channelList,'li', function () {
    		channelName = $(this).find("a")[0].text;
    		$(this).addClass("act").siblings().removeClass("act");
    		getStoreChannel($(this).attr("id"));
    		jQueryMap.content.wchat_con.find("h3").html(channelName);		 		
        });
    	
    	// 添加渠道
        $.bindEvent(jQueryMap.content.addChannel, function () {
            $.pageInit("me/store/chooseChannel","me/myData/addChannel");
        });
    	
    	// 保存分享二维码到本地
        $.bindEvent(jQueryMap.content.saveBtn, function () {
            saveQrToLocalStorage(storeChannelId);
        });
    	
        // 长按二维码，复制链接
    	$.bindEvent(jQueryMap.content.ORCode, function (e) {
            saveQRTime = setTimeout(function () {
                $.callMessage({
                    "funcNo"  : "60016",
                    "copyText": link
                });
            }, 1000);
            e.stopPropagation();
        }, "touchstart");
    }

    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "ORCode"     : $page.find("#ORCode"),
                "channelList": $page.find("#channelList"),
                "saveBtn"    : $page.find("#saveBtn"),
                "wchatBox"   : $page.find(".wchat_box"),
                "wchat_con"  : $page.find(".wchat_con"),
                "noChannelBox" : $page.find("#no_channel_box"),
                "channelBox" : $page.find("#channel_box"),
                "addChannel": $page.find("#add_channel")
            }
        };
    }

    function initPage() {
    	getChannelList();
    }
    //获取渠道列表
    function getChannelList(){
    	service.getChannelList({
    		"userId": model.dataStore.userId
            //"type"  : "1"
    	}, function (results) {
    		var isHasChannel=false;
    		if(results.length>0){
    			var htmlStr = "";
    			var j = 0;
	            for (var i = 0, len = results.length; i < len; i++) {
                    // activeFlag  0: 关闭 1: 激活
                    // classifyType  类型  0:线上1:线下
                    // isPub 公有渠道标识 1:公有 2:私有
                    if( results[i].classifyType=="1" && results[i].activeFlag == "1"){
                        if( (results[i].isPub == "2" && results[i].checkState == "1" ) || results[i].isPub == "1" ){
                            isHasChannel=true;
                            if(j==0){
                                jQueryMap.content.wchat_con.find("h3").html(results[i].channelName);
                                htmlStr += " <li class='act' id='" + results[i].channelId + "' data-id='" + results[i].channelId + "' ><a href='javascript:void(0);'>" + results[i].channelName + "</a>" + ( results[i].isPub == "1" ? "<span class='choice_tag'>公有</span>":"" ) + "</li>";
                                jQueryMap.content.wchat_con.find("h3").html(results[i].channelName);
                                getStoreChannel(results[i].channelId);
                                j++;
                            }else{
                                htmlStr += " <li id='" + results[i].channelId + "' data-id='" + results[i].channelId + "' ><a href='javascript:void(0);'>" + results[i].channelName + "</a>" + ( results[i].isPub == "1" ? "<span class='choice_tag'>公有</span>":"" ) + "</li>";
                            }
                        }
                    }
	            }
	            jQueryMap.content.channelList.html(htmlStr);
	            if(isHasChannel){
	            	jQueryMap.content.channelBox.show();
	    			jQueryMap.content.wchatBox.show();
                    jQueryMap.content.noChannelBox.hide();
	    		 }else{
	    			jQueryMap.content.wchatBox.hide();
	 		    	jQueryMap.content.channelBox.hide();
	 		    	jQueryMap.content.noChannelBox.show();
	    		 }
		    }else{
		    	jQueryMap.content.wchatBox.hide();
		    	jQueryMap.content.channelBox.hide();
		    	jQueryMap.content.noChannelBox.show();
		    }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }
    
    /**
     * 根据渠道ID获取展业渠道流水
     */
    function getStoreChannel(channelId){
    	service.getStoreChannel({
            "userId"     : model.dataStore.userId,
            "channelId"  : channelId,
            "branchNo"   : $.getSStorageInfo("branchNo"),
            "telPhone"   : $.getLStorageInfo("mobileNo")
        }, function (data) {
        	if(data!=null){
        		shopChanneld = data[0].shopChanneld;
        		link = global.userIndex + "?shopChanneld=" + shopChanneld;
            	myUtils.getQRcode({
                    "text"       : link,
                    "guideSerial": data[0].shopChanneld
                }, function (qrBase64Str) {
                    qrBase64 = qrBase64Str;
                    jQueryMap.content.ORCode.attr("src", qrBase64);
                });
        	}
        });
    }
    
    // 存储二维码到本地
    function saveQrToLocalStorage( guideSerial) {
        // 拼接二维码图片名称
        var fileName = ["store", channelName, guideSerial].join("-");
        var result = $.callMessage({
            "funcNo"  : "60014",
            "base64"  : qrBase64,
            "fileName": fileName
        });
        if (result.error_no === "0") {
            $.toast("保存成功！");
            if(channelName == ""){
                toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
            }
        }
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
