define("financial/scripts/me/store/searchChooseProducts.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    var $page = $("#me_store_searchChooseProducts");
    var userId,preview;

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

    }
    function load() {
    	preview = $.getPageParam("preview");
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.subjectCon.html("");
        });

        //点击主题
        $.preBindEvent(jQueryMap.content.subjectCon, "li", function () {
        	var productIdArrar= $.getSStorageInfo("productIdArrar");
        	var subjectId=$(this).attr("data-subjectId"); 
        	productIdArrar.push(subjectId);
        	$.setSStorageInfo("productIdArrar",productIdArrar);
        	$.pageBack();
        });
        
        //点击专家
        $.preBindEvent(jQueryMap.content.subjectCon, ".expert_item", function () {
        	var checkIdsArr= $.getSStorageInfo("checkIdsArr");
        	var expertId=$(this).attr("data-id");   
        	checkIdsArr.push(expertId);
        	$.setSStorageInfo("checkIdsArr",checkIdsArr);
        	$.pageBack();
        });
    	
    	/*$.preBindEvent(jQueryMap.content.productList,'li', function () {
    		if( preview == 1){
    			return false;
    		}
    		createGuideSerial($(this).attr("id"),$(this).attr("channel-id"));
        });  */	
    }
    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
    	jQueryMap = {
                "header" : {
                    "searchInput": $page.find("#search_input"),
                    "mktGoBack"  : $page.find("#mktGoBack"),
                    "clearBtn"   : $page.find("#clear_btn"),
                    "btnIcon"  : $page.find("#btn_Icon")
                },
                "content": {
                    "subjectCon": $page.find("#subjectCon"),
                    "emptyTip"  : $page.find(".msg_wrap")
                }
            };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        if($.getPageParam("groupType") == "expert"){
        	jQueryMap.header.searchInput.attr("placeholder","搜索专家姓名/简拼");
        }else{
        	jQueryMap.header.searchInput.attr("placeholder","搜索主题/标题/简介");
        }
        setTimeout(function () {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    	//getStoreProductList();
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
             jQueryMap.content.emptyTip.hide();
             jQueryMap.content.subjectCon.html("");
            return false;
        }
        if($.getPageParam("groupType") == "expert"){
        	expertSearch(searchText.toUpperCase());
        }else{
             subjectSearch(searchText);
        }
    }
    
    //专家查询
    function expertSearch(key){   	
    	var expertList = $.getSStorageInfo("expertList");
    	if(expertList && expertList.length > 0 ){
    		jQueryMap.content.subjectCon.html("");
			jQueryMap.content.emptyTip.hide();
			var htmlStr="";
			for (var i = 0; i < expertList.length; i++) {
				if(expertList[i].xmjp.indexOf(key) > -1 || expertList[i].ygxm.indexOf(key) > -1){
					htmlStr += '<div class="expert_item" data-id="'+expertList[i].id+'"><div class="expert_info"><img src="'+(expertList[i].ygtx != "" ? expertList[i].ygtx :"../../../images/chd-pic.png" )+'"/>'
						    +'<div class="info_txt"><strong>'+expertList[i].ygxm+'</strong><p>执业证书编号：'+expertList[i].zybh+'</p></div>'
							+'</div><div class="profile_intro"><p>'+expertList[i].zjms+'</p>'
							+'</div><div class="ability_tag"><strong>能力标签</strong>';
					if(expertList[i].markname!="" && expertList[i].markname != undefined ){ 
						var tagArr = [];
		                tagArr = expertList[i].markname.split(","); 
		                for(var j=0;j<tagArr.length;j++){
		                	htmlStr += '<span>'+tagArr[j]+'</span>';
		                }
		            }else{
		            	htmlStr += '<span>暂无标签</span>';
		            }		
					htmlStr +='</div></div>'
				}				
			}
			if(htmlStr == ""){
				jQueryMap.content.subjectCon.html("");
				jQueryMap.content.emptyTip.show();
			}else{
				jQueryMap.content.subjectCon.html(htmlStr);
			}
			
    	}else{
    		jQueryMap.content.subjectCon.html("");
			jQueryMap.content.emptyTip.show();
    	}
    	
    	/*var param = {
            "userId"    : model.dataStore.userId,
            "searchTxt" : key,
            "channelId" :$.getPageParam("channelId")
        };
    	service.getExpertList(param, function (results) {
    		if(results.length > 0){
    			jQueryMap.content.subjectCon.html("");
    			jQueryMap.content.emptyTip.hide();
    			var htmlStr="";
    			for (var i = 0; i < results.length; i++) {
    				htmlStr += '<div class="expert_item" data-id="'+results[i].expertId+'"><div class="expert_info"><img src="'+(results[i].photoPath != "" ? results[i].photoPath :"../../../images/chd-pic.png" )+'"/>'
    					    +'<div class="info_txt"><strong>'+results[i].name+'</strong><p>执业证书编号：'+results[i].certNo+'</p></div>'
							+'</div><div class="profile_intro"><p>'+results[i].brief+'</p>'
							+'</div><div class="ability_tag"><strong>能力标签</strong>';
    				if(results[i].tagsName!=""){ 
    					var tagArr = [];
                        tagArr = results[i].tagsName.split(","); 
                        for(var j=0;j<tagArr.length;j++){
                        	htmlStr += '<span>'+tagArr[j]+'</span>';
                        }
                    }else{
                    	htmlStr += '<span>暂无标签</span>';
                    }		
					htmlStr +='</div></div>'
    			}
    			jQueryMap.content.subjectCon.html(htmlStr);
    		}else{
    			jQueryMap.content.subjectCon.html("");
    			jQueryMap.content.emptyTip.show();
    		}
    	});*/
    }
    
    //主题查询
    function subjectSearch(key){
    	//员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
        var groupIdIn = $.getSStorageInfo("branchNo");
        var param = {
            "userId"    : model.dataStore.userId,
            "searchTxt" : key,
            "groupIdIn" : groupIdIn
        };
    	service.getSubjectList(param, function (results) {
            if(results.result1.length>0){
    			jQueryMap.content.subjectCon.html("");
    			jQueryMap.content.emptyTip.hide();
                selectOnMenu(results.result1);
            }else{
                jQueryMap.content.subjectCon.html("");
                jQueryMap.content.emptyTip.show();
            }  
        });
    }
    function selectOnMenu(results){
        var htmlStr="";
        var subjectDesc = "";
        for (var i = 0; i < results.length; i++) {
//            subjectDesc = results[i].subjectDesc.length > 10 ?  results[i].subjectDesc.substr(0,10)+"..." : results[i].subjectDesc;

            if(results[i].subjectTypeNo =="newCustomersExclusive"){             
                htmlStr += "<li data-subjectId='"+results[i].subjectId+"'  data-subjectTypeNo='"+results[i].subjectTypeNo+"'><a href='javascript:void(0);'><p>预期年化收益率<span>" + (results[i].rate == "" ? "0": results[i].rate) + "</span></p><strong><p>"+results[i].subjectName+"</p><span>"+results[i].subjctType+"</span></strong><small>"+results[i].subjectDesc+"</small></a></li>";
            }else{
                htmlStr += "<li class='typeStyle' data-subjectId='"+results[i].subjectId+"' data-subjectTypeNo='"+results[i].subjectTypeNo+"'><a href='javascript:void(0);'><strong><p>"+results[i].subjectName+"</p><span class='sr_tag'>"+results[i].subjctType+"</span></strong><small>"+results[i].subjectDesc+"</small></a></li><li>";
            }        
        }
        jQueryMap.content.subjectCon.html(htmlStr);
        jQueryMap.content.emptyTip.hide();
    }

    function createGuideSerial(busiId,channelId){
    	service.createGuideSerial({
    		"staffId"    : userId,      // 职工编号    Y
            "busiId"     : busiId,      // 产品编号    Y
            "channelId"  : channelId,   // 渠道编号    N
            "paramValues": "", 			// 参数值      N
            "marketWay"  : "2"   		// marketWay   Y  1 链接   2 二维码
            //"batchNumber": ""  			// 批次号      N
    	}, function (results) {
    		var link = global.businessUrl +"peddleId="+ results[0].serialNumber;
    		window.location.href=link;
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.subjectCon.html("");
        jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.subjectCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
