define("financial/scripts/me/store/searchStoreSubject.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    var $page = $("#me_store_searchStoreSubject");
    var userId;
    var storeState;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

    }
    function load() {
    	storeState = $.getPageParam("storeState");
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {

                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.subjectCon.html("");
        });

        //点击列表中的主题是跳转到过渡页面
        //$.preBindEvent(jQueryMap.content.subjectCon, "li", function () {
        //    $.setSStorageInfo("subjectId",$(this).attr("data-subjectId"));
        //    var subjectTypeNo = $(this).attr("data-subjectTypeNo");
        //    $.pageInit("subject/subjectSearch", "subject/subjectDetail",{"subjectTypeNo":subjectTypeNo},"right",true);
        //});

    	//点击主题
    	$.preBindEvent(jQueryMap.content.subjectCon, 'li', function () {
    		//if( preview == 1){
    		//	return false;
    		//}
    		createGuideSerial($(this).attr("id"),$(this).attr("channel-id"));
        });
    	
//    	// 清空搜索框
//        $.bindEvent(jQueryMap.header.reset, function () {
//        	jQueryMap.header.searchInput.val("");
//            jQueryMap.header.clearBtn.hide();
//            jQueryMap.content.emptyTip.hide();
//            jQueryMap.content.subjectCon.html("");
//        	//jQueryMap.header.subjectKey[0].value = "";
//        });
//        
//        // 搜索
//        $.bindEvent(jQueryMap.header.search, function () {
//        	var key = jQueryMap.header.subjectKey.val().trim();
//        	getStoreProductList(key);
//        });
//        
//        //搜索框输入
//        $.bindEvent(jQueryMap.header.subjectKey, function () {
//            var len = jQueryMap.header.subjectKey.val().length;
//            var e = event || window.event || arguments.callee.caller.arguments[0];
//            if (len === 0) {
//                jQueryMap.header.reset.hide();
//            } else {
//                jQueryMap.header.reset.show();
//            }
//             //搜索时一输入文字就立即进行搜索
//            if (e && e.keyCode == 13) {
//            	getStoreProductList(jQueryMap.header.subjectKey.val().trim());
//            }
//        }, "keydown");
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
    	jQueryMap = {
                "header" : {
                    "searchInput": $page.find("#search_input"),
                    "mktGoBack"  : $page.find("#mktGoBack"),
                    "clearBtn"   : $page.find("#clear_btn"),
                    "btnIcon"  : $page.find("#btn_Icon")

                },
                "content": {
                    "subjectCon": $page.find("#subjectCon"),
                    "emptyTip"  : $page.find(".msg_wrap")

                }
            };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        cleanPageElement();
        setTimeout(function () {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    	//getStoreProductList();
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            // 检测键盘是否还是展开状态
            //if (window.screen.height > $("body").height() + 100) {
            //    setTimeout(function () {
            //        $.toast("请输入搜索关键字！");
            //    }, 300);
            //} else {
            //    $.toast("请输入搜索关键字！");
            //}
             jQueryMap.content.emptyTip.hide();
             jQueryMap.content.subjectCon.html("");
            return false;
        }
        subjectSearch(searchText);
    }
    function subjectSearch(key){
    	service.getStoreProductList({
    		"shopChanneld": $.getSStorageInfo("shopChanneld"),
    		"subjectKey"    : key
    	}, function (results) {
    		if(results.productList.length>0){
    			jQueryMap.content.subjectCon.html("");
    			jQueryMap.content.emptyTip.hide();
                	selectOnMenu(results);
		
            }else{
                jQueryMap.content.subjectCon.html("");
                jQueryMap.content.emptyTip.show();
            }  
        });
    }
    function selectOnMenu(results){
    	var productList = results.productList;
        var htmlStr = "";
        for (var i = 0, len = productList.length; i < len; i++) {
        	if( productList[i].subjectTypeNo == 'hotSellGetCustomer' ){ //新客专享
        		htmlStr += '<li class="typeStyle" id="' + productList[i].subjectId + '" channel-id="' + productList[i].channelId + '"><a href="javascript:void(0);">'
				 + '<strong><p>'+ productList[i].subjectName +'</p><span class="sr_tag">新客专享</span></strong><small>'
				 + productList[i].subjectDesc +'</small></a></li>';
        	}else{ //增值签约
        		htmlStr += '<li class="typeStyle" id="' + productList[i].subjectId + '" channel-id="' + productList[i].channelId + '"><a href="javascript:void(0);">'
        				 + '<strong><p>'+ productList[i].subjectName +'</p><span class="sr_tag">'+(productList[i].typeName =="增值签约" ? "增值服务" : productList[i].typeName)+'</span></strong><small>'
        				 + productList[i].subjectDesc +'</small></a></li>';
        	}
        }
        jQueryMap.content.subjectCon.html(htmlStr);
        
        userId = results.storeInfo[0].userId;
    }

    function createGuideSerial(busiId,channelId){
    	service.createGuideSerial({
    		"staffId"    : userId,      // 职工编号    Y
            "busiId"     : busiId,      // 产品编号    Y
            "channelId"  : channelId,   // 渠道编号    N
            "paramValues": "", 			// 参数值      N
            "marketWay"  : "1"   		// marketWay   Y  1 链接   2 二维码
            //"batchNumber": ""  			// 批次号      N
    	}, function (results) {
    		var link = global.businessUrl +"peddleId="+ results[0].serialNumber;
            if(storeState=="app"){
                $.callMessage({
                    "funcNo"     : "50115",
                    "moduleName" : "mall",
                    "url"        : link,
                    "title"      : "营销服务平台",
                    "isChangeTitle" :"1",
                    "isUseCache" :"0"
                });
            }else{0
                window.location.href=link;
            }
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.subjectCon.html("");
        jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.subjectCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
