define("financial/scripts/me/store/showStore.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var HIscroll = require("hIscroll");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    //引入微信的API
    var wx = require("weixinapi");

    // 模块内的其它全局变量
    var jQueryMap;
    var myHIscroll = null;
    var pageParam;
    var $page = $("#me_store_showStore");
    var userId;
    var referrUrl;//推荐人网址
    var name;
	var photoPath;

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initJQueryMap();

        var shopChanneld = $.getPageParam("shopChanneld");
        $.setSStorageInfo("shopChanneld",shopChanneld);
        /*if( $.getSStorageInfo("shopChanneld") == null ){
            $.setSStorageInfo("shopChanneld",shopChanneld);
        }*/
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 拨打电话
        $.bindEvent(jQueryMap.header.phone, function () {
            jQueryMap.dialog.dialog.show();
            jQueryMap.dialog.dialogBg.show();
        });

        // 取消
        $.bindEvent(jQueryMap.dialog.cancel, function () {
        	jQueryMap.dialog.dialog.hide();
        	jQueryMap.dialog.dialogBg.hide();
        });
        //点击热门图片
        $.preBindEvent(jQueryMap.content.hotSubjectScroller, "li", function(){
            createGuideSerial($(this).attr("id"),$(this).attr("channel-id"));
        });

        //点击热门图片
        $.preBindEvent(jQueryMap.content.productList, "div.rcd_cblk", function(){
            createGuideSerial($(this).attr("id"),$(this).attr("channel-id"));
        });


        // 精选推荐
        $.bindEvent(jQueryMap.content.recommended, function () {
            $.pageInit("me/store/showStore", "me/store/storeSubjects", {"preview":"1"});
        });

        // 搜索
        $.bindEvent(jQueryMap.header.search, function () {
            $.pageInit("me/store/showStore", "me/store/searchStoreSubject", {"preview":"1"});
        });

        //查询推荐人
        $.bindEvent(jQueryMap.content.referrUrl, function(){
            //$.callMessage({
            //    "funcNo"     : "50115",
            //    "moduleName" : "mall",
            //    "url"        : referrUrl
            //});
            window.location.href = referrUrl;
        });
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
        try{
            myHIscroll.destroy();
        }catch(e){
        }

        //myHIscroll.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "phone" : $page.find(".icon_phone"),
                "search": $page.find(".icon_search")
            },
            "content": {
                "headImg"     		: $page.find("#headImg"),
                "branchName"  		: $page.find("#branchName"),
                "staffName"         : $page.find("#staffName"),
                "position"    		: $page.find("#position"),
                "certno"     		: $page.find("#certno"),
                "storeDesc"   		: $page.find("#storeDesc"),
                "productList" 		: $page.find("#productList"),
                "hotList"     		: $page.find("#hotSubjectScroller"),
                "hotSubjectWrapper" : $page.find("#hotSubjectWrapper"),
                "hotSubjectScroller": $page.find("#hotSubjectScroller"),
                "dotBox"            : $page.find("#dot_box"),
                "recommended"       : $page.find(".rcd_tit"),
                "noAllSub"          : $page.find("#noAllSub"),
                "hotImg"            : $page.find("#hotImg"),
                "referrUrl"         : $page.find("#referrUrl")
            },
            "dialog": {
                "dialog"   : $page.find(".dialog"),
                "dialogBg" : $page.find(".dialog-overlay"),
                "cancel"   : $page.find(".cancel"),
                "moblie"   : $page.find("#moblie"),
                "callBtn"   : $page.find("#callBtn")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        getStoreProductList();
    }


    function getStoreProductList(){
    	service.getStoreProductList({
    		"shopChanneld": $.getSStorageInfo("shopChanneld")
    	}, function (results) {
    		var productList = results.productList;
    		if(productList.length > 0){
    			var htmlStr = "";
                for (var i = 0, len = productList.length ; i < len; i++) {
                	if(i < 5){
                		if( productList[i].subjectTypeNo == 'hotSellGetCustomer'  ){ //新客专享
                    		htmlStr += '<div id="' + productList[i].subjectId + '" channel-id="' + productList[i].channelId + '" class="rcd_cblk '+ ( productList[i].hotFlag == '1' ? "is_hot":"" ) +'">'
    			       				 + '<h3><span>新客专享</span></h3>'
    			    				 + '<div class="rcd_item"><ul class="subjectItem2"><li><strong>'+ productList[i].subjectName +'</strong>'
    			    				 + '<p>'+ productList[i].subjectDesc +'</p></li></ul></div></div>';
                    		
                    	}else {
                    		htmlStr += '<div id="' + productList[i].subjectId + '" channel-id="' + productList[i].channelId + '" class="rcd_cblk '+ ( productList[i].hotFlag == '1' ? "is_hot":"" ) +'">'
                    				 + '<h3><span>'+(productList[i].typeName =="增值签约" ? "增值服务" : productList[i].typeName)+'</span></h3>'
                    				 + '<div class="rcd_item"><ul class="subjectItem2"><li><strong>'+ productList[i].subjectName +'</strong>'
                    				 + '<p>'+ productList[i].subjectDesc +'</p></li></ul></div></div>';
                    		
                    	}
                	}
                	if(productList[i].hotFlag == '1'){
                		fillHotSubject(productList[i].subjectId, productList[i].channelId, productList[i].mainPicture);
                	}
                	
                }
                if(htmlStr.length > 0){
                	jQueryMap.content.noAllSub.hide();
                    jQueryMap.content.productList.html(htmlStr);
                }else{
                	jQueryMap.content.hotImg.hide();
        			jQueryMap.content.noAllSub.show();
        			jQueryMap.content.productList.html("");
                }  
    		}else{
    			jQueryMap.content.hotImg.hide();
    			jQueryMap.content.noAllSub.show();
    			jQueryMap.content.productList.html("");
    		}
            
            
            var storeInfo = results.storeInfo[0];
            photoPath = $.getSStorageInfo("photoPath");
            name = storeInfo.name;
            if(storeInfo.photoPath){
            	photoPath = global.serverAddr+storeInfo.photoPath;
            }
            if (!photoPath) {
                photoPath = "../../../images/sc-hd01.png";
            }
            jQueryMap.content.headImg.attr("src",photoPath);
            jQueryMap.content.staffName.html(name);
            jQueryMap.content.branchName.html("华西证券 "+ (storeInfo.branchName!="" ? "("+storeInfo.branchName+")" : ""));
            jQueryMap.content.position.html("职位："+storeInfo.jobtitle);
            jQueryMap.content.certno.html("执业编号："+storeInfo.certno);
            jQueryMap.content.storeDesc.html(storeInfo.storeDesc);
            referrUrl = storeInfo.referrUrl;
            if(storeInfo.mobileNo!="" && storeInfo.mobileNo!=null){
            	//jQueryMap.dialog.moblie.html(storeInfo.mobile).siblings("p").html(storeInfo.staffName);
                jQueryMap.dialog.moblie.html(storeInfo.mobileNo);
            	//$page.find("#callBtn").attr("href","tel:"+storeInfo.mobile);
            }else{
            	jQueryMap.dialog.moblie.html(storeInfo.mobile);
            	//$page.find("#callBtn").attr("href","tel:95584");
            }
            
            userId = storeInfo.userId;
            
            if( jQueryMap.content.hotList[0].innerHTML != "" ){
            	initHIscroll();
            }
            
            shareShop();
            //遮罩层去掉
            //myUtils.hideLayer1($page);
        });
    	
    }
    
    function shareShop(){
    	var href = window.location.href;
		var url = href.split('#')[0];
    	$.ajax({
            url: global.weixinShare+encodeURIComponent(url),
            type: "get",
            async: true,
            success: function(data, textStatus) {
            	console.info(data);
            	var row = eval("("+data+")").data;
				wx.config({
				    debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
				    appId: row.appId, // 必填，公众号的唯一标识
				    timestamp: row.timestamp, // 必填，生成签名的时间戳
				    nonceStr: row.nonceStr, // 必填，生成签名的随机串
				    signature: row.signature,// 必填，签名，见附录1
				    jsApiList: ["onMenuShareTimeline","onMenuShareAppMessage","onMenuShareQQ","onMenuShareWeibo","onMenuShareQZone"] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
				});
				var titleName = "华西证券"+name+"为您服务!";
				var titleDesc = "助你成功 共享成果";
				var titleLogo = photoPath;
				wx.ready(function(){
					//朋友圈
					wx.onMenuShareTimeline({
					    title: titleName, // 分享标题
					    link: url, // 分享链接
					    desc: titleDesc, // 分享描述
					    imgUrl: titleLogo, // 分享图标
					    success: function () { 
					        // 用户确认分享后执行的回调函数
					    	
					    },
					    cancel: function () { 
					        // 用户取消分享后执行的回调函数
					    }
					});
					//自定义按钮分享
					wx.onMenuShareAppMessage({
					    title: titleName, // 分享标题
					    desc: titleDesc, // 分享描述
					    link: url, // 分享链接
					    imgUrl: titleLogo, // 分享图标
					    type: '', // 分享类型,music、video或link，不填默认为link
					    dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
					    success: function () {
					        // 用户确认分享后执行的回调函数
					    },
					    cancel: function () { 
					        // 用户取消分享后执行的回调函数
					    }
					});
					
					wx.onMenuShareQQ({
						title: titleName, // 分享标题
						desc: titleDesc, // 分享描述
						link: url, // 分享链接
					    imgUrl: titleLogo, // 分享图标
					    success: function () { 
					       // 用户确认分享后执行的回调函数
					    },
					    cancel: function () { 
					       // 用户取消分享后执行的回调函数
					    }
					});
					
					wx.onMenuShareWeibo({
						title: titleName, // 分享标题
						desc: titleDesc, // 分享描述
						link: url, // 分享链接
					    imgUrl: titleLogo, // 分享图标
					    success: function () { 
					       // 用户确认分享后执行的回调函数
					    },
					    cancel: function () { 
					        // 用户取消分享后执行的回调函数
					    }
					});
					
					wx.onMenuShareQZone({
						title: titleName, // 分享标题
						desc: titleDesc, // 分享描述
						link: url, // 分享链接
					    imgUrl: titleLogo, // 分享图标
					    success: function () { 
					       // 用户确认分享后执行的回调函数
					    },
					    cancel: function () { 
					        // 用户取消分享后执行的回调函数
					    }
					});
				});		
			}
        });
	}
    
    //填充热门主题src='"+global.appUrl+item.subjectMainPic+"'
    function fillHotSubject(id, channelId, img){
    	jQueryMap.content.hotImg.show();
    	var htmlStr = '<li style="height:78px;" id="'+id+'" channel-id="' + channelId + '" class="act"><a href="javascript:void(0);"><span>热门主题</span><img style="height: 0.8rem;" src="'+global.appUrl+img+'"/></a></li>';
    	var dotHtml = "";
    	if( jQueryMap.content.dotBox[0].innerHTML == "" ){
    		dotHtml = '<span class="act"></span>';
    	}else{
    		dotHtml = '<span></span>';
    	}
    	jQueryMap.content.dotBox.append(dotHtml);
    	jQueryMap.content.hotList.append(htmlStr);
    }

    // 初始化滑动组件
    function initHIscroll() {
        var config = {
            "wrapper"    : jQueryMap.content.hotSubjectWrapper,
            "scroller"   : jQueryMap.content.hotSubjectScroller,
            "perCount"   : 1,      // 每个可视区域显示的子元素，就是每个滑块区域显示几个子元素，必传
            "showTab"    : false,  // 是否有导航点
            "auto"       : true,   // 是否自动播放，非必传，默认为false
            "onScrollEnd": function () {
                jQueryMap.content.dotBox
                    .find("span").eq(myHIscroll.getActivePage()).addClass("act")
                    .siblings().removeClass("act")
            }
        };
        myHIscroll = new HIscroll(config);
        //jQueryMap.content.hotSubjectScroller.find("img").show();
    }

    // 存储二维码到本地
    //function createGuideSerial(busiId,channelId){
    //	service.createGuideSerial({
    //		"staffId"    : userId,      // 职工编号    Y
    //        "busiId"     : busiId,      // 产品编号    Y
    //        "channelId"  : channelId,   // 渠道编号    N
    //        "paramValues": "", 			// 参数值      N
    //        "marketWay"  : "2"   		// marketWay   Y  1 链接   2 二维码
    //        //"batchNumber": ""  			// 批次号      N
    //	}, function (results) {
    //		var link = global.businessUrl +"peddleId="+ results[0].serialNumber;
    //		window.location.href=link;
    //    });
    //}

    function createGuideSerial(busiId,channelId){
        service.createGuideSerial({
            "staffId"    : userId,      // 职工编号    Y
            "busiId"     : busiId,      // 产品编号    Y
            "channelId"  : channelId,   // 渠道编号    N
            "paramValues": "", 			// 参数值      N
            "marketWay"  : "1"   		// marketWay   Y  1 链接   2 二维码
            //"batchNumber": ""  			// 批次号      N
        }, function (results) {
            var link = global.businessUrl +"peddleId="+ results[0].serialNumber;
            window.location.href=link;
            //$.callMessage({
            //    "funcNo"     : "50115",
            //    "moduleName" : "mall",
            //    "url"        : link
            //});
        });
    }
    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.hotList.html("");
        jQueryMap.content.dotBox.html("");
        jQueryMap.content.productList.html("");
        jQueryMap.content.noAllSub.hide();
        jQueryMap.content.hotImg.hide();
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
