define("financial/scripts/me/store/storeIndex.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    var $page = $("#me_store_storeIndex");
    var link;
    var shopChanneld;
    var channelId = "0";
    var saveQRTime;
    var base64Str;
    var photoPath;
    // 初始化jQueryMap对象
    initJQueryMap();
    
    function init(){
    	$.clearSStorage("checkIdsArr");
    	$.clearSStorage("productIdArrar");
        initPage();
    }
    function load() {
        loadPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            var prePageCode = $.getSStorageInfo("_prePageCode");
        	if(prePageCode=="mot/eventBreakpoint" || prePageCode=="mot/eventBreakpointInfo" || prePageCode=="mot/eventServiceSearch"){
        		$.pageBack();
            }else{
            	$.pageInit("me/store/storeIndex", "me/myIndex",null,"left",true);
            }
        });
        
    	// 编辑微店
        $.bindEvent(jQueryMap.content.chooseProducts, function () {
            $.pageInit("me/store/storeIndex", "me/store/chooseProducts",{"channelId":channelId,"shopChanneld":shopChanneld});
        });
        
        // 分享
        $.bindEvent(jQueryMap.content.shareStore, function () {
        	$page.find("div[name='shareDiv']").show();
        	//$.pageInit("me/store/storeShare", "me/store/storeShare",{"base64Str":base64Str,"photoPath":photoPath,"staffName":$.getSStorageInfo("staffName")});
        });
        // 取消分享
        $.bindEvent($page.find("#cancelShare"), function () {
        	$page.find("div[name='shareDiv']").hide();
        });
        
        // 取消分享
        $.bindEvent($page.find(".dialog-overlay"), function () {
        	$page.find("div[name='shareDiv']").hide();
        });
        
        // 分享
        $.bindEvent($page.find(".dg_share_links li"), function () {
        	var $this = $(this);
            if($this.find(".spic_box").hasClass("is_show")){
            	return false;
            }
            var channelId = $this.attr("data-channelId");
            var shareType = $this.attr("data-shareType");
            $this.find(".spic_box").addClass("is_show");   
            
            //link = $.getPageParam ("base64Str");
            
            $.setSStorageInfo("urlLink",base64Str);
            if (shareType === "email") {
                $.setSStorageInfo("shareType","email");
                $this.find(".spic_box").removeClass("is_show");
                $.pageInit("subject/subjectToPromote","subject/email");
                
            } else if (shareType === "sms") {
                $.setSStorageInfo("shareType","sms");
                $this.find(".spic_box").removeClass("is_show");
                $.pageInit("subject/subjectToPromote","subject/email");
                //toggleLayerArea("show", jQueryMap.layerArea.messageArea);
            } else if (shareType === "app") {
            	$.setSStorageInfo("shareType","app");
            	$this.find(".spic_box").removeClass("is_show");
                $.pageInit("subject/subjectToPromote","subject/app");
                //toggleLayerArea("show", jQueryMap.layerArea.messageArea);
            } else if (shareType === "copy") {  // 复制到剪切板
                // 不需要渠道
                $.callMessage({
                    "funcNo"  : "60016",
                    "copyText": base64Str
                });
                $this.find(".spic_box").removeClass("is_show");
            }
            else {
                // 通过原生接口分享
                shareByNative(shareType);
                $this.find(".spic_box").removeClass("is_show");
            }
        });
        
        //选择渠道
        $.bindEvent(jQueryMap.content.chooseChannel, function () {
            $.pageInit("me/store/storeIndex", "me/store/chooseChannel");
        });
        
        //预览微店
        $.bindEvent(jQueryMap.content.preview, function () {
            $.pageInit("me/store/storeIndex", "me/store/previewStore",{"shopChanneld":shopChanneld,"storeState":"app"});
        });
        
        // 保存分享二维码到本地
        $.bindEvent(jQueryMap.content.saveBtn, function () {
            saveQrToLocalStorage("",shopChanneld);
        });
        
        // 长按二维码，复制链接
    	$.bindEvent(jQueryMap.content.qrImg, function (e) {
            saveQRTime = setTimeout(function () {
                $.callMessage({
                    "funcNo"  : "60016",
                    "copyText": link
                });
            }, 1000);
            e.stopPropagation();
        }, "touchstart");
    	
    	 // 长按二维码，复制链接
    	$.bindEvent(jQueryMap.content.qrImg, function (e) {
            clearTimeout(saveQRTime);
            e.stopPropagation();
        }, "touchend");
    }

    
    // 通过原生接口分享
    function shareByNative(shareType) {
        var param={
            "funcNo"    : "50231",
            "moduleName": "mall",
            "shareType" : shareType,
            "title"     : "华西证券"+$.getSStorageInfo("staffName")+"为您服务!",
            "link"      : link,
            "content"   : "助你成功 共享成果",
            "imgUrl"    : photoPath
        };
        $.callMessage(param);
    }
    
    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "qrImg"          : $page.find("#ORCode"),
                "chooseProducts" : $page.find("#chooseProducts"),
                "chooseChannel"  : $page.find("#chooseChannel"),
                "shareStore"  	 : $page.find("#shareStore"),
                "preview"        : $page.find("#preview"),
                "userInfo"       : $page.find("#userInfo"),
                "certno"         : $page.find("#certno"),
                "saveBtn"        : $page.find("#saveBtn"),
                "headImg"        : $page.find("#headImg")
            }
        };
    }

    function initPage() {   	
        myUtils.showLayer($page);
        myUtils.hideBtn();
    	//填充个人信息
    	jQueryMap.content.userInfo.html("华西证券 " +$.getSStorageInfo("branchName")+" "+$.getSStorageInfo("staffName"));
    	var certno = "--";
    	if($.getSStorageInfo("certno")){
    		certno = $.getSStorageInfo("certno");
    	}
    	jQueryMap.content.certno.html("执业编号 "+certno);
    	photoPath = ($.getSStorageInfo("photoPath") != ""?$.getSStorageInfo("photoPath"):"https://mkt.hx168.com.cn/mkts/m/financial/images/zy-hd.png");
    	jQueryMap.content.headImg.attr("src",photoPath);
    }

    function loadPage() {
        //获取默认渠道
        getStoreChannel();
    }

    function getStoreChannel(){
    	service.getStoreChannel({
            "userId": model.dataStore.userId,
            "channelId"  : channelId,
            "branchNo"    : $.getSStorageInfo("branchNo"),
            "telPhone"    : $.getLStorageInfo("mobileNo")
        }, function (data) {
        	if(data!=null){
        		shopChanneld = data[0].shopChanneld;
        		link = global.userIndex +"?shopChanneld=" + shopChanneld;
        		base64Str = link;
            	myUtils.getQRcode({
                    "text"       : link,
                    "guideSerial": shopChanneld
                }, function (qrBase64Str) {
                    qrBase64 = qrBase64Str;
                    jQueryMap.content.qrImg.attr("src", qrBase64).css("visibility", "visible");
                });
        	}
            //遮罩层去掉
            myUtils.hideLayer($page);
            //$page.find("article .load_box").remove();
            //$page.find(".business_box").show();
        });
    }
    
    // 存储二维码到本地
    function saveQrToLocalStorage(channelName, guideSerial) {
        // 拼接二维码图片名称
        var fileName = ["store", channelName, guideSerial].join("-");
        var result = $.callMessage({
            "funcNo"  : "60014",
            "base64"  : qrBase64,
            "fileName": fileName
        });
        if (result.error_no === "0") {
            $.toast("保存成功！");
            if(channelName == ""){
                toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
            }
        }
    }
   
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
