define("financial/scripts/me/store/storeSubjects.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    
    var userId;
    var storeState;
    var subjectType = "all";
    var $page = $("#me_store_storeSubjects");
    
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() { 
    	storeState = $.getPageParam("storeState");
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
    	
    	//切换 主题类型
    	$.preBindEvent(jQueryMap.content.productType,"li", function () {
    		subjectType = $(this).attr("id");
            $(this).addClass("current").siblings().removeClass("current");
            if(jQueryMap.content.productList.find("#productList_"+subjectType).children().length > 0){
            	jQueryMap.content.productList.show();
            	jQueryMap.content.productList.find("#productList_"+subjectType).show().siblings().hide();
            	jQueryMap.content.noAllSub.hide();
            }else{
            	jQueryMap.content.productList.hide();
            	jQueryMap.content.noAllSub.show();
            }
            
        });
    	
    	//点击主题
    	$.preBindEvent(jQueryMap.content.productList,".rcd_con .rcd_cblk",function() {
    		createGuideSerial($(this).attr("id"),$(this).attr("channel-id"));
    	});
    	
    	// 搜索
        $.bindEvent(jQueryMap.header.search, function () {
        	$.pageInit("me/store/storeSubjects", "me/store/searchStoreSubject",{"storeState":storeState});
        });
    }

    function destroy() {
        myUtils.showLayer($page);
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack"),
                "search" : $page.find(".icon_search")
            },
            "content": {
                "productType": $page.find("#productType"),
                "productList": $page.find("#productList"),
                "noAllSub"   : $page.find("#noAllSub")
            }
        };
    }

    function initPage() {
    	cleanPageElement();
    	getProductType();
    }
    
    /**
     * 生成流水
     */
    function createGuideSerial(busiId,channelId){
    	service.createGuideSerial({
    		"staffId"    : userId,      // 职工编号    Y
            "busiId"     : busiId,      // 产品编号    Y
            "channelId"  : channelId,   // 渠道编号    N
            "paramValues": "", 			// 参数值      N
            "marketWay"  : "1"   		// marketWay   Y  1 链接   2 二维码
            //"batchNumber": ""  			// 批次号      N
    	}, function (results) {
    		var link = global.businessUrl +"peddleId="+ results[0].serialNumber;
            if(storeState=="app"){
                $.callMessage({
                    "funcNo"     : "50115",
                    "moduleName" : "mall",
                    "url"        : link,
                    "title"      : "营销服务平台",
                    "isChangeTitle" :"1",
                    "isUseCache" :"0"
                });
            }else{
                window.location.href=link;
            }
        });
    }
    
    /**
     * 获取并填充主题类型
     */
    function getProductType(){
    	service.getProductType({}, function (results) {
            var htmlStr = '<li  id="all" class="current"><a href="javascript:void(0);"><span>全部</span></a></li>';
            var productBox ='<div id="productList_all" class="rcd_con"></div>';
            for (var i = 0, len = results.length; i < len; i++) {
            	htmlStr += results[i].id != '' ? '<li id="' + results[i].typeValue + '"><a href="javascript:void(0);"><span>' + (results[i].typeName=="爆款获客"?"新客专享": results[i].typeName=="增值签约" ?"增值服务":results[i].typeName) + '</span></a></li>' : "";
            	productBox += results[i].id != '' ? '<div id="productList_'+results[i].typeValue+'" class="rcd_con" style="display:none;"></div>' : "";
            }
            jQueryMap.content.productType.html(htmlStr);
            jQueryMap.content.productList.html(productBox);
            getProductList();

        });
    }
    
    /**
     * 获取并填充主题列表
     */
    function getProductList(){
    	service.getStoreProductList({
    		"shopChanneld"    : $.getSStorageInfo("shopChanneld")
    	}, function (results) {
    		userId = results.storeInfo[0].userId;
    		results = results.productList;
            checkNum = 0;
            for (var i = 0, len = results.length; i < len; i++) {
            	var thisStr = "";
            	if( results[i].subjectTypeNo == 'hotSellGetCustomer' ){ //新客专享
            		thisStr = '<div class="rcd_cblk '+ ( results[i].hotFlag == '1' ? "is_hot":"" ) +'" id="' + results[i].subjectId + '" channel-id="' + results[i].channelId + '" >'
		    				+ '<h3><span>新客专享</span></h3><div class="rcd_item"><ul class="subjectItem2"><li><strong>'+ results[i].subjectName +'</strong>'
		    				+ '<p>'+ results[i].subjectDesc +'</p></li></ul></div></div>';
            	}else{ //增值签约
            		thisStr = '<div class="rcd_cblk '+ ( results[i].hotFlag == '1' ? "is_hot":"" ) +'" id="' + results[i].subjectId + '" channel-id="' + results[i].channelId + '" >'
            				+ '<h3><span>'+(results[i].typeName =="增值签约" ? "增值服务" : results[i].typeName)+'</span></h3><div class="rcd_item"><ul class="subjectItem2"><li><strong>'+ results[i].subjectName +'</strong>'
            				+ '<p>'+ results[i].subjectDesc +'</p></li></ul></div></div>';
            	}
                jQueryMap.content.productList.find("#productList_"+results[i].subjectTypeNo).append(thisStr);
                jQueryMap.content.productList.find("#productList_all").append(thisStr);
            }
            if(jQueryMap.content.productList.find("#productList_all").children().length > 0){
            	jQueryMap.content.productList.show();
            	jQueryMap.content.noAllSub.hide();
            }else{
            	jQueryMap.content.productList.hide();
            	jQueryMap.content.noAllSub.show();
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }
    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.productType.html("");
        jQueryMap.content.productList.html("");
        jQueryMap.content.noAllSub.hide();
        jQueryMap.content.productList.hide();
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
