define("financial/scripts/mot/eventBreakpointInfo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    require("audioPlayer");
    // 模块内的其它全局变量
    var jQueryMap;
    var onCall = false;
    var tabType = '1';
    var $page = $("#mot_eventBreakpointInfo");

    // 当前任务的类型、编号、名称、客户编号、业务编号、业务类型、姓名、开始时间、外呼后生成的记录编号、外呼编号、处理时间、场景编号
    var curTaskType, curTaskId, taskName, custNo, businessId, businessType,
        curCustName, beginTime, taskDealId, callId, classId;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {
    }

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            tabType = '1';
            $.pageBack();
        });

        //推荐产品
        $.bindEvent(jQueryMap.header.recommend, function () {
            var subjectList = [];
            //获取产品列表
            //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
            var groupIdIn = $.getSStorageInfo("groupIdIn");
            var param = {
                "userId": model.dataStore.userId,
                "groupIdIn": $.getSStorageInfo("branchNo")
            };
            service.getSubjectList(param, function (results) {
                if (results.result1.length > 0) {
                    subjectList = results.result1;
                    ycfTypeList = results.result3;
                    $.pageInit("mot/eventBreakpointInfo", "subject/subjectList", {
                        "flag": 1,
                        "subjectList": subjectList,
                        "ycfTypeList": ycfTypeList
                    });
                }
            });
        });

        //分享微店
        $.bindEvent(jQueryMap.header.share, function () {
            $.pageInit("mot/eventBreakpointInfo", "me/store/storeIndex");
        });

        //打电话
        $.bindEvent(jQueryMap.footer.call, function (e) {
            var callAuth = $.getSStorageInfo("call_auth");
            if (callAuth != "1") {
                $.toast("外呼权限不足！");
                return;
            }
            e.stopPropagation();
            if (onCall) {
                return;
            }
            onCall = true;
            if (custNo && custNo.trim()) {
                getPhoneNumList();
            } else {
                callMobile(businessId, businessType, "", "");
            }
        });
        // 切换到策略关键词
        $.bindEvent(jQueryMap.content.strategyKeywordsTab, function () {
            jQueryMap.content.strategyKeywordsTab.addClass("current").siblings().removeClass("current");
            jQueryMap.content.keywordsBox.html('');
            tabType = "1";
            getStrategyKeywords();
        });
        // 切换到流水记录
        $.bindEvent(jQueryMap.content.turnoverRecordTab, function () {
            jQueryMap.content.turnoverRecordTab.addClass("current").siblings().removeClass("current");
            jQueryMap.content.stepBox.html('');
            tabType = "2";
            showTaskServiceList();
        });
        //编辑服务录入
        $.preBindEvent(jQueryMap.content.stepBox, ".edit", function () {
            var $this = $(this).parent();
            dealDate = $this.siblings(".time").attr("data-dealDate");
            var serviceCon = $this.siblings("p").text(),
                dealType = $this.attr("data-dealType"),
                taskDealId = $this.attr("data-taskDealId"),
                callInfo = $this.attr("data-callInfo"),
                ccCallCode = $this.attr("data-ccCallCode");
            $.pageInit("mot/eventBreakpointInfo", "mot/serviceInput", {
                "curCustName": curCustName,
                "curTaskId": curTaskId,
                "beginTime": beginTime,
                "curTaskType": curTaskType,
                "taskName": taskName,
                "curCustId": custNo,
                "dealDate": dealDate,
                "serviceCon": serviceCon,
                "dealType": dealType,
                "taskDealId": taskDealId,
                "callInfo": callInfo,
                "ccCallCode": ccCallCode,
            });
        });

        function callMobile(businessId, businessType, outerMobile, callMobileType) {
            var userCode = $.getSStorageInfo("employeeNo");
            service.callMobile({
                    "userCode": userCode,
                    "businessType": businessType,
                    "businessId": businessId,
                    "outerMobile": outerMobile,
                    "call_mobile_type": callMobileType
                }, function (result) {
                    callId = result[0].callId;
                    if (callId == "" || callId == undefined) {
                        $.toast("调用电话服务失败！");
                    } else {
                        dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                        var param = {
                            "task_id": curTaskId,
                            "deal_desc": '打电话',
                            "deal_type": '0',
                            "task_type": curTaskType,
                            "callId": callId,
                            "deal_date": dealDate,
                            "task_account_id": userCode,
                            "deal_type_name": '打电话',
                            "role_type_code": $.getSStorageInfo("postNo")
                        };
                        service.addServiceInput(param, function (result) {
                            taskDealId = result[0].task_deal_id;

                            var tel = $.getSStorageInfo("mobileNo");
                            jQueryMap.content.callStatement.html("稍后您的手机号" + tel + "将会收到9501395584呼入的电话，请注意接听");
                            $page.find(".call_name").html(curCustName);
                            $page.find(".callshow").show();
                        });
                    }
                    onCall = false;
                }, function (errorNo, errorInfo) {
                    onCall = false;
                    $.alert(errorInfo);
                }
            );
            myUtils.hideLayer($page);
        }

        //服务录入
        $.bindEvent(jQueryMap.footer.addServLog, function () {
            $.pageInit("mot/eventBreakpointInfo", "mot/serviceInput", {
                "curCustName": curCustName,
                "curTaskId": curTaskId,
                "beginTime": beginTime,
                "curTaskType": curTaskType,
                "taskName": taskName,
                "curCustId": custNo
            });
        });

        //客户详情
        $.bindEvent(jQueryMap.header.headPic, function (e) {
            if (!(custNo && custNo.trim())) {
                e.stopPropagation();
                return;
            }
            var params = {
                "custNo": custNo,
                "type": "0"
            };
            service.getMktCustId(params, function (result) {
                if (result && result.length > 0) {
                    $.setSStorageInfo("customerType", "2");
                    $.setSStorageInfo("custId", result[0].cust_id);
                    $.pageInit("mot/eventBreakpoint", "customer/detail/customerDetail");
                }
            });
        });

        //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function () {
            $page.find(".callshow").hide();
            $.pageInit("mot/eventBreakpointInfo", "mot/serviceInput", {
                "taskDealId": taskDealId,
                "curCustName": curCustName,
                "curTaskId": curTaskId,
                "beginTime": beginTime,
                "dealType": "0",
                "curTaskType": curTaskType,
                "dealDate": dealDate,
                "taskName": taskName,
                "curCustId": custNo,
                "serviceCon": ""

            });
        });

        // 播放、暂停
        $.preBindEvent(jQueryMap.content.stepBox, ".audioplayer-playpause", function (e) {
            var $this = $(this);
            var followId = $this.parents(".voice_box").attr("data-id");
            var playings = jQueryMap.content.stepBox.find(".audioplayer-playpause[title='Pause']");
            playings.each(function () {
                var curFollowId = $(this).parents(".voice_box").attr("data-id");
                if (curFollowId != followId) {
                    $(this).siblings("audio")[0].pause();
                }
            });
            $this.parents(".voice_box").find(".audioplayer-bar").show();
            $this.parents(".voice_box").find(".audioplayer-time-current").show();
            $this.parents(".voice_box").find("em").hide();
            e.preventDefault();
        });
        //取消打电话
        $.bindEvent(jQueryMap.layerArea.cancel, function (e) {
            onCall = false;
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
        });
        //确认打电话
        $.bindEvent(jQueryMap.layerArea.callOut, function (e) {
            var phoneNum = '';
            // 1 手工录入手机号   2已存在手机号
            var callMobileType = 2;
            if (jQueryMap.layerArea.inputCheck.hasClass("checked")) {
                phoneNum = jQueryMap.layerArea.inputNum.val();
                if (!validatorUtils.isNumeric(phoneNum)) {
                    $.toast("请输入正确的电话号码");
                    return;
                }
                callMobileType = 1;
            } else {
                phoneNum = jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").attr("data-phone-num");
                callMobileType = 2;
                if (!phoneNum) {
                    $.toast("请选择电话号码");
                    return;
                }
            }
            $page.find(".choiceshow").hide();
            jQueryMap.layerArea.inputNum.val("");
            jQueryMap.layerArea.inputCheck.removeClass("checked");
            jQueryMap.layerArea.selectBox.removeClass("disabled");
            jQueryMap.layerArea.inputNum.attr("disabled", true);
            // jQueryMap.layerArea.selectItems.find(".select_item:first-child").click();
            callMobile(businessId, businessType, phoneNum, callMobileType);
        });
        //选择是否手动输入号码
        $.bindEvent(jQueryMap.layerArea.inputCheck, function (e) {
            if ($(this).hasClass("checked")) {
                $(this).removeClass("checked");
                jQueryMap.layerArea.inputNum.val(jQueryMap.layerArea.selectBox.find(".checked").find(".phone_num").text());
                jQueryMap.layerArea.selectBox.removeClass("disabled");
                jQueryMap.layerArea.inputNum.attr("disabled", true);
            } else {
                $(this).addClass("checked");
                jQueryMap.layerArea.inputNum.attr("disabled", false);
                jQueryMap.layerArea.selectBox.addClass("disabled");
            }
        });
        //选择拨打号码
        $.preBindEvent(jQueryMap.layerArea.selectBox, '.select_item', function (e) {
            if (jQueryMap.layerArea.selectBox.hasClass("disabled")) {
                return;
            } else {
                if ($(this).hasClass("checked")) {
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                    return;
                } else {
                    $(this).addClass("checked").siblings().removeClass("checked");
                    jQueryMap.layerArea.inputNum.val($(this).find(".phone_num").text());
                }
            }
        });
    }

    function destroy() {
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "recommend": $page.find("#recommend"),
                "share": $page.find("#share"),
                "detailInfo": $page.find("#detailInfo"),
                "name": $page.find("#name"),
                "beginTime": $page.find("#beginTime"),
                "headPic": $page.find("#headPic"),
                "responseTime": $page.find("#responseTime"),
                "event": $page.find("#event"),
                "endtime": $page.find("#endtime")
            },
            "content": {
                "stepBox": $page.find("#stepBox"),
                "noData": $page.find("#noData"),
                "callStatement": $page.find("#call_statement"),
                "strategyKeywordsTab": $page.find("#strategy_keywords_tab"),
                "turnoverRecordTab": $page.find("#turnover_record_tab"),
                "strategyKeywords": $page.find("#strategy_keywords"),
                "keywordsBox": $page.find("#keywordsBox"),
                "turnoverRecord": $page.find("#turnover_record")
            },
            "footer": {
                "call": $page.find("#call"),
                "addServLog": $page.find("#addServLog")
            },
            "layerArea": {
                "choiceshow": $page.find("#choiceshow"),
                "cancel": $page.find("#cancel"),
                "callOut": $page.find("#callOut"),
                "confirmDialog": $page.find("#confirmDialog"),
                "inputCheck": $page.find("#inputCheck"),
                "selectItems": $page.find("#selectItems"),
                "selectBox": $page.find("#selectBox"),
                "inputNum": $page.find("#inputNum"),
                "selectItems": $page.find("#selectItems"),
                "emplopyeeNum": $page.find("#emplopyee_num"),
                "noPhone": $page.find("#noPhone")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        classId = $.getSStorageInfo("class_id")
        // 重置页面元素
        cleanPageElement();

        curTaskType = $.getPageParam("curTaskType"),
            curTaskId = $.getPageParam("curTaskId");
        taskName = $.getPageParam("taskName");
        if (tabType == "1") {
            jQueryMap.content.strategyKeywordsTab.addClass("current").siblings().removeClass("current");
            getStrategyKeywords();
        } else if (tabType == "2") {
            jQueryMap.content.turnoverRecordTab.addClass("current").siblings().removeClass("current");
            showTaskServiceList();
        }
        showTaskDetail();

        // getStrategyKeywords();
    }

    //将任务详情显示到页面中
    function showTaskDetail() {
        var employeeNo = $.getSStorageInfo("employeeNo");
        service.getTaskList({
            "task_id": curTaskId,
            "task_type": curTaskType,
            "employeeNo": employeeNo,
            "pageIndex": 1,
            "pageSize": 1
        }, function (result) {
            var data = result[0].data[0];
            if (data.headPic) {
                jQueryMap.header.headPic.append('<img src=' + data.headPic + '/>');
            } else {
                jQueryMap.header.headPic.append('<img src="../../images/add_lhd03.png"/>');
            }
            var createDate = data.create_date,
                expireDate = data.isHundYear == 0 ? data.expire_date : "",
                expireDateName = data.isHundYear == 0 ? "任务结束时间：" : "";
            if (data.deal_state === "2") {
                var finishDateFmt = new Date(data.finish_date.replace(new RegExp("-", "gm"), "/"));
                var expireDateFmt = new Date(data.expire_date.replace(new RegExp("-", "gm"), "/"));
                var dInfoClass = finishDateFmt.getTime() > expireDateFmt.getTime() ? " finished_past" : " finished";
                jQueryMap.header.detailInfo.addClass(dInfoClass);
                jQueryMap.header.responseTime.addClass("count_down bg");
                jQueryMap.header.responseTime.text(data.remainTime);
                expireDate = data.finish_date;
                expireDateName = "任务完成时间：";
            } else if (data.deal_state === "3") {
                jQueryMap.header.detailInfo.addClass("expired");
            } else if (data.deal_state === "8") {
                var finishDateFmt = new Date(data.finish_date.replace(new RegExp("-", "gm"), "/"));
                var expireDateFmt = new Date(data.expire_date.replace(new RegExp("-", "gm"), "/"));
                var dInfoClass = finishDateFmt.getTime() > expireDateFmt.getTime() ? " finished_past" : " finished_fzc";
                jQueryMap.header.detailInfo.addClass(dInfoClass);
                jQueryMap.header.responseTime.addClass("count_down bg");
                jQueryMap.header.responseTime.text(data.remainTime);
                expireDate = data.finish_date;
                expireDateName = "任务完成时间：";
            } else if (data.isHundYear == 0) {
                jQueryMap.header.responseTime.addClass("count_down");
                jQueryMap.header.responseTime.text(data.remainTime);
            }
            if (data.create_date != undefined && data.create_date.length == 19)
                createDate = data.create_date.substring(5, 16);
            if (expireDate != undefined && expireDate.length == 19)
                expireDate = expireDate.substring(5, 16);
            jQueryMap.header.name.text(data.cust_name);
            jQueryMap.header.beginTime.text(createDate);
            jQueryMap.header.endtime.text(expireDateName + expireDate);
            jQueryMap.header.event.text(data.info_contents);
            custNo = data.cust_id;
            businessId = data.business_id;
            businessType = data.business_type;
            curCustName = data.cust_name;
            curTaskId = data.task_id;
            beginTime = data.create_date;
        });
    }

    // 填充任务触发条件列表
    function showTaskServiceList() {
        myUtils.showLayer($page);
        service.getTaskServiceList({
            "task_id": curTaskId
        }, function (data) {
            myUtils.hideLayer($page);
            if (data.length > 0) {
                if (tabType === '1') {
                    jQueryMap.content.strategyKeywords.show();
                    jQueryMap.content.turnoverRecord.hide();
                } else {
                    jQueryMap.content.strategyKeywords.hide();
                    jQueryMap.content.turnoverRecord.show();
                }
                var htmlStr = '';
                var dealTypeMap = {
                    'A': '分配',
                    'B': '过期',
                    'C': '申请失效',
                    '0': '移动外呼',
                    '1': '打电话',
                    '2': '发短信',
                    '3': '面谈',
                    '4': '微信',
                    '5': '其他'
                };
                var callInfoMap = {
                    '1': '空号',
                    '2': '错号',
                    '3': '挂断',
                    '4': '忙线',
                    '5': '正常',
                    '6': 'CC已拨打'
                };
                jQueryMap.content.stepBox.append("<ul></ul>");
                for (var i = 0; i < data.length; i++) {
                    dealDate = data[i].deal_date;
                    var dealType = dealTypeMap[data[i].deal_type];
                    if (data[i].deal_date != undefined && data[i].deal_date.length == 19)
                        dealDate = data[i].deal_date.substring(5, 16);
                    if (data[i].call_info) {
                        callInfo = data[i].call_info;
                        dealType = dealType + "(" + callInfoMap[data[i].call_info] + ")";
                    }
                    var editClass = "";
                    console.log(data[i])
                    if (data[i].is_update == "1") {
                        editClass = "edit";
                    }
                    var callFilePath = "";
                    htmlStr += '<li><div class="text"><span class="time" data-dealDate="' + data[i].deal_date + '">' + dealDate + '</span><h4 data-ccCallCode="' + data[i].cc_call_code + '" data-callInfo="' + data[i].call_info + '" data-dealType="' + data[i].deal_type + '" data-taskDealId="' + data[i].task_deal_id + '">' + dealType + '<a href="javascript:void(0);" class="' + editClass + '"></a></h4><p>' + data[i].deal_desc + '</p>';
                    if (data[i].call_file_path) {
                        callFilePath = global.serverAddr + data[i].call_file_path;
                        htmlStr += '<div class="voice_box" data-id="' + data[i].task_deal_id + '"><em>点击播放录音文件</em><audio controls preload="metadata" id="paly_go">' +
                            '<source src="' + callFilePath + '" />' +
                            '<p>Your browser does not support the audio element.</p></audio></div>';
                    }
                    htmlStr += '</div></li>';
                }
                jQueryMap.content.stepBox.find("ul").append(htmlStr);
                jQueryMap.content.noData.hide();
                jQueryMap.content.strategyKeywords.hide();
            } else {
                jQueryMap.content.strategyKeywords.hide();
                jQueryMap.content.turnoverRecord.hide();
                jQueryMap.content.noData.find("h3").text("暂无服务记录")
                jQueryMap.content.noData.show();
            }
            $('audio').audioPlayer();
            //遮罩层去掉

        });
    }

    function htmlspecialchars_decode(str){
        str = str.replace(/&amp;/g, '&');
        str = str.replace(/&lt;/g, '<');
        str = str.replace(/&gt;/g, '>');
        str = str.replace(/&quot;/g, "'");
        str = str.replace(/&#039;/g, "'");
        return str;
    }
    // 获取策略关键词
    function getStrategyKeywords() {
        myUtils.showLayer($page);
        service.getStrategyKeywords({
            "class_id": classId,
            "task_type": curTaskType
        }, function (data) {
            myUtils.hideLayer($page);
            var htmlStr = ''
            if (data.length > 0) {
                if (tabType === '1') {
                    jQueryMap.content.strategyKeywords.show();
                    jQueryMap.content.turnoverRecord.hide();
                } else {
                    jQueryMap.content.strategyKeywords.hide();
                    jQueryMap.content.turnoverRecord.show();
                }
                jQueryMap.content.keywordsBox.append("<ul></ul>");
                var tactics_desc = htmlspecialchars_decode(htmlspecialchars_decode(data[0].tactics_desc))
                var tactics_content = htmlspecialchars_decode(htmlspecialchars_decode(data[0].tactics_content))
                htmlStr =
                    '<div class="key_words_box">' +
                    '<p class="key_words_title">【合规关键词】</p>' +
                    '<p class="key_words_content content_1"></p>' +
                    '</div>' +
                    '<div class="key_words_box">' +
                    '<p class="key_words_title">【策略】</p>' +
                    '<p class="key_words_content content_2"></p>' +
                    '</div>'
                jQueryMap.content.keywordsBox.find("ul").append(htmlStr);
                jQueryMap.content.keywordsBox.find(".content_1").append(tactics_desc);
                jQueryMap.content.keywordsBox.find(".content_2").append(tactics_content);
                jQueryMap.content.keywordsBox.find(".key_words_content").click(function (e) {
                    e.preventDefault()
                    var target = e.target || e.srcElement;
                    if(target.nodeName.toLowerCase() == 'a'){
                        var linkUrl = target.getAttribute('href')
                        $.callMessage({
                            "funcNo": "50109",
                            "url"   : linkUrl
                        });
                    }
                })
                jQueryMap.content.noData.hide();
            } else {
                jQueryMap.content.strategyKeywords.hide();
                jQueryMap.content.turnoverRecord.hide();
                jQueryMap.content.noData.find("h3").text("暂无策略关键词")
                jQueryMap.content.noData.show();
            }
            var contentEle = jQueryMap.content.keywordsBox.find('.key_words_content')
            for (var i = 0; i < contentEle.length; i++) {
                if (contentEle[i].offsetHeight > 100) {
                    $(contentEle[i]).css({'height': '100px'})
                    $(contentEle[i]).after('<span class="show_more" isclose="true">查看更多</span>')
                }
            }
            var showBtnEle = jQueryMap.content.keywordsBox.find('.show_more')
            for (var i = 0; i < showBtnEle.length; i++) {
                $($('.show_more')[i]).click(function () {
                    if ($(this).attr('isclose') == 'true') {
                        $(this).prev().css('height', 'auto');
                        $(this).text('点击收起')
                        $(this).attr('isclose', false)
                    } else {
                        $(this).prev().css('height', '100px');
                        $(this).text('查看更多')
                        $(this).attr('isclose', true)
                    }
                })
            }
        })

    }

    // 获取客户电话列表
    function getPhoneNumList() {
        jQueryMap.layerArea.emplopyeeNum.text("您当前的登录号码：" + $.getSStorageInfo("mobileNo"));
        service.queryCustPhone({
            "custNo": custNo
        }, function (data) {
            if (data.length > 0) {
                var htmlStr = "";
                var selectNo = 1;
                for (var i = 0; i < data.length; i++) {
                    htmlStr += '<div class="select_item"><div>';
                    if (data[i].lxfsmz) {
                        htmlStr += '<p class="phone_name">' + data[i].lxfsmz + '：</p>';
                    }
                    htmlStr += '<p class="phone_num" data-phone-num="' + data[i].lxhm + '">' + data[i].lxhm.replace(/(\d{7})[\d\D]*/, "$1****") + '</p></div><div><a class="checkbox"></a></div></div>';
                    if (data[i].select == "true") {
                        selectNo = i + 1;
                    }
                }
                jQueryMap.layerArea.selectItems.html(htmlStr);
                jQueryMap.layerArea.selectItems.find(".select_item:nth-child(" + selectNo + ")").click();
                jQueryMap.layerArea.noPhone.hide();
                jQueryMap.layerArea.selectItems.show();
            } else {
                jQueryMap.layerArea.selectItems.html("");
                jQueryMap.layerArea.selectItems.hide();
                jQueryMap.layerArea.noPhone.show();
                jQueryMap.layerArea.inputCheck.click();
            }
            // 电话请求成功弹出打电话
            $page.find(".choiceshow").show();
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        onCall = false;
        jQueryMap.header.name.text("");
        jQueryMap.header.beginTime.text("");
        jQueryMap.header.endtime.text("");
        jQueryMap.header.event.text("");
        jQueryMap.header.responseTime.text("");
        jQueryMap.header.headPic.html("");
        jQueryMap.header.responseTime.removeClass("count_down").removeClass("bg");
        jQueryMap.header.detailInfo.removeClass("finished").removeClass("expired").removeClass("finished_past").removeClass("finished_fzc");
        jQueryMap.content.stepBox.html("");
        jQueryMap.content.stepBox.show();
        jQueryMap.content.noData.hide();
        $page.find(".callshow").hide();
        $page.find(".choiceshow").hide();
        jQueryMap.layerArea.selectItems.html("");
        jQueryMap.layerArea.selectItems.hide();
        jQueryMap.layerArea.noPhone.hide();
        jQueryMap.layerArea.inputNum.val("");
        jQueryMap.layerArea.emplopyeeNum.text("");
        jQueryMap.layerArea.inputNum.attr("disabled", true);
        jQueryMap.layerArea.inputCheck.removeClass("checked");
        jQueryMap.layerArea.selectBox.removeClass("disabled");
        jQueryMap.content.strategyKeywordsTab.remove("current").siblings().removeClass("current");
        jQueryMap.content.keywordsBox.html('');

    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});