define("financial/scripts/mot/eventServiceSearch.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_eventServiceSearch");

    var page = 1;
    var totalPages;
    var scrollJudge = true; //判断是否到底可以滑动?

    var onCall = false;
    // 当前任务的类型、编号、名称、客户姓名、编号、开始时间、外呼后生成的记录编号、外呼编号、处理时间
    var curTaskType, curTaskId, taskName, curCustName, custNo, beginTime, taskDealId, callId, dealDate, task_deal_type;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            cleanPageElement();
            page = 1;
            $.pageBack("", "left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function() {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
            //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function() {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function() {
            jQueryMap.content.taskDetailBox.html("");
            jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyData.hide();
        });

        // 进入任务详情
        $.preBindEvent(jQueryMap.content.taskDetailBox, "dt.dt_service", function() {
            var $this = $(this);
            curTaskId = $this.attr("data-taskId");
            $.pageInit("mot/eventServiceSearch", "mot/eventBreakpointInfo", {
                "curTaskId": curTaskId,
                "taskName": taskName,
                "curTaskType": curTaskType
            });
        });

        // 推荐产品
        $.preBindEvent(jQueryMap.content.taskDetailBox, "a.d_recommend", function(e) {
            var subjectList = [];
            //获取产品列表
            //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
            var groupIdIn = $.getSStorageInfo("groupIdIn");
            var param = {
                "userId": model.dataStore.userId,
                "groupIdIn": $.getSStorageInfo("branchNo")
            };
            service.getSubjectList(param, function(results) {
                if (results.result1.length > 0) {
                    subjectList = results.result1;
                    ycfTypeList = results.result3;
                    $.pageInit("mot/eventBreakpointInfo", "subject/subjectList", { "flag": 1, "subjectList": subjectList, "ycfTypeList": ycfTypeList });
                }
            });
            e.stopPropagation();
        });

        // 分享微店
        $.preBindEvent(jQueryMap.content.taskDetailBox, "a.d_share", function(e) {
            $.pageInit("mot/eventServiceSearch", "me/store/storeIndex");
            e.stopPropagation();
        });

        // 打电话
        $.preBindEvent(jQueryMap.content.taskDetailBox, "a.d_mobile", function() {
            if(onCall) {
                return;
            }
            onCall = true;
            var userCode = $.getSStorageInfo("employeeNo");
            var $this = $(this);
            custNo = $this.attr("data-custId");
            business_id = $this.attr("data-business_id");
            business_type = $this.attr("data-business_type");
            service.callMobile({
                "userCode": userCode,
                "businessType": business_type,
                "businessId": business_id
            }, function(result) {
                callId = result[0].callId;
                if(callId=="" || callId==undefined)
            	{
            		$.toast("调用电话服务失败！");
            	}else
            	{
            		curCustName = $this.attr("data-custName");
                    curTaskId = $this.attr("data-taskId");
                    beginTime = $this.attr("data-beginTime");
                    dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                    var param = {
                        "task_id": curTaskId,
                        "deal_desc": '打电话',
                        "deal_type": '0',
                        "task_type": curTaskType,
                        "callId": callId,
                        "deal_date": dealDate,
                        "task_account_id": userCode,
                        "deal_type_name": '打电话'
                    };
                    service.addServiceInput(param, function(result) {
                        taskDealId = result[0].task_deal_id;
                        var tel = $.getSStorageInfo("mobileNo");
                        jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
                        $page.find(".call_name").html(curCustName);
                        $page.find(".callshow").show();
                    });
                }
                onCall = false;
            }, function(errorNo, errorInfo) {
                onCall = false;
                $.alert(errorInfo);
            });
            myUtils.hideLayer($page);
        });

        // 录入
        $.preBindEvent(jQueryMap.content.taskDetailBox, "a.d_serviceInput", function() {
            var $this = $(this);
            curCustName = $this.attr("data-custName");
            custNo = $this.attr("data-custId");
            curTaskId = $this.attr("data-taskId");
            beginTime = $this.attr("data-beginTime");
            $.pageInit("mot/eventServiceSearch", "mot/serviceInput", {
                "curCustName": curCustName,
                "curTaskId": curTaskId,
                "beginTime": beginTime,
                "curTaskType": curTaskType,
                "taskName": taskName,
                "curCustId": custNo
            });
        });

        //客户详情
        $.preBindEvent(jQueryMap.content.taskDetailBox, ".pic", function(e) {
            var $this = $(this);
            var custId = $this.attr("data-custId");
            if(!(custId && custId.trim())) {
                e.stopPropagation();
                return;
            }
            var params = {
                "custNo": custId,
                "type": "0"
            };
            service.getMktCustId(params, function(result) {
                if (result && result.length > 0) {
                    $.setSStorageInfo("customerType", "2");
                    $.setSStorageInfo("custId", result[0].cust_id);
                    $.pageInit("mot/eventBreakpoint", "customer/detail/customerDetail");
                }
            });
            e.stopPropagation();
        });

        //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            $.pageInit("mot/eventServiceSearch", "mot/serviceInput", {
                "taskDealId": taskDealId,
                "curCustName": curCustName,
                "curTaskId": curTaskId,
                "beginTime": beginTime,
                "dealType": '0',
                "curTaskType": curTaskType,
                "dealDate": dealDate,
                "taskName": taskName,
                "curCustId": custNo,
                "serviceCon": ""
            });
        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"), function() {
            if (scrollJudge) {
                var viewH = $(this).height(); //可见高度
                var contentH = $(this).get(0).scrollHeight; //内容高度
                var scrollTop = $(this).scrollTop(); //滚动高度
                if (scrollTop / (contentH - viewH) >= 0.99) { //到达底部时,加载新内容
                    if (page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge = false;
                    setTimeout(function() {
                        page++;
                        serviceSearch(jQueryMap.header.searchInput.val().trim());
                    }, 600);
                }
            }
        }, "scroll");
    }

    function destroy() {
        // page = 1;
        // cleanPageElement();
        
        $page.find(".callshow").hide();
        onCall = false;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "searchInput": $page.find("#search_input"),
                "mktGoBack": $page.find("#mktGoBack"),
                "clearBtn": $page.find("#clear_btn"),
                "btnIcon": $page.find("#btn_Icon")

            },
            "content": {
                "taskDetailBox": $page.find("#taskDetailBox"),
                "emptyTip": $page.find("#emptyTip"),
                //上拉加载更多
                "loadIcon": $page.find(".infinite-scroll-preloader"),
                "emptyData": $page.find("#emptyData"),
                "callStatement" : $page.find("#call_statement")

            },
            "layerArea": {
                "confirmDialog": $page.find("#confirmDialog")
            }
        };
    }

    function initPage() {
        // cleanPageElement();
        myUtils.hideBtn();
        curTaskType = $.getPageParam("curTaskType");
        taskName = $.getPageParam("taskName");
        task_deal_type = $.getSStorageInfo("task_deal_type");

        setTimeout(function() {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            jQueryMap.content.taskDetailBox.html("");
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.emptyData.hide();
            /*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/
            return false;
        }
        page = 1;
        serviceSearch(searchText);
    }

    //效果

    // 获取任务列表
    function serviceSearch(searchText) {
        var employeeNo = $.getSStorageInfo("employeeNo");
        var param = {
            "keyWord": searchText,
            "task_type": curTaskType,
            "employeeNo": employeeNo,
            "pageIndex": page,
            "pageSize": 20,
            "task_deal_type": task_deal_type
        };
        service.getTaskList(param, function(results) {
            totalPages = results[0].totalPages;
            if (page == totalPages && page != 1) {
                jQueryMap.content.emptyData.show();
            } else {
                jQueryMap.content.emptyData.hide();
            }
            if (results[0].data.length > 0) {
                if (page === 1) {
                    jQueryMap.content.taskDetailBox.html("");
                }
                jQueryMap.content.emptyTip.hide();
                showTaskList(results[0].data);
            } else {
                jQueryMap.content.taskDetailBox.html("");
                jQueryMap.content.emptyTip.show();
            }

        });
    }

    function showTaskList(results) {
        var htmlStr = "";
        for (var i = 0; i < results.length; i++) {
            var data = results[i];
            var headPic = data.headPic;
            if (!headPic) {
                headPic = "../../images/add_lhd03.png";
            }
            var dInfoClass = "",
                resTimeClass = "",
                remainTime = data.isHundYear == 0 ? data.remainTime : "",
                createDate = data.create_date,
                expireDate = data.isHundYear == 0 ? data.expire_date : "",
                expireDateName = data.isHundYear == 0 ? "任务结束时间：" : "";
            if (data.deal_state === "2") {
                var finishDateFmt = new Date(data.finish_date.replace(new RegExp("-", "gm"), "/"));
                var expireDateFmt = new Date(data.expire_date.replace(new RegExp("-", "gm"), "/"));
                dInfoClass = finishDateFmt.getTime() > expireDateFmt.getTime() ? " finished_past" : " finished";
                resTimeClass = "count_down bg";
                expireDate = data.finish_date;
                remainTime = data.remainTime;
                expireDateName = "任务完成时间：";
            }  else if (data.deal_state === "8") {
                var finishDateFmt = new Date(data.finish_date.replace(new RegExp("-", "gm"), "/"));
                var expireDateFmt = new Date(data.expire_date.replace(new RegExp("-", "gm"), "/"));
                dInfoClass = finishDateFmt.getTime() > expireDateFmt.getTime() ? " finished_past" : " finished_fzc";
                resTimeClass = "count_down bg";
                expireDate = data.finish_date;
                remainTime = data.remainTime;
                expireDateName = "任务完成时间：";
            }  else if (data.deal_state === "3") {
                dInfoClass = " expired";
                remainTime = "";
            } else if(data.isHundYear == 0) {
                resTimeClass = "count_down";
            }
            if (data.create_date != undefined && data.create_date.length == 19)
                createDate = data.create_date.substring(5, 16);
            if (expireDate != undefined && expireDate.length == 19)
                expireDate = expireDate.substring(5, 16);
            htmlStr += '<dl class="part ' + dInfoClass + '"><dt class="dt_service" data-taskId="' + data.task_id + '"><div class="task_user"><div class="oper_box"><a href="javascript:void(0);" class="d_recommend">推荐产品</a><a href="javascript:void(0);" class="d_share">分享微店</a>' +
                '</div><div class="pic" data-custId="' + data.cust_id + '"><img src=' + headPic + '></div><div class="text"><h4>' + data.cust_name + '</h4><small>' + createDate + '</small></div></div>' +
                '<div class="task_dtails"><span class="' + resTimeClass + '">' + remainTime + '</span><p>' + data.info_contents + '</p><small>' + expireDateName + expireDate + '</small>' +
                '</div></dt></dl>';
        }
        scrollJudge = true;
        jQueryMap.content.loadIcon.hide();
        jQueryMap.content.taskDetailBox.append(htmlStr);
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.content.emptyData.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.taskDetailBox.html("");

    }

    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});