define("financial/scripts/mot/eventTaskShow.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_eventTaskShow");
    // 模块内的其它全局变量
    var task_deal_type;
    var task_status = 1;
    var classjson = {};
    var prePageCode = "";
    var class_id = "";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();


    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {
        //取消返回
        $.bindEvent($page.find("#mktGoBack"), function() {
            $.pageBack();
        });

        //任务事件类型点击
        $.bindEvent($page.find(".scene_sel"), function() {
            var $this = $(this).parent();
            if ($this.hasClass("show")) {
                $this.removeClass("show");
            } else {
                $this.addClass("show");
            }
        });

        //事件类型点击事件搜索查询
        $.preBindEvent($page.find(".scene_list"), "li", function() {
            $page.find(".scene_sel").html($(this).html());
            class_id = $(this).attr("data-class_id");
            $.setSStorageInfo("class_id", class_id);
            $(this).addClass("act").siblings().removeClass("act").parent().parent().removeClass("show");
            //根据Mot事件类型查询数据
            eventTaskShow('', task_status, task_deal_type, '');
        });

        //必选做任务事件判断
        $.preBindEvent($page.find(".ul_table"), "li", function() {
            $(this).addClass("act").siblings().removeClass("act");

            if ($(this).hasClass("in")) {
                task_deal_type = 1;
                $.setSStorageInfo("task_deal_type", task_deal_type);
                eventTaskShow('', task_status, task_deal_type, '');
                eventClassTypeCount();
            } else {
                task_deal_type = 2;
                $.setSStorageInfo("task_deal_type", task_deal_type);
                eventTaskShow('', task_status, task_deal_type, '');
                eventClassTypeCount();
            }
        });

        //事件任务搜索
        $.bindEvent($page.find(".icon_search"), function() {
            $.setSStorageInfo("task_status", task_status);
            $.setSStorageInfo("task_deal_type", task_deal_type);
            $.pageInit("mot/eventTaskShow", "mot/eventTaskSearch");
        });

        //进入事件任务详情
        $.preBindEvent($page.find(".mot_task_list"), "li", function() {
            var task_type = $(this).attr('data-task_type');
            var task_name = $(this).attr('data-task_name');
            $.setSStorageInfo("task_status", task_status);
            $.setSStorageInfo("task_deal_type", task_deal_type);
            $.pageInit("mot/eventTaskShow", "mot/eventBreakpoint", {
                "task_type": task_type,
                "task_name": task_name
            });
        });

        //待处理，已完成，已过期
        $.preBindEvent($page.find(".task_info"), "li", function() {
            $(this).addClass("act").siblings().removeClass("act");
            if ($(this).attr("data-type") == 'one') {
                task_status = 1;
            } else if ($(this).attr("data-type") == 'two') {
                task_status = 7;
            } else if ($(this).attr("data-type") == 'thr') {
                task_status = 3;
            } else if ($(this).attr("data-type") == 'for') {
				task_status = 6;
			}
            //任务事件类型点击
            $page.find(".scene_sel").parent().removeClass("show");
            eventTaskShow('', task_status, task_deal_type, '');
        });

    }

    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {},
            "layerArea": {}
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();

        var eventName = $.getPageParam("eventName");
        var custName = $.getPageParam("custName");
        task_deal_type = $.getSStorageInfo("task_deal_type");
        task_status = $.getSStorageInfo("task_status");
        var PageCode = $.getSStorageInfo("_prePageCode");
        if (PageCode.indexOf("Search") < 0) {
            prePageCode = PageCode;
        }

        if (task_deal_type == "1") {
            $page.find(".in").addClass("act").siblings().removeClass("act");
        } else {
            $page.find(".out").addClass("act").siblings().removeClass("act");
        }

        if (task_status == "1") {
            $page.find(".one").parent().addClass("act").siblings().removeClass("act");
        } else if (task_status == "2") {
            $page.find(".two").parent().addClass("act").siblings().removeClass("act");
        } else if (task_status == "3") {
            $page.find(".thr").parent().addClass("act").siblings().removeClass("act");
        }

        //查询场景集合
        eventClassShow();
        //查询统计
        eventClassTypeCount();
        $page.find(".ul_table").find("li").each(function() {
            var $this = $(this);
            if ($this.hasClass("act")) {
                if ($this.hasClass("in")) {
                    task_deal_type = '1';
                } else {
                    task_deal_type = '2';
                }
            }
        });

        $page.find(".task_info").find("li").each(function() {
            var $this = $(this);
            if ($this.hasClass("act")) {
                if ($(this).attr("data-type") == 'one') {
                    task_status = 1;
                } else if ($(this).attr("data-type") == 'two') {
                    task_status = 7;
                } else if ($(this).attr("data-type") == 'thr') {
                    task_status = 3;
                } else if ($(this).attr("data-type") == 'for') {
                    task_status = 6;
                }
            }
        });

        var class_name = $page.find(".scene_sel").html();
        if (classjson[class_name] == undefined)
            classjson[class_name] = '';
        $.setSStorageInfo("class_id", classjson[class_name]);
        eventTaskShow('', task_status, task_deal_type, '');
    }

    //场景列表展示
    function eventClassShow() {
        service.eventClassShow({}, function(result) {
            var html = '<li class="act" data-class_id="all">所有场景</li>';
            if (result.length > 0) {
                for (var s = 0; s < result.length; s++) {
                    classjson[result[s].class_name] = result[s].class_id;
                    html += '<li data-class_id="' + result[s].class_id + '">' + result[s].class_name + '</li>';
                }
            }
            $page.find(".allclass").html(html);
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
        myUtils.hideLayer($page);
    }

    function eventClassTypeCount() {
        service.eventClassTypeCount({
            "task_deal_type": task_deal_type,
            "class_id": '',
            "task_type": '',
            "employeeNo": $.getSStorageInfo("employeeNo")
        }, function(result) {
            if (result[0].untreated == '' || result[0].untreated == null)
                result[0].untreated = 0;
            $page.find(".one").html(result[0].untreated);
            if (result[0].ontimecompleted == '' || result[0].ontimecompleted == null)
                result[0].ontimecompleted = 0;
            $page.find(".two").html(result[0].ontimecompleted);
            if (result[0].expired == '' || result[0].expired == null)
                result[0].expired = 0;
            $page.find(".thr").html(result[0].expired);
            if (result[0].expiredcompleted == '' || result[0].expiredcompleted == null)
                result[0].expiredcompleted = 0;
            $page.find(".for").html(result[0].expiredcompleted);
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
        myUtils.hideLayer($page);
    }


    //事件任务列表展示
    function eventTaskShow(task_name, task_status, task_deal_type, task_type) {
        class_id = $.getSStorageInfo("class_id");
        if (class_id == "all") {
            class_id = "";
        }
        service.eventTaskShow({
            "class_id": class_id,
            "task_name": task_name,
            "task_status": task_status,
            "task_deal_type": task_deal_type,
            "task_type": task_type,
            "user_code": $.getSStorageInfo("employeeNo")
        }, function(results) {
            if (results.length > 0) {
                var html = '<ul>';
                for (var s = 0; s < results.length; s++) {
                    html += toHtml(results[s]);
                }
                html += '</ul>';
                $page.find(".mot_task_list").html(html);
                $page.find(".mot_task_list").show();
                $page.find(".no_channel").hide();
            } else {
                $page.find(".mot_task_list").html("");
                $page.find(".mot_task_list").hide();
                $page.find(".no_channel").show();
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
        myUtils.hideLayer($page);
    }

    //转换成html
    function toHtml(item) {
        var html = '';
        html += '<li data-task_type="' + item.task_type + '" data-task_name="' + item.task_name + '"><h4>' + item.task_name + '<em class="task_tag">' + item.class_name + '</em> ';
        var date = item.create_date;
        if (task_status == 1) {
            html += '<span class="task_status">' + item.task_count + '处待处理</span></h4> '
        }
        if (task_status == 2) {
            date = item.finish_date;
            html += '<span class="task_status finish">已完成</span></h4> '
        }
        if (task_status == 3) {
            html += '<span class="task_status finish">已过期</span></h4> '
        }
        if (item.deal_date != undefined && item.deal_date.length == 19)
            item.deal_date = item.deal_date.substring(5, 16);
        html += '<div class="info"><span class="time">' + date.substr(11, 5) + '</span> '
            //+ '<p>王玉文&ensp;停留在&ensp; <span class="fc_brown">选择营业部</span></p></div></li> ';
            +
            '<p>' + item.task_desc + '</p></div></li> ';

        return html;
    }

    // 重置页面元素
    function cleanPageElement() {
        $page.find(".scene_list").removeClass("show");
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});