define("financial/scripts/mot/messagePush.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService"); 
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_messagePush");
    // 模块内的其它全局变量
    var flag1 = false;
    var server_type;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
    	$.bindEvent(jQueryMap.header.mktGoBack, function () {
    		$.pageBack();
        });
    	
    	//
    	$.preBindEvent($page.find(".msg_push_box"),"input",function(){
    		var task_type = $(this).attr("data-task_type");
    		if($(this).attr("checked") == "checked"){
                $(this).removeAttr("checked");
                setMessageSwitch(task_type,'0');
            }else{
                $(this).attr("checked","checked");
                setMessageSwitch(task_type,'1');
            }
    	});
        
    }
    
    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {},
            "layerArea": {}
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
    	// 重置页面元素
        cleanPageElement();

        var eventName =$.getPageParam("eventName");
        var custName =$.getPageParam("custName");
        showMessageSwitch();
    }

    //消息推送提醒设置页面接口
    function showMessageSwitch() {
        service.MessageSwitch({
            "user_code"          :  $.getSStorageInfo("employeeNo")
        },function(result){
        	if(result.length>0){
        		var classgroup = unique(result);//场景分组
        		var classjson  = {}; //场景分组，html集合
        		for(var i=0;i<result.length;i++){
              	   var item = result[i];
              	   for(var j=0;j<classgroup.length;j++){
              		  var class_name = item.class_name;
         			  if(classgroup[j] == class_name)
         			  {
         				  if(classjson[classgroup[j]] == undefined)
         				  {
         					 classjson[classgroup[j]] = toHtml(item);
         				  }else
         				  {
         					 classjson[classgroup[j]] = classjson[classgroup[j]] + toHtml(item);
         				  }
         			  }
              	   }
              	};
              	
              	var htmlStr = '<div class="msg_tip">所有必做任务默认发送消息推送，选做任务可自定义开启／关闭消息推送</div>';
              	for(var s=0;s<classgroup.length;s++)
              	{
//              		if(s==4)
//              			break;
              		var item = classgroup[s];
              		if(s==0)
              		{
              			htmlStr +='<div class="msg_sec"><h2 class="tit">'+item+'</h2>'+classjson[item]+'</div>';
              		}else
              		{
              			htmlStr +='<div class="msg_sec mt10"><h2 class="tit tit_sales">'+item+'</h2>'+classjson[item]+'</div>';
              		}
              	}
              	$page.find(".msg_push_box").html(htmlStr);
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    	myUtils.hideLayer($page);
    }

    //消息推送提醒设置页面接口
    function setMessageSwitch(task_type,push_set) {
        service.MessageSwitch({
            "user_code"     : $.getSStorageInfo("employeeNo"),
            "task_type"     : task_type,
            "push_set"      : push_set
        },function(result){
            //遮罩层去掉
             myUtils.hideLayer($page);
        });
    	myUtils.hideLayer($page);
    }

    // 重置页面元素
    function cleanPageElement() {
    	$page.find(".msg_push_box").html('<div class="msg_tip">所有必做任务默认发送消息推送，选做任务可自定义开启／关闭消息推送</div>');
    }

    function unique(list)
    {
    	var res = [];
		var timegroup = [];//时间组集合
		for(var i = 0; i < list.length; i++){
			res.push(list[i].class_name);
		}
		for(var i = 0; i < res.length; i++){
			var repeat = false;
			for(var j = 0; j < timegroup.length+1; j++){
    			if(res[i]==timegroup[j])
    			{
    				repeat = true;
    				break;
    			}
    		}
			if(!repeat){
				timegroup.push(res[i]);
      		}
		}
		return timegroup;
    }
    
    //替换html
    function toHtml(item) {
    	var htmlStr = '';
		htmlStr += '<div class="info_item"> '
			+ '<span>'+item.task_name+'</span> '
			+ '<em class="switch_box"> ';
		if(item.push_set=='1')
		{
			htmlStr += '<input type="checkbox"  checked="checked" data-task_deal_type="'+item.task_deal_type+'" data-task_type="'+item.task_type+'" /> ';
		}else
		{
			htmlStr += '<input type="checkbox" data-task_deal_type="'+item.task_deal_type+'" data-task_type="'+item.task_type+'" /> ';
		}
		htmlStr +='<span></span> <a href="javascript:void(0);"></a> </em> </div>';
		return htmlStr;
	}

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
