define("financial/scripts/mot/serviceInput.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_serviceInput");
    var taskDealId, dealType, dealDate, dealTypeName, call_info;

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init() {

    }

    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            $.pageBack();
        });

        //选择服务类型
        $.preBindEvent(jQueryMap.content.serviceSelect.find("ul"), "li:not(.disable)", function() {
            var $this = $(this);
            if (!$this.parent().hasClass("disabled")) {
                var serviceType = $this.attr("data-serviceType"),
                    serviceId = $this.attr("data-serviceId");
                $this.addClass("act").siblings(".act").removeClass("act");
                if(serviceId == "1") {
                    jQueryMap.content.singleCheck.find("b:last-child").show();
                    jQueryMap.content.serviceSelect.find(".data_user").show();
                    if(call_info == "6") {
                    jQueryMap.content.ccCallBox.show();
                    } else {
                    jQueryMap.content.ccCallBox.hide();
                    }
                } else {
                    jQueryMap.content.serviceSelect.find(".data_user").hide();
                    jQueryMap.content.singleCheck.find("b:last-child").hide();
                    jQueryMap.content.ccCallBox.hide();
                }
                jQueryMap.content.serviceSelect.attr("data-serviceType", serviceType);
                jQueryMap.content.serviceSelect.attr("data-serviceId", serviceId);
                setBtnStatus();
            }
        });

        // 接通状态选择
        $.preBindEvent(jQueryMap.content.singleCheck, "b", function () {
            var $this = $(this);
           if ($this.hasClass("checked")) {
            //    $this.removeClass("checked");
            return;
           } else {
               $this.addClass("checked").siblings().removeClass("checked");
               call_info = $this.attr("data-call_info");
               if(call_info == "6") {
                jQueryMap.content.ccCallBox.show();
               } else {
                jQueryMap.content.ccCallBox.hide();
               }
               setBtnStatus();
           }
       });

//        // 执行状态选择
//        $.preBindEvent(jQueryMap.content.statusCheck, "b", function () {
//         var $this = $(this);
//        if ($this.hasClass("checked")) {
//            return;
//        } else {
//            $this.addClass("checked").siblings().removeClass("checked");
//        }
//    });

        //服务内容
        $.bindEvent(jQueryMap.content.serviceCon, function() {
            var $this = $(this);
            var content = $this.val();
            var length = content.length;
            if (length > 300) {
                content = content.substring(0, 300);
                $this.val(content);
            }
            $this.siblings().html(content.length + "/300");
            setBtnStatus();
        }, "input");

        //完成
        $.bindEvent(jQueryMap.content.submitBtn, function() {
            var $this = $(this);
            if (!$this.hasClass("disabled")) {
                if (taskDealId) {
                    //完成调用接口存起来
                    $.showIndicatorHtml();
                    addServiceLog();
                    return;
                }
                
                var serviceType = jQueryMap.content.serviceSelect.attr("data-serviceType");

                var serviceTime = jQueryMap.content.dateBox.find("input").val().replace(new RegExp("-", "gm"), "/");
                var timer = (new Date(serviceTime)).getTime();
                var now = new Date().getTime();
                var beginTime = $.getPageParam("beginTime");
                var beginTimer = (new Date(beginTime.replace(new RegExp("-", "gm"), "/"))).getTime();

                if (timer > now) {
                    $.toast("服务时间不可晚于当前时间");
                } else if (timer < beginTimer) {
                    $.toast("服务时间不可早于任务触发时间");
                } else {
                    //完成调用接口存起来
                    $.showIndicatorHtml();
                    addServiceLog();
                }
            } else {
                if(!taskDealId) {
                    dealType = jQueryMap.content.serviceSelect.attr("data-serviceId");
                }
                if(dealType == "1" || dealType == "0") {
                    if(!call_info) {
                        $.toast("请选择接听状态标识");
                        return;
                    }
                    if(call_info == "6" && dealType == "1") {
                        var ccCallCode = jQueryMap.content.ccCallInput.val();
                        if(!ccCallCode) {
                            $.toast("请录入CC通话流水编号");
                            return;
                        }
                    }
                }
                var serviceCon = jQueryMap.content.serviceCon.val().trim();
                if(serviceCon.length <= 0) {
                    $.toast("根据质检要求，请输入服务内容");
                    return;
                }
                if(serviceCon.length < 8) {
                    $.toast("服务内容须大于8个字");
                    return;
                }
                $.toast("您还没有填写完整信息哦~");
            }
        });

        //成功确认
        $.bindEvent(jQueryMap.footer.success, function() {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            $.pageBack();
        });

        //失败确认
        $.bindEvent(jQueryMap.footer.failure, function() {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        $.bindEvent(jQueryMap.content.ccCallInput, function () {
            var key = event.data || '';
            if (/[^0-9]/g.test(key)) {
                event.preventDefault();
            }
            setBtnStatus();
        }, "textInput");
        $.bindEvent(jQueryMap.content.ccCallInput, function () {
            setBtnStatus();
        }, "input");
    }

    function destroy() {
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "pageTitle": $page.find("#pageTitle")
            },
            "content": {
                "name": $page.find("#name"),
                "event": $page.find("#event"),
                "dealType": $page.find("#dealType"),
                "dealDate": $page.find("#dealDate"),
                "serviceSelect": $page.find("#service_select"),
                "dateBox": $page.find("#date_box"),
                "serviceCon": $page.find("#service_con"),
                "fmField": $page.find("#fm_field"),
                "singleCheck": $page.find(".singleCheck"),
                "submitBtn": $page.find("#submit_btn"),
                "statusCheck": $page.find(".statusCheck"),
                "ccCallBox": $page.find(".cc_call_box"),
                "ccCallInput": $page.find(".cc_call_input")
            },
            "footer": {
                "success": $page.find("#success"),
                "failure": $page.find("#failure")
            },
            "layerArea": {
                "successDialog": $page.find("#successDialog"),
                "failureDialog": $page.find("#failureDialog")
            }
        };
    }

    function initPage() {
        myUtils.hideBtn();
        myUtils.showLayer($page);
        // 重置页面元素
        cleanPageElement();
        taskDealId = $.getPageParam("taskDealId");
        showServiceDetail();
        if (taskDealId) {
            jQueryMap.header.pageTitle.text("编辑服务记录");
            var dealTypeMap = {
                'A': '分配',
                'B': '过期',
                'C': '申请失效',
                '0': '移动外呼',
                '1': '打电话',
                '2': '发短信',
                '3': '面谈',
                '4': '微信',
                '5': '其他'
            };
            dealType = $.getPageParam("dealType") + "";
            dealTypeName = dealTypeMap[dealType];
            dealDate = $.getPageParam("dealDate");
            var dealDateFmt = new Date(dealDate.replace(new RegExp("-", "gm"), "/")).format("yyyy-MM-dd HH:mm");

            jQueryMap.content.dealType.find("p.fm_txt").text(dealTypeName);
            jQueryMap.content.dealDate.find("p").text(dealDateFmt);
            
            jQueryMap.content.event.removeClass("no_border_bottom");
            jQueryMap.content.serviceSelect.hide();
            jQueryMap.content.dateBox.hide();
            jQueryMap.content.dealType.show();
            if(dealType == "1" || dealType == "0") {
                jQueryMap.content.dealType.siblings(".serv_mode_list").show();
                call_info = $.getPageParam("callInfo");
                if(call_info) {
                    jQueryMap.content.singleCheck.find("[data-call_info='"+ call_info + "']").click();
                }
                if(dealType == "1") {
                    jQueryMap.content.singleCheck.find("b:last-child").show();
                }
                if(call_info == "6" && dealType == "1") {
                    jQueryMap.content.ccCallInput.val($.getPageParam("ccCallCode"));
                }
            } else {
                jQueryMap.content.dealType.siblings(".serv_mode_list").hide();
            }
            jQueryMap.content.dealDate.show();

            var serviceCon = $.getPageParam("serviceCon");
            jQueryMap.content.serviceCon.val(serviceCon.substring(0, 300));
            // setBtnStatus();
        } else {
            jQueryMap.header.pageTitle.text("服务录入");
            var now = new Date().format("yyyy-MM-dd HH:mm");
            jQueryMap.content.dateBox.find("input").attr("value", now);
            jQueryMap.content.dateBox.find("input").val(now);
            jQueryMap.content.dealType.siblings(".serv_mode_list").hide();
            jQueryMap.content.serviceSelect.find(".data_user").hide();
            jQueryMap.content.serviceSelect.find("ul li:first").addClass("disable");
            jQueryMap.content.serviceSelect.find("ul li:eq(1)").click();
            dealType = jQueryMap.content.serviceSelect.attr("data-serviceId");
            $page.find("#datetime-picker").datetimePicker({
                isShowMinute: true,
                toolbarTemplate: '<header class="bar bar-nav">\
                <button class="button button-link pull-right close-picker">确定</button>\
                <h1 class="titlehsea">选择日期和时间</h1>\
                </header>',
                onOpen: function() {
                    var curVal = jQueryMap.content.dateBox.find("input").val();
                    curVal = curVal.replace(new RegExp(" ", "gm"), "-").replace(new RegExp(":", "gm"), "-");
                    var dateVal = curVal.split("-");
                    $page.find("#datetime-picker").picker("setValue", dateVal);
                },
                onClose: function() {
                    $page.find("#scroll").scrollTop(0);
                }
            });
            jQueryMap.content.dealType.hide();
            jQueryMap.content.dealDate.hide();
            jQueryMap.content.serviceSelect.show();
            jQueryMap.content.dateBox.show();
        }
        //遮罩层去掉
        myUtils.hideLayer($page);
    }

    //将服务详情显示到页面中
    function showServiceDetail() {
        var taskName = $.getPageParam("taskName");
        var curCustName = $.getPageParam("curCustName");
        jQueryMap.content.name.text(curCustName);
        jQueryMap.content.event.text(taskName);
    }

    //完成服务录入存储
    function addServiceLog() {
        var serviceCon = jQueryMap.content.serviceCon.val(),
            taskId = $.getPageParam("curTaskId"),
            taskType = $.getPageParam("curTaskType"),
            curCustId = $.getPageParam("curCustId"),
            postNo = $.getSStorageInfo("postNo");

        var param, procFucntion;
        if (taskDealId) {
            param = {
                "task_id": taskId,
                "deal_desc": serviceCon,
                "deal_type": dealType,
                "task_type": taskType,
                "task_deal_id": taskDealId,
                "deal_date": dealDate,
                "task_account_id": $.getSStorageInfo("employeeNo"),
                "deal_type_name": dealTypeName,
                "service_id": $.getPageParam("serviceId") || "",
                "role_type_code": postNo
            };
            if(dealType == "1" || dealType == "0") {
                // var call_info = "";
                // var data_call_info = jQueryMap.content.dealType.siblings(".serv_mode_list").find("b.checked").attr("data-call_info");
                // if(data_call_info) {
                    // call_info = data_call_info;
                    param.call_info = call_info;
                    if(call_info == 6) {
                        param.cc_call_code = jQueryMap.content.ccCallInput.val();
                    }
                // }
            }
            procFucntion = service.updateServiceInput;
        } else {
            var serviceTime = jQueryMap.content.dateBox.find("input").val() + ":00",
                serviceType = jQueryMap.content.serviceSelect.attr("data-serviceType");
            dealType = jQueryMap.content.serviceSelect.attr("data-serviceId");
            param = {
                "task_id": taskId,
                "deal_desc": serviceCon,
                "deal_type": dealType,
                "task_type": taskType,
                "deal_date": serviceTime,
                "task_account_id": $.getSStorageInfo("employeeNo"),
                "deal_type_name": serviceType,
                "role_type_code": postNo
            };
            if(dealType == "1" || dealType == "0") {
                // var call_info = "";
                // var data_call_info = jQueryMap.content.serviceSelect.find(".data_user b.checked").attr("data-call_info");
                // if(data_call_info) {
                    // call_info = data_call_info;
                    param.call_info = call_info;
                    if(call_info == 6) {
                        param.cc_call_code = jQueryMap.content.ccCallInput.val();
                    }
                // }
            }
            procFucntion = service.addServiceInput;
        }
        procFucntion(param, function() {
            $.hideIndicatorHtml();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.successDialog);
            jQueryMap.content.submitBtn.addClass("disabled");
        }, function() {
            $.hideIndicatorHtml();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.failureDialog);
        });
    }


    function setBtnStatus() {
        var name = jQueryMap.content.name.text(),
            event = jQueryMap.content.event.text(),
            serviceType,
            serviceTime,
            serviceCon = jQueryMap.content.serviceCon.val().trim();
            
        // 外呼和电话需选接通标识
        var chioceCallInfo = true;
        // 如果是cc已拨打需要填写通话流水号
        var ccCallCodeInfo = true;
        if(!taskDealId) {
            dealType = jQueryMap.content.serviceSelect.attr("data-serviceId");
        }
        if(dealType == "1" || dealType == "0") {
            if(!call_info) {
                chioceCallInfo = false;
            }
            if(call_info == "6" && dealType == "1") {
                var ccCallCode =  jQueryMap.content.ccCallInput.val();
                if(!ccCallCode) {
                    ccCallCodeInfo = false;
                }
            }
        }

        if (taskDealId) {
            serviceType =  dealType;
            serviceTime = dealDate;
        } else {
            serviceType = jQueryMap.content.serviceSelect.attr("data-serviceType");
            serviceTime = jQueryMap.content.dateBox.find("input").val();
        }

        if (event && serviceType && serviceTime && serviceCon.length>=8 && chioceCallInfo && ccCallCodeInfo) {
            jQueryMap.content.submitBtn.removeClass("disabled");
        } else {
            jQueryMap.content.submitBtn.addClass("disabled");
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.header.pageTitle.text("");
        jQueryMap.content.name.text("");
        jQueryMap.content.event.text("");
        jQueryMap.content.submitBtn.addClass("disabled");
        jQueryMap.content.serviceSelect.find("ul").removeClass("disabled");
        jQueryMap.content.serviceSelect.removeAttr("data-serviceType").removeAttr("data-serviceId");
        jQueryMap.content.dateBox.find("input").attr("value", "");
        jQueryMap.content.dateBox.find("input").val("");
        jQueryMap.content.dateBox.find("input").removeAttr("disabled");
        jQueryMap.content.serviceSelect.find("ul li").removeClass("act");
        jQueryMap.content.serviceCon.val("");
        jQueryMap.content.event.addClass("no_border_bottom");
        jQueryMap.content.singleCheck.find("b.checked").removeClass("checked");
        jQueryMap.content.singleCheck.find("b:last-child").hide();
        jQueryMap.content.ccCallInput.val("");
        jQueryMap.content.ccCallBox.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        taskDealId = ''; 
        dealType = '';
        dealDate = '';
        dealTypeName = '';
        call_info = '';
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});