define("financial/scripts/subject/app.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_app");
    //用来判断有没有选中客户
    var isFlag = 0;
    var custArrs=[];  //存你选中的客户字符串
    var urlLink;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //点击搜索按钮
        $.bindEvent(jQueryMap.header.search, function () {
            var custArr = [];
            jQueryMap.content.customerList.find("em").each(function () {
                var $this = $(this);
                if($this.hasClass("on")){
                    custArr.push( $this.parent().attr("data-custId"));
                }
            });
            $.setSStorageInfo("custArr",custArr);
            $.pageInit("subject/email", "customer/group/groupSearch");
        });

        //点击我的分类的时候出现相对下客户组分类下面的客户
        $.preBindEvent(jQueryMap.content.customerGroup, "li", function () {
            jQueryMap.content.customerGroup.find("em").removeClass("on");
            $(this).find("em").addClass("on");
            var groupId = $(this).attr("data-groupId");
            queryGroupMan(groupId);
        });

        //点击选中时出现图标
        $.preBindEvent(jQueryMap.content.customerList, "li", function () {
            var $this = $(this);
            var onClass = $this.find("em").attr("class");

            var conLen = jQueryMap.content.customerList.find("li").length;
            if ( $this.find("em").hasClass("on")) {
                $this.find("em").removeClass("on");
                var len = jQueryMap.content.customerList.find(".on").length;
                jQueryMap.footer.checkShow.html("发送("+ len + ")");
                if(len <= 0){
                    jQueryMap.footer.checkShow.addClass("disabled");
                    jQueryMap.footer.checkShow.html("发送");
                    jQueryMap.footer.choose.find("p").html("全选");
                    jQueryMap.footer.choose.find("em").removeClass("on");
                    isFlag = 0;
                }
            } else {
                $this.find("em").addClass("on");
                isFlag = 1;
                jQueryMap.footer.checkShow.removeClass("disabled");
                var len = jQueryMap.content.customerList.find(".on").length;
                jQueryMap.footer.checkShow.html("发送("+ len + ")");
                if(len == conLen){
                    jQueryMap.footer.choose.find("p").html("取消");
                    jQueryMap.footer.choose.find("em").addClass("on");
                }
            }
        });

        //全选键
        $.bindEvent(jQueryMap.footer.choose, function () {
            var $this = $(this);
            if($this.find("p").html() == "全选"){
                var lenLi = jQueryMap.content.customerList.find("li").length;
                if(lenLi>0){
                    isFlag = 1;
                    $this.find("p").html("取消");
                    $this.find("em").addClass("on");
                    jQueryMap.content.customerList.find("em").addClass("on");
                    jQueryMap.footer.checkShow.removeClass("disabled");
                    var len = jQueryMap.content.customerList.find(".on").length;
                    jQueryMap.footer.checkShow.html("发送("+ len + ")");
                }
            }else{
                isFlag = 0;
                $this.find("p").html("全选");
                $this.find("em").removeClass("on");
                jQueryMap.content.customerList.find("em").removeClass("on");
                jQueryMap.footer.checkShow.addClass("disabled");
                jQueryMap.footer.checkShow.html("发送");
            }
        });

        //点击确定按钮
        $.bindEvent(jQueryMap.footer.checkShow, function () {
            if (isFlag) {
                jQueryMap.layerArea.layer.show();
            }
        });
        //取消发送
        $.bindEvent(jQueryMap.content.cancelBtn, function () {
            jQueryMap.layerArea.layer.hide();
        });

        //确认发送okSure
        $.bindEvent(jQueryMap.content.okSure, function () {
            jQueryMap.layerArea.layer.hide();
            var custNoStr = "";
            jQueryMap.content.customerList.find("li").each(function () {
                if ($(this).find("em").hasClass("on")) {
                    custNoStr += $(this).attr("data-custNo") + ",";
                }
            });
            custNoStr = custNoStr.substr(0, custNoStr.length - 1);
            sendEmail(custNoStr);
        });

        // 展开筛选页面
        $.bindEvent(jQueryMap.header.filterBtn, function () {
            myUtils.moveTo("in","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
        });

        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.content.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
        });


        /**
         * 下面都是筛选页面的绑定时间
         */
            //切换筛选的页面
        $.preBindEvent($page.find(".ft_tab_nav"), "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var id = $(this).attr("id");
            $page.find("#"+id+"Tab").show();
            $page.find("#"+id+"Tab").siblings("div").hide();
        });

        //已签约和未签约的单选
        $.preBindEvent(jQueryMap.filter.singleCheck, "li", function () {
            var $this = $(this);
            if ($this.hasClass("act")) {
                $this.removeClass("act");
            } else {
                $this.addClass("act").siblings().removeClass("act");
            }
        });

        //风险等级和标签的多选
        $.preBindEvent(jQueryMap.filter.doubleCheck, "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
                $(this).addClass("act");
            }
        });

        // 筛选--点击完成
        $.bindEvent(jQueryMap.filter.ok, function () {
            //判断筛选条件
            checkParam();
        });

        //重置按钮
        $.bindEvent(jQueryMap.filter.resetBtn, function () {
            jQueryMap.filter.doubleCheck.find("li").removeClass("act");
            jQueryMap.filter.singleCheck.find("li").removeClass("act");
            $page.find("#inputWrap input").val("");
            jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
            jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
        });

        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.filter.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //折叠隐藏
        $.preBindEvent(jQueryMap.filter.clickCollapse, "a", function () {
            var $this = $(this);
            if($this.parent().hasClass("collapse")){
                $(this).parent().removeClass("collapse");
            }else{
                $(this).parent().addClass("collapse");
            }
        });
        $.preBindEvent(jQueryMap.filter.systemTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });
    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "filterBtn": $page.find("#filter_btn"),
                "search"    : $page.find("#search")

            },
            "content": {
                "noCustomer" : $page.find("#noCustomer"),
                "customerList" : $page.find("#customerList"),
                "emailShare" : $page.find("#emailShare"),
                "addEmailer" : $page.find("#addEmailer"),

                //页面旁边的标签页
                "system": $page.find("#system"),
                "definded": $page.find("#definded"),
                "systemTab": $page.find("#systemTab"),
                "defindedTab": $page.find("#defindedTab"),

                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),

                //我的分类
                "customerGroup" : $page.find("#customerGroup"),

                "okSure"		    : $page.find("#okSure"),
                "cancelBtn"      : $page.find("#cancelBtn")
            },
            "footer":{
                "choose" : $page.find("#choose"),
                "checkShow" : $page.find("#checkShow")
            },
            "filter": {
                //页面旁边的标签页
                "doubleCheck" : $page.find(".doubleCheck"),
                "singleCheck" : $page.find(".singleCheck"),
                "system"      : $page.find("#system"),
                "definded"    : $page.find("#definded"),
                "systemTab"   : $page.find("#systemTab"),
                "defindedTab" : $page.find("#defindedTab"),
                "tags"        : $page.find("#tags"),
                "riskCheck"   : $page.find("#riskCheck"),
                //筛选页面的输入项
                "assetLeast"    : $page.find("#assetLeast"),
                "assetMost"     : $page.find("#assetMost"),
                "yjlLeast"      : $page.find("#yjlLeast"),
                "yjlMost"       : $page.find("#yjlMost"),
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),
                "ok"		    : $page.find("#ok"),
                "resetBtn"      : $page.find(".reset_btn"),
                //折叠隐藏
                "clickCollapse" : $page.find(".clickCollapse")

            },
            "layerArea" : {
                "layer" : $page.find("#layer")

            }

        };
    }

    function initPage() {
        cleanPageElement();
        //查询客户列表（含有邮箱）
        custArrs =  $.getSStorageInfo("custArr");
        urlLink = $.getSStorageInfo("urlLink");
//        //查询客户组分类
//        queryCustomerGroup();
//        //查询列表信息
//        queryCustomer({});
        
        //华彩人生客户信息查询
        queryLifeCustomer({});
        //查询客户个人的标签
        manageTag("3","");

    }
	function queryLifeCustomer(paramMap){
         paramMap.staffId = model.dataStore.staffId;
         paramMap.searchType = "2";
         paramMap.customerType = "2";
	     service.getCustomList(paramMap,function(result){
	    	  if(result.custList.length>0){
                  jQueryMap.content.noCustomer.hide();
	              showCustomer(result.custList);
	          }else{
                  jQueryMap.content.customerList.html("");
                  jQueryMap.content.noCustomer.show();
	          }
	      });
	}

//    function queryCustomerGroup(){
//        service.managerGroup({
//            "staffId"    : model.dataStore.staffId,
//            "actionType" : "0"
//        },function(result){
//            if(result.length>0){
//                var html="";
//                for(var i=0; i<result.length; i++){
//                    html += '<li data-groupId="' + result[i].groupId + '"><em class="check_box"></em><strong>' + result[i].groupName + '</strong></li>';
//                }
//                jQueryMap.content.customerGroup.html(html);
//            }else{
//                jQueryMap.content.customerGroup.parent().hide();
//            }
//        });
//    }

//    function queryGroupMan(groupId){
//        service.managerGroupMan({
//                "staffId"    : model.dataStore.staffId,
//                "actionType" : "0",
//                "groupId"    : groupId
//            },
//            function(result){
//                if(result.length>0){
//                    showCustomer(result);
//                }else{
//                    jQueryMap.content.customerList.html("");
//                    jQueryMap.content.noCustomer.show();
//
//                }
//            });
//    }

//    function queryCustomer(paramMap){
//        paramMap.staffId = model.dataStore.staffId;
//        paramMap.searchType ="2";
//        service.getCustomList(paramMap,function(result){
//            if(result.custList.length>0){
//                showCustomer(result.custList);
//            }else{
//                jQueryMap.content.customerList.html("");
//                jQueryMap.content.noCustomer.show();
//            }
//        });
//    }

    //展示客户列表
    function showCustomer(results){
        var htmlStr = "";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += "<h3 data-letter='" + letter + "'>" + letter + "</h3><ul class='cust_list'>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    //if(item.customerType == "1"){
                    //    htmlStr += " <li data-custId='" + item.custId + "'><em class='check_box'><input type='checkbox' value='' /></em><span>潜在</span><img src='../../images/add_lhd03.png'><div class='lbox_txt'><strong>" + item.name + "</strong><small>" + item.mobile + "</small></div></li>";
                    //}else{
                        htmlStr += " <li data-custNo='" + item.custNo + "' data-custId='" + item.custId + "'><em class='check_box'></em><img src='../../images/add_lhd03.png'><div class='lbox_txt'><strong>" + item.name + "</strong><small>" + item.mobile + "</small></div></li>";
                    //}

                });

                htmlStr += "</ul>";
            });
            jQueryMap.content.noCustomer.hide();
            jQueryMap.content.customerList.html(htmlStr).show();
            jQueryMap.footer.checkShow.show();
            jQueryMap.content.customerList.find("li").each(function () {
                var custId = $(this).attr("data-custId");
                if( $.inArray(custId,custArrs) != -1 ){
                    $(this).find("em").addClass("on");
                    isFlag = 1;
                    jQueryMap.footer.checkShow.removeClass("disabled");
                    var len = jQueryMap.content.customerList.find(".on").length;
                    jQueryMap.footer.checkShow.html("发送("+ len + ")");
                    jQueryMap.footer.choose.find("p").html("取消");
                    jQueryMap.footer.choose.find("em").addClass("on");
                }
            });
        });
    }

    /**
     * 下面开始是筛选页面的
     */

    function manageTag(actionType,tagId){
        service.customerTag({
            "staffId"    :  model.dataStore.staffId,
            "actionType" :  actionType,
            "tagId"      :  tagId
        },function(result){
            //先填充系统标签类别，再在相应的类别下添加相应的标签
            fillSysTagType(result.tagTypeList);
            fillSysTag(result.publicTagsList);
            //填充自定义的标签
            fillDefineTag(result.privateTagsList);
        });
    }

    /**
     * 填充系统标签类型
     */
    function fillSysTagType(result){
        var htmlStr = "";
        for(var i=0;i<result.length;i++){
            htmlStr += '<h4>'+result[i].tagTypeName+'<a href="javascript:void(0);"></a></h4><div class="ftag_box"><ul id="' + result[i].tagTypeNo + '"></ul></div>';

        }
        jQueryMap.filter.systemTab.html(htmlStr);
    }

    /**
     * 填充系统标签
     */

    function fillSysTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr = '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
            $("#"+result[i].tagTypeNo).append(htmlStr);
        }

        $.each(jQueryMap.filter.systemTab.find("ul"),function(index,dom){
            if($(this).html() == ""){
                $(this).parent().hide();
                $(this).parent().prev().hide();
            }
        });
    }

    /**
     * 填充自定义标签
     */

    function fillDefineTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr += '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
        }
        jQueryMap.filter.defindedTab.find("ul").html(htmlStr);
    }

    //检查筛选的参数
    function checkParam(){
        var paramMap={};
        var flag = true;
        // 判断用户是不是没选参数
        //var checkFlag = false;

        //获取标签
        var tags="";
        $.each(jQueryMap.filter.tags.find("li.act"), function () {
            //checkFlag = true;
            tags += $(this).attr("data-tagId")+',';
        });
        paramMap.tags = tags.substr(0,tags.length-1);

        //是否签约
        var qyFlag="";
        if( $page.find("#signTab .singleCheck li.act").attr("data-qyFlag") ){
            //checkFlag = true;
            qyFlag = $page.find("#signTab .singleCheck li.act").attr("data-qyFlag");
            //选签约默认当前主题
            paramMap.subjectIds = $.getSStorageInfo("subjectId");
        }
        paramMap.qyFlag =qyFlag;

//        //潜在客户的来源
//        var sourceType="";
//        $.each(jQueryMap.filter.developedTab.find("li.act"), function () {
//            checkFlag = true;
//            sourceType += $(this).attr("data-sourceType")+',';
//        });
//        paramMap.sourceType = sourceType.substr(0,sourceType.length-1);

        //客户风险等级
        var risk="";
        $.each(jQueryMap.filter.riskCheck.find("li.act"), function () {
            //checkFlag = true;
            risk += $(this).attr("data-risk")+',';
        });
        paramMap.risk =risk.substr(0,risk.length-1);

        //资产佣金的输入（还差一个股票的输入 接口还没有实现）
        $.each(["assetLeast","assetMost","yjlLeast","yjlMost"], function (index, item) {
            paramMap[item] = jQueryMap.filter[item].val();
            if( paramMap[item] && !(/^[0-9]+.?[0-9]*$/.test( Number(paramMap[item]) )) ){
                flag = false;
                $.toast("请输入数字格式的内容!");
                return false;
            }else if( paramMap[item] ){
                //checkFlag = true;
            }
        });

        //选择存量客户类型
        var relationType="";
        $.each($page.find("#inputWrap .relationType li.act"), function () {
            //checkFlag = true;
            relationType += $(this).attr("data-relationType")+',';
        });
        paramMap.relationType =relationType.substr(0,relationType.length-1);


        if(!flag){
            return false;
        }

        //if( Number(paramMap.assetMost) < Number(paramMap.assetLeast)){
        //    $.toast("后面输入的现有总资产要大于前面输入的现有总资产");
        //    return false;
        //}
        //if(Number(paramMap.yjlLeast) < Number(paramMap.yjlMost)){
        //    $.toast("后面输入的佣金率要大于前面输入的佣金率");
        //    return false;
        //}

        queryLifeCustomer(paramMap);
//        if(checkFlag){
//            queryCustomer(paramMap);
//        }else{
//            $.toast("请您至少选中一项筛选条件！");
//            return false;
//        }

        //搜索
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
    }

    // 华彩人生app发送邮件
    function sendEmail(custNoStr) {
        var currSubObj = $.getSStorageInfo("currSubObj");
        // todo 补充产品描述
        service.sendEmail({
            "custNoStr"       : custNoStr,
            "shareTitle"    : "分享" + currSubObj.detailInfo[0].subjectName,
            "shareContent": "【" + currSubObj.detailInfo[0].subjectName + "】，点击链接 " + urlLink + " "
        }, function () {
            $.toast("发送成功！");
            cleanPageElement();
            //jQueryMap.content.targetEmail.val("");
            //toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
        },function(){
            $.toast("发送失败！");
        });
    }

    // 重置页面元素
    function cleanPageElement() {
    	myUtils.moveTo("out","",jQueryMap.content.filterWrapper,jQueryMap.content.filterSlideBar);
        jQueryMap.footer.choose.find("p").html("全选");
        jQueryMap.footer.choose.find("em").removeClass("on");
        jQueryMap.footer.checkShow.html("发送");
        jQueryMap.footer.checkShow.addClass("disabled");
        jQueryMap.content.customerGroup.parent().show();
        jQueryMap.content.systemTab.addClass("act").siblings().removeClass("act");
        jQueryMap.content.systemTab.show();
        jQueryMap.content.defindedTab.hide();
        jQueryMap.filter.filterSlideBar.find("input").val("");

        jQueryMap.layerArea.layer.hide();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
