define("financial/scripts/subject/count/holdCust.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_holdCust");
    var _pageId ="#subject_count_holdCust ";
    //渠道分布图的数据
    var classifyName = [];
    var dayCustomerCount = [];
    var comCustomerCount = [];
    var actionType = "0";
    var month = "";
    var dataValue = [];

    var orderBy = "0";
    var byType = "1";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	$page.find(".page_box").scrollTop("0");
            $.pageBack("","left");
        });

        //点击跳转到保有客户
        $.preBindEvent(jQueryMap.content.BYList, "tr", function () {
            var productNo = $(this).attr("data-productNo");
            var productName = $(this).attr("data-productName");
            $.setSStorageInfo("actionType","3");
            $.pageInit("subject/count/holdCust", "subject/count/signDetailInfo",{"productNo":productNo,"productName":productName});
        });
        
        //升序降序
        $.preBindEvent($page,"th",function(){
            var $this=$(this);
            $this.siblings().find("em").removeClass("act");
            if(!$this.find("span").attr("data_order")){
                return false;
            }
            if($this.hasClass("act")){
                orderBy=$this.find("span").attr("data_order");

                $this.find("em").each(function(index,domEle){
                    if($(this).hasClass("act")){
                        $(this).removeClass("act");
                    }else{
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }else{
                orderBy=$this.find("span").attr("data_order");
                $this.addClass("act");
                $this.siblings().removeClass("act");
                $this.find("em").each(function(index,domEle){
                    if(index==1){
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }
            queryCustomer();
        });
    }

    function destroy() {
    	$page.find(".combine_table").scrollLeft("0");
        $(_pageId+" .page_box")[0].scrollTop = 0;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "rank": $page.find("#rank")
            },
            "content": {
                "BYCustNum" : $page.find("#BYCustNum"),
                "checkCustNum" : $page.find("#checkCustNum"),
                "BYCustAsset" : $page.find("#BYCustAsset"),
                "custRate" : $page.find("#custRate"),
                "assetRate": $page.find("#assetRate"),

                "BYList": $page.find("#BYList"),
                "noData": $page.find("#noData")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        //隐藏系统底部TabBar
        myUtils.hideBtn();  
      //查询客户列表（含有邮箱）
        queryCustomer(); 
    }

    function queryCustomer(){
        var param = {
            "userId"        : model.dataStore.userId,
            "actionType"    : "3",  //0 日(day)、1月(month)、2年(year),默认为日 3保有
            "orderBy"       : orderBy,  //0签约 1跟随
            "byType"        : byType
        };
        service.getNewSignData(param, function(result){
        	var BYCustAsset =result.dataRow[0].BYCustAsset=="0" ? "0" :myUtils.changeUtil(result.dataRow[0].BYCustAsset);
        	jQueryMap.content.BYCustAsset.html(BYCustAsset);
            $.each(["BYCustNum","checkCustNum","custRate","assetRate"],function(index,iDom){
                var dataShow = result.dataRow[0][iDom] == "" ? "0" : result.dataRow[0][iDom];
                jQueryMap.content[iDom].html(dataShow);
            });
            var dataList =  result.perResultList;
            if(dataList.length>0){
                jQueryMap.content.noData.hide();
                var BYStr="";
                for(var i=0;i<dataList.length;i++){
                    BYStr+=' <tr data-productNo="'+dataList[i].productNo+'"  data-productName="'+dataList[i].productName+'" ><td style="width: 20%;">'+dataList[i].productName+'</td><td style="width: 23%;">'+dataList[i].sign+'</td><td style="width: 23%;">'+dataList[i].follow+'</td><td style="width: 20%;">'+dataList[i].followRate+'</td><td style="width: 20%;">'+dataList[i].signRate+'</td></tr>';
                }
                jQueryMap.content.BYList.html(BYStr);
            }else{
                jQueryMap.content.noData.show();
            }
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        $(_pageId + "dt th").removeClass("act").find("em").removeClass("act");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
