define("financial/scripts/subject/count/newCustomer.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("echarts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_newCustomer");
    //渠道分布图的数据
    var classifyName = [];
    var dayCustomerCount = [];
    var comCustomerCount = [];
    var actionType;
    var month = "";
    var dataValue = [];
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //点击跳转到客户详情
        $.bindEvent(jQueryMap.content.custDetail, function () {  
            $.pageInit("subject/count/newCustomer", "subject/count/custDetail");
        });

        //点击进入渠道详情页面
        $.bindEvent(jQueryMap.content.custChannelInfo, function () {
            $.pageInit("subject/count/newCustomer", "subject/count/custChannel");
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
            	actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
            	actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            queryCustomer();
        });
        
        //排行榜
        /*$.bindEvent(jQueryMap.header.rank, function () {
            $.pageInit("subject/count/newCustomer", "subject/count/newCustomerRank");
        });*/
        
        // 点击阴影隐藏月菜单
        /*$.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1";
            	queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });*/

        //弹框的日月年选择
        /*$.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
            if($(this).attr("id") == "month"){
            	actionType = "1";
            	queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "year"){
                jQueryMap.content.selectDate.find("#yearBox").addClass("act").siblings().removeClass("act");
                actionType = "2";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "day"){
                jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
                actionType = "0";
                queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            }
        });*/

        //选择弹框里面的月份
        /*$.preBindEvent(jQueryMap.content.selectBox, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
                $page.find("#monthWrap").html("本月");
                $page.find("#month span").html("本月");
            }else{
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                $page.find("#month span").html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            actionType = "1";
            queryCustomer();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        });*/

    }

    function destroy() {
    	$("#subject_count_newCustomer .page_box")[0].scrollTop = 0;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "rank": $page.find("#rank")
            },
            "content": {
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "selectDate" : $page.find("#selectDate"),
                "dayCustomerCount" : $page.find("#dayCustomerCount"),

                //页面旁边的标签页
                "potentialAmount": $page.find("#potentialAmount"),
                "validCustomerCount": $page.find("#validCustomerCount"),
                "newAsset": $page.find("#newAsset"),
                "totalAsset": $page.find("#totalAsset"),

                //渠道分布图
                "custChannelInfo": $page.find("#custChannelInfo"),
                "custChannelChar": $page.find("#custChannelChar"),
                "noChannel": $page.find(".no_channel"),
                //点击跳转到客户详情
                "custDetail" : $page.find("#custDetail")
            },
            "footer":{
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();  
       //动态生成弹层框里面最近三个月的li
       // insertMonth();
       if($.getSStorageInfo("_prePageCode") == "subject/subject" ) {
    	   //查询详情
    	   actionType="0";
    	   $.setSStorageInfo("actionType",actionType);
    	   jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");           
       }else{
    	    actionType = $.getSStorageInfo("actionType");
	       	if(actionType == "0"){
	       		jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
	       	}else if(actionType == "1"){
	       		jQueryMap.content.selectDate.find("#monthBox").addClass("act").siblings().removeClass("act");
	       	}else{
	       		jQueryMap.content.selectDate.find("#yearBox").addClass("act").siblings().removeClass("act");
	       	}
       }
       queryCustomer(); 
    }

    function queryCustomer(){
        var param = {
            "userId"        : model.dataStore.userId,
            "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
            "month"         : month
        };
        service.getNewCustData(param, function(result){
        	var totalAsset =result.dataRow[0].totalAsset=="0" ? "0" :myUtils.changeUtil(result.dataRow[0].totalAsset);
        	jQueryMap.content.totalAsset.html(totalAsset);
            $.each(["dayCustomerCount","potentialAmount","validCustomerCount"],function(index,iDom){
                var dataShow = result.dataRow[0][iDom] == "" ? "0" : result.dataRow[0][iDom];
                jQueryMap.content[iDom].html(dataShow);
            });
            if( classifyName.length==0){
                fillchannelChart(result.perResultList);
            }
        });
    }
    //饼状图
    function fillchannelChart(perResultList){
        dataValue = [];
        if(perResultList.length > 0){
        	jQueryMap.content.custChannelChar.show();
        	jQueryMap.content.noChannel.hide();
            jQueryMap.content.custChannelChar.html("");
            pieChats(perResultList);
        }
        else{
        	jQueryMap.content.custChannelChar.hide();
        	jQueryMap.content.noChannel.show();
        }
    }
    function pieChats(result) {
        for (var i = 0; i < result.length; i++) {
            var valueWrap={};
            valueWrap.value = result[i].custNum;
            valueWrap.name = result[i].classifyName;
            dataValue.push(valueWrap);
        }
        totalAssetChart(dataValue);
    }
    //饼状图
    function totalAssetChart(data) {
        // 设置曲线图父元素的固定高度
        var myChart = echarts.init($("#custChannelChar")[0]);
        option = {
            title : {
                text: '',
            },
            tooltip : {
                trigger: 'item',
                formatter: "{a} <br/>{c} ({d}%)"
            },
            legend: {
                orient : 'horizontal',
                x : 'right',
                y : 'bottom',
                selectedMode:false,
                data:data ,
            },
            toolbox: {
                show : true,
                feature : {
                    mark : {show: true},
                    dataView : {show: true, readOnly: false},
                    magicType : {
                        show: true,
                        type: ['pie', 'funnel'],
                        option: {
                            funnel: {
                                x: '25%',
                                width: '50%',
                                funnelAlign: 'left',
                                max: 1548
                            }
                        }
                    },
                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            series : [
                {
                    name: '新开客户数',
                    type:'pie',
                    radius : '55%',
                    center: ['50%', '40%'],
                    data:data,
                }
            ]
        };
        myChart.setOption(option);
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
    	$("#subject_count_newCustomer .page_box")[0].scrollTop = 0;
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
        jQueryMap.content.selectDateIn.find("#month").addClass("act").siblings().removeClass("act");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
