define("financial/scripts/subject/count/newCustomerRank.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_newCustomerRank");
    var _pageId="#subject_count_newCustomerRank ";
    //分页页数
    var page = "1";
    var scrollJudge = true;//判断是否到底可以滑动?
    //查询条件,默认按新增客户数查询singCust、有效户valCustNum、净资产assetCount
    var queryCriteria = "";
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";
    //查询范围：0 全公司、1 本营业部
    var queryArea = "0";
    //month=yyyy-mm
    var month = "";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        // 显示或关闭时间菜单
        $.bindEvent(jQueryMap.header.showMenu, function () {
            toggleMenuArea();
            orderMenuArea("hide");
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });
        
        // 显示或关闭时间菜单
        $.bindEvent(jQueryMap.header.showArea, function () {
            toggleMenuArea("hide");
            orderMenuArea();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 隐藏时间菜单
        $.bindEvent(jQueryMap.dialog.filterWrapper, function (e) {
            if (e.target.id === "dialog-overlay") {
                toggleMenuArea("hide");
            }
        });
        
        // 隐藏时间菜单
        $.bindEvent(jQueryMap.dialog.filterArea, function (e) {
            if (e.target.id === "dialog-overlay1") {
            	orderMenuArea("hide");
            }
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1";
                queryCustomer(actionType,month,queryCriteria,queryArea);
                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
                actionType = "1";
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "yearBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                actionType = "0";
            }
            //加载转圈
            myUtils.loadService($page);
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.newCustCon.html("");
            $page.find(".page_box").scrollTop("0");
            page = "1";
            queryCustomer(actionType,month,queryCriteria,queryArea);
            dbPageCustList();
        });

        //弹框的日月年选择
        $.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
            if($(this).attr("id") == "month"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
            	actionType = "1";
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "year"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
                actionType = "2";
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);

            }else if($(this).attr("id") == "day"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
                jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
                actionType = "0";
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            }
            page = "1";
            queryCustomer(actionType,month,queryCriteria,queryArea);
            dbPageCustList();
        });

        //选择弹框里面的月份
        $.preBindEvent(jQueryMap.content.selectBox, "li", function(){
            $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
                $page.find("#monthWrap").html("本月");
                $page.find("#month span").html("本月");
            }else{
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                $page.find("#month span").html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            page="1";
            actionType = "1";
            queryCustomer(actionType,month,queryCriteria,queryArea);
            dbPageCustList();
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        });

        // 切换排名的时间段
        $.preBindEvent(jQueryMap.dialog.filterWrapper.find("ul"), "li", function () {
            var $this = $(this);
            queryCriteria = $this.attr("data-queryCriteria");
            $this.addClass("act").siblings().removeClass("act");
            // 获取相应时间段内的排行数据
            page="1";
            //加载转圈
            myUtils.loadService($page);
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.newCustCon.html("");
            $page.find(".page_box").scrollTop("0");
            queryCustomer(actionType,month,queryCriteria,queryArea);
            dbPageCustList();
            jQueryMap.header.showMenu.text($this.text());
            toggleMenuArea("hide");
        });
        
        //切换公司和本营业部的事件
        $.preBindEvent(jQueryMap.dialog.filterArea.find("ul"), "li", function () {
            var $this = $(this);
            queryArea = $this.attr("data-type");
            $this.addClass("act").siblings().removeClass("act");
            // 获取相应时间段内的排行数据
            page="1";
            //加载转圈
            myUtils.loadService($page);
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.newCustCon.html("");
            $page.find(".page_box").scrollTop("0");
            queryCustomer(actionType,month,queryCriteria,queryArea);
            dbPageCustList();
            jQueryMap.header.showArea.text($this.text());
            orderMenuArea("hide");
        });

        //跳转员工详情页面
        $.preBindEvent(jQueryMap.content.newCustCon, "li", function () {
            var $this = $(this);
            var imUserId= $this.attr("data-id");
            if(imUserId == ""){
            	return false;
            }
            $.callMessage({
				"funcNo"    : "80104",
				"username"  : imUserId
			}); 
        });
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                    	dbPageCustList();
                    },600);
                }
        	}      
        },"scroll");

    }

    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
        toggleMenuArea("hide");
        service.destroy();
        cleanPageElement();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "showMenu": $page.find("#showMenu"),
                "showArea": $page.find("#showArea")
            },
            "content": {
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "emptyTip"   : $page.find(".msg_wrap"),
                "branchName" : $page.find("#branchName"),
                "countData" : $page.find("#countData"),
                "rowNum" : $page.find("#rowNum"),
                "staffName" : $page.find("#staffName"),
                "newCustCon": $page.find("#newCustCon"),
                "photoPath" : $page.find("#photoPath"),
                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader")
            },
            "footer":{
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "dialog" :{
                //条件遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                //查询范围遮罩层
                "filterArea" : $page.find("#dialog-overlay1")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        //查询客户列表（含有邮箱）
        queryCustomer(actionType,month,queryCriteria,queryArea);
        dbPageCustList();
        /*//动态生成弹层框里面最近三个月的li
        insertMonth();*/
    }

    function queryCustomer(actionType,month,queryCriteria,queryArea){
        var param = {
            "userId"        :  model.dataStore.userId,
            "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
            "month"         : month,
            "queryCriteria" : queryCriteria ,//查询条件,默认按新增客户数查询singCust、有效户valCustNum、净资产assetCount
            "dataKind"      : "0"  ,     //查询数据类型  0、总数据  1、人员信息列表
            "type"      	: queryArea   //查询范围：0全公司1本营业部
        };
        service.getNewCustInfo(param, function(result){
            $page.find("#staffInfo").show();
            $.each(["branchName","countData","rowNum","staffName","photoPath"],function(index,iDom){  
            	if(iDom=="countData" && queryCriteria =="assetCount"){
            		var num = myUtils.changeMoney(parseFloat(result[0][iDom])).num;
                	var state = myUtils.changeMoney(parseFloat(result[0][iDom])).state;
                	num = (state ? num+"万": num);
                	jQueryMap.content[iDom].html(num);
            	}else if(iDom=="photoPath"){
            		jQueryMap.content[iDom].attr("src",($.getSStorageInfo("photoPath") ? $.getSStorageInfo("photoPath") : (result[0][iDom] ? global.serverAddr+result[0][iDom] :"../../../images/sc-hd01.png" )));
            	}else{
            		jQueryMap.content[iDom].html(result[0][iDom]);
            	}                
            });

        });

    }
    
    //分页排序
    function dbPageCustList(){
        var param={
        		"userId"        :  model.dataStore.userId,
                "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
                "month"         : month,
                "queryCriteria" : queryCriteria ,//查询条件,默认按新增客户数查询singCust、有效户valCustNum、净资产assetCount
                "pageIndex"     : page,      //页数
                "pageSize"      : "20" ,     //条数
                "dataKind"      : "1"  ,     //查询数据类型  0、总数据  1、人员信息列表
                "type"      	: queryArea   //查询范围：0全公司1本营业部
            };
        service.getNewCustInfo(param,function (results) {         	
        	 //获取总页数
        	 totalPages = results[0].totalPages;
	         if (page == "1") {
	            $(_pageId+"#newCustCon").html("");
	         }
	         
	         if(results[0].data.length>0){
	        	 jQueryMap.content.emptyTip.hide();
                 showCustomerRank(results[0].data);
             }else{
                 jQueryMap.content.newCustCon.html("");
                 jQueryMap.content.emptyTip.show();
                 jQueryMap.content.loadIcon.hide();
             }
            //去掉加载转圈
            myUtils.hideLoadService($page);
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        });
    }
    
    function showCustomerRank(result){
        var htmlStr = "";
        for(var i=0; i<result.length; i++ ){       	
            htmlStr += '<li data-id = "'+result[i].imUserId+'"><em>' + result[i].rowNum + '</em><div class="rank_uinfo" style="height:0.7rem"><img src="'+(!result[i].photoPath ? "../../../images/sc-hd01.png" : global.serverAddr+ result[i].photoPath)+'"/><div class="rank_utext"><h5>'+ result[i].staffName + '</h5><small>'+ result[i].branchName + '</small><strong>'+ (queryCriteria =="assetCount"? myUtils.changeMoney(parseFloat(result[i].countData)).num +(myUtils.changeMoney(parseFloat(result[i].countData)).state ? "万元" : "") : result[i].countData) + '</strong></div></div></li>';
        }
        jQueryMap.content.newCustCon.append(htmlStr);
        jQueryMap.content.loadIcon.hide();
        scrollJudge =true;
    }

    // 切换时间菜单显示状态orderMenuArea
    // type:  "show"  "hide"  不传
    function toggleMenuArea(type, speed) {
        speed = speed || 10;
        var $btn = jQueryMap.header.showMenu;
        var $dom = jQueryMap.dialog.filterWrapper;
        if (type === "show") {
            $dom.slideDown(speed);
            $btn.addClass("on");
        } else if (type === "hide") {
            $dom.slideUp(speed);
            $btn.removeClass("on");
        } else {
            $dom.slideToggle(speed);
            $btn.toggleClass("on");
        }
    }
    
    // 切换时间菜单显示状态
    // type:  "show"  "hide"  不传
    function orderMenuArea(type, speed) {
        speed = speed || 10;
        var $btn = jQueryMap.header.showArea;
        var $dom = jQueryMap.dialog.filterArea;
        if (type === "show") {
            $dom.slideDown(speed);
            $btn.addClass("on");
        } else if (type === "hide") {
            $dom.slideUp(speed);
            $btn.removeClass("on");
        } else {
            $dom.slideToggle(speed);
            $btn.toggleClass("on");
        }
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }


    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.loadIcon.hide();
        page = "1";
        queryCriteria = "";
        actionType = "0";
        queryArea = "0";
        month = "";
//        jQueryMap.content.loadIcon.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");

        jQueryMap.header.showMenu.text("新客户数");
        jQueryMap.dialog.filterWrapper.find("#firstChild").addClass("act").siblings().removeClass("act");
        jQueryMap.header.showArea.text("新客户排行");
        jQueryMap.dialog.filterArea.find("#firstChild").addClass("act").siblings().removeClass("act");

        //$.each(["branchName","countData","rowNum","staffName"],function(index,iDom){
        //    jQueryMap.content[iDom].html("");
        //});
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
