define("financial/scripts/subject/count/newSignner.js", function (require, exports, module) {
    // 私有业务模块的全局变量
       var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("echarts");

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_newSignner");
    //渠道分布图的数据
    var classifyName = [];
    var signedCustomerCount = [];
    var comSignedCustomerCount = [];
    var actionType = "0";
    var month = "";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        //点击进入保有统计页面
        $.bindEvent(jQueryMap.header.rank, function () {
            $.pageInit("subject/count/newSignner", "subject/count/holdCust");
        });

        //点击产品签约总增值收入跳转到详情
        $.bindEvent(jQueryMap.content.signDetail, function () {
            $.pageInit("subject/count/newSignner", "subject/count/signDetail");
        });

        //点击进入渠道详情页面
        $.bindEvent(jQueryMap.content.newSignChannelInfo, function () {
            $.pageInit("subject/count/newSignner", "subject/count/signChannel");
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1";
            	queryCustomer();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");            
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
            	actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
            	actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            queryCustomer();
        });
    }

    function destroy() {
    	$("#subject_count_newSignner .page_box ")[0].scrollTop = 0;
        service.destroy();     
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "rank"       : $page.find("#rank")
            },
            "content": {
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "assets" : $page.find("#assets"),
                "signed" : $page.find("#signed"),
                //"follow" : $page.find("#follow"),
                "income": $page.find("#income"),
                //"singRate": $page.find("#singRate"),
                //"followRate": $page.find("#followRate"),
                //渠道分布图
                "newSignChannelInfo" : $page.find("#newSignChannelInfo"),
                "newSignChannelChar": $page.find("#newSignChannelChar"),
                "signDetail": $page.find("#signDetail"),
                "noChannel": $page.find(".no_channel"),
            },
            "footer":{
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
        //隐藏/显示系统底部TabBar
        myUtils.hideBtn();
        if($.getSStorageInfo("_prePageCode") == "subject/subject" || $.getSStorageInfo("_prePageCode") == "subject/count/holdCust") {
     	   actionType="0";
     	   $.setSStorageInfo("actionType",actionType);
     	   jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");           
        }else{
     	    actionType = $.getSStorageInfo("actionType");
 	       	if(actionType == "0"){
 	       		jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
 	       	}else if(actionType == "1"){
 	       		jQueryMap.content.selectDate.find("#monthBox").addClass("act").siblings().removeClass("act");
 	       	}else{
 	       		jQueryMap.content.selectDate.find("#yearBox").addClass("act").siblings().removeClass("act");
 	       	}
        }
        //查询详情
        queryCustomer();  
    }

    function queryCustomer(){
        var param = {
            "userId"        : model.dataStore.userId,
            "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
            "month"         : month        //入参格式为month=yyyy-mm
        };
        service.getNewSignData(param, function(result){
            var assets =result.dataRow[0].assets=="0" ? "0" :myUtils.changeUtil(result.dataRow[0].assets);
        	jQueryMap.content.assets.html(assets);
            $.each(["signed","income"],function(index,iDom){
                var dataShow = result.dataRow[0][iDom] == "" ? "0" : result.dataRow[0][iDom];
                jQueryMap.content[iDom].html(dataShow);
            });
            dataValue = [];
            if(result.perResultList.length>0){
            	jQueryMap.content.newSignChannelChar.show();
            	jQueryMap.content.noChannel.hide();
                if( classifyName.length==0){
                    jQueryMap.content.newSignChannelChar.html("");
                    pieChats(result.perResultList);
                }
            }
            else{
            	jQueryMap.content.newSignChannelChar.hide();
            	jQueryMap.content.noChannel.show();
            }
        });
    }

    function pieChats(result) {
        for (var i = 0; i < result.length; i++) {
            var valueWrap={};
            valueWrap.value = result[i].signNum;
            valueWrap.name = result[i].classifyName;
            dataValue.push(valueWrap);
        }
        channelChart(dataValue);
    }
    
    //渠道分布绘图
    //echart画图
    function channelChart(data) {
        // 设置曲线图父元素的固定高度
        var myChart = echarts.init($("#newSignChannelChar")[0]);
        option = {
            title : {
                text: '',
            },
            tooltip : {
                trigger: 'item',
                formatter: "{a} <br/>{c} ({d}%)"
            },
            legend: {
                orient : 'horizontal',
                x : 'right',
                y : 'bottom',
                selectedMode:false,
                data:data ,
            },
            toolbox: {
                show : true,
                feature : {
                    mark : {show: true},
                    dataView : {show: true, readOnly: false},
                    magicType : {
                        show: true,
                        type: ['pie', 'funnel'],
                        option: {
                            funnel: {
                                x: '25%',
                                width: '50%',
                                funnelAlign: 'left',
                                //max: 1548
                            }
                        }
                    },
                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            series : [
                {
                    name: '签约客户数',
                    type:'pie',
                    radius : '55%',
                    center: ['50%', '40%'],
                    data:data,
                }
            ]
        };
        myChart.setOption(option);
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
    	month = "";
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("act").siblings().removeClass("act");
        jQueryMap.content.selectDateIn.find("#month").addClass("act").siblings().removeClass("act");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
