define("financial/scripts/subject/count/signChannel.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_signChannel");
    var _pageId = "#subject_count_signChannel ";
    var classifyId;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {         
            $.pageBack("","left");
        });
        
        // 点击阴影隐藏菜单
        $.bindEvent(jQueryMap.dialog.filterWrapper, function (e) {
            if (e.target.id === "dialog-overlay") {  
            	jQueryMap.dialog.filterWrapper.slideUp("100");
            }
        });
        
       // 显示或关闭时间菜单
        $.bindEvent(jQueryMap.header.showMenu, function () {
            jQueryMap.dialog.filterWrapper.slideToggle("100");
            $(this).toggleClass("on");
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 渠道选择
        $.preBindEvent(jQueryMap.header.channelName, "li", function(){
            var $this = $(this);
            $this.addClass("act").siblings().removeClass("act");
            jQueryMap.header.showMenu.html($this.find("span").html());
            classifyId = $(this).attr("data-classifyid");
            jQueryMap.content.channelWrap.html(""); 
            queryChannelInfo();
            jQueryMap.dialog.filterWrapper.slideUp("100");
        });
        
        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            jQueryMap.content.channelWrap.html(""); 
            queryChannelInfo();
        });

        //点击具体渠道进入渠道明细页面
        $.preBindEvent(jQueryMap.content.channelWrap, "tr", function () {
            var channelId = $(this).attr("data-channelId");
            var channelName = $(this).find(".channelName").html();
            if(!channelId){
            	return ;
            }
            $.pageInit("subject/count/custChannel", "subject/count/signChannelDetail",{"channelId":channelId,"channelName":channelName});
        });
    }

    function destroy() {  
    	jQueryMap.dialog.filterWrapper.slideUp("0");
    	$page.find("#channelName").scrollLeft("0");
    	$page.find(".bd_t10").scrollLeft("0");
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "channelName": $page.find("#channelName"),
                "showMenu"   : $page.find("#showMenu")
            },
            "content": {
                "channelWrap": $page.find("#channelWrap"),
                "channel"    : $page.find("#channel"),
                "emptyTip"   : $page.find(".msg_wrap"),
                "notEmpty"   : $page.find(".table_box"),
                "selectDate" : $page.find("#selectDate"),
                "sign"       : $page.find("#sign"),
                "assets"     : $page.find("#assets")
            },
            "dialog" :{
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay")
            }
        };
    }

    function initPage() {
    	myUtils.showLayer($page);
    	actionType = $.getSStorageInfo("actionType");
    	if(actionType == "0"){
    		jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
    	}else if(actionType == "1"){
    		jQueryMap.content.selectDate.find("#monthBox").addClass("current").siblings().removeClass("current");
    	}else{
    		jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
    	}   	
    	if($.getSStorageInfo("_prePageCode") == "subject/count/newSignner"){
    		classifyId = "";
            jQueryMap.header.showMenu.html("全部");
    	}
    	//将渠道展示出来
        showChannel();
        //查询详情
        queryChannelInfo();
    }

    function showChannel(){
        service.getChannelType({
            "userId" : model.dataStore.userId
        }, function(result){
            if(result.length>0){            	
                var channelHtml = "";
                channelHtml += '<li class="current" data-classifyId=""><a href="javascript:void(0)"><span style="color: #000">全部</span></a></li>';
                for(var i=0; i<result.length; i++){
                    channelHtml += '<li data-classifyId="'+result[i].classifyId+'"><a href="javascript:void(0)"><span style="color: #000">'+result[i].classifyName+'</span></a></li>';
                }
                jQueryMap.header.channelName.html(channelHtml);
            }else{
                jQueryMap.header.channelName.html("");
            }
        });
    }

    function queryChannelInfo(){
        var param = {
            "userId"        : model.dataStore.userId,
            "classifyId"    : classifyId,
            "actionType"    : actionType
        };
        service.querySignChannelData(param, function(result){
        	jQueryMap.content.sign.html(result.dataRow[0].sign ? result.dataRow[0].sign :"0");
            jQueryMap.content.assets.html(result.dataRow[0].assets == "0" ? "0" : myUtils.changeUtil(result.dataRow[0].assets));
            //展示渠道详情
            jQueryMap.content.channelWrap.html(""); 
            var data = result.pageData;
            if(data.length>0){
                var htmlStr = "";
                for(var i=0; i<data.length; i++){
                	htmlStr += ' <tr data-channelId="' + data[i].channelId + '"><td class="channelName" style="width:20%">' + data[i].channelName + '</td><td style="width:20%">' + data[i].classifyName + '</td><td><span class="fc_red">' + data[i].signNum + '</span></td><td style="width:35%">' +myUtils.changeUtil(data[i].assets)+ '</td></tr>';
                }
                jQueryMap.content.emptyTip.hide();
                jQueryMap.content.channelWrap.html(htmlStr);               
            }else{
            	jQueryMap.content.emptyTip.show();
			}
            //遮罩层去掉
            myUtils.hideLayer($page);
		});
}

     // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.channelWrap.html("");
    	$page.find("#channelName").scrollLeft("0");
    	$page.find(".bd_t10").scrollLeft("0");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
