define("financial/scripts/subject/count/signChannelDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_signChannelDetail");
    var _pageId = "#subject_count_signChannelDetail "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    var scrollJudge = true;//判断是否到底可以滑动?
    var dateStrArray = [];
    var dayCustomerCount = [];
    var validCustomerCount = [];
    var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";     
    //month=yyyy-mm
    var month = "";
    var page = "1";
    var channelId;
    var dHeight =0;
	var aHeight =0;
	var oTop =0;
	var trHeight =0;
	var sTop =0;
	var monthData = [];  //接收月份
    var width;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });
        
        //升序降序 0升序降序
        $.preBindEvent($page,"dt th",function(){
            var $this=$(this);
            if(!$this.find("span").attr("data_order")){
                return false;
            }
            if($this.hasClass("act")){
                orderBy=$this.find("span").attr("data_order");
                $this.find("em").each(function(index,domEle){
                    if($(this).hasClass("act")){
                        $(this).removeClass("act");
                    }else{
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }else{
                orderBy=$this.find("span").attr("data_order");
                $this.addClass("act").siblings().removeClass("act");
                $this.siblings().find("em").removeClass("act");
                $this.find("em").each(function(index,domEle){
                    if(index==1){
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }
            //加载转圈
            myUtils.loadService($page);
            $(_pageId+"#channelWrap").html("");
            page = "1";
            dbPageCustList();
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            //加载转圈
            myUtils.loadService($page);
            $(_pageId+"#channelWrap").html("");
            $(_pageId+"#notData").hide();
            page = "1";
            queryCustomer();          
            dbPageCustList();
        });

        //点击客户列表跳转到客户详情
        $.preBindEvent(jQueryMap.content.channelWrap, "tr", function(){
            var custId = $(this).attr("data-custId");
            var relationState = $(this).attr("data-state");
            if(!custId){
            	return ;
            }
            if(relationState == "0"){
            	$.toast("主人：客户为独立客户，暂无查看该客户信息权限！");
            	return ;
            }
            $.setSStorageInfo("custId",custId);
            $.setSStorageInfo("customerType","2");
            $.pageInit("subject/count/custChannelDetail","customer/detail/customerDetail");

        });

        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge = false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                    	dbPageCustList();
                    },600);
                }
        	}
        },"scroll");

    }

    function destroy() {
    	$(_pageId+".page_box")[0].scrollTop = 0;
        //去掉加载转圈
        myUtils.hideLoadService($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "rank": $page.find("#rank"),
                "hiddenList": $page.find("#hiddenList")
            },

            "content": {
                //图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "zoushi"      : $page.find("#zoushi"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
                "signChanChart": $page.find("#signChanChart"),
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "changeText"  : $page.find("#changeText"),

                "signNum" : $page.find("#signNum"),
                "assetNum" : $page.find("#assetNum"),

                "channelWrap" : $page.find("#channelWrap"),
                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            },
            "footer":{
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {      
        width = parseFloat($(_pageId+".page_box").width());
        $(_pageId+"#signChanChart").css("width",width);
        myUtils.showLayer($page);
        //查询客户列表（含有邮箱）
        channelId = $.getPageParam("channelId");
        var channelName = $.getPageParam("channelName");
        $page.find("#title").html(channelName);
        actionType = $.getSStorageInfo("actionType");
        if(actionType == "0"){
    		jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
    	}else if(actionType == "1"){
    		jQueryMap.content.selectDate.find("#monthBox").addClass("current").siblings().removeClass("current");
    	}else{
    		jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
    	}
        orderBy = "0";
        byType = "1";
        $(_pageId+"#channelWrap").html("");
        $(_pageId+"#notData").hide();
        page = "1";
        $(_pageId + "dt th").removeClass("act").find("em").removeClass("act");
        queryCustomer();
        dbPageCustList();
    }

    function queryCustomer(){
    	$(_pageId+".page_box")[0].scrollTop = 0;
        actionType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param = {
            "userId"        :  model.dataStore.userId,
            "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
            "month"         : month,
            "channelId"     : channelId,  //0 日(day)、1月(month)、2年(year),默认为日
            "dataKind"      : "0"    //查询数据类型  0、走势图  1、人员信息列表
        };
        service.getNewSignChanInfo(param, function(result){      	
            jQueryMap.content.assetNum.html(result.dataRow[0].asset=="0" ? "0" : myUtils.changeUtil(result.dataRow[0].asset));
            jQueryMap.content.signNum.html(result.dataRow[0].sign ? result.dataRow[0].sign :"0");
            dateStrArray = [];
            dayCustomerCount = [];
            jQueryMap.content.zoushi.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"签约客户数走势");           
            if(actionType != "0" && result.stitchMapList.length>0){
                jQueryMap.content.signChanChart.html("");
                //显示上面的走势图
                queryCustViewList(result.stitchMapList);
            }else if(actionType != "0"){
                jQueryMap.content.signChanChart.html("暂无数据");
                jQueryMap.content.signChanChart.css({"text-align":"center","line-height":"160px"});
            }
        });
    }
    function queryCustViewList(chartResult){       
        for (var i = 0, len = chartResult.length; i < len; i++) {
        	actionType == 2 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);            	
            dayCustomerCount[i] = parseInt((chartResult[i].signedCustomerCount ? chartResult[i].signedCustomerCount : "0"));
        } 
        $(_pageId+"#signChanChart").css("width",width);
        myUtils.echartPaint($(_pageId+"#signChanChart"),dateStrArray,dayCustomerCount,"line","签约客户数 ","人");
    }
    
    //分页数据加载
    function dbPageCustList(){
       var param={
    		   "userId"        :  model.dataStore.userId,
               "actionType"    : actionType,  //0 日(day)、1月(month)、2年(year),默认为日
               "month"         : month,
               "channelId"     : channelId,  //0 日(day)、1月(month)、2年(year),默认为日
               "dataKind"      : "1"   , //查询数据类型  0、走势图  1、人员信息列表
               "pageIndex"     :  page   ,  ///pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
               "pageSize"	   : "20"  ,    //每页大小
               "orderBy"       : orderBy,
               "byType"        : byType
           };
       service.getNewSignChanInfo(param,function (results) {   
    	 //获取总页数
      	  totalPages = results[0].totalPages;
	  	  /*if(page == totalPages && totalPages != 0){
	  		    jQueryMap.content.emptyData.show();
	  	  }else{
	  	 	    jQueryMap.content.emptyData.hide();
	  	  }  */
          if (page == "1") {
	            $(_pageId+"#channelWrap").html("");
	      }
	      if(results[0].data.length > 0){
	    	    $(_pageId+"#notData").hide();
	    	    var data=results[0].data;
	    	    var htmlStr = "";
                for(var i=0; i<data.length; i++){
                	htmlStr += '<tr data-custId="'+data[i].custId+'" data-state="'+data[i].relationState+'"><td style="width:20%">'+data[i].dateTime+'</td><td style="width:20%">' + data[i].name + '</td><td style="width:35%"><span class="fc_brown">' +myUtils.changeUtil(data[i].assets)+ '</span></td><td style="width:25%"><span class="fc_brown">' + data[i].commRate + '</span></td></tr>';
                }  
                $(_pageId + "#channelWrap").append(htmlStr);	    	    
                 jQueryMap.content.loadIcon.hide();
                 scrollJudge =true;
	       }else{      		 
	    	   $(_pageId+"#notData").show();
	       }
           //去掉加载转圈
           myUtils.hideLoadService($page);
           //遮罩层去掉
           myUtils.hideLayer($page);
           width = parseFloat($(_pageId+".page_box").width());
           $(_pageId+"#signChanChart").css("width",width);
       });
     }
    
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }
    
    // 重置页面元素
    function cleanPageElement() {
        myUtils.showLayer($page);
        actionType = "0";
        month = "";
        paintState = "0";
        jQueryMap.content.emptyData.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        jQueryMap.content.followCustomerCount.parent().addClass("hide").siblings().removeClass("hide");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
