define("financial/scripts/subject/count/signDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("echarts");
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_signDetail");
    var _pageId = "#subject_count_signDetail "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    var monthData = [];  //接收月份
    var dateStrArray = [];
    var signNum = [];
    var dataValue = [];
    var scrollJudge = true;//判断是否到底可以滑动?
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";
    //month=yyyy-mm
    var month = "";
    var page ="1";
    var width;
    var totalPages = 0;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

}
    function load() {
        initPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
            myUtils.showLayer($page);
            $.pageBack("");
        });
        
        //点击进入产品签约详情页面
        $.preBindEvent(jQueryMap.content.custList, "tr", function(){
        	var productNo = $(this).attr("data_proid");
        	var productName = $(this).find("strong").html();
        	$.pageInit("subject/count/signDetail", "subject/count/signDetailInfo",{"productNo":productNo,"productName":productName});
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1"; 
            	queryCustomer();
            	page = "1";
//                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            $page.find("#custList").html("");
            $(_pageId+"#notData").hide();
            page = "1";
            queryCustomer();
//            dbPageCustList();
        });
        
        /*//滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	sTop = $(this).scrollTop();
			if(sTop>(oTop-(dHeight-aHeight)+trHeight)){
				jQueryMap.header.hiddenList.show();
			}else{
				jQueryMap.header.hiddenList.hide();
			}
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                    	dbPageCustList();
                    },600);
                }
        	}         
        },"scroll");*/
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "hiddenList": $page.find("#hiddenList")
            },
            "content": {
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
                "noChannel": $page.find(".no_channel"),
                "signDetailChart" : $page.find("#signDetailChart"),
                "signChart": $page.find("#signChart"),
                "changeText": $page.find("#changeText"),
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),

                //文字滑动搜索
                "addedIncome"    : $page.find("#addedIncome"),
                "custList"  : $page.find("#custList"),
                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function destroy() {
        service.destroy();
    }

    function initPage() {
    	width = parseFloat($(_pageId+".page_box").width());
        $(_pageId+"#signChart").css("width",width);
        $(_pageId+"#signDetailChart").css("width",width);
        myUtils.showLayer($page);
        actionType = $.getSStorageInfo("actionType");
        if(actionType == "0"){
    		jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
    	}else if(actionType == "1"){
    		jQueryMap.content.selectDate.find("#monthBox").addClass("current").siblings().removeClass("current");
    	}else{
    		jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
    	}
        $page.find("#custList").html("");
        $(_pageId+"#notData").hide();
        page = "1";
        queryCustomer();
//        dbPageCustList();
    }

    function queryCustomer(){
    	$(_pageId+".page_box")[0].scrollTop = 0;
        actionType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param={
            "userId"     : model.dataStore.userId,
            "actionType" : actionType,   // //0 日(day)、1月(month)、年(year),默认为日
            "month"	     : month        //按月份查询（yyyy-MM）
        };
        service.querySignDetail(param,function(result){
            var addedIncome = result.dataRow[0].addedIncome == 0 ? "0" :(myUtils.changeUtil(result.dataRow[0].addedIncome));
            jQueryMap.content.addedIncome.html(addedIncome);
            dateStrArray = [];
            signNum = [];
            //折线图
            if(actionType != "0" && result.stitchMapList.length>0){
                jQueryMap.content.signChart.html("");
                //显示上面的走势图
                queryCustList(result.stitchMapList);
            }else if(actionType != "0"){
            	jQueryMap.content.changeText.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"总增值收入走势");
                jQueryMap.content.signChart.html("暂无数据");               
                jQueryMap.content.signChart.css({"text-align":"center","line-height":"150px"});
            }

            dataValue = [];
            //饼状图
            if(result.pieChartData.length>0){
            	jQueryMap.content.signDetailChart.show();
            	jQueryMap.content.noChannel.hide();
                jQueryMap.content.signDetailChart.html("");
                pieChats(result.pieChartData);
            }
            else{
            	 jQueryMap.content.signDetailChart.hide();
            	 jQueryMap.content.noChannel.show();
            }
            
            //现在不分页展示
	       	if(result.dbPage.length > 0){
	       		 $(_pageId+"#notData").hide();
	       		 for (var i = 0; i < result.dbPage.length; i++) {
	       			 var htmlStr ='<tr data_proid = "'+result.dbPage[i].productNo+'"><td><strong>' + result.dbPage[i].productName + '</strong><small></small></td><td><span class="fc_brown">' + result.dbPage[i].signedCustomerCount + '</span></td><td>' + result.dbPage[i].followCustomerCount + '</td><td>' + myUtils.changeUtil(result.dbPage[i].addedIncome) + '</td></tr>';
	                 $page.find("#custList").append(htmlStr);
	       		 }
	       	 }else{
	       		 $(_pageId+"#notData").show();
	       	 }
	         //遮罩层去掉
	         myUtils.hideLayer($page);      
        });
    }
    //折线图
    function queryCustList(chartResult){     
        for (var i = 0, len = chartResult.length; i < len; i++) {
        	actionType == 2 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);
        	signNum[i] = chartResult[i].sign ? chartResult[i].sign : "0";
        }
        jQueryMap.content.changeText.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"签约客户数走势");
        $(_pageId+"#signChart").css("width",width);
        myUtils.echartPaint($(_pageId+"#signChart"),dateStrArray,signNum,"line","签约数","人");
    }
    //饼状图
    function pieChats(result) {
        for (var i = 0; i < result.length; i++) {
            var value={};
            value.value = myUtils.changeUtil(result[i].addedIncome);
            value.name = result[i].subjectName;
            dataValue.push(value);
        }
        $(_pageId+"#signDetailChart").css("width",width);
        totalAssetChart(dataValue);
    }
    
   /* //分页数据上拉加载
    function dbPageCustList(){
        var param={
        		"userId"     : model.dataStore.userId,
                "actionType" : actionType,   // //0 日(day)、1月(month)、年(year),默认为日
                "month"	     : month,        //按月份查询（yyyy-MM）
                "dataKind"   : "1"  ,  //查询数据类型  0、走势图  1、人员信息列表
                "pageIndex"  : page ,          //pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
                "pageSize"	 : "20"      //每页大小
            };
        service.querySignDetail(param,function (results) {  
        	     
        });
    }*/
    
    //净资产绘图  饼状图
    function totalAssetChart(data) {
        // 设置曲线图父元素的固定高度
        var myChart = echarts.init($("#signDetailChart")[0]);
        option = {
            title : {
                text: '',
            },
            tooltip : {
                trigger: 'item',
                formatter: "{a} <br/>{c} ({d}%)"
            },
            legend: {
                orient : 'horizontal',
                x : 'right',
                y : 'bottom',
                selectedMode:false,
                data:data ,
            },
            toolbox: {
                show : true,
                feature : {
                    mark : {show: true},
                    dataView : {show: true, readOnly: false},
                    magicType : {
                        show: true,
                        type: ['pie', 'funnel'],
                        option: {
                            funnel: {
                                x: '25%',
                                width: '50%',
                                funnelAlign: 'left',
                                max: 1548
                            }
                        }
                    },
                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            series : [
                {
                    name: '签约总增值收入',
                    type:'pie',
                    radius : '30%',
                    center: ['50%', '50%'],
                    data:data
                }
            ]
        };
        myChart.setOption(option);
    }
	
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
    	$page.find("#custList").html("");
        myUtils.showLayer($page);
        actionType = "0";
        month = "";
        jQueryMap.content.loadIcon.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
