define("financial/scripts/subject/message.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_message");

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {


        // 滑动搜索
        var objs = jQueryMap.content;
        myUtils.swipeToSearch(objs.letterBox, objs.customerList, objs.tipBox, ">h3", objs.contentSwipe, "140");

        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //
        //搜索框
        $.bindEvent(jQueryMap.header.search,function(){
            $.pageInit("subject/email", "subject/subjectSearch");
        });

        //切换筛选的系统标签
        $.bindEvent(jQueryMap.content.system, function () {
            $(this).addClass("act").siblings().removeClass("act");
            jQueryMap.content.systemTab.show();
            jQueryMap.content.defindedTab.hide();
        });
        //切换筛选的自定义标签
        $.bindEvent(jQueryMap.content.definded, function () {
            $(this).addClass("act").siblings().removeClass("act");
            jQueryMap.content.defindedTab.show();
            jQueryMap.content.systemTab.hide();
        });
        //切换筛选的存量客户标签
        $.bindEvent(jQueryMap.content.customed, function () {
            $(this).addClass("act").siblings().removeClass("act");
            jQueryMap.content.customedTab.show();
            jQueryMap.content.customingTab.hide();
        });
        //切换筛选的潜在客户的标签
        $.bindEvent(jQueryMap.content.customing, function () {
            $(this).addClass("act").siblings().removeClass("act");
            jQueryMap.content.customingTab.show();
            jQueryMap.content.customedTab.hide();
        });

        // 展开筛选页面
        $.bindEvent(jQueryMap.header.filterBtn, function () {
            moveTo("in");
            cleanPageElement();
        });

        //点击立即添加
        $.bindEvent(jQueryMap.content.addEmailer, function () {
            $.pageInit("subject/email","customer/detail/customerAdd");
        });

        //点击邮件立即分享
        $.bindEvent(jQueryMap.content.emailShare, function () {
            //moveTo("out");
            toggleLayerArea("show", jQueryMap.layerArea.emailWrapper);
        });

        // 点击确定发送邮件
        $.bindEvent(jQueryMap.content.emailSend, function () {
            var targetEmail = jQueryMap.content.targetEmail.val().trim();
            if (!validatorUtils.isEmail(targetEmail)) {
                $.alert("请输入有效的邮箱");
                return false;
            }
            //sendEmail(targetEmail, link);
        });

        //点击取消
        $.bindEvent(jQueryMap.content.emailCancel, function () {
            toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
        });

        //点击阴影部分弹框隐藏
        $.bindEvent(jQueryMap.content.filterWrapper, function () {
            moveTo("out");
        });


    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "filterBtn": $page.find("#filter_btn"),
                "search"    : $page.find("#search")

            },
            "content": {
                "noCustomer" : $page.find("#noCustomer"),
                "customerList" : $page.find("#customerList"),
                "emailShare" : $page.find("#emailShare"),
                "addEmailer" : $page.find("#addEmailer"),

                //页面旁边的标签页
                "system": $page.find("#system"),
                "definded": $page.find("#definded"),
                "systemTab": $page.find("#systemTab"),
                "defindedTab": $page.find("#defindedTab"),

                "customed": $page.find("#customed"),
                "customing": $page.find("#customing"),
                "customedTab": $page.find("#customedTab"),
                "customingTab": $page.find("#customingTab"),

                //文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "customerList"           : $page.find("#customerList"),

                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),


                "targetEmail"  : $page.find("#targetEmail"),
                "emailSend"    : $page.find("#email_send"),
                "emailCancel"  : $page.find("#email_cancel")
            },
            "footer":{
                "noTip" : $page.find("#noTip"),
                "choose" : $page.find("#choose"),
                "checkShow" : $page.find("#checkShow")
            },
            "layerArea" : {

                "emailWrapper" : $page.find("#emailWrapper")

            }
        };
    }

    function initPage() {
        cleanPageElement();
        //查询客户列表（含有邮箱）
        //queryCustomer();
    }

    function queryCustomer(){
        service.queryCustomerList({},function(result){
            if(result.length>0){
                showCustomer(result);

            }else{
                jQueryMap.content.noCustomer.show();
                jQueryMap.footer.noTip.show();
            }
        //遮罩层去掉
        //myUtils.cancelLayer($page);
    });
    }
    //<h3>B</h3>
    //<ul class="cust_list">
    //    <li data-custId='" + item.custId + "'><em class='check_box'><input type='checkbox' value='' /></em><img src='../../images/add_lhd04.png'><div class='lbox_txt'><strong>" + item.name + "</strong><small>" + item.email + "</small></div></li>
    //</ul>
    //展示客户列表
    function showCustomer(results){
        var htmlStr = "";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += "<h3 data-letter='" + letter + "'>" + letter + "<h3><ul class='cust_list'>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    htmlStr += " <li data-custId='" + item.custId + "'><em class='check_box'><input type='checkbox' value='' /></em><img src='../../images/add_lhd04.png'><div class='lbox_txt'><strong>" + item.name + "</strong><small>" + item.email + "</small></div></li>";
                });
                htmlStr += "</ul>";
            });
            jQueryMap.content.customerList.html(htmlStr).show();
            jQueryMap.footer.checkShow.show();
        });
    }

    // 发送邮件
    function sendEmail(targetEmail, emailContent) {
        // todo 补充产品描述
        service.sendEmail({
            "staffId"     : model.dataStore.staffId,
            "email"       : targetEmail,
            "emailSub"    : "分享" + currBusiObj.productName,
            "emailContent": "【" + currBusiObj.productName + "】，点击链接 " + emailContent
        }, function () {
            $.toast("发送邮件成功！");
            jQueryMap.content.targetEmail.val("");
            toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
        });
    }

    // 滑出/收起筛选页面
    function moveTo(type1, callback) {
        var speed = 350;
        var outCssObj = {
            "transform" : "translate3d(3.8rem,0,0)",
            "transition": "all " + speed + "ms"
        };
        var inCssObj = {
            "transform" : "translate3d(0,0,0)",
            "transition": "all " + speed + "ms"
        };

        if (type1 === "in") {
            jQueryMap.content.filterWrapper.show();
            // 获取高度，让浏览器立即渲染上面设置的样式;
            jQueryMap.content.filterWrapper.height();
            jQueryMap.content.filterSlideBar.show();
            jQueryMap.content.filterSlideBar.css(inCssObj);
        } else {
            jQueryMap.content.filterSlideBar.css(outCssObj);
            jQueryMap.content.filterWrapper.hide();
            setTimeout(function () {
                if (callback) callback();
                jQueryMap.content.filterSlideBar.hide();
            }, speed * 0.5);
        }
    }

    // 切换弹出层的显示状态
    // type: hide:隐藏  show：显示(为show时必须传$showDom)
    function toggleLayerArea(type, $showDom) {
        // 隐藏所有弹框层
        $.each(jQueryMap.layerArea, function (key, $thisDom) {
            if ($thisDom.is(":visible")) {
                $thisDom.fadeOut("fast");
            }
        });

        if (type === "show") {
            $showDom.fadeIn("fast");
        }
    }
    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.systemTab.addClass("act").siblings().removeClass("act");
        jQueryMap.content.customedTab.addClass("act").siblings().removeClass("act");
        jQueryMap.content.systemTab.show();
        jQueryMap.content.defindedTab.hide();
        jQueryMap.content.customedTab.show();
        jQueryMap.content.customingTab.hide();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
