define("financial/scripts/subject/subjectParam.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var currSubObj;
    var currSubId;     // 当前产品ID
    var paramResults;    // 产品参数结果集
    var resultsMap = {}; // 参数类型为5的数据字典结果集
    var $page = $("#subject_subjectParam");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 滑动搜索
        var objs = jQueryMap.content;
        myUtils.swipeToSearch(objs.letterBox, objs.branchList, objs.tipBox, ">div", objs.branchList);

        // 隐藏或显示相应的弹出层
        $.bindEvent(jQueryMap.content.preBindDom, function (e) {
            var className = e.target.className;
            var $target = $(e.target);
            var id = $target.is("div[id^='select_']") ? e.target.id : $target.parent().attr("id");
            var $showDom;
            var paramKey;

            if (hasClass()) {
                toggleLayerArea("hide");

                // 如果是去“取消选择”按钮，则清空已选值
                if (className === "right") {
                    // 为营业部
                    var $boxDom;
                    var $divDom;
                    if ($target.next().is("#branch_list")) {
                        $boxDom = $target.next();
                        $divDom = $page.find("#select_branch_no");
                    } else {
                        $boxDom = $target.parent().next();
                        $divDom = $page.find("#select_" + $boxDom.attr("data-paramKey"));
                    }
                    $boxDom.find("li.active").removeClass("active");
                    $divDom.attr("data-itemValue", "").find("input").val("");
                }
            } else if ($target.is("div[id^='select_']") || $target.closest("div[id^='select_']").length > 0) {
                // paramKey中可能包含下划线(_)，所以不能用split
                paramKey = id.replace(/^select_/, "");
                $showDom = jQueryMap.layerArea[paramKey + "Area"];
                // 当为经纪人时，不允许修改营业部
                if ($showDom && $showDom.attr("data-isOnly") !== "true") {
                    toggleLayerArea("show", $showDom);
                }
            }

            function hasClass() {
                var classArr = ["layer_wrap2", "right"];
                var i = 0;
                var len = classArr.length;
                for (; i < len; i++) {
                    if (className.indexOf(classArr[i]) > -1) {
                        return true;
                    }
                }
                return false;
            }
        });

        // 选择相应的选项
        $.preBindEvent(jQueryMap.content.preBindDom, ".layer_wrap2 .sel_list ul li", function () {
            var $this = $(this);
            var $ulDom = $this.parent();
            var paramKey = $ulDom.attr("data-paramKey");
            var $divDom = $page.find("#select_" + paramKey);
            // 调整选择样式
            $this.addClass("active").siblings(".active").removeClass("active");
            // 参数弹出层
            $divDom
                .attr("data-itemValue", $this.attr("data-itemValue"))
                .find("input").val($this.find("span").text());
            // 隐藏弹出层
            toggleLayerArea("hide");
        });

        // 选择营业部
        $.preBindEvent(jQueryMap.content.branchList, "ul li", function () {
            var $this = $(this);
            var $divDom = $page.find("#select_branch_no");
            // 调整选择样式
            jQueryMap.content.branchList.find("li.active").removeClass("active");
            $this.addClass("active");
            // 参数弹出层
            $divDom
                .attr("data-itemValue", $this.attr("data-itemValue"))
                .find("input").val($this.text());
            // 隐藏弹出层
            toggleLayerArea("hide");
        });

        // 点击确认按钮
        $.bindEvent(jQueryMap.footer.confirmBtn, function () {
            // 验证通过返回包含所有参数的object，不通过就返回false， 一个参数都未选择就paramValues为空串的对象
            var planParam = validateParam();
            if (planParam) {
                // 保存本次的选择记录(按产品分类保存)
                saveSelectRecord(planParam);
                $.pageInit("product/selectParam", "product/toPromote", planParam);
            }
        });
    }

    function destroy() {
        // 隐藏弹出层
        toggleLayerArea("hide");
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"    : $page.find("#mktGoBack"),
                "busiName": $page.find("#busi_name")
            },
            "content": {
                "preBindDom": $page.find("section"),
                "contentBox": $page.find("article.content"),
                "tipBox"    : $page.find("#tip_box"),
                "branchList": $page.find("#branch_list"),
                "letterBox" : $page.find("#letter_box")
            },
            "footer" : {
                "confirmBtn": $page.find("#confirm_btn"),
                "footerBox" : $page.find("footer")
            },

            "layerArea": {
                "branch_noArea": $page.find("#branch_noArea")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        currSubObj = JSON.parse($.getSStorageInfo("currSubObj"));
        currSubId = currSubObj.productId;
        jQueryMap.header.busiName.text(currSubObj.productName);

        // 获取产品参数信息
        getBusinessParam();
    }

    // 获取产品参数信息
    function getBusinessParam() {
        service.getSubjectParam({"productId": currSubId}, function (results) {
            paramResults = results;
            //var num = 0;      // 需要查数据字典的个数
            //var doneNum = 0;  // 调用成功的个数

            $.each(paramResults, function (index, item) {
                    var paramSub = parseInt(item.paramSub);
                    // paramType为5，表示该参数需要从数据字典中查询详细信息
		            var asynFlag = false;
                    if (paramSub === 5) {
                        //num++;
                        //enumType
                        service.getDataDict({"enumType": item.paramKey}, function (results) {
                            //doneNum++;
                            resultsMap[item.paramKey] = results;
                            asynFlag = true;
                        }, function (error_no, error_info) {
                            //doneNum++;
                            $.toast(error_info);
		             },{isAsync:false});
 }
                    if(asynFlag&&item.curParamValue!=null&&item.curParamValue!=undefined){
                    	var arr=resultsMap[item.paramKey];
                    	for (var i = 0; i < arr.length; i++) {
                    		if(arr[i].itemValue==item.curParamValue){
                    			item.curParamValue=arr[i].itemName;
                    			break;
                    		}
						}
                    }
                //}
            });
            // 显示产品方案参数信息
            showParamInfo();
            //// 判断是否已获取了全部的数据字典信息
            //var handle = setInterval(function () {
            //    if (doneNum === num) {
            //        window.clearInterval(handle);
            //
            //        // 显示产品方案参数信息
            //        showParamInfo();
            //    }
            //}, 50);

        });
    }

    // 显示产品方案参数信息
    function showParamInfo() {
        //var paramTypeArray = ["int", "float", "string", "boolean", "custom"];
        // 清空所有参数的弹出层
        jQueryMap.layerArea.branch_noArea.nextAll().remove();
        // 重置jQueryMap.layerArea
        jQueryMap.layerArea = {"branch_noArea": $page.find("#branch_noArea")};

        var htmlStr = "";
        var htmlStr1= "";
        $.each(paramResults, function (index, item) {
            //固定值的显示在最后面，非固定值的显示在前面curParamValue为空的为非固定值
            if(item.curParamValue!=''){
                htmlStr1+= "<div data-isNeed='"+item.isNeed+"' data-curParamValue='" + item.curParamValue + "' data-paramType='" + item.paramType + "' data-paramSub='" + item.paramSub + "' data-paramKey='" + item.paramKey +
                    "' class='select_box'><h4>" + item.paramName + "</h4>" +
                    "<div class='plan_input'><input type='text' value='"+item.curParamValue+"' readonly='readonly'></div></div>";
            }else {
                var paramSub = parseInt(item.paramSub);
                if (paramSub < 5) {
                    htmlStr += "<div data-isNeed='"+item.isNeed+"' data-curParamValue='" + item.curParamValue + "' data-paramType='" + item.paramType + "' data-paramSub='" + item.paramSub + "' data-paramKey='" + item.paramKey +
                        "' class='select_box'><h4><span>" + item.paramName + "</span>" + isNeedTag(item.isNeed)+ "</h4>" +
                        "<div class='plan_input'><input type='text' " +
                        "placeholder='请输入" + item.paramName + "' maxlength='20'></div></div>";
                } else if (paramSub === 5) {
                    htmlStr += "<div data-isNeed='"+item.isNeed+"' style data-curParamValue='" + item.curParamValue + "' data-paramSub='" + item.paramSub + "' data-paramKey='" + item.paramKey +
                        "' class='select_box'><h4><span>" + item.paramName +"</span>" +isNeedTag(item.isNeed)+ "</h4>" +
                        "<div id='select_" + item.paramKey + "' class='plan_input arrow'>" +
                        "<input type='text' placeholder='请选择" + item.paramName + "' readonly='readonly'></div></div>";

                    // 生成相应的弹出层(营业部使用带滑动搜索的选择框，不用一般的选择框)
                    if (item.paramKey === "branch_no") {
                        if ($.getSStorageInfo("staffType") === "1") {
                            // 当经纪人属于多个营业部时，填充这些营业部
                            insertBranchListOfBroker();
                        } else {
                            // 填充营业部列表
                            insertBranchList(resultsMap[item.paramKey]);
                        }
                    } else {
                        createLayerArea(item.paramKey, item.paramName, resultsMap[item.paramKey]);
                    }
                }
            }
        });

        function isNeedTag(data){
        	if(data == '1'){
        		return "<span style='color:red'> * </span>";
        	}
        	return "";
        }
        
        
        // 先清空原有的参数项，然后再填充新的参数项
        htmlStr = htmlStr + htmlStr1;
        jQueryMap.content.contentBox.html(htmlStr);

        // 是经纪人自动填充经纪人编号和营业部，且不可修改
        // staffType 1：经纪人（员工）
        if ($.getSStorageInfo("staffType") === "1") {
            autoInsertParam();
        } else {
            // 取消经纪人编号和营业部的禁止修改标识
            $page.find("div.select_box[data-paramKey='recommend_no'] input")
                .removeAttr("readonly", "readonly");
            $page.find("#select_branch_no").addClass("arrow");
            jQueryMap.layerArea.branch_noArea.removeAttr("data-isOnly");
        }

        // 填充上一次选择的参数(相同的产品)
        insertLastSelect();
    }

    // 当经纪人属于多个营业部时，填充这些营业部
    function insertBranchListOfBroker() {
        service.getBranchListOfBroker({
            "staffId": model.dataStore.staffId
        }, function (results) {
            if (results.length > 1) {
                // 填充营业部列表
                insertBranchList(results);
                // 取消禁止选择
                setTimeout(function () {
                    jQueryMap.layerArea.branch_noArea.removeAttr("data-isOnly");
                    $page.find("#select_branch_no").addClass("arrow");
                }, 500);
            }
        });
    }

    // 填充营业部列表
    function insertBranchList(results) {
        var htmlStr = "";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += "<div data-letter='" + letter + "' class='yyb_list'><i>" + letter + "</i><ul>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    var itemValue = item.itemValue || item.branchNo;
                    var itemName = item.itemName || item.branchName;
                    htmlStr += "<li  data-itemValue='" + itemValue + "'>" + itemName + "</li>";
                });
                htmlStr += "</ul></div>";
            });
            jQueryMap.content.branchList.html(htmlStr);
        });
    }

    // 生成一个弹出层
    function createLayerArea(paramKey, paramName, paramArr) {
        var htmlStr = "<div id='" + paramKey + "Area" + "' class='layer_wrap2' style='display: none'>" +
            "<div class='sel_list' style='transform : translate3d(0,8rem,0);'><div class='sel_info'>" +
            "<h5 class='text-center'>请选择" + paramName + "</h5>" +
            "<a href='javascript:void(0)' class='right'>取消选择</a></div><ul data-paramKey='" + paramKey + "'>";

        $.each(paramArr, function (index, obj) {
            htmlStr += "<li data-itemValue='" + obj.itemValue + "'>" +
                "<span>" + obj.itemName + " </span></li>";
        });

        htmlStr += "</ul></div></div>";
        // 向页面中加入弹出层，同时缓存到jQueryMap中
        jQueryMap.layerArea[paramKey + "Area"] = $(htmlStr).insertAfter(jQueryMap.layerArea.branch_noArea);
    }

    // 填充经纪人编号和营业部，并使其不可修改（如果存在这两个参数的话）
    // recommendno ：经纪人编号  (产品参数字段)
    // branch_no   ：营业部编号  (产品参数字段)
    function autoInsertParam() {
        // 经纪人编号
        var merStaffId = $.getSStorageInfo("merStaffId");
        var branchNo = $.getSStorageInfo("branchNo");
        var branchName = $.getSStorageInfo("branchName");
        // 填充经纪人编号
        $page.find("div.select_box[data-paramKey='recommend_no'] input")
            .val(merStaffId)
            .attr("readonly", "readonly");

        // 填充营业部信息
        $page.find("#select_branch_no")
            .removeClass("arrow")
            .attr("data-itemValue", branchNo)
            .find("input").val(branchName);
        // 设置标识，禁止修改营业部
        if (jQueryMap.layerArea["branch_noArea"]) {
            jQueryMap.layerArea["branch_noArea"].attr("data-isOnly", "true");
        }
    }

    // 验证参数
    // 验证通过返回所有参数，不通过就返回false
    // 一个参数都未选择就返回0
    function validateParam() {
        var paramArr = [];
        var tipArr = [];
        var $divDoms = jQueryMap.content.contentBox.find(">div.select_box");
        //var paramTypeArray = ["int", "float", "string", "boolean", "custom"];
        var errorNum = 0;
        var errorInfo = [];
        var len = $divDoms.length;

        for (var i = 0; i < len; i++) {
            var $this = $divDoms.eq(i);
            var paramSub = $this.attr("data-paramSub");
            var paramKey = $this.attr("data-paramKey");
            //看一下是否是必填
            var isNeed = $this.attr("data-isNeed");
            var paramValue = "";
            var tipInfo = $this.find("h4>span:first").text();
            var inputVal = $this.find("input").val().trim();
            // 多选
            var selectLen = $this.has("div[id^='select']").length;
            if( isNeed == "1"){
                if ( selectLen > 0) {
                    paramValue = $this.find("div[id^='select']").attr("data-itemValue");
                    if (!paramValue) {
                        errorInfo[errorNum] = "请选择" + tipInfo + "!";
                        //errorNum++;
                        $.toast(errorInfo[errorNum]);
                        return;
                    }

                } else {  // input 输入框
                    paramValue = inputVal;
                    if (!paramValue) {
                        errorInfo[errorNum] = "请输入" + tipInfo + "!";
                        //errorNum++;
                        $.toast(errorInfo[errorNum]);
                        return;
                    }
                }
            }
            if( selectLen < 0){
                if ((paramSub === "1" || paramSub === "2") && !$.isNumeric(paramValue)) {
                    $.toast("格式错误，" + tipInfo + "应为数字");
                    $this.find("input").val("");
                    return false;
                }
                if (paramSub === "3" && /[&=]/.test(paramValue)) {
                    $.toast("格式错误，" + tipInfo + "中不能包含#和&这两个字符");
                    $this.find("input").val("");
                    return false;
                }
            }

            // 只拼接有值的选项
            if (paramValue) {
                paramArr.push(paramKey + "=" + paramValue);
                tipArr.push(tipInfo + "：" + inputVal);
            }
        }
        var agentNo = $page.find('div[data-paramkey="recommend_no"] .plan_input>input'); 
        var flag2 = true; 
        if(agentNo!=undefined && agentNo!=null && agentNo.length!=0){
        	agentNo = agentNo.val();
        	service.validateStaffNo({'agentNo':agentNo},function(data){
        		if(data.length>0&&data[0].isTrue==0){
        			 $.toast("经纪人编号错误，不存在"+agentNo+"经纪人编号");
        			 flag2= false;
        		}
            },null,{isAsync:false})
        }

        if(!flag2){
        	return false;
        }
        
        $.setSStorageInfo("selectParamTipStr", tipArr.join("，"));

        return {
            "paramValues": paramArr.join("&")
        }
    }

    // 切换弹出层的显示状态
    // type: hide:隐藏  show：显示(为show时必须传$showDom)
    function toggleLayerArea(type, $showDom) {
        var speed = 350;
        var outCssObj = {
            "transform" : "translate3d(0,8rem,0)",
            "transition": "all " + speed + "ms"
        };
        var inCssObj = {
            "transform" : "translate3d(0,0,0)",
            "transition": "all " + speed + "ms"
        };

        // 隐藏所有弹框层
        $.each(jQueryMap.layerArea, function (key, $thisDom) {
            var $childDom = $thisDom.children();
            if ($thisDom.is(":visible")) {
                $childDom.css(outCssObj);
                $thisDom.fadeOut("fast");
            }
        });

        if (type === "show") {
            var $childDom = $showDom.children();
            $showDom.show().height();
            $childDom.css(inCssObj);
        }
    }

    // 保存本次的选择记录(按产品分类保存)
    function saveSelectRecord(obj) {
        var recordMap;
        if (!obj.paramValues) {
            recordMap = null;
        } else {
            recordMap = {"inputValueArr": [], "selectValueArr": []};
            jQueryMap.content.contentBox.find(">div.select_box").each(function () {
                var $this = $(this);
                var paramKey = $this.attr("data-paramKey");
                var inputVal = $this.find("input").val().trim();
                if (inputVal) {
                    // 多选
                    if ($this.has("div[id^='select']").length > 0) {
                        recordMap.selectValueArr.push({
                            "paramKey": paramKey,
                            "value"   : $this.find("div[id^='select']").attr("data-itemValue"),
                            "name"    : inputVal
                        });
                    } else {  // input 输入框
                        recordMap.inputValueArr.push({
                            "paramKey": paramKey,
                            "value"   : inputVal
                        });
                    }
                }
            });
        }
        model.cache("recordMap" + currBusiId, recordMap);
    }

    // 填充上一次选择的参数(相同的产品)
    function insertLastSelect() {
        var recordMap = model.cache("recordMap" + currBusiId);
        if (recordMap && (recordMap.inputValueArr || recordMap.selectValueArr)) {
            $.each(recordMap.inputValueArr || [], function (index, item) {
                $page.find("div.select_box[data-paramKey='" + item.paramKey + "'] input")
                    .val(item.value);
            });

            $.each(recordMap.selectValueArr || [], function (index, item) {
                $page.find("#select_" + item.paramKey)
                    .attr("data-itemValue", item.value)
                    .find("input").val(item.name);
            });
        }
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.contentBox.find("input").val("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
