define("financial/scripts/subject/subjectPreview.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    // 模块内的其它全局变量
    var jQueryMap;
    var myUtils = window.privateSpaceMKT.myUtils;
    var $page = $("#subject_subjectPreview");
    var global = $.config.global;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	$page.find(".pro_dbox ").scrollTop("0");
            //显示在遮罩层
            myUtils.showLayer($page);
            $.pageBack();
        });

        //切换基础信息
        $.bindEvent(jQueryMap.content.basic, function () {
        	 $(this).addClass("act");
        	 jQueryMap.content.product.removeClass("act");
        	 jQueryMap.content.basicTab.show();
        	 jQueryMap.content.productTab.hide();
        });
        //切换主题介绍
        $.bindEvent(jQueryMap.content.product, function () {
        	 $(this).addClass("act");
       	     jQueryMap.content.basic.removeClass("act");
       	     jQueryMap.content.productTab.show();
       	     jQueryMap.content.basicTab.hide();
        });

    }

    function destroy() {
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack"         : $page.find("#mktGoBack"),
                "subjectTitle" : $page.find("#subjectTitle")
            },
            "content"  : {
                //切换tab标签
                "tabSelect"      : $page.find("#tab_select"),
                "basic"     : $page.find("#basic"),
                "product"     : $page.find("#product"),
                "basicTab"     : $page.find("#basicTab"),
                "productTab"     : $page.find("#productTab"),
                "subjectName"     : $page.find("#subjectName"),
                "guideDesc"     : $page.find("#guideDesc"),
                "guideContent"     : $page.find("#guideContent"),
                "subjectProperty"   : $page.find("#subjectProperty"),
                "rate"  : $page.find("#rate"),
                "photo_img"  : $page.find("#photo_img"),
                "staffInfo"  : $page.find("#staffInfo"),
                "showHide" : $page.find("#showHide")

            },
            "footer"   : {
                "otherFuncBtn"      : $page.find(".footer ul li")
            }
        };
    }

    function initPage() {
        //显示遮罩层
        myUtils.showLayer($page);
        $.getSStorageInfo("subjectTypeNo")=="appreciationSigned" ? jQueryMap.content.showHide.hide() :jQueryMap.content.showHide.show();
        //进来详情页面先判断是新客专享还是增值签约
        selectPage();
        //显示预览页详情
        showPreviewDetail();
        $page.find("#certno").html($.getSStorageInfo("certno"));

        //遮罩层去掉
        myUtils.hideLayer($page);
        //setTimeout(function( ){myUtils.cancelLayer($page);},200);
    }

    //appreciationSigned（增值签约）
    //newCustomersExclusive(新客专享)
    //进来详情页面先判断是新客专享还是增值签约
    function selectPage(){
    	var currSubObj = $.getSStorageInfo("currSubObj");
        var subjectTypeNo = $.getSStorageInfo("subjectTypeNo");
        if(subjectTypeNo == "newCustomersExclusive"){
            jQueryMap.content.basic.show();
            jQueryMap.content.basicTab.show();
            $page.find("#buy").html("立即购买");
            $page.find("#staffNumtap").html("人已浏览");
            $page.find("#staffNum").html(currSubObj.detailInfo[0].spreadNum == "" ? "0" : currSubObj.detailInfo[0].spreadNum);
        }else if(subjectTypeNo == "appreciationSigned"){
            jQueryMap.content.basic.hide();
            jQueryMap.content.basicTab.hide();
            jQueryMap.content.product.addClass("act");
            jQueryMap.content.productTab.show();
            $page.find("#buy").html("查看详情");
            $page.find("#staffNumtap").html("人已签约");
            $page.find("#staffNum").html(currSubObj.detailInfo[0].successNum == "" ? "0" : currSubObj.detailInfo[0].successNum);
        }

    }

    //显示预览页详情
    function showPreviewDetail(){
        var currSubObj = $.getSStorageInfo("currSubObj");
        //用户信息
        var userName = $.getSStorageInfo("staffName");
        var branchName = $.getSStorageInfo("branchName")
        $("#staffInfo").html(
				"由“华西证券  - "+branchName+"-"+ userName+ "”推荐");
        // 加载头像
        var photoPath = $.getSStorageInfo("photoPath");
        if (!photoPath) {
            //photoPath = "/m/financial/img/sc-hd01.png";
	        photoPath = "../../images/sc-hd01.png";
        }
        jQueryMap.content.photo_img.attr("src", photoPath);
        
        if(currSubObj.detailInfo[0].guidePageLogo != ""){
            $page.find(".pro_head").attr("style","background:url("+global.appUrl+currSubObj.detailInfo[0].guidePageLogo+") no-repeat center bottom;background-size: cover;min-height: 1.7rem;");
        }else{
            $page.find(".pro_head").attr("style","background:url(../../images/theme-bg04.png) no-repeat center bottom;background-size: cover;min-height: 1.7rem;");
        }

    //    jQueryMap.header.subjectTitle.html(currSubObj.detailInfo[0].subjectType+"."+currSubObj.detailInfo[0].subjectName);
          jQueryMap.header.subjectTitle.html("营销服务平台");
        $.each([ "subjectName", "guideDesc", "subjectProperty"], function (index, domKey) {
            jQueryMap.content[domKey].html(currSubObj.detailInfo[0][domKey]);
        });
        
        var content = currSubObj.detailInfo[0].guideContent.replace(/http:\/\/10.211.12.22:8082\/sdplat\/ueditor/g,global.appUrl+"/upload");
		content = content.replace(/\/sdplat\/ueditor/g,global.appUrl+"/upload");
        jQueryMap.content.guideContent.html(content);
        jQueryMap.content.rate.html(currSubObj.detailInfo[0].rate=="" ? "0%": currSubObj.detailInfo[0].rate);

    }
    
    $(function(){
		var dHeight = parseInt($("article").height());//$("article").height() window.screen.availHeight
		var oTop = parseInt($('.tab_box').offset().top);
		$('.tab_box').css('min-height',(dHeight-oTop)+'px');
    })
   
   function cleanPageElement() {  	
    	$.each([ "subjectName", "guideDesc", "guideContent","subjectProperty","rate"], function (index, domKey) {
            jQueryMap.content[domKey].html("");
        });
       jQueryMap.content.rate.html("");
       jQueryMap.content.basic.show();
       jQueryMap.content.basicTab.show();
       jQueryMap.content.productTab.hide();
       jQueryMap.content.basic.addClass("act").siblings().removeClass("act");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
