define("financial/scripts/subject/subjectSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_subjectSearch");

    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {

                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
            jQueryMap.content.emptyTip.hide();
            jQueryMap.content.subjectCon.html("");
        });

        $.preBindEvent(jQueryMap.content.subjectCon, "li", function () {
            var $this = $(this);
            $.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
            $.setSStorageInfo("subjectId",$this.attr("data-subjectId"));
            
            $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
            $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
            $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
            $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
            $.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));

            var subjectTypeNo = $this.attr("data-subjectTypeNo");
            $.setSStorageInfo("subjectTypeNo",subjectTypeNo);
            if(subjectTypeNo == "newCustomersExclusive"){
                $.pageInit("subject/subject", "subject/subNewDetail","","right",true);
            }else if(subjectTypeNo == "appreciationSigned"){
                $.pageInit("subject/subject", "subject/subSignDetail","","right",true);
            }else if(subjectTypeNo == "marketActivity"){
                $.pageInit("subject/subject", "subject/subActivityDetail","","right",true);
            }
            //$.pageInit("subject/subjectSearch", "subject/subjectDetail",{"subjectTypeNo":subjectTypeNo},"right",true);
        });
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#search_input"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clear_btn"),
                "btnIcon"  : $page.find("#btn_Icon")

            },
            "content": {
                "subjectCon": $page.find("#subjectCon"),
                "emptyTip"  : $page.find(".msg_wrap")

            }
        };
    }

    function initPage() {
        //隐藏系统底部TabBar
        myUtils.hideBtn();
        /**********  搜索公共的部分  begin ********/
        //if ($.getSStorageInfo("_prePageCode") === "effect/effect") {
            // 重置页面元素
            cleanPageElement();
            setTimeout(function () {
                jQueryMap.header.searchInput.trigger("focus");
            }, 100);
        //}

    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
            // 检测键盘是否还是展开状态
            //if (window.screen.height > $("body").height() + 100) {
            //    setTimeout(function () {
            //        $.toast("请输入搜索关键字！");
            //    }, 300);
            //} else {
            //    $.toast("请输入搜索关键字！");
            //}
             jQueryMap.content.emptyTip.hide();
             jQueryMap.content.subjectCon.html("");
            return false;
        }
        subjectSearch(searchText);
    }

    //效果
    // 获取产品列表
    function subjectSearch(searchText) {
        //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
        var groupIdIn = $.getSStorageInfo("branchNo");
        var param = {
            "userId"    : model.dataStore.userId,
            "searchTxt" : searchText,
            "groupIdIn" : groupIdIn
        };
        service.getSubjectList(param,function (results) {
            if(results.result1.length>0){
                jQueryMap.content.subjectCon.html("");
//                setTimeout(function () {
                	selectOnMenu(results.result1);
//                }, 200); 
               // selectOnMenu(results);
            }else{
                jQueryMap.content.subjectCon.html("");
                jQueryMap.content.emptyTip.show();
            }

        });
    }

    function selectOnMenu(results){
        var htmlStr="";
        var htmlStr1="";
        var subjectDesc = "";
        for (var i = 0; i < results.length; i++) {
            //subjectDesc = results[i].subjectDesc.length > 10 ?  results[i].subjectDesc.substr(0,10)+"..." : results[i].subjectDesc;

            if(results[i].flag == 1){
                if(results[i].subjectTypeNo =="newCustomersExclusive"){
                    htmlStr += "<li data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"'><a href='javascript:void(0);'><p>预期年化收益率<span>"+(results[i].rate==""?"0":results[i].rate)+"</span></p><strong><p>"+results[i].subjectName+"</p><span>"+results[i].subjctType+"</span></strong><small>"+ results[i].subjectDesc+"</small></a></li>";
                }else {
                    htmlStr += "<li data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"'><a href='javascript:void(0);'><strong><p>"+results[i].subjectName+"</p><span class='sr_tag'>"+results[i].subjctType+"</span></strong><small style='width:3.2rem'>"+ results[i].subjectDesc+"</small></a></li><li>";
                }

            }else if(results[i].flag == 2){

                if(results[i].subjectTypeNo =="newCustomersExclusive"){

                    htmlStr1 += "<li data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"'><a href='javascript:void(0);'><p>预期年化收益率<span>"+(results[i].rate==""?"0":results[i].rate)+"%</span></p><strong><p>"+results[i].subjectName+"</p><span>"+results[i].subjctType+"</span></strong><small>"+ results[i].subjectDesc+"</small></a></li>";
                }else{
                    htmlStr1 += "<li data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"'><a href='javascript:void(0);'><strong><p>"+results[i].subjectName+"</p><span class='sr_tag'>"+results[i].subjctType+"</span></strong><small style='width:3.2rem'>"+ results[i].subjectDesc+"</small></a></li><li>";
                }
            }

        }

        if($.getSStorageInfo("_prePageCode") == "subject/subject"){
            jQueryMap.content.subjectCon.html(htmlStr);
            jQueryMap.content.subjectCon.append(htmlStr1);
        }else if($.getPageParam("flag") == "1"){
            if(htmlStr == ""){
                jQueryMap.content.emptyTip.show();
                return false;
            }
            jQueryMap.content.subjectCon.html(htmlStr);
        }else if($.getPageParam("flag") == "2"){
            if(htmlStr1 == ""){
                jQueryMap.content.emptyTip.show();
                return false;
            }
            jQueryMap.content.subjectCon.html(htmlStr1);
        }


        jQueryMap.content.emptyTip.hide();
    }
    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.subjectCon.html("");
        jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.subjectCon.html("");

    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
