define("financial/scripts/subject/subjectToPromote.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var currSubId;        // 当前产品ID
    var currSubObj;
    var paramValues;
    var link;              // 分享链接
    var linkWithChannel;   // 带有渠道的链接
    var hasChannel;        // 是否有渠道的标识
    var qrBase64;
    var saveQRTime;        // 二维码长按的计时保存
    var $page = $("#subject_subjectToPromote");
    var htmlStr = "";
    var findIFlag = 0;
    //活动转分享参数
    var forward_statu, subjectId,spreadAddr, ispagelocal,pageexternal_url,pageexternal_img,pageexternal_content,pageexternal_title;
    	
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
    	hasChannel = false;
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            //显示在遮罩层
            myUtils.showLayer($page);
            toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
            $.pageBack();
        });

        // 返回到产品首页
        $.bindEvent(jQueryMap.header.backHomePage, function () {
            //显示在遮罩层
            myUtils.showLayer($("#subject_subNewDetail"));
            myUtils.showLayer($("#subject_subjectToPromote"));
            myUtils.showLayer($("#subject_subSignDetail"));
            $.pageInit("subject/subjectToPromote", "subject/subject",null,"left",null);
        });

        //点击关闭二维码的弹出页面
        $.bindEvent(jQueryMap.content.close, function () {
            toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
        });

        // 分享
        $.preBindEvent(jQueryMap.content.shareList, "li", function () {
            var $this = $(this);
            if($this.find(".spic_box").hasClass("is_show")){
            	return false;
            }
            var channelId = $this.attr("data-channelId");
            var shareType = $this.attr("data-shareType");
            $this.find(".spic_box").addClass("is_show");   
            service.addStaffNum({
            	"userId":$.getSStorageInfo("staffId"),
            	"subjectId":$.getSStorageInfo("subjectId")
            },function(){
            	
            });
            // marketWay：1 链接   2 二维码
            if (shareType === "qrCode") { // 生成二维码
                createGuideSerial({
                    "channelId": channelId,
                    "marketWay": "2"
                }, function (guideSerial) {
                    // 不需要渠道
                    createQRcode(currSubId,2);
                    $this.find(".spic_box").removeClass("is_show");
                });
            } else {
                createGuideSerial({
                    "channelId": channelId,
                    "marketWay": "1"
                }, function (guideSerial) {
                	if(ispagelocal == "0")
                	{
                		link = global.businessUrl + "peddleId=" + guideSerial;
                	}else
                	{
                		link = pageexternal_url + "?i_broker_code=" + $.getSStorageInfo("employeeNo");
                	}
                    
                    $.setSStorageInfo("urlLink",link);
                    if (shareType === "email") {
                        $.setSStorageInfo("shareType","email");
                        $this.find(".spic_box").removeClass("is_show");
                        $.pageInit("subject/subjectToPromote","subject/email");
                        
                    } else if (shareType === "sms") {
                        $.setSStorageInfo("shareType","sms");
                        $this.find(".spic_box").removeClass("is_show");
                        $.pageInit("subject/subjectToPromote","subject/email");
                        //toggleLayerArea("show", jQueryMap.layerArea.messageArea);
                    } else if (shareType === "app") {
                    	$.setSStorageInfo("shareType","app");
                    	$this.find(".spic_box").removeClass("is_show");
                        $.pageInit("subject/subjectToPromote","subject/app");
                        //toggleLayerArea("show", jQueryMap.layerArea.messageArea);
                    } else if (shareType === "copy") {  // 复制到剪切板
                        // 不需要渠道
                        $.callMessage({
                            "funcNo"  : "60016",
                            "copyText": link
                        });
                        $this.find(".spic_box").removeClass("is_show");
                    }
                    else {
                        // 通过原生接口分享
                        shareByNative(shareType);
                        $this.find(".spic_box").removeClass("is_show");
                    }
                });
            }
        });

        // 隐藏或显示相应的弹出层
        $.bindEvent(jQueryMap.content.preBindDom, function (e) {
            var className = e.target.className;
            function hasClass() {
                var classArr = ["layer_wrap2", "cancel_btn"];
                var i = 0;
                var len = classArr.length;
                for (; i < len; i++) {
                    if (className.indexOf(classArr[i]) > -1) {
                        return true;
                    }
                }
                return false;
            }
        });

        // 展开或收起渠道
        $.bindEvent(jQueryMap.content.myChannel, function () {
            var flag = jQueryMap.content.myChannel.hasClass("on");
            var type = flag ? "collapse" : "expand";

            // type    expand：展开  collapse: 收起(折叠)
            toggleChannelList(type);
        });

        // 选择渠道
        $.preBindEvent(jQueryMap.content.channelList, "li", function () {
            var $this = $(this);
            var channelId = $this.attr("data-channelId");
            var channelName = $this.attr("data-channelName");
            if( $this.is(':has(i)') ){
                findIFlag = 1;
            }else{
                findIFlag = 0;
            }
            if (!$this.hasClass("act")) {
                $this.addClass("act").siblings(".act").removeClass("act");
                jQueryMap.content.curChannelName.text(channelName);
                createQRcode(channelId,1);
            }
        });

        // 添加渠道
        $.bindEvent(jQueryMap.content.addChannel, function () {
            $.pageInit("product/toPromote", "me/myData/addChannel");
        });

        // 保存二维码到本地
        $.bindEvent(jQueryMap.footer.saveBtn, function () {
            var channelName = jQueryMap.content.channelList.find("li.on").attr("data-channelName");
            var guideSerial = jQueryMap.footer.qrImg.attr("data-guideSerial");
            saveQrToLocalStorage(channelName, guideSerial);
        });

        // 保存分享二维码到本地
        $.bindEvent(jQueryMap.content.saveBigBtn, function () {
            var guideSerial = jQueryMap.content.qrBigImg.attr("data-guideSerial");
            saveQrToLocalStorage("",guideSerial);
        });

        // 长按二维码，复制链接
        $.bindEvent(jQueryMap.footer.qrImg, function (e) {
            saveQRTime = setTimeout(function () {
                $.callMessage({
                    "funcNo"  : "60016",
                    "copyText": linkWithChannel
                });
            }, 1000);
            e.stopPropagation();
        }, "touchstart");

        // 取消长按二维码
        $.bindEvent(jQueryMap.footer.qrImg, function (e) {
            clearTimeout(saveQRTime);
            e.stopPropagation();
        }, "touchend");

        bindSwipeEvent(jQueryMap.content.channelBox, function (scrollTop) {
            // scrollTop为touchstart时获取的(作用：只在一开始scrollTop就为0时，才处理下滑)
            if (scrollTop === 0) {
                // type    expand：展开  collapse: 收起(折叠)
                toggleChannelList("collapse");
            }
        });

        bindSwipeEvent($page.find(".content .chan_bot"), null, function () {
            // type    expand：展开  collapse: 收起(折叠)
            toggleChannelList("expand");
        })
    }

    function destroy() {
        myUtils.showLayer($page);
        //toggleLayerArea("hide");
        toggleChannelList("collapse");

    	$.clearSStorage("custArr");
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack"        : $page.find("#mktGoBack"),
                "backHomePage": $page.find("#back_home_page")
            },
            "content"  : {
                "preBindDom": $page.find("section"),
                "shareBox"  : $page.find("#share_box"),
                "shareList" : $page.find("#share_list"),

                "myChannel"     : $page.find("#my_channel"),
                "channelBox"    : $page.find("#channel_box"),
                "channelList"   : $page.find("#channel_list"),
                "addChannel"    : $page.find("#add_channel"),
                "noChannelBox"  : $page.find("#no_channel_box"),
                "curChannelName": $page.find("#cur_channel_name"),

                "targetMobileNo": $page.find("#targetMobileNo"),
                "smsSend"       : $page.find("#sms_send"),

                "qrBigImg" : $page.find("#qrBigImg"),
                "saveBigBtn" : $page.find("#saveBigBtn"),
                "close": $page.find("#close"),
                "branchName"  : $page.find("#branchName")
                //"emailSend"    : $page.find("#email_send")
            },
            "footer"   : {
                "qrImg"  : $page.find("#qr_img"),
                "saveBtn": $page.find("#save_btn")
            }
            ,
            "layerArea": {
                "QRArea"  : $page.find("#QRArea")
            }
        };
    }

    function initPage() {
        //显示遮罩层
        myUtils.showLayer($page);
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn();
        // 处理页面样式问题
        dealStyleOfPage();
//
//        var dHeight = parseInt(window.screen.availHeight);//$("article").height()
//        console.log(dHeight);
//		var oTop = parseInt($('.shr_more_box').offset().top);
//		console.log(oTop);
////		var ftHeight = parseInt($('footer .btn_box').height());
////		console.log(ftHeight);
//		$('.shr_more_box').css('min-height',(dHeight-oTop)+'px');
		
        // 根据前一个页面的pageCode做相应的判断
        var prePageCode = $.getSStorageInfo("_prePageCode");
        if (prePageCode !== "product/showQRCode") {
        //暂时先屏蔽掉
            //$.setSStorageInfo("currSubObj")
            paramValues = $.getPageParam("paramValues");
            currSubObj = $.getSStorageInfo("currSubObj");
            if(currSubObj == null) {
                return false;
            }
            currSubId = currSubObj.detailInfo[0].subjectId;
            jQueryMap.content.branchName.html($.getSStorageInfo("branchName"));
            //jQueryMap.content.smsBusiName.text(currBusiObj.productName);
            // 重置页面元素
            cleanPageElement();

            subjectId = $.getSStorageInfo("subjectId");
            
            // 获取渠道列表
            getChannelList();

            // 获取机构渠道列表
            //getOrgChannelList()
        }
    }

    // 处理页面样式问题
    function dealStyleOfPage() {
        var $dom = $page.find(".content .chan_bot");
        if ($dom.attr("data-isDeal") !== "true") {
            setTimeout(function () {
                var parentBoxHeight = $page.find("article.content").height();
                var shareBoxHeight = jQueryMap.content.shareBox.height();
                var myChannelHeight = jQueryMap.content.myChannel.height();
                $dom
                    .height(parentBoxHeight - shareBoxHeight - myChannelHeight - 1)
                    .attr("data-isDeal", "true");
            }, 300);
        }
    }

    // 获取渠道列表
    function getChannelList() {
        var channelObj;
        service.getChannelList({
            "userId": model.dataStore.userId
        }, function (results) {
            htmlStr = "";
            channelListResult(results);

            jQueryMap.content.channelList.find("li").remove();
            jQueryMap.content.channelList.html(htmlStr);

            // 如果存在渠道就默认选中第一选
            // 如果不存在就显示不存在提示文字
            if (hasChannel) {
                firstLiDom = jQueryMap.content.channelList.find("li").eq(0).addClass("act");
                jQueryMap.content.curChannelName.text(firstLiDom.attr("data-channelName"));
                createQRcode(firstLiDom.attr("data-channelId"),1);
                jQueryMap.content.noChannelBox.hide();
            }else{
                $page.find(".content .chan_bot").show();
                jQueryMap.content.noChannelBox.show();
            }
        });
        service.getSubjectDetail({
            "subjectId": subjectId
        }, function (results) {
            
            ispagelocal = results[0].ispagelocal;
            pageexternal_url = results[0].pageexternalUrl;
            pageexternal_img = results[0].pageexternalImg;
            pageexternal_content = results[0].pageexternalContent;
            pageexternal_title = results[0].pageexternalTitle;
            spreadAddr = results[0].spreadAddr;
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    function channelListResult(results){
        // 只显示私有渠道  后期公有渠道由后台动态添加
        if (results && results.length > 0) {

            for (var i = 0, len = results.length; i < len; i++) {
                channelObj = results[i];
                if(channelObj.checkState == "1"){
//共有渠道判断是否是上面固定的共有渠道(固定约定为1到8)
                    if(channelObj.isPub === "1" && channelObj.channelId.length == "1" && channelObj.activeFlag == "1"){
                        jQueryMap.content.shareList.find("li[data-channelId='"+channelObj.channelId+"']").show();
                    }else if( channelObj.activeFlag == "1"){
                        // activeFlag  0: 关闭 1: 激活
                        // classifyType  类型  0:线上1:线下
                        // isPub 公有渠道标识 1:公有 2:私有
                        //checkState  0 未审核 1审核通过 2审核失败
                        //私有渠道
                        //<li>光大银行深圳分行<span class="choice_tag">公有</span></li>
                        if (channelObj.isPub === "2" && channelObj.checkState == "1" ) {
                            htmlStr +="<li class='"+(channelObj.classifyType === "0" ? "up" : "down" )+"' data-channelId='" + channelObj.channelId + "' data-channelName='" + channelObj.channelName + "'>" + channelObj.channelName + "</li>";
                        }else if(channelObj.isPub === "1" && channelObj.channelId.length == "32"){
                            htmlStr +="<li class='"+(channelObj.classifyType === "0" ? "up" : "down" )+"' data-channelId='" + channelObj.channelId + "' data-channelName='" + channelObj.channelName + "'>" + channelObj.channelName + "<span class='choice_tag'>公有</span></li>";
                        }
                        // 设置标识为有渠道
                        if (!hasChannel) {
                            hasChannel = true;
                        }
                    }
                }
            }
        }
    }

    // 通过原生接口分享
    function shareByNative(shareType) {
        var img;
        if(spreadAddr != ""){
            img =global.serverAddr+spreadAddr;
        }else{
        	img =global.serverAddr+ "m/financial/images/huaxiLogo.png";
        }
       /* else if($.getSStorageInfo("photoPath") != ""){
            img =$.getSStorageInfo("photoPath")
        }else{
            img =global.serverAddr+ "m/financial/images/sc-hd01.png";
        }*/
        img = img.replace("mkts//","mkts/");
        var param = {};
        if(ispagelocal == "0")
        {
        	param={
                    "funcNo"    : "50231",
                    "moduleName": "mall",
                    "shareType" : shareType,
                    "title"     : currSubObj.detailInfo[0].subjectName,
                    "link"      : link,
                    "content"   : currSubObj.detailInfo[0].subjectDesc,
                    "imgUrl"    : img
                };
        }else
        {
        	param={
                    "funcNo"    : "50231",
                    "moduleName": "mall",
                    "shareType" : shareType,
                    "title"     : pageexternal_title,
                    "link"      : link,
                    "content"   : pageexternal_content,
                    "imgUrl"    : pageexternal_img
                };
        }
        if(currSubObj.detailInfo[0].subjectDesc == ""){
            param.content = currSubObj.detailInfo[0].subjectName;
        }
        $.callMessage(param);
    }

    // 生成分享流水号
    function createGuideSerial(paramMap, callback) {
        paramMap.staffId = model.dataStore.userId;
        paramMap.busiId = currSubId;
        paramMap.paramValues = paramValues;
        service.createGuideSerial(paramMap, function (results) {
            if (results && results.length > 0 && callback) {
                callback(results[0].serialNumber);
            }
        });
    }

    // 生成二维码
    function createQRcode(channelId,flag) {
        createGuideSerial({
            "channelId": channelId,
            "marketWay": "2"     // marketWay：1 链接   2 二维码
        }, function (guideSerial) {
        	if(ispagelocal == "0")
        	{
        		linkWithChannel = global.businessUrl + "peddleId=" + guideSerial;
        	}else
        	{
        		linkWithChannel = pageexternal_url + "?i_broker_code=" + $.getSStorageInfo("employeeNo");
        	}
            myUtils.getQRcode({
                "text"       : linkWithChannel,
                "guideSerial": guideSerial
            }, function (qrBase64Str) {
                qrBase64 = qrBase64Str;
                if(flag == 1){
                    jQueryMap.footer.qrImg.attr({
                        "src"             : "",
                        "data-guideSerial": guideSerial
                    });
                    setTimeout(function () {
                        jQueryMap.footer.qrImg.attr("src", qrBase64);
                    }, 200);
                }else if(flag ==2){
                    jQueryMap.content.qrBigImg.attr({
                        "src"             : qrBase64,
                        "data-guideSerial": guideSerial
                    });
                    toggleLayerArea("show", jQueryMap.layerArea.QRArea);
                }

            });
        });
    }

    // 存储二维码到本地
    function saveQrToLocalStorage(channelName, guideSerial) {
        // 拼接二维码图片名称
        var fileName = [currSubObj.detailInfo[0].subjectName, channelName, guideSerial].join("-");
        var result = $.callMessage({
            "funcNo"  : "60014",
            "base64"  : qrBase64,
            "fileName": fileName
        });
        if (result.error_no === "0") {
            $.toast("保存成功！");
            if(channelName == ""){
                toggleLayerArea("hide", jQueryMap.layerArea.QRArea);
            }

        }
    }

    // 绑定滑动事件
    function bindSwipeEvent($dom, swipeDownFunc, swipeUpFunc) {
        var startX;
        var startY;
        var scrollTop;
        $dom.bind("touchstart", function (e) {
            var touches = e.originalEvent.touches;
            if (touches && touches.length > 0) {
                startX = touches[0].pageX;
                startY = touches[0].pageY;
            }

            // 在下滑的时候用到(只在一开始scrollTop就为0时，才处理下滑)
            if (swipeDownFunc) {
                scrollTop = $dom.scrollTop();
            }
            $dom.bind("touchmove", touchmove);
        });

        function touchmove(e) {
            var touches = e.originalEvent.touches;
            if (touches && touches.length > 0) {
                var deltaY = startY - touches[0].pageY;
                if (deltaY <= -50 && swipeDownFunc) {
                    swipeDownFunc(scrollTop);
                    $dom.unbind('touchmove', touchmove);
                }
                if (deltaY >= 50 && swipeUpFunc) {
                    swipeUpFunc();
                    $dom.unbind('touchmove', touchmove);
                }
            }
        }
    }

    // 展开或是收起渠道列表
    // type    expand：展开  collapse: 收起(折叠)
    function toggleChannelList(type) {
        var speed = 200;

        if (type === "expand") {          // 展开
            if (hasChannel) {
                //$page.find(".content .chan_bot").hide();
                $page.find(".content #no_channel_box").hide();
                jQueryMap.content.channelBox
                    .show()
                    // 渠道列表滑动到顶部(必须在列表显示后，滑动才有效。
                    // 因为未显示时，dom还没大小位置等信息，自然也就滑动不了)
                    .scrollTop(0);

                $page.find("footer").slideDown(speed);
                jQueryMap.content.shareBox.slideUp(speed);

                if (jQueryMap.content.channelBox.attr("data-isDeal") !== "true") {
                    setTimeout(function () {
                        var parentBoxHeight = $page.find("article.content").height();
                        var myChannelHeight = jQueryMap.content.myChannel.height();
//                        var myChannelHeight = $page.find("footer").height();
                        jQueryMap.content.channelBox.css({
                            "height"    : parentBoxHeight - myChannelHeight - 1,
                            "overflow-y": "auto"
                        }).attr("data-isDeal", "true");
                    }, 200);
                }
            }
            //else {
//                $page.find("footer").hide();
//                //$page.find(".content .chan_bot").show();
//                jQueryMap.content.noChannelBox.show();
//                jQueryMap.content.channelBox
//                .show()
//                // 渠道列表滑动到顶部(必须在列表显示后，滑动才有效。
//                // 因为未显示时，dom还没大小位置等信息，自然也就滑动不了)
//                .scrollTop(0);
//
////	            $page.find("footer").slideDown(speed);
//	            jQueryMap.content.shareBox.slideUp(speed);
//
//	            if (jQueryMap.content.channelBox.attr("data-isDeal") !== "true") {
//	                setTimeout(function () {
//	                    var parentBoxHeight = $page.find("article.content").height();
//	                    var myChannelHeight = jQueryMap.content.myChannel.height();
//	                    jQueryMap.content.channelBox.css({
//	                        "height"    : parentBoxHeight - myChannelHeight - 1,
//	                        "overflow-y": "auto"
//	                    }).attr("data-isDeal", "true");
//	                }, 200);
//	            }
//            }
            jQueryMap.content.noChannelBox.parent().addClass("expand");
            //jQueryMap.content.channelBox.show();
            $page.find('#my_channel').css({'margin-top':'0.1rem'});
        } else if (type === "collapse") { // 收起
            jQueryMap.content.noChannelBox.parent().removeClass("expand");
            //jQueryMap.content.noChannelBox.hide();
            jQueryMap.content.channelBox.hide();
            $page.find(".content .chan_bot").show();

            jQueryMap.content.shareBox.slideDown(speed);
            $page.find("footer").slideUp(speed);
            $page.find('#my_channel').css({'margin-top':'0.1rem'});
        }

        jQueryMap.content.myChannel.toggleClass("on");
    }

    // 切换弹出层的显示状态
    // type: hide:隐藏  show：显示(为show时必须传$showDom)
    function toggleLayerArea(type, $showDom) {
        // 隐藏所有弹框层
        $.each(jQueryMap.layerArea, function (key, $thisDom) {
            if ($thisDom.is(":visible")) {
                $thisDom.fadeOut("fast");
            }
        });

        if (type === "show") {
            $showDom.fadeIn("fast");
        }
    }

    
    // 分享后的回调
    function shareCallback() {
        toggleLayerArea("hide");
    }

    // 重置页面元素
    function cleanPageElement() {

        jQueryMap.content.shareBox.show();
        jQueryMap.content.myChannel.removeClass("on");
        jQueryMap.content.channelBox.hide();
        jQueryMap.content.noChannelBox.hide();
        $page.find(".content .chan_bot").show();
        $page.find("footer").hide();
//        jQueryMap.content.channelList.html("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "shareCallback": shareCallback,
        "load"         : load
    };
});
