/**
 * 手机前端Service层调用接口
 */
define("financial/service/investService.js", function (require, exports, module) {
    var global = $.config.global;
    var service = new $.service;
    var ssoUtils= require("ssoUtils");
    var myUtils = window.privateSpaceMKT.myUtils;
    require("endecryptUtils");
    require("des");

    var mobileService = {
        "destroy": function () {
            service.destroy();
        }
    };

    /********************************应用接口开始********************************/

    /**
     * @description 获取rsa加密模块和公钥(1000000)
     * @param param {Object} 入参对象集合 为空
     * @param callback 回调函数
     * 回调函数参数data.results：
     * {
     *    "modulus"        : {string}
     *    "publicExponent" : {string}
     * }
     * @param ctrlParam {Object} ajax控制参数
     */
    mobileService.getRSAKey = createFunc(function (param) {
        return {"funcNo": "1000000"};
    });


    // 获取头像的base64数据(1000001)
    mobileService.getBase64OfPhoto = createFunc(function (param) {
        return {
            "funcNo"  : "1000001",
            "photoUrl": param.photoUrl,           // 头像的URL  Y
            "content" : param.content             // 二维码内容
        };
    });

    // 查询数据字典(1101000)
    mobileService.getDataDict = createFunc(function (param) {
        return {
            "funcNo"   : "1101000",
            "enumType" : param.enumType,      // 数字字典类型 N
            "itemName" : param.itemName,      // 数据字典名称 N
            "itemValue": param.itemValue      // 数据字典值   N
        };
    });

    //// 账号登陆接口(1101001)
    //mobileService.login = createFunc(function (param) {
    //    var paramMap = {
    //        "funcNo"    : "1101001",
    //        "merStaffId": param.merStaffId,     // 员工编号 不能与mobileNo同时为空
    //        "mobileNo"  : param.mobileNo,       // 手机号码 不能与merStaffId同时为空
    //        "pwd"       : param.pwd             // 登陆密码 Y
    //    };
    //
    //    // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
    //    if ($.config.platform !== "0") {
    //        var data = $.callMessage({
    //            "funcNo": "50041",
    //            "key"   : "deviceToken"
    //        });
    //        var deviceToken = "";
    //        if (data && data.results && data.results.length > 0 && data.results[0].value) {
    //            deviceToken = data.results[0].value;
    //            $.setSStorageInfo("token",deviceToken);
    //            //当消息推送的开发有开的时候，才发送这个入参
    //            var op = $.getLStorageInfo('msgSwitch');
    //            if(op == '1') {
    //                if ($.device.ios) {
    //                    paramMap.token = deviceToken;
    //                } else if ($.device.android) {
    //                    paramMap.androidToken = deviceToken;
    //                }
    //            }
    //        }
    //    }
    //
    //    return paramMap;
    //});

    //// 退出登录(1101002)
    //mobileService.logout = createFunc(function (param) {
    //    var paramMap = {
    //        "funcNo"         : "1101002",
    //        "staffId"        : param.staffId,        // 职工编号
    //        "planId"         : param.planId,         // 最后使用方案 N
    //        "loginAnalyseId" : param.loginAnalyseId  //记录登录时间表的id用于退出登录的时候记录上去 Y
    //    };
    //    if ($.config.platform === "2") {
    //        paramMap.osType = "ios";
    //    } else if ($.config.platform === "1") {
    //        paramMap.osType = "android";
    //    } else {
    //        paramMap.osType = "web";
    //    }
    //    return paramMap;
    //});

    // 获取所有业务(1101003)
    mobileService.getBusinessList = createFunc(function (param) {
        return {
            "funcNo"      : "1101003",
            "staffId"     : param.staffId,        // 员工编号 Y
            "busiId"      : param.busiId,         // 员工编号 Y
            "staffType"   : param.staffType,      // 用户类型 Y
            "groupIdIn"   : param.groupIdIn,      // 员工编号 Y
            "typeId"      : param.typeId          //產品的分類
        };
    });

    // 获取渠道列表(1101005)
    //mobileService.getChannelList = createFunc(function (param) {
    //    return {
    //        "funcNo"      : "1101005",
    //        "staffId"     : param.staffId,         // 员工编号 Y
    //        "type"        : param.type,            // 渠道类型 N
    //        "channelId"   : param.channelId,
    //        "channelName" : param.channelName      // 渠道名称 N
    //    };
    //});

    // 获取“staffId”对应的客户列表(1101006)
    mobileService.getClientList = createFunc(function (param) {
        return {
            "funcNo"          : "1101006",
            "staffId"         : param.staffId,          // 职工编号  Y
            "busiId"          : param.busiId,           // 业务编号  N
            "channelId"       : param.channelId,        // 推广渠道编号 N
            "bondAccState"    : param.bondAccState,     // 证券账户状态 N    0 未完成，1完成
            "lastcompleteStep": param.lastcompleteStep, // 步骤名称   N
            "custName"        : param.custName,         // 客户姓名   N
            "mobileNo"        : param.mobileNo,         // 客户手机号 N
            "idNo"            : param.idNo,             // 客户证件号 N
            "curPage"         : param.curPage,          // 当前页     N
            "pageSize"        : param.pageSize,         // 每页大小   N
            "dateStr"         : param.dateStr           // 查询的月份 N
        };
    });

    // 获取某个客户详情(1101007)
    mobileService.getClientInfo = createFunc(function (param) {
        return {
            "funcNo" : "1101007",
            "staffId": param.staffId,            // 职工编号    Y
            "userId" : param.userId,             //             Y
            "tkvSeq" : param.tkvSeq              // 引流流水号   Y
        };
    });

    // 获取排行数据(1101008)
    mobileService.getRankData = createFunc(function (param) {
        return {
            "funcNo"   : "1101008",
            "staffId"  : param.staffId,            // 职工编号 Y
            "countType": param.countType,          // 统计类型 Y
            "dateStr"  : param.dateStr,            // 查询的时间段    N
            "topNum"   : param.topNum              // 查询数据的条数  N
        };
    });

    // 推广业务点赞(1101009)
    //mobileService.likeBusiness = createFunc(function (param) {
    //    return {
    //        "funcNo"    : "1101009",
    //        "staffId"   : param.staffId,           // 职工编号 Y
    //        "busiId"    : param.busiId,            // 业务编号 Y
    //        "praiseType": param.praiseType         // 点赞类型 N  1：点赞
    //    };
    //});

    // 管理推广渠道(1101010)
    mobileService.editChannel = createFunc(function (param) {
        return {
            "funcNo"        : "1101010",
            "staffId"       : param.staffId,         // 职工编号 Y
            "handleType"    : param.handleType,      // 管理类型 Y     0：增加  1：关闭  2：激活 3：修改
            "activeFlag"    : param.activeFlag,      // 渠道状态 N     0:未激活，1:激活  3:待审核
            "channelId"     : param.channelId,       // 推广渠道编号 N
            "channelName"   : param.channelName,     // 推广渠道名称 N
            "channelType"   : param.channelType,     // 渠道类型 N     // 当handleType=0时必传  1:线上，2:线下 3，APP 4，网站
            "channelExplain": param.channelExplain,  // 渠道描述 N
            "channelAddr"   : param.channelAddr,     // 地点 N
            "location"      : param.location         // 坐标 N
        };
    });

    // 获取业务参数(1101011)
    mobileService.getBusinessParam = createFunc(function (param) {
        return {
            "funcNo"  : "1101011",
            "busiId"  : param.busiId,               // 业务编号 Y
            "paramKey": param.paramKey,             // 参数key  N
            "ramdom"  : Math.random()               // 随机数，绕过框架对相同入参的调用的限制
        };
    });

    // 发送手机验证码或者发送短信(1101014)
//    mobileService.getSmsCode1 = createFunc(function (param) {
//        return {
//            "funcNo"     : "1101014",
//            "staffId"    : param.staffId,         // 职工编号 Y
//            "msgType"    : param.msgType,         // 发送短信类型 Y 0：发送验证码；1：发送短信
//            "mobileNo"   : param.mobileNo,        // 新的手机号码 Y
//            "msgDetails" : param.msgDetails,      // 短信内容 msgType为1时必填
//            "mobileKey"  : param.mobileKey,       // 获取图片验证码的唯一标识        N 只在注册时传
//            "verify_code": param.verify_code,      // 图片验证码                     N 只在注册时传
//            "busiType"   : param.busiType         //1:注册 2：忘记登录密码 3：重置登录密码　4：设置提现密码 5：重置提现密码 6：修改手机号 7：分享
//        };
//    });

    // 提交修改后的手机号码(1101015)
//    mobileService.modifyMobileNo = createFunc(function (param) {
//        return {
//            "funcNo"    : "1101015",
//            "staffId"   : param.staffId,           // 职工编号 Y
//            "mobileNo"  : param.mobileNo,          // 新的手机号码  Y
//            "mobileCode": param.mobileCode         // 手机验证码    Y
//        };
//    });

    //// 提交修改后的密码(1101016)
    //mobileService.modifyPwd = createFunc(function (param) {
    //    return {
    //        "funcNo"  : "1101016",
    //        "staffId" : param.staffId,         // 职工编号    Y
    //        "oldPwd"  : param.oldPwd,          // 原登陆密码  Y
    //        "newPwd"  : param.newPwd,          // 新登录密码  Y
    //        "mobileNo": param.mobileNo,        // 手机号码     N (opType为1时需传)
    //        "opType"  : param.opType           // 密码操作类型 Y  0：修改密码 1：忘记密码
    //    };
    //});

    // 发送邮件(1101017)
    //mobileService.sendEmail = createFunc(function (param) {
    //    return {
    //        "funcNo"      : "1101017",
    //        "staffId"     : param.staffId,         // 职工编号 Y
    //        "email"       : param.email,           // 电子邮件地址 Y
    //        "emailSub"    : param.emailSub,        // 电子邮件标题 N  邮件类型为0必传
    //        "emailContent": param.emailContent,    // 电子邮件内容 N  邮件类型为0必传
    //        "sendType"    : param.sendType         // 发送邮件类型 N  0：推广邮件 1：注册校验邮件
    //    };
    //});

    // 获取软件更新信息(1101018)
    mobileService.checkVersion = createFunc(function (param) {
        return {
            "funcNo" : "1101018",
            "channel": param.channel          // 软件平台参数 Y 1：android；2：ios
        };
    });

    // 获取总的或当月的金币收益来源组成(1101019)
    mobileService.getWealthStatistics = createFunc(function (param) {
        return {
            "funcNo" : "1101019",
            "staffId": param.staffId,         // 员工Id Y
            "type"   : param.type             // 查询类型 Y 0：查询总金币分布；1：查询当月金币分布
        };
    });

    // 获取某一日期过去七天每天获取的金币数目(1101020)
    mobileService.getPastSevenDaysCoins = createFunc(function (param) {
        return {
            "funcNo" : "1101020",
            "staffId": param.staffId,          // 员工Id Y
            "zdDate" : param.zdDate            // 指定日期（格式：yyy-MM-dd） Y
        };
    });

    // 重置登录密码时，校验手机号(1101021)
    mobileService.checkMobileNo = createFunc(function (param) {
        return {
            "funcNo"    : "1101021",
            "staffId"   : param.staffId,      // 员工Id Y
            "mobileCode": param.mobileCode,   // 短信验证码   Y
            "mobileNo"  : param.mobileNo,     // 手机号码     Y
            "opType"    : param.opType        // 密码操作类型 Y   0：修改密码 1：忘记密码
        };
    });

    // 获取收益详情(1101022)
    mobileService.getRevenueDetails = createFunc(function (param) {
        return {
            "funcNo"      : "1101022",
            "staffId"     : param.staffId,         // 职工编号  Y
            "busiId"      : param.busiId,          // 业务编号  Y
            "channelId"   : param.channelId,       // 推广渠道编号 N
            "bondAccState": param.bondAccState,    // 证券账户状态 N
            "custName"    : param.custName,        // 客户姓名   N
            "mobileNo"    : param.mobileNo,        // 客户手机号 N
            "idNo"        : param.idNo,            // 客户证件号 N
            "dateStr"     : param.dateStr,         // 查询的月份 N
            "curPage"     : param.curPage,         // 当前页     N
            "pageSize"    : param.pageSize         // 每页大小   N
        };
    });

    // 获取消息列表(1101023)
    mobileService.getMessageList = createFunc(function (param) {
        return {
            "funcNo"   : "1101023",
            "staffId"  : param.staffId,         // 职工编号  Y
            "msgId"    : param.msgId,           // 消息编号  N   不传查全部
            "busiId"   : param.busiId,          // 业务编号  Y
            "readState": param.readState,       // 0未读 1已读
            "dateStr"  : param.dateStr,         // 查询的月份 N
            "curPage"  : param.curPage,         // 当前页     N
            "pageSize" : param.pageSize         // 每页大小   N
        };
    });

    // 用户反馈(1101024)
//    mobileService.feedback = createFunc(function (param) {
//        return {
//            "funcNo"       : "1101024",
//            "staffId"      : param.staffId,         // 职工编号  Y
//            "busiId"       : param.busiId,          // 业务编号  N
//            "adviceContent": param.adviceContent,   // 意见内容  Y
//            "contactWay"   : param.contactWay       // 联系方式  N
//        };
//    });
    //用户反馈(1201106)
    mobileService.feedback = createFunc(function (param) {
       return {
          "funcNo"       : "1201106",
          "staffId"      : param.staffId,         // 职工编号  Y
          "busiId"       : param.busiId,          // 业务编号  N
          "adviceContent": param.adviceContent,   // 意见内容  Y
          "contactWay"   : param.contactWay       // 联系方式  N
       };
    });
    //// 注册(1101025)
    //mobileService.register = createFunc(function (param) {
    //    return {
    //        "funcNo"    : "1101025",
    //        "mobileNo"  : param.mobileNo,    // 手机号     Y
    //        "loginPwd"  : param.loginPwd,    // 登录密码   Y
    //        "mobileCode": param.mobileCode   // 短信验证码 Y
    //    };
    //});

    // 上传附件(1101027)
    mobileService.uploadAttachment = createFunc(function (param) {
        return {
            "funcNo"   : "1101027",
            "staffId"  : param.staffId,    // 推广员编码 Y  // 2.个人普通用户 3.认证用户 4.企业用户
            "staffType": param.staffType,  // 推广员类型 Y
            "img_type" : param.img_type,   // 附件类型 Y
            "img_data" : param.img_data    // 图片流   Y
        };
    });

    // 设置或重置提现密码(1101032)
    mobileService.opWithdrawPwd = createFunc(function (param) {
        return {
            "funcNo" : "1101032",
            "staffId": param.staffId,   // 员工编号   Y
            "oldPwd" : param.oldPwd,    // 原提现密码 N  (只在修改密码时需要传)
            "pwd"    : param.pwd,       // 提现密码   Y
            "optype" : param.optype     // 操作类型   Y  0：初始化提现密码 1：修改密码 2：忘记密码
        };
    });

    // 设置或重置提现密码时，校验手机号(1101033)
    mobileService.checkMobileForOpWP = createFunc(function (param) {
        return {
            "funcNo"    : "1101033",
            "staffId"   : param.staffId,   // 员工编号 Y
            "mobileNo"  : param.mobileNo,  // 手机号   Y
            "mobileCode": param.mobileCode // 验证码   Y
        };
    });

    // 提现(1101034)
    mobileService.withdrawCash = createFunc(function (param) {
        return {
            "funcNo"     : "1101034",
            "staffId"    : param.staffId,     // 员工编号   Y
            "pwd"        : param.pwd,         // 登录密码   Y
            "assetNum"   : param.assetNum,    // 提现金额   Y
            "assetSource": param.assetSource  // 资金流向   Y
        };
    });

    //// 获取广告图片(1101035)
    //mobileService.getAdPicture = createFunc(function (param) {
    //    var paramMap = {
    //        "funcNo": "1101035",
    //        "groupNo": param.groupNo          // Y平台标识 不传查询全部 1.PC 2.手机  N
    //    };
    //    if ($.config.platform === "2") {   // Y 1:ios  2:Android 3：WindowMobile
    //        paramMap.adType = "1";
    //    } else if ($.config.platform === "1") {
    //        paramMap.adType = "2";
    //    } else {
    //        paramMap.adType = "3";
    //    }
    //    return paramMap;
    //});

    // 把某个未读消息标记为已读(1101042)
    mobileService.markRead = createFunc(function (param) {
        return {
            "funcNo" : "1101042",
            "staffId": param.staffId,         // 职工编号  Y
            "msgId"  : param.msgId            // 消息编号  Y
        };
    });

    // 上传头像(1101043)
    //mobileService.uploadPhoto = createFunc(function (param) {
    //    return {
    //        "funcNo"   : "1101043",
    //        "staffId"  : param.staffId,         // 职工编号    Y
    //        "photoData": param.photoData        // 头像base64  Y
    //    };
    //});

    // 检测手机号是否已注册(1101044)
    //mobileService.isRegister = createFunc(function (param) {
    //    return {
    //        "funcNo": "1101044",
    //        "mobile": param.mobile           // 手机号      Y
    //    };
    //});

    //// 协议查看(1101045)
    //mobileService.getProtocol = createFunc(function (param) {
    //    return {
    //        "funcNo"  : "1101045",
    //        "typeCode": param.typeCode           // 商户编号    N
    //    };
    //});

    // 个人实名认证(1101046)
    mobileService.personAuth = createFunc(function (param) {
        return {
            "funcNo"      : "1101046",
            "staffId"     : param.staffId,         // 职工编号    Y
            "contactName" : param.contactName,     // 身份证姓名  Y
            "sex"         : param.sex,             // 性别        Y
            "nationality" : param.nationality,     // 民族        Y
            "issuedBy"    : param.issuedBy,        // 发行机关    Y
            "idAddress"   : param.idAddress,       // 证件地址    Y
            "issuedDate"  : param.issuedDate,      // 发行日期    Y
            "invalidDate" : param.invalidDate,     // 失效日期    Y
            "contractIdno": param.contractIdno     // 身份证号码  Y
        };
    });

    // 企业认证或升级企业用户(1101047)
    mobileService.enterpriseAuth = createFunc(function (param) {
        return {
            "funcNo"       : "1101047",
            "staffId"      : param.staffId,         // 职工编号  Y
            "checkType"    : param.checkType,       // 认证类型  Y  2：企业认证(实名还在审核中追加企业认证) 3：用户升级（实名成功后提交企业认证）
            "companyName"  : param.companyName,     // 公司名称  Y
            "orgCode"      : param.orgCode,         // 组织机构代码    Y
            "busiLicense"  : param.busiLicense,     // 工商营业执照号  Y
            "corporateName": param.corporateName    // 法人姓名        Y
        };
    });

    // 获取当前认证状态(1101048)
    mobileService.getAuthState = createFunc(function (param) {
        return {
            "funcNo"   : "1101048",
            "staffId"  : param.staffId,         // 职工编号    Y
            "checkType": param.checkType        // 认证类型    N  1：申请个人认证 2：申请企业认证 3：用户升级  (不传查最新的认证信息)
        };
    });

    // 查询用户详细信息(1101049)
    mobileService.getDetailedInfoOfUser = createFunc(function (param) {
        return {
            "funcNo" : "1101049",
            "staffId": param.staffId          // 职工编号    Y
        };
    });

    // 绑定银行卡(1101050)
    mobileService.bindBank = createFunc(function (param) {
        return {
            "funcNo"        : "1101050",
            "staffId"       : param.staffId,         // 职工编号    Y
            "bankCode"      : param.bankCode,        // 银行编号    Y
            "bankAccount"   : param.bankAccount,     // 银行卡账号  Y
            "bankCardHolder": param.bankCardHolder   // 持卡人姓名  Y
        };
    });

    // 获取提现记录(1101051)
    mobileService.getRecordInfo = createFunc(function (param) {
        return {
            "funcNo"  : "1101051",
            "staffId" : param.staffId,         // 职工编号    Y
            "curPage" : param.curPage,         // 当前页数    N
            "pageSize": param.pageSize         // 分页大小    N
        };
    });

    // 绑定或者修改银行卡之前，用登录密码验证身份(1101052)
    mobileService.checkPwdBeforeOpBank = createFunc(function (param) {
        return {
            "funcNo" : "1101052",
            "staffId": param.staffId,   // 职工编号    Y
            "pwd"    : param.pwd        // 登录密码    N
        };
    });

    // 修改推广员昵称(1101053)
    mobileService.modifyNickname = createFunc(function (param) {
        return {
            "funcNo"  : "1101053",
            "staffId" : param.staffId,         // 职工编号    Y
            "nickName": param.nickName         // 昵称        Y
        };
    });

    // 校验提现密码是否正确(1101057)
    mobileService.checkWithdrawPwd = createFunc(function (param) {
        return {
            "funcNo"       : "1101057",
            "staffId"      : param.staffId,         // 职工编号    Y
            "withDrawalPwd": param.withDrawalPwd    // 提现密码    Y
        };
    });

    // 根据邮箱后缀获取机构信息(1101058)
    mobileService.getOrgInfo = createFunc(function (param) {
        return {
            "funcNo": "1101058",
            "email" : param.email            // 邮箱        Y
        };
    });

    // 机构用户认证(1101059)
    mobileService.orgUserAuth = createFunc(function (param) {
        return {
            "funcNo"   : "1101059",
            "staffId"  : param.staffId,         // 职工编号    Y
            "email"    : param.email,           // 邮箱        Y
            "emailCode": param.emailCode,       // 邮箱验证码  Y
            "name"     : param.name,            // 真实姓名    Y
            "orgId"    : param.orgId,           // 机构Id      Y
            "orguserId": param.orguserId        // 分支机构ID  Y
        };
    });

    // 经纪人认证(1101060)
    mobileService.brokerAuth = createFunc(function (param) {
        return {
            "funcNo"       : "1101060",
            "staffId"      : param.staffId,         // 职工编号    Y
            "branchNo"     : param.branchNo,        // 营业部号    Y
            "name"         : param.name,            // 真实姓名    Y
            "merStaffId"   : param.merStaffId      // 经纪人编号  Y
            //"merStaffType" : param.merStaffType       //0:经纪人 1:客户经理
        };
    });

    // 注册流程状态修改(1101061)
    mobileService.modifyRegisterState = createFunc(function (param) {
        return {
            "funcNo"       : "1101061",
            "staffId"      : param.staffId,              // 职工编号    Y
            "registerState": param.registerState         // 注册状态    Y  1:注册成功 2:个人 3:机构 4:经纪人或者客户经理 5:经纪人认证成功
        };
    });

    // 获取问题与帮助信息(1101063)
    mobileService.getQuestionList = createFunc(function (param) {
        return {
            "funcNo": "1101063"
        };
    });

    // 获取营业部列表(1101064)
    mobileService.getBranchList = createFunc(function (param) {
        return {
            "funcNo": "1101064"
        };
    });

    // 身份证信息校验(1101065)
    mobileService.checkIDInfo = createFunc(function (param) {
        return {
            "funcNo" : "1101065",
            "staffId": param.staffId,       // 职工编号    Y
            "idno"   : param.idno           // 身份证号    Y
        };
    });

    // 获取经纪人的营业部(1101066)
    mobileService.getBranchListOfBroker = createFunc(function (param) {
        return {
            "funcNo" : "1101066",
            "staffId": param.staffId        // 职工编号    Y
        };
    });

    // 客户分组管理(新增、修改、删除、查询)(1101067)
    //mobileService.putGroupName = createFunc(function (param) {
    //    return {
    //        "funcNo"      : "1101067",
    //        "staffId"     : param.staffId,         // 商户编号 Y
    //        "opFlag"      : param.opFlag,          // 操作类型 Y	1 新增 2 修改 3 删除 4 查询所有分组
    //        "groupName"   : param.groupName,       // 分组名称 N opFlag为1、2时 必须传
    //        "groupId"     : param.groupId          // 分组编号 N opFlag为2、3时 必须传
    //    };
    //});

    // 分组客户管理(新增、删除、查询)(1101068)
    mobileService.putGroupMen = createFunc(function (param) {
        return {
            "funcNo"      : "1101068",
            "staffId"     : param.staffId,         // 商户编号 Y
            "opFlag"      : param.opFlag,          // 操作类型 Y 1 新增 2  删除 3 查询分组所有客户
            "groupId"     : param.groupId,         // 分组编号 Y
            "custId"      : param.custId           // 客户编号 N (多值以#连接) opFlag为1、2时 必须传
        };
    });

    //客户管理(导入、修改、删除、查询)(1101069)
    //mobileService.getCustomList = createFunc(function (param) {
    //    return {
    //        "funcNo"      : "1101069",
    //        "staffId"     : param.staffId,         // 商户编号  Y
    //        "opFlag"      : param.opFlag,          // 客户操作  Y 1 新增 2修改 3  删除 4 查询
    //        "customerType": param.customerType,    // 客户类型  Y 1：潜在客户 2：正常客户
    //        "wechatNumber": param.wechatNumber,    // 微信号    N
    //        "mailNumber"  : param.mailNumber,      // 微信号    N
    //        "qqNumber"    : param.qqNumber,        // 微信号    N
    //        "searchKey"   : param.searchKey,       // 手机号或者姓名    N
    //        "mobile"      : param.mobile,          // 手机号    N
    //        "name"        : param.name,            // 姓名      N
    //        "idno"        : param.idno,            // 证件编号  N
    //        "idtype"      : param.idtype,          // 手机号    N
    //        "fundAccount" : param.fundAccount,     // 资金账号   N
    //        "branchNo"    : param.branchNo,        // 营业部编号 N
    //        "groupId"     : param.groupId,         // 分组编号   N
    //        "custId"      : param.custId,           // 客户编号(多值以#连接) N opFlag为2、3时 必须传
    //        "contactKey"  : param.contactKey,
    //        "searchType"  : param.searchType       // 1全部客户 2普通客户 3 有效客户  4高净值客户
    //    };
    //});

    //用户跟进管理(新增、查询)(1101070)
    mobileService.followUpList = createFunc(function (param) {
        return {
            "funcNo"         : "1101070",
            "staffId"        : param.staffId,         // 用户编号  Y
            "opFlag"         : param.opFlag,          // 操作类型  Y 1 新增 2查询
            "followType"     : param.followType,    // 跟进类型  N 1:计划跟进 2：历史跟进
            "custId"         : param.custId,          // 客户编号  N opFlag为1时 必须传
            "followContent"  : param.followContent,   // 跟进事项  N opFlag为1时 必须传
            "followDate"     : param.followDate       // 跟进时间  N opFlag为1时 必须传
        };
    });

    //客户详情,基础信息详情(1101071)
    mobileService.myCustomBase = createFunc(function (param) {
        return {
            "funcNo"         : "1101071",
            "staffId"        : param.staffId,         // 用户编号  Y
            "custId"         : param.custId           // 客户编号  N
        };
    });

    //客户详情，统计类详情，包括图标信息(1101072)
    mobileService.myCustomCount = createFunc(function (param) {
        return {
            "funcNo"         : "1101072",
            "staffId"        : param.staffId,         // 用户编号    Y
            "custId"         : param.custId,          // 客户编号    Y
            "countNum"       : param.countNum         // 统计日期数量 N 例90天 则传90
        };
    });

    // 获取机构渠道列表(1101073)
    mobileService.getOrgChannelList = createFunc(function (param) {
        return {
            "funcNo"   : "1101073",
            "staffId"  : param.staffId,         // 职工编号 Y
            "channelId": param.channelId        // 渠道编号 N
        };
    });

    mobileService.queryExtendInfo = createFunc(function(param){
        return {
            "funcNo"    :"1101074",
            "startDate" : param.startDate,
            "endDate"   : param.endDate,
            "staffId"   : param.staffId
        };
    });

    mobileService.queryExtendDataStat = createFunc(function(param){
        return {
            "funcNo"      : "1101075",
            "startDate"   :param.startDate,
            "endDate"     :param.endDate,
            "staffId"     :param.staffId,
            "countType"   :param.countType,
            "productType" :param.productType
        };
    });

    //客户资产详情(1101076)
    mobileService.totalAssetList = createFunc(function (param) {
        return {
            "funcNo"         : "1101076",
            "custId"         : param.custId,          // 商户编号        N
            "page"           : param.page,            // 资产分页        Y
            "pageSize"       : param.pageSize         // 资产每页个数     Y
        };
    });

    //用户登录信息埋点(1101077)
    mobileService.getDeviceInfo = createFunc(function (param) {
        return {
            "funcNo"         : "1101077",
            "staffId"        : param.staffId,
            "deviceId"       : param.deviceId,          // 商户编号        N
            "subscriberId"   : param.subscriberId,
            "brand"          : param.brand,          // 商户编号        N
            "mobileNo"       : param.mobileNo,
            "osType"         : param.osType,          // 商户编号        N
            "version"        : param.version,
            "deviceName"     : param.deviceName,          // 商户编号        N
            "localModel"     : param.localModel,
            "ip"             : param.ip,          // 商户编号        N
            "macAddress"     : param.macAddress,
            "deveiceModel"   : param.deveiceModel         // 商户编号        N
        };
    });

    mobileService.queryProductInfo = createFunc(function(param){
        return {
            "funcNo"    : "1101078",
            "startDate" : param.startDate,
            "endDate"   : param.endDate,
            "staffId"   : param.staffId,
            "productId" : param.productId,
            "channelId" : param.channelId
        };
    });

    //获取产品的列表(1101079)
    mobileService.queryProductTypes = createFunc(function(param){
        return {
            "funcNo" : "1101079"
        };
    });

    //机构用户的二维码(1101080)
    mobileService.getOrgQRcode = createFunc(function (param) {
        return {
            "funcNo"         : "1101080",
            "staffId"        : param.staffId,
            "busiId"         : param.busiId,
            "orgChannelId"   : param.orgChannelId,
            "paramValues"    : param.paramValues
        };
    });

    mobileService.queryChannelDataStat = createFunc(function(param){
        return {
            "funcNo"     : "1101081",
            "startDate"  : param.startDate,
            "endDate"    : param.endDate,
            "staffId"    : param.staffId,
            "countType"  : param.countType
        };
    });

    mobileService.pushSetting = createFunc(function(param){
        return {
            "funcNo"    	: "1101082",
            "staffId"   	: param.staffId,
            "opType"   		: param.opType,
            "iosToken"   	: param.iosToken,
            "androidToken"	: param.androidToken
        };
    });

    //查询产品流程节点
    mobileService.productData = createFunc(function(param){
        return {
            "funcNo"    	: "1101083",
            "productType"   : param.productType,
            "typeName"   	: param.typeName,
            "productId" 	: param.productId
        };
    });



    mobileService.validateStaffNo = createFunc(function(param){
        return {
            "funcNo"  : "1101084",
            "staffId" : param.staffId,
            "agentNo" : param.agentNo
        };
    });

    // 生成分享流水(1101102)
    mobileService.createGuideSerial = createFunc(function (param) {
        return {
            "funcNo"     : "1101102",
            "staffId"    : param.staffId,     // 职工编号    Y
            "busiId"     : param.busiId,      // 产品编号    Y
            "channelId"  : param.channelId,   // 渠道编号    N
            "paramValues": param.paramValues, // 参数值      N
            "marketWay"  : param.marketWay,   // marketWay   Y  1 链接   2 二维码
            "batchNumber": param.batchNumber  // 批次号      N
        };
    });
    
    // 生成渠道流水(1201610)
    mobileService.getStoreChannel = createFunc(function (param) {
        return {
            "funcNo"     : "1201610",
            "userId"     : param.userId,     // 职工编号    Y
            "channelId"  : param.channelId,  // 渠道编号    Y
            "branchNo"  : param.branchNo,
            "telPhone"  : param.telPhone
        };
    });

    //
    //String mobileNo = getAndCheckStrParam("mobileNo");  //手机号
    //String loginPwd = getAndCheckStrParam("loginPwd");  //登录密码
    //String iosToken = this.getStrParameter("token");//苹果手机的token值
    //String androidToken = this.getStrParameter("androidToken"); //安卓手机token值
    //
    ////登录手机信息
    //String ostype = this.getStrParameter("ostype"); //系统类型 1：android  2 : ios  3 : pc 4: windowPhone 5 pad
    //String device_id = this.getStrParameter("deviceId"); //
    //String subscriber_id = this.getStrParameter("subscriberId"); //
    //String brand = this.getStrParameter("brand"); //手机品牌
    //String model = this.getStrParameter("model"); //手机型号
    //String version = this.getStrParameter("version"); //系统版本号
    //String device_name = this.getStrParameter("deviceName");	//设备名称
    //String device_model = this.getStrParameter("deviceModel");	//设备模式
    //String local_model = this.getStrParameter("localModel");	//本地设备模式
    //String ip_address = this.getStrParameter("ip");	//IP地址
    //String mac_address = this.getStrParameter("mac_address");	//MAC地址

    // 账号登陆接口(1201001)
    mobileService.login = createFunc(function (param) {
        var paramMap = {
            "funcNo"    : "1201001",
            "mobileNo"  : param.mobileNo,       // 手机号码 不能与merStaffId同时为空
            "loginPwd"  : param.loginPwd,       // 登陆密码 Y
            "userId"    : param.userId,          //账户切换登录  N
            "postType"    : param.postType          //账户切换登录  N
        };
        if ($.device.ios) {
            paramMap.ostype = "2"
        }else if($.device.android){
            paramMap.ostype = "1"
        }else{
            paramMap.ostype = "3"
        }
//ceshi

        //获取设备SDK版本号
        var systemVersion = $.callMessage({
            "funcNo": "50021"
        });
        if(systemVersion.error_no == "0"){
            paramMap.version =systemVersion.results[0].systemVersion;
        }


        //获取设备MAC地址
        var macData = $.callMessage({
            "funcNo": "50024"
        });
        if(macData.error_no == "0"){
            paramMap.mac_address =macData.results[0].mac;
        }

        if ($.config.platform !== "0") {

            var deviceData = $.callMessage({
                "funcNo": "50022"
            });
            if (deviceData.error_no == "0") {
                paramMap.deviceId = deviceData.results[0].deviceToken;
            }
        }

        // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
        //if ($.config.platform !== "0") {
        //
        //    var tokenData = $.callMessage({
        //        "funcNo": "70001"
        //    });
        //
        //    var deviceToken = "";
        //    if (tokenData.error_no == "0") {
        //        deviceToken = tokenData.results[0].deviceToken.replace(/\s/g, "");
        //        //$.setSStorageInfo("token",deviceToken);
        //        ////当消息推送的开发有开的时候，才发送这个入参
        //        //var op = $.getLStorageInfo('msgSwitch');
        //        //if(op == '1') {
        //        if ($.device.ios) {
        //            paramMap.iosToken = deviceToken;
        //        } else if ($.device.android) {
        //            paramMap.androidToken = deviceToken;
        //        }
        //        //}
        //    }
        //}
        return paramMap;
    });

    // 注册(1201002)
    mobileService.register = createFunc(function (param) {
        return {
            "funcNo"     : "1201002",
            "mobileNo"   : param.mobileNo,    // 手机号     Y
            "loginPwd"   : param.loginPwd,    // 登录密码   Y
            "employeeNo" : param.employeeNo,   // 经济人编号 Y
            "staffName"  : param.staffName,    // 姓名
            "oaAccount"  : param.oaAccount,    // 登录密码   Y
            //"branchNo"  : param.branchNo,   // 短信验证码
            "merStaffId" : param.merStaffId,   // 短信验证码
            "job"        : param.job   // 短信验证码  "merStaffId":
        };
    });


    // 手机号码查询是否可注册(1201003)
    mobileService.isInRegister = createFunc(function (param) {
        return {
            "funcNo"     : "1201003",
            "mobileNo"   : param.mobileNo       // 手机号码 Y
        };
    });

    // 发送手机验证码或者发送短信(1201004)
    mobileService.getSmsCode = createFunc(function (param) {
        return {
            "funcNo"     : "1201004",
            "staffId"    : param.staffId,         //用户id
            "mobileNo"   : param.mobileNo,       // 手机号码 Y
            "msgType"    : param.msgType,         // 0：注册，1：修改密码 2
            "verify_code": param.verify_code,
            "mobileKey"  : param.mobileKey       // 手机号码 Y
        };
    });

    // 注册验证码验证(1201005)
    mobileService.codeConfirm = createFunc(function (param) {
        return {
            "funcNo"     : "1201005",
            "staffId"    : param.staffId,             // 员工Id Y
            "mobileNo"   : param.mobileNo,           // 手机号      Y
            "mobileCode" : param.mobileCode,         //短信验证码   Y
            "codeType"   : param.codeType           //0注册验证码 1忘记密码 2修改密码
        };
    });

    // 提交修改后的密码(1201006)
    mobileService.modifyPwd = createFunc(function (param) {
        return {
            "funcNo"  : "1201006",
            "oldPwd"  : param.oldPwd,          // 原登陆密码  Y
            "newPwd"  : param.newPwd,          // 新登录密码  Y
            "mobileNo": param.mobileNo,        // 手机号码     N (opType为1时需传)
            "opType"  : param.opType           // 密码操作类型 Y  0：修改密码 1：忘记密码
        };
    });
    
//    // 重置登录密码时，校验手机号(1101021)
//    mobileService.checkMobileNo = createFunc(function (param) {
//        return {
//            "funcNo"    : "1101021",
//            "staffId"   : param.staffId,      // 员工Id Y
//            "mobileCode": param.mobileCode,   // 短信验证码   Y
//            "mobileNo"  : param.mobileNo,     // 手机号码     Y
//            "opType"    : param.opType        // 密码操作类型 Y   0：修改密码 1：忘记密码
//        };
//    });

    // 修改推广员的个人信息 (0：查询，1：新增)(1201007)
    mobileService.saveUserInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201007",
            "staffId"       : param.staffId,         // 推广员ID  Y
            "actionType"    : param.actionType,      // 操作类型  Y，0：查询，1：修改
            "photoPath"     : param.photoPath,       //头像路径   N
            "newMobileNo"   : param.newMobileNo,     //新手机号码 N
            "sex"           : param.sex,             // 性别，1：男  2：女 N
            "pushUserId"    : param.pushUserId       //消息推送用户id

        };
    });

    //查询所有爆款获客、增值签约主题信息
    mobileService.queryAllSubjectInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201008"
        };
    });

    // 上传头像(1201009)
    mobileService.uploadPhoto = createFunc(function (param) {
        return {
            "funcNo"    : "1201009",
            "staffId"   : param.staffId,          // 职工编号    Y
            "photoData" : param.photoData,        // 头像base64  Y
            "photoType" : param.photoType         // 0:头像 1:背景图
        };
    });

    // 通讯录排序(1201010)
    mobileService.getLetter = createFunc(function (param) {
        return {
            "funcNo"        : "1201010",
            "custArr"       : param.custArr         // 推广员ID  Y
        };
    });

   
    //String staffId = getAndCheckStrParam("staffId");
    //String osType = getAndCheckStrParam("osType");  //系统类型 1：android  2 : ios  3 : pc 4: windowPhone 5 pad
    //String loginAnalyseId = getStrParameter("loginAnalyseId");  //登录记录时间主键用于登出时间记录

    // 退出登录(1101002//1201011)
    mobileService.logout = createFunc(function (param) {
        var paramMap = {
            "funcNo"         : "1201011",
            "staffId"        : param.staffId,        // 职工编号
            "loginAnalyseId" : param.loginAnalyseId  //记录登录时间表的id用于退出登录的时候记录上去 Y
        };
        if ($.config.platform === "2") {
            paramMap.osType = "2";
        } else if ($.config.platform === "1") {
            paramMap.osType = "1";
        } else {
            paramMap.osType = "3";
        }
        return paramMap;
    });


    // 查看功能介绍(1201810)
    mobileService.queryAbout = createFunc(function (param) {
        return {
            "funcNo"     : "1201810",
        };
    });
    
    // 提交修改后的手机号码(1201013)
    mobileService.staffRoleInfo = createFunc(function (param) {
        return {
            "funcNo"     : "1201013",
            "actionType" : param.actionType,           // //操作类型，1：查询角色，2：查询多账户
            "userId"     : param.userId          // 新的手机号码  Y
        };
    });


    // 提交修改后的手机号码(1201015)
	  mobileService.modifyMobileNo = createFunc(function (param) {
	      return {
	          "funcNo"    : "1201015",
	          "staffId"   : param.staffId,           // 职工编号 Y
	          "mobileNo"  : param.mobileNo,          // 新的手机号码  Y
	          "mobileCode": param.mobileCode,         // 手机验证码    Y
              "msgType"   : param.msgType
	      };
	  });

    // 获取最近三个月日期(1201103)
    mobileService.getThereMonth = createFunc(function (param) {
        return {
            "funcNo"        : "1201103"
        };
    });


    //查询地址级联(1201104)
    mobileService.queryAddr = createFunc(function (param) {
        return {
            "funcNo"        : "1201104",
            "regionId"      : param.regionId,
            "provinceId"    : param.provinceId
        };
    });

    //查询地址级联(1201105)
    mobileService.queryAddrAll = createFunc(function (param) {
        return {
            "funcNo"        : "1201105"
        };
    });

    //查询客户视图数据(1201110)
    mobileService.queryAssetInfo = createFunc(function (param) {
        return {
            "funcNo"       : "1201110",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "actionType"   : param.actionType,   //0：资产统计查询，1：佣金统计查询
            "dateType"     : param.dateType,     //0：按天，1：按月，2：按年
            "month"	       : param.month,        //按月份查询（yyyy-MM）
            "page"         : param.page,         //当前页数
            "pageSize"	   : param.pageSize,      //每页大小
            "orderBy"      : param.orderBy,       //0:佣金贡献，1：交易量，2：佣金率，3：现资产，4：扎差，5盈亏
            "byType"	   : param.byType ,      //0:升序，1：降序
            "dataKind"     : param.dataKind      //查询数据类型  0、走势图  1、人员信息列表
            
        };
    });

    //查询总资产、佣金历史记录 (1201111)
    mobileService.queryAssetHistroy = createFunc(function (param) {
        return {
            "funcNo"       : "1201111",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "actionType"   : param.actionType,   //0：资产历史记录，1：佣金历史记录
            "month"	       : param.month,        //月份 （传空查月统计记录，传入具体月份，查月份详细记录）
            "page"         : param.page,         //当前页数
            "pageSize"	   : param.pageSize,      //每页大小
            "orderBy"      : param.orderBy,       //0:佣金贡献，1：交易量，2：佣金率，3：现资产，4：扎差，5盈亏
            "byType"	   : param.byType        //0:升序，1：降序
        };
    });

    //查询客户视图数据(1201112)
    mobileService.queryCustViewInfo = createFunc(function (param) {
        return {
            "funcNo"       : "1201112",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "dateType"     : param.dateType,     //0：按日查询，1：按月查询，2：按年查询
            "month"	       : param.month         //按月份查询（yyyy-MM）
        };
    });

    //查询客户视图走势图(1201113)
    mobileService.queryCustViewList = createFunc(function (param) {
        return {
            "funcNo"       : "1201113",
            "staffId"	   : param.staffId       //推广员ID   Y
    };
    });

    //发送邮件，华彩app分享(1201114)
    mobileService.sendEmail = createFunc(function (param) {
        return {
            "funcNo"       : "1201114",
            "emailStr"	   : param.emailStr,       //N发送客户邮箱字符串集合，按","英文逗号隔开
            "custNoStr"    : param.custNoStr,     //N华彩人生客户资金账字符串，按","英文逗号隔开
            "shareTitle"   : param.shareTitle,       //Y邮件标题
            "shareContent" : param.shareContent,   //Y邮件内容
            "CustIdStr"    : param.CustIdStr,      //客户Id串
            "url"          : param.url,            //Y链接
            "subjectId"    : param.subjectId   //Y主题id
            
        };
    });

    //十万资产用户走势图(1201115)
    mobileService.getOverAssetsCust = createFunc(function (param) {
        return {
            "funcNo"       : "1201115",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "dateType"     : param.dateType,     //0：按周查询，1：按月查询，2：按年查询
            "month"	       : param.month         //按月份查询（yyyy-MM）
        };
    });

    //客户资产明细数据(1201117)
    mobileService.getCustFundDetail = createFunc(function (param) {
        return {
            "funcNo"       : "1201117",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "custNo"       : param.custNo,
            "dataKind"     : param.dataKind
        };
    });

    //查询客户列表(1201200)
    mobileService.contactImport = createFunc(function (param) {
        return {
            "funcNo"       : "1201200",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "custStr"      : param.custStr        ////导入客户信息拼接数据，用户按 # 分割，个人具体信息按 $分割(姓名$手机号码||郭晓铃$13445757777)
        };
    });

    //String customerType = this.getStrParameter("customerType");
    //String searchTxt = this.getStrParameter("searchTxt"); //输入查询，姓名、手机号码、资金账号
    //String searchType = this.getStrParameter("searchType"); //查询类型，0：电话号码，1：邮件
    //String staffId = getAndCheckStrParam("staffId");  //推广员ID
    //String sourceType = this.getStrParameter("sourceType"); //客户来源类型 0开户 1理财 2分配 3手动添加 3导入
    //String tags = this.getStrParameter("tags");	//客户标签
    //String subjectId = this.getStrParameter("subjectId"); //主题ID
    //String qyFlag = this.getStrParameter("qyFlag"); //是否已签约
    //String assetLeast = this.getStrParameter("assetLeast");	//客户资产至少
    //String assetMost = this.getStrParameter("assetMost");	//客户资产至多
    //String yjlLeast = this.getStrParameter("yjlLeast");	//佣金率至少
    //String yjlMost = this.getStrParameter("yjlMost");	//佣金率至多
    //String yjAmountLeast = this.getStrParameter("yjAmountLeast"); //总佣金费用至少
    //String yjAmountMost = this.getStrParameter("yjAmountMost"); //总佣金费用至多
    //String risk = this.getStrParameter("risk"); //风险类型
    //查询客户列表(1201201)
    mobileService.getCustomList = createFunc(function (param) {
        return {
            "funcNo"       : "1201201",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "searchTxt"    : param.searchTxt,     //搜索值
            "searchType"   : param.searchType,    // 0电话号码 1邮件 2华彩人生
            "customerType" : param.customerType,  //客户类型1潜在客户2我的客户  N
            "name"         : param.name,          //客户姓名  N
            "mobileNo"	   : param.mobileNo,      //手机号码  N
            "sourceType"   : param.sourceType,    //客户来源类型 0开户 1理财 2分配 3手动添加 3导入  N
            "tags"	       : param.tags,          //客户标签  N
            "subjectIds"   : param.subjectIds,    //主题标签  N
            "productNos"   : param.productNos,    //签约产品  N
            "qyFlag"	   : param.qyFlag,        //是否已签约  N
            "assetLeast"   : param.assetLeast,    //客户资产至少
            "assetMost"	   : param.assetMost,     //客户资产至多 N
            "yjlLeast"	   : param.yjlLeast,      //佣金率至少  N
            "yjlMost"	   : param.yjlMost,       //佣金率至多 N
            "yjAmountLeast": param.yjAmountLeast, //总佣金费用至少  N
            "yjAmountMost" : param.yjAmountMost,  //总佣金费用至多  N
            "risk"	       : param.risk,          //风险类型  N
            "stock"        : param.stock,          //股票持仓查询
            "relationType" : param.relationType,
            "inverstVariet" : param.inverstVariet,
            "inverstTerm" : param.inverstTerm,
            "exprofit" : param.exprofit,
            "is_login_ycf" : param.is_login_ycf
        };
    });

    //手动添加潜在客户(1201202)
    mobileService.addCustomer = createFunc(function (param) {
        return {
            "funcNo"       : "1201202",
            "staffId"	   : param.staffId,       //推广员ID   Y
            "name"         : param.name,          //客户姓名  N
            "mobileNo"	   : param.mobileNo,      //手机号码  N
            "email"        : param.email,    //客户来源类型 0开户 1理财 2分配 3手动添加 3导入  N
            "wechat"	   : param.wechat,          //客户标签  N
            "qq"	       : param.qq     //客户标签  N

        };
    });

    // 客户分组(新增、修改、删除、查询)(1201203)
    mobileService.managerGroup = createFunc(function (param) {
        return {
            "funcNo"      : "1201203",
            "staffId"     : param.staffId,         // 商户编号 Y
            "searchTxt"   : param.searchTxt,       //搜索值
            "actionType"  : param.actionType,      // 操作类型 Y	0查询 1添加 2删除 3修改
            "groupName"   : param.groupName,       // 分组名称 N opFlag为1、2时 必须传
            "groupId"     : param.groupId,         // 分组编号 N opFlag为2、3时 必须传
            "stickFlag"   : param.stickFlag,       // 置顶标识 N 0:不置顶  1:置顶
            "custIds"     : param.custIds          //用户ID，用,分割
        };
    });

    // 用户分组成员管理(新增、修改、删除、查询)(1201204)
    mobileService.managerGroupMan = createFunc(function (param) {
        return {
            "funcNo"      : "1201204",
            "staffId"     : param.staffId,         // 商户编号 Y
            "actionType"  : param.actionType,      // 操作类型 Y	0查询，1添加，2删除
            "groupId"     : param.groupId,         // 分组编号 N opFlag为2、3时 必须传
            "custIds"     : param.custIds         //用户ID，用,分割
        };
    });

    // 客户个人信息查询 (新增、修改、删除、查询)(1201205)
    mobileService.queryCustomerDetail = createFunc(function (param) {
        return {
            "funcNo"      : "1201205",
            "staffId"     : param.staffId,         // 推广员ID
            "custId"      : param.custId,          // 用户ID
            "actionType"  : param.actionType,      // 操作类型 ，0：查询，1：修改 2.删除
            "name"        : param.name,            //姓名
            "mobile"      : param.mobile,          //手机号码
            "wechat"      : param.wechat,          //手机号码
            "email"       : param.email,           //手机号码
            "qq"          : param.qq               //手机号码
        };
    });

    // 跟进计划 (0：查询，1：新增)(1201206)
    mobileService.queryFollowInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201206",
            "staffId"       : param.staffId,         // 推广员ID
            "custId"        : param.custId,          // 用户ID
            "actionType"    : param.actionType,      // 操作类型 ，0：查询，1：新增，2：修改
            "followType"    : param.followType,      //跟进类型，1：计划跟进，2：历史跟进
            "followContent" : param.followContent,   //跟进内容
            "followDate"    : param.followDate,      //跟进时间
            "warnMin"       : param.warnMin,         //提前提醒时间（分钟）
            "oper_type"     : param.oper_type,       //跟进操作类型:1、录入 2、电话
            "followId"      : param.follow_id,       //跟进ID，修改时传入
            "cc_call_type"  : param.cc_call_type,    //cc通话类型
            "call_info"     : param.call_info,        //接通情况
            "outerMobile"   : param.outerMobile,        //客户电话
            "call_mobile_type" : param.call_mobile_type, // 1 手工录入手机号   2已存在手机号
            "service_id"    : param.service_id
        };
    });

    // 获取客户主题信息(1201207)
    mobileService.queryChartInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201207",
            "staffId"       : param.staffId,         // 推广员ID
            "custId"        : param.custId           // 用户ID
        };
    });


    // 跟进计划 (0：查询，1：新增)(1201208)
    mobileService.queryCustomerNum = createFunc(function (param) {
        return {
            "funcNo"        : "1201208",
            "staffId"       : param.staffId        // 推广员ID
        };
    });

    //查询自定义标签(1201210)
    mobileService.fillCustomerTag = createFunc(function (param) {
        return {
            "funcNo"       : "1201210",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "actionType"   : param.actionType,   //操作类型 0查询，1添加，2删除 Y
            "tagName"      : param.tagName,      //标签名称  N
            "tagId"	       : param.tagId ,       //标签ID  N
            "tagType"      : param.tagType,      //标签类型  0公司 1营业部 2自定义
            "dataKind"     : param.dataKind,      //页面  0客户详情页面 1标签页面
            "custId"       : param.custId
        };
    });


    //查询系统标签(1201211)
    mobileService.fillSystemTag = createFunc(function (param) {
        return {
            "funcNo"       : "1201211",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "actionType"   : param.actionType,    //操作类型 0查询系统标签分组，1查询分组内所有可用标签
            "tagTypeNo"    : param.tagTypeNo    //系统标签分组编号  N
        };
    });

    //客户标签管理 (1201212)
    mobileService.customerTag = createFunc(function (param) {
        return {
            "funcNo"       : "1201212",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "actionType"   : param.actionType,   //操作类型  0：查询所有标签、客户已有标签。1：增加客户某个标签。2：删除客户某个标签 3：查询公有私有标签
            "custId"       : param.custId,       //系统标签分组编号  N
            "tagId"        : param.tagId         //系统标签分组编号  N
        };
    });

    //分页获取客户列表 (1201213)
    mobileService.getDBCustomer = createFunc(function (param) {
        return {
            "funcNo"       : "1201213",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "customerType" : param.customerType,  //客户类型1潜在客户2我的客户  N
            "relationType" : param.relationType,
            "orderBy" : param.orderBy,				//排序方式，0：字母顺序，1：创建时间倒序
            "pageIndex"    : param.pageIndex,       //系统标签分组编号  N
            "pageSize"     : param.pageSize         //系统标签分组编号  N
        };
    });

    //分页获取客户签约主题 (1201214)
    mobileService.getCustSubjectSignedInfo = createFunc(function (param) {
        return {
            "funcNo"       : "1201214",
            "staffId"	   : param.staffId,      //推广员ID   Y
            "custId" : param.custId,  //客户ID
            "keyWord" : param.keyWord,	//查询关键字
            "page"    : param.page,       //当前页
            "pageSize"     : param.pageSize        //页码大小
        };
    });
    
    // 查询主题列表(1201401)
    mobileService.getSubjectList = createFunc(function (param) {
        return {
            "funcNo"     : "1201401",
            "userId"	 : param.userId,
            "groupIdIn"  : param.groupIdIn,
            "searchTxt"  : param.searchTxt,
            "typeId"	 : param.typeId
        };
    });

    // 获取业务参数(1201402)
    mobileService.getSubjectParam = createFunc(function (param) {
        return {
            "funcNo"    : "1201402",
            "productId" : param.productId,               // 业务编号 Y
            "paramKey"  : param.paramKey             // 参数key  N
            //"ramdom"  : Math.random()               // 随机数，绕过框架对相同入参的调用的限制
        };
    });

    // 获取产品类型(1201403)
    mobileService.getProductType = createFunc(function (param) {
        return {
            "funcNo"     : "1201403"
        };
    });

    // 查询主题详情接口（华西）(1201404)
    mobileService.queryProductDetail = createFunc(function (param) {
        return {
            "funcNo"     : "1201404",
            "subjectId"  : param.subjectId
        };
    });
    
    // 查询活动主题详情接口（华西）(1201424)
    mobileService.queryProductDetail1 = createFunc(function (param) {
        return {
            "funcNo"     : "1201424",
            "subjectId"  : param.subjectId
        };
    });
    
    // 查询活动主题详情接口（华西）(1201425)
    mobileService.queryStaffInfo = createFunc(function (param) {
        return {
            "funcNo"     : "1201425",
            "subjectId"  : param.subjectId,
            "pageIndex"  : param.pageIndex,       //系统标签分组编号  N
            "pageSize"   : param.pageSize         //系统标签分组编号  N
        };
    });
    
    // 查询主题列表接口（用于展业列表勾选展示）(1201405)
    mobileService.queryProductChooseList = createFunc(function (param) {
        return {
            "funcNo"    : "1201405",
            "userId"    : param.userId,
            "branchNo"  : param.branchNo,
            "groupType" : param.groupType,
            "channelId" : param.channelId
            
        };
    });
    
    // 个人展业主题查询(1201406)
    mobileService.getStoreProductList = createFunc(function (param) {
        return {
            "funcNo"        : "1201406",
            "shopChanneld"  : param.shopChanneld,
            "subjectKey"    : param.subjectKey
        };
    });
    //增加推广次数
    mobileService.addStaffNum = createFunc(function (param) {
        return {
            "funcNo"        : "1201407",
            "userId"        : param.userId,
            "subjectId"     : param.subjectId
        };
    });
    
    //查询推广次数(1201408)
    mobileService.getStaffNum = createFunc(function (param) {
        return {
            "funcNo"        : "1201408",
            "userId"        : param.userId,
            "subjectId"     : param.subjectId
        };
    });

    //新增客户统计页面
    mobileService.getNewCustData = createFunc(function (param) {
        return {
            "funcNo"        : "1201410",
            "userId"        : param.userId,
            "actionType"    : param.actionType,  //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month
        };
    });

    //新增增值产品签约页面
    mobileService.getNewSignData = createFunc(function (param) {
        return {
            "funcNo"        : "1201411",
            "userId"        : param.userId,
            "actionType"    : param.actionType,  //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,
            "orderBy"       : param.orderBy,
            "byType"        : param.byType
        };
    });

    mobileService.getNewCustInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201412",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,          //month=yyyy-mm
            "queryCriteria" : param.queryCriteria,  //查询条件,默认按新增客户数查询、有效户valCustNum、总资产assetCount
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize  ,      //条数
            "dataKind"      : param.dataKind ,     //查询数据类型  0、总数据  1、人员信息列表
            "type"      	: param.type      //查询数据范围  0、全公司  1、本营业部
        };
    });

    mobileService.queryBannerData = createFunc(function (param) {
        return {
            "funcNo"        : "1201413",
            "userId"        : param.userId
        };
    });

    //增值产品签约排行榜功能号1201414
    mobileService.queryBannerData11 = createFunc(function (param) {
        return {
            "funcNo"        : "1201414",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,          //month=yyyy-mm
            "queryCriteria" : param.queryCriteria,  //查询条件,默认按签约客户量、跟随客户量followCust、总增值收入addedIncome
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize ,       //条数
            "dataKind"      : param.dataKind ,     //查询数据类型  0、总数据  1、人员信息列表
            "type"      	: param.type      //查询数据范围  0、全公司  1、本营业部
        };
    });

    //新增客户详情功能号1201415
    mobileService.getNewCustDetail = createFunc(function (param) {
        return {
            "funcNo"        : "1201415",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize,      //条数
            "dataKind"      : param.dataKind,      //查询数据类型  0、走势图  1、人员信息列表
            "type"          : param.type,
            "orderBy"       : param.orderBy,
            "byType"        : param.byType
        };
    });

    //新客户页面--渠道分页详情1201416
    mobileService.queryNewCustChannelData = createFunc(function (param) {
        return {
            "funcNo"        : "1201416",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "classifyId"    : param.classifyId    //查询条件,默认查询全部
        };
    });

    //签约总增值收入详情1201417
    mobileService.querySignDetail = createFunc(function (param) {
        return {
            "funcNo"        : "1201417",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,     //查询条件,默认查询全部
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize  ,      //条数
            "dataKind"      : param.dataKind      //查询数据类型  0、走势图  1、人员信息列表
        };
    });

    //增值产品签约渠道分布1201418
    mobileService.querySignChannelData = createFunc(function (param) {
        return {
            "funcNo"        : "1201418",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "classifyId"    : param.classifyId,     //查询条件,默认查询全部
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize        //条数
        };
    });

    //增值产品签约--渠道明细功能号1201419
    mobileService.getNewSignChanInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201419",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,           //当操作类型为月的时候，可以按指定月份查询，入参格式为month=yyyy-mm,没有入参默认当月
            "channelId"     : param.channelId,      //渠道ID不能为空
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize ,       //条数
            "dataKind"      : param.dataKind,      //查询数据类型  0、走势图  1、人员信息列表
            "orderBy"       : param.orderBy,       //0总资产 1佣金贡献
            "byType"        : param.byType         // 0 将 1升
        };
    });

    //新客户页面--渠道分页详情1201420
    mobileService.getNewCustChanInfo = createFunc(function (param) {
        return {
            "funcNo"        : "1201420",
            "userId"        : param.userId,
            "actionType"    : param.actionType,     //0 日(day)、1月(month)、年(year),默认为日
            "month"         : param.month,           //当操作类型为月的时候，可以按指定月份查询，入参格式为month=yyyy-mm,没有入参默认当月
            "channelId"     : param.channelId,      //渠道ID不能为空
            "pageIndex"     : param.pageIndex,      //页数
            "pageSize"      : param.pageSize,        //条数
            "dataKind"      : param.dataKind,      //查询数据类型  0、走势图  1、人员信息列表
            "orderBy"       : param.orderBy,       //0总资产 1佣金贡献
            "byType"        : param.byType         // 0 将 1升
        };
    });


    //渠道详情页面--筛选条件1201421
    mobileService.getChannelType = createFunc(function (param) {
        return {
            "funcNo"        : "1201421",
            "userId"        : param.userId
        };
    });
    
    // 查询主题详情接口（华西）(1201422)
    mobileService.queryProductStatus = createFunc(function (param) {
        return {
            "funcNo"     : "1201422",
            "subjectId"  : param.subjectId
        };
    });
    
    // 查询产品签约客户详情（华西）(1201422)
    mobileService.queryProductInfo = createFunc(function (param) {
        return {
            "funcNo"     : "1201423",
            "userId"     : param.userId,
            "actionType" : param.actionType,
            "month"      : param.month,
            "pageIndex"  : param.pageIndex,      //页数
            "pageSize"   : param.pageSize,        //条数
            "productNo"  : param.productNo,
            "dataKind"   : param.dataKind,
            "orderBy"    : param.orderBy,       //
            "byType"     : param.byType         //0：升序，1：降序
            
        };
    });
    
    
    
    
    // 获取渠道列表(1201600)
    mobileService.getChannelList = createFunc(function (param) {
        return {
            "funcNo"      : "1201600",
            "userId"      : param.userId,         // 员工编号 Y
            "type"        : param.type,           // 渠道类型 N
            "channelId"   : param.channelId,      // 渠道名称 N
            "isAll"       : param.isAll           //是否查询所有渠道 0 for 1 是
        };
    });
//联系人json格式[{channelLeading:张三,channelLevel:客户经理,channelPhone:18670347301,isMain:1}] (isMain:0非主要，1主要)
//    String principalJson = this.getStrParameter("principalJson");

    // 添加推广渠道(1201607)
    mobileService.manChannel = createFunc(function (param) {
        return {
            "funcNo"        : "1201607",
            "staffId"       : param.staffId,         // 职工编号 Y
            "handleType"    : param.handleType,      // 管理类型 Y    管理类型  0：增加  1：关闭  2：激活 3：修改  4:删除  5:查询私有渠道
            "channelId"     : param.channelId,       // 推广渠道编号 N
            "classifyType"  : param.classifyType,    //渠道类型，0：线上，1：线下
            "classifyId"    : param.classifyId,      // //渠道分类
            "activeFlag"    : param.activeFlag,      // 渠道状态 N     0:未激活，1:激活

            "channelName"   : param.channelName,     // 推广渠道名称 N
            "channelExplain": param.channelExplain,  // 渠道描述 N
            "channelAddr"   : param.channelAddr,     // 地点 N

            //联系人json格式[{channelLeading:张三,channelLevel:客户经理,channelPhone:18670347301,isMain:1}] (isMain:0非主要，1主要)
            "principalJson" : param.principalJson,
            "xzqyId"        : param.xzqyId,         // 区
            "provinceId"    : param.provinceId,       //市
            "cityId"        : param.cityId            //
        };
    });

    // 添加推广渠道(1201608)
    mobileService.queryClassify = createFunc(function (param) {
        return {
            "funcNo"        : "1201608",
            "classifyType"  : param.classifyType   //"0线上1线下
        };
    });

    // 选择展业主题(1201611)
    mobileService.chooseProducts = createFunc(function (param) {
        return {
            "funcNo"    : "1201611",
            "userId"    : param.userId,
            "shopChanneld": param.shopChanneld,
            "productIds": param.productIds,
            "expertIds" : param.expertIds
        };
    });
    
    //  查询个人网店(1201609)
    mobileService.queryUserStore = createFunc(function (param) {
        return {
            "funcNo"    : "1201609",
            "userId"    : param.userId,
            "branchNo"  : param.branchNo,
            "telPhone"  : param.telPhone
        };
    });
    
    /************驾驶舱模块***************/
    //查询驾驶舱首页顶部数据
    mobileService.queryCockpitInfo = createFunc(function (param) {
        return {
            "funcNo"  : "1201700",
            "userId"  : param.userId,
            "employeeNo"  : param.employeeNo,
            "postNo"  : param.postNo,
            "postType"  : param.postType,
            "url"     : param.url,
            "type"    : param.type,
            "datakind"   : param.datakind      //0查询部门数据 1 查询今日看板数据           
        };
    });

    //查询开户记录
    mobileService.queryKhResult = createFunc(function (param) {
        return {
            "funcNo"  : "1201702",
            "userId"  : param.userId,
            "state" : param.state,
            "guideSeq" : param.guideSeq,
            "type" : param.type,
            "currPage": param.currPage,
            "pageSize": param.pageSize,
            "subjectId" : param.subjectId,
            "channelId" : param.channelId,
            "lastStep"  : param.lastStep,
            "datakind"  : param.datakind,
            "searchTxt" : param.searchTxt
        };
    });
    
    //查询新开户——开户数量
    mobileService.queryKhNum = createFunc(function (param) {
        return {
            "funcNo"  : "1201703",
            "userId"  : param.userId  
        };
    });
    
    //查询最新消息类型的前三条消息 
    mobileService.queryTop3NewNotice = createFunc(function (param) {
        return {
            "funcNo"  : "1201705",
            "userId"  : param.userId  
        };
    });
    
    //根据类型查询该类型下所有消息
    mobileService.queryAllMotListByType = createFunc(function (param) {
        return {
            "funcNo"  : "1201706",
            "userId"  : param.userId,
            "motType" : param.motType,
            "curPage" : param.curPage,
            "pageSize": param.pageSize,
            "searchTxt" : param.searchTxt
        };
    });

    //查询各个类型消息下的前三条数据
    mobileService.queryTop3MotByTypes = createFunc(function (param) {
        return {
            "funcNo"  : "1201707",
            "userId"  : param.userId,
            "types"	  : param.types
        };
    });
    
    //公告查询
    mobileService.queryMsgInfo = createFunc(function (param) {
        return {
            "funcNo"  : "1201708",
            "userId"  : param.userId,
            "currPage": param.currPage,
            "pageSize": param.pageSize,
            "msgId"	  : param.msgId,
            "type"    : param.type
        };
    });
    
    //积分信息查询
    mobileService.getIntegralInfo = createFunc(function (param) {
        return {
            "funcNo"  : "1201709",
            "employeeNo": param.employeeNo,   //经纪人编号
            "monthId": param.monthId  ,       //月份
            "postType": param.postType  ,     
            "postNo"  : param.postNo
        };
    });
    
    //排行榜
    mobileService.getRankList = createFunc(function (param) {
        return {
            "funcNo"  : "1201710",
            "type"	  : param.type,
            "monthId": param.monthId,
            "employeeNo" : param.employeeNo,
            "curPage" : param.curPage,
            "pageSize": param.pageSize,
            "postType": param.postType,
            "postNo"  : param.postNo
        };
    });
    
    //开户详情
    mobileService.getEffectDetail = createFunc(function (param) {
        return {
            "funcNo"  : "1201711",
            "guideSeq": param.guideSeq,
            "custId"  : param.custId
        };
    });
    
    //收入详情
  //开户详情
    mobileService.getIncomeInfo = createFunc(function (param) {
        return {
            "funcNo"  : "1201712",
            "employeeNo": param.employeeNo,
            "monthId"  : param.monthId,
            "type"     : param.type
        };
    });
    
    //今日看板数据优化
    mobileService.queryCockpitDay = createFunc(function (param) {
        return {
            "funcNo"  : "1201720",
            "userId"  : param.userId,
            "employeeNo"  : param.employeeNo,
        };
    });
    
    //今日看板详情一级页面分页数据
    mobileService.getPageDataList = createFunc(function (param) {
        return {
            "funcNo"  		: "1201721",
            "userId"  		: param.userId,
            "employeeNo"  	: param.employeeNo,
            "busiType"		: param.busiType ,//业务类型 sign签约 cust客户 amount销量
            "custType"		: param.custType ,//如果是cust,则默认为newCust（只有客户的时候存在切换）
            "pageIndex"     : param.page,      //页数
            "pageSize"      : param.pageSize
        };
    });
    
    //今日看板二级页面签约数据详情
    mobileService.dbPageSignDelList = createFunc(function (param) {
        return {
            "funcNo"  		: "1201722",
            "userId"  		: param.userId,
            "employeeNo"  	: param.employeeNo,
            "busiType"		: param.busiType ,//业务类型 sign签约  amount销量
            "productNo"		: param.productNo ,
            "pageIndex"     : param.page,      //页数
            "pageSize"      : param.pageSize
        };
    });
    
    //根据中间库里的custNO查询mkt库里的custID
    mobileService.getMktCustId = createFunc(function (param) {
        return {
            "funcNo"  		: "1201723",
            "type"  		: param.type,
            "custNo"  		: param.custNo,
            "custId"  		: param.custId,
            "staffId"  		: param.staffId,
            "subjectId"  	: param.subjectId
        };
    });
    
	mobileService.switchMsgBtn = createFunc(function (param) {
        return {
            "funcNo"     : "1201798",
            "actionType" : param.actionType,  //0查询 1修改
            "imUserId"   : param.imUserId,
            "state"      : param.state
        };
    });

    
    // 获取广告图片(1201801)
    mobileService.getAdPicture = createFunc(function (param) {
        var paramMap = {
            "funcNo": "1201801",
            "groupNo": param.groupNo          // Y平台标识 不传查询全部 1.PC 2.手机  N
        };
        //客户端类型:1.ios; 2.android; 3.WindowsMobile; 4.web
        if ($.config.platform === "2") {   // Y 0：浏览器  1:Android 2：ios
            paramMap.adType = "1";
        } else if ($.config.platform === "1") {
            paramMap.adType = "2";
        } else {
            paramMap.adType = "3";
        }
        return paramMap;
    });

    // 协议查看(1201802)
    mobileService.getProtocol = createFunc(function (param) {
        return {
            "funcNo"  : "1201802",
            "typeCode": param.typeCode           // 商户编号    N
        };
    });
    
    //微店专家列表查询
    mobileService.getExpertList = createFunc(function (param) {
        return {
            "funcNo"     : "1201854",
            "searchTxt"  : param.searchTxt,           //搜索内容
            "userId"     : param.userId,           //微店id
            "channelId"  : param.channelId,         //渠道id
            "shopChanneld": param.shopChanneld,         //渠道微店id
        };
    });
    
  //专家标签查询
    mobileService.getExpertTags = createFunc(function (param) {
        return {
            "funcNo"     : "1201853",
        };
    });
    
    /*******管理员驾驶舱模块接口********/
    //驾驶舱部门数据查询(1201500)
    mobileService.getAdminList = createFunc(function (param) {
        return {
            "funcNo"     : "1201500",
            "userId"     : param.userId,        //用户id
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,          //月份
            "datakind"   : param.datakind,       //0查询部门数据 1 查询今日看板数据
            "url"        : param.url,
            "postType"   : param.postType,
            "type"       : param.type
        };
    });
    //看板数据 --新开客&潜客(1201501)
    mobileService.getTodayCust = createFunc(function (param) {
        return {
            "funcNo"     : "1201501",
            "userId"     : param.userId,        //用户id
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "orderBy"    : param.orderBy,       //0:新开客户数，1：潜客数
            "byType"     : param.byType ,        //0：升序，1：降序
            "pageIndex"  : param.pageIndex ,
            "pageSize"   : param.pageSize
        };
    });
    //看板数据 --签约数&跟随数(1201502)
    mobileService.getTodaySign = createFunc(function (param) {
        return {
            "funcNo"     : "1201502",
            "userId"     : param.userId,        //用户id
            "url"        : param.url,
            "type"       : param.type,
            "postType"   : param.postType
            };
    });
    //驾驶舱部门新增客户数据查询(1201503)
    mobileService.getNewAddCustPage = createFunc(function (param) {
        return {
            "funcNo"     : "1201503",
            "userId"     : param.userId,        //用户id
            "deptId"     : param.deptId,
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "queryCriteria" : param.queryCriteria,  //新增客户：custNum,资产：assetNum,净佣金：incomeNum
            "postType"	 : param.postType
        };
    });
    //驾驶舱部门新增客户数据查询(1201504)
    mobileService.getNewAddCustInfo = createFunc(function (param) {
        return {
            "funcNo"     : "1201504",
            "userId"     : param.userId,        //用户id
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "queryCriteria" : param.queryCriteria,  //新增客户：custNum,资产：assetNum,净佣金：incomeNum
            "orderBy"    : param.orderBy,               //0:现资产，1：扎差  2：收益率
            "byType"     : param.byType,                //0：升序，1：降序
            "pageIndex"   : param.pageIndex,
            "pageSize"   : param.pageSize
        };
    });
    //驾驶舱部门新增签约数据查询(1201505)
    mobileService.getNewSignProdPage = createFunc(function (param) {
        return {
            "funcNo"     : "1201505",
            "userId"     : param.userId,        //用户id
            "deptId"     : param.deptId,
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "queryCriteria" : param.queryCriteria,  //签约数：signNum,增值收入：addedIncome
            "postType"	 	: param.postType
        };
    });
    //驾驶舱部门新增签约数据查询(1201506)
    mobileService.getNewSignProdInfo = createFunc(function (param) {
        return {
            "funcNo"     : "1201506",
            "userId"     : param.userId,        //用户id
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "queryCriteria" : param.queryCriteria , //签约数：signNum,增值收入：addedIncome
            "pageIndex"  : param.pageIndex,
            "pageIndex"   : param.pageIndex,
            "pageSize"   : param.pageSize
        };
    });
    //驾驶舱部门新增客户数据查询(1201507)--基于503接口的优化
    mobileService.addCustPageList = createFunc(function (param) {
        return {
            "funcNo"     : "1201507",
            "userId"     : param.userId,        //用户id
            "deptId"     : param.deptId,
            "actionType" : param.actionType,    //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : param.month,         //月份
            "postType"	 : param.postType
        };
    });
    
    //获取上月十万资产客户变化数据
    mobileService.getAssetsChangePreMonth = createFunc(function (param) {
        return {
            "funcNo"     : "1201118",
            "staffId"     : param.staffId,        //用户id
            "changeType"     : param.changeType,        //查询类型
            "orderBy"   : param.orderBy,
            "byType"   : param.byType,
            "page"   : param.page,
            "pageSize"   : param.pageSize
        };
    });
    
    
    //消息推送提醒设置页面接口
    mobileService.MessageSwitch = createFunc(function (param) {
        return {
            "funcNo"     	 : "2013008",
            "user_code"      : param.user_code,
            "task_type"      : param.task_type,
            "push_set"   	 : param.push_set
        };
    });
    
    //事件任务列表展示
    mobileService.eventTaskShow = createFunc(function (param) {
        return {
            "funcNo"     	    : "2013002",
            "class_id"       	: param.class_id,
            "task_name"      	: param.task_name,
            "task_status"       : param.task_status,
            "task_deal_type"    : param.task_deal_type,
            "task_type"         : param.task_type,
            "user_code"   	    : param.user_code
        };
    });
    
    //事件任务统计
    mobileService.eventClassTypeCount = createFunc(function (param) {
        return {
            "funcNo"     	    : "2013003",
            "task_deal_type"    : param.task_deal_type,
            "class_id"       	: param.class_id,
            "task_type"       	: param.task_type,
            "employeeNo"       	: param.employeeNo
        };
    });
    
    //任务列表查询
    mobileService.eventUserTaskShow = createFunc(function (param) {
        return {
            "funcNo"     	    : "2013004",
            "task_deal_type"    : param.task_deal_type,
            "class_id"       	: param.class_id,
            "task_id"       	: param.task_id,
            "task_type"       	: param.task_type,
            "deal_state"		: param.deal_state,
            "employeeNo"       	: param.employeeNo,
            "pageIndex"     	: param.pageIndex,   //页数
            "pageSize"      	: param.pageSize     //条数
        };
    });
    
    
    //场景列表展示
    mobileService.eventClassShow = createFunc(function (param) {
        return {
            "funcNo"     	 : "2013001"
        };
    });
    //任务列表查询
    mobileService.getTaskList = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013004",
            "task_deal_type"         : param.task_deal_type,
            "task_id"                : param.task_id,
            "task_type"              : param.task_type,
            "employeeNo"             : param.employeeNo,
            "keyWord"                : param.keyWord,
            "deal_state"             : param.deal_state,
            "pageIndex"              : param.pageIndex,
            "pageSize"               : param.pageSize
        };
    });

    //任务服务录入
    mobileService.addServiceInput = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013006",
            "task_id"                : param.task_id,
            "deal_type"              : param.deal_type,
            "deal_desc" 		     : param.deal_desc,
            "task_type"              : param.task_type,
            "call_id"                : param.callId,
            "deal_date"              : param.deal_date,
            "task_account_id"        : param.task_account_id,
            "deal_type_name"         : param.deal_type_name,
            "call_info"              : param.call_info,
            "cc_call_code"           : param.cc_call_code,
            "role_type_code"         : param.role_type_code
        };
    });

    //任务服务记录查询
    mobileService.getTaskServiceList = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013007",
            "task_id"                : param.task_id
        };
    });

    // 获取策略话术
    mobileService.getStrategyKeywords = createFunc(function (param){
        return {
            "funcNo"     		     : "2013031",
            "class_id"               : param.class_id,
            "task_type"              : param.task_type
        };
    });

	// 任务服务记录修改
    mobileService.updateServiceInput = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013006",
            "task_id"                : param.task_id,
            "deal_type"              : param.deal_type,
            "deal_desc" 		     : param.deal_desc,
            "task_deal_id"           : param.task_deal_id,
            "task_type"              : param.task_type,
            "deal_date"              : param.deal_date,
            "task_account_id"        : param.task_account_id,
            "deal_type_name"         : param.deal_type_name,
            "call_info"              : param.call_info,
            "service_id"             : param.service_id,
            "cc_call_code"           : param.cc_call_code,
            "role_type_code"         : param.role_type_code
        };
    });

    //移动外呼（双向）
    mobileService.callMobile = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013009",
            "userCode"               : param.userCode,
            "businessType"           : param.businessType,
            "businessId"             : param.businessId,
            "outerMobile"            : param.outerMobile,
            "call_mobile_type"       : param.call_mobile_type // 1 手工录入手机号   2已存在手机号
        };
    });

    //佣金币查询
    mobileService.queryCoinInfo = createFunc(function (param) {
        return {
            "funcNo"     		     : "2002201",
            "custid"                 : param.custid
        };
    });

    //获取二维码详情
    mobileService.queryQrCode = createFunc(function (param) {
        return {
            "funcNo"     		     : "2012005",
            "i_qrcode_id"            : param.i_qrcode_id
        };
    });

    //获取员工二维码列表
    mobileService.queryQrCodeList = createFunc(function (param) {
        return {
            "funcNo"     		     : "2012007",
            "i_broker_code"          : param.i_broker_code,
            "i_status"               : param.i_status
        };
    });
    
    //转介绍活动————查询开户明细
    mobileService.showCustomList = createFunc(function (param) {
        return {
            "funcNo"     		     : "1107010",
            "type"     				 :  param.type, //查询类型（1:交易户；2:注册户）
    		"date"     				 :  param.date, //查询期间(1:昨日;2:本周;3:本月)
    		"sort"     			     :  param.sort,//排序,asc ,desc默认
    		"broker_no"   		     :  param.broker_no, //员工编号
    		"phone"   		     	 :  param.phone //推荐人手机号
        };
    });
    
    //转介绍活动————客户走势图
    mobileService.queryTransationRegist = createFunc(function (param) {
        return {
            "funcNo"     		     : "1107009",
    		"date"     				 :  param.date, //查询期间(1:昨日;2:本周;3:本月)
    		"broker_no"   		     :  param.broker_no, //员工编号
    		"phone"   		     	 :  param.phone //推荐人手机号
        };
    });
    
    //转介绍活动————交易户/注册户详情
    mobileService.showCustomDetail = createFunc(function (param) {
        return {
            "funcNo"     		     : "1107011",
    		"type"     				 :  param.type, //查询类型（1:交易户；2:注册户）
    		"date"					 :  param.date,
    		"sort"     			     :  param.sort,//排序,asc ,desc默认
    		"phone"   		     	 :  param.phone //推荐人手机号
        };
    });

    //获取员工岗位信息
    mobileService.staffPosInfo = createFunc(function (param) {
        return {
            "funcNo"     		     : "2013021",
    		"user_code"     		 :  param.user_code //经纪人营销代码
        };
    });

    //获取转化岗员工开户数量统计
    mobileService.getConvAccountsAmount = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013016",
            "user_code"     		 :  param.user_code, //经纪人营销代码
            "query_date_type"     	 :  param.query_date_type //查询时间
        };
    });

    //获取挖掘岗待挖掘客户数量统计
    mobileService.getDigAccountsAmount = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013020",
            "user_code"     		 :  param.user_code, //经纪人营销代码
            "query_date_type"     	 :  param.query_date_type //查询时间
        };
    });

    //获取渠道岗员工开户数量统计
    mobileService.getChanAccountsAmount = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013012",
            "user_code"     		 :  param.user_code, //经纪人营销代码
            "query_date_type"     	 :  param.query_date_type //查询时间
        };
    });

    //获取转化岗员工开户列表
    mobileService.getConvDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013017",
            "user_code"              :  param.user_code, //经纪人营销代码
            "query_type"             :  param.query_type, //查询类型
            "query_date_type"        :  param.query_date_type, // 查询时间
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //获取转化岗员工开户列表-有效户
    mobileService.getConvValidDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013018",
            "user_code"              :  param.user_code,
            "order_value"            :  param.order_value,
            "order_type"             :  param.order_type,
            "query_date_type"        :  param.query_date_type,
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //获取渠道岗员工开户列表-根节点
    mobileService.getChanRootDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013013",
            "user_code"              :  param.user_code,
            "order_value"            :  param.order_value,
            "order_type"             :  param.order_type,
            "query_date_type"        :  param.query_date_type,
            "channel_id"             :  param.channel_id,
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //获取渠道岗员工开户列表-子节点
    mobileService.getChanDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013022",
            "user_code"              :  param.user_code,
            "order_value"            :  param.order_value,
            "order_type"             :  param.order_type,
            "query_date_type"        :  param.query_date_type,
            "channel_id"             :  param.channel_id
        };
    });

    //查看新开理财（股票）户明细列表
    mobileService.getChanInfoDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013014",
            "user_code"              :  param.user_code,
            "query_date_type"        :  param.query_date_type,
            "query_type"             :  param.query_type, //查询类型
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //查看新增有效户列表
    mobileService.getChanValidInfoDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013015",
            "user_code"              :  param.user_code,
            "query_type"             :  param.query_type,
            "query_date_type"        :  param.query_date_type,
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //获取挖掘岗员工开户列表
    mobileService.getDigDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013019",
            "user_code"              :  param.user_code,
            "order_value"            :  param.order_value,
            "order_type"             :  param.order_type,
            "query_date_type"        :  param.query_date_type,
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //获取主题详情
    mobileService.getSubjectDetail = createFunc(function (param) {
        return {
            "funcNo"     		     :  "1201713",
            "subjectId"              :  param.subjectId
        };
    });

    //获取CC通话类型
    mobileService.getCCCallType = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013024"
        };
    });

    //查询二维码列表-分层
    mobileService.queryQrCodeLevelList = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2012016",
            "i_broker_code"          : param.i_broker_code,
            "i_status"               : param.i_status
        };
    });

    //搜索二维码
    mobileService.queryQrCodeList = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2012017",
            "i_broker_code"          : param.i_broker_code,
            "i_status"               : param.i_status,
            "i_search_str"           : param.i_search_str,
            "pageIndex"              :  param.pageIndex,
            "pageSize"               :  param.pageSize
        };
    });

    //根据员工id获取服务记录
    mobileService.queryServiceLog = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013025",
            "employeeNo"             : param.employeeNo,
            "pageIndex"              : param.pageIndex,
            "pageSize"               : param.pageSize,
            "record_type"            : param.record_type,
            "i_broker_code"          : param.i_broker_code
        };
    });

    //通过用户编号获取可编辑记录”内的记录条数
    mobileService.queryToEditNum = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013026",
            "employeeNo"             : param.employeeNo
        };
    });

    //通过客户编号获取可编辑记录”内的记录条数
    mobileService.queryCustServicelog = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013028",
            "custNo"                 : param.custNo,
            "pageIndex"              : param.pageIndex,
            "pageSize"               : param.pageSize,
        };
    });

    //通过客户编号获取电话号码集合
    mobileService.queryCustPhone = createFunc(function (param) {
        return {
            "funcNo"     		     :  "2013029",
            "custNo"                 : param.custNo
        };
    });
    
    /********************************应用接口结束********************************/
    /**
     * 把URL参数解析为一个对象
     * @url地址
     * */
    function parseQueryString(url){
        var items=url.split("&");
        var result={};
        for(var i=0,len=items.length;i<len; i++){
            var obj = items[i];
            var startIndex = obj.indexOf('=');
            var key = obj.substring(0,startIndex);
            var value = obj.substring(startIndex+1);
            result[key] = value;
        }

        return result;
    }

    /********************************公共代码部分********************************/

    function commonInvoke(paramMap, callback, ctrlParam, reqParamVo) {
        // platform   "0": pc或手机浏览器; "1": android;  "2" :ios
        // op_source  "5": 手机浏览器H5;   "3": android;  "4" ios
        paramMap.op_source = ["5", "3", "4"][$.config.platform];

        if (!reqParamVo) {
            reqParamVo = service.reqParamVo;
            reqParamVo.setUrl(global.serverPath);
        }

        reqParamVo.setReqParam(paramMap);
        ctrlParam = ctrlParam ? ctrlParam : {};
        reqParamVo.setIsLastReq(ctrlParam.isLastReq);
        reqParamVo.setIsAsync(ctrlParam.isAsync);
        reqParamVo.setIsShowWait(ctrlParam.isShowWait);
        reqParamVo.setTimeOutFunc(ctrlParam.timeOutFunc);
        reqParamVo.setErrorFunc(ctrlParam.errorFunc);
        reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
        reqParamVo.setTipsWords(ctrlParam.tipsWords);
        reqParamVo.setDataType(ctrlParam.dataType);
        reqParamVo.setIsGlobal(ctrlParam.isGlobal);
        reqParamVo.setProtocol(ctrlParam.protocol);
        reqParamVo.setCacheTime(ctrlParam.cacheTime);      // 这两行代码必须加上，且不传值，这样框架就不会缓存接口返回的数据。
        reqParamVo.setCacheType(ctrlParam.cacheType);      // 如果没有这两行代码，或是传某个值的话就会缓存接口返回的数据。
        if(global.isSign == 1)
        {
            var param = reqParamVo.getReqParam();
            var bizcode = param['funcNo'];
            var funcs=global.fileterFuncs;
            if(funcs.indexOf(bizcode)==-1){
                delete param['funcNo'];
                $.ssoUtils.checkCookieValidity();
                var signStr = $.ssoUtils.ssoSignFunc(bizcode,param);
                var param = parseQueryString(signStr);
                reqParamVo.setReqParam(param);
            }
        }
        service.invoke(reqParamVo, callback);
    }

    function createFunc(insertParamFunc) {
        return function (param, successFunc, errorFunc, ctrlParam) {
            var paramMap = insertParamFunc(param);
            commonInvoke(paramMap, function (data) {
                // 处理接口返回的数据
                opDataFunc(data, successFunc, errorFunc, ctrlParam);
            }, ctrlParam);
        };
    }

    
    // 处理接口返回的数据
    // successFunc    N
    // errorFunc      N
    function opDataFunc(data, successFunc, errorFunc, ctrlParam) {
        if (data.error_no === "0") {
            if (successFunc) {
                var dsName = data.dsName;
                if (dsName.length > 1) {  // 多个结果集
                    var resultsMap = {};
                    $.each(dsName, function (index, item) {
                        resultsMap[item] = data[item];
                    });
                    successFunc(resultsMap);
                } else {
                    successFunc(data[dsName[0]],data.error_info);
                }
            }
        } else {
            if (errorFunc) {
                errorFunc(data.error_no, data.error_info);
            } else {
                $.alert(data.error_info);
            }

            // 当isLastReq配置为false（即不是最后一个请求时），
            // 如果调用接口失败，要显示关闭遮罩层
            if (ctrlParam && ctrlParam.isLastReq === false) {
                $.hidePreloader();
            }
        }
    }

    module.exports = mobileService;
});
