/**
 * 这里写模块内部的消息处理函数，供原生回调H5
 */
define(function (require, exports, module) {
    var oMyMsgFunction = $.msgFunction;  // 暴露给外部的对象
    var backBtnMarkTime = 0;   //回退的时间间隔
    var model = window.privateSpaceMKT.model;
    var service = require("investService"); // 用户服务接口类

    /**
     * 退出应用程序
     */
    function _exitApp()
    {
        // 短时间第二次点击返回键，则确认退出app
        if(new Date().getTime () - backBtnMarkTime < 2000)
        {
            backBtnMarkTime = 0;
            $.callMessage({
                funcNo: "50105"
            }); // 退出应用
        }
        // 相隔时间大于2秒，则只提示是否退出app
        else
        {
            //$.callMessage({
            //    funcNo: "50106",
            //    content: "再按一次退出应用程序"
            //}); // 退出应用
            $.toast( "再按一次退出应用程序");
            backBtnMarkTime = new Date().getTime();
        }
    }
    /**
     * Android手机的返回键消息处理，原生监听返回键
     * @param paramMap json格式参数
     */
    oMyMsgFunction.function50107 = function (paramMap) {
    //function function50107(paramMap) {
        // 判断是否直接退出
        if(!$.config.isDirectExit)
        {
            // 弹出层消失，弹出层抽象利于处理，返回上一级页面，page增加上一级页面
            var pageLevel = $.getCurPageDom().attr("data-pageLevel");
            if(pageLevel == "1")
            {

                _exitApp();
            }
            else
            {
                $.getCurPageDom().find("#mktGoBack").get(0).click();
                //click();s
                //$.router.back();
                // 返回键
                //try{ $.getCurPageDom().find(".all_back").click();}
                //catch (e){
                //    console.log(e);
                //}
            }
        }
        else
        {
            _exitApp();
        }
    };

    // 原生的信息提示框回调H5
    oMyMsgFunction.function50111 = function (paramMap) {
        if (paramMap) {
            $.alert(paramMap.flag);
        }
    };

    //// 原生的信息提示框回调H5
    oMyMsgFunction.function50113 = function (paramMap) {
        //var currPageObj = $.getCurrentPageObj();
        //require.async(currPageObj.scriptUrl, function (page) {
        //    page.msmTipCallBack(paramMap);
        //});
    };

    // 原生键盘回调H5
    // 原生键盘回调H5，传递点击的值
    oMyMsgFunction.function50212 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            page.keyboardCallback(paramMap);
        });
    };

     //弹出通讯录，用于选择联系人的信息，选择完毕后回调H5
     //说明：通讯录插件的调用必须要写在页面UI的事件处理函数中，否则多模块开发原生无法获取到当前激活的模块从而导致无法回调H5
    //oMyMsgFunction.function70002 = function (paramMap) {
    //    // 选择电话联系人的回调函数
    //    var selPhoneCallback = window.selPhoneCallback;
    //    if (selPhoneCallback) {
    //        selPhoneCallback(paramMap);
    //    }
    //};

    // 通知H5分享后的状态
    // shareType   String    分享平台（数据字典）           Y
    // flag        String    分享状态（0：失败，1：成功)    Y
    // info        String    备注信息  N
    oMyMsgFunction.function50232 = function (paramMap) {
        var tipInfo = paramMap.flag === "1" ? "分享成功" : "";   //;paramMap.info;
        $.callMessage({
            "funcNo" : "50106",
            "content": tipInfo
        });

        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            if(page && page.hasOwnProperty('shareCallback')){
                page.shareCallback(paramMap);
            }
        });
    };

    // 日期控件回调H5
    oMyMsgFunction.function50251 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            page.selDateCallback(paramMap);
        });
    };

    // 上传图片回调
    oMyMsgFunction.function50274 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            page.uploadPhotoCallback(paramMap);
        });
    };

    // 拍照回调
    oMyMsgFunction.function60050 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            page.imgState(paramMap);
        });
    };

    //弹出通讯录回调H5
    oMyMsgFunction.function50226 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            if (page && page.hasOwnProperty('addressState')) {
                page.addressState(paramMap);
            }
        });
    };

    //发送短信回调H5
    oMyMsgFunction.function50227 = function (paramMap) {
        var currPageObj = $.getCurrentPageObj();
        require.async(currPageObj.scriptUrl, function (page) {
            if (page && page.hasOwnProperty('msmCallBack')) {
                page.msmCallBack(paramMap);
            }
        });
    };



    //获取手机信息
    //oMyMsgFunction.function70004 = function (paramMap) {
    //    var currPageObj = $.getCurrentPageObj();
    //    require.async(currPageObj.scriptUrl, function (page) {
    //        if (page && page.hasOwnProperty('getDeviceInfo')) {
    //            page.getDeviceInfo(paramMap);
    //        }
    //    });
    //};

    //原生通知H5用户名密码登录结果
    oMyMsgFunction.function70007 = function (paramMap) {
        //var currPageObj = $.getCurrentPageObj();
        //require.async(currPageObj.scriptUrl, function (page) {
        //    page.getLoginResult(paramMap);
        //});
        //alert(JSON.stringify(paramMap));
        //alert("paramMap.error_no"+paramMap.result.error_no);
        //alert("paramMap.user_id"+ paramMap.result.userId );
        $.setSStorageInfo("imUserId",paramMap.result.userId);
            service.saveUserInfo({
                "staffId"       : model.dataStore.staffId,         // 推广员ID  Y
                "actionType"    : "1",      // 操作类型  Y，0：查询，1：修改
                "pushUserId"    : paramMap.result.userId          //消息推送用户id
            },function(){});
    };

    //原生调h5退出登录  h5被挤下线
    oMyMsgFunction.function80110 = function () {
        // 清空缓存
        $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postIdChannel","postNameChannel","postNo","call_auth","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId"],function(index,item){
            $.clearSStorage(item);
        });
        //$.clearSStorage();
        $.clearLStorage("mobileNo");
        $.clearLStorage("loginPwd");
        // 清理全局对象中缓存的数据
        $.setSStorageInfo("prePage","shellFunction/msgFunction");
        service.logout({"staffId": model.dataStore.staffId}, function () {
            $.pageInit("shellFunction/msgFunction", "account/login");
            model.clear();
        });
    };

    //我这边IM登录成功后调 80111 请求同步用户信息 然后你再发80111 吧用户信息传过来
    oMyMsgFunction.function80111 = function (paramMap) {
        $.callMessage({
            "funcNo"      : "80111",
            "username"    : $.getSStorageInfo("employeeNo"),
            "nickname"    : $.getSStorageInfo("staffName"),
            "thumbpic"    : $.getSStorageInfo("photoPath"),
            "originalpic" : $.getSStorageInfo("photoPath")
        });
    };

    //原生通知H5跳转页面
    oMyMsgFunction.function80112 = function (paramMap) {
        //subject营销 customer客户 cockpit驾驶舱myIndex 我的 adminCockpit 管理员的驾驶舱 adminMyIndex管理员我的页面
        var pageCode = "";
        //var newPage = paramMap.page;
        //if(newPage ==  $.getSStorageInfo("oldPage")){
        //    return;
        //}

        switch (paramMap.page)
        {
            case "subject":
                //oldPage = "subject";
                pageCode = "subject/subject";
                break;
            case "customer":
                //oldPage = "customer";
                pageCode = "customer/view";
                break;
            case "cockpit":
                //oldPage = "cockpit";
                if( $.getSStorageInfo("postNo") == "ivtManager" ||  $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager" ){
                    //if $.getLStorageInfo("postNo")=="investAdviser"){
                    pageCode = "cockpit/cockpitInvest";
                }else{
                    pageCode = "cockpit/cockpit";
                }

                break;
            case "myIndex":
                //oldPage = "myIndex";
                pageCode = "me/myIndex";
                break;
            case "adminCockpit":
                //oldPage = "adminCockpit";
                pageCode = "administrator/adminList";
                break;
            case "adminMyIndex":

                //oldPage = "adminMyIndex";
                pageCode = "me/adminIndex";
                break;
        }
        //$.setSStorageInfo("oldPage",oldPage);
        $.pageInit($.getSStorageInfo("_prePageCode"), pageCode,"","");
    };


    module.exports = oMyMsgFunction;
});
