/**
 * 程序入口配置读取
 * 项目开发时需要的自定义配置
 */
/**
 * 存放对 hsea 的 config，需在 zepto 之后 hsea 之前加载
 *
 * 2016-4-12 10:15:09
 */
define(function(require, exports, module) {
	$.config = {
		/***
		 * 扩展全局配置
		* */
		globalExtend:function(){
			//弹出框架不关闭前一个，默认是关闭
			$.modal.prototype.defaults.closePrevious = false;
			$.modal.prototype.defaults.modalCloseByOutside = true;
			//弹出提示插件默认是ok和cancel，这里可以自定义
			$.modal.prototype.defaults.modalButtonOk = '确定';
			$.modal.prototype.defaults.modalButtonCancel = '取消';
			//重写框架自带效果
			
			//重写小菊花(加载页面会有这个小菊花)
//			$.hideIndicator = function(){};
//			$.showIndicator = function(){};
			//重写加载数据等待层
//			$.showPreloader = function(){};
//			$.hidePreloader = function(){};
//
//          $.toast = function(){
//          	
//          }
            //重写加载页面的菊花
//			$.showIndicatorHtml = function(){};//加载页面等待菊花
//			$.hideIndicatorHtml = function(){};//加载页面隐藏菊花
//          $.toastHtml = function(){}; //加载页面如果断网，会有这个提示$.toastHtml("加载失败");，可以重写
  
			
		},
		
	    /*
	     * 配置默认document.title标题
	     */
	    documentTitle: "猜指数",
	    /**
		 * hSea根路径，项目中的文件uri最终会在项目访问的web路径后添加
		 */
	    seaBaseUrl: "/m/",
		//项目名，默认为project
		projName: "huaxiWheel", //一般为“project”，对应的项目目录名字
		//项目的css目录
		cssPathName: "css",
		//项目的images目录
		imagesPathName: "images",
		//项目的scripts目录
		scriptsPathName: "scripts",
		//项目的views目录
		viewsPathName: "views",
		//壳子文件scripts文件路径
		shellScriptPath: "/shellFunction/msgFunction.js",
		/**
		 * 后端接口返回过滤
		 */
		executeFilter: {
	    	executeFilterFunc: function(data)
	    	{	    		
	    		if(data.errorNo === '-999')//未登录
	    		{	    			
	    			//这里
	    			$.pageInit(null,'./views/login/',{});			
	    			return false;
	    		}else
	    		{
	    			return true;
	    		}
	    		
	    	}
		},
		//引导页
		guidePage: {"pageCode": "", "jsonParam":{}},
		//项目中公用模块的别名配置(根目录为seaBaseUrl)
		pAlias: {
			"isSupportUpdateApp": true,     // 添加加签配置
            "ssoSignKey"        : "BDmmrGbedzrcRHI4e2Ri7NEV7W9ETGV8++T+Ba6DuzKfkq9sMVgDpHj/tOr0/1JJY3gzNnCzzDCvKWLInZYHKNT/CkAwfLFl",
            "isSign"            : 1,    //是否加签，否表示不加钱
            "encryMode"         : "des",
			"common": "huaxiWheel/scripts/common/common.js",//框架公共JS
			"mobileService": "huaxiWheel/services/mobileService.js",//和服务器通讯service
			"investService"      : "huaxiWheel/services/investService.js",
			"rsa"                : "2.0.0/js/plugins/endecrypt/scripts/rsa",            // 加密
            "des"                : "2.0.0/js/plugins/endecrypt/scripts/des",
            "md5"                : "2.0.0/js/plugins/endecrypt/scripts/md5",              // 加密
			"actService": "huaxiWheel/services/actService.js",//
			"msgFunction": "huaxiWheel/shellFunction/msgFunction.js",
			"mobiscrollUtils": "2.0.0/js/plugins/mobiscroll/scripts/mobiscrollUtils.js",
			"ssoUtils": "2.0.0/js/plugins/sso/scripts/ssoUtils.js",//统一登录签名工具类
			"keyPanel": "2.0.0/js/plugins/keypanel/scripts/keyPanel.js",//虚拟键盘
			"vIscroll": "2.0.0/js/plugins/iscroll/scripts/vIscroll.js",//iscroll
			"swipeout":"2.0.0/js/plugins/swipeout/scripts/swipeout.js",//滑动删除-目前只支持jquery
			"swiper":"2.0.0/js/plugins/swiper/scripts/swiper.js",
			"photoBrowser":"2.0.0/js/plugins/swiper/scripts/photoBrowser.js",
			"validator":"2.0.0/js/plugins/validator/scripts/validatorUtils.js",
			"endecryptUtils":"2.0.0/js/plugins/endecrypt/scripts/endecryptUtils.js",
			"imagelazy":"2.0.0/js/plugins/imagelazy/scripts/imagelazy.js",//图片延迟加载jquery
			"sweetalertUtils":"2.0.0/js/plugins/sweeter/scripts/sweetalert.min.js"
		},
		//登录检测(一个模块里面登录只要一个)
		loginCheck: {
			isAsynch: false,//是否异步,默认同步(区别在于如果设置为true，需要等当前异步操作完毕后才会执行后续操作(比如页面跳转))
			//可以是页面pagecode，也可以是页面路径 如果是某个目录下面所有页面都不需要校验
			"pageFilters" : [
			
				['draw','record','draw_cj','record_cj'],[]
				
		    ], //过滤的pageCode,可以绕过登录
		    "checkFunc" : function(url, noAnimation, replace, reload,param,pagecode,prePageCode,_callback,direct){  
		    	console.log('checkFunc~~~~~~~~~~');
		    	//常规登录判断
				var _isLoginIn = $.getSStorageInfo("_isLoginIn",null,{});//是否登录的标志
				if(_isLoginIn === 'true'){//这里必须使用===字符串判断为 true,原因是登录后设置 $.setSStorageInfo("_isLoginIn",'false');或者任何值都会进入
					return true;
				}
				else{	
					$.pageInit(pagecode,'./views/index.html',{});			
					return false;
				}
				
				/*//异步验证,需要在异步返回后执行callback方法
				var urls = $.config.global.server;
				var params = {'version': 1,'funcno': 29999};
				var callback = function(data)
				{
					if(data.errorNo == '0')//已结登录
					{
						_callback(url, noAnimation, replace, reload,param,pagecode,prePageCode);

					}else{//未登录
						$.pageInit(prePageCode,'login/index.html');				
					}
					
				}
				
				$.service.ajax.request(urls, params, $.proxy(callback,this));*/
				
			}
	   },
		/**
		 * 跳转页面时做的权限校验，提供在外面的方法,每次跳转页面都会先执行此方法
		 * moduleAlias为项目通用模块配置的别名，moduleFuncName方法里面写校验规则，返回true或者false，避免写异步的代码
		 * 不配默认为：{}
		 */
		checkPermission: {"moduleAlias":"common", "moduleFuncName":"checkPermission"},
		/**
		 * 第一次加载第一个业务模块前所需要的处理，即启动之后提供给外界初始化的接口，
		 * 这个方法中避免写异步操作，或者保证异步影响其他代码逻辑
		 * moduleAlias为项目通用模块配置的别名，moduleFuncName为执行的方法
		 * 这个配置可以做很多事情，当你从业务模块逻辑上不好实现时，可以考虑这里！！
		 * 是否异步，默认为true,为异步,设置为同步后，会先执行这个初始化方法后才会执行后续模块方法
		 */
		firstLoadIntf: {"moduleAlias": "common", "moduleFuncName":"firstLoadFunc","isAsynch": true},
		/**
		 * 项目中需要调用到的常量、变量这里配置，调用方式，通过require("gconfig").global.*来调用
		 * 不配默认为：{}
		 */
		global: {	
			//是否需要微信登录
			'isWeChatLogin':"0",
			//主cookie名字--sso统一相关配置
			"cookieName":"sso_client_info",
			//"serverPath" : "http://127.0.0.1:8080/servlet/json",
			"serverPath" : "https://mkt.hx168.com.cn/mkts/servlet/json",
			"act_no": "act_cj",
			"isSupportUpdateApp": true,     // 添加加签配置
            "ssoSignKey"        : "BDmmrGbedzrcRHI4e2Ri7NEV7W9ETGV8++T+Ba6DuzKfkq9sMVgDpHj/tOr0/1JJY3gzNnCzzDCvKWLInZYHKNT/CkAwfLFl",
            "isSign"            : 1,    //是否加签，否表示不加钱
            "encryMode"         : "des",
            "fileterFuncs"      : "1101027|1101043|1101017" //配置不需要加密的功能号，不配置表示全部加密
		},
		/**
		 * Android手机返回键处理，退出应用还是返回上级页面，true-退出应用，false-返回页面，默认为true
		 * 如果需要返回上一级页面，并最终提示退出应用，需要改为false，并且在一级页面的html上设置“data-pageLevel="1"”
		 * 不配默认为：true
		 */
		isDirectExit: true,
		/**
		 * ajax请求超时时间设置，默认为30秒之后超时
		 * 不配默认为：30秒
		 * 
		 */
		ajaxTimeout: {
			time: 30,
			//请求超时处理方法
			ajaxTimeoutFunc: function(xhr, textStatus, errorMessage){
				$.alert('数据超时了');
				
			},
			//断网，跨域或者网络请求错误等
			execErrorFunc: function(xhr, textStatus, errorMessage)
			{
				if(textStatus === 'abort')//跨域或者被主动阻断
			    {
			    	$.alert('服务器错误，或者网络异常!');
			    }else{
			    	$.alert('未知错误,请联系开发人员!');
			    }
				
			}
		},
		/**
		 * 缓存扫描器的扫描间隔时间，单位秒
		 * @time 缓存扫描时间
		 * @cacheFuncNoKey用于缓存功能号保存的key--缓存数据接口会用到
		 * @cacheFuncCallbackKey用于返回参数成功标志位的key--缓存数据接口会用到
		 */
		cacheScanInterval: {
			time:10,
			cacheFuncNoKey:['funcno','funcNo'],
			cacheFuncCallbackKey:['errorNo','error_no']
		},
		/*
		 * 是否启用调试模式，1启用，0不启用
		 * */		 
		isDebug: 0,
		sysVersion:"1.0.7",
		/*
		 * 是否将http请求转发给原生去发送,0是否，1是，默认为否,如果为是需要原生支持
		 * 
		 **/
		isFordHttpReq: 0,
		/**
		 * 是否通过mainfest文件管理版本号(默认为1，如果为0则表示通过老版本方式是，在页面增加_sysVersion)
		 * 开发阶段请设置为0，项目测试没问题后，构建的时候设置为1
		 * */
		isMainfest:"0"
	};
	module.exports = $.config;
});