/*
 * 大转盘
 * */

define('huaxiWheel/services/actService.js', function (require, exports, module) {
    /**
     * 构造方法
     * @constructor
     */
    function ActService() {
        this.service = new $.service;
    }
    // 用于存储h5提交请求给原生所有请求对象
    var flowNoMap = {};
    // 暴露方法供原生调用H5方法(传回服务器返回数据结果集)
    var nativeRequestCallback = function (flowNo, resultVo) {
        $.hidePreloader();
        if (resultVo.error_no == 0) {
            flowNoMap[flowNo](resultVo.results);
        } else {
            $.alert(resultVo.error_msg);
        }
        delete flowNoMap[flowNo];
    };

    // 此方法由原生定义
    window.httpsCallback = nativeRequestCallback;

    /********************************公共代码部分********************************/
    ActService.prototype.commonInvoke = function (reqParamVo, callback, ctrlParam) {
        ctrlParam = ctrlParam ? ctrlParam : {};
        reqParamVo.setIsLastReq(ctrlParam.isLastReq);
        reqParamVo.setIsAsync(ctrlParam.isAsync);
        reqParamVo.setIsShowWait(ctrlParam.isShowWait);
        reqParamVo.setTimeOutFunc(ctrlParam.timeOutFunc);
        reqParamVo.setErrorFunc(ctrlParam.errorFunc);
        reqParamVo.setIsShowOverLay(ctrlParam.isShowOverLay);
        reqParamVo.setTipsWords(ctrlParam.tipsWords);
        reqParamVo.setDataType(ctrlParam.dataType);
        reqParamVo.setIsGlobal(ctrlParam.isGlobal);
        reqParamVo.setProtocol(ctrlParam.protocol);
        reqParamVo.setCacheTime(ctrlParam.cacheTime);
        reqParamVo.setCacheType(ctrlParam.cacheType);
        reqParamVo.setReqType(ctrlParam.reqType);

        // 页面将请求发送给原生app(平台为0情况下)
        if ($.config.isFordHttpReq == 1 && $.config.platform != 0) {
            var flowNo = (Math.random() + "").substring(2, 10);
            flowNoMap[flowNo] = callback;
            if (reqParamVo.obj.isShowWait) {
                $.showPreloader();
            }
            require.async('nativePluginService', function (nativePluginService) {
                nativePluginService.function50118(reqParamVo.obj.url, reqParamVo.obj.reqParam, flowNo, reqParamVo.reqType, 30);
            });

        } else {
            this.service.invoke(reqParamVo, callback);
        }

    };


    /***********************************应用接口开始***********************************/
	//查询用户剩余参与次数
	ActService.prototype.selectLeftAttendCount = function(param, callback, ctrlParam) {
		var paraMap = param || {};
		paraMap["bizcode"] = "1201901";
		paraMap["employeeNo"] = param.employeeNo;
		var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl($.config.global.actPath);
		reqParamVo.setReqParam(paraMap);
		this.commonInvoke(reqParamVo, callback, ctrlParam);
	};
	
	//查询奖池金额
	ActService.prototype.queryAmount = function (param, callback, ctrlParam) {
        var paraMap = param || {};
        paraMap["funcNo"] = "1201902";
        var reqParamVo = this.service.reqParamVo;
        reqParamVo.setUrl($.config.global.actPath);
        reqParamVo.setReqParam(paraMap);
        this.commonInvoke(reqParamVo, callback, ctrlParam);  
    };  

	//查询用户中奖信息
	ActService.prototype.queryRecord=function(param, callback, ctrlParam) {
		var paraMap = param || {};
		paraMap["bizcode"] = "1201903";
		paraMap["employeeNo"] = param.employeeNo;
		var reqParamVo =this.service.reqParamVo;
		reqParamVo.setUrl($.config.global.actPath);
        reqParamVo.setReqParam(paraMap);
		this.commonInvoke(reqParamVo, callback, ctrlParam);
	};
	
	//查询所有用户中奖信息
	ActService.prototype.queryAllPrizeUser = function(param, callback, ctrlParam) {
		var paraMap = param || {};
		paraMap["bizcode"] = "1201904";
		var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl($.config.global.actPath);
        reqParamVo.setReqParam(paraMap);
		this.commonInvoke(reqParamVo, callback, ctrlParam);
	};
	
	// 参加活动
	ActService.prototype.attend=function(param, callback, ctrlParam) {
		var paraMap = param || {};	
		paraMap["bizcode"] ="1201905";
		paraMap["employeeNo"] = param.employeeNo;
		var reqParamVo = this.service.reqParamVo;
		reqParamVo.setUrl($.config.global.actPath);
		reqParamVo.setReqParam(paraMap);
		this.commonInvoke(reqParamVo, callback, ctrlParam);
	};
    /***********************************应用接口结束***********************************/

    /**
     * 释放操作
     */
    ActService.prototype.destroy = function () {
        this.service.destroy();
    };

    /**
     * 实例化对象
     */
    function getInstance() {
        return new ActService();
    }

    var actService = {
        "getInstance": getInstance
    };

    module.exports = actService;
});
