/**
 * 这里写模块内部的消息处理函数，供原生回调H5
 */
define('huaxiWheel/shellFunction/msgFunction.js',function(require, exports, module){
	var oMyMsgFunction = $.msgFunction; // 暴露给外部的对象
	
	
	/**
	 * 公用		
	 * 弹出通讯录，用于选择联系人的信息，选择完毕后回调H5
	 * 说明：通讯录插件的调用必须要写在页面UI的事件处理函数中，否则多模块开发原生无法获取到当前激活的模块从而导致无法回调H5
	 * @param funcNo 50223
	 * @param name String 名称 Y
	 * @param phone String 手机号码 Y
	 */
	oMyMsgFunction.function50223 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 日期控件回调H5
	 * 说明：日期控件的调用必须要写在页面UI的事件处理函数中，否则多模块开发原生无法获取到当前激活的模块从而导致无法回调H5
	 * @param funcNo 50251
	 * @param date String 日期 Y
	 * @param selector String H5的元素选择器 N
	 */
	oMyMsgFunction.function50251 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 设置系统软件的主题风格
	 * @param funcNo 50104
	 * @param theme String 主题颜色(见数据字典) Y 0：红色，1：蓝色，2：黑色，3：黄色，9：绿色
	 */
	oMyMsgFunction.function50104 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};

	/**
	 * 公用		
	 * 原生的信息提示框回调H5
	 * @param funcNo 50111
	 * @param flag	String	业务标志	N
	 */
	oMyMsgFunction.function50111 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};

	/**
	 * 公用		
	 * 通知H5分享后的状态
	 * @param funcNo 50232
	 * @param shareType	String	分享平台（数据字典）	Y
	 * @param flag	String	分享状态（0：失败，1：成功)	Y
	 * @param info	String	备注信息	N
	 */
	oMyMsgFunction.function50232 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 验证手势密码中忘记密码，修改账号回调H5
	 * @param funcNo 50262
	 * @param type	String	类型(0：忘记密码，1：修改账号）	N
	 */
	oMyMsgFunction.function50262 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};

	/**
	 * 公用		
	 * 扫描图片二维码的内容回调给H5页面	
	 * @param funcNo 50272
	 * @param content	String	内容	Y
	 */
	oMyMsgFunction.function50272 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 弹出滚动选择器选中后的回调功能
	 * @param funcNo 50253
	 * @param value	String	数据	Y
	 * @param selector	String	H5的元素选择器	N	
	 */
	oMyMsgFunction.function50253 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 上传图片完成回调H5
	 * @param funcNo 50274
	 * @param error_no	String	错误号	Y
	 * @param error_info	String	错误信息	N
	 * @param paramExt	JSON	参数(json格式数据)	N
	 * @param base64Image	String	base64图片格式	Y
	 */
	oMyMsgFunction.function50274 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 回调H5初始化检测相关函数(一般H5模块切换会用)
	 * @param funcNo 50113
	 */
	oMyMsgFunction.function50113 = function(paramMap) 
	{
		$.alert(JSON.stringify(paramMap));
	};
	
	/**
	 * 公用		
	 * 原生键盘回调H5，传递点击的值
	 * @param funcNo 50212
	 * @param pageId	String	页面Id	Y
	 * @param eleId	String	元素Id	Y
	 * @param keyCode	String	按键的编码(见数据字典)	Y
	 */
	oMyMsgFunction.function50212 = function(paramMap) 
	{
		$.alert("此处在为了测试原生回调H5效果，在h5PluginDemo/shellFunction/msgFunction.js中定义了50212功能号，实际开发，请将此处代码删除" + JSON.stringify(paramMap));
	};
	
	

	module.exports = oMyMsgFunction;
});