﻿/**
 * 程序入口配置读取
 * 项目开发时需要的自定义配置
 */
define(function (require, exports, module) {
    $.config = {
        // 扩展全局配置
        globalExtend: function () {
            //第一个是弹出2个alert是否会关闭前一个，第二个参数是比如在等待层的时候，是否点击灰色区域关闭等待层
            //弹出框架不关闭前一个，默认是关闭
            $.modal.prototype.defaults.closePrevious = true; //是否关闭前一个提示框
            $.modal.prototype.defaults.modalCloseByOutside = false; //等待层点击是否关闭
            $.modal.prototype.defaults.modalButtonOk = '确定';
            $.modal.prototype.defaults.modalButtonCancel = '取消';

            //加载页面等待菊花
            $.showIndicatorHtml = function () {
            };
            ////加载页面隐藏菊花
            $.hideIndicatorHtml = function () {
            };
            //接口请求菊花
            $.showPreloader = function () {
            };
            //接口请求菊花
            $.hidePreloader = function () {
            };
            //页面请求异常时
            $.toastHtml = function () {
                $('#loading_layer').hide();
                var result = $.callMessage({"funcNo": "50030"});
                if (result.error_no == 0 && result.results[0].network == 0) {
                    $("#networkLoading").show()
                        .find(".main:eq(0)").show();
                }
		  //      else {
                //    $("#networkLoading").show()
                  //      .find(".main:eq(1)").show();
                //}
            };
        },
        firstLoadIntf: {
            moduleAlias: "common",
            moduleFuncName: "firstLoadFunc"
        },
        // 配置默认document.title标题
        documentTitle  : "营销推广平台",
        // hSea根路径，项目中的文件uri最终会在项目访问的web路径后添加
        seaBaseUrl     : "/m/",
        //项目名，默认为"project", 对应的项目目录名字
        projName       : "ivtShop",
        //项目的css目录
        cssPathName    : "css",
        //项目的images目录
        imagesPathName : "images",
        //项目的scripts目录
        scriptsPathName: "scripts",
        //项目的views目录
        viewsPathName  : "views",
        //壳子文件scripts文件路径
        shellScriptPath: "/shellFunction/msgFunction.js",
        //数据存储前缀
        storagePrefix: 'com.thinkive.yxs.mkt',
		/**
		 * 系统版本号
		 */
		sysVersion: '1.0.2',

        // 后端接口返回过滤
        executeFilter: {
            executeFilterFunc: function (data) {
                var error_no = data.error_no;
                var error_info = data.error_info;
                if (error_no == "-999") {
                    // 修改登录标识
                    $.setSStorageInfo("isLogin", "false");

                    var currPageObj = $.getCurrentPageObj();
                    // 自动登录
                    tryAutoLogin(currPageObj.pageCode, function () {
                        $.setSStorageInfo("isLogin", "true");
                        require.async(currPageObj.scriptUrl, function (page) {
                            page.destroy();
                            page.init();
                        });
                    });
                } else {
                    return true;
                }

                // 自动登录
                function tryAutoLogin(curPageCode, successFunc) {
//                  var mobileNo = $.getLStorageInfo("mobileNo");
//                  var loginPwd = $.getLStorageInfo("loginPwd");
                    var mobileNo = '';
                    var loginPwd = '';
                    // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
                    if ($.config.platform !== "0") {
                        var mobileKey= $.callMessage({
                            "funcNo": "50043",
                            "key"   : "mobileNo"
                        });
                        var pwdKey= $.callMessage({
                            "funcNo": "50043",
                            "key"   : "loginPwd"
                        });
                        if(mobileKey.error_no=='0'){
                            mobileNo = mobileKey.results[0].value;
                        }else{
                            $.toast(mobileKey.error_info);
                        }

                        if(pwdKey.error_no=='0'){
                            loginPwd = pwdKey.results[0].value;
                        }else{
                            $.toast(pwdKey.error_info);
                        }
                    }else{
                        mobileNo = $.getLStorageInfo("mobileNo");
                        loginPwd = $.getLStorageInfo("loginPwd");
                    }
                    
                    if (mobileNo && loginPwd) {
                        // rsaParam: {merStaffId|mobileNo, pwd}
                        window.privateSpaceMKT.myUtils.login({
                            "rsaParam"   : {
                                "mobileNo" : mobileNo,
                                "loginPwd" : loginPwd
                            },
                            "successFunc": successFunc,
                            "errorFunc"  : function () {
                                $.pageInit(curPageCode, "account/login");
                            }
                        });
                    } else {
                        $.pageInit(curPageCode, "account/login");
                    }
                }
            }
        },

        //引导页
        guidePage: {
            "pageCode" : "",
            "jsonParam": {}
        },

        // 项目中公用模块的别名配置(根目录为seaBaseUrl)
        pAlias: {
            "common"             : "ivtShop/scripts/common/common",
            "investService"      : "ivtShop/service/investService",
            "nativePluginService": "ivtShop/shellFunction/nativePluginService",       // 和壳子通讯service
            "validatorUtils"     : "2.0.0/js/plugins/validator/scripts/validatorUtils", // 校验
            "endecryptUtils"     : "2.0.0/js/plugins/endecrypt/scripts/endecryptUtils", // 加密
            "rsa"                : "2.0.0/js/plugins/endecrypt/scripts/rsa",            // 加密
            "des"                : "2.0.0/js/plugins/endecrypt/scripts/des",
            "aes"                : "2.0.0/js/plugins/endecrypt/scripts/aes",
            "sha1"               : "2.0.0/js/plugins/endecrypt/scripts/sha1",
            "base64"             : "2.0.0/js/plugins/endecrypt/scripts/base64",         // 加密
            "md5"                : "2.0.0/js/plugins/endecrypt/scripts/md5",              // 加密
            "hIscroll"           : "2.0.0/js/plugins/iscroll/scripts/hIscroll",
            "highcharts"         : "2.0.0/lib/highcharts",
            "echarts"            : "2.0.0/lib/echarts.min.js",
            "iScroll"			 : "2.0.0/lib/iscroll",
            "refresh"            : "2.0.0/js/plugins/iscroll5/scripts/iscroll-refresh",// iscroll5上下拉刷新,选
            "msgFunction"        : "ivtShop/shellFunction/msgFunction",
            "qrcode"  			 : "ivtShop/scripts/common/qrcode",
            "pickerCity"         : "2.0.0/js/plugins/pickerCity/scripts/city-picker", // 自定义上下滑动组件
            "iscroll"            : "ivtShop/scripts/common/plugins/viscroll/iscroll",
            "pageSlide"          : "ivtShop/scripts/common/compts/pageSlide.js", // 上拉加载、下拉刷新组件
            "cusVIscroll"        : "ivtShop/scripts/common/plugins/viscroll/vIscroll", // 自定义上下滑动组件
            "swiper"             : "2.0.0/js/plugins/swiper/scripts/swiper.js", // 客户标签拖拽

            // 数据获取model
            "model"  : "ivtShop/scripts/model/model",
            // 自定义工具方法模块
            "myUtils": "ivtShop/scripts/model/myUtils",
            //针对于参数进行加签，防止第三方拦截得到用户请求明文信息
	  // 自定义项目上公用的模块
            "myProject": "ivtShop/scripts/model/myProject",

            "ssoUtils": "2.0.0/js/plugins/sso/scripts/ssoUtils"

        },

        //登录检测(一个模块里面登录只要一个)
        loginCheck: {
            // 是否异步,默认同步(区别在于如果设置为true，需要等当前异步操作完毕后才会执行后续操作(比如页面跳转))
            isAsynch     : false,
            // 可以是页面pagecode，也可以是页面路径 如果是某个目录下面所有页面都不需要校验
            //过滤的pageCode,可以绕过登录
            "pageFilters": [
                [], []
            ],
            "checkFunc"  : function (url, noAnimation, replace, reload, param, pagecode, prePageCode, _callback, direct) {
                return true;
            }
        },

        // 跳转页面时做的权限校验，提供在外面的方法,每次跳转页面都会先执行此方法
        // moduleAlias为项目通用模块配置的别名，moduleFuncName方法里面写校验规则，返回true或者false，避免写异步的代码
        // 不配默认为：{}
        checkPermission: {
            "moduleAlias"   : "common",
            "moduleFuncName": "checkPermission"
        },

        // 第一次加载第一个业务模块前所需要的处理，即启动之后提供给外界初始化的接口，
        // 这个方法中避免写异步操作，或者保证异步影响其他代码逻辑
        // moduleAlias为项目通用模块配置的别名，moduleFuncName为执行的方法
        // 这个配置可以做很多事情，当你从业务模global块逻辑上不好实现时，可以考虑这里！！
        // 是否异步，默认为true,为异步
        firstLoadIntf: {
            "moduleAlias"   : "common",
            "moduleFuncName": "firstLoadFunc",
            "isAsynch"      : true
        },
        /**
         * 项目中需要调用到的常量、变量这里配置，调用方式，通过require("gconfig").global.*来调用
         * 不配默认为：{}
         */
        global: {
            "callNative": true, //是启用公司app插件调用
            "h5version"         : 1,         // H5版本号
            "isDebug"           : true,      // 此配置项暂时禁止修改
            "isSupportUpdateApp": true,     // 添加加签配置
            "ssoSignKey"        : "BDmmrGbedzrcRHI4e2Ri7NEV7W9ETGV8++T+Ba6DuzKfkq9sMVgDpHj/tOr0/1JJY3gzNnCzzDCvKWLInZYHKNT/CkAwfLFl",
            "isSign"            : 1,    //是否加签，否表示不加钱
            "encryMode"         : "des",
            "fileterFuncs"      : "1101027|1101043|1101017", //配置不需要加密的功能号，不配置表示全部加密
            "countDown"         : 120,       // 发送短信验证码的间隔时间(s)
	    "marketServerPath"  : "https://trade.hx168.com.cn/hqs/market/json?funcno=20029&version=1&stock_code=000300&market=SH&count=30&type=day",     // 行情的地址
            "userIndex"         : "http://wxtest.hx168.com.cn/mkts/m/ivtShop/views/me/store/showStore.html",          // 标准版的引流地址链接
            "signNumUrl"        : "http://wxtest.hx168.com.cn/ycf/api/v1.0/sd/subnum" ,              //签约数查询接口

            "checkUpdate"       : "http://wxtest.hx168.com.cn/mkts/servlet/json?funcNo=1108001" ,              //H5升级地址

            "activeUrl"			:"http://wxtest.hx168.com.cn/mkts/m/huaxiWheel/views/draw.html",  //活动入口

            "businessUrl"       : "http://wxtest.hx168.com.cn/mkts/Guider?",          // 标准版的引流地址链接
            "serverPath"        : "http://wxtest.hx168.com.cn/mkts/servlet/json",     // 标准版的测试环境
            "serverAddr"        : "http://wxtest.hx168.com.cn/mkts/",
            "appUrl"            : "http://wxtest.hx168.com.cn/mkts/",                  //

            "getArticeListPath"  : "http://10.33.4.49:9090/ycfgate/api/v2.0/expert/article/list?",     // 行情的地址
           
            	//"businessUrl"       : "http://10.33.4.107:8081/staff/Guider?",          // 标准版的引流地址链接
            //"serverPath"        : "http://10.33.4.107:8081/staff/servlet/json",     // 标准版的测试环境
            //"serverAddr"        : "http://10.33.4.107:8081/staff/",
            //"appUrl"            : "http://10.33.4.107:8081/staff/"               // 更新apk的地址


        },

        // Android手机返回键处理，退出应用还是返回上级页面，true-退出应用，false-返回页面，默认为true
        // 如果需要返回上一级页面，并最终提示退出应用，需要改为false，并且在一级页面的html上设置“data-pageLevel="1"”
        // 不配默认为：true
        isDirectExit: false,

        // ajax请求超时时间设置，默认为30秒之后超时
        // 不配默认为：30秒
        ajaxTimeout: {
            time           : 30,
            //请求超时处理方法
            ajaxTimeoutFunc: function (xhr, textStatus, errorMessage) {
                $('#loading_layer').hide();
                $.callMessage({"funcNo": "50106", "content": "请求超时,请检查网络后重试"});
            },
            //断网，跨域或者网络请求错误等
            execErrorFunc  : function (xhr, textStatus, errorMessage) {
                console.log("execErrorFunc error");
                $('#loading_layer').hide();
                if (textStatus === 'abort') //跨域或者被主动阻断
                {
                    $.callMessage({"funcNo": "50106", "content": "服务器异常，请稍后再试"});
                } else {
                    var result = $.callMessage({"funcNo": "50030"});
                    if (result.error_no == 0 && result.results[0].network == 0) {
                        $("#networkLoading").show()
                            .find(".main:eq(0)").show();
                    }
		      //      else {
                     //   $("#networkLoading").show()
                     //       .find(".main:eq(1)").show();
                    //}
                }
            }
        },

        // 缓存扫描器的扫描间隔时间，单位秒
        // time 缓存扫描时间
        // cacheFuncNoKey         用于缓存功能号保存的key--缓存数据接口会用到
        // cacheFuncCallbackKey   用于返回参数成功标志位的key--缓存数据接口会用到
        cacheScanInterval: {
            time                : 10,
            cacheFuncNoKey      : ['funcno', 'funcNo'],
            cacheFuncCallbackKey: ['errorNo', 'error_no']
        },

        // 是否启用调试模式，1启用，0不启用
        isDebug: 0,

        // 是否将http请求转发给原生去发送,0否，1是，默认为否,如果为是需要原生支持
        isFordHttpReq: 0,
        /**
         * 是否启用页面切换动画设置,默认启用设置为1
         */
        isUsePageEffest: 1
    };
    module.exports = $.config;
});