define("financial/scripts/account/checkPwd.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var type;
    var $page = $("#account_checkPwd");
    var dataMap;
    initDataMap();
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    
    function load() {

    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 同步密码
        $.bindEvent($page.find("div.fm_item input"), function () {
            var $this = $(this);
            var value = $this.val();
            $this.siblings("input").val(value);
            if($this.val().length === 0){
                $(this).siblings("a.icon_eye").hide();
            }else{
                $(this).siblings("a.icon_eye").show();
            }
            // 设置按钮状态
            setBtnStatus();
        }, "input");

        // 切换明文、密文
        $.bindEvent($page.find("div.fm_item a.icon_eye"), function () {
            // visible   hide
            var $this = $(this);
            var textInput = $this.prev();
            var pwdInput = textInput.prev();
            if ($this.hasClass("close")) {
                pwdInput.hide();
                textInput.show();
                $this.attr("class", "icon icon_eye open");
            } else {
                pwdInput.show();
                textInput.hide();
                $this.attr("class", "icon icon_eye close");
            }
        });

        // 清空密码框
        $.bindEvent(jQueryMap.content.clearBtn, function () {
            jQueryMap.content.pwdInput.val("").next().val("");
            jQueryMap.content.clearBtn.hide();
            // 设置确认按钮状态
            setBtnStatus();
        });

        // 点击校验密码按钮
        $.bindEvent(jQueryMap.content.checkBtn, function () {
            if (jQueryMap.content.checkBtn.hasClass("disabled")) {
                return false;
            }
            // 校验密码
            checkPwd();
        });
    }

    function destroy() {
        // 重置页面元素
        clearPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "title": $page.find("h1.title")
            },
            "content": {
                "allPwdInput": $page.find("ul.modify_list1 li input"),
                "pwdInput"   : $page.find("#pwd_input"),
                "clearBtn"   : $page.find("#clear_btn"),
                "switchBtn"  : $page.find("#switch_btn"),
                "checkBtn"   : $page.find("#check_btn"),
                "errorTipBox": $page.find("#error_tip_box")
            }
        };
    }

    function initPage() {
        myUtils.switchProcess({
            "processMap": {
                "me/myData/myUserInfo|withdraw/bankDetail|withdraw/withdrawCash": function () {
                    type = $.getPageParam("type");
                    jQueryMap.header.title.text(dataMap[type].title);
                }
            }
        });
    }

    function initDataMap() {
        dataMap = {
            "modifyMobileNo": {
                "title": "修改手机号"
            },
            "bindBank"      : {
                "title": "绑定银行卡"
            }
        };
        // 修改手机号之前验证身份
        dataMap.modifyMobileNo.checkPwdFunc = function (loginPwd) {
            myUtils.login({
                "loginParam" : {
                    "mobileNo"     : $.getLStorageInfo("mobileNo"),
                    "loginPwd"     : loginPwd
                },
                "successFunc": function () {
                    $.pageInit("account/checkPwd", "me/myData/modifyMobileNo");
                },
                "errorFunc"  : function () {
                    tipPwdErrorInfo("登录密码不正确");
                },
                "isCache"    : false
            });
        };
        // 绑定或修改银行卡之前验证身份
        dataMap.bindBank.checkPwdFunc = function (loginPwd) {
            myUtils.doRSA({"loginPwd": loginPwd}, function (rsaMap) {
                service.checkPwdBeforeOpBank({
                    "staffId": model.dataStore.staffId,
                    "pwd"    : rsaMap.loginPwd
                }, function () {
                    $.pageInit("account/checkPwd", "withdraw/bindBank");
                }, function (error_no, error_info) {
                    tipPwdErrorInfo(error_info);
                });
            });
        }
    }

    // 提示密码错误信息
    function tipPwdErrorInfo(tipInfo) {
        jQueryMap.content.errorTipBox.text(tipInfo).fadeIn("fast");
        setTimeout(function () {
            jQueryMap.content.errorTipBox.fadeOut("fast");
        }, 1500);
    }

    // 校验密码
    function checkPwd() {
        var loginPwd = jQueryMap.content.pwdInput.val();
        if (!loginPwd) {
            $.toast("请输入密码！");
        }
        // 调服务器接口验证身份
        dataMap[type].checkPwdFunc(loginPwd);
    }

    // 重置页面元素
    function clearPageElement() {
        jQueryMap.content.clearBtn.hide();
        jQueryMap.content.pwdInput.val("").next().val("");
        jQueryMap.content.checkBtn.addClass("disabled");
        jQueryMap.content.switchBtn.addClass("visible").removeClass("hide");
        jQueryMap.content.pwdInput.show().next().hide();
    }

    // 设置确认按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.checkBtn, function () {
            var hasEmptyInput = myUtils.hasEmptyInput(jQueryMap.content.pwdInput);
            var loginPwd = myUtils.trimInput(jQueryMap.content.pwdInput)[0];
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput && loginPwd.length >= 6;
        });
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
