define("ivtShop/scripts/account/middlePage.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = require("myUtils");
    var model = window.privateSpaceMKT.model;

    var pageParam;

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    }

    function destroy() {
        service.destroy();
    }

    function initPage() {
        pageParam = $.getPageParam() || {};

        //$.clearSStorage();
        $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postNo","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId"],function(index,item){
            $.clearSStorage(item);
        });
        if($.getSStorageInfo("isLogin")=="true"){
        	var motType = $.getPageParam("motType");
        	if(motType){
        		dealPushMessage(motType);
        	}else{
        		$.pageInit("account/middlePage","subject/subject","","");
        	}
        }else{
        	// 尝试自动登陆
            tryAutoLogin();
        }
        
    }

    function tryAutoLogin() {
//      var mobileNo = $.getLStorageInfo("mobileNo");
//      var loginPwd = $.getLStorageInfo("loginPwd");
        var mobileNo = '';
        var loginPwd = '';
        // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
        if ($.config.platform !== "0") {
            var mobileKey= $.callMessage({
                "funcNo": "50043",
                "key"   : "mobileNo"
            });
            var pwdKey= $.callMessage({
                "funcNo": "50043",
                "key"   : "loginPwd"
            });
            if(mobileKey.error_no=='0'){
                mobileNo = mobileKey.results[0].value;
            }else{
                $.toast(mobileKey.error_info);
            }

            if(pwdKey.error_no=='0'){
                loginPwd = pwdKey.results[0].value;
            }else{
                $.toast(pwdKey.error_info);
            }
        }else{
            mobileNo = $.getLStorageInfo("mobileNo");
            loginPwd = $.getLStorageInfo("loginPwd");
        }
        if (mobileNo && loginPwd) {
            // rsaParam: {merStaffId|mobileNo, pwd}
            myUtils.login({
                "rsaParam"   : {
                    "mobileNo" : mobileNo,
                    "loginPwd" : loginPwd,
                    "userId"   : model.dataStore.userId
                },
                "successFunc": function (result) {
                    //  1:注册成功 2：选择个人 3：选择机构 4：选择经纪人 5：选择企业用户 6：成功提交经纪人信息
                   var postNo = $.getLStorageInfo("postNo") || result.postNo;
                    $.setLStorageInfo("postNo",postNo);
                   if( postNo == "wealthManager" || postNo == "customerManager" ||  postNo == "investAdviser" ||  postNo == "others" || postNo == "channelManager" || postNo == "effectiveCommissioner"){
                       $.setSStorageInfo("role","1");
                       var motType = $.getPageParam("motType");
                       if (motType) {
                           // 处理推送消息
                           dealPushMessage(motType);
                       }else{
                           $.pageInit("account/login", "subject/subject","","");
                       }
                   }else if( postNo == "branchManager" ||  postNo == "mktManager" || postNo == "areaManager" ||  postNo == "ivtManager"){
                       $.setSStorageInfo("role","0");
                       $.pageInit("account/login", "administrator/adminList","","");
                   }
                },
                "errorFunc"  : function (error_no, error_info) {
                    // 清空缓存
                    $.each(["BgPhotoPath","accountMoer","branchName","branchNo","certno","dayCustomerCount","deptId","deptName","employeeNo","idCode","idType","imUserId","isLogin","job","mainRole","mobileNo","oaAccount","photoPath","photoUrl","postId","postName","postNo","potentialAmount","role","sex","staffId","staffName","staffType","storeChannelId","todayFollowCount","todaySignedCount","userId"],function(index,item){
                        $.clearSStorage(item);
                    });
                    //$.clearSStorage();
                    $.clearLStorage("mobileNo");
                    $.clearLStorage("loginPwd");
                    // 清理全局对象中缓存的数据
                    model.clear();

                    // 自动登录失败跳转至未登录广告页
                    $.pageInit("account/middlePage", "account/preLogin","","");
                },
                "isCache"    : true
            });
        } else {
            // 跳转至产品首页
            $.pageInit("account/middlePage", "account/preLogin","","");
        }
    }

    // 处理推送消息
    function dealPushMessage(motType) {
    	if(motType!="announcementnotice"){
            $.pageInit("account/middlePage","cockpit/mainNotice",{"motType":motType},"");
    	}else{
            $.pageInit("account/middlePage","cockpit/messageInfo","","");
    	}
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
