define("financial/scripts/account/preLogin.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var _pageId = "#account_preLogin "; // 页面ID
    var service = require("investService");
    require("validatorUtils");
    var myUtils = window.privateSpaceMKT.myUtils;
    var HIscroll = require("hIscroll");//左右滑动的组件
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var imgHeight;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#account_preLogin");
    var myHIscroll = null;

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

        initPage();
    }
    function load() {
        //loadPage();
    }

    function bindPageEvent() {
        // 去登录
        $.bindEvent(jQueryMap.toLoginBtn, function () {
            $.pageInit("account/preLogin", "account/login");
        });
        $.bindEvent(jQueryMap.loginBtn, function () {
            $.pageInit("account/preLogin", "account/login");
        });
        // 点击注册按钮
        $.bindEvent(jQueryMap.customRegisterBtn, function () {
            $.pageInit("account/preLogin", "account/register");
        });
    }

    function destroy() {
        if(myHIscroll){
            myHIscroll.destroy();
            myHIscroll = null;
        }
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            // 广告卡片的包裹区域
            "advertCardWrapper" : $page.find("#advertCardWrapper"),
            // 广告卡片的滑动区域
            "advertCardScroller": $page.find("#advertCardScroller"),
            // 显示当前展示图片的序号
            "dotBox"            : $page.find("#dot_box"),
            // 手机号或职工编号输入框输入框
            "toLoginBtn"        : $page.find("#sure_btn"),
            "loginBtn"    : $page.find("#loginBtn"),

            // 密码输入框
            "customRegisterBtn" : $page.find("#register_btn")
        };
    }

    function initPage() {
        jQueryMap.toLoginBtn.hide();
        imgHeight = ($(window).height()*0.73) + "px";
        myUtils.hideBtn();

        //设置状态栏的颜色
        $.callMessage({
            "funcNo"     : "50119",
            "moduleName" : "mall",
            "color"      : "#FFFFFF",
            "style"      : "1"
        });

        if ($.getSStorageInfo("isLogin") == "true") {
            setTimeout(function () {
                $.pageInit("account/preLogin", "subject/subject");
            }, 0);
            return false;
        }
        // 当没加载广告图片才加载
        getAdPicture();
    }

    /**
     * HIscroll左右滑动组件
     */
    function initHIscroll(){
        if(myHIscroll){
            myHIscroll.destroy();
            myHIscroll = null;
        }
        if(!myHIscroll){
            var config = {
                wrapper : jQueryMap.advertCardWrapper, //wrapper对象
                scroller: jQueryMap.advertCardScroller, //scroller对象
                perCount: 1,  //每个可视区域显示的子元素，就是每个滑块区域显示几个子元素
                showTab : false, //是否有导航点
                auto: false,//是否自动播放，
                onScrollEnd: function () {
                    jQueryMap.dotBox
                        .find("em").eq( myHIscroll.getActivePage()).addClass("act")
                        .siblings(".act").removeClass("act");
                    if(myHIscroll.getActivePage() == jQueryMap.advertCardScroller.find("img").length-1){
                        jQueryMap.toLoginBtn.show();
                    }else{
                        jQueryMap.toLoginBtn.hide();
                    }
                }
            };
            myHIscroll = new HIscroll(config);
            //$(_pageId + "#advertCardScroller img").css("min-height", imgHeight);
        }
    }

    // 获取广告图片
    function getAdPicture() {
        // groupNo mkt_home_ad 未登陆首页轮播，mkt_banner_ad,首页广告 hx_mkt_guide_page引导页
        service.getAdPicture({"groupNo": "hx_mkt_guide_page"}, function (results) {
            if(results.length=="0"){
                jQueryMap.toLoginBtn.show();
            }
            else if(results.length>0){
                if(results.length=="1"){
                    jQueryMap.toLoginBtn.show();
                }else{
                    jQueryMap.toLoginBtn.hide();
                }
                var imgDomArr = [];
                var dotHtmlStr = "";
                $.each(results, function (index, item) {
                    // 此处给图片一个固定的高度
                    //<li><a href="javascript:void(0);"><img src="img/spic.png"/></a></li>
                    //var imgDom = $("<img style='display:block;width: 100%;height: "+imgHeight+";vertical-align: bottom;'/>").attr({
                    //    "src"        : global.serverAddr + item.picture,
                    //    "data-adHref": item.url
                    //});
                    var imgDom = '<li><a href="javascript:void(0);"><img src="'+global.serverAddr + item.picture+'" /></a></li>';
                    imgDomArr.push(imgDom);
                    dotHtmlStr += "<em></em>";
                });
                jQueryMap.advertCardScroller.html(imgDomArr);
                jQueryMap.dotBox.html(dotHtmlStr).show().find("em").eq(0).addClass("act");
                try{
                if(results.length>1) {
                    // 初始化滑动组件
                    initHIscroll();
                }
                }catch(e){
                }
            }
        });
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
