define("financial/scripts/account/showUserInfo.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#account_showUserInfo");

    var mobileNo = "";
    var loginPwd = "";
    var userInfo = "";

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
        initPage();
    }
    function load() {
    }

    function bindPageEvent() {
        // 取消按钮
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

        // 显示跟进类型弹出层
        $.bindEvent(jQueryMap.content.employeeNo, function () {
            if( userInfo.length > "1"){
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.employeeArea);
            }
        });

        // 隐藏弹出层
        $.bindEvent($page.find(".layer_wrap2"), function (e) {
            if (e.target.className === "layer_wrap2") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //取消按钮
        $.bindEvent($page.find(".layer_wrap2 a.right"), function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });


        $.preBindEvent(jQueryMap.layerArea.employeeArea.find("ul"), "li", function () {
            var $this = $(this);

            $this.addClass("active").siblings(".active").removeClass("active");
            var employeeNum = $this.attr("data-employeeNum");
            jQueryMap.content.employeeNo
                .html($this.find("span").text())
                .attr("data-employeeNum", employeeNum);
            $.each(["staffName","branchName","job","employeeNo"],function(index,domKey){
                jQueryMap.content[domKey].html(userInfo[employeeNum][domKey]);
            });
            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");

        });

        // 点击注册完成注册流程
        $.bindEvent(jQueryMap.content.registerBtn, function () {

            //var mobileCode = jQueryMap.content.mobileCode.val().trim();
            //if (!mobileCode) {
            //    $.toast("请输入短信验证码");
            //    return false;
            //}
            //if (/\D+/.test(mobileCode) || mobileCode.length < 6) {
            //    $.toast("短信验证码错误");
            //    return false;
            //}
            registerUser();
        })


    }

    function destroy() {
        // 重置页面元素
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
               "registerBtn"   : $page.find("#register_btn"),
                "staffName"   : $page.find("#staffName"),
                "branchName"   : $page.find("#branchName"),
                "job"   : $page.find("#job"),
                "employeeNo"   : $page.find("#employeeNo"),
                "cancel"  : $page.find("#cancel"),
                "sure"    : $page.find("#sure"),
                "selectEmploy": $page.find("#selectEmploy"),
                "selectEm": $page.find("#selectEm")
            },
            "layerArea": {
                "employeeArea" : $page.find("#employeeArea")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        mobileNo = $.getSStorageInfo("mobileNo");
        loginPwd = $.getSStorageInfo("loginPwd");
        //填充身份信息
         insertUserInfo();
    }

    function insertUserInfo(){
        userInfo = $.getPageParam("userInfo");

        userInfo.length > "1" ? jQueryMap.content.selectEm.show() : jQueryMap.content.selectEm.hide();

        var employ = "";
        for(var i=0;i<userInfo.length;i++){
            employ+=' <li data-employeeNum="'+i+'"><span>'+userInfo[i].employeeNo+'</span></li>';
        }
        jQueryMap.content.selectEmploy.html(employ);

        $.each(["staffName","branchName","job","employeeNo"],function(index,domKey){
            jQueryMap.content[domKey].html(userInfo[0][domKey]);
        });
        //遮罩层去掉
        //myUtils.cancelLayer($page);
    }

    //点击注册接口
    function registerUser(){
        var param = {
            "mobileNo"  : mobileNo,    // 手机号     Y
            "employeeNo"  : jQueryMap.content.employeeNo.html(),  // 短信验证码 Y
            "staffName" : jQueryMap.content.staffName.html(),
            "job"       : jQueryMap.content.job.html()
        };
        myUtils.doRSA({"loginPwd": loginPwd}, function (rsaMap) {
            param.loginPwd = rsaMap.loginPwd;
            service.register(param, function () {
                // 注册后就自动登录
                myUtils.login({
                    "rsaParam" : {
                        "mobileNo": mobileNo,
                        "loginPwd" : rsaMap.loginPwd
                    },
                    "successFunc": function (result) {
                        //H5调用原生用户名密码登录
                        //alert("loginShowUserInfo"+$.getLStorageInfo("loginPwd"));
                        //$.callMessage({
                        //    "funcNo": "70006",
                        //    "userName": result.employeeNo,
                        //    "password": $.getLStorageInfo("loginPwd")
                        //});
                        //
                        ////存登录信息给壳子与IM同步登录
                        //$.callMessage({
                        //    "funcNo"   : "80101",
                        //    "mobileNo" : $.getLStorageInfo("mobileNo"),
                        //    "loginPwd" : $.getLStorageInfo("loginPwd")
                        //});
                        var postNo = result.postNo;
                        if( postNo == "wealthManager" || postNo == "customerManager" ||  postNo == "investAdviser" ||  postNo == "others"){
                            $.setSStorageInfo("role","1");
                            $.pageInit("account/login", "subject/subject");
                        }else if( postNo == "branchManager" ||  postNo == "mktManager" || postNo == "areaManager" ||  postNo == "ivtManager"){
                            $.setSStorageInfo("role","0");
                            $.pageInit("account/login", "administrator/adminList");
                        }
                    },
                    // 缓存登录接口返回的数据
                    "isCache"    : true
                });

            });//, null, {"isLastReq": false}
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.selectEm.hide();
        //$.each(["brokerNo","staffName","oaAccount","branchNo","job"],function(index,domKey){
        //    jQueryMap.content[domKey].html("");
        //});
        //jQueryMap.content.mobileNo.val("");
        //jQueryMap.content.pwdNo.val("");
        ////jQueryMap.content.gvCode.val("");
        //jQueryMap.content.registerBtn.addClass("disabled");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
