define("financial/scripts/account/verifyCode.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#account_verifyCode");

    // 验证码倒计时相关
    var countDown = global.countDown;
    var clearCountDown;
    var mobileNo = "";

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 取消按钮
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            if($.getSStorageInfo("_prePageCode")=="account/register"){
                jQueryMap.layerArea.tipArea.fadeIn("fast");
            }else{
                $.pageBack();
            }

        });

        //是否返回点击等待按钮
        $.bindEvent(jQueryMap.header.waitBtn, function () {
            jQueryMap.layerArea.tipArea.fadeOut("fast");
        });

        //是否返回点击等待按钮
        $.bindEvent(jQueryMap.header.backBtn, function () {
            $.pageInit("account/verifyCode", "account/register");
        });

        // input事件
        $.bindEvent(jQueryMap.content.mobileCode, function () {
            setBtnStatus();
        }, "input");

        // 获取短信验证码
        $.bindEvent(jQueryMap.content.getSmsCodeBtn, function () {
            if (!validatorUtils.isMobile(mobileNo)) {
                $.toast("手机号码不正确");
                return false;
            }
            // 获取验证码
            sendSmsCode(mobileNo);
            //开始倒计时
            //startCountDown();
        });

        // 点击注册的下一步
        $.bindEvent(jQueryMap.content.nextStep, function () {
            if ($(this).hasClass("disabled")) {
                return false;
            }

            var mobileCode = jQueryMap.content.mobileCode.val().trim();
            if (!mobileCode) {
                $.toast("请输入短信验证码");
                return false;
            }
            if (/\D+/.test(mobileCode) || mobileCode.length < 6) {
                $.toast("短信验证码错误");
                return false;
            }
            codeConfirm(mobileCode);
        })


    }

    function destroy() {
        // 重置页面元素
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack"),
                //等待 返回
                "waitBtn"    : $page.find("#wait_btn"),
                "backBtn"    : $page.find("#back_btn")
            },
            "content"  : {
                "nextStep"       : $page.find("#next_step"),
                "getSmsCodeBtn": $page.find("#get_sms_code_btn"),
                "mobileCode"   : $page.find("#mobile_code"),
                "tipSpan"      : $page.find("#tip_span"),
                "mobileShow"    : $page.find("#mobileShow")


            },
            "footer"   : {},
            "layerArea": {
                "tipArea": $page.find("#tipArea")
            }
        };
    }

    function initPage() {
        mobileNo = $.getSStorageInfo("mobileNo");
        jQueryMap.content.mobileShow.html(mobileNo);
        if($.getSStorageInfo("_prePageCode") == "account/register"){
            ////发送验证码
            sendSmsCode(mobileNo);

        }


    }


    function sendSmsCode(mobileNo){
        service.getSmsCode({
            "mobileNo"   : mobileNo,
            "msgType"    : "0"
        }, function () {
            ////开始倒计时
            startCountDown();
            //// 把记录发送短信次数的计数器清零
            //// 只有注册流程时才做此清零操作
            //if ($.getSStorageInfo("_prePageCode") === "account/checkMobileNo") {
            //    $.setSStorageInfo("numOfGetSmsCode", "1");
            //}
            //$.pageInit("account/register", "account/verifyCode", {
            //});
        });
    }

    // 开始倒计时
    function startCountDown() {
        // 开始倒计时
        var getSmsCodeBtn = jQueryMap.content.getSmsCodeBtn;
        var tipSpan = jQueryMap.content.tipSpan;
        getSmsCodeBtn.hide();
        tipSpan.text(countDown + "s后重发").show();

        clearCountDown = setInterval(function () {
            countDown--;
            if (countDown === 0) {
                countDown = global.countDown;
                getSmsCodeBtn.show();
                tipSpan.hide();
                window.clearInterval(clearCountDown);
            } else {
                tipSpan.text(countDown + "s后重发");
            }
        }, 1000);
    }

    //注册验证码验证
    function codeConfirm(mobileCode) {
        var registerParam = {};
        registerParam.mobileCode = mobileCode;
        registerParam.mobileNo = mobileNo;
        registerParam.codeType = "0";
        service.codeConfirm(registerParam, function (result) {

            $.pageInit("account/verifyCode", "account/showUserInfo",{"userInfo":result});
        });
        //myUtils.doRSA({"loginPwd": pwd}, function () {
        //    service.isRegister(registerParam, function () {
        //        // 注册后就自动登录
        //        myUtils.login({
        //            "loginParam" : {
        //                "mobileNo": mobileNo,
        //                "loginPwd"     : loginPwd
        //            },
        //            "successFunc": function () {
        //                $.pageInit("account/verifyCode", "account/showUserInfo");
        //            },
        //            // 缓存登录接口返回的数据
        //            "isCache"    : true
        //        });
        //
        //    }, null, {"isLastReq": false});
        //});
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.content.getSmsCodeBtn.val("");
        jQueryMap.content.mobileCode.val("");
        jQueryMap.layerArea.tipArea.hide();
        countDown = global.countDown;
        window.clearInterval(clearCountDown);

        countDown = global.countDown;
        jQueryMap.content.getSmsCodeBtn.show();
        jQueryMap.content.tipSpan.hide();
        window.clearInterval(clearCountDown);
    }

    // 设置确认按钮状态
    function setBtnStatus() {
        myUtils.changeBtnStatus(jQueryMap.content.nextStep, function () {
            var hasEmptyInput = myUtils.hasEmptyInput(jQueryMap.content.mobileCode);
            // true 高亮显示按钮  false 显示暗色
            return !hasEmptyInput;
        });
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
