﻿define("ivtShop/scripts/expert/expertDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#expert_expertDetail");
    var _pageId = "#expert_expertDetail ";
    var expertId;
    var ccCode;
    var wztype="0";
    var page="1";
    var scrollJudge = true;//判断是否到底可以滑动?
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    
    function load() {
    }

    function bindPageEvent() {
    	$.bindEvent(jQueryMap.header.mktGoBack, function() {
			$.pageBack();
		});

        //切换文章策略
        $.preBindEvent(jQueryMap.content.selectUl, "li", function(){
            page="1";
            $(this).addClass("active").siblings().removeClass("active");
            var id = $(this).attr("id");
            $(_pageId +"#"+id+"List").show().siblings().hide();
            if(id=="article"){
                wztype="0";
            }else if(id=="game"){
                wztype="1";
            }
            queryArticeList();
        });

        $.bindEvent(jQueryMap.content.closeBrief,function(){
            if($page.find("#brief")[0].clientHeight>"60"){
                $page.find("#brief").css("height","0.52rem");
                $(this).removeClass("top");
            }else{
                $page.find("#brief").css("height","auto");
                $(this).addClass("top");
            }
        });

        //滚动加载更多
        $.bindEvent($page.find(".expert_detail"),function(){
            if(scrollJudge){
                var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
                    //if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge = false;
                    setTimeout(function(){
                        page++;
                        queryArticeList();
                    },600);
                }
            }
        },"scroll");

    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
            	"mktGoBack"     : $page.find("#mktGoBack")
            },
            "content"  : {
                "selectUl" : $page.find("#selectUl"),
                "article" : $page.find("#article"),
                "articleList": $page.find("#articleList"),
                "gameList": $page.find("#gameList"),

                "name"      : $page.find("#name"),
                "certNo"    : $page.find("#certNo"),
                "viewpoint" : $page.find("#viewpoint"),
                "tagsName"  : $page.find("#tagsName"),
                "brief"     : $page.find("#brief"),
                "photoPath" : $page.find("#photoPath"),

                //上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData"),

                "closeBrief" : $page.find("#closeBrief"),
            }
        };
    }

    function initPage() {
        cleanPageElement();

        expertId = $.getSStorageInfo("expertId");
        ccCode = $.getSStorageInfo("ccCode");
    	//加载专家个人信息
    	//加载专家推荐观点
    	queryArticeInfo();
    	//加载文章列表
        queryArticeList();
    }

    function queryArticeInfo(){

         $.ajax({
             url: "http://10.33.4.49:9090/ycfgate/api/v2.0/bus/function/1201851",
             data: {"expertId":expertId},
             type: "get",
             async: true,
             success: function(data) {
                 $.each(["name","certNo","viewpoint","brief"],function(index,dom){
                     jQueryMap.content[dom].html(data.results[0][dom]);
                 });
                 jQueryMap.content.brief.html("个人简介:"+data.results[0].brief);
                 var tagsName = data.results[0].tagsName.split(",");
                 var htmlStr="";
                 for(var i=0;i<tagsName.length;i++){
                     htmlStr+="<span>"+tagsName[i]+"</span>"
                 }
                 jQueryMap.content.tagsName.html(htmlStr);

                 if(data.results[0].photoPath != ""){
                     jQueryMap.content.photoPath.attr("src",data.results[0].photoPath);
                 }else{
                     jQueryMap.content.photoPath.attr("src","../../images/header_pic01.jpg");
                 }

             }
         });
    }

    function queryArticeList(){
        $.ajax({
            url: "http://10.33.4.49:9090/ycfgate/api/v2.0/expert/article/list",
            data: {"expertId":ccCode,"wztype":wztype,"pageIndex":page,"pageSize":"20"},
            type: "get",
            async: true,
            success: function(data) {
                jQueryMap.content.loadIcon.hide();
                if(page == "1"){
                    jQueryMap.content.articleList.html("");
                    jQueryMap.content.gameList.html("");
                }
                if(wztype=="0"){
                    var htmlStr="";
                    for(var i=0; i<data.results.length; i++){
                        htmlStr+='  <div data-wzid="'+data.results[i].wzid+'" data-wzUrl="'+data.results[i].wzUrl+'" class="viewpoint_box"><h4><span class="rt">'+data.results[i].subscribeSum+'人订阅</span>'+data.results[i].wzbt+'</h4><p>'+data.results[i].wzjj+'</p></div>';
                    }
                    jQueryMap.content.articleList.append(htmlStr);
                }else if(wztype=="1"){
                    var htmlStr="";
                    for(var i=0; i<data.results.length; i++){
                        htmlStr+='  <div data-wzid="'+data.results[i].wzid+'" data-wzUrl="'+data.results[i].wzUrl+'" class="viewpoint_box"><h4><span class="rt">'+data.results[i].subscribeSum+'人订阅</span>'+data.results[i].wzbt+'</h4><p>'+data.results[i].wzjj+'</p></div>';
                    }
                    jQueryMap.content.gameList.append(htmlStr);
                }
            }
        });
    }

    // 重置页面元素
    function cleanPageElement() {
        wztype="0";
        page="1";
        jQueryMap.content.article.addClass("active").siblings().removeClass("active");
        jQueryMap.content.articleList.show().siblings().hide();
    }
   
    module.exports = {
        "init"           : init,
        "bindPageEvent"  : bindPageEvent,
        "destroy"        : destroy,
        "load"           : load
    };
});
