﻿define("ivtShop/scripts/expert/expertIndex.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#expert_expertIndex");
    var searchTxt="";
    var page;
    var shopId = "";
    var scrollJudge = true;//判断是否到底可以滑动?
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    
    function load() {
    }

    function bindPageEvent() {
    	//点击返回
    	$.bindEvent(jQueryMap.header.mktGoBack, function() {
			$.pageBack();
		});
    	//点击专家列表
		$.preBindEvent(jQueryMap.content.expertList, ".expert_box", function() {

            var expertId = $(this).attr("data-expertId");
            $.setSStorageInfo("expertId",expertId);
            var ccCode = $(this).attr("data-ccCode");
            $.setSStorageInfo("ccCode",ccCode);
			$.pageInit("expert/expertIndex", "expert/expertDetail");
		});

        //点击搜索
        $.bindEvent(jQueryMap.content.search, function() {
            jQueryMap.content.expertList.html("");
            //$("#noData").hide();
            page = "1";
            expertInfo();
        }, "input");

        $.bindEvent($page.find(".page_box"),function(){
            if(scrollJudge){
                var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容
                    if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge = false;
                    setTimeout(function(){
                        page++;
                        //加载转圈
                        //myUtils.loadService($page);
                        expertInfo();
                    },600);
                }
            }
        },"scroll");
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
            	"mktGoBack"     : $page.find("#mktGoBack")
            },
            "content"  : {
            	"expertList" : $page.find("#expertList"),
                "search"     : $page.find("#search")
            }
        };
    }

    function initPage() {

        page="1";

        if($.getSStorageInfo("_prePageCode")=="expert/smallShop"){
            shopId = $.getSStorageInfo("shopId");
        }
        expertInfo();
     /*   service.getStoreChannel({}, function(result){
            alert(result);
        });*/
    }

    function expertInfo(){
        searchTxt = jQueryMap.content.search.val();
        $.ajax({
            url: "http://10.33.4.49:9090/ycfgate/api/v2.0/bus/function/1201850",
            type: "get",
            data : {"searchTxt":searchTxt,"shopId": shopId,"curPage":page,"pageSize":"20"},
            async: true,
            success: function(data, textStatus) {

                var expertData = data.results[0].data;
                var htmlStr = "";
                for(var i=0; i<expertData.length; i++){
                    htmlStr += '<div data-expertId="'+expertData[i].expertId+'" data-ccCode="'+expertData[i].ccCode+'" class="expert_box"><dl class="top_box"><dt><img src="../../images/header_pic01.jpg" class="header_pic"/></dt><dd><h4>'+expertData[i].name+'</h4><h5>执业证书编号:'+expertData[i].certNo+'</h5></dd></dl><dl class="brief_box"><dt><img src="../../images/brief_pic.jpg" class="pic"/></dt><dd><p>'+expertData[i].brief+'</p></dd></dl><div class="bot_mark"><span class="cur">能力标签</span><span>跟踪主力</span>';
                    if(expertData.tagsName!=""){
                        var tagArr = [];
                        tagArr = expertData[i].tagsName.split(",");
                        for(var j=0;j<tagArr.length;j++){
                            htmlStr += '<span>'+tagArr[j]+'</span>';
                        }
                    }
                    htmlStr +='</div></div>';
                }
                jQueryMap.content.expertList.html(htmlStr);
            }
        });
    }

   
    module.exports = {
        "init"           : init,
        "bindPageEvent"  : bindPageEvent,
        "destroy"        : destroy,
        "load"           : load
    };
});
