﻿define("ivtShop/scripts/expert/smallShop.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    var global = $.config.global;

	var swiper = require("swiper");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#expert_smallShop");
    var pageId = "#expert_smallShop ";
	var fund_account="";
	var mobile="";
	var investment="";//身份证号码
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        initPage();
    }
    
    function load() {
    }

    function bindPageEvent() {
    	// 点击专家推荐
		$.bindEvent(jQueryMap.content.expertFor, function() {
			$.pageInit("expert/smallShop", "expert/expertIndex");
		});

		//点击切换类型
		$.preBindEvent(jQueryMap.content.wshop_tab, "ul li", function() {
			$(this).addClass("act").siblings().removeClass("act");
			$("#"+$(this).attr("id")+"In").show().siblings().hide();
			
		});

		//点击专家列表
		$.preBindEvent(jQueryMap.content.expertList, ".expert_item", function() {
			$.pageInit("expert/smallShop", "expert/expertDetail");
		});

		//点击拨打电话
		$.bindEvent(jQueryMap.content.telPhone.parent(),function(){
			jQueryMap.layer.layerTel.show();
		});

		//点击阴影隐藏
		$.bindEvent(jQueryMap.layer.layerTel,function(e){
			if(e.target.className == "ui dialog-overlay"){
				$(this).hide();
			}
		});

		//跳转小新在线
		$.bindEvent(jQueryMap.content.consult,function(){
			if($(this).html()=="小新在线"){
				window.location.href = "http://wxtest.hx168.com.cn/im/m/consult";
			}else if($(this).html()=="在线咨询"){
				window.location.href = "http://wxtest.hx168.com.cn/im/m/hxzq?investment="+investment+"";
			}

		});
    }

    function destroy() {
		myUtils.showLayer1($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "ShopType"     : $page.find("#ShopType")
            },
            "content"  : {
            	 "expertFor" : $page.find(".icon_expert"),
            	 "investShop" : $page.find("#investShop"),
            	 "saleShop" : $page.find("#saleShop"),
            	 "saleSZ" : $page.find("#saleSZ"),
            	 "loginBtn" : $page.find("#loginBtn"),
            	 "wshop_tab" : $page.find(".wshop_tab"),


            	 "photoPath" : $page.find("#photoPath"),
            	 "name" : $page.find("#name"),
				 "jobtitle" : $page.find("#jobtitle"),
				 "certNo" : $page.find("#certNo"),
				 "telPhone" : $page.find("#telPhone"),
				"branchName" : $page.find("#branchName"),
				"expertList": $page.find("#expertList"),
				"newCustomIn": $page.find("#newCustomIn"),
				"appreceIn": $page.find("#appreceIn"),
				"phoneLayer": $page.find("#phoneLayer"),

				//跳转外部的链接
				"consult": $page.find("#consult")
            },
			"layer" : {
				"layerTel"  : $page.find("#layerTel")
			}
        };
    }

    function initPage() {
		myUtils.showLayer1($page);
		getFundInfo();
		mobile = getPhone();
    	//查询广告
    	//查询专家推荐列表
    	queryExpertInfoList();
    	//查询产品推荐列表
    }
	/**
	 * 获取资产账号的信息
	 */
	function getFundInfo(){
		if(!fund_account){
			fund_account = getFundAccount();
		}
		if(global.callNative){
			var userInfo = $.callMessage({"funcNo": "50041", "moduleName":"sso", "key":"sso_acct_info_201_"+fund_account}).results[0].value;
			return userInfo;
		}
		else{

		}
	}

	/**
	 * 获取资金账号
	 */
	function getFundAccount(){
		if(global.callNative){
			var fund_account = $.callMessage({"funcNo": "50041", "moduleName":"sso", "key":"sso_acct_value_201"}).results[0].value;
			return fund_account;
		}
		//else{
		//	return "150000000283";
		//}
	}

	/**
	 * 获取手机号
	 */
	function getPhone(){
		if(global.callNative){
			var phone = $.callMessage({"funcNo": "50041", "moduleName":"sso","key":"activePhone"}).results[0].value;
			return phone;
		}
		//else{
		//	return "11111111";
		//}
	}

    function queryExpertInfoList(){
    	service.getShopList({
			"mobile" : mobile, //  //0 总部  1营业部 2个人
			"fundAccount" : ""//"460070000101"//fund_account   //
		},function(results) {
			if(results.param.length){
				$.each(["photoPath","name","jobtitle","certNo","telPhone","branchName"],function(index,dom){
					jQueryMap.content[dom].html(results.param[0][dom]);
				});
				jQueryMap.content.saleSZ.html(results.param[0].branchName);
				jQueryMap.content.phoneLayer.html(results.param[0].telPhone);
				investment = results.param[0].idCode;
				$.setSStorageInfo("shopId", results.param[0].shopId);
			}

			//查询微店类型内容
			var shopType = results.param[0].shopType;//微店类型:0总部微店,1营业部微店，2投顾微店。
			if(shopType =="2"){
				jQueryMap.content.investShop.show();
				jQueryMap.content.saleShop.hide();
				jQueryMap.header.ShopType.html("投顾微店");
				jQueryMap.content.consult.html("在线咨询");

			}else{
				jQueryMap.content.investShop.hide();
				jQueryMap.content.saleShop.show();
				if(shopType == "1"){
					jQueryMap.content.saleSZ.show();
					jQueryMap.content.loginBtn.hide();
					jQueryMap.header.ShopType.html("营业部微店");
					jQueryMap.content.consult.html("小新在线");
				}else{
					jQueryMap.content.saleSZ.hide();
					jQueryMap.content.loginBtn.show();
					jQueryMap.header.ShopType.html("总部微店");
					jQueryMap.content.consult.html("小新在线");
				}
			}

			var expertList="";
    		if(results.expertInfo.length>0){
				var expertInfo;
				for(var i=0;i<results.expertInfo.length;i++){
					expertInfo = results.expertInfo[i];
					expertList += '<div data-expertId="' + expertInfo.expertId + '" class="expert_item"><div class="expert_info"><img src="../../images/chd-pic.png" /><div class="info_txt"><strong>' + expertInfo.name + '</strong><p>执业证书编号：' + expertInfo.certNo + '</p></div></div><div class="profile_intro"><p>' + expertInfo.brief + '</p></div><div class="ability_tag"><strong>能力标签</strong>';
					if(expertInfo.tagsName!=""){
						var tagArr = [];
						tagArr = expertInfo.tagsName.split(",");
						for(var j=0;j<tagArr.length;j++){
							expertList += '<span>'+tagArr[j]+'</span>';
						}

					}
					expertList +='</div></div>';
				}
				//src="'+expertInfo.photoPath=="" ? '../../images/chd-pic.png' : expertInfo.photoPath +'"/
			}else{
				expertList+='<p style="line-height:1.32rem;text-align: center">暂无</p>';
			}
			jQueryMap.content.expertList.html(expertList);

			var subjectSignList="";
			if(results.subjectInfo.length>0){
				var subjectInfo;
				var subjectList="";
				for(var i=0;i<results.subjectInfo.length;i++){
					subjectInfo = results.subjectInfo[i];
					//subjectList += '<div class="rcd_cblk rcd_cblk01" data-subjectTypeNo="'+subjectInfo.subjectTypeNo+'" data-subjectId="'+subjectInfo.subjectId+'" data-spreadAddr="'+subjectInfo.spreadAddr+'"><h3><span>新客专享</span></h3><div class="rcd_item"><ul><li><div class="inline-block"><strong class="fc_red"><span>'+(subjectInfo.rate=="" ? "0" : results[i].rate)+'</span>%</strong><p>预期年华收益率</p></div></li><li><div class="inline-block"><strong>'+subjectInfo.subjectName+'</strong><p>'+subjectInfo.subjectDesc+'</p></div></li></ul></div></div>';
					if(subjectInfo.subjectTypeNo = "newCustomersExclusive"){
						subjectList += '<div class="rcd_cblk rcd_cblk01" data-subjectTypeNo="'+subjectInfo.subjectTypeNo+'" data-subjectId="'+subjectInfo.subjectId+'" data-spreadAddr="'+subjectInfo.spreadAddr+'"><h3><span>新客专享</span></h3><div class="rcd_item"><ul><li><div class="inline-block"><strong class="fc_red"><span>'+(subjectInfo.rate=="" ? "0" : subjectInfo.rate)+'</span>%</strong><p>预期年华收益率</p></div></li><li><div class="inline-block"><strong>'+subjectInfo.subjectName+'</strong><p>'+subjectInfo.subjectDesc+'</p></div></li></ul></div></div>';
					}else if(subjectInfo.subjectTypeNo = "appreciationSigned"){
						subjectSignList += '<div data-subjectTypeNo="'+subjectInfo.subjectTypeNo+'" data-subjectId="'+subjectInfo.subjectId+'" data-spreadAddr="'+subjectInfo.spreadAddr+'" class="rcd_cblk rcd_cblk01"><h3><span>增值签约</span></h3><div class="rcd_item"><ul><li><div class="inline-block"><strong>'+subjectInfo.subjectName+'</strong><p>'+subjectInfo.subjectDesc+'</p></div></li></ul></div></div>';
						//subjectSignList += '<li data-subjectTypeNo="'+subjectInfo.subjectTypeNo+'" data-subjectId="'+subjectInfo.subjectId+'" data-spreadAddr="'+subjectInfo.spreadAddr+'"><a href="javascript:void(0);"><img src="../../images/incre-pic01.png" alt=""><div class="vas_info"><h3>'+subjectInfo.subjectName+'</h3><p>当前持仓：</p><span>南山铝业</span></div></a></li>'
					}
				}
				jQueryMap.content.newCustomIn.html(subjectSignList);
				jQueryMap.content.appreceIn.html(subjectSignList);
			}else{
				var subjectNoData ='<p style="line-height:1.32rem;text-align: center">暂无</p>';
				jQueryMap.content.newCustomIn.html(subjectNoData);
				jQueryMap.content.appreceIn.html(subjectNoData);
			}
			myUtils.hideLayer1($page);
    	});
    }
   
    module.exports = {
        "init"           : init,
        "bindPageEvent"  : bindPageEvent,
        "destroy"        : destroy,
        "load"           : load
    };
});
