define("financial/scripts/model/myProject.js", function (require, exports, module) {
        var model = window.privateSpaceMKT.model;
        var myProject = {};

        // 查询是否有新版本
        myProject.checkUpdate = function() {
                var channel;
                // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
                if ($.config.platform === "0") {
                        return false;
                } else {
                        channel = $.config.platform
                }

                service.checkVersion({
                        "channel": channel      // 1:Android 2:ios
                }, function (data) {
                        var nativeUpdateInfo = data.native.length !== 0 ? data.native[0] : null;
                        var newNativeVersionCode = nativeUpdateInfo ? Number(nativeUpdateInfo.versionCode) : "";

                        if (nativeUpdateInfo && newNativeVersionCode && hasUpdate(newNativeVersionCode)) {
                                updateApp(nativeUpdateInfo,0);
                        }

                        var h5UpdateInfo = data.h5.length !== 0 ? data.h5[0] : null;
                        var newH5VersionCode = h5UpdateInfo ? Number(h5UpdateInfo.versionCode) : "";

                        if (h5UpdateInfo && newH5VersionCode && hasUpdateH5(newH5VersionCode)) {
                                updateApp(h5UpdateInfo,1);
                        }

                }, null, {"isGlobal": true});

                // 执行更新操作
                function updateApp(updateInfo,updateType) {
                        var downloadLink = global.appUrl + updateInfo.downloadUrl;
                        var isEnforcement = updateInfo.updateFlag;   // 是否强制更新（0：否；1：是）
                        var $updateArea = $page.find("#update_area").fadeIn("fast");
                        var $skipBtn = $updateArea.find("#skip_btn");
                        var $updateBtn = $updateArea.find("#update_btn");

                        $updateArea.find("#update_tip_info").html(updateInfo.description);
                        $updateArea.fadeIn("fast");

                        $skipBtn.unbind("click");
                        $updateBtn.unbind("click");
                        $skipBtn.bind("click", function () {
                                $.setSStorageInfo("hasSkipUpdate", "true");
                                $updateArea.fadeOut("fast");
                        });
                        $updateBtn.bind("click", function () {
                                startUpdate();
                                $updateArea.fadeOut("fast");
                        });

                        if (isEnforcement === "0") {
                                $skipBtn.show();
                        } else {
                                $skipBtn.hide();
                        }

                        function startUpdate() {
                                $.callMessage({
                                        "url"       : downloadLink,          // 更新地址
                                        "type"      : updateType,            // 下载类型(0：原生，1：H5）
                                        "version"   : updateInfo.version,    // 最新版本号
                                        "versionSn" : updateInfo.versionCode,// 最新版本序号
                                        "funcNo"    : "50201",
                                        "moduleName": "mall"
                                });
                        }
                }

                //检测更新H5
                function hasUpdateH5(serviceVersion){
                        var currentVersion = global.h5version;
                        return currentVersion < serviceVersion;
                }

                // 检测更新
                function hasUpdate(serviceVersion) {
                        var param = {
                                "moduleName": "mall",
                                "funcNo"    : "50010"
                        };
                        var currentVersion = Number($.callMessage(param).results[0].versionSn);
                        return currentVersion < serviceVersion;
                }
        }
        module.exports = window.privateSpaceMKT.myProject = myProject;
});